(1515,'2014-05-23','29 - LibreOffice Calc - Models and \"What-If\" Analysis',774,'This episode looks at building models and doing \"What-If?\" Analysis.','<p>\r\nThe next topic is extremely important because it addresses where most beginning users of spreadsheets get into trouble. First, understand that building models and doing \"What-If\" analysis is fundamental to the success and widespread adoption of spreadsheets all over the world. A model can be thought of as a mathematical representation of a process of some kind. It could be financial, such as projecting my sales over the next year, or perhaps working out when my car loan will be paid off. Or it could be scientific, such as projecting out the reaction times and quantities in a chemical reaction. The only real requirement is that whatever you are modeling has to be something that can be represented using mathematical formulas of some kind.\r\n</p>\r\n<p>\r\n\"What-If\" analysis takes this model and lets you experiment to see how how changes in different variables affect the results in your model. If I am figuring out when my car loan will be paid off, I might ask how paying an extra $20 per month against the principle would affect my results (presumably, it should lead to getting it paid off sooner if I set the model up correctly.) Or in the case of the chemical process, how would different temperatures or pressures affect the reaction times and quantities? By experimenting with different values in my model I can do this comparison easily. But only if I built the model properly in the first place.\r\n</p>\r\n<p>\r\nFor the remainder of the show notes please see <a href=\"https://www.ahuka.com/?page_id=752\">https://www.ahuka.com/?page_id=752</a>\r\n</p>',198,70,0,'CC-BY-SA','LibreOffice, Calc',0,1427,1),
(1505,'2014-05-09','28 - LibreOffice Calc - Fills, an Introduction',903,'This episode looks at the filling rows and columns using click-and-drag.','<p>\r\nOne of the key techniques in using a spreadsheet is to master the art of fills, which lets you fill a column or a row with data without having to type in every cell individually. And this technique requires that there be a predictable pattern to the contents of each cell as you fill them. But you can do a lot with this technique, and we will want to use this when we do our first model, which will be a simple savings model.\r\n</p>\r\n<p>\r\nBut first we need to build the tools in our tool kit, and fills are a big one. To begin with, you can fill either rows or columns, though columns are more frequently filled using this technique. Still, it is good to know you can do either. The simplest fill begins with a cell that has some kind of contents. For example, lets say that cell B1 contains the word \"Rain\". If you click on the cell, you will see it highlighted with a thick black border\r\n</p>\r\n<p>\r\nFor the remainder of the show notes please see <a href=\"https://www.ahuka.com/?page_id=734\">https://www.ahuka.com/?page_id=734</a>\r\n</p>\r\n',198,70,0,'CC-BY-SA','LibreOffice, Calc, Spreadsheet, fills',0,1431,1),
(1525,'2014-06-06','30 - LibreOffice Calc - A Savings Model',1252,'LibreOffice, Calc, Spreadsheet, models, what-if analysis, savings','<p>In the previous tutorial we discussed the fundamental ideas of building models and doing &#8220;What-If?&#8221; analysis. Now we need to take these ideas and put them into practice so you can see how this works. To do this I will create a simple model of savings over time. Now, I do want to be clear that this is a very over-simplified model and should not be taken as a good predictor of actual results. The idea is to illustrate the techniques involved in building a model and doing &#8220;What-If?&#8221; analysis.</p><p>So. what are the variables, parameters, assumptions, etc. that we need? I have identified these in my model:</p><ul><li>An initial amount of money already saved. This is the starting amount you have.</li><li>An amount of money you add to your savings each year.</li><li>The rate of return on your savings</li></ul><p>For the remainder of the show notes please see <a href=\"https://www.ahuka.com/?page_id=761\">https://www.ahuka.com/?page_id=761</a></p><p>A copy of the spreadsheet created for this program can be found at <a href=\"https://www.ahuka.com/?attachment_id=763\">https://www.ahuka.com/?attachment_id=763</a></p>\n',198,70,0,'CC-BY-SA','LibreOffice, Calc',0,1387,1),
(1464,'2014-03-13','HPR Audiobook Club: Space Casey',5892,'A discussion of Space Casey written and produced by Christiana Ellis','<p>\r\nIn this episode of the HPR Audiobook Club Broam, Jonathan Nadeau, pokey and Christiana Ellis discuss the podiobooks.com presentation of Space Casey written and produced by Christiana Ellis. This episode contains spoilers in the second half, so please listen to the audiobook for yourself before listening to the podcast all the way through. This audiobook was liked by all of the panellists on this episode.\r\n</p>\r\n<p>\r\n<img src=\"https://static.libsyn.com/p/assets/6/b/4/a/6b4a322691412335/height_334_width_200_raw.jpg\" alt=\"Book Cover\" />\r\n</p>\r\n<p>\r\nYou can download this audiobook for free (or voluntary donation) from <a href=\"https://podiobooks.com/title/space-casey/\">https://podiobooks.com/title/space-casey/</a>\r\n</p>\r\n<p>\r\nYou can buy a hard copy of the script-book used by the actors in this audiobook at <a href=\"https://www.lulu.com/shop/christiana-ellis/space-casey/paperback/product-15736459.html\">https://www.lulu.com/shop/christiana-ellis/space-casey/paperback/product-15736459.html</a>\r\n</p>\r\n<p>\r\nYou can buy the ebook version at <a href=\"https://www.lulu.com/shop/christiana-ellis/space-casey/ebook/product-17352326.html\">https://www.lulu.com/shop/christiana-ellis/space-casey/ebook/product-17352326.html</a>\r\n</p>\r\n\r\n<h3>Beverages</h3>\r\n\r\n<p>\r\nDuring this show the hosts also discuss beverages.\r\n</p>\r\n\r\n<ul>\r\n<li>Broam had some driving to do after the show so he was was drinking nothing at all. More information about Broam\'s beverage can be found here: file://127.0.0.1/dev/null\r\n</li>\r\n<li>Jonathan was drinking Starbucks iced coffee: <a href=\"https://www.starbucks.com/\">www.starbucks.com/</a>\r\n</li>\r\n<li>Christiana was drinking Reed\'s Flying Cauldron Butterscotch Beer: <a href=\"https://reedsinc.com/product/flying-cauldron-butterscotch-beer/\">https://reedsinc.com/product/flying-cauldron-butterscotch-beer/</a>\r\n</li>\r\n<li>pokey was drinking Harviestoun Old Engine Oil Porter: <a href=\"https://harviestoun.com/our-beers/old-engine-oil\">https://harviestoun.com/our-beers/old-engine-oil</a>\r\n</li>\r\n</ul>\r\n\r\n<h3>Next Book</h3>\r\n\r\n<p>\r\nOur next audiobook will be Shaman Tales 1: South Coast by Nathan Lowell. It is available at podiobooks.com The direct link is: <a href=\"https://podiobooks.com/title/shaman-tales-1-south-coast/\">https://podiobooks.com/title/shaman-tales-1-south-coast/</a> \r\nThis audiobook was suggested to us by Christiana Ellis, who liked it very much.\r\n</p>\r\n\r\n<h3>Christiana Ellis</h3>\r\n\r\n<p>\r\nYou can find more content (including podcasts) from Christiana Ellis at:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://christianaellis.com/\">https://christianaellis.com/</a>\r\n</li>\r\n<li><a href=\"https://christianaellis.com/?feed=podcast\">https://christianaellis.com/?feed=podcast</a>\r\nYou can send feedback directly to Christiana via email christianaDOTellisATgmailDOTcom and as always your feedback is welcome in the comments section of every episode.\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nJonathan Nadeau\'s website is <a href=\"https://accessiblefreedom.org/\">https://accessiblefreedom.org/</a>\r\n</p>\r\n<p>\r\nWe all had a great time recording this show, and we hope you enjoyed it as well. Thank you very much for listening.\r\n</p>\r\n<p>\r\nSincerely,\r\nThe HPR_AudioBookClub\r\n</p>\r\n<p>\r\nP.S. Some people enjoy finding mistakes. For their enjoyment, we have included a few.\r\n</p>',157,53,1,'CC-BY-SA','audiobook',0,1455,1),
(1469,'2014-03-20','HPR Community News for February 2014',4711,'HPR Community News for February 2014','<h2>New hosts</h2>\r\n<p>\r\nThere were no new hosts this month.\r\n</p>\r\n\r\n<table>\r\n<thead><tr>\r\n<th>id\r\n</th><th>title\r\n</th><th>host\r\n</th></tr>\r\n</thead>\r\n\r\n<tbody>\r\n<tr><td>1436</td>\r\n<td>HPR New Year Show 2013-2014 After Show 1 of 4</td>\r\n<td>Various Hosts</td>\r\n</tr>\r\n  \r\n<tr><td>1437</td>\r\n<td>HPR New Year Show 2013-2014 After Show 2 of 4</td>\r\n<td>Various Hosts</td>\r\n</tr>\r\n  \r\n<tr><td>1438</td>\r\n<td>HPR New Year Show 2013-2014 After Show 3 of 4</td>\r\n<td>Various Hosts</td>\r\n</tr>\r\n  \r\n<tr><td>1439</td>\r\n<td>HPR New Year Show 2013-2014 After Show 4 of 4</td>\r\n<td>Various Hosts</td>\r\n</tr>\r\n  \r\n<tr><td>1440</td>\r\n<td>Creating a Key Pair - GUI Client</td>\r\n<td>Ahuka</td>\r\n</tr>\r\n  \r\n<tr><td>1441</td>\r\n<td>Jono Bacon and Stuart Langridge talk with pokey</td>\r\n<td>pokey</td>\r\n</tr>\r\n  \r\n<tr><td>1442</td>\r\n<td>Google Summer of Code</td>\r\n<td>Jonathan Nadeau</td>\r\n</tr>\r\n  \r\n<tr><td>1443</td>\r\n<td>Fahrenheit 0-100</td>\r\n<td>Bill_MI</td>\r\n</tr>\r\n  \r\n<tr><td>1444</td>\r\n<td>What is Firefox OS?</td>\r\n<td>J. A. Mathis</td>\r\n</tr>\r\n  \r\n<tr><td>1445</td>\r\n<td>22 - LibreOffice Writer Other Frame Styles</td>\r\n<td>Ahuka</td>\r\n</tr>\r\n  \r\n<tr><td>1446</td>\r\n<td>Interview with Fernando H. F. Botelho from the F123 group</td>\r\n<td>Ken Fallon</td>\r\n</tr>\r\n  \r\n<tr><td>1447</td>\r\n<td>HPR Coverage at FOSDEM 2014 Part 1/5</td>\r\n<td>Ken Fallon</td>\r\n</tr>\r\n  \r\n<tr><td>1448</td>\r\n<td>Intro to cable cutting</td>\r\n<td>Tracy Holz_Holzster</td>\r\n</tr>\r\n  \r\n<tr><td>1449</td>\r\n<td>Timelapse Video</td>\r\n<td>Peter64</td>\r\n</tr>\r\n  \r\n<tr><td>1450</td>\r\n<td>My Mobile digital life</td>\r\n<td>Knightwise</td>\r\n</tr>\r\n  \r\n<tr><td>1451</td>\r\n<td>Jeremy Allison ~ the SAMBA project</td>\r\n<td>Ken Fallon</td>\r\n</tr>\r\n  \r\n<tr><td>1452</td>\r\n<td>HPR Coverage at FOSDEM 2014 Part 3</td>\r\n<td>Ken Fallon</td>\r\n</tr>\r\n  \r\n<tr><td>1453</td>\r\n<td>HPR Coverage at FOSDEM 2014 Part 4</td>\r\n<td>Ken Fallon</td>\r\n</tr>\r\n  \r\n<tr><td>1454</td>\r\n<td>HPR Coverage at FOSDEM 2014 Part 5</td>\r\n<td>Ken Fallon</td>\r\n</tr>\r\n  \r\n<tr><td>1455</td>\r\n<td>23 - LibreOffice Writer Other Page Layout Options</td>\r\n<td>Ahuka</td>\r\n</tr>\r\n  \r\n</tbody>\r\n</table>\r\n',159,47,1,'CC-BY-SA','Community News',0,1356,1),
(1463,'2014-03-12','Code Is a Life Sucking Abyss, Also My Story ',925,'@sigflup','<p>\r\nIn this episode of Hacker Public Radio @sigflup talks about some of the pitfalls of programming as well as her story as a programmer.\r\n</p>',115,0,0,'CC-BY-SA','programming',0,1592,1),
(1466,'2014-03-17','Thoughts on GPS',1837,'pokey meanders through his thoughts on GPS.','<p>\r\nI\'ve always liked maps. Since getting a few GPS enabled devices maps have become even more useful to me, and I like them more and more all the time. Here is a brief episode on the GPS devices and map software that I use most often. I hope you enjoy my episode, and find something useful in it. The outro is a remix of Downright by Broam and Klaatu.\r\n</p>',128,0,1,'CC-BY-SA','GPS,TomTom,OSM Tracker,OsmDroid,OsmAnd,WAZE',0,1491,1),
(1467,'2014-03-18','How to win Find-The-Difference games',358,'pokey is probably better than you at \"Find The Difference\" games, but he won\'t be after this','<p>\r\nThis is a neat little trick that I discovered that you can use to get really high scores on those \"Find The Difference\" games that they have at some bars (there\'s at least one in the Google Play store too). After I recorded this show I played to see just how high I could score, and I turned the score over.\r\n</p>',128,0,1,'CC-BY-SA','game,Find The Difference',0,1349,1),
(1468,'2014-03-19','A Whole Lot of Nothing: Chromebook EOL, CentOS WTF, Non Mainstream GNU/Linux Distros and more...',3545,'Beto covers a wide range of subjects in this episode','<p>\r\nThis episode covers a little bit of everything. The end of life for Chromebooks and how that hurts in some ways, hacker public radio topics, CentOS and Red Hat joining, participate with a non mainstream GNU/Linux Distros, and much more.\r\n</p>\r\n<p>\r\nHere is a brief list of the topics and links covered in this episode:\r\n</p>\r\n\r\n<ul>\r\n<li>XFCE and Xubuntu is good, Crouton for Google Chromebook\r\n</li>\r\n<li>Chromebook EOL, WTF? I like the hardware but I want to use it until I\'m tired of using it, I don\'t want Apple or Google telling me otherwise.\r\n</li>\r\n<li>Distro wise what\'s next? I\'m not going to want to stick with Ubuntu much longer.\r\n</li>\r\n<li>CentOS, WTF? So on the server side what\'s next?\r\n</li>\r\n<li>Building your own distro from the ground up. It is a lot of work.\r\n</li>\r\n<li>Debian is by far still the best distro to stick with. I hope they don\'t jump ship.\r\n</li>\r\n<li>Bastion hosts are long gone, thank you and sorry Marcus J. Ranum.  Make way for clusters, customized systems, but generic and widely supported desktops. Sounds like Slackware to me, right?\r\n</li>\r\n<li>GNU/Linux Distribution Timeline <a href=\"https://futurist.se/gldt/\">https://futurist.se/gldt/</a> <a href=\"https://upload.wikimedia.org/wikipedia/commons/1/1b/Linux_Distribution_Timeline.svg\">https://upload.wikimedia.org/wikipedia/commons/1/1b/Linux_Distribution_Timeline.svg</a>\r\n</li>\r\n<li>Bridge Linux <a href=\"https://millertechnologies.net/\">https://millertechnologies.net/</a>\r\n</li>\r\n<li>Bedrock Linux <a href=\"https://bedrocklinux.org/index.html\">https://bedrocklinux.org/index.html</a>\r\n</li>\r\n<li>Indigogo <a href=\"https://www.indiegogo.com/projects/i-hate-being-single-season-2\">https://www.indiegogo.com/projects/i-hate-being-single-season-2</a>\r\n</li>\r\n<li>NCIX.com <a href=\"https://www.youtube.com/user/NCIXcom\">https://www.youtube.com/user/NCIXcom</a>\r\n</li>\r\n<li>Pod safe music <a href=\"https://www.freemusicarchive.org\">https://www.freemusicarchive.org</a>\r\n</li>\r\n<li>Configuration Management Configuration Deployment for Network automation <a href=\"https://packetpushers.net/show-176-intro-to-python-automation-for-network-engineers/\">https://packetpushers.net/show-176-intro-to-python-automation-for-network-engineers/</a>\r\n</li>\r\n<li>Duck Duck Go Goodies <a href=\"https://duckduckgo.com/goodies\">https://duckduckgo.com/goodies</a>\r\n</li>\r\n<li>Ansible <a href=\"https://www.ansible.com/home\">https://www.ansible.com/home</a>\r\n<p></p>\r\n</li>\r\n</ul>',231,0,1,'CC-BY-SA','XFCE,Debian,CentOS,Bridge Linux,Bedrock Linux,Ansible',0,1559,1),
(1471,'2014-03-24','Encrypt Your Stuff With Blowfish ',300,'@sigflup tells us how to Encrypt Your Stuff With Blowfish with openssl on the command line','<pre>\r\nencrypting:\r\n$ openssl bf -e &lt; my_file &gt; my_file.bf\r\n\r\ndecrypting:\r\n$ openssl bf -d &lt; my_file.bf &gt; my_file\r\n</pre>',115,74,0,'CC-BY-SA','openssl,BlowFish,encryption',0,1576,1),
(1543,'2014-07-02','What\'s in my bag',1154,'The contents of Ken\'s bag as he prepares for OHM 2013','<h2>Items</h2>\n <ul>\n  <li>Targus 17 - 18 inch / 43.1cm - 45.7cm XL Laptop Backpack: <a href=\"https://www.targus.com/uk/product_details.asp?sku=tcb001eu\">https://www.targus.com/uk/product_details.asp?sku=tcb001eu</a><ul>\n    <li>Case Logic VNB-217-BLACK: <a href=\"https://www.caselogic.com/en-us/us/products/laptop-cases/laptop-backpacks/17-laptop-backpack-_-vnb_-_217_-_black\">https://www.caselogic.com/en-us/us/products/laptop-cases/laptop-backpacks/17-laptop-backpack-_-vnb_-_217_-_black</a></li>\n   </ul>\n  </li>\n  <li>Poncho</li>\n  <li>Bottle of water</li>\n  <li>Dell Latitude E6420: <a href=\"https://www.dell.com/au/business/p/latitude-e6420/pd\">https://www.dell.com/au/business/p/latitude-e6420/pd</a></li>\n  <li>Perl Pocket Reference, 5th Edition: <a href=\"https://shop.oreilly.com/product/0636920018476.do\">https://shop.oreilly.com/product/0636920018476.do</a></li>\n  <li>Essential System Administration Pocket Reference: <a href=\"https://shop.oreilly.com/product/9780596004491.do\">https://shop.oreilly.com/product/9780596004491.do</a></li>\n  <li>The MagPi magazine: <a href=\"https://www.themagpi.com/\">https://www.themagpi.com/</a></li>\n  <li>Acer C7 Chromebook: <a href=\"https://www.google.com/intl/en/chrome/devices/acer-c7-chromebook.html#ac-c7\">https://www.google.com/intl/en/chrome/devices/acer-c7-chromebook.html#ac-c7</a><ul>\n    <li>Sonar GNU/Linux: <a href=\"https://www.sonar-project.org/\">https://www.sonar-project.org/</a></li>\n   </ul>\n  </li>\n  <li>Optical wired Mouse: <a href=\"https://www.trust.com/products/product.aspx?artnr=16591\">https://www.trust.com/products/product.aspx?artnr=16591</a></li>\n  <li>Sanza Clip: <a href=\"https://www.sandisk.co.uk/products/music-video-players/clip-plus-mp3-player/\">https://www.sandisk.co.uk/products/music-video-players/clip-plus-mp3-player/</a><ul>\n    <li>RockBox: <a href=\"https://www.rockbox.org/wiki/SansaClip\">https://www.rockbox.org/wiki/SansaClip</a></li>\n    <li>TrueCrypt: <a href=\"https://www.truecrypt.org/\">https://www.truecrypt.org/</a></li>\n   </ul>\n  </li>\n  <li>Huawei Ascend G510: <a href=\"https://consumer.huawei.com/en/mobile-phones/smart-phones/overview/g510-en.htm\">https://consumer.huawei.com/en/mobile-phones/smart-phones/overview/g510-en.htm</a><ul>\n    <li>iBood: <a href=\"https://www.ibood.com/\">https://www.ibood.com/</a></li>\n    <li>HTC Desire running CyanogenMod: <a href=\"https://wiki.cyanogenmod.org/w/Bravo_Info\">https://wiki.cyanogenmod.org/w/Bravo_Info</a></li>\n   </ul>\n  </li>\n  <li>Zoom H2: <a href=\"https://www.zoom.co.jp/english/products/h2/\">https://www.zoom.co.jp/english/products/h2/</a><ul>\n    <li>TERTIAL: <a href=\"https://www.ikea.com/gb/en/catalog/products/40370283/\">https://www.ikea.com/gb/en/catalog/products/40370283/</a></li>\n    <li>Tertial lamp into microphone stand: <a href=\"https://www.ikeahackers.net/2011/04/tertial-lamp-into-microphone-stand.html\">https://www.ikeahackers.net/2011/04/tertial-lamp-into-microphone-stand.html</a></li>\n    <li>Remove Before Flight: <a href=\"https://www.rotary13b1.com/images/products/1084_reg.jpg\">https://www.rotary13b1.com/images/products/1084_reg.jpg</a></li>\n   </ul>\n  </li>\n  <li>USB Male to Micro USB Male Data/Charging Cable: <a href=\"https://dx.com/p/usb-male-to-micro-usb-male-data-charging-cable-for-samsung-i9100-10cm-length-105025\">https://dx.com/p/usb-male-to-micro-usb-male-data-charging-cable-for-samsung-i9100-10cm-length-105025</a></li>\n  <li>Mini to Micro USB: <a href=\"https://dx.com/p/micro-usb-male-to-mini-usb-female-adapter-black-129131\">https://dx.com/p/micro-usb-male-to-mini-usb-female-adapter-black-129131</a></li>\n  <li>Pens</li>\n  <li>3 RasberryPi\'s: <a href=\"https://www.raspberrypi.org/\">https://www.raspberrypi.org/</a><ul>\n    <li>ModMyPi: <a href=\"https://www.modmypi.com/\">https://www.modmypi.com/</a></li>\n    <li>HDMI to VGA: HDMI v1.3 Male to VGA Female Converter Adapter w/ 3.5mm Audio Jack - Black</li>\n    <li>config.txt hdmi_safe=1 <ul>\n      <li>for more options see <a href=\"https://elinux.org/RPi_config.txt\">https://elinux.org/RPi_config.txt</a></li>\n     </ul>\n    </li>\n    <li>USB Male to Male Cables: <a href=\"https://dx.com/p/usb-male-to-male-cables-pair-24-5cm-length-103841\">https://dx.com/p/usb-male-to-male-cables-pair-24-5cm-length-103841</a></li>\n    <li>Eminent USB to Serial: 067b:2303 Prolific Technology, Inc. PL2303 Serial Port</li>\n    <li>DVI 24+1 Male to HDMI Female Adapter: <a href=\"https://dx.com/p/gold-plated-dvi-24-1-male-to-hdmi-female-adapter-81593\">https://dx.com/p/gold-plated-dvi-24-1-male-to-hdmi-female-adapter-81593</a> (Not exactly the same one)</li>\n    <li>1080P HDMI V1.3 Male to Male Connection Cable (50cm): <a href=\"https://dx.com/p/1080p-hdmi-v1-3-male-to-male-connection-cable-50cm-140332\">https://dx.com/p/1080p-hdmi-v1-3-male-to-male-connection-cable-50cm-140332</a></li>\n    <li>Short Ethernet Cable: <a href=\"https://en.wikipedia.org/wiki/Ethernet_cable\">https://en.wikipedia.org/wiki/Ethernet_cable</a></li>\n    <li>Short Ethernet Crossover Cable: <a href=\"https://en.wikipedia.org/wiki/Ethernet_crossover_cable\">https://en.wikipedia.org/wiki/Ethernet_crossover_cable</a></li>\n    <li>Foldable Flexible Compact Waterproof USB Silicone Keyboard - Color Assorted (85 Keys): <a href=\"https://dx.com/p/foldable-flexible-compact-waterproof-usb-silicone-keyboard-color-assorted-85-keys-55897\">https://dx.com/p/foldable-flexible-compact-waterproof-usb-silicone-keyboard-color-assorted-85-keys-55897</a></li>\n    <li>7 Ports Powered USB Hub: <a href=\"https://dx.com/p/7-ports-powered-usb-hub-678\">https://dx.com/p/7-ports-powered-usb-hub-678</a></li>\n   </ul>\n  </li>\n  <li>OV-chipkaart: <a href=\"https://www.ov-chipkaart.nl/?taal=en\">https://www.ov-chipkaart.nl/?taal=en</a></li>\n  <li>Compulsory identification: <a href=\"https://www.iamsterdam.com/en-GB/living/official-matters/compulsory-identification\">https://www.iamsterdam.com/en-GB/living/official-matters/compulsory-identification</a></li>\n </ul><pre>\n$ cat pringbooklet\n#!/bin/bash\n\n#HTML Input --&gt; HTML 2 PS --&gt; PS 2 PDF --&gt; PDF Output\n#lpstat -p |awk \'{print $2}\'\n\nif [ $# -lt 2 ]\nthen\n  echo \"\"\n  echo \"Usage: `basename $0` {pdf file} {printer name}\"\n  echo \"\"\n  echo \"Available printers: \\\"$(echo $(lpstat -p |awk \'{print $2}\' ) )\\\"\"\n  echo \"\"\n  exit\nfi\n\nFILE=$1\nPRINTER=$2\n\n\nif [ $# -eq 3 ]\nthen\n  COPIES=\"$3\"\nelse\n  COPIES=\"1\"\nfi\n\nif [ ! -e $FILE ];\nthen\n  echo \"Can\'t find the PDF file $1\"\n  exit\nfi\n\npdftops -level3 $FILE - | ps2ps - - | psbook | psnup -2 -Pa4 | ps2pdf - |\\\n    lp -d $PRINTER -o media=a4 -o sides=two-sided-short-edge -n $COPIES -\n</pre>',30,23,1,'CC-BY-SA','laptop backpack,OHM 2013',0,1325,1),
(1474,'2014-03-27','A behind the Curtain Look at OsmAnd (OSM Automated Navigation Directions) with Pokey and David',5303,'David and Pokey talk about the OsmAnd app','<p>\r\nThanks to Pokey for being the expert in this oggcast. \r\nNote: The song \'Do The Hokey Pokey is copyrighted\'\r\n</p>\r\n<p>\r\n<a href=\"https://osmand.net\">https://osmand.net</a>\r\n</p>\r\n\r\n<h2>Functionality</h2>\r\n\r\n<p>\r\nOsmAnd (OSM Automated Navigation Directions) is a map and navigation application with access to the free, worldwide, and high-quality OpenStreetMap (OSM) data. All map data can be stored on your device\'s memory card for offline use. Via your device\'s GPS, OsmAnd offers routing, with optical and voice guidance, for car, bike, and pedestrian. All the main functionalities work both online and offline (no internet needed). Some of the main features:\r\n</p>\r\n\r\n<h3>Navigation</h3>\r\n\r\n<ul>\r\n<li>Works online (fast) or offline (no roaming charges when you are abroad)\r\n</li>\r\n<li>Turn-by-turn voice guidance (recorded and synthesized voices)\r\n</li>\r\n<li>Optional lane guidance, street name display, and estimated time of arrival\r\n</li>\r\n<li>Supports intermediate points on your itinerary\r\n</li>\r\n<li>Automatic re-routing whenever you deviate from the route\r\n</li>\r\n<li>Search for places by address, by type (e.g.: restaurant, hotel, gas station, museum), or by geographical coordinates \r\n</li>\r\n</ul>\r\n\r\n<h3>Map Viewing</h3>\r\n\r\n<ul>\r\n<li>Display your position and orientation on the map\r\n</li>\r\n<li>Optionally align the map according to compass or your direction of motion\r\n</li>\r\n<li>Save your most important places as Favorites\r\n</li>\r\n<li>Display POIs (point of interests) around you\r\n</li>\r\n<li>Can display specialized online tile maps\r\n</li>\r\n<li>Can display satellite view (from Bing)\r\n</li>\r\n<li>Can display different overlays like touring/navigation GPX tracks and additional maps with customizable transparency\r\n</li>\r\n<li>Optionally display place names in English, local, or phonetic spelling \r\n</li>\r\n</ul>\r\n\r\n<h3>Use OpenStreetMap and Wikipedia Data</h3>\r\n\r\n<ul>\r\n<li>High quality information from the best collaborative projects of the world\r\n</li>\r\n<li>Global maps from OpenStreetMap, available per country or region\r\n</li>\r\n<li>Wikipedia POIs, great for sightseeing (not available in free version)\r\n</li>\r\n<li>Unlimited free download, directly from the app (download limit 16 map files in free version)\r\n</li>\r\n<li>Always up-to-date maps (updated at least once a month)\r\n</li>\r\n<li>Compact offline vector maps\r\n</li>\r\n<li>Select between complete map data and just road network (Example: All of Japan is 700 MB, or 200 MB for the road network only)\r\n</li>\r\n<li>Also supports online or cached tile maps \r\n</li>\r\n</ul>\r\n\r\n<h3>Safety Features</h3>\r\n\r\n<ul>\r\n<li>Optional automated day/night view switching\r\n</li>\r\n<li>Optional speed limit display, with reminder if you exceed it\r\n</li>\r\n<li>Optional speed-dependent map zooming\r\n</li>\r\n<li>Share your location so that your friends can find you \r\n</li>\r\n</ul>\r\n\r\n<h3>Bicycle and Pedestrian Features</h3>\r\n\r\n<ul>\r\n<li>The maps include foot, hiking, and bike paths, great for outdoor activities\r\n</li>\r\n<li>Special routing and display modes for bike and pedestrian\r\n</li>\r\n<li>Optional public transport stops (bus, tram, train) including line names\r\n</li>\r\n<li>Optional trip recording to local GPX file or online service\r\n</li>\r\n<li>Optional speed and altitude display\r\n</li>\r\n<li>Display of contour lines and hill-shading (via additional plugin) \r\n</li>\r\n</ul>\r\n\r\n<h3>Directly Contribute to OpenStreetMap</h3>\r\n\r\n<ul>\r\n<li>Report map bugs\r\n</li>\r\n<li>Upload GPX tracks to OSM directly from the app\r\n</li>\r\n<li>Add POIs and directly upload them to OSM (or later if offline)\r\n</li>\r\n<li>Optional trip recording also in background mode (while device is in sleep mode) \r\n</li>\r\n</ul>\r\n\r\n<p>\r\nOsmAnd is open source and actively being developed. Everyone can contribute to the application by reporting bugs, improving translations, or coding new features. The project is in a lively state of continuous improvement by all these forms of developer and user interaction. The project progress also relies on financial contributions to fund the development, coding, and testing of new functionalities. By buying OsmAnd+ you help the application to be even more awesome! It is also possible to fund specific new features, or to make a general donation on osmand.net. \r\n<a href=\"https://osmand.net\">https://osmand.net</a>\r\n</p>\r\n<p>\r\nOsmAnd (OSM Automated Navigation Directions)\r\n</p>\r\n<p>\r\nGPL \r\n</p>',209,0,1,'CC-BY-SA','OSM,map,GPS,OsmAnd',0,1473,1),
(1476,'2014-03-31','Sega Genesis Music Driver',1188,'@sigflup interviews kubilus1 about his VGM driver for the Sega Genesis/Megadrive','<p>\r\nsigflup and kubilus1 talk about kubilus1\'s vgm driver for the Sega Genesis/Megadrive. \r\n</p>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n<li>DefleMask: <a href=\"https://www.delek.com.ar/deflemask\">https://www.delek.com.ar/deflemask</a>\r\n</li>\r\n<li>Genesis Linux Setup: <a href=\"https://code.google.com/p/gendev/\">https://code.google.com/p/gendev/</a>\r\n</li>\r\n<li>VGM Driver: <a href=\"https://code.google.com/p/gendev/source/browse/#svn%2Ftrunk%2Fextras%2Fsound_drvr%2Fdriver\">https://code.google.com/p/gendev/source/browse/#svn%2Ftrunk%2Fextras%2Fsound_drvr%2Fdriver</a>\r\n</li>\r\n<li>Spritesmind forums: <a href=\"https://gendev.spritesmind.net/forum\">https://gendev.spritesmind.net/forum</a>\r\n</li>\r\n</ul>',115,0,0,'CC-BY-SA','Sega Genesis,Sega Megadrive,VGM,Video Game Music,SDCC,Small Device C Compiler',0,1351,1),
(1472,'2014-03-25','How I Found Linux',839,'CPrompt^ goes into how he found linux and never looked back...','<p>\r\nCPrompt^ goes into how he found linux and never looked back...\r\n</p>\r\n\r\n<ul>\r\n<li>Fragfest : <a href=\"https://en.wikipedia.org/wiki/Fragfest\">https://en.wikipedia.org/wiki/Fragfest</a>\r\n</li>\r\n<li>Mandrake : <a href=\"https://en.wikipedia.org/wiki/Mandriva_Linux\">https://en.wikipedia.org/wiki/Mandriva_Linux</a>\r\n</li>\r\n</ul>',252,29,0,'CC-BY-SA','Mandrake,Mandriva,OpenMandriva,Slackware,Debian,Ubuntu',0,1512,1),
(1473,'2014-03-26','FOSDEM Discussion',1384,'Dave chats with his friend Tom about their experiences of FOSDEM 2014','<p>\r\nI decided to attend FOSDEM 2014 this year. I had thought about going\r\nto last year\'s conference but didn\'t get organised enough to make it.\r\nWhen I mentioned my plans to my friend Tom, he thought he\'d attend\r\ntoo, and we agreed to meet up there.\r\n</p>\r\n<p>\r\nWhen we got back from the conference I wanted to record a conversation\r\nwith Tom about our impressions of the event. We tried to do this four\r\ntimes before we finally managed it. We struggled through one recorder\r\nbattery failure and two Mumble failures before we achieved success.\r\nThis is the result of our conversation.\r\n</p>\r\n<p>\r\nApologies for the phone interference in the background, I hadn\'t\r\nrealised the recorder (a Tascam DR-07) would pick it up.\r\n</p>\r\n\r\n<h2>Links:</h2>\r\n\r\n<ul>\r\n<li><a href=\"https://fosdem.org/2014/\">https://fosdem.org/2014/</a>\r\n</li>\r\n<li><a href=\"https://fosdem.org/2014/schedule/event/keynotes_welcome/\">https://fosdem.org/2014/schedule/event/keynotes_welcome/</a>\r\n</li>\r\n<li><a href=\"https://fosdem.org/2014/schedule/event/how_we_found_600000_grammar_errors/\">https://fosdem.org/2014/schedule/event/how_we_found_600000_grammar_errors/</a>\r\n</li>\r\n<li><a href=\"https://fosdem.org/2014/schedule/event/wikivisualeditor/\">https://fosdem.org/2014/schedule/event/wikivisualeditor/</a>\r\n</li>\r\n<li><a href=\"https://fosdem.org/2014/schedule/event/postfix_lessons_learned_and_recent_developments/\">https://fosdem.org/2014/schedule/event/postfix_lessons_learned_and_recent_developments/</a>\r\n</li>\r\n<li><a href=\"https://fosdem.org/2014/schedule/event/net_ldap/\">https://fosdem.org/2014/schedule/event/net_ldap/</a>\r\n</li>\r\n<li><a href=\"https://fosdem.org/2014/schedule/event/graphdevroom_analyzebio4j/\">https://fosdem.org/2014/schedule/event/graphdevroom_analyzebio4j/</a>\r\n</li>\r\n<li><a href=\"https://www.flickr.com/photos/sourdough/sets/72157640503490723/\">https://www.flickr.com/photos/sourdough/sets/72157640503490723/</a>\r\n</li>\r\n</ul>',225,97,1,'CC-BY-SA','FOSDEM',0,1357,1),
(1477,'2014-04-01','OSI layer 3',1720,'OSI layer 3','<h2>Spoiler</h2>\r\n<p>Yes we would listen to them reading a phone book. A link for the younger listeners that may have never seen a <a href=\"https://en.wikipedia.org/wiki/Telephone_directory\">https://en.wikipedia.org/wiki/Telephone_directory</a>.</p>\r\n\r\n<p>\r\nIn today\'s show we continue our look at The OSI model for network communications, with examples of Layer 3 been given with particular focus on Geography diverse Host addressing. \r\n<p>From Wikipedia: <a href=\"https://en.wikipedia.org/wiki/OSI_layer_3\">https://en.wikipedia.org/wiki/OSI_layer_3</a></p>\r\n<em>\r\n<p>In the seven-layer OSI model of computer networking, the network layer is layer 3. The network layer is responsible for packet forwarding including routing through intermediate routers, whereas the data link layer is responsible for media access control, flow control and error checking.</p>\r\n\r\n<h2>Functions</h2>\r\n<p>The network layer provides the functional and procedural means of transferring variable-length data sequences from a source to a destination host via one or more networks, while maintaining the quality of service functions.</p>\r\n<p>Functions of the network layer include:</p>\r\n<ul>\r\n<li>Connection model: connectionless communication</li>\r\n</ul>\r\n<dl>\r\n<dd>For example, IP is connectionless, in that a datagram can travel from a sender to a recipient without the recipient having to send an acknowledgement. Connection-oriented protocols exist at other, higher layers of the OSI model.</dd>\r\n</dl>\r\n<ul>\r\n<li>Host addressing</li>\r\n</ul>\r\n<dl>\r\n<dd>Every host in the network must have a unique address that determines where it is. This address is normally assigned from a hierarchical system. For example, you can be \"Fred Murphy\" to people in your house, \"Fred Murphy, 1 Main Street\" to Dubliners, or \"Fred Murphy, 1 Main Street, Dublin\" to people in Ireland, or \"Fred Murphy, 1 Main Street, Dublin, Ireland\" to people anywhere in the world. On the Internet, addresses are known as Internet Protocol (IP) addresses.</dd>\r\n</dl>\r\n<ul>\r\n<li>Message forwarding</li>\r\n</ul>\r\n<dl>\r\n<dd>Since many networks are partitioned into subnetworks and connect to other networks for wide-area communications, networks use specialized hosts, called gateways or routers, to forward packets between networks. This is also of interest to mobile applications, where a user may move from one location to another, and it must be arranged that his messages follow him. Version 4 of the Internet Protocol (IPv4) was not designed with this feature in mind, although mobility extensions exist. IPv6 has a better designed solution.</dd>\r\n</dl>\r\n<p>Within the service layering semantics of the OSI network architecture, the network layer responds to service requests from the transport layer and issues service requests to the data link layer.</p>\r\n</em>',109,83,0,'CC-BY-SA','April Fools',0,1470,1),
(1478,'2014-04-02','Batteries Part 2',2883,'My early experience with batteries &amp; memorable battery operated devices','<p>\r\nA show about batteries - Part 2\r\n</p>\r\n<p>\r\nMy Slow Battery Charger\r\nHahnel Powerstation TC Max, provides gentle overnight trickle charging \r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.amazon.co.uk/Hahnel-Powerstation-TC-Compact-Batteries/dp/B00007B5CE\">https://www.amazon.co.uk/Hahnel-Powerstation-TC-Compact-Batteries/dp/B00007B5CE</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nPowerbase battery electric drill, had difficult finding a good link to an example of the drill. \r\nIt came with a selection of drill bits, sockets and two double ended screwdriver bits.\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.bumblebeeauctions.co.uk/XcAPViewItem.asp?ID=137697\">https://www.bumblebeeauctions.co.uk/XcAPViewItem.asp?ID=137697</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nCannon A80 digital Camera\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.canon.co.uk/For_Home/Product_Finder/Cameras/Digital_Camera/PowerShot/PowerShot_A80/\">https://www.canon.co.uk/For_Home/Product_Finder/Cameras/Digital_Camera/PowerShot/PowerShot_A80/</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nA picture of my trusty Philips 5890 Shaver\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://urun.gittigidiyor.com/kozmetik-kisisel-bakim/philips-philishave-5890-tras-makinasi-77027302\">https://urun.gittigidiyor.com/kozmetik-kisisel-bakim/philips-philishave-5890-tras-makinasi-77027302</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nGarmin Streetpilot i3 GPS Navigation System\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.amazon.co.uk/Garmin-Streetpilot-i3-Navigation-Mapping/dp/B000BMPJOE\">https://www.amazon.co.uk/Garmin-Streetpilot-i3-Navigation-Mapping/dp/B000BMPJOE</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nSansa Clip+\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Sansa_Clip#Sansa_Clip\">https://en.wikipedia.org/wiki/Sansa_Clip#Sansa_Clip</a>\r\n</li>\r\n<li>So popular that it\'s still available today many years later\r\n  <a href=\"https://www.amazon.co.uk/SanDisk-Sansa-Player-Expandable-MicroSD/dp/B002NX0ME6\">https://www.amazon.co.uk/SanDisk-Sansa-Player-Expandable-MicroSD/dp/B002NX0ME6</a>\r\n<p></p>\r\n</li>\r\n</ul>\r\n',201,0,0,'CC-BY-SA','battery,charger,trickle charger',0,1396,1),
(1548,'2014-07-09','Heyu and X10',1780,'Peter64 and Jonathan Nadeau talk about Heyu and X10','<p>\r\nIn today\'s backup show, Peter64 submits a devrandom segment about Heyu and X10 he did with Jonathan Nadeau. \r\n</p>\r\n<p>\r\n<a href=\"https://www.sonar-project.org/\">https://www.sonar-project.org/</a>\r\n</p>\r\n<p>\r\n<a href=\"https://accessiblecomputingfoundation.org/\">https://accessiblecomputingfoundation.org/</a>\r\n</p>\r\n<p>\r\nA good place to look at modules ie the CM11 computer module, light \r\nmodules, appliance modules etc\r\n</p>\r\n<p>\r\n<a href=\"https://www.x10controller.com/kit.html\">https://www.x10controller.com/kit.html</a>\r\n</p>\r\n<p>\r\nHeyu\r\n<a href=\"https://www.heyu.org/\">https://www.heyu.org/</a>\r\n</p>\r\n<p>\r\nDomus Link\r\n<a href=\"https://domus.link.co.pt/\">https://domus.link.co.pt/</a>   \r\n</p>\r\n<p>\r\nAndroid App\r\n<a href=\"https://www.appszoom.com/android_applications/tools/domuslink_yjlt.html\">https://www.appszoom.com/android_applications/tools/domuslink_yjlt.html</a>\r\n</p>\r\n<p>\r\nDoor Locks/strikes\r\n</p>\r\n<p>\r\n<a href=\"https://tinyurl.com/c3j654a\">https://tinyurl.com/c3j654a</a>\r\n</p>\r\n<p>\r\n<a href=\"https://tinyurl.com/d7ckcde\">https://tinyurl.com/d7ckcde</a>\r\n</p>',232,0,1,'CC-BY-SA','Heyu,X10',0,1330,1),
(1568,'2014-08-06','Blather Speech Recognition for Linux',399,'Jon has a conversation with his computer','<h2>Blather Speech Recognition for Linux: Jon has a conversation with his computer</h2>\r\n <p>In this episode I have a <strong>blather</strong> conversation with my computer. This is a sort of appendix to an episode I released earlier (hpr 1284 <a href=\"https://hackerpublicradio.org/eps.php?id=1284\">https://hackerpublicradio.org/eps.php?id=1284</a>) which was a conversation with <a href=\"https://www.jezra.net/\" target=\"_blank\">Jezra</a>, the lead developer of the blather speech recognition program for Linux. The current episode will make much more sense if you listen to the previous one first.</p>\r\n <p>For the most part I use blather as an accessibility tool, to manipulate my desktop and generally to save myself hundreds of keystrokes a day. This is important because of my repetitive strain injuries. Blather allows me to do many “productivity” tasks using only my voice. I also like to have fun with it, though, and this “conversation” is an example of the sort of goofy stuff I like to do. When the computer hears me say certain predefined phrases, it runs commands. For example when I say “what’s for dinner,” it shuffles the contents of a plaintext file that has about 20 options for dinner, chooses the top option and pipes it through my default text-to-speech program, which is either <code>espeak</code> or <code>festival</code>, depending on what I set as the environment variable in my blather startup script. When it hears me ask for certain other information, such as “what day is it?” and “what’s today’s date?”, it runs the appropriate system command and pipes the output through the text-to-speech program. For information about blather, the various back-end things that make it work, examples of my blather scripts and configuration files, visit the links below.</p>\r\n <hr />\r\n <h2>Links</h2>\r\n <ul>\r\n  <li>Blather source code: <a href=\"https://gitorious.org/blather\" target=\"_blank\">https://gitorious.org/blather</a></li>\r\n  <li>Jezra’s site: <a href=\"https://www.jezra.net/\" target=\"_blank\">https://www.jezra.net/</a></li>\r\n  <li>Sphinx page: <a href=\"https://cmusphinx.sourceforge.net/\" target=\"_blank\">https://cmusphinx.sourceforge.net/</a></li>\r\n  <li>Sphinx knowledge base tool: <a href=\"https://www.speech.cs.cmu.edu/tools/lmtool-new.html\" target=\"_blank\">https://www.speech.cs.cmu.edu/tools/lmtool-new.html</a></li>\r\n  <li>Blather Video Demo Playlist on YouTube <a href=\"https://www.youtube.com/playlist?list=PLvB_ffZs45ufhOnw1epfjncXYRa5pfGw8\" target=\"_blank\">https://www.youtube.com/playlist?list=PLvB_ffZs45ufhOnw1epfjncXYRa5pfGw8</a></li>\r\n  <li>My blog intro to Blather: <a href=\"https://jonathankulp.org/blog.html#blather\" target=\"_blank\">https://jonathankulp.org/blog.html#blather</a></li>\r\n  <li>Snapshot of my blather commands file: <a href=\"https://paste.jonkulp.net/sicegamupi.tex\" target=\"_blank\">https://paste.jonkulp.net/sicegamupi.tex</a></li>\r\n  <li>Blather dependencies for Debian <a href=\"https://paste.jonkulp.net/lolilabuje\" target=\"_blank\">https://paste.jonkulp.net/lolilabuje</a></li>\r\n  <li>My Blather startup script: <a href=\"https://paste.jonkulp.net/xatanejawa\" target=\"_blank\">https://paste.jonkulp.net/xatanejawa</a></li>\r\n  <li>Blog post on pocketsphinx gstreamer config: how to fix “vader not found” problem <a href=\"https://jonathankulp.org/blog.html#blather_vader\" target=\"_blank\">https://jonathankulp.org/blog.html#blather_vader</a></li>\r\n  <li>“What time is it?” script <a href=\"https://paste.jonkulp.net/humogedole.vbs\" target=\"_blank\">https://paste.jonkulp.net/humogedole.vbs</a></li>\r\n </ul>',238,0,0,'CC-BY-SA','Speech Recognition, Speech Recognition In Linux, bash scripting, GNU/Linux (Operating System), sphinx, pocketsphinx, automation',0,0,1),
(1651,'2014-12-01','HPR Community News for November 2014',3800,'HPR Community News for November 2014','<h2>New hosts</h2>\n <p>Welcome to our new hosts:<br /><a href=\"https://hackerpublicradio.org/correspondents/0289.html\">pyrrhic</a>, <a href=\"https://hackerpublicradio.org/correspondents/0290.html\">Al</a>.</p>\n <h2>Last Month\'s Shows</h2>\n <table id=\"t01\">\n  <tr>\n   <th>Id</th>\n   <th>Date</th>\n   <th>Title</th>\n   <th>Host</th>\n  </tr>\n  <tr>\n   <td><strong>1631</strong></td>\n   <td>2014-11-03</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1631\">HPR Community News for October 2014</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\">HPR Volunteers</a></td>\n  </tr>\n  <tr>\n   <td><strong>1632</strong></td>\n   <td>2014-11-04</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1632\">5150 Shades of Beer: 0002 Wichita Brewing Company</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0131.html\">FiftyOneFifty</a></td>\n  </tr>\n  <tr>\n   <td><strong>1633</strong></td>\n   <td>2014-11-05</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1633\">The OggCamp organizers</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0288.html\">beni</a></td>\n  </tr>\n  <tr>\n   <td><strong>1634</strong></td>\n   <td>2014-11-06</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1634\">How I got into Linux</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0289.html\">pyrrhic</a></td>\n  </tr>\n  <tr>\n   <td><strong>1635</strong></td>\n   <td>2014-11-07</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1635\">41 - LibreOffice Calc - Data Manipulation 1: Sorting and AutoFilter</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\n  </tr>\n  <tr>\n   <td><strong>1636</strong></td>\n   <td>2014-11-10</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1636\">How I make coffee</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\">Dave Morriss</a></td>\n  </tr>\n  <tr>\n   <td><strong>1637</strong></td>\n   <td>2014-11-11</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1637\">Communities Are Made of People</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0131.html\">FiftyOneFifty</a></td>\n  </tr>\n  <tr>\n   <td><strong>1638</strong></td>\n   <td>2014-11-12</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1638\">Surviving A Roadtrip: Food</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0215.html\">Windigo</a></td>\n  </tr>\n  <tr>\n   <td><strong>1639</strong></td>\n   <td>2014-11-13</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1639\">Ken Starks at Ohio Linux Fest 2014</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\n  </tr>\n  <tr>\n   <td><strong>1640</strong></td>\n   <td>2014-11-14</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1640\">Symmetric vs. Asymmetric Encryption</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\n  </tr>\n  <tr>\n   <td><strong>1641</strong></td>\n   <td>2014-11-17</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1641\">The real reasons for using Linux</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0233.html\">johanv</a></td>\n  </tr>\n  <tr>\n   <td><strong>1642</strong></td>\n   <td>2014-11-18</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1642\">Frist Time at Oggcamp</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0290.html\">Al</a></td>\n  </tr>\n  <tr>\n   <td><strong>1643</strong></td>\n   <td>2014-11-19</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1643\">Unison Syncing Utility</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0131.html\">FiftyOneFifty</a></td>\n  </tr>\n  <tr>\n   <td><strong>1644</strong></td>\n   <td>2014-11-20</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1644\">Opensource.com: Benetech, OpenStack and Kumusha</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0280.html\">semioticrobotic</a></td>\n  </tr>\n  <tr>\n   <td><strong>1645</strong></td>\n   <td>2014-11-21</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1645\">42 - LibreOffice Calc - Data Manipulation 2: Standard and Advanced Filters</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\n  </tr>\n  <tr>\n   <td><strong>1646</strong></td>\n   <td>2014-11-24</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1646\">5150 Shades of Beer 0003 River City Brewing Company and Wichita Brewing Company</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0131.html\">FiftyOneFifty</a></td>\n  </tr>\n  <tr>\n   <td><strong>1647</strong></td>\n   <td>2014-11-25</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1647\">Oggcast Planet Live 2014: The Cooking Show</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0131.html\">FiftyOneFifty</a></td>\n  </tr>\n  <tr>\n   <td><strong>1648</strong></td>\n   <td>2014-11-26</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1648\">Bash parameter manipulation</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\">Dave Morriss</a></td>\n  </tr>\n  <tr>\n   <td><strong>1649</strong></td>\n   <td>2014-11-27</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1649\">Raspberry Pi Accessibility Breakthrough</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0282.html\">Mike Ray</a></td>\n  </tr>\n  <tr>\n   <td><strong>1650</strong></td>\n   <td>2014-11-28</td>\n   <td><a href=\"https://hackerpublicradio.org/eps.php?id=1650\">OCPLive2014 Night Life In Elysburg PA</a></td>\n   <td><a href=\"https://hackerpublicradio.org/correspondents/0131.html\">FiftyOneFifty</a></td>\n  </tr>\n </table>\n <h2>Comments this month</h2>\n <p>There are 25 comments:</p>\n <ul>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1649\">hpr1649</a></strong> (2014-11-27) \"<em>Raspberry Pi Accessibility Breakthrough</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0282.html\">Mike Ray</a>. <ol>\n    <li>Steve Bickle on 2014-11-27:\"Great Episode\"</li>\n    <li>Mike Ray on 2014-11-27:\"Pi Accessibility\"</li>\n    <li>Tony Wood on 2014-11-28:\"[no title]\"</li>\n    <li>Mike Ray on 2014-11-29:\"Over to you Tony\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1648\">hpr1648</a></strong> (2014-11-26) \"<em>Bash parameter manipulation</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0225.html\">Dave Morriss</a>. <ol>\n    <li>Tom Rodman on 2014-11-27:\"Thx for covering bash substring expansion\"</li>\n    <li>Mike Ray on 2014-11-29:\"Great stuff\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1643\">hpr1643</a></strong> (2014-11-19) \"<em>Unison Syncing Utility</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0131.html\">FiftyOneFifty</a>. <ol>\n    <li>0xf10e on 2014-11-20:\"[no title]\"</li>\n    <li>Frank on 2014-11-21:\"Two supplements on Unison\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1642\">hpr1642</a></strong> (2014-11-18) \"<em>Frist Time at Oggcamp</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0290.html\">Al</a>. <ol>\n    <li>Mike Ray on 2014-11-18:\"MaryTTS, clipping\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1641\">hpr1641</a></strong> (2014-11-17) \"<em>The real reasons for using Linux</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0233.html\">johanv</a>. <ol>\n    <li>Mikael on 2014-11-18:\"[no title]\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1640\">hpr1640</a></strong> (2014-11-14) \"<em>Symmetric vs. Asymmetric Encryption</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a>. <ol>\n    <li>johanv on 2014-11-18:\"Thank you for explaining this\"</li>\n    <li>Kevin O\'Brien on 2014-11-18:\"You\'re welcome\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1637\">hpr1637</a></strong> (2014-11-11) \"<em>Communities Are Made of People</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0131.html\">FiftyOneFifty</a>. <ol>\n    <li>Mikael on 2014-11-14:\"re Facebook\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1636\">hpr1636</a></strong> (2014-11-10) \"<em>How I make coffee</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0225.html\">Dave Morriss</a>. <ol>\n    <li>victor on 2014-11-09:\"Great episode! \"</li>\n    <li>expatpaul on 2014-11-12:\"Bialetti\"</li>\n    <li>Dave Morriss on 2014-11-12:\"Thanks for the feedback\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1630\">hpr1630</a></strong> (2014-10-31) \"<em>Bare Metal Programming on the Raspberry Pi (Part 2)</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0259.html\">Gabriel Evenfire</a>. <ol>\n    <li>Mike Ray on 2014-11-01:\"Another excellent episode\"</li>\n    <li>Gabriel Evenfire on 2014-11-01:\"Password protected PDF...\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1619\">hpr1619</a></strong> (2014-10-16) \"<em>Bare Metal Programming on the Raspberry Pi (Part 1)</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0259.html\">Gabriel Evenfire</a>. <ol>\n    <li>Alison Chaiken on 2014-11-09:\"Very valuable content\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1612\">hpr1612</a></strong> (2014-10-07) \"<em>Don\'t Forget the Referbs</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0235.html\">NYbill</a>. <ol>\n    <li>Charles in NJ on 2014-11-03:\"Returns are fun\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1599\">hpr1599</a></strong> (2014-09-18) \"<em>Interview with Ingmar Steiner from the MaryTTS project</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a>. <ol>\n    <li>Steve Bickle on 2014-11-09:\"How to for Debian\"</li>\n    <li>Mike Ray on 2014-11-13:\"MaryTTS howto etc\"</li>\n    <li>Steve Bickle on 2014-11-26:\"Horses for courses\"</li>\n    <li>Steve Bickle on 2014-11-26:\"Maryspeak project now on github\"</li>\n    <li>Mike Ray on 2014-11-28:\"maryspeak, great stuff\"</li>\n   </ol>\n  </li>\n </ul>',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1676,'2015-01-05','HPR Community News for December 2014',12060,'HPR Community News for December 2014 and part 3 of the New Year Show 18 to 20 Hundred.','<h1>HPR Community News for December 2014</h1>\n <h2>New hosts</h2>\n <p>Welcome to our new hosts:<br /><a href=\"https://hackerpublicradio.org/correspondents/0291.html\">Rill</a>, <a href=\"https://hackerpublicradio.org/correspondents/0292.html\">Michal Cieraszynski</a>.</p>\n <h2>Last Month\'s Shows</h2>\n <table id=\"t01\">\n  <tr>\n   <th align=\"left\">Id</th>\n   <th align=\"left\">Date</th>\n   <th align=\"left\">Title</th>\n   <th align=\"left\">Host</th>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1651\">1651</a></strong></td>\n   <td align=\"left\">2014-12-01</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1651\">HPR Community News for November 2014</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\">HPR Volunteers</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1652\">1652</a></strong></td>\n   <td align=\"left\">2014-12-02</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1652\">GeekSpeak 2013-06-01</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0158.html\">Various Creative Commons Works</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1653\">1653</a></strong></td>\n   <td align=\"left\">2014-12-03</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1653\">Ruth Suehle at Ohio Linux Fest 2014</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1654\">1654</a></strong></td>\n   <td align=\"left\">2014-12-04</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1654\">Using AS numbers to identify where you are on the Internet</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1655\">1655</a></strong></td>\n   <td align=\"left\">2014-12-05</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1655\">43 - LibreOffice Calc - Creating Pivot Tables</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1656\">1656</a></strong></td>\n   <td align=\"left\">2014-12-08</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1656\">My audio player collection</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\">Dave Morriss</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1657\">1657</a></strong></td>\n   <td align=\"left\">2014-12-09</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1657\">Hacking Gutenberg eBooks</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\">Jon Kulp</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1658\">1658</a></strong></td>\n   <td align=\"left\">2014-12-10</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1658\">Cool Stuff Part 2</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0252.html\">Curtis Adkins (CPrompt^)</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1659\">1659</a></strong></td>\n   <td align=\"left\">2014-12-11</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1659\">OggCamp Interview with Jon Archer</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0287.html\">corenominal</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1660\">1660</a></strong></td>\n   <td align=\"left\">2014-12-12</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1660\">Trying out Slackware</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0288.html\">beni</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1661\">1661</a></strong></td>\n   <td align=\"left\">2014-12-15</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1661\">OggCamp Interview with Paul Tansom</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0287.html\">corenominal</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1662\">1662</a></strong></td>\n   <td align=\"left\">2014-12-16</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1662\">LinuxLugCast Episode-001 Outtakes</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0265.html\">Kevin Wisher</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1663\">1663</a></strong></td>\n   <td align=\"left\">2014-12-17</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1663\">Interview with Greg Greenlee Founder of Blacks In Technology</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1664\">1664</a></strong></td>\n   <td align=\"left\">2014-12-18</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1664\">Life and Times of a Geek part 1</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\">Dave Morriss</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1665\">1665</a></strong></td>\n   <td align=\"left\">2014-12-19</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1665\">44 - LibreOffice Calc - Working With Pivot Tables</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1666\">1666</a></strong></td>\n   <td align=\"left\">2014-12-22</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1666\">Bare Metal Programming on the Raspberry Pi (Part 3)</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0259.html\">Gabriel Evenfire</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1667\">1667</a></strong></td>\n   <td align=\"left\">2014-12-23</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1667\">How to start a Blog</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0291.html\">Rill</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1668\">1668</a></strong></td>\n   <td align=\"left\">2014-12-24</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1668\">Nixstaller</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0078.html\">klaatu</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1669\">1669</a></strong></td>\n   <td align=\"left\">2014-12-25</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1669\">New Retro Computing</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0235.html\">NYbill</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1670\">1670</a></strong></td>\n   <td align=\"left\">2014-12-26</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1670\">Digital Signatures and Certificates</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1671\">1671</a></strong></td>\n   <td align=\"left\">2014-12-29</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1671\">LinuxLugCast Episode-002 Outtakes</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0265.html\">Kevin Wisher</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1672\">1672</a></strong></td>\n   <td align=\"left\">2014-12-30</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1672\">Systemd for Learner Drivers</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0284.html\">Steve Smethurst</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1673\">1673</a></strong></td>\n   <td align=\"left\">2014-12-31</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1673\">How I use ZFS on Linux</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0292.html\">Michal Cieraszynski</a></td>\n  </tr>\n </table>\n <h2>Comments this month</h2>\n <p>There are 31 comments:</p>\n <ul>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1667\">hpr1667</a></strong> (2014-12-23) \"<em>How to start a Blog</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0291.html\">Rill</a>. <ol>\n    <li>davi jordan on 2014-12-27:\"[no title]\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1666\">hpr1666</a></strong> (2014-12-22) \"<em>Bare Metal Programming on the Raspberry Pi (Part 3)</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0259.html\">Gabriel Evenfire</a>. <ol>\n    <li>Mike Ray on 2014-12-22:\"Another great episode\"</li>\n    <li>Gabriel Evenfire on 2014-12-24:\"Re: Another great episode\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1664\">hpr1664</a></strong> (2014-12-18) \"<em>Life and Times of a Geek part 1</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0225.html\">Dave Morriss</a>. <ol>\n    <li>0xf10e on 2014-12-20:\"Cool stuff ^^\"</li>\n    <li>Colin on 2014-12-22:\"Thanks Dave!\"</li>\n    <li>Dave Morriss on 2014-12-22:\"Appreciate the feedback\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1663\">hpr1663</a></strong> (2014-12-17) \"<em>Interview with Greg Greenlee Founder of Blacks In Technology</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a>. <ol>\n    <li>dodddummy on 2014-12-25:\"BIT rss feed issues\"</li>\n    <li>Dave Morriss on 2014-12-25:\"Re: BIT rss feed issues\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1660\">hpr1660</a></strong> (2014-12-12) \"<em>Trying out Slackware</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0288.html\">beni</a>. <ol>\n    <li>Loomx on 2014-12-12:\"[no title]\"</li>\n    <li>Mike Ray on 2014-12-12:\"Great episode\"</li>\n    <li>Beni on 2014-12-13:\"Thanks guys\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1659\">hpr1659</a></strong> (2014-12-11) \"<em>OggCamp Interview with Jon Archer</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0287.html\">corenominal</a>. <ol>\n    <li>NYbill on 2014-12-18:\"Ah it just clicked!\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1658\">hpr1658</a></strong> (2014-12-10) \"<em>Cool Stuff Part 2</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0252.html\">Curtis Adkins (CPrompt^)</a>. <ol>\n    <li>Daven on 2014-12-12:\"Thanks!\"</li>\n    <li>NYbill on 2014-12-19:\"Another podcast for the catcher. \"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1657\">hpr1657</a></strong> (2014-12-09) \"<em>Hacking Gutenberg eBooks</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0238.html\">Jon Kulp</a>. <ol>\n    <li>Dave Morriss on 2014-12-19:\"Thanks Jon, this is brilliant\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1656\">hpr1656</a></strong> (2014-12-08) \"<em>My audio player collection</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0225.html\">Dave Morriss</a>. <ol>\n    <li>Mike Ray on 2014-12-08:\"The Dave Morris National Audio Player Museum\"</li>\n    <li>p on 2014-12-08:\"[no title]\"</li>\n    <li>Dave Morriss on 2014-12-09:\"Thanks for the feedback\"</li>\n    <li>p on 2014-12-10:\"[no title]\"</li>\n    <li>Dave Morriss on 2014-12-13:\"iRiver Clix2\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1651\">hpr1651</a></strong> (2014-12-01) \"<em>HPR Community News for November 2014</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0159.html\">HPR Volunteers</a>. <ol>\n    <li>Mike Ray on 2014-11-30:\"Comment about the RPI GPU in com news for November\"</li>\n    <li>Dave Morriss on 2014-12-01:\"Ken Starks\' Indiegogo campaign\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1649\">hpr1649</a></strong> (2014-11-27) \"<em>Raspberry Pi Accessibility Breakthrough</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0282.html\">Mike Ray</a>. <ol>\n    <li>gigasphere on 2014-12-02:\"Thanks Mike!\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1648\">hpr1648</a></strong> (2014-11-26) \"<em>Bash parameter manipulation</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0225.html\">Dave Morriss</a>. <ol>\n    <li>Jon Kulp on 2014-12-04:\"[no title]\"</li>\n    <li>Dave Morriss on 2014-12-05:\"Thanks Jon\"</li>\n    <li>musicpeace on 2014-12-10:\"Thanks Dave! &amp; also for Magnatune\"</li>\n    <li>Dave Morriss on 2014-12-13:\"Magnatune\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1643\">hpr1643</a></strong> (2014-11-19) \"<em>Unison Syncing Utility</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0131.html\">FiftyOneFifty</a>. <ol>\n    <li>bort on 2014-12-04:\"[no title]\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1637\">hpr1637</a></strong> (2014-11-11) \"<em>Communities Are Made of People</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0131.html\">FiftyOneFifty</a>. <ol>\n    <li>gigasphere on 2014-12-02:\"Great episode\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1630\">hpr1630</a></strong> (2014-10-31) \"<em>Bare Metal Programming on the Raspberry Pi (Part 2)</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0259.html\">Gabriel Evenfire</a>. <ol>\n    <li>Alison Chaiken on 2014-12-16:\"Would make a great basis for a hackfest\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1512\">hpr1512</a></strong> (2014-05-20) \"<em>Adopting and Renovating a Public-Domain Counterpoint Textbook</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0238.html\">Jon Kulp</a>. <ol>\n    <li>Måns Mårtensson on 2014-12-15:\"Teacher\"</li>\n   </ol>\n  </li>\n </ul>\n <ul>\n  <li>Greetings to Afghanistan: Kabul, Kandahar, Mazari Sharif, and Herat.</li>\n  <li><b>HPR COMMUNITY NEWS</b></li>\n  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1676\">https://hackerpublicradio.org/eps.php?id=1676</a></li>\n  <li>Rich\'s Pool has too much Muriatic Acid (First World Problem)<br />\n   <br />\n  </li>\n </ul><b>2014-12-31T20:00:00Z</b><br />\n <br />\n <ul>\n  <li>Greetings to much of Russia and 8 more: Moscow, Dubai, Abu Dhabi, and Muscat.<br />\n   <br />\n  </li>\n </ul><b>2014-12-31T20:30:00Z</b><br />\n <br />\n <ul>\n  <li>Greetings to Iran: Tehran, Rasht, Esfahn, and Bandar-Abbas.<br />\n   <br />\n  </li>\n  <li>Two rednecks digress on matters of the heart.<br />\n   <br />\n  </li>\n </ul><b>2014-12-31T21:00:00Z</b><br />\n <br />\n <ul>\n  <li>Greetings to Iraq and 20 more: Baghdad, Khartoum, Nairobi, and Addis Ababa.</li>\n  <li>Call for shows by Ken, also correct his pronounciation =D</li>\n  <li>Right to be forgotten. A small discussion and explination about the idea.&nbsp;</li>\n  <li>Processes of hiring folks.&nbsp;</li>\n  <li>issues related to privacy.&nbsp;</li>\n  <li>Ken Falls for a guy.&nbsp;</li>\n  <li>Heated debate!!</li>\n  <li>Ken Fallon and SndChaser start the annual rant-off, Fab is nowhere to be seen.</li>\n </ul> Mumble-2014-12-31-10-03-18-ch1.teamspeak.cc-Mixdown.ogg<br />',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1593,'2014-09-10','Why C++?',745,'Introduction to the C++ programming language main features','<p>\r\nIn this episode, Garjola presents the C++ programming language by\r\nintroducing its main features for object orientation, generic\r\nprogramming and functional style.\r\n</p>',197,25,0,'CC-BY-SA','programming languages, c++',0,0,1),
(1479,'2014-04-03','01 What is on my podcast player',974,'Ahuka begins to tell us about the podcasts he listens to','<p>\r\nWhat is on my podcast player\r\n</p>\r\n<ul>\r\n<li><a href=\"https://leoville.tv/podcasts/aaa.xml\"/>All About Android</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/dancarlin/history?format=xml\" />Dan Carlin\'s Hardcore History</a></li>\r\n<li><a href=\"https://dwowhocast.libsyn.com/rss\" />Doctor Who Podcast: DWO WhoCast</a></li>\r\n<li><a href=\"https://www.gallifreyanembassy.org/podshock/podshockmp3.xml\" />Doctor Who: Podshock MP3</a></li>\r\n<li><a href=\"https://freyburg.libsyn.com/rss\" />Doctor Who: Radio Free Skaro</a></li>\r\n<li><a href=\"https://downloads.bbc.co.uk/podcasts/bbc7/doctorwho/rss.xml\" />Doctor Who: The Commentaries</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/DroidNationmp3\" />Droid Nation MP3</a></li>\r\n<li><a href=\"https://leoville.tv/podcasts/floss.xml\" />FLOSS Weekly</a></li>\r\n<li><a href=\"https://fullcirclemagazine.org/podcast\" />Full Circle Magazine</a></li>\r\n<li><a href=\"https://www.davidbarrkirtley.com/podcast/geeksguideshow.xml\" />Geek\'s Guide to the Galaxy</a></li>\r\n<li><a href=\"https://goinglinux.com/mp3podcast.xml\" />Going Linux</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/hpr_total_ogg_rss.php\" />Hacker Public Radio</a></li>\r\n<li><a href=\"https://www.servicesphere.com/blog/rss.xml\" />ITSM Weekly The Podcast</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/feedburner/knightcast\" />Knightcast</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/linuxbasix/mp3\" />Linuxbasix</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/linuxfortherestofus\" />Linux For The Rest Of Us</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/linuxoutlaws\" />Linux Outlaws</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/lococast\" />Lococast</a></li>\r\n<li><a href=\"https://www.mugglenet.com/mugglecast/mugglecast.rss\" />MuggleCast: the Harry Potter podcast</a></li>\r\n<li><a href=\"https://www.sciencefriday.com/audio/scifriaudio.xml\" />Science Friday Audio Podcast</a></li>\r\n<li><a href=\"https://leoville.tv/podcasts/sn.xml\" />Security Now!</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/spacedogpodcast/feed2\" />Space Dog Podcast</a></li>\r\n<li><a href=\"https://www.startalkradio.net/feed/shows/\" />StarTalk Radio Show by Neil deGrasse Tyson</a></li>\r\n<li><a href=\"https://www.stephenfry.com/?feed=podcast&format=audio\" />Stephen Fry\'s PODGRAMS</a></li>\r\n<li><a href=\"https://smlr.us/?feed=podcast\" />Sunday Morning Linux Review</a></li>\r\n<li><a href=\"https://talkbmc.bmc.libsynpro.com/rss\" />TalkBMC</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/thebuglefeed\" />The Bugle</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/cmdln\" />The Command Line</a></li>\r\n<li><a href=\"https://www.thefutureandyou.libsyn.com/rss\" />The Future And You</a></li>\r\n<li><a href=\"https://downloads.bbc.co.uk/podcasts/radio4/timc/rss.xml\" />The Infinite Monkey Cage</a></li>\r\n<li><a href=\"https://feeds2.feedburner.com/TheLinuxActionShow\" />The Linux Action Show!</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/TheLinuxLinkTechShowMp3Feed\" />The Linux Link Tech Show</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/pm-podcast\" />The Project Management Podcast</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/TheTechieGeekPodcast?format=xml\" />The Techie Geek Podcast</a></li>\r\n<li><a href=\"https://leoville.tv/podcasts/twig.xml\" />This Week In Google</a></li>\r\n<li><a href=\"https://www.twis.org/feed/\" />This Week in Science - The Kickass Science Podcast</a></li>\r\n<li><a href=\"https://leoville.tv/podcasts/twit.xml\" />this WEEK in TECH</a></li>\r\n<li><a href=\"https://leoville.tv/podcasts/tri.xml\" />Triangulation</a></li>\r\n<li><a href=\"https://www.tuxradar.com/files/podcast/podcast_mp3.rss\" />TuxRadar Linux Podcast</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/UbuntuUkPodcastMp3-high\" />Ubuntu Podcast</a></li>\r\n<li><a href=\"https://zareason.com/podcast/feed.xml\" />ZaReason</a></li>\r\n</ul>\r\n\r\n<p>My web site is at <a href=\"https://www.zwilnik.com/\">https://www.zwilnik.com/</a>.</p>\r\n\r\n<p>Remember to support free software!</p>\r\n',198,75,0,'CC-BY-SA','podcasts,recommendations ',0,1420,1),
(1482,'2014-04-08','02 What is on my podcast player',938,'Ahuka continues with the list of podcasts he listens to','<p>What is on my podcast player</p>\r\n<ul>\r\n<li><a href=\"https://leoville.tv/podcasts/aaa.xml\">All About Android</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/dancarlin/history?format=xml\">Dan Carlin\'s Hardcore History</a></li>\r\n<li><a href=\"https://dwowhocast.libsyn.com/rss\">Doctor Who Podcast: DWO WhoCast</a></li>\r\n<li><a href=\"https://www.gallifreyanembassy.org/podshock/podshockmp3.xml\">Doctor Who: Podshock MP3</a></li>\r\n<li><a href=\"https://freyburg.libsyn.com/rss\">Doctor Who: Radio Free Skaro</a></li>\r\n<li><a href=\"https://downloads.bbc.co.uk/podcasts/bbc7/doctorwho/rss.xml\">Doctor Who: The Commentaries</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/DroidNationmp3\">Droid Nation MP3</a></li>\r\n<li><a href=\"https://leoville.tv/podcasts/floss.xml\">FLOSS Weekly</a></li>\r\n<li><a href=\"https://fullcirclemagazine.org/podcast\">Full Circle Magazine</a></li>\r\n<li><a href=\"https://www.davidbarrkirtley.com/podcast/geeksguideshow.xml\">Geek\'s Guide to the Galaxy</a></li>\r\n<li><a href=\"https://goinglinux.com/mp3podcast.xml\">Going Linux</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/hpr_total_ogg_rss.php\">Hacker Public Radio</a></li>\r\n<li><a href=\"https://www.servicesphere.com/blog/rss.xml\">ITSM Weekly The Podcast</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/feedburner/knightcast\">Knightcast</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/linuxbasix/mp3\">Linuxbasix</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/linuxfortherestofus\">Linux For The Rest Of Us</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/linuxoutlaws\">Linux Outlaws</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/lococast\">Lococast</a></li>\r\n<li><a href=\"https://www.mugglenet.com/mugglecast/mugglecast.rss\">MuggleCast: the Harry Potter podcast</a></li>\r\n<li><a href=\"https://www.sciencefriday.com/audio/scifriaudio.xml\">Science Friday Audio Podcast</a></li>\r\n<li><a href=\"https://leoville.tv/podcasts/sn.xml\">Security Now!</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/spacedogpodcast/feed2\">Space Dog Podcast</a></li>\r\n<li><a href=\"https://www.startalkradio.net/feed/shows/\">StarTalk Radio Show by Neil deGrasse Tyson</a></li>\r\n<li><a href=\"https://www.stephenfry.com/?feed=podcast&format=audio\">Stephen Fry\'s PODGRAMS</a></li>\r\n<li><a href=\"https://smlr.us/?feed=podcast\">Sunday Morning Linux Review</a></li>\r\n<li><a href=\"https://talkbmc.bmc.libsynpro.com/rss\">TalkBMC</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/thebuglefeed\">The Bugle</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/cmdln\">The Command Line</a></li>\r\n<li><a href=\"https://www.thefutureandyou.libsyn.com/rss\">The Future And You</a></li>\r\n<li><a href=\"https://downloads.bbc.co.uk/podcasts/radio4/timc/rss.xml\">The Infinite Monkey Cage</a></li>\r\n<li><a href=\"https://feeds2.feedburner.com/TheLinuxActionShow\">The Linux Action Show!</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/TheLinuxLinkTechShowMp3Feed\">The Linux Link Tech Show</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/pm-podcast\">The Project Management Podcast</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/TheTechieGeekPodcast?format=xml\">The Techie Geek Podcast</a></li>\r\n<li><a href=\"https://leoville.tv/podcasts/twig.xml\">This Week In Google</a></li>\r\n<li><a href=\"https://www.twis.org/feed/\">This Week in Science - The Kickass Science Podcast</a></li>\r\n<li><a href=\"https://leoville.tv/podcasts/twit.xml\">this WEEK in TECH</a></li>\r\n<li><a href=\"https://leoville.tv/podcasts/tri.xml\">Triangulation</a></li>\r\n<li><a href=\"https://www.tuxradar.com/files/podcast/podcast_mp3.rss\">TuxRadar Linux Podcast</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/UbuntuUkPodcastMp3-high\">Ubuntu Podcast</a></li>\r\n<li><a href=\"https://zareason.com/podcast/feed.xml\">ZaReason</a></li>\r\n</ul>\r\n<p>My web site is at <a href=\"https://www.zwilnik.com/\">https://www.zwilnik.com/</a>.</p>\r\n<p>Remember to support free software!</p>\r\n',198,75,0,'CC-BY-SA','podcasts,recommendations',0,1398,1),
(1484,'2014-04-10','TuxJam31',4878,'Andrew Conway presents TuxJam episode 31, a special for HPR','<p>\r\nTuxJam is a podcast that reviews lesser known Free and Open Source Software\r\nprojects interspersed with Creative Commons licensed music. TuxJam 31\r\nis a special for HPR.\r\n</p>\r\n<p>\r\nSee <a href=\"https://unseenstudio.co.uk/tuxjam-ogg/tuxjam-episode-31/\">https://unseenstudio.co.uk/tuxjam-ogg/tuxjam-episode-31/</a>\r\n</p>',268,0,0,'CC-BY-SA','astronomy',0,1421,1),
(1486,'2014-04-14','Linux Luddites Episode 11 - Interview with Rob Landley',7222,'Ken Fallon promotes the \"Linux Luddites\" podcast','<p>\r\nThis show is is licensed under a <a href=\"https://creativecommons.org/licenses/by-nc/4.0/\">Creative Commons Attribution-NonCommercial 4.0 International License.</a>\r\n</p>\r\n\r\n<p>\r\nAs stated on the HPR Contribution page\r\n</p>\r\n<p>\r\nWe will continue to promote new podcasts and other creative commons material but due to a lack of slots, we are only releasing material created exclusively for HPR. If there is a piece of creative commons content that you would like to promote, then feel free to record a regular show where you introduce the content and explain why it is important, providing links to where we can get more information. \r\n</p>\r\n<p>\r\nToday I am doing just that. As a member of the HPR community, I would like to bring the podcast LINUX LUDDITES with the tag line \"Not all change is progress\". Taking their name from \"Linux\" the an operating system kernel by Linus Torvalds, and \"Luddites\" from the 19th-century English textile artisans who protested against newly developed labour-saving machinery.\r\n</p>\r\n<p>\r\nI am submitting Episode 11 as it includes a fascinating interview with Rob Landley, former maintainer of BusyBox and covers among other things his experiences of GPL enforcement. For complete episode show notes see <a href=\"https://linuxluddites.com/shows/episode-11/\">https://linuxluddites.com/shows/episode-11/</a>   \r\n</p>\r\n<p>\r\nIf this podcast is not in your feed, you would do very well to add it.\r\n</p>\r\n<p>\r\nIf there is a show is new to the scene, ie not on the linuxlink.net, then contact us about it and also consider submitting an episode as a featured podcast.\r\n</p>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n<li><a href=\"https://linuxluddites.com/shows/episode-11/\">https://linuxluddites.com/shows/episode-11/</a>\r\n</li>\r\n<li><a href=\"https://linuxluddites.com/\">https://linuxluddites.com/</a>\r\n</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Luddite\">https://en.wikipedia.org/wiki/Luddite</a>\r\n</li>\r\n<li><a href=\"https://www.thelinuxlink.net/\">https://www.thelinuxlink.net/</a>\r\n</li>\r\n</ul>',30,78,1,'CC-BY-NC','linux,busybox,podcast',0,1457,1),
(1487,'2014-04-15','How I Found Linux',376,'New host x1101 describes how he got into Linux','In today\'s show new host x1101, fulfils his promise made at NELF on the Community News and submits his first show on on how he got into Linux.',276,29,0,'CC-BY-SA','linux',0,1479,1),
(1488,'2014-04-16','What\'s on My Podcatcher',1116,'Keith Murray talks about his favourite podcasts','<p>\r\nAfter listening to Ahuka describe his favourite podcasts on HPR1479 and HPR1482 I was surprised to see how few of the shows we listen to overlap. There are so many podcasts out there it\'s always good to be able to get recommendations. I present to you my list of 30 podcasts (I had to cull the list down a bit).\r\n</p>\r\n\r\n<ul>\r\n<li>99% Invisible\r\n <ul>\r\n <li>Website: <a href=\"https://99percentinvisible.org/\">https://99percentinvisible.org/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://99percentinvisible.org/feed/\">https://99percentinvisible.org/feed/</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Accidental Tech Podcast\r\n <ul>\r\n <li>Website: <a href=\"https://atp.fm/\">https://atp.fm/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://atp.fm/episodes?format=rss\">https://atp.fm/episodes?format=rss</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>The Alton Browncast\r\n <ul>\r\n <li>Website: <a href=\"https://www.nerdist.com/podcast/the-browncast/\">https://www.nerdist.com/podcast/the-browncast/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://www.nerdist.com/feed/\">https://www.nerdist.com/feed/</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Astronomy Cast\r\n <ul>\r\n <li>Website: <a href=\"https://www.astronomycast.com/\">https://www.astronomycast.com/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://www.astronomycast.com/feed/\">https://www.astronomycast.com/feed/</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Back to Work\r\n <ul>\r\n <li>Website: <a href=\"https://5by5.tv/b2w\">https://5by5.tv/b2w</a>\r\n </li>\r\n <li>Feed: <a href=\"https://feeds.5by5.tv/b2w\">https://feeds.5by5.tv/b2w</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Click\r\n <ul>\r\n <li>Website: <a href=\"https://www.bbc.co.uk/podcasts/series/digitalp\">https://www.bbc.co.uk/podcasts/series/digitalp</a>\r\n </li>\r\n <li>Feed: <a href=\"https://downloads.bbc.co.uk/podcasts/worldservice/digitalp/rss.xml\">https://downloads.bbc.co.uk/podcasts/worldservice/digitalp/rss.xml</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>The Domestic CEO\r\n <ul>\r\n <li>Website: <a href=\"https://www.quickanddirtytips.com/domestic-ceo\">https://www.quickanddirtytips.com/domestic-ceo</a>\r\n </li>\r\n <li>Feed: <a href=\"https://www.quickanddirtytips.com/xml/domestic.xml\">https://www.quickanddirtytips.com/xml/domestic.xml</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>FLOSS Weekly\r\n <ul>\r\n <li>Website: <a href=\"https://twit.tv/floss\">https://twit.tv/floss</a>\r\n </li>\r\n <li>Feed: <a href=\"https://twit.tv/show/floss-weekly/feed\">https://twit.tv/show/floss-weekly/feed</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>From Python Import Podcast\r\n <ul>\r\n <li>Website: <a href=\"https://frompythonimportpodcast.com/\">https://frompythonimportpodcast.com/</a>\r\n </li>\r\n <li>Feed: (Ogg): <a href=\"https://feeds.feedburner.com/FromPythonImportPodcastogg\">https://feeds.feedburner.com/FromPythonImportPodcastogg</a>\r\n </li>\r\n <li>Feed: (MP3): <a href=\"https://feeds.feedburner.com/FromPythonImportPodcastmp3\">https://feeds.feedburner.com/FromPythonImportPodcastmp3</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Geologic Podcast\r\n <ul>\r\n <li>Website: <a href=\"https://geologicpodcast.com/\">https://geologicpodcast.com/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://geologicpodcast.com/rss\">https://geologicpodcast.com/rss</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Get-It-Done Guy\r\n <ul>\r\n <li>Website: <a href=\"https://www.quickanddirtytips.com/get-it-done-guy\">https://www.quickanddirtytips.com/get-it-done-guy</a>\r\n </li>\r\n <li>Feed: <a href=\"https://www.quickanddirtytips.com/xml/getitdone.xml\">https://www.quickanddirtytips.com/xml/getitdone.xml</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Girl on Guy\r\n <ul>\r\n <li>Website: <a href=\"https://girlonguy.net/\">https://girlonguy.net/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://girlonguy.libsyn.com/rss\">https://girlonguy.libsyn.com/rss</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Going Linux\r\n <ul>\r\n <li>Website: <a href=\"https://goinglinux.com/\">https://goinglinux.com/</a>\r\n </li>\r\n <li>Feed: (Ogg): <a href=\"https://goinglinux.com/oggpodcast.xml\">https://goinglinux.com/oggpodcast.xml</a>\r\n </li>\r\n <li>Feed: (MP3): <a href=\"https://goinglinux.com/mp3podcast.xml\">https://goinglinux.com/mp3podcast.xml</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Grammar Girl\r\n <ul>\r\n <li>Website: <a href=\"https://www.quickanddirtytips.com/grammar-girl\">https://www.quickanddirtytips.com/grammar-girl</a>\r\n </li>\r\n <li>Feed: <a href=\"https://www.qdnow.com/grammar.xml\">https://www.qdnow.com/grammar.xml</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Hacker Public Radio\r\n <ul>\r\n <li>CONTRIBUTE: <a href=\"https://hackerpublicradio.org/contribute.php\">https://hackerpublicradio.org/contribute.php</a>\r\n </li>\r\n <li>ASK ME FOR HELP: <a href=\"https://twitter.com/kdmurray\">https://twitter.com/kdmurray</a>\r\n </li>\r\n <li>Website: <a href=\"https://hackerpublicradio.org/\">https://hackerpublicradio.org/</a>\r\n </li>\r\n <li>Feed: (Ogg): <a href=\"https://hackerpublicradio.org/hpr_ogg_rss.php\">https://hackerpublicradio.org/hpr_ogg_rss.php</a>\r\n </li>\r\n <li>Feed: (MP3): <a href=\"https://hackerpublicradio.org/hpr_rss.php\">https://hackerpublicradio.org/hpr_rss.php</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Hanselminutes\r\n <ul>\r\n <li>Website: <a href=\"https://hanselminutes.com/\">https://hanselminutes.com/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://feeds.feedburner.com/HanselminutesCompleteMP3\">https://feeds.feedburner.com/HanselminutesCompleteMP3</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>A History Of Alexander / Hannibal\r\n <ul>\r\n <li>Website: <a href=\"https://thehistoryofpodcast.blogspot.com/\">https://thehistoryofpodcast.blogspot.com/</a>\r\n </li>\r\n <li>Feed: (Alexander): <a href=\"https://ia601204.us.archive.org/27/items/AlexanderFeed/AlexanderHistoryRemastered.XML\">https://ia601204.us.archive.org/27/items/AlexanderFeed/AlexanderHistoryRemastered.XML</a>\r\n </li>\r\n <li>Feed: (Hanibal): <a href=\"https://ia700801.us.archive.org/8/items/HannibalFeed/HistoryHannibalandthePunicWars.XML\">https://ia700801.us.archive.org/8/items/HannibalFeed/HistoryHannibalandthePunicWars.XML</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>The History of Rome\r\n <ul>\r\n <li>Website: <a href=\"https://thehistoryofrome.typepad.com/\">https://thehistoryofrome.typepad.com/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://feeds.feedburner.com/thehistoryofrome\">https://feeds.feedburner.com/thehistoryofrome</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>IRL Talk\r\n <ul>\r\n <li>Website: <a href=\"https://www.irltalk.com/\">https://www.irltalk.com/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://feedpress.me/irltalk\">https://feedpress.me/irltalk</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Knightcast\r\n <ul>\r\n <li>Website: <a href=\"https://knightwise.com/\">https://knightwise.com/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://feeds.feedburner.com/knightwisecom\">https://feeds.feedburner.com/knightwisecom</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Mac OS Ken\r\n <ul>\r\n <li>Website: <a href=\"https://macosken.com/\">https://macosken.com/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://macosken.libsyn.com/rss\">https://macosken.libsyn.com/rss</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Mac Power Users\r\n <ul>\r\n <li>Website: <a href=\"https://www.macpowerusers.com/\">https://www.macpowerusers.com/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://feeds.5by5.tv/mpu\">https://feeds.5by5.tv/mpu</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>The Memory Palace\r\n <ul>\r\n <li>Website: <a href=\"https://thememorypalace.us/\">https://thememorypalace.us/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://feeds.feedburner.com/thememorypalace\">https://feeds.feedburner.com/thememorypalace</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Mission Log\r\n <ul>\r\n <li>Website: <a href=\"https://missionlogpodcast.com/\">https://missionlogpodcast.com/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://missionlog.libsyn.com/rss\">https://missionlog.libsyn.com/rss</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>The Nosillacast\r\n <ul>\r\n <li>Website: <a href=\"https://www.podfeet.com/blog/\">https://www.podfeet.com/blog/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://podfeet.com/NosillaCast/rss.xml\">https://podfeet.com/NosillaCast/rss.xml</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Radiolab\r\n <ul>\r\n <li>Website: <a href=\"https://www.radiolab.org/\">https://www.radiolab.org/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://www.radiolab.org/feeds/podcast/\">https://www.radiolab.org/feeds/podcast/</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>RunAs Radio\r\n <ul>\r\n <li>Website: <a href=\"https://runasradio.com/\">https://runasradio.com/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://feeds.feedburner.com/RunasRadio\">https://feeds.feedburner.com/RunasRadio</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Security Now\r\n <ul>\r\n <li>Website: <a href=\"https://twit.tv/show/security-now\">https://twit.tv/show/security-now</a>\r\n </li>\r\n <li>Feed: <a href=\"https://feeds.twit.tv/sn.xml\">https://feeds.twit.tv/sn.xml</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Spark\r\n <ul>\r\n <li>Website: <a href=\"https://www.cbc.ca/spark/\">https://www.cbc.ca/spark/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://www.cbc.ca/podcasting/includes/spark.xml\">https://www.cbc.ca/podcasting/includes/spark.xml</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>StarTalk Radio\r\n <ul>\r\n <li>Website: <a href=\"https://www.startalkradio.net/\">https://www.startalkradio.net/</a>\r\n </li>\r\n <li>Feed: <a href=\"https://feeds.soundcloud.com/users/soundcloud:users:38128127/sounds.rss\">https://feeds.soundcloud.com/users/soundcloud:users:38128127/sounds.rss</a>\r\n </li>\r\n </ul>\r\n</li>\r\n</ul>',266,75,0,'CC-BY-SA','podcast,feed',0,1433,1),
(1489,'2014-04-17','Setting up a Raspberry Pi and RaspBMC',3076,'Putting together a Raspberry Pi, installing the OS and setting up RaspBMC','<p>\r\nIn this episode CPrompt and his friend Matt go through their entire process of putting together a Raspberry Pi, \r\ninstalling the OS and setting up RaspBMC.\r\n</p>\r\n\r\n<h2>Links:</h2>\r\n\r\n<ul>\r\n<li>Pi Case : \r\n <ul>\r\n <li><a href=\"https://www.amazon.com/Pibow-Ninja-Case-Raspberry-Pi/dp/B00DUUBSVM/ref=sr_1_111?ie=UTF8&amp;qid=1396811125&amp;sr=8-111&amp;keywords=raspberry+pi\">https://www.amazon.com/Pibow-Ninja-Case-Raspberry-Pi/dp/B00DUUBSVM/ref=sr_1_111?ie=UTF8&amp;qid=1396811125&amp;sr=8-111&amp;keywords=raspberry+pi</a>\r\n </li>\r\n <li><a href=\"https://szyishun.en.alibaba.com/product/914059508-218350250/RASPBERRY_PI_TRANSPARENT_ACRYLIC_CASE_ENCLOSURE_COMPUTER_BOX.html\">https://szyishun.en.alibaba.com/product/914059508-218350250/RASPBERRY_PI_TRANSPARENT_ACRYLIC_CASE_ENCLOSURE_COMPUTER_BOX.html</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Heat Sinks : \r\n <ul>\r\n <li><a href=\"https://www.amazon.com/Kootek-Aluminum-Heatsink-set-Raspberry/dp/B00C8NNZ36/ref=sr_1_23?ie=UTF8&amp;qid=1396810802&amp;sr=8-23&amp;keywords=raspberry+pi\">https://www.amazon.com/Kootek-Aluminum-Heatsink-set-Raspberry/dp/B00C8NNZ36/ref=sr_1_23?ie=UTF8&amp;qid=1396810802&amp;sr=8-23&amp;keywords=raspberry+pi</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Raspbmc : \r\n <ul>\r\n <li><a href=\"https://www.raspbmc.com/\">https://www.raspbmc.com/</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>RaspBMC Nightly Builds: \r\n <ul>\r\n <li><a href=\"https://forum.xbmc.org/showthread.php?tid=176043&amp;pid=1667837#pid1667837\">https://forum.xbmc.org/showthread.php?tid=176043&amp;pid=1667837#pid1667837</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>MPEG2 and VC1 License : \r\n <ul>\r\n <li><a href=\"https://www.raspberrypi.com/mpeg-2-license-key/\">https://www.raspberrypi.com/mpeg-2-license-key/</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>LibDVDCSS: \r\n <ul>\r\n <li><a href=\"https://forum.xbmc.org/showthread.php?tid=176043\">https://forum.xbmc.org/showthread.php?tid=176043</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>iPazzport Keyboard : \r\n <ul>\r\n <li><a href=\"https://www.amazon.com/Wireless-iPazzPort-Handheld-Keyboard-Touchpad/dp/B0093ITXOE/ref=sr_1_2?ie=UTF8&amp;qid=1396810908&amp;sr=8-2&amp;keywords=ipazz+keyboard\">https://www.amazon.com/Wireless-iPazzPort-Handheld-Keyboard-Touchpad/dp/B0093ITXOE/ref=sr_1_2?ie=UTF8&amp;qid=1396810908&amp;sr=8-2&amp;keywords=ipazz+keyboard</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Bluetooth Keyboard : \r\n <ul>\r\n <li><a href=\"https://convictradio.com/2013/05/setting-up-bluetooth-on-the-raspberry-pi-running-raspbmc/\">https://convictradio.com/2013/05/setting-up-bluetooth-on-the-raspberry-pi-running-raspbmc/</a>\r\n </li>\r\n </ul>\r\n</li>\r\n</ul>',252,0,0,'CC-BY-SA','Raspberry Pi,RPI,RaspBMC',0,1496,1),
(1491,'2014-04-21','Heartbleed',1297,'A summary of the \"Heartbleed\" OpenSSL vulnerability','<p>\r\nThe \"Heartbleed\" vulnerability in OpenSSL (CVE-2014-0160) is a bounds checking\r\nerror in the heartbeat implementation that could return up to 64K of private\r\ndata to the client. This can lead to server certificate private keys, session\r\ncookies, clear text passwords, or other sensitive data being leaked from the\r\nserver to the client. This vulnerability exists in OpenSSL versions 1.0.1 through 1.0.1f and 1.0.2 beta.\r\n</p>\r\n<p>\r\nIt is important for server administrators to update OpenSSL as soon as possible\r\nand take steps to secure any private data which may have been leaked. This may\r\ninclude updating server certificates and revoking certificates that may have\r\nbeen compromised.\r\n</p>\r\n<p>\r\nUsers should ensure that web sites they use have been secured and should update\r\npasswords or other authentication information.\r\n</p>\r\n<p>\r\nCVE info: <a href=\"https://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0160\">https://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0160</a>\r\n</p>\r\n\r\n<p>\r\n<a href=\"https://xkcd.com/1354/\"><img src=\"https://imgs.xkcd.com/comics/heartbleed_explanation.png\" title=\"Are you still there, server? It\'s me, Margaret.\" alt=\"Heartbleed Explanation\" /></a>\r\n</p>\r\n\r\n',257,74,0,'CC-BY-SA','heartbleed,openssl,vulnerability,security',0,1559,1),
(1501,'2014-05-05','AWK',1165,'A cursory introduction to the AWK programming language','<p>\r\nFirst of all, a correction. In the podcast, I mistakenly refer to one of the\r\ncoauthors of the language as Kevin Weinberger. My humblest apologies to Mr.\r\nWeinberger, whose actual first name is Peter. I also neglected to mention one\r\nof AWK\'s most interesting features: its automatic field splitting. I hope to\r\nsubmit a followup podcast soon in order to rectify these two glaring mistakes.\r\n</p>\r\n<p>\r\nAWK is a loosely typed interpreted programming language. Many useful functions\r\nin a UNIX programming environment, such as reading files, looping over input,\r\nmatching regular expressions, and splitting strings into fields have been\r\nabstracted and are presented to the programmer as native parts of the language.\r\nThis makes AWK ideal for text processing.\r\n</p>\r\n<p>\r\nThe basic structure of an AWK program is a list of rules. Each rule is made up\r\nof an optional pattern and an optional action. If the pattern is matched, the\r\ncorresponding action is run. When AWK starts up, it loads the supplied program\r\ntext, runs any rules with the special BEGIN pattern, then in turn, opens each\r\nfile supplied on the command line (or stdin if no files or a - are specified).\r\nEach file is split into records based on the value in the RS (record separator)\r\nvariable. AWK then loops through each record, splits it into fields based on\r\nthe value in the FS (field separator) variable, and loops through each rule in\r\nthe program. An empty pattern matches all records, so actions with no pattern\r\nrun for every record. An empty action causes the current record to be printed.\r\n</p>\r\n<p>\r\nThe operator most unique to AWK is the $ (field access) operator. When followed\r\nby an integer literal or variable holding an integer value, it returns the\r\ncorresponding field in the current record (counting from 1 up to NF, the number\r\nof fields special variable). $0 returns the entire record. If the supplied\r\ninteger is greater than NF, it is treated as an uninitialized variable, which,\r\nin AWK, is treated dually as either the empty string, or the number 0,\r\ndepending on the context in which it is referenced.\r\n</p>\r\n<p>\r\nThe most common type of pattern used in AWK (excepting, perhaps, the empty\r\npattern) is a regular expression literal. It consists of a regular expression\r\nenclosed in forward slashes. This syntax is inherited from ed, the standard\r\ntext editor, and has been passed down all the way to javascript. In AWK, a\r\nregular expression literal, alone as a pattern, is shorthand for $0 ~ /regex/,\r\nwhere ~ is the regular expression match operator (the string $0, current\r\nrecord, matches the supplied regular expression).\r\n</p>\r\n\r\n<ul>\r\n<li>POSIX AWK: <a href=\"https://pubs.opengroup.org/onlinepubs/009696699/utilities/awk.html\">https://pubs.opengroup.org/onlinepubs/009696699/utilities/awk.html</a>\r\n</li>\r\n<li>The AWK Programming Language: <a href=\"https://books.cat-v.org/computer-science/awk-programming-language/The_AWK_Programming_Language.pdf\">https://books.cat-v.org/computer-science/awk-programming-language/The_AWK_Programming_Language.pdf</a>\r\n</li>\r\n</ul>',257,25,0,'CC-BY-SA','AWK,text processing,rule,pattern,action,regular expression',0,1513,1),
(1490,'2014-04-18','HPR at NELF 2014 Part1',1443,'Conference interviews','<p>In this episode, nybill and pokey conduct interviews and generally have a good time at the 2014 Northeast GNU/Linux Fest.</p>\n<p>Some links to follow for things that were discussed in this episode:</p>\n<ul>\n<li>The vacation land that is the state of Maine <a href=\"https://www.maine.gov/\">www.maine.gov/</a></li>\n<li>Arch Linux <a href=\"https://www.archlinux.org/\">https://www.archlinux.org/</a></li>\n<li>Raspberry Pi <a href=\"https://www.raspberrypi.org/\">www.raspberrypi.org/</a></li>\n<li>SSSD <a href=\"https://fedorahosted.org/sssd/\">https://fedorahosted.org/sssd/</a> by Redhat Linux <a href=\"https://www.redhat.com/\">www.redhat.com/</a></li>\n<li>Dataverse academic data hosting software suite <a href=\"https://thedata.org/\">https://thedata.org/</a></li>\n<li><a href=\"https://www.freenode.net\">www.freenode.net</a></li>\n<li>docker &amp; vagrant VM managers <a href=\"https://www.docker.io/\">https://www.docker.io/</a> <a href=\"https://www.vagrantup.com/\">www.vagrantup.com/</a></li>\n<li>Crunchbang Linux crunchbang.org/</li>\n<li>spacemandev.com</li>\n</ul>\n<p>We all had a great time recording this show, and we hope you enjoyed it as well. Please join us at the next Northeast Gnu/Linux Fest if you can. Thank you very much for listening.</p>\n<p>Photos from <a href=\"https://hackerpublicradio.org/eps/nelf-2014/\">NELF 2014</a></p>\n<p>Sincerely, The HPR conference crew</p>\n<p>P.S. Some people enjoy finding mistakes. For their enjoyment, we have included a few.</p>\n',128,0,1,'CC-BY-SA','interviews',0,1473,1),
(1492,'2014-04-22','HPR at NELF 2014 Part2',2115,'Conference Interviews','<p>\r\nIn this episode, nybill and pokey continue conducting interviews and having a good time at the 2014 Northeast GNU/Linux Fest.\r\n</p>\r\n<p>\r\nSome links to follow for things that were discussed in this episode:\r\n</p>\r\n\r\n<ul>\r\n<li>The Techie Geek Podcast thetechiegeek.com/\r\n</li>\r\n<li>Linux For The Rest Of Us Podcast podnutz.com/linuxfortherestofus\r\n</li>\r\n<li>Contributing to HPR <a href=\"https://hackerpublicradio.org/contribute.php\">https://hackerpublicradio.org/contribute.php</a>\r\n</li>\r\n<li>Northeast GNU/Linux Fest looking for a permanant home northeastlinuxfest.org/\r\n</li>\r\n<li>Redhat Linux <a href=\"https://www.redhat.com/\">www.redhat.com/</a>\r\n</li>\r\n<li>All of the talks at the fest were recorded, and NELF has an rss feed on which they are published <a href=\"https://northeastlinuxfest.org/?feed=rss2\">https://northeastlinuxfest.org/?feed=rss2</a>\r\n</li>\r\n<li>Redhat DevNation conference <a href=\"https://www.devnation.org/\">www.devnation.org/</a>\r\n</li>\r\n<li>Security Weekly internet media network securityweekly.com/ <a href=\"https://securityweekly.com/portfolio/security-weekly\">https://securityweekly.com/portfolio/security-weekly</a>\r\n</li>\r\n<li>Hack Naked TV <a href=\"https://securityweekly.com/portfolio/hack-naked-tv\">https://securityweekly.com/portfolio/hack-naked-tv</a>\r\n</li>\r\n<li>Stogie Geeks <a href=\"https://securityweekly.com/portfolio/stogie-geeks\">https://securityweekly.com/portfolio/stogie-geeks</a>\r\n</li>\r\n<li>Nessus Vulnerability Scanner <a href=\"https://www.tenable.com/products/nessus\">www.tenable.com/products/nessus</a>\r\n</li>\r\n<li>Code 2600 movie <a href=\"https://www.code2600.com/\">www.code2600.com/</a>\r\n</li>\r\n<li>SOURCE Conference: Boston 2014 <a href=\"https://www.sourceconference.com/\">www.sourceconference.com/</a>\r\n</li>\r\n<li>DEF CON Hacking Conference <a href=\"https://www.defcon.org/\">https://www.defcon.org/</a>\r\n</li>\r\n<li>Linux Professional Institute (LPI) Exam <a href=\"https://www.lpi.org/\">www.lpi.org/</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nWe all had a great time recording this show, and we hope you enjoyed it as well. Please join us at the next Northeast Gnu/Linux Fest if you can. Thank you very much for listening.\r\n</p>\r\n\r\n\r\n<p>\r\nPhotos from <a href=\"https://hackerpublicradio.org/eps/nelf-2014/\">NELF 2014</a>\r\n</p>\r\n\r\n\r\n\r\n<p>\r\nSincerely,\r\nThe HPR conference crew\r\n</p>\r\n<p>\r\nP.S. Some people enjoy finding mistakes. For their enjoyment, we have included a few.\r\n</p>',235,0,1,'CC-BY-SA','interviews',0,1344,1),
(1493,'2014-04-23','The Next Gen is You (1/2)',2105,'Klaatu talks about Steam on Linux and building a system to run it - part 1','<p>Steam OS or Steam on Linux, anti-micro for game controller optimisation.\r\n</p>\r\n',78,0,0,'CC-BY-SA','steam, games, hardware',0,1508,1),
(1494,'2014-04-24','The Next Gen is You (2/2)',1516,'Klaatu talks about Steam on Linux and building a system to run it - part 2','<p>\r\nSteam OS or Steam on Linux, anti-micro for game controller optimisation.\r\n<br />\r\nPart 2 of 2<br />\r\n<a href=\"https://straightedgelinux.com/blog/opinions/box.html\">https://straightedgelinux.com/blog/opinions/box.html</a>\r\n</p>\r\n',78,0,0,'CC-BY-SA','steam,game,hardware',0,1443,1),
(1496,'2014-04-28','wiki on the raspberry pi',1128,'My experience of playing with wiki software on the raspberry pi','<p>\r\nMy experience of playing with wiki software on the raspberry pi, I forgot to mention I run the standard Raspbian distribution on my pi\r\nif you run something else your mileage may vary.\r\n</p>\r\n<p>\r\nWhen I listened to the show I noticed a few mistakes, there may be others as the show was pulled together rather hastily\r\n</p>\r\n<p>\r\n1. The raspberry pi has either 256 or 512 MB of memory Not KB\'s oops\r\n</p>\r\n<p>\r\n2. You can automatically create pages using camel-case words they don\'t need to start with the word wiki so in my example the page WikiNotes\r\ncould just as easily be called GuffNotes. This is because at first I didnt appreciate the meaning of the word camelcase, you learn something \r\nnew every day!\r\n</p>\r\n<p>\r\n3. Wikidot still provides a free account, oops again!\r\n</p>\r\n<p>\r\nwikidot\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.wikidot.com/\">https://www.wikidot.com/</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\ndokuwiki\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.dokuwiki.org/dokuwiki\">https://www.dokuwiki.org/dokuwiki</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\ndidiwiki\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://c2.com/cgi/wiki?DidiWiki\">https://c2.com/cgi/wiki?DidiWiki</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nsed man page\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://unixhelp.ed.ac.uk/CGI/man-cgi?sed\">https://unixhelp.ed.ac.uk/CGI/man-cgi?sed</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nsome sed tutorial and examples\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.grymoire.com/unix/sed.html\">https://www.grymoire.com/unix/sed.html</a>\r\n<p></p>\r\n</li>\r\n</ul>\r\n',201,0,0,'CC-BY-SA','Raspberry Pi,Wikidot,DokuWiki,Apache,DidiWiki,sed',0,1459,1),
(1497,'2014-04-29','Practical Math - Units - Distances and Area, Part 1',2288,'Charles in NJ continues his Practical Math series with an episode on units of distance','<pre>\r\nHPR Episode: Using and Converting Between Units of Distance\r\n\r\nIntro: Last time, we talked in general terms about units, numbers and\r\nhow they might be useful in practice.  In this episode, we address some\r\nspecific measurement units that apply to distance and area, and how we\r\nmight convert from one system to another to better understand both.\r\n\r\nEntire point of this episode is this: Carry units in calculations on \r\n  distances and areas, and you\'ll have more success in using them in \r\n  your life.  \r\n\r\n\r\n\r\nSegment 1:  Distance and Area in the English system\r\n\r\n1. Series will focus on English and Metric systems.\r\n   a. Basic units of distance: inch, foot, yard, mile\r\n   b. Basic units of area: square inch, square foot, acre, square mile\r\n\r\n\r\n2. Other units of distance and area do exist\r\n   a. Barleycorn for shoe sizes (1/3\")\r\n   b. Hand for describing horses (4\")\r\n   c. Rod for surveying (16-1/2 feet)\r\n   d. Chain, also for surveying (4 linear rods, 66 feet, 22 yards)\r\n   e. Furlong from horse racing and agriculture (220 yards, 10 chains)\r\n   f. League (about an hour\'s walk) usually assumed to be 3 miles\r\n      - Nautical: technical unit that\'s exactly 3 knots\r\n   g. Square yard may be used in quotes for carpet installations\r\n\r\nTable of Units: https://www.csgnetwork.com/converttable.html\r\n\r\n\r\nBrilliant Insight #1: Units of distance were originally arbitrary.  We \r\n  did not standardize on inches, feet, miles, and so on because these \r\n  are magical units with special merits.  They were convenient at the \r\n  time and place where they were invented. \r\n  \r\n  Standards let us talk to each other about distance without having to \r\n  be in the same place at the same time.  We\'d have trouble if builders\r\n  builders had to ask for boards \"as long as my arm\", or a plank \r\n  that\'s \"Yea long\". \r\n\r\n\r\n3. Bizarre properties of some English units explained:\r\n\r\n   a. Rod/Chain: Used in measuring farmland and building plots\r\n      - Rod is 5-1/2 yards, or 16-1/2 feet.\r\n      - Chain is 4 linear rods, or the length of a surveyor\'s chain\r\n      - Could have been longer or shorter.  Standard emerged from usage.\r\n      \r\n   b. Furlong: Longest row you can plow without resting the animals\r\n      - Defined as 10 chains (220 yards)\r\n      \r\n   c. Acre: If you are on a quiz show, it\'s 43,560 square feet.  Huh?\r\n      - Defined as the area of a plot that\'s 1 chain wide by a furlong \r\n      - Putting definitions together, we peek ahead to make sense of it.\r\n      \r\n        1 acre = 1 chain x 1 furlong x 10 chains   <--- multiply by 1\r\n                                       ----------       (1 furlong is \r\n		                       1 furlong         10 chains)\r\n      \r\n        Cancelling out furlongs upstairs and downstairs, we get\r\n	\r\n            1 acre = 1 chain x 10 chains = 10 \"square chains\"\r\n      \r\n      - So the square feet in an acre is not (completely) arbitrary\r\n      - It\'s just mostly arbitrary, but consistent with shorter units.\r\n\r\n   d. Mile: Why is it 5,280 feet?  Similar story [Simplified version!]\r\n      - Roman occupation brought in a 5,000 foot mile (\"mille passus\")\r\n        Warning!  The Roman mile was defined in Roman feet, so it was\r\n           a bit shorter than I\'ve painted it.  \r\n      \r\n      - Originated as 1,000 double-steps or \"paces\"\r\n      - Since 1,000 was \"mille\", unit naturally became \"mile\" in English\r\n      \r\n      - Elizabeth I (1603, or was it 1593?): \r\n        * Statute mile set to 8 furlongs (1,760 yds; 5,280 ft)\r\n        * Why 8 furlongs?  Why not 10 furlongs?\r\n\r\n        * Goal: Set new mile close to existing mile, but as N furlongs.\r\n	    * New \"statute mile\" only about 5% longer than Roman mile\r\n	      Note: Similar analysis could be used with other \"miles\".\r\n	      \r\n	    * Setting a mile to a even multiple of a furlong had practical \r\n	        benefits, and keeping it close to the old unit reduced \r\n	        conversion costs for \"legacy users\".\r\n	        \r\n      - That\'s why we\'ve inherited a mile that measures 5,280 feet.\r\n\r\n   To see why the story is tremendously more complicated than my account\r\n      https://en.wikipedia.com/wiki/Mile\r\n\r\n   Fun article on the mile.\r\n      https://www.sizes.com/units/mile.htm\r\n   \r\n   High school student theme on the furlong.\r\n      https://www.writework.com/essay/history-furlong by silverAlex2000\r\n\r\n   Brief dictionary article on the mile, referenced by Dr. Math \r\n      https://www.unc.edu/~rowlett/units/dictM.html#mile \r\n      Referred by https://mathforum.org/library/drmath/view/61126.html\r\n\r\n   Resource: StackExchange Physics and Maths sections (\"mile\" question)\r\n      https://physics.stackexchange.com/questions/57785/difference-between-nautical-and-terrestrial-miles\r\n\r\n\r\n4. Converting between units\r\n   a. Units of distance usually defined as multiples of each other\r\n      - 1 mile = 5,280 feet            - 1 hand = 4 inches\r\n      - 1 foot = 12 inches             - 1 yard = 36 inches\r\n      \r\n      Skipping ahead to look at the metric system, we now have:\r\n      - 1 inch = 2.54 centimeters (exact). Regularized in recent years.\r\n\r\n   b. This works because there\'s consensus on Zero distance, so we don\'t\r\n         have to adjust for differing origins, as we do with the \r\n         non-absolute temperature scales like Fahrenheit and Celsius. \r\n      \r\n      - We\'ll get to temperature, non-absolute scales in a later show.\r\n\r\n   c. For absolute scales, we can convert from one unit to another using\r\n         a \"conversion factor\".  That is, we can convert a measurement \r\n         expressed in one unit to its equivalent in another unit by \r\n         multiplying or dividing by some number to stretch or compress \r\n         the original unit to match the target unit.\r\n	 \r\n      - Example: I know that 1 foot is 12 inches, so how many inches are\r\n          there in 10 feet?  How feet are there in 660 inches?\r\n      \r\n      - It is clear that a factor of 12 ought to be involved, but how do\r\n          I know when to multiply or divide by 12 in the conversion?\r\n      \r\n      - Wait!  I\'m serious.  When you see this problem for the first \r\n          time, you have to think this through to get it right.  \r\n        * Without a system in place, you always have to think about it.\r\n      \r\n      - Answers in naive setup:\r\n          (i) 10 feet = (12 * 10) inches = 120 inches\r\n         (ii) 660 inches = (660 / 12) feet = 55 feet\r\n\r\n5. Having a system.  Or units conversion as \"multiplying by One\"\r\n   \r\n   a. In each of the solutions I wrote down above, I start with an \r\n         equation that looks like this: X inches = Y feet.\r\n\r\n   b. Inches are not feet, and this way of writing down the calculation \r\n        does NOT help you figure you how the conversions should work, or\r\n        whether you should multiply or divide to get the right answers.\r\n\r\n   c. Here\'s a system for creating conversion factors that tell you what\r\n        to do at each step in the units conversion process.  It is based\r\n        on the very obvious fact that when I multiply any number by \'1\',\r\n        its value remains unchanged.\r\n	\r\n      - Start with one of the identities we wrote down at the beginning.\r\n	    In this case, let\'s use:  12 inches = 1 foot\r\n	  \r\n      - If I divide equals by equals, the results are equal.\r\n	    So I can write:\r\n	  \r\n	                                   12 inches      1 foot\r\n	  12 inches = 1 foot implies that  ---------  =  --------- = 1\r\n					     1 foot      12 inches\r\n      \r\n      -	Get the first term by dividing my original identity by (1 foot).\r\n      - Get the second term by dividing my original identity by (12 in).\r\n\r\n\r\n   d. To make a conversion from feet to inches, I use:\r\n   \r\n			   12 in    10 ft \r\n      10 ft * 1 = 10 ft * ------- = ------ * 12 in = 10 * 12 in = 120 in\r\n                           1 ft      1 ft\r\n      \r\n      - Note: In the fraction (10 ft) / (1 ft), the units \"cancel out\", \r\n                which leaves a unitless number.\r\n	      \r\n      - Suppose we start with the other form for the conversion factor:\r\n   \r\n	                       1 ft    10 square feet \r\n      10 feet * 1 = 10 feet * ------ = -------------- = ???\r\n                              12 in       12 inches\r\n      \r\n      - See?  When I use the form where the units don\'t cancel each \r\n          other, I get a resulting equation that is still correct.  It \r\n          just doesn\'t make much sense to me as a reader.\r\n      \r\n      - This is what you get when you \"divide by 12\" to convert feet to \r\n          inches, but the difference is that you KNOW something\'s wrong.  \r\n      \r\n      - You do not have to even look at the numbers to know that this \r\n         could not possibly be the right number of inches in 10 feet.\r\n\r\n\r\nBrilliant Insight #2: When you use unit conversion factors, you help \r\n  your cause by carrying along both sets of units in the form of a \r\n  fraction as you go through your calculation.  \r\n  \r\n  - If the units on the right-hand side of your final equation don\'t \r\n    match the units you want (after everything else cancels out), your \r\n    numerical answer is almost certainly WRONG.\r\n  \r\n  - The implication here?  To convert units of distance, you need to \r\n       multiply or divide by a \r\n       \r\n       conversion factor = (X New_Units) / (Y Old_Units).  \r\n       \r\n    When you do this, write the conversion factor in its full fractional\r\n       form, and carry out all of the multiplications and cancellations.\r\n  \r\n  - If you do the conversion this way, and the units match, you only \r\n       have to check your arithmetic to be sure you\'ve got it right.\r\n\r\n  - If the units you want do not match those on the right side of the \r\n       equal sign, you are solving the wrong problem.  The equation may \r\n       be correct, but it is not expressed in the units you wanted.\r\n\r\n\r\n 6. Let\'s use the system to solve the second example:\r\n  \r\n                               1 ft       660 in * 1 ft \r\n      660 in * 1 =  660 in *  -------  = --------------- = 55 feet\r\n                               12 in        12 in\r\n \r\n      Why?  The \"inches\" units cancel out because they appear in both \r\n        numerator and denominator (top/bottom, upstairs/downstairs) of\r\n	    the fraction in the next to last term, leaving only \"feet\".\r\n\r\n  Why people hate units and conversion problems:\r\n  https://www.regentsprep.org/regents/math/algebra/am2/leseng.htm\r\n\r\n  Comment: The \"algebraic\" approach suggested here is ugly, ad hoc in\r\n    nature, and unnecessarily complicated.  Forget about setting up\r\n    equations and going through formal operations to solve them.\r\n    \r\n    Choose your conversion factors so that the units work out properly\r\n    as a straight multiplication problem with cancellation of all the\r\n    units you don\'t want.  You may have to \"divide\" numbers, but you\r\n    can use your calculator for working through the numbers.\r\n    \r\n  Cranky Summary: You should not have to solve equations to convert\r\n    between units. Phooey on anyone who says otherwise. :-)\r\n \r\n\r\nSegment 2: Conversions using compound conversion factors.\r\n\r\n1. Suppose I want to find the number of inches in a furlong, or the \r\n   number of acres (or hectares) in a square mile?\r\n   \r\n   - My almanac doesn\'t carry these conversion factors, so I start with \r\n       what I do have and work my way through it.\r\n       \r\n                                       4 rods    16.5 ft    12 in\r\n   1 furlong = 10 chains = 10 chains * ------- * ------- * -------\r\n                                       1 chain    1 rod      1 ft\r\n	\r\n	     = 10 * 4 * 16.5 * 12 inches = ... = 7920 inches \r\n\r\n\r\n2. For acres in a square mile (1 mi^2), we have a bit more to do.\r\n\r\n     Abbreviations used: miles = mi, furlong = fur, chain = ch\r\n     \r\n     Area means that we are dealing in two dimensions, so we have to \r\n        convert the lengths in each dimension.  An acre is already a \r\n        measure of area, so we\'re good.\r\n	\r\n                       1 acre    10 ch    8 fur   10 ch   8 fur\r\n   1 sq mi = 1 mi^2 * -------- * ------ * ----- * ----- * -----\r\n                       10 ch^2   1 fur    1 mi    1 fur   1 mi\r\n		      \r\n	   = (1 mi * 1 mi) * 1 acre * 10 ch * 10 ch   8 fur * 8 fur\r\n	                              ------------- * -------------\r\n					10 ch * ch     1 mi * 1 mi\r\n     \r\n   Units cancel, leaving this:\r\n   \r\n   1 sq mi = 1 acre * (100/10) * (8 * 8) = 10 * 64 acres = 640 acres\r\n  \r\n   \r\nNext time:  \"Hey!  Ready to try metric?\"\r\n\r\n</pre>',229,72,0,'CC-BY-SA','mathematics,units,distance,area',0,1402,1),
(1502,'2014-05-06','Practical Math - Units - Distances and Area, Part 2',1834,'Charles in NJ continues Practical Math with an episode on units of distance and area','<pre>\r\nHPR Episode: Using and Converting Between Units of Distance\r\n\r\nIntro: Last time, we talked in general terms about units, numbers and\r\nhow they might be useful in practice.  In this episode, we address some\r\nspecific measurement units that apply to distance and area, and how we\r\nmight convert from one system to another to better understand both.\r\n\r\nEntire point of this episode is this: Carry units in calculations on \r\n  distances and areas, and you\'ll have more success in using them in \r\n  your life.  \r\n\r\n\r\n\r\nSegment 1:  Review of Distance and Area conversions in the English system\r\n\r\n1. Links from last time\r\n\r\n   Table of Units: \r\n      https://www.csgnetwork.com/converttable.html\r\n\r\n   To see why the story is tremendously more complicated than my account\r\n      https://en.wikipedia.com/wiki/Mile\r\n\r\n   Fun article on the mile.\r\n      https://www.sizes.com/units/mile.htm\r\n   \r\n   High school student theme on the furlong.\r\n      https://www.writework.com/essay/history-furlong by silverAlex2000\r\n\r\n   Brief dictionary article on the mile, referenced by Dr. Math \r\n      https://www.unc.edu/~rowlett/units/dictM.html#mile \r\n      Referred by https://mathforum.org/library/drmath/view/61126.html\r\n\r\n   Resource: StackExchange Physics and Maths sections (\"mile\" question)\r\n      https://physics.stackexchange.com/questions/57785/difference-between-nautical-and-terrestrial-miles\r\n\r\n\r\n2. Converting between units\r\n   a. Units of distance usually defined as multiples of each other\r\n      - 1 mile = 5,280 feet            - 1 hand = 4 inches\r\n      - 1 foot = 12 inches             - 1 yard = 36 inches\r\n      \r\n      Skipping ahead to look at the metric system, we now have:\r\n      - 1 inch = 2.54 centimeters (exact). Regularized in recent years.\r\n\r\n   b. This works because there\'s consensus on Zero distance, so we don\'t\r\n         have to adjust for differing origins, as we do with the \r\n         non-absolute temperature scales like Fahrenheit and Celsius. \r\n      \r\n      - We\'ll get to temperature, non-absolute scales in a later show.\r\n\r\n   c. For absolute scales, we can convert from one unit to another using\r\n         a \"conversion factor\".  That is, we can convert a measurement \r\n         expressed in one unit to its equivalent in another unit by \r\n         multiplying or dividing by some number to stretch or compress \r\n         the original unit to match the target unit.\r\n	 \r\n      - Example: I know that 1 foot is 12 inches, so how many inches are\r\n          there in 10 feet?  How feet are there in 660 inches?\r\n      \r\n      - It is clear that a factor of 12 ought to be involved, but how do\r\n          I know when to multiply or divide by 12 in the conversion?\r\n      \r\n      - Wait!  I\'m serious.  When you see this problem for the first \r\n          time, you have to think this through to get it right.  \r\n        * Without a system in place, you always have to think about it.\r\n      \r\n      - Answers in naive setup:\r\n          (i) 10 feet = (12 * 10) inches = 120 inches\r\n         (ii) 660 inches = (660 / 12) feet = 55 feet\r\n\r\n3. Having a system.  Or units conversion as \"multiplying by One\"\r\n   \r\n   a. In each of the solutions I wrote down above, I start with an \r\n         equation that looks like this: X inches = Y feet.\r\n\r\n   b. Inches are not feet, and this way of writing down the calculation \r\n        does NOT help you figure you how the conversions should work, or\r\n        whether you should multiply or divide to get the right answers.\r\n\r\n   c. Here\'s a system for creating conversion factors that tell you what\r\n        to do at each step in the units conversion process.  It is based\r\n        on the very obvious fact that when I multiply any number by \'1\',\r\n        its value remains unchanged.\r\n	\r\n      - Start with one of the identities we wrote down at the beginning.\r\n	    In this case, let\'s use:  12 inches = 1 foot\r\n	  \r\n      - If I divide equals by equals, the results are equal.\r\n	    So I can write:\r\n	  \r\n	                                   12 inches      1 foot\r\n	  12 inches = 1 foot implies that  ---------  =  --------- = 1\r\n		                                 1 foot      12 inches\r\n      \r\n      -	Get the first term by dividing my original identity by (1 foot).\r\n      - Get the second term by dividing my original identity by (12 in).\r\n\r\n\r\n   d. To make a conversion from feet to inches, I use:\r\n   \r\n                           12 in    10 ft \r\n      10 ft * 1 = 10 ft * ------- = ------ * 12 in = 10 * 12 in = 120 in\r\n                           1 ft      1 ft\r\n      \r\n      - Note: In the fraction (10 ft) / (1 ft), the units \"cancel out\", \r\n                which leaves a unitless number.\r\n	      \r\n      - Suppose we start with the other form for the conversion factor:\r\n   \r\n                               1 ft    10 square feet \r\n      10 feet * 1 = 10 feet * ------ = -------------- = ???\r\n                              12 in       12 inches\r\n      \r\n      - See?  When I use the form where the units don\'t cancel each \r\n          other, I get a resulting equation that is still correct.  It \r\n          just doesn\'t make much sense to me as a reader.\r\n      \r\n      - This is what you get when you \"divide by 12\" to convert feet to \r\n          inches, but the difference is that you KNOW something\'s wrong.  \r\n      \r\n      - You do not have to even look at the numbers to know that this \r\n         could not possibly be the right number of inches in 10 feet.\r\n\r\n\r\nBrilliant Insight #2: When you use unit conversion factors, you help \r\n  your cause by carrying along both sets of units in the form of a \r\n  fraction as you go through your calculation.  \r\n  \r\n  - If the units on the right-hand side of your final equation don\'t \r\n    match the units you want (after everything else cancels out), your \r\n    numerical answer is almost certainly WRONG.\r\n  \r\n  - The implication here?  To convert units of distance, you need to \r\n       multiply or divide by a \r\n       \r\n       conversion factor = (X New_Units) / (Y Old_Units).  \r\n       \r\n    When you do this, write the conversion factor in its full fractional\r\n       form, and carry out all of the multiplications and cancellations.\r\n  \r\n  - If you do the conversion this way, and the units match, you only \r\n       have to check your arithmetic to be sure you\'ve got it right.\r\n\r\n  - If the units you want do not match those on the right side of the \r\n       equal sign, you are solving the wrong problem.  The equation may \r\n       be correct, but it is not expressed in the units you wanted.\r\n\r\n\r\n 6. Let\'s use the system to solve the second example:\r\n  \r\n                               1 ft       660 in * 1 ft \r\n      660 in * 1 =  660 in *  -------  = --------------- = 55 feet\r\n                               12 in        12 in\r\n \r\n      Why?  The \"inches\" units cancel out because they appear in both \r\n        numerator and denominator (top/bottom, upstairs/downstairs) of\r\n	    the fraction in the next to last term, leaving only \"feet\".\r\n\r\n  Why people hate units and conversion problems:\r\n  https://www.regentsprep.org/regents/math/algebra/am2/leseng.htm\r\n\r\n  Comment: The \"algebraic\" approach suggested here is ugly, ad hoc in\r\n    nature, and unnecessarily complicated.  Forget about setting up\r\n    equations and going through formal operations to solve them.\r\n    \r\n    Choose your conversion factors so that the units work out properly\r\n    as a straight multiplication problem with cancellation of all the\r\n    units you don\'t want.  You may have to \"divide\" numbers, but you\r\n    can use your calculator for working through the numbers.\r\n    \r\n  Cranky Summary: You should not have to solve equations to convert\r\n    between units. Phooey on anyone who says otherwise. :-)\r\n \r\n\r\nSegment 2: Conversions using compound conversion factors.\r\n\r\n1. Suppose I want to find the number of inches in a furlong, or the \r\n   number of acres (or hectares) in a square mile?\r\n   \r\n   - My almanac doesn\'t carry these conversion factors, so I start with \r\n       what I do have and work my way through it.\r\n       \r\n                                       4 rods    16.5 ft    12 in\r\n   1 furlong = 10 chains = 10 chains * ------- * ------- * -------\r\n                                       1 chain    1 rod      1 ft\r\n	\r\n	     = 10 * 4 * 16.5 * 12 inches = ... = 7920 inches \r\n\r\n\r\n2. For acres in a square mile (1 mi^2), we have a bit more to do.\r\n\r\n     Abbreviations used: miles = mi, furlong = fur, chain = ch\r\n     \r\n     Area means that we are dealing in two dimensions, so we have to \r\n        convert the lengths in each dimension.  An acre is already a \r\n        measure of area, so we\'re good.\r\n	\r\n                       1 acre    10 ch    8 fur   10 ch   8 fur\r\n   1 sq mi = 1 mi^2 * -------- * ------ * ----- * ----- * -----\r\n                       10 ch^2   1 fur    1 mi    1 fur   1 mi\r\n		      \r\n	   = (1 mi * 1 mi) * 1 acre * 10 ch * 10 ch   8 fur * 8 fur\r\n	                              ------------- * -------------\r\n                                       10 ch * ch     1 mi * 1 mi\r\n     \r\n   Units cancel, leaving this:\r\n   \r\n   1 sq mi = 1 acre * (100/10) * (8 * 8) = 10 * 64 acres = 640 acres\r\n  \r\n   \r\n\r\nSegment 3: Hey!  Ready to try metric?\r\n\r\n1. Metric system never caught on in the US, although most of English-\r\n     speaking world has adopted it.  Units conversion is easy in the \r\n     metric system, because everything is in powers of 10.\r\n   \r\n   - But you still need to carry along units in calculations!\r\n   \r\n2. Area and distance units in the metric system\r\n\r\n   - Basics of distance: Centimeter is easy for us to see, and now the \r\n       factor to convert centimeters to inches is exact.\r\n       \r\n       1 inch = 2.54 centimeters (cm) exactly\r\n       \r\n                                    1 inch\r\n       1 meter = 100 cm = 100 cm * --------- = 39.37 in (approximate)\r\n                                    2.54 cm \r\n\r\n       1 kilometer = 1,000 meters\r\n       \r\n\r\n   - Basics of area:\r\n \r\n       1 are = 100 sq meters  (area of a square that\'s 10m on each side)\r\n       \r\n                                          100 sq m\r\n       1 hectare = 100 ares = 100 ares * ---------- = 10,000 sq meters\r\n                                           1 are\r\n\r\n3. For short distances, we should do our conversions fairly precisely.\r\n\r\n   - There\'s usually a higher relative error from rounding off too soon.\r\n   - If you measure wood for a small project, you want to be \"close\".\r\n\r\n                        2.54 cm\r\n   So 1 foot = 12 in * --------- = 30.48 cm exactly.  Cut carefully!\r\n                        1 in\r\n			    \r\n4. For larger distances, like distances covered in track and field, or\r\n     the length of a football pitch (to a spectator), approximations can \r\n     give you a nice intuition for comparing units you know and a new\r\n     set of units that you don\'t know as well.\r\n     \r\n   - 1 meter is around 39.37 inches.  Suppose I call it about 1.10 yards\r\n        as a kind of approximate benchmark (39.60 in), so each meter in \r\n        my reckoning is about a quarter of an inch too long?  \r\n   \r\n   - If I\'m planning a space mission, I could be in trouble. \r\n       But how bad would this be for getting an intuitive feel of the \r\n       distances covered by the athletes in the Olympic Games?\r\n\r\n   - Error at  100 meters is about 0.23 in (0.6 cm) * 100 = 60 cm over\r\n           at  200 meters, it\'s 1.1 m over.\r\n           at 1 kilometer, it\'s 5.6 m over.\r\n	   \r\n     Unless you\'re a long-range sharpshooter, 5.6m off in 1 km seems OK.\r\n\r\n\r\n5. Bonus: The news talked about a wildfire that burned 100,000 hectares.\r\n      What kind of area are we talking about?\r\n\r\n   - Let\'s use our approxmation of 1 meter is about 1.1 yards.\r\n   \r\n   - Acres are defined in terms of \"square chains\", so let\'s look at \r\n        meters vs chains to see what we get.\r\n	\r\n	                                               1 m\r\n     1 chain = 4 linear rods = 22 yds = 22 yds * -------- = about 20m\r\n                                                  1.1 yd\r\n\r\n                                                 20m     20m\r\n     1 acre = 10 square chains = 10 ch * 1 ch * ----- * ------\r\n                                                1 ch     1 ch\r\n						       \r\n	    = 10 * 1 * 20m * 20m = 4,000 square meters, or 0.4 hectares\r\n\r\n   - Wow!  An acre\'s about 0.4 hectares, or 1 hectare\'s about 2.5 acres.\r\n\r\n\r\n   So what\'s the answer?\r\n                                               2.5 acres   \r\n      a) 100,000 hectares = 100,000 hectares * --------- = 250,000 acres\r\n                                               1 hectare \r\n\r\n\r\n                                            1 sq. mi    250,000\r\n      b) 100,000 hectares = 250,000 acres * --------- = ------- sq. mi\r\n                                            640 acres     640\r\n					    \r\n	                  = 391 sq. miles (about 400 sq miles)\r\n\r\n   Note: This suggests a shortcut conversion (hectares to square miles).\r\n\r\n                                 640 acres   1 hectare\r\n    1 square mile = 1 sq. mile * --------- * --------- = 256 hectares\r\n                                 1 sq. mi.   2.5 acres\r\n\r\n\r\n6. Final check: Error analysis on this approximate conversion from \r\n      hectares to acres or square miles.\r\n\r\n   - Using Google or \'units\' in the shell, we have:\r\n   \r\n     1 sq mi = 259 hectares to 6 significant digits, versus 256 (1%)\r\n\r\n     Note: If we used 250 hectares per square mile, the relative error \r\n       is 3.5%.  That\'s less than the error in the news report.\r\n\r\n     1 hectare = 2.47105 acres, versus 2.5 (1% error)\r\n\r\n   Units shell command: Dann Washko did a really nice job on \'units\' for HPR.\r\n    * Linux in the Shell #26: https://www.linuxintheshell.org/\r\n    * HPR Episode #1213: https://hackerpublicradio.org/eps.php?id=1213\r\n\r\n\r\nFinal word: Unless you are buying, selling or cultivating land, use the \r\n  cruder approximations here to understand the relationships between \r\n  acres, hectares and square miles.  It will make you seem smarter.\r\n  \r\n  - If someone calls you out and says it\'s wrong, blame \"that guy on HPR.\"\r\n\r\n\r\nNext Topic?  Volumes and recipes, other than medicines (separate topic)\r\n  - Volumes are the bottom line in cooking, unless they aren\'t.\r\n  - Hint: You should weigh some items, like some kinds of flour.\r\n</pre>',229,72,0,'CC-BY-SA','mile,furlong,foot,hand,yard,conversion,metric system',0,1344,1),
(1499,'2014-05-01','How I Got Into Computers',3597,'linux, computing, minicomputers, Fortran, COBOL, Pascal, Basic','<pre>\r\nHPR Episode: How I Got Into Computers\r\n\r\n1. Got into computers in 1974 in high school.\r\n - School had a DEC PDP-11/20 minicomputer\r\n   * Two ASR-33 Teletype terminals, keypunch, line printer, card sorter\r\n   * Ran older operating system RSTS-11 v4a\r\n     - Too low-end to run anything more recent.\r\n     - 16K words of core memory: point-to-point wired \"cores\"\r\n\r\n - The system was somewhat rudimentary.  It\'s idea of a prompt was:\r\n \r\n READY\r\n \r\n - A Teletype terminal does not have a screen, so the print head \r\n     was the only \"cursor\" to let you know where you are. \r\n \r\nHardware:\r\nPDP-11/20: Computer Museum \r\n  https://www.computerhistory.org/revolution/minicomputers/11/366/1946\r\n  \r\nPDP-11/20: Retro Technology\r\n  https://www.retrotechnology.com/pdp11/exhibit/PDP_11_infoage_1.htm\r\n\r\nASR Model 33 Teletype with PDP-11 model computers\r\n  https://www.retrotechnology.com/pdp11/\r\n  \r\nOperating System:\r\nRSTS-11 System Managers Guide\r\n  https://bitsavers.trailing-edge.com/pdf/dec/pdp11/rsts/V04/DEC-11-ORSMA-B-D_RSTSmgr_73.pdf\r\n  \r\nRSTS-11 System Users Guide\r\n  https://bitsavers.trailing-edge.com/pdf/dec/pdp11/rsts/V06/DEC-11-ORSUA-D-D_RSTS_SystemUserGuide_Jul75.pdf\r\n\r\n\r\n\r\n2. Learned BASIC-Plus to get anywhere, starting with 1/2-year course\r\n\r\nDEC BASIC Plus Language Manual\r\n  https://bitsavers.trailing-edge.com/pdf/dec/pdp11/rsts/V04/DEC-11-ORBPA-A-D_BASIC-PLUS_LangMan_Oct72.pdf  \r\n\r\n * Course was taught by a math teacher who was not an amazing programmer, \r\n     but he was a great teacher.  He enabled us to get going with BASIC. \r\n\r\n * Anticipated pairs programming by working on programs with a friend as\r\n    \"Chuck and Duck Enterprises\", but we were mainly having fun.\r\n   - Started by necessity (1 TTY), but we got satisfying results faster\r\n   - Both of us could write code, but we learned about using\r\n       complementary strengths to get cool stuff done.\r\n\r\nPairs programming:\r\n  Pairs Programming, from XP\r\n  https://www.extremeprogramming.org/rules/pair.html\r\n  \r\n  Laurie Williams (Her other stuff is good, too)\r\n  https://collaboration.csc.ncsu.edu/laurie/publications.html\r\n\r\n   \r\n * Small memory --> innovation\r\n   - ASCII Art \"Poster\" Program: \r\n     Create banner with block letters on LP based on terminal input.\r\n   - Developed a mini-language to encode characters, white space, \r\n       newlines for each supported character.\r\n   - This was a special-purpose language used to compress data, rather\r\n       than a cool Domain-Specific Language (DSL).\r\n   - We just wanted to make cool banners to come off the line printer.\r\n\r\nDomain Specific Languages:  Why ours wasn\'t a DSL\r\n  Martin Fowler on DSLs\r\n  https://martinfowler.com/tags/domain%20specific%20language.html\r\n  \r\n\r\n\r\n3. Did a math major in college, after switching away from Comp. Sci.\r\n\r\n * Math had advantages for me\r\n   - More flexible curriculum \r\n   - Abstractions of the time were more fun to play with\r\n \r\n * I used the University computers on jobs as research assistant, tutor, typist\r\n   - Used them in course work, too.\r\n   - Planning my code carefully let me use my excess CPU seconds for fun\r\n   - Rule of Thumb: 1 hour in library is worth 12 hours at the terminal.\r\n\r\n\r\n4. Branching out in hardware, systems and programming languages\r\n\r\n* We learned FORTRAN in the programming courses\r\n   - I resisted the temptation to \"think in FORTRAN\" \r\n   - More general approach felt slower for getting individual jobs done.\r\n   - Working from first principles seemed more reliable\r\n   - Often gave me better solutions than following my nose in FORTRAN\r\n\r\n   Quirky FORTRAN Preprocessor for Structured Programming (SF/K)\r\n   https://www.worldcat.org/title/fundamentals-of-structured-programming-using-fortran-with-sfk-and-watfiv-s/oclc/301094243\r\n\r\n * Later, I picked up Pascal and TOPS-20 Assembly Language\r\n   \r\n   Pascal: From the source\r\n   Pascal User Manual and Report (Springer)  Trade paperback (1975)\r\n   by Kathleen Jensen, K Jensen, N Wirth\r\n\r\n   Trade paperback, Springer, 1975.  English  2nd ed. 167 pages\r\n   ISBN: 0387901442      ISBN-13: 9780387901442\r\n \r\n \r\n\r\n5. Gear and software rundown:\r\n\r\n * Xerox/Honeywell Sigma Six (descended from Scientific Data Systems)  \r\n    (1977 to 1979)\r\n     https://en.wikipedia.org/wiki/CP-V_operating_system\r\n     https://en.wikipedia.org/wiki/SDS_Sigma_series\r\n\r\n * DEC System 2060 (relabeled PDP-10) running TOPS-20 on a 36-bit machine\r\n    (1979 to 1981)\r\n     https://bitsavers.trailing-edge.com/pdf/dec/pdp10/TOPS20/DECnet-20/AA-5091B-TM_TOPS-20_DECnet-20_Programmers_Guide_Jan80.pdf\r\n     https://pdp10.nocrew.org/docs/ad-h391at1.pdf  DECsystem-10 and -20 Processor Ref.\r\n\r\n\r\n6. Summer and Night Job\r\n * The Duration Caper:\r\n   Friend fixing a Fortran program to compute bond duration on a large portfolio.\r\n   - Answers weren\'t coming out, so he printed out several subtotals in his calculation.\r\n   - \"Extend the line\" to include the last term in the numerator of one big fraction \"and you\'ll have it\"\r\n   \r\n   Found a typo in the Jack Clark Francis \"bible\" of investments theory\r\n   - Throwaway question: \"What\'s this duration stuff, anyway?\"\r\n   - Question got me hired as a research assistant by Finance department in Business school\r\n   \r\n   Investments: Analysis and Management, First Edition Hardcover(1972)\r\n   by Jack Clark Francis.  McGraw-Hill Book Company\r\n   ISBN: 0070217858             ISBN-13: 9780070217850\r\n   \r\n\r\n * The \"Sure!  I Know Assembly Language\" Caper\r\n   Offered a job with Finance, conditional on first assignment.\r\n   - Take over maintenance of a Fortran program with inline Assembly Language\r\n   - Original developer was a senior Computer Science major I knew.\r\n   - Gambled that his code was solid.  And won in the end.\r\n   \r\n   Got paid 3 times minimum wage ($7.50/hour versus $2.30) to look up and read research papers.\r\n   - I\'d have done it for free, so this was a sweet gig.\r\n   \r\n   \r\n * Other jobs:\r\n   - Tutoring math, computer science for food or cash\r\n   - Programming jobs\r\n   - Teaching assistant jobs for statistics, finance courses\r\n   - Security and management of student-run darkroom in Summer months == \"reading\"\r\n   - Typing papers on a typewriter\r\n \r\n      \r\n7. After college, started working in non-life insurance.\r\n\r\n * End user computing in actuarial group was in BASIC-Plus on PDP-11s\r\n   - Word processing was in DECword or the WPS-8 dedicated machine.\r\n   - After first year, moved to department-level PDP-11/44\r\n   - For heavy-duty jobs, we also had timesharing access to VAX-11/780\r\n   \r\n * First project was building a database from mainframe data dump\r\n   - EBCDIC data conversion to ASCII led to my education about signed\r\n       data fields in COBOL.\r\n   - I knew hexadecimal math from my assembly language course\r\n   - I\'d seen EBCDIC in dumps while writing FORTRAN on CP-V\r\n   \r\n    Data dumps from 9-track to PDP-11/70 led to Overpunch field conversion\r\n      https://www.3480-3590-data-conversion.com/article-signed-fields.html\r\n\r\n * Note: When you have curly braces at the end of a signed number field, \r\n     the brace opens in the direction of the positive or negative end of\r\n     the number line.\r\n   - Open brace ({): Value ends in zero and has positive sign.  Zero < X\r\n   - Closing brace (}): Value ends in zero and is negative. Zero > X\r\n\r\n * If field ends in A, the value\'s final digit is 1, and it\'s positive\r\n   - B means positive value that ends with a 2, C is 3, ... I is 9.\r\n   - So \"00003757D\" is $   +375.74.\r\n   \r\n * If the field ends in J-R, the value is negative and ends in 1-9.\r\n   - So \"00000255R\" is the value $   -25.59.\r\n   \r\n\r\n\r\n8. Irony: I was asked to help troubleshoot a program that was crashing\r\n     as it was automatically converting the rates and rules manuals away\r\n     from Unix with \'nroff\' to DECword on RSTS in 1982.\r\n  - This may have delayed my adoption of Linux\r\n  - Used Unix (Ultrix) in early 1990s to preprocess data for use in OS/2\r\n  - Had to move to Win 95 and Win NT for work\r\n\r\n\r\n****** Skipping the Dark Period of DOS/Windows and OS/2 Computing ******\r\n  - Turbo Pascal, APL, PICK, QuickBasic, Visual Basic, Excel with VBA\r\n  - Learned SQL dialects, COM, .Net, and scripting languages\r\n\r\nMore from Dark Period: Less Slackware\r\n\r\n\r\n8. Gave Linux a try with Quantian Live CD in 2006 (Thanks, Dirk!)\r\n   https://dirk.eddelbuettel.com/quantian.html \r\n   https://dirk.eddelbuettel.com/quantian-tmp.pdf (PDF description)\r\n   https://dirk.eddelbuettel.com/quantian/quantian_0.7.9.2.quantian.packages.txt\r\n   \r\n * Used Live CDs to try Debian packages, repair PCs, and do math stuff\r\n  - Liked Gnumeric, Python, R, and educational software\r\n  - Wiped my Vista laptop in April, 2008 to install Ubuntu full-time\r\n  - Music, checking, and photo editing kept me from switching other PCs\r\n\r\n9. Tried Ubuntu \"Feisty\" using WUBI on Windows XP on Racing Cow\r\n * Trouble-free install, mainly because I was on an Ethernet cable\r\n   - Tried out Linux software in a risk-free environment to find what I liked\r\n   - GNOME 2 was close enough to Windows and Mac, so no problems with UI\r\n   - Command line was similar to Ultrix and even to DOS, so not so bad.\r\n\r\n * WUBI let me try Ubuntu without having to dual boot or use Live CDs\r\n   - Easy to install and remove, like a Windows application\r\n   - No messy virtualization setup\r\n   - Linux could see and use files on my Windows partition seamlessly\r\n\r\n * Ubuntu \"Hardy\" on \"Titanic\" (retired Dell Latitude D820 laptop)\r\n   - Install was easy, except for wireless networking\r\n   - Had to use NDISWRAPPER at first, but everything worked.\r\n\r\n * Switched my main home desktop (Racing Cow) in April, 2011\r\n  - Just in time for Unity, which would not run on my gear.\r\n  - Gnome 2 ran well on my computers, and they choked on Unity and Gnome 3.\r\n  - Taste and older machines led me to go distro hopping.\r\n  - Dan Lynch of Linux Outlaws pointed me to CrunchBang.  Try it.\r\n      https://crunchbang.org\r\n\r\n\r\n9. Other distros I\'ve tried:\r\n\r\n * Gentoo (June 2011):  https://www.gentoo.org \r\n \r\n   Note: It is not as super-hard as you\'ve been told.\r\n   \r\n   Installed it in three 4-hour sessions after reading docs on train\r\n    - Compiled kernel on first shot\r\n    - Added modules for devices I liked, and that recompile worked\r\n    - Got X working enough to use a browser and a window manager\r\n    - Gave up only because I had not decided on my workflows\r\n    - Was afraid to mix GTK and QT or KDE packages at that stage\r\n    - Unsure about reversing wrong choices \r\n    - Unfamiliar toolkits scared me, although I had no real problems\r\n  \r\n   Conclusion: My problem with Gentoo?  Between keyboard and chair. \r\n\r\n\r\n * Slackware (several times):  https://www.slackware.org\r\n   \r\n   Always installs on first try for me, with huge kernel\r\n    - Knowing what to do after initial install was the problem here, too\r\n    - To remove fear, I updated my 13.37 with all patches by hand\r\n    - Manual updates after install took 2 hours, including learning pkgtool\r\n    - Using generic or custom kernels is only hard when I\'m stupid\r\n      * Be sure the drivers to operate your boot disk are compiled in\r\n   \r\n   Conclusion: After hating older versions, it\'s KDE 4 for the win!\r\n   \r\n     \r\n * SlackerMedia book:  https://slackermedia.info\r\n   \r\n   Helpful tips on designing workstation around workflows\r\n    - Uses SlackBuilds and SlackBuild queues for repeatable configuration\r\n    - Gave me idea for groups working on math software-in-progress\r\n    - Slackware package format is simple, easy to grasp (for binaries)\r\n    - SlackBuilds: close to a universal format for sharing program source\r\n   \r\n   Why Slackware?\r\n    - There are SlackBuild scripts for Sage and other packages I like\r\n    - Slackware comes with support for TeX for math writing\r\n    - SlackerMedia has queues for audio, video, web editing, publishing\r\n   \r\n   Conclusion: SlackerMath is born.  Still needs to be fleshed out.\r\n    - Slackware distribution-from-scratch based on SlackBuilds\r\n    - Set it up as you wish using your own custom queues\r\n    - Suggested packages would include Sage, R, Octave, GSL, QuantLib,\r\n        Grass GIS, kile, gretl, Tux Racer, euler, gnucap, and others\r\n    - Languages: Python with NumPy/SciPy/matplotlib and bindings to \r\n        other languages/libraries, Scheme, Perl, Lua, C and Fortran\r\n        \r\n * Also tried the following, but didn\'t stay with them\r\n   - Slax (www.slax.org)\r\n   - \r\n11. Right now: \r\n  * Five of our six former Windows computers have switched to Linux.\r\n    - \"Surfing Cow\" decommissioned with CrunchBang as its final O/S.\r\n    - \"Racing Cow\" still going strong with CrunchBang\r\n    - Sony FE laptop \"White Cloud\" running Ubuntu 13.04\r\n    - Derringer is my audio editing machine, because it\'s under 3 lbs.\r\n    - Laptop \"Titanic\" died after a baptism in red wine\r\n      Back to life with new keyboard, disk, and name -- \"Lazarus\"\r\n      \r\n  * Number six (\"Dawn Pixie\") about to go to a Linux \"granny\" distro\r\n    - Linux Mint or PCLinuxOS (KDE version)\r\n    - Need a \"granny\" distros for generic use by all comers\r\n\r\n</pre>',229,29,0,'CC-BY-SA','DEC,PDP-11/20,ASR-33,RSTS-11,BASIC,FORTRAN,Pascal,VAX-11/780,Ultrix,Linux,Ubuntu,Gentoo,Slackware',0,1491,1),
(1498,'2014-04-30','Personal OpenVPN',2295,'John Duarte talks about setting up OpenVPN','<h2>Personal OpenVPN</h2>\r\n<p>\r\nThis guide will walk you through setting up an OpenVPN server as well as a client.\r\n</p>\r\n<h2>OpenVPN Server Setup</h2>\r\n<p>\r\nHere is how to install OpenVPN on Centos6. Other RedHat derivatives should be similar.\r\n</p>\r\n<p>\r\n<pre>\r\n    wget https://dl.fedoraproject.org/pub/epel/6/i386/epel-release-6-8.noarch.rpm\r\n    rpm -Uvh epel-release-6-8.noarch.rpm\r\n    yum install openvpn -y\r\n</pre>\r\n</p>\r\n<p>\r\nHere is how to install OpenVPN on a Debian server. Other Debian derivatives should be similar.\r\n</p>\r\n<p>\r\n<pre>\r\n    apt-get install openvpn\r\n</pre>\r\n</p>\r\n<p>\r\nAfter the server is installed, the server certificate authority and keys must be generated.\r\nThis will be followed by the client keys, and then the server configuration file.\r\n</p>\r\n<p>\r\nCopy the easy-rsa scripts into /etc/openvpn\r\n</p>\r\n<p>\r\n<pre>\r\n    cp -rf /usr/share/doc/openvpn/examples/easy-rsa/2.0/* /etc/openvpn/easy-rsa  # on Debian\r\n</pre>\r\n<pre>\r\n    cp -rf /usr/share/openvpn/easy-rsa/2.0/* /etc/openvpn/easy-rsa  # on Centos6\r\n</pre>\r\n</p>\r\n<p>\r\nSet Environmental variables\r\n</p>\r\n<p>\r\n<pre>\r\n    cd /etc/openvpn/easy-rsa\r\n    vim vars\r\n</pre>\r\n</p>\r\n<p>\r\nChange the following variables to meet your needs. These are used for your\r\nconvenience. They will be used as the defaults during the interactive key\r\ngeneration session to set the keys attributes.\r\n</p>\r\n<p>\r\n<pre>\r\n    export KEY_COUNTRY=\"US\"\r\n    export KEY_PROVINCE=\"CA\"\r\n    export KEY_CITY=\"SanFrancisco\"\r\n    export KEY_ORG=\"Fort-Funston\"\r\n    export KEY_EMAIL=\"me@myhost.mydomain\"\r\n</pre>\r\n</p>\r\n<p>\r\nSource the variables to the current shell\r\n</p>\r\n<p>\r\n    . ./vars\r\n</p>\r\n<p>\r\nCreate certificate authority\r\n</p>\r\n<p>\r\n<pre>\r\n    ./clean-all\r\n    ./build-ca\r\n    ./build-dh\r\n</pre>\r\n</p>\r\n<p>\r\nCreate keys for the server and clients\r\n</p>\r\n<p>\r\n<pre>\r\n    ./build-key-server server\r\n    ./build-key client1\r\n    ./build-key client2\r\n</pre>\r\n</p>\r\n<p>\r\nSetup the server configuration file\r\n</p>\r\n<p>\r\n<pre>\r\n  cd /etc/openvpn\r\n  gunzip /usr/share/doc/openvpn/examples/sample-config-files/server.conf.gz  # on Debian\r\n  vim /etc/openvpn/server.conf\r\n</pre>\r\n</p>\r\n<p>\r\nServer settings\r\n</p>\r\n<p>\r\n<pre>\r\n    port 1194\r\n    proto udp\r\n    dev tun\r\n    ca     /etc/openvpn/easy-rsa/keys/ca.crt\r\n    cert   /etc/openvpn/easy-rsa/keys/server.crt\r\n    key    /etc/openvpn/easy-rsa/keys/server.key\r\n    dh     /etc/openvpn/easy-rsa/keys/dh2048.pem\r\n    server 10.10.42.0 255.255.255.0\r\n    ifconfig-pool-persist ipp.txt\r\n    client-config-dir ccd\r\n    route 10.10.42.0 255.255.255.0\r\n    client-to-client\r\n    keepalive 10 120\r\n    cipher AES-256-CBC   # AES\r\n    comp-lzo\r\n    user nobody\r\n    group nogroup\r\n    persist-key\r\n    persist-tun\r\n    status openvpn-status.log\r\n    verb 3\r\n</pre>\r\n</p>\r\n<p>\r\nRestart VPN Service\r\n</p>\r\n<p>\r\n<pre>\r\n    service openvpn restart\r\n</pre>\r\n</p>\r\n<p>\r\nIf the service fails to start, try starting openVPN manually.\r\nThe resulting errors will allow you to see what item in the\r\nconfiguration file is incorrect.\r\n</p>\r\n<p>\r\n<pre>\r\n    openvpen server.conf\r\n</pre>\r\n</p>\r\n<p>\r\nOnce you are able to get openVPN to start without error,\r\nkill it and restart it using the service command above.\r\nYou can verify that the vpn is successfully running by\r\nlooking at the configured interfaces using the following\r\ncommand.\r\n</p>\r\n<p>\r\n<pre>\r\n    ifconfig\r\n</pre>\r\n</p>\r\n<p>\r\nYou should now see an entry like the following:\r\n</p>\r\n<p>\r\n<pre>\r\ntun0      Link encap:UNSPEC  HWaddr 00-00-00-00-00-00-00-00-00-00-00-00-00-00-00-00\r\n          inet addr:10.10.42.1  P-t-P:10.10.42.2  Mask:255.255.255.255\r\n          UP POINTOPOINT RUNNING NOARP MULTICAST  MTU:1500  Metric:1\r\n          RX packets:622255 errors:0 dropped:0 overruns:0 frame:0\r\n          TX packets:986993 errors:0 dropped:0 overruns:0 carrier:0\r\n          collisions:0 txqueuelen:100\r\n          RX bytes:40649523 (38.7 MiB)  TX bytes:1344026670 (1.2 GiB)\r\n</pre>\r\n</p>\r\n<h2>OpenVPN Client Setup</h2>\r\n<p>\r\nThe installation of OpenVPN for linux is the same as described above for\r\nthe server. For Windows, Download and run the OpenVPN installer from the\r\nOpenVPN Community Downloads.\r\n</p>\r\n<p>\r\n<i>NOTE:</i> On Windows, <i>User Account Control (UAC)</i> must be turned\r\noff in order to allow OpenVPN to execute the necessary network\r\ncommands to bring up the VPN. Open <i>Start > Control Panel >\r\nUser Accounts and Family Safety > User Accounts > Change User\r\nAccount Control Settings</i>. Set to <i>Never Notify</i>, click <i>OK</i>,\r\nand reboot the machine.\r\n</p>\r\n<p>\r\nClient Configuration file\r\n</p>\r\n<p>\r\nFor linux, the client config file would go in `/etc/openvpn` just like\r\nthe server config. We will name it `client.conf` to clarify that the\r\ndevice is being configured as an OpenVPN client.\r\nOn Windows, the keys and client config files go in the\r\n`C:\\Program Files (x86)\\OpenVPN\\config`. The config file has\r\nto have an `.ovpn` suffix.\r\n</p>\r\n<p>\r\n<pre>\r\n    client\r\n    dev tun\r\n    proto udp\r\n    remote myvpn.example.org 1194\r\n    resolv-retry infinite\r\n    nobind\r\n    user nobody\r\n    group nogroup\r\n    persist-key\r\n    persist-tun\r\n    ca     /etc/openvpn/keys/ca.crt\r\n    # on Windows, the format is:\r\n    # ca \"C:\\\\Program Files (x86)\\\\OpenVPN\\\\config\\\\ca.crt\"\r\n    # Windows may also change the file suffix on the crt files to cer.\r\n    # So, If Windows complains that it cannot find the file,\r\n    # examine its properties to verify the suffix.\r\n    # The logs are stored at C:\\\\Program Files (x86)\\\\OpenVPN\\\\log\r\n    cert   /etc/openvpn/keys/client1.crt\r\n    key    /etc/openvpn/keys/client1.key\r\n    ns-cert-type server\r\n    cipher AES-256-CBC\r\n    comp-lzo\r\n    verb 3\r\n</pre>\r\n</p>\r\n<p>\r\nCopy client key and server ca files onto client\r\n</p>\r\n<p>\r\n<pre>\r\n    scp  ca.crt  user@client1:.openvpn/\r\n    scp  client1.crt  user@client1:.openvpn/\r\n    scp  client1.key  user@client1:.openvpn/\r\n</pre>\r\n</p>\r\n<p>\r\nOn the server create the ccd directory to assign static addresses to clients.\r\n</p>\r\n<p>\r\n<pre>\r\n    mkdir /etc/openvpn/ccd\r\n</pre>\r\n</p>\r\n<p>\r\nFor each device, add a file with the CN name of the key.\r\nIn that file, you will indicate the static address to be used and the server IP\r\nFor linux, the server IP will be the VPN address of your VPN server. On Windows, the VPN client\r\nwill set up a local TAP interface that must be used as the server IP. See the OpenVPN docs for available\r\nclient and TAP server IP pairs.\r\n</p>\r\n<p>\r\nExamples:\r\n</p>\r\n<p>\r\n<pre>\r\n    cat /etc/openvpn/ccd/linux-client\r\n    ifconfig-push 10.10.42.10 10.10.42.1\r\n    cat /etc/openvpn/ccd/windows-client\r\n    ifconfig-push 10.10.42.13 10.10.42.14\r\n</pre>\r\n</p>\r\n\r\n<h2>References:</h2>\r\n\r\n<ul>\r\n<li><a href=\"https://www.hackerpublicradio.org/eps.php?id=297\">Hacker Public Radio episode 0297</A></li>\r\n<li><a href=\"https://wiki.debian.org/OpenVPN\">Debian OpenVPN Docs</A></li>\r\n<li><a href=\"https://openvpn.net/index.php/open-source/documentation/howto.html\">OpenVPN HowTo</A></li>\r\n<li><a href=\"https://openvpn.net/index.php/download/community-downloads.html\">OpenVPN Windows Downloads</A></li>\r\n<li><a href=\"https://community.openvpn.net/openvpn/wiki/Easy_Windows_Guide\">OpenVPN Windows Guide</A></li>\r\n</ul>\r\n',277,74,1,'CC-BY-SA','OpenVPN,Centos6,Debian',0,1567,1),
(1503,'2014-05-07','Making Waves-The DSO Pocket Oscilloscope',1280,'NYbill discusses the DSO Pocket Oscilloscope v3. A few circuits are set up to test it','<p>\r\nNYbill discusses the DSO Pocket Oscilloscope v3. A few test circuits are set up to put the scope through its paces. \r\n</p>\r\n<p>\r\nThe DSO at Adafruit:\r\n<a href=\"https://www.adafruit.com/products/468\">https://www.adafruit.com/products/468</a>\r\n</p>\r\n<p>\r\nThe 555 timer chip:\r\n<a href=\"https://electronicsclub.info/555timer.htm#astable\">https://electronicsclub.info/555timer.htm#astable</a>\r\n</p>\r\n<p>\r\nThe script used to blink the Teensy:\r\n<a href=\"https://www.pjrc.com/teensy/loader_linux.html\">https://www.pjrc.com/teensy/loader_linux.html</a>\r\n</p>\r\n<p>\r\nPictures for the episode:\r\n<a href=\"https://media.gunmonkeynet.net/u/nybill/collection/pics-for-an-hpr-ep-making-waves/\">https://media.gunmonkeynet.net/u/nybill/collection/pics-for-an-hpr-ep-making-waves/</a>\r\n</p>\r\n	',235,103,0,'CC-BY-SA','electronics,oscilloscope,555 timer,teensy',0,1402,1),
(1504,'2014-05-08','HPR at NELF 2014 Afterparty',2358,'In this episode, Members of the HPR community, and attendees of NELF share their thoughts about the ','<p>\r\nIn this episode, Members of the HPR community, and attendees of NELF share their thoughts about the 2014 Northeast GNU/Linux Fest. Sorry for the dynamic range of this one. I levelled it out the best I could. Also sorry for getting this out so late. RL has been kicking my ass lately.\r\n</p>\r\n<p>\r\nSome interesting things that were mentioned that may be worth checking out:\r\nThe NELF talks and website:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://northeastlinuxfest.org/oggcast/ChrisCampbell.ogg\">https://northeastlinuxfest.org/oggcast/ChrisCampbell.ogg</a>\r\n</li>\r\n<li><a href=\"https://northeastlinuxfest.org/oggcast/PaulAsadoorian.ogg\">https://northeastlinuxfest.org/oggcast/PaulAsadoorian.ogg</a>\r\n</li>\r\n<li><a href=\"https://northeastlinuxfest.org/oggcast/RicWheeler.ogg\">https://northeastlinuxfest.org/oggcast/RicWheeler.ogg</a>\r\n</li>\r\n<li><a href=\"https://northeastlinuxfest.org/oggcast/TracyHolz.ogg\">https://northeastlinuxfest.org/oggcast/TracyHolz.ogg</a>\r\n</li>\r\n<li><a href=\"https://northeastlinuxfest.org/oggcast/door_talk.ogg\">https://northeastlinuxfest.org/oggcast/door_talk.ogg</a>\r\n</li>\r\n<li><a href=\"https://northeastlinuxfest.org/oggcast/RaviNoori.ogg\">https://northeastlinuxfest.org/oggcast/RaviNoori.ogg</a>\r\n</li>\r\n<li><a href=\"https://northeastlinuxfest.org/oggcast/WillWeaver.ogg\">https://northeastlinuxfest.org/oggcast/WillWeaver.ogg</a>\r\n</li>\r\n<li><a href=\"https://northeastlinuxfest.org/oggcast/aditya.ogg\">https://northeastlinuxfest.org/oggcast/aditya.ogg</a>\r\n</li>\r\n<li><a href=\"https://northeastlinuxfest.org/oggcast/MattMiller.ogg\">https://northeastlinuxfest.org/oggcast/MattMiller.ogg</a>\r\n</li>\r\n<li><a href=\"https://northeastlinuxfest.org/oggcast/AskTheGeek.ogg\">https://northeastlinuxfest.org/oggcast/AskTheGeek.ogg</a>\r\n</li>\r\n<li><a href=\"https://northeastlinuxfest.org/\">https://northeastlinuxfest.org/</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nThe Zoom H1 Recorders are fantastic devices, and we need to thank the HPR community for chipping in to buy one. They definitely pick up more sound than I did when the podcast was being recorded. I heard things in playback that I wish I had heard and addressed during the live recording. \r\n</p>\r\n<p>\r\nThanks to Richard Stallman for the lyrics to the Free Software Song\r\n</p>\r\n<p>\r\nThanks to The GNU/Stallmans for their performance of the Free Software Song on the RevolutionOS documentary. <a href=\"https://www.revolution-os.com/\">https://www.revolution-os.com/</a>\r\n</p>\r\n<p>\r\nWe all had a great time recording this show, and we hope you enjoyed it as well. Please join us at the next Northeast Gnu/Linux Fest if you can. Thank you very much for listening.\r\n</p>\r\n<p>\r\nSincerely,\r\nThe HPR conference crew\r\n</p>\r\n<p>\r\nP.S. Some people enjoy finding mistakes. For their enjoyment, we have included a few.\r\n</p>',109,0,1,'CC-BY-SA','Conference Interviews',0,1335,1),
(1535,'2014-06-20','31 - LibreOffice Calc - Sheet Editing and Navigation',1238,'Editing and navigating sheets, rows and columns in LibreOffice Calc','\n<p>This episode covers various editing techniques you might use, including multiple sheets, and adding, removing and hiding rows and columns. We also discuss how to navigate around a multiple sheet spreadsheet.</p>\n<p>LibreOffice Calc, like all spreadsheets, contains a large number of cells in various rows, columns, and sheets, and navigating that can get a little tricky. As we saw previously, each cell has an address, which is marked by the column (letters) and the row (numbers), always in that order. But in fact the address can be larger because we never discussed sheets.</p>\n<p>By default, when you create a new Calc spreadsheet you will have three sheets in it, which you see as tabs along the bottom of the screen. They will be called Sheet 1, Sheet 2, and Sheet 3 at this point. But these defaults can be changed by going to Tools–&gt;Options–&gt;LibreOffice Calc–&gt;Defaults. On this screen you can decide how many sheets you want to have on a new document. While the default as it comes is three (similar to Microsoft Excel) you can change it. On my copy of Calc I changed it to 1, because most of the time I never need more than one sheet for my work. I can also change the default naming of new sheets here. Instead of each sheet being “Sheet 1″, Sheet 2″, etc. I could make it something else, like “Tab 1″, “Tab 2″. and so on. I never bother with this though, because I will always name my sheets for what they are doing in a given spreadsheet (e.g. look at what I did when I created the simple model for “What-If” analysis.) And if I need to add a sheet, I can just go to Insert–&gt;Sheet to bring up a window to specify where the sheet should go, what it should be named, or even insert a sheet from a file . A CSV file would be a very good choice here, such as if you wanted to bring in data from a database or another spreadsheet for use in the current spreadsheet.</p>\n<ul>\n<li><a href=\"https://help.libreoffice.org/Calc/Shortcut_Keys_for_Spreadsheets\">https://help.libreoffice.org/Calc/Shortcut_Keys_for_Spreadsheets</a></li>\n<li><a href=\"https://www.ahuka.com/?page_id=719\">https://www.ahuka.com/?page_id=719</a><br /></li></ul>\n',198,70,0,'CC-BY-SA','LibreOffice, Calc',0,1309,1),
(1545,'2014-07-04','32 - LibreOffice Calc - Introduction to Charts and Graphs',1184,'LibreOffice, Calc, Spreadsheet, chart, graph','<p>There are many Charts and Graphs available in LibreOffice Calc, but choosing the right one makes a difference. In this episode we review your options and help you to make the right choice.</p>\n <ul>\n  <li><a href=\"https://www.amazon.com/The-Visual-Display-Quantitative-Information/dp/0961392142/ref=sr_1_1?ie=UTF8&qid=1397151192&sr=8-1&keywords=Tufte\">https://www.amazon.com/The-Visual-Display-Quantitative-Information/dp/0961392142/ref=sr_1_1?ie=UTF8&amp;qid=1397151192&amp;sr=8-1&amp;keywords=Tufte</a></li>\n  <li><a href=\"https://www.numberphile.com/videos/infographic.html\">https://www.numberphile.com/videos/infographic.html</a></li>\n  <li><a href=\"https://www.ted.com/talks/hans_rosling_shows_the_best_stats_you_ve_ever_seen\">https://www.ted.com/talks/hans_rosling_shows_the_best_stats_you_ve_ever_seen</a></li>\n  <li><a href=\"https://www.ted.com/talks/david_mccandless_the_beauty_of_data_visualization\">https://www.ted.com/talks/david_mccandless_the_beauty_of_data_visualization</a></li>\n  <li><a href=\"https://en.wikipedia.org/wiki/Bubble_chart\">https://en.wikipedia.org/wiki/Bubble_chart</a></li>\n  <li><a href=\"https://en.wikipedia.org/wiki/Radar_chart\">https://en.wikipedia.org/wiki/Radar_chart</a></li>\n  <li><a href=\"https://simplystatistics.org/2012/11/26/the-statisticians-at-fox-news-use-classic-and-novel-graphical-techniques-to-lead-with-data/\">https://simplystatistics.org/2012/11/26/the-statisticians-at-fox-news-use-classic-and-novel-graphical-techniques-to-lead-with-data/</a></li>\n  <li><a href=\"https://www.ahuka.com/?page_id=772\">https://www.ahuka.com/?page_id=772</a></li>\n </ul>',198,70,0,'CC-BY-SA','LibreOffice, Calc',0,1279,1),
(1555,'2014-07-18','33 - LibreOffice Calc - Creating Charts',881,'Creating Charts with LibreOffice Calc','<p>\r\nIn creating a chart or graph you have a number of options that can make your chart easier to read and understand. In this episode we look at these options and explain what each of them does.\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.ahuka.com/wp-content/uploads/2014/02/Savings-Model.ods\">https://www.ahuka.com/wp-content/uploads/2014/02/Savings-Model.ods</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?attachment_id=804\">https://www.ahuka.com/?attachment_id=804</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?page_id=780\">https://www.ahuka.com/?page_id=780</a>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','LibreOffice, Calc, Spreadsheet, chart, graph',0,1242,1),
(1506,'2014-05-12','HPR AudioBookClub 6 Shaman Tales Book 1 South Coast',3595,'In this episode, the hackerpublicradio.org Audiobook Club reviews Shaman Tales Book1: South Coast.','<p>\r\nIn this episode, the hackerpublicradio.org Audiobook Club reviews Shaman Tales Book1: South Coast. You can download this audiobook for free (or voluntary donation) from <a href=\"https://podiobooks.com/title/shaman-tales-1-south-coast/\">https://podiobooks.com/title/shaman-tales-1-south-coast/</a> and available in paperback on Amazon <a href=\"https://www.amazon.com/Crown-Conspiracy-Michael-J-Sullivan/dp/0980003431\">https://www.amazon.com/Crown-Conspiracy-Michael-J-Sullivan/dp/0980003431</a>\r\n</p>\r\n<p>\r\nDuring this show the hosts also discuss beverages.\r\nColin was drinking a Badger Brewery Golden Glory, and quite enyoyed it. <a href=\"https://www.hall-woodhouse.co.uk/beer/golden-glory\">https://www.hall-woodhouse.co.uk/beer/golden-glory</a> \r\npokey drank a Fosters Lager, and he didn\'t like it very much. Thankfully he only wanted it for the can. Sadly, it really seemed to go straight to his head. <a href=\"https://www.fostersbeer.com/\">https://www.fostersbeer.com/</a> \r\nAccording to Fosters\' website, \"You need to upgrade your Flash Player.\" Good luck with that.\r\n</p>\r\n<p>\r\nOur next audiobook will be The Crown Conspiracy by Michael J. Sullivan\r\n<a href=\"https://podiobooks.com/title/the-crown-conspiracy/\">https://podiobooks.com/title/the-crown-conspiracy/</a>\r\nThis book was suggested by pokey. pokey likes The Crown Conspiracy very much and has found it appropriate to suggest to both his mother and his daughter.\r\n</p>\r\n<p>\r\nYou can find more content (including podcasts) from Nathan Lowell <a href=\"https://nathanlowell.com/\">https://nathanlowell.com/</a>\r\nWe discussed looking up interviews with Nathan Lowell, and as it turns out he has links to lots of them on his website <a href=\"https://nathanlowell.com/multimedia/interviews-articles/\">https://nathanlowell.com/multimedia/interviews-articles/</a> If you\'re a Nathan Lowell fan, you\'ve got many hours of enjoyment ahead of you.  \r\n</p>\r\n<p>\r\nColin welcomes your feedback via email to gigasphere\"nineteeneighty\" at gee mail dot com\r\npokey prefers his feedback to come via the hacker public radio comment system.\r\n</p>\r\n<p>\r\nPlease remember to visit the HPR contribution page. We could really use your help right now. <a href=\"https://hackerpublicradio.org/contribute.php\">https://hackerpublicradio.org/contribute.php</a>\r\n</p>\r\n<p>\r\nWe both had a great time recording this show, and we hope you enjoyed it as well. We hope you\'ll consider joining us next time. Thank you very much for listening.\r\n</p>\r\n<p>\r\nSincerely,\r\nThe HPR_AudioBookClub\r\n</p>\r\n<p>\r\nP.S. Some people enjoy finding mistakes. For their enjoyment, we have included a few.\r\n</p>',157,53,1,'CC-BY-SA','HPR AudioBookClub',0,1339,1),
(1507,'2014-05-13','HPR Community News for April 2014',4059,'Website changes, comment systems, Series help, Ham Radio, Show tagging','<h1>HPR Community News for April 2014</h1>\r\n\r\n<h2>New hosts</h2>\r\n<p>\r\nWelcome to our new hosts: <br />\r\n    <a href=\"https://hackerpublicradio.org/correspondents/0276.html\">x1101</a>, \r\n    <a href=\"https://hackerpublicradio.org/correspondents/0277.html\">John Duarte</a>.\r\n</p>\r\n\r\n<h2>Last Month\'s Shows</h2>\r\n<table>\r\n    <thead>\r\n	<tr>\r\n	<th align=\"left\">Id</th>\r\n	<th align=\"left\">Title</th>\r\n	<th align=\"left\">Host</th>\r\n	</tr>\r\n    </thead>\r\n    <tbody>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1477</td>\r\n	<td align=\"left\">OSI layer 3</td>\r\n	<td align=\"left\">Various Hosts</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1478</td>\r\n	<td align=\"left\">Batteries Part 2</td>\r\n	<td align=\"left\">MrX</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1479</td>\r\n	<td align=\"left\">01 What is on my podcast player</td>\r\n	<td align=\"left\">Ahuka</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1480</td>\r\n	<td align=\"left\">Continuous Ink Supply System</td>\r\n	<td align=\"left\">Ken Fallon</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1481</td>\r\n	<td align=\"left\">Encryption and Gmail</td>\r\n	<td align=\"left\">Ahuka</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1482</td>\r\n	<td align=\"left\">02 What is on my podcast player</td>\r\n	<td align=\"left\">Ahuka</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1483</td>\r\n	<td align=\"left\">HPR Community News for March 2014</td>\r\n	<td align=\"left\">HPR Admins</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1484</td>\r\n	<td align=\"left\">TuxJam31</td>\r\n	<td align=\"left\">Andrew Conway</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1485</td>\r\n	<td align=\"left\">26 - LibreOffice Calc Cells</td>\r\n	<td align=\"left\">Ahuka</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1486</td>\r\n	<td align=\"left\">Linux Luddites Episode 11 - Interview with Rob Landley</td>\r\n	<td align=\"left\">Ken Fallon</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1487</td>\r\n	<td align=\"left\">How I Found Linux</td>\r\n	<td align=\"left\">x1101</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1488</td>\r\n	<td align=\"left\">What&#39;s on My Podcatcher</td>\r\n	<td align=\"left\">Keith Murray</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1489</td>\r\n	<td align=\"left\">Setting up a Raspberry Pi and RaspBMC</td>\r\n	<td align=\"left\">Curtis Adkins (CPrompt^)</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1490</td>\r\n	<td align=\"left\">HPR at NELF 2014 Part1</td>\r\n	<td align=\"left\">pokey</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1491</td>\r\n	<td align=\"left\">Heartbleed</td>\r\n	<td align=\"left\">laindir</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1492</td>\r\n	<td align=\"left\">HPR at NELF 2014 Part2</td>\r\n	<td align=\"left\">NYbill</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1493</td>\r\n	<td align=\"left\">The Next Gen is You (1/2)</td>\r\n	<td align=\"left\">klaatu</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1494</td>\r\n	<td align=\"left\">The Next Gen is You (2/2)</td>\r\n	<td align=\"left\">klaatu</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1495</td>\r\n	<td align=\"left\">27 - LibreOffice Calc - Calculations and the Formula Bar</td>\r\n	<td align=\"left\">Ahuka</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1496</td>\r\n	<td align=\"left\">wiki on the raspberry pi</td>\r\n	<td align=\"left\">MrX</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1497</td>\r\n	<td align=\"left\">Practical Math - Units - Distances and Area, Part 1</td>\r\n	<td align=\"left\">Charles in NJ</td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\">1498</td>\r\n	<td align=\"left\">Personal OpenVPN</td>\r\n	<td align=\"left\">John Duarte</td>\r\n	</tr>\r\n    </tbody>\r\n</table>\r\n\r\n<h2>Mailing List discussions</h2>\r\n<p>\r\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes \r\nplace on the <a href=\"https://hackerpublicradio.org/maillist\">Mail List</a> which is open to all\r\nHPR listeners and contributors. The discussions are open and available on the\r\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\">Gmane</a>\r\narchive.\r\n</p>\r\n<p>\r\nDiscussed this month was:\r\n</p>\r\n<ul>\r\n<li>Something went wrong with episode 1477 :)</li>\r\n<li>Community News shows should have a reserved slot.</li>\r\n<li>Comment system, versus Forums versus disqus versus ...</li>\r\n<li>Help with the Series</li>\r\n<li>Help tagging shows</li>\r\n<li>Call for Shows</li>\r\n<li>Ken is looking for Ham Radio content</li>\r\n<li>Seetee, is our man in Sweden</li>\r\n</ul>\r\n\r\n',159,47,1,'CC-BY-SA','Community News',0,1384,1),
(1508,'2014-05-14','In Defense of Play',1593,'Just a few words in defense of play. It is the best way to learn new things.','<p>\r\nThis episode is a just-for-fun show in which I make a few observations in defense of just playing around.  We need to \r\nstop worrying about work and to-do lists every once in a while in order to just get up off our chairs and do something\r\nthat is fun.  It doesn\'t have to have a structure at first, but it should involve a challenge or exposure to at least\r\none new thing, or place, or person, or idea.\r\n\r\nI think it is the best way to learn, because the knowledge and acquisition of skills sneak up on you while you are\r\nhaving fun.  It may be the only way to make learning really stick, and to stick with the learning process.\r\n</p>\r\n\r\n<h3>Links</h3>\r\n<p>\r\n</p>\r\n<p>\r\nDr. Peter Gray on the Play Deficit: <a href=\"https://aeon.co/magazine/being-human/children-today-are-suffering-a-severe-deficit-of-play/\">https://aeon.co/magazine/being-human/children-today-are-suffering-a-severe-deficit-of-play/</a>\r\n</p>\r\n\r\n<p>\r\nArticles from the Journal of Play: <a href=\"https://www.ecswe.org/wren/researchpapers_theimportanceofplay.html\">https://www.ecswe.org/wren/researchpapers_theimportanceofplay.html</a>\r\n</p>',229,0,0,'CC-BY-SA','play, learning, fun',0,1431,1),
(1509,'2014-05-15','HPR Needs Shows',181,'HPR is short of shows and we need you to send in some today','<p>\r\nHPR is short of shows and we need you to send in some today\r\n</p>',159,0,0,'CC-BY-SA','HPR, shows, request, call to action, community, contribute',0,1366,1),
(1510,'2014-05-16','What\'s in My Bag?',1858,'Just a few words about what\'s in my bag(s).','<p>\r\nThis episode is a just-for-fun show in which I walk systematically through\r\nthe bags I was carrying to work on a particular day, and describe what I\r\nhave found inside.\r\n</p>',229,23,0,'CC-BY-SA','play, learning, fun',0,1513,1),
(1513,'2014-05-21','Stir-Fried Stochasticity: Bio-Boogers',877,'Epicanis demonstrates a show concept: REAL science news, direct from a scientific journal articles','<p>\r\nThis is a show concept I came up with half a decade ago, as the show itself  explains. The journal article may be found as PubMed ID#19323757 ( <a href=\"https://www.ncbi.nlm.nih.gov/pubmed/19323757\">https://www.ncbi.nlm.nih.gov/pubmed/19323757</a> ) if you want to follow along.\r\n</p>\r\n<p>\r\nHopefully the updated time references below for the show-note comments are now correct for this version of it. They should be close, anyway. \r\n</p>\r\n<p>\r\nAlso, I\'m oddly pleased at how inferior the \"old\" part of today\'s episode sounds: it means I\'ve actually gotten a lot better at recording and editing.\r\n(It\'s quite listenable still, I think, it just doesn\'t sound as good as the newer stuff.)\r\n</p>\r\n\r\n<ul>\r\n<li>03:46 Ding WK,Shah NP:\"Effect of Various Encapsulating Materials on the Stability of Probiotic Bacteria\";2009;J. Food Sci.;vol.74 #2; pp M100-M107\r\n</li>\r\n<li>07:10 For your copy-and-paste pleasure: de Man JD,Rogosa M, Sharpe ME:\"A Medium for the Cultivation of Lactobacilli\";1960; J. Appl. Bact.;23; 130-135\r\n</li>\r\n<li>07:52 I\'m pretty sure that the Hasbro corporation, owners of the \"Play-Doh(tm)\" trademark, don\'t actually make microfluidizers - it\'s just an analogy\r\n</li>\r\n<li>10:25 -=Executive Summary=-\r\n</li>\r\n<li>11:05 Yes, including you...\r\n</li>\r\n<li>11:47 Yes, \"Fecal Transplants\".  Ewwww.\r\n</li>\r\n<li>11:53 You\'re welcome.\r\n</li>\r\n<li>12:30 If you\'re not familiar with this kitchen gadget, a \"French Press\" is a device for making coffee or tea.  It\'s A glass cylinder with a fine wire-screen plunger.  I suspect you could \"plunge\" the ingredients together repeatedly to get a sloppy substitute for the microfluidizer processing.\r\n</li>\r\n<li>12:28 Larger volume/surface-area ratio, you see... (The \"Album Art\" photo is \"She Slimed Me\", by \"Jurveston\" on Flickr: <a href=\"https://www.flickr.com/photos/jurvetson/131023758/\">https://www.flickr.com/photos/jurvetson/131023758/</a> )\r\n</li>\r\n<li>03:46 Ding WK,Shah NP:\"Effect of Various Encapsulating Materials on the Stability of Probiotic Bacteria\";2009;J. Food Sci.;vol.74 #2; pp M100-M107\r\n</li>\r\n<li>06:14 (update the location of the \"Executive Summary\" from \"the 8 minute mark\" to \"the 10 minute 20 second mark\")\r\n</li>\r\n<li>07:10 For your copy-and-paste pleasure: de Man JD,Rogosa M, Sharpe ME:\"A Medium for the Cultivation of Lactobacilli\";1960; J. Appl. Bact.;23; 130-135\r\n</li>\r\n<li>07:52 I\'m pretty sure that the Hasbro corporation, owners of the \"Play-Doh(tm)\" trademark, don\'t actually make microfluidizers - it\'s just an analogy\r\n</li>\r\n<li>10:25 -=Executive Summary=-\r\n</li>\r\n<li>11:05 Yes, including you...\r\n</li>\r\n<li>11:47 Yes, \"Fecal Transplants\".  Ewwww.\r\n</li>\r\n<li>11:53 You\'re welcome.\r\n</li>\r\n<li>12:30 If you\'re not familiar with this kitchen gadget, a \"French Press\" is a device for making coffee or tea.  It\'s A glass cylinder with a fine wire-screen plunger.  I suspect you could \"plunge\" the ingredients together repeatedly to get a sloppy substitute for the microfluidizer processing.\r\n</li>\r\n<li>12:28 Larger volume/surface-area ratio, you see...\r\n<p></p>\r\n</li>\r\n</ul>',182,0,0,'CC-BY-SA','Stir-Fried Stochasticity, science, microbiology, food science, polysaccharides, food, probiotics, snot, boogers, digestion',0,1358,1),
(1511,'2014-05-19','How to skin a snake',962,'How to skin a snake, and cure the skin for later use','<p>\r\nHow to skin a snake, and cure the skin for later use\r\n</p>',243,0,1,'CC-BY-SA','snake,skin,curing',0,1353,1),
(1512,'2014-05-20','Adopting and Renovating a Public-Domain Counterpoint Textbook',1252,'I discuss one of my latest projects, a digital overhaul of a 100+ year old counterpoint textbook','<p>\r\nIn this episode I discuss the problem of increasingly expensive college textbooks, and share with you the solution I devised to combat the problem in my counterpoint class at the University of Louisiana at Lafayette.\r\n</p>\r\n<p>\r\nPart of the solution is to adopt a public-domain textbook that\'s more than 100 years old, and to give the text a 21st-century makeover that I believe will make it even better-suited for the digital age than any other comparable book in the market at any price.\r\n</p>\r\n<p>\r\n<a href=\"https://jonathankulp.org/gratis.html\">https://jonathankulp.org/gratis.html</a>: \r\nThe counterpoint page on my website, with source files and information about my creative-commons counterpoint workbook, \"Gratis ad Parnassum,\" as well as links to the 1910 counterpoint textbook by\r\nPercy Goetschius: <a href=\"https://en.wikipedia.org/wiki/Percy_Goetschius\">https://en.wikipedia.org/wiki/Percy_Goetschius</a> entitled \"Exercises in Elementary Counterpoint.\"\r\n</p>\r\n<p>\r\nMy html version of the Goetschius textbook (in progress): <a href=\"https://jonkulp.net/350/Goetschius/goetschius.html\">https://jonkulp.net/350/Goetschius/goetschius.html</a>\r\n</p>',238,0,0,'CC-BY-SA','public-domain, textbooks, music, counterpoint, Lilypond, html, scripting',0,1356,1),
(1514,'2014-05-22','Give The Small Guy A Try',730,'Beeza and seeing if there is software which may suit your needs better than the mainstream','<p>\r\nBeeza hates being told what to do. When he moved over to Linux he noticed how most users were barely scratching the surface of the huge choice of software offered by the repositories. Rather than just go with the flow and settle for what everybody else was using, it was in his nature to look for alternatives to the most popular applications.\r\n</p>\r\n<p>\r\nHe discovered some total rubbish, but also some real gems which deserve far greater exposure than they receive. Reviews of some of these excellent but relatively unknown packages will form the basis of future HPR episodes.\r\n</p>\r\n<p>\r\nIn this episode Beeza makes the case for investing a little time digging around in the repositories to see if there is software which may suit your requirements better than the mainstream applications.\r\n</p>\r\n',246,0,1,'CC-BY-SA','Libre Office,mhWaveEdit,Decibel Audio Player',0,1528,1),
(1520,'2014-05-30','The Ext File System',313,'The Ext File System','The Ext File System',129,77,1,'CC-BY-SA','file system,extended file system,ext,inode',0,1654,1),
(1530,'2014-06-13','The Ext2 File System',326,'The Ext2 File System','The Ext2 File System',129,77,1,'CC-BY-SA','file system,second extended filesystem,ext2,ext2fs,inode table',0,1509,1),
(1540,'2014-06-27','The Journaling File System',326,'The Journaling File System','The Journaling File System\n',129,77,1,'CC-BY-SA','file system,journaling file system,inode',0,1479,1),
(1550,'2014-07-11','The Ext3 and 4 File System',476,'The Ext3 and 4 File System','The Ext3 and 4 File System',129,77,1,'CC-BY-SA','filesystem,ext3,ext4',0,1543,1),
(1560,'2014-07-25','The reiserfs File System',212,'The reiserfs File System','The reiserfs File System',129,77,1,'CC-BY-SA','file system,journaling,reiserfs',0,0,1),
(1570,'2014-08-08','The JFS File System',329,'The JFS File System','The JFS File System',129,77,1,'CC-BY-SA','file system,journaling file system,JFSA,B+ tree',0,0,1),
(1580,'2014-08-22','The FAT and NTFS File Systems',563,'The FAT and NTFS File Systems','The FAT and NTFS File Systems\n',129,77,1,'CC-BY-SA','file system,FAT,NTFS',0,0,1),
(1590,'2014-09-05','The xfs File System',326,'The xfs File System','The xfs File System',129,77,1,'CC-BY-SA','file system,journalling,64-bit,B+ tree',0,0,1),
(1600,'2014-09-19','The zfs File System',436,'The zfs File System','The zfs File System',129,77,1,'CC-BY-SA','file system,copy-on-write,snapshot,RAID-Z',0,0,1),
(1610,'2014-10-03','The BTRFS File System',534,'The BTRFS File System','The BTRFS File System',129,77,1,'CC-BY-SA','file system,copy-on-write,B-tree file system',0,0,1),
(1516,'2014-05-26','01 The podcasts I listen to',1439,'I listen to a lot of podcasts and thought it might be interesting if I shared them on HPR','<p>I listen to a lot of podcasts. I started listening to them back in around 2005 after buying my first portable player.</p>\n <p>I now listen to podcasts to the exclusion of just about everything else and have several players which I rotate between. I gave up watching TV over two years ago. I have written my own podcatcher software based upon Bashpodder, with a PostgreSQL database to manage everything, which holds feed, episode, playlist and player details.</p>\n <p>My interests range from Astronomy to Virology with a bias towards IT-related subjects. I currently subscribe to 85 feeds, which I present to you here in two batches. I have attached my own category to each feed, so I can load all the Science episodes on one player, and Documentary episodes on another, and so forth. I have added the category to the list as well and have sorted the list by category and the title.</p>\n <p><strong>Note:</strong> The list below is generated by a script which performs a query on my database. I have relied on parsing the feeds themselves for the websites, using the link value. In a few cases the value is unfortunately incorrect or missing because the feed is mis-configured.</p>\n <p>I have included an OPML version of the list in case you want to load it or part of it into your podcatcher. Find it at <a href=\"https://www.hackerpublicradio.org/eps/hpr1516.opml\">https://www.hackerpublicradio.org/eps/hpr1516.opml</a></p>\n <ol start=\"1\">\n  <li>\n   <h4>Friday Night Comedy from BBC Radio 4</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/radio4/programmes/genres/comedy/satire/\">https://www.bbc.co.uk/radio4/programmes/genres/comedy/satire/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio4/fricomedy/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio4/fricomedy/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-09</li>\n    <li><strong>Description:</strong> Bringing you a satirical take on the week\'s news with The News Quiz and The Now Show from BBC Radio 4. Enjoy a satirical take on the week’s news with the cream of UK comedy talent.</li>\n    <li><strong>Category:</strong> Comedy</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Geologic Podcast</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://geologicpodcast.com\">https://geologicpodcast.com</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://www.geologicpodcast.com/rss\">https://www.geologicpodcast.com/rss</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-08</li>\n    <li><strong>Description:</strong> George Hrab and the Geologic Universe</li>\n    <li><strong>Category:</strong> Comedy</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Documentary of the Week</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/radio4/\">https://www.bbc.co.uk/radio4/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio4/r4choice/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio4/r4choice/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-09</li>\n    <li><strong>Description:</strong> The Documentary of the Week podcast brings you our pick of the week\'s documentaries on BBC Radio 4. A new episode is published every Friday.</li>\n    <li><strong>Category:</strong> Documentary</li>\n   </ul>\n  </li>\n  <li>\n   <h4>In Our Time With Melvyn Bragg</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/programmes/b006qykl\">https://www.bbc.co.uk/programmes/b006qykl</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio4/iot/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio4/iot/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-08</li>\n    <li><strong>Description:</strong> Melvyn Bragg and his guests discuss the history of ideas - including topics drawn from philosophy, science, history, religion and culture.</li>\n    <li><strong>Category:</strong> Documentary</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Lives in a Landscape</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/programmes/b006rcd7\">https://www.bbc.co.uk/programmes/b006rcd7</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio4/lial/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio4/lial/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-28</li>\n    <li><strong>Description:</strong> Alan Dein presents documentaries about modern Britain. BBC Radio 4’s critically acclaimed series in which award-winning presenter Alan Dein goes in search of original stories from around the country – featuring people and places which are usually overlooked by the news.</li>\n    <li><strong>Category:</strong> Documentary</li>\n   </ul>\n  </li>\n  <li>\n   <h4>The Radio 3 Documentary</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/programmes/b006tnwp\">https://www.bbc.co.uk/programmes/b006tnwp</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio3/r3docs/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio3/r3docs/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-04</li>\n    <li><strong>Description:</strong> In-depth documentaries which each week explore a different aspect of history, science, philosophy, film, visual arts and literature. The Sunday Feature is broadcast every Sunday at 7.45pm on BBC Radio 3. Each episode lasts 45 minutes. We aim to include as many episodes of The Sunday Feature in the podcast as we can but you\'ll find that some aren\'t included for rights reasons.</li>\n    <li><strong>Category:</strong> Documentary</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Costing the Earth</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/programmes/b006r4wn\">https://www.bbc.co.uk/programmes/b006r4wn</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio4/costearth/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio4/costearth/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-13</li>\n    <li><strong>Description:</strong> Man\'s effect on the environment, questioning accepted truths, challenging those in charge and reporting on progress towards improving the world. Presenters, Tom Heap and Dr Alice Roberts, travel the UK and the world in search of solutions to the challenges facing the natural world and the people and wildlife that live in it. Broadcast at 21.00 on Mondays, Costing the Earth runs for 27 weeks of the year, split into three series. Podcast episodes are added weekly.</li>\n    <li><strong>Category:</strong> Environment</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Mark Kermode and Simon Mayo\'s Film Reviews</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/programmes/b00lvdrj\">https://www.bbc.co.uk/programmes/b00lvdrj</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/fivelive/kermode/rss.xml\">https://downloads.bbc.co.uk/podcasts/fivelive/kermode/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-09</li>\n    <li><strong>Description:</strong> Mark Kermode discusses the latest film releases with Simon Mayo. Lively, controversial and unmissable movie discussion. Broadcast live on Fridays at 2pm on BBC Radio 5 live.</li>\n    <li><strong>Category:</strong> Film</li>\n   </ul>\n  </li>\n  <li>\n   <h4>The Film Programme</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/radio4/filmprogramme\">https://www.bbc.co.uk/radio4/filmprogramme</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio4/film/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio4/film/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-08</li>\n    <li><strong>Description:</strong> Interviews and analysis from the world of cinema. Francine Stock talks to directors, writers and critics about the latest film releases, classics on DVD and movies on television.</li>\n    <li><strong>Category:</strong> Film</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Escape Pod</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://escapepod.org\">https://escapepod.org</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://escapepod.org/feed/\">https://escapepod.org/feed/</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-12</li>\n    <li><strong>Description:</strong> The Science Fiction Podcast Magazine. Each week Escape Pod delivers science fiction short stories from today\'s best authors. Listen today, and hear the new sound of science fiction!</li>\n    <li><strong>Category:</strong> Literature</li>\n   </ul>\n  </li>\n  <li>\n   <h4>PodCastle</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://podcastle.org\">https://podcastle.org</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://podcastle.org/feed/rss2\">https://podcastle.org/feed/rss2</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-08</li>\n    <li><strong>Description:</strong> The world\'s first audio fantasy magazine.</li>\n    <li><strong>Category:</strong> Literature</li>\n   </ul>\n  </li>\n  <li>\n   <h4>CCHits.net</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://cchits.net/daily\">https://cchits.net/daily</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://cchits.net/daily/rss\">https://cchits.net/daily/rss</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-14</li>\n    <li><strong>Description:</strong> CCHits.net is designed to provide a Chart for Creative Commons Music, in a way that is easily able to be integrated into other music shows that play Creative Commons Music. CCHits.net has a daily exposure podcast, playing one new track every day, a weekly podcast, playing the last week of tracks played on the podcast, plus the top rated three tracks from the previous week. There is also a monthly podcast which features the top rated tracks over the whole system.</li>\n    <li><strong>Category:</strong> Music</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Best of Natural History Radio</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/blogs/nature\">https://www.bbc.co.uk/blogs/nature</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio4/nathistory/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio4/nathistory/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-11</li>\n    <li><strong>Description:</strong> The BBC Natural History Unit produces a wide range of programmes that aim to immerse a listener in the wonder, surprise and importance that nature has to offer.</li>\n    <li><strong>Category:</strong> Nature</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Coast and Country</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/programmes/b006qgft\">https://www.bbc.co.uk/programmes/b006qgft</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio4/country/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio4/country/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-08</li>\n    <li><strong>Description:</strong> Countryside magazine featuring people, walks and wildlife from rural Britain. Clare Balding’s ‘Ramblings’ and ‘Open Country’ with Matt Baker and Helen Mark join forces to bring you a weekly tour of the best of the British countryside. In ‘Ramblings’ Clare joins her guests on a country walk that’s been significant in their lives. ‘Open Country’ travels to a different corner of the British Isles every week, seeking out the wildlife, the landscapes and the controversies that excite the passions of local people. Each twenty-five minute programme is broadcast on Saturday at 6.07am and repeated on Thursday at 3pm. New episodes are added every Saturday morning.</li>\n    <li><strong>Category:</strong> Nature</li>\n   </ul>\n  </li>\n  <li>\n   <h4>From Our Own Correspondent</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/fromourowncorrespondent\">https://www.bbc.co.uk/fromourowncorrespondent</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio4/fooc/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio4/fooc/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-10</li>\n    <li><strong>Description:</strong> Insight, wit and analysis as BBC correspondents, journalists and writers take a closer look at the stories behind the headlines. Presented by Kate Adie. Broadcast on BBC Radio 4 in the UK on Thursdays at 1100 (local time) and Saturdays at 1130 (local time) for about 25 weeks of the year. BBC World Service broadcasts every day from Monday to Friday plus a weekend edition all year round, presented by Pascale Harter. For more information, a full list of programme broadcast times and the podcast Terms of Use go to www.bbc.co.uk/fromourowncorrespondent</li>\n    <li><strong>Category:</strong> News</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Peter Day\'s World of Business</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/radio4/news/inbusiness/inbusiness.shtml\">https://www.bbc.co.uk/radio4/news/inbusiness/inbusiness.shtml</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio/worldbiz/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio/worldbiz/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-08</li>\n    <li><strong>Description:</strong> Insights into the business world with Peter Day - featuring content from his Radio 4 In Business programme, and also Global Business from the BBC World Service.</li>\n    <li><strong>Category:</strong> News</li>\n   </ul>\n  </li>\n  <li>\n   <h4>A Point of View</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/programmes/b006qng8\">https://www.bbc.co.uk/programmes/b006qng8</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio4/pov/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio4/pov/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-09</li>\n    <li><strong>Description:</strong> Weekly reflections on topical issues from a range of contributors including historian Lisa Jardine, novelist Sarah Dunant and writer Alain de Botton.</li>\n    <li><strong>Category:</strong> Opinion</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Moral Maze</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/programmes/b006qk11\">https://www.bbc.co.uk/programmes/b006qk11</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio4/moralmaze/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio4/moralmaze/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-03-27</li>\n    <li><strong>Description:</strong> Combative, provocative and engaging live debate examining the moral issues behind one of the week\'s news stories.</li>\n    <li><strong>Category:</strong> Opinion</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Thinking Allowed</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/radio4/factual/thinkingallowed/\">https://www.bbc.co.uk/radio4/factual/thinkingallowed/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio4/ta/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio4/ta/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-07</li>\n    <li><strong>Description:</strong> Laurie Taylor explores the latest research into how society works and discusses current ideas on how we live today.</li>\n    <li><strong>Category:</strong> Opinion</li>\n   </ul>\n  </li>\n  <li>\n   <h4>365 Days of Astronomy</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://cosmoquest.org/x/365daysofastronomy\">https://cosmoquest.org/x/365daysofastronomy</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://cosmoquest.org/x/365daysofastronomy/feed/atom/\">https://cosmoquest.org/x/365daysofastronomy/feed/atom/</a></li>\n    <li><strong>Format:</strong> Atom</li>\n    <li><strong>Last episode:</strong> 2014-05-13</li>\n    <li><strong>Description:</strong> Podcasting Astronomy Every Day of the Year</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Astronomy Cast</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.astronomycast.com\">https://www.astronomycast.com</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/astronomycast\">https://feeds.feedburner.com/astronomycast</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-05</li>\n    <li><strong>Description:</strong> Astronomy Cast brings you a weekly fact-based journey through the cosmos.</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>AWESOME ASTRONOMY</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://awesomeastronomy.com\">https://awesomeastronomy.com</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://awesomeastronomy.libsyn.com/rss\">https://awesomeastronomy.libsyn.com/rss</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-01</li>\n    <li><strong>Description:</strong> Awesome Astronomy is the show for anyone and everyone who has even the slightest interest in astronomy and science. Join Ralph &amp; Paul at the beginning of each month, for an informative and fun astronomy program exploring the mysteries and wonders of the universe. You can be guaranteed a passion for astronomy, simple explanations of complex and fundamental topics, space and science news, absorbing interviews and answers to listeners\' astronomy questions. As both presenters have been accused of being a little skeptical in the past, you can also expect everything to be fact-based but frivolous, with an emphasis on highlighting the wonderful science that reveals ever more about our complex and exciting universe. Join us on our journey to understand it all!</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>BBC Inside Science</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/programmes/b036f7w2\">https://www.bbc.co.uk/programmes/b036f7w2</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio4/inscience/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio4/inscience/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-08</li>\n    <li><strong>Description:</strong> Adam Rutherford and guests illuminate the mysteries and challenge the controversies behind the science that\'s changing our world. Covering everything from the humble test tube to the depths of space, Inside Science is your guide to how science is evolving, transforming our culture, and affecting our lives.</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Click</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/programmes/p002w6r2\">https://www.bbc.co.uk/programmes/p002w6r2</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/worldservice/digitalp/rss.xml\">https://downloads.bbc.co.uk/podcasts/worldservice/digitalp/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-13</li>\n    <li><strong>Description:</strong> How computers and digital technology affect our lives around the world. Presented by Gareth Mitchell. Available for download weekly on Tuesdays.</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Discovery</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/programmes/p002w557\">https://www.bbc.co.uk/programmes/p002w557</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/worldservice/discovery/rss.xml\">https://downloads.bbc.co.uk/podcasts/worldservice/discovery/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-12</li>\n    <li><strong>Description:</strong> The science documentary series that looks in depth at the most significant ideas, discoveries and trends in science. Available to download weekly on Mondays.</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Dr Karl and the Naked Scientist</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/programmes/b0070h86\">https://www.bbc.co.uk/programmes/b0070h86</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/fivelive/drkarl/rss.xml\">https://downloads.bbc.co.uk/podcasts/fivelive/drkarl/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-14</li>\n    <li><strong>Description:</strong> Dr Chris Smith aka The Naked Scientist with the latest news from the world of science and Dr Karl answers listeners\' science questions on Radio 5 live\'s Up All Night programme. Dr Chris Smith broadcast on Mondays at 1:30am and Dr Karl broadcast live on Thursdays at 3am.</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Inside Health</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/programmes/b019dl1b\">https://www.bbc.co.uk/programmes/b019dl1b</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio4/medmatters/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio4/medmatters/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-22</li>\n    <li><strong>Description:</strong> Demystifying the health issues of the day that confuse us. Inside Health, with Dr Mark Porter, will be offered in this download, as well as additional related programmes from BBC Radio 4.</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Naked Astronomy - From the Naked Scientists</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.thenakedscientists.com/HTML/podcasts/astronomy/\">https://www.thenakedscientists.com/HTML/podcasts/astronomy/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://www.thenakedscientists.com/rss/naked_astronomy_podcast.xml\">https://www.thenakedscientists.com/rss/naked_astronomy_podcast.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-09</li>\n    <li><strong>Description:</strong> We look at the latest news from the stars, planets and other heavenly bodies. Plus interviews with professional astronomers and the answers to your space science questions.</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Naked Genetics - Taking a look inside your genes</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.thenakedscientists.com/HTML/articles/biology/genetics/\">https://www.thenakedscientists.com/HTML/articles/biology/genetics/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://www.thenakedscientists.com/rss/naked_genetics.xml\">https://www.thenakedscientists.com/rss/naked_genetics.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-13</li>\n    <li><strong>Description:</strong> From plants to pathogens, fruit flies to fungi and hamsters to humans, Naked Genetics takes a look at the science of genes. With in-depth interviews, the latest news from the world of genetics, answers to your questions, and our gene of the month, tune in for a look inside your genes...</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Naked Neuroscience - From the Naked Scientists</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.thenakedscientists.com/HTML/podcasts/neuroscience/\">https://www.thenakedscientists.com/HTML/podcasts/neuroscience/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://www.thenakedscientists.com/rss/naked_neuroscience.xml\">https://www.thenakedscientists.com/rss/naked_neuroscience.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-19</li>\n    <li><strong>Description:</strong> Open your mind with Naked Neuroscience, the spine-tingling, interactive monthly exploration of the workings of the nervous system from the Naked Scientists.</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Naked Oceans from the Naked Scientists</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.thenakedscientists.com/HTML/podcasts/archive/oceans/\">https://www.thenakedscientists.com/HTML/podcasts/archive/oceans/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://www.thenakedscientists.com/rss/naked_oceans.xml\">https://www.thenakedscientists.com/rss/naked_oceans.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2012-12-21</li>\n    <li><strong>Description:</strong> From seagrass to sunfish, dugongs to diatoms, Naked Oceans uncovers the hidden secrets of the sea. Join us in conversation with top marine experts as we explore the latest ocean science and conservation and answer your aquatic questions.</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Science for the People</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.scienceforthepeople.ca/\">https://www.scienceforthepeople.ca/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/SkepticallySpeaking\">https://feeds.feedburner.com/SkepticallySpeaking</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-09</li>\n    <li><strong>Description:</strong> Science for the People is a syndicated radio show and podcast based in Edmonton, Alberta, that broadcasts weekly across North America. We explore the connections between science, popular culture, history, and public policy, to help listeners understand the evidence and arguments behind what\'s in the news and on the shelves.</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Science in Action</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/programmes/p002vsnb\">https://www.bbc.co.uk/programmes/p002vsnb</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/worldservice/scia/rss.xml\">https://downloads.bbc.co.uk/podcasts/worldservice/scia/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-08</li>\n    <li><strong>Description:</strong> New developments in science and science news from around the world, weekly from BBC World Service.</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>The Digital Human</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/programmes/b01h8nnt\">https://www.bbc.co.uk/programmes/b01h8nnt</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio4/dh/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio4/dh/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-05</li>\n    <li><strong>Description:</strong> Aleks Krotoski charts how digital culture is moulding modern living. Each week join technology journalist Aleks Krotoski as she goes beyond the latest gadget or web innovation to understand what sort of world we’re creating with our ‘always on’ lives.</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>The Infinite Monkey Cage</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/programmes/b00snr0w\">https://www.bbc.co.uk/programmes/b00snr0w</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio4/timc/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio4/timc/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-03-10</li>\n    <li><strong>Description:</strong> Award winning science/comedy chat with Brian Cox, Robin Ince and guests. Witty, irreverent look at the world according to science with physicist Brian Cox and comedian Robin Ince. New Series starting on BBC Radio 4, Monday 18th November at 4.30pm (repeated on Tuesday evenings at 11pm) for 6 weeks.</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>The Life Scientific</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.bbc.co.uk/radio4\">https://www.bbc.co.uk/radio4</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://downloads.bbc.co.uk/podcasts/radio4/tls/rss.xml\">https://downloads.bbc.co.uk/podcasts/radio4/tls/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-08</li>\n    <li><strong>Description:</strong> Each week, Jim al-Khalili invites a leading scientist to tell us about their life and work. He\'ll talk to Nobel laureates as well as the next generation of beautiful minds to find out what inspires and motivates them and what their discoveries might do for us.</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>- The Naked Scientists Podcast - Stripping Down Science</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.thenakedscientists.com/HTML/podcasts/\">https://www.thenakedscientists.com/HTML/podcasts/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://www.thenakedscientists.com/naked_scientists_podcast.xml\">https://www.thenakedscientists.com/naked_scientists_podcast.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-12</li>\n    <li><strong>Description:</strong> The Naked Scientists flagship science show brings you a lighthearted look at the latest scientific breakthroughs, interviews with the world\'s top scientists, answers to your science questions and science experiments to try at home.</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>This Week in Microbiology with Vincent Racaniello</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.microbeworld.org/twim\">https://www.microbeworld.org/twim</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/twim\">https://feeds.feedburner.com/twim</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-01</li>\n    <li><strong>Description:</strong> This Week in Microbiology (TWiM). A podcast about unseen life on Earth hosted by Vincent Racaniello and friends. Following in the path of his successful shows \'This Week in Virology\' (TWiV) and \'This Week in Parasitism\' (TWiP), Racaniello and guests produce an informal yet informative conversation about microbes which is accessible to everyone, no matter what their science background. As a science Professor at Columbia University, Racaniello has spent his academic career directing a research laboratory focused on viruses. His enthusiasm for teaching inspired him to reach beyond the classroom using new media. TWiM is for everyone who wants to learn about the science of microbiology in a casual way. While there are no exams or pop quizzes, TWiM does encourage interaction with the audience via comments on specific episodes, email and Skype. Listeners can also use www.MicrobeWorld.org to suggest topics for the show by submitting articles, papers, video and images to the site and tagging them with \"TWiM\". Each week Racaniello will view the tagged content and select items for discussion. For questions and/or feedback please email ccondayan@asmusa.org.</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>This Week in Parasitism</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://microbeworld.org/twip\">https://microbeworld.org/twip</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://twip.microbeworld.libsynpro.com/rss\">https://twip.microbeworld.libsynpro.com/rss</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-10</li>\n    <li><strong>Description:</strong> TWiP is a monthly netcast about eukaryotic parasites. Vincent Racaniello and Dickson Despommier, science Professors from Columbia University, deconstruct parasites, how they cause illness, and how you can prevent infections.</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>This Week in Virology with Vincent Racaniello</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.twiv.tv\">https://www.twiv.tv</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds2.feedburner.com/twivmp3\">https://feeds2.feedburner.com/twivmp3</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-11</li>\n    <li><strong>Description:</strong> This Week in Virology is a netcast about viruses - the kind that make you sick. Professors Vincent Racaniello, Dickson Despommier, Rich Condit and science writer Alan Dove and guests deconstruct viruses, how they cause illness, and how you can prevent infections.</li>\n    <li><strong>Category:</strong> Science</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Doctor Who: Radio Free Skaro</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.radiofreeskaro.com\">https://www.radiofreeskaro.com</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://freyburg.libsyn.com/rss\">https://freyburg.libsyn.com/rss</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-05-11</li>\n    <li><strong>Description:</strong> Radio Free Skaro is possibly the most popular, most prolific and charmingly irreverent (but never irrelevant) Doctor Who podcast around. All previous episodes are available on the iTunes feed, as well as the Radio Free Skaro homepage - www.radiofreeskaro.com. Enjoy!</li>\n    <li><strong>Category:</strong> Sci-fi</li>\n   </ul>\n  </li>\n </ol>\n',225,75,1,'CC-BY-SA','podcasts,recommendations',0,1446,1),
(1557,'2014-07-22','Encrypting E-mail on Android; Importing Keys',1865,'This episode looks at a sensible model of obtaining the right amount of security for your needs.','<p>We have looked at e-mail encryption on both Thunderbird and G-Mail, and that is good, but in 2014 a lot of people use mobile phones and tablets for their e-mail. So it makes sense to look at how we can do this. The solution I am going explore here involves two components, the K-9 Android mail client, and APG, the Android Privacy Guard. I am going to stick to what I know, so if you are looking for help with iPhone or iPad, the best I can do is suggest that you try a Google search. On Android, while many people use Gmail, K-9 is a very popular client for people looking for a more traditional POP3 or IMAP client to handle their e-mail needs. So this should be a good solution for many people. As regards APG, I am not aware that anyone has done an audit of this program. It seems to be the most widely recommended, and is probably OK, but I am making no larger claims for it. - For more go to <a href=\"https://www.zwilnik.com/?page_id=602\">https://www.zwilnik.com/?page_id=602</a></p>\n <p>Links:</p>\n <ul>\n  <li><a href=\"https://play.google.com/store/apps/details?id=com.fsck.k9\">https://play.google.com/store/apps/details?id=com.fsck.k9</a></li>\n  <li><a href=\"https://play.google.com/store/apps/details?id=org.thialfihar.android.apg\">https://play.google.com/store/apps/details?id=org.thialfihar.android.apg</a></li>\n  <li><a href=\"https://play.google.com/store/apps/details?id=com.sand.airdroid\">https://play.google.com/store/apps/details?id=com.sand.airdroid</a></li>\n  <li><a href=\"https://www.zwilnik.com/?page_id=2\">https://www.zwilnik.com/?page_id=2</a></li>\n  <li><a href=\"https://www.schneier.com/contact.html\">https://www.schneier.com/contact.html</a></li>\n  <li><a href=\"https://www.gnupg.org/gph/en/manual/x334.html\">https://www.gnupg.org/gph/en/manual/x334.html</a></li>\n  <li><a href=\"https://www.zwilnik.com/?page_id=602\">https://www.zwilnik.com/?page_id=602</a></li>\n </ul>',198,74,0,'CC-BY-SA','Security and Privacy series, cost/benefit',0,1248,1),
(1572,'2014-08-12','An Open Source News Break from Opensource.com',287,'Fedora Scientific, pharmaceutical research, Apache Open Climate workbench.','<p>\r\nIn this episode: The new Fedora Scientific Spin, open source approaches to pharmaceutical research, and the Apache Open Climate workbench.\r\n</p>\r\n<p>\r\nLinks:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://opensource.com/life/14/6/linux-distribution-science-geeks\">https://opensource.com/life/14/6/linux-distribution-science-geeks</a>\r\n</li>\r\n<li><a href=\"https://opensource.com/health/14/6/can-open-science-help-patients-and-save-pharma\">https://opensource.com/health/14/6/can-open-science-help-patients-and-save-pharma</a>\r\n</li>\r\n<li><a href=\"https://opensource.com/life/14/6/NASA-Earth-science-open-source\">https://opensource.com/life/14/6/NASA-Earth-science-open-source</a>\r\n</li>\r\n</ul>',280,28,0,'CC-BY-SA','Fedora Scientific,pharmaceutical research,Apache Open Climate workbench',0,0,1),
(1581,'2014-08-25','Sensible Security: The Schneier Model',1698,'This episode looks at a sensible model of obtaining the right amount of security for your needs.','<p>Back in 2001 there was a certain incident on September 11 that lead many people to go OMG! We are doomed! We must increase security! Do whatever it takes! And the NSA was happy to oblige. And on 7/7/05 an attack in London added to the frenzy. I think it is fair to say that these security agencies felt they were given a mandate to do anything as long as it stops the attacks, and thus was the overwhelming attack on privacy moved to a whole level higher. To be clear, security agencies are always pushing the limits, it is in their DNA. And politicians have learned that you never lose votes by insisting on stronger security and appearing tough. - For more go to <a href=\"https://www.zwilnik.com/?page_id=577\">https://www.zwilnik.com/?page_id=577</a></p>\n <p>Links:</p>\n <ul>\n  <li><a href=\"https://www.amazon.com/Beyond-Fear-Thinking-Sensibly-Uncertain/dp/0387026207\">https://www.amazon.com/Beyond-Fear-Thinking-Sensibly-Uncertain/dp/0387026207</a></li>\n  <li><a href=\"https://www.zwilnik.com/?page_id=577\">https://www.zwilnik.com/?page_id=577</a></li>\n </ul>',198,74,0,'CC-BY-SA','Security and Privacy series, cost/benefit',0,0,1),
(1605,'2014-09-26','38 - LibreOffice Calc - simple Descriptive Statistics',1149,'Descriptive statistics is how we make basic measurements about a population','<p>In Statistics there are generally speaking two types of analysis, broken down between Descriptive and Inferential statistics. The difference has to do what what claims you are making about the data. If you are simply stating something about the data (e.g. there were more men than women in the sample) that is descriptive. But if you make a claim that something is not likely to occur by chance, for instance, or that something is statistically significant (and both of those statements are essentially the same thing) then you are in the realm of inferential statistics. Calc has functions to do both kinds of analysis, and this tutorial will examine some of the common descriptive statistics in Calc and how they are used. - For more go to <a href=\"https://www.ahuka.com/?page_id=844\">https://www.ahuka.com/?page_id=844</a></p>\n <ul>\n  <li><a href=\"https://www.ahuka.com/?attachment_id=856\">https://www.ahuka.com/?attachment_id=856</a></li>\n  <li><a href=\"https://www.ahuka.com/?page_id=844\">https://www.ahuka.com/?page_id=844</a></li>\n </ul>',198,70,0,'CC-BY-SA','LibreOffice, Calc, Spreadsheet, functions, descriptive statistics',0,0,1),
(1615,'2014-10-10','39 - LibreOffice Calc - Inferential Statistics Functions',1212,'Inferential statistics is how we draw conclusions from data and make predictions.','<p>Inferential statistics is what you do to say that something is likely, or that it is not due to chance, or things of the sort. It goes beyond simply describing what is in the numbers and lets you say something about what the numbers in a sample might mean for the population that generated the sample. There are several type of Inferential Statistics that I want to address in this tutorial, beginning with the idea of a confidence interval. - For more go to <a href=\"https://www.ahuka.com/?page_id=861\">https://www.ahuka.com/?page_id=861</a></p>\n <ul>\n  <li><a href=\"https://en.wikipedia.org/wiki/Coefficient_of_determination\">https://en.wikipedia.org/wiki/Coefficient_of_determination</a></li>\n  <li><a href=\"https://www.ahuka.com/?attachment_id=872\">https://www.ahuka.com/?attachment_id=872</a></li>\n  <li><a href=\"https://www.ahuka.com/?page_id=861\">https://www.ahuka.com/?page_id=861</a></li>\n </ul>',198,70,0,'CC-BY-SA','LibreOffice, Calc, Spreadsheet, functions, inferential, statistics',0,0,1),
(1625,'2014-10-24','40 - LibreOffice Calc - Other Functions',913,'A quick look at some miscellaneous functions in Calc.','<p>We spent a lot of time looking at some Financial and Statistical functions. I don\'t propose to go into the remaining types of function in nearly the same depth. That would draw out the series without benefit to most people. But I do want to highlight some of the functions in the other categories so that you have an idea of what is possible in Calc. Remember that if you need to know more about them Google is your friend. - For more go to <a href=\"https://www.ahuka.com/?page_id=875\">https://www.ahuka.com/?page_id=875</a></p>\n <ul>\n  <li><a href=\"https://help.libreoffice.org/Calc/Database_Functions\">https://help.libreoffice.org/Calc/Database_Functions</a></li>\n  <li><a href=\"https://www.ahuka.com/?page_id=875\">https://www.ahuka.com/?page_id=875</a></li>\n </ul>',198,70,0,'CC-BY-SA','LibreOffice, Calc, Spreadsheet, functions',0,0,1),
(1517,'2014-05-27','The set of prime numbers is infinite',443,'johanv talks about prime numbers','<p>\r\nIn this short article I want to talk about prime numbers. In particular:\r\nabout the fact that there exist an infinite number of prime numbers. This\r\nhas been proven more than 2000 years ago, but I noticed that a lot of\r\nmy friends that don\'t have a mathematical background, aren\'t aware of\r\nthis fact.\r\n</p>\r\n<p>\r\nYet it is rather easy to prove. So that is what I\'ll be doing in this\r\narticle. If you are afraid of math, don\'t worry, it won\'t take more than\r\n10 minutes.\r\n</p>\r\n<p>\r\nA transcript of this show can be found on my blog:\r\n<a href=\"https://www.johanv.org/node/211\">https://www.johanv.org/node/211</a>\r\n</p>',233,0,0,'CC-BY-SA','math,prime numbers',0,1451,1),
(1518,'2014-05-28','02 The podcasts I listen to',1658,'I listen to a lot of podcasts and thought it might be interesting if I shared them on HPR','<p>I listen to a lot of podcasts. I started listening to them back in around 2005 after buying my first portable player.</p>\n <p>This is a continuation of the 85 podcast feeds I subscribe to. In my last show I reported on the first 41 of the set. Here are the remaining 44 feeds.</p>\n <p><strong>Note:</strong> The list below is generated by a script which performs a query on my database. I have relied on parsing the feeds themselves for the websites, using the link value. In a few cases the value is unfortunately incorrect or missing because the feed is mis-configured.</p>\n <p>I have included an OPML version of the list in case you want to load it or part of it into your podcatcher. Find it at <a href=\"https://www.hackerpublicradio.org/eps/hpr1516.opml\">https://www.hackerpublicradio.org/eps/hpr1516.opml</a></p>\n <ol start=\"41\">\n  <li>\n   <h4>Amateur Skeptics</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://amateurskeptics.com/feeds/%252Fpodcast-rss.xml?status=1\">https://amateurskeptics.com/feeds/%252Fpodcast-rss.xml?status=1</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/AmateurSkeptics\">https://feeds.feedburner.com/AmateurSkeptics</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-03-23</li>\n    <li><strong>Description:</strong> We here at Amateur Skeptics are not scientists. We are normal people who are trying to look at the world with an evidence-based approach. We strive to have open minds and change our opinions with new evidence.</li>\n    <li><strong>Category:</strong> Skepticism</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Geeks Without God</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://geekswithoutgod.com\">https://geekswithoutgod.com</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://geekswithoutgod.com/feed/\">https://geekswithoutgod.com/feed/</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-15</li>\n    <li><strong>Description:</strong></li>\n    <li><strong>Category:</strong> Skepticism</li>\n   </ul>\n  </li>\n  <li>\n   <h4>InKredulous</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.merseysideskeptics.org.uk/podcasts/\">https://www.merseysideskeptics.org.uk/podcasts/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/inkredulous\">https://feeds.feedburner.com/inkredulous</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-03-24</li>\n    <li><strong>Description:</strong> InKredulous is the topical, skeptical, news quiz game from the Merseyside Skeptics Society. We are a non-profit organisation dedicated to the promotion of scientific skepticism on Merseyside, around the UK and internationally.</li>\n    <li><strong>Category:</strong> Skepticism</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Rationally Speaking</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.rationallyspeakingpodcast.org\">https://www.rationallyspeakingpodcast.org</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://www.nycskeptics.org/storage/feeds/rs.xml\">https://www.nycskeptics.org/storage/feeds/rs.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-06</li>\n    <li><strong>Description:</strong> Rationally Speaking is the bi-weekly podcast of New York City Skeptics. Join hosts Massimo Pigliucci and Julia Galef as they explore the borderlands between reason and nonsense, likely from unlikely, and science from pseudoscience. Any topic is fair game as long as we can bring reason to bear upon it, with both a skeptical eye and a good dose of humor! We agree with the Marquis de Condorcet, who said that in an open society we ought to devote ourselves to \"the tracking down of prejudices in the hiding places where priests, the schools, the government, and all long-established institutions had gathered and protected them.\" Rationally Speaking is produced by Benny Pollak and is recorded in the heart of New York City\'s Greenwich Village.</li>\n    <li><strong>Category:</strong> Skepticism</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Skepticality:The Official Podcast of Skeptic Magazine</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.skepticality.com\">https://www.skepticality.com</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://skepticality.libsyn.com/rss/\">https://skepticality.libsyn.com/rss/</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-01</li>\n    <li><strong>Description:</strong> Skeptical discussion, critical thinking, science, and the de-bunking of the supernatural and psuedoscience.</li>\n    <li><strong>Category:</strong> Skepticism</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Skeptics with a K</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.merseysideskeptics.org.uk/podcasts/\">https://www.merseysideskeptics.org.uk/podcasts/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/swak\">https://feeds.feedburner.com/swak</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-10</li>\n    <li><strong>Description:</strong> Skeptics with a K is the podcast for science, reason and critical thinking from the Merseyside Skeptics Society.</li>\n    <li><strong>Category:</strong> Skepticism</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Skepticule</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.skepticule.co.uk/\">https://www.skepticule.co.uk/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://www.skepticule.co.uk/feeds/posts/default?alt=rss\">https://www.skepticule.co.uk/feeds/posts/default?alt=rss</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-10</li>\n    <li><strong>Description:</strong> Irregular audio utterances from a UK skeptic or three</li>\n    <li><strong>Category:</strong> Skepticism</li>\n   </ul>\n  </li>\n  <li>\n   <h4>The Pod Delusion</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://poddelusion.co.uk\">https://poddelusion.co.uk</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/ThePodDelusion\">https://feeds.feedburner.com/ThePodDelusion</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-04</li>\n    <li><strong>Description:</strong> The Pod Delusion is a weekly news magazine podcast about interesting things. From politics, to science to culture and philosophy, it\'s commentary from a secular, rationalist, skeptical, somewhat lefty-liberal, sort of perspective.</li>\n    <li><strong>Category:</strong> Skepticism</li>\n   </ul>\n  </li>\n  <li>\n   <h4>The Pod Delusion » Pod Delusion Extra</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://poddelusion.co.uk/blog\">https://poddelusion.co.uk/blog</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://ubsrv/feeds/ThePodDelusionExtra.rss\">https://ubsrv/feeds/ThePodDelusionExtra.rss</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2013-09-25</li>\n    <li><strong>Description:</strong> A Radio Show &amp; Podcast About Interesting Things</li>\n    <li><strong>Category:</strong> Skepticism</li>\n   </ul>\n  </li>\n  <li>\n   <h4>The Skeptics\' Guide to the Universe</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.theskepticsguide.org/podcast/sgu\">https://www.theskepticsguide.org/podcast/sgu</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://www.theskepticsguide.org/feed/rss.aspx?feed=SGU\">https://www.theskepticsguide.org/feed/rss.aspx?feed=SGU</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-10</li>\n    <li><strong>Description:</strong> The Skeptics\' Guide to the Universe is a weekly Podcast talkshow discussing the latest news and topics from the world of the paranormal, fringe science, and controversial claims from a scientific point of view. -The Skeptics\' Guide to the Universe: Your escape to reality -Produced by the New England Skeptical Society in association with the James Randi Educational Foundation(JREF) : https://www.theness.com</li>\n    <li><strong>Category:</strong> Skepticism</li>\n   </ul>\n  </li>\n  <li>\n   <h4>The Skeptic Zone</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.skepticzone.tv\">https://www.skepticzone.tv</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://skepticzone.libsyn.com/rss\">https://skepticzone.libsyn.com/rss</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-13</li>\n    <li><strong>Description:</strong> The Podcast from Australia for Science and Reason. Join Richard Saunders and the crew for interviews and reports from around the world.</li>\n    <li><strong>Category:</strong> Skepticism</li>\n   </ul>\n  </li>\n  <li>\n   <h4>2600 - 2600: The Hackers Quarterly</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.2600.com/\">https://www.2600.com/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://www.2600.com/rss.xml\">https://www.2600.com/rss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-08</li>\n    <li><strong>Description:</strong> 2600 News Feed</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>bsdtalk</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://bsdtalk.blogspot.com/\">https://bsdtalk.blogspot.com/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/Bsdtalk\">https://feeds.feedburner.com/Bsdtalk</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-03-28</li>\n    <li><strong>Description:</strong> Talking about the BSD family of free operating systems.</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>/dev/random Cast</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://devrandomshow.org/\">https://devrandomshow.org/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://devrandomshow.org/shows/?f=atom.xml\">https://devrandomshow.org/shows/?f=atom.xml</a></li>\n    <li><strong>Format:</strong> Atom</li>\n    <li><strong>Last episode:</strong> 2014-01-24</li>\n    <li><strong>Description:</strong> /dev/random is a show created by a bunch of random people, at a random time, on random topics that MAY be of interest ... to someone. The show is available here and WAS also available via the AWESOME Hacker Public Radio (HPR) ( https://hackerpublicradio.org/ ) until they wised up.</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>FLOSS Weekly (MP3)</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://twit.tv/floss\">https://twit.tv/floss</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://leoville.tv/podcasts/floss.xml\">https://leoville.tv/podcasts/floss.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-09</li>\n    <li><strong>Description:</strong> We\'re not talking dentistry here; FLOSS all about Free Libre Open Source Software. Join host Randal Schwartz every Wednesday as he talks with the most interesting and important people in the Open Source and Free Software community. Records live at https://live.twit.tv/ every Wednesday at 8:30am PT/11:30am ET.</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Free as in Freedom</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://faif.us/cast/\">https://faif.us/cast/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://faif.us/feeds/cast-ogg/\">https://faif.us/feeds/cast-ogg/</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2013-10-17</li>\n    <li><strong>Description:</strong> A bi-weekly discussion of legal, policy, and other issues in the open source and software freedom community (including occasional interviews) from Brooklyn, New York, USA. Presented by Karen Sandler and Bradley M. Kuhn.</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Frostcast OGG</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://frostbitemedia.org/frostcast\">https://frostbitemedia.org/frostcast</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/frostcastogg\">https://feeds.feedburner.com/frostcastogg</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2013-11-05</li>\n    <li><strong>Description:</strong></li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Full Circle Magazine » podcast</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://fullcirclemagazine.org\">https://fullcirclemagazine.org</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://fullcirclemagazine.org/category/podcast/feed/atom/\">https://fullcirclemagazine.org/category/podcast/feed/atom/</a></li>\n    <li><strong>Format:</strong> Atom</li>\n    <li><strong>Last episode:</strong> 2014-04-05</li>\n    <li><strong>Description:</strong> The independent magazine for the Ubuntu Linux community.</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>GNU World Order</h4>\n   <ul>\n    <li><strong>Website:</strong> -</li>\n    <li><strong>Feed:</strong> <a href=\"https://gnuworldorder.info/ogg.atom.xml\">https://gnuworldorder.info/ogg.atom.xml</a></li>\n    <li><strong>Format:</strong> Atom</li>\n    <li><strong>Last episode:</strong> 2014-03-25</li>\n    <li><strong>Description:</strong> Ogg Atom Feed</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Hacker Public Radio</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://hackerpublicradio.org/about.php\">https://hackerpublicradio.org/about.php</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://hackerpublicradio.org/hpr_ogg_rss.php\">https://hackerpublicradio.org/hpr_ogg_rss.php</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-15</li>\n    <li><strong>Description:</strong> Hacker Public Radio is an podcast that releases shows every weekday Monday through Friday. Our shows are produced by the community (you) and can be on any topic that are of interest to hackers and hobbyists.</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>KernelPanic Oggcast</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://kernelpanicoggcast.net\">https://kernelpanicoggcast.net</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://www.kernelpanicoggcast.net/rss.php\">https://www.kernelpanicoggcast.net/rss.php</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-03-24</li>\n    <li><strong>Description:</strong> KernelPanic Oggcast is a work/family friendly show that broadcasts live, fortnightly on Saturday night. Join us as we discuss Linux/FOSS news and reviews.</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Knightwise.com Audio Feed.</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://knightwise.com\">https://knightwise.com</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/knightcastpodcast\">https://feeds.feedburner.com/knightcastpodcast</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-02-09</li>\n    <li><strong>Description:</strong> The cross platform podcast that makes technology work for you and not the other way around. The place to go for all geeks who slide between Mac, iOS, Android, Linux and Windows offering an essential mix of hacks, tips, howto\'s and tweaks spiced up with a dash of geek culture. Also check out our Mediafeed that has both our audio and video episodes.</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Linux Basement Podcast</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://linuxbasement.com/podcast\">https://linuxbasement.com/podcast</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/linuxbasementpodcast\">https://feeds.feedburner.com/linuxbasementpodcast</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2013-10-09</li>\n    <li><strong>Description:</strong> The Linux Basement Podcast Feed.</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Linux In Da House Ogg-Vorbis Feed</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://linuxindahouse.org\">https://linuxindahouse.org</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://linuxindahouse.org/linuxindahouse_ogg.rss\">https://linuxindahouse.org/linuxindahouse_ogg.rss</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-01-26</li>\n    <li><strong>Description:</strong> Linux in Da House is a show about One family that is 100% GNU/Linux.</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Linux Luddites » Ogg</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://linuxluddites.com\">https://linuxluddites.com</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/LinuxLudditesOgg\">https://feeds.feedburner.com/LinuxLudditesOgg</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-13</li>\n    <li><strong>Description:</strong> Not all change is progress</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>LinuxLUGcast – Ogg</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://linuxlugcast.com\">https://linuxlugcast.com</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/linuxlugcast/JZUx\">https://feeds.feedburner.com/linuxlugcast/JZUx</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-05</li>\n    <li><strong>Description:</strong> This episode in Ogg format</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Linux News Log (ogg)</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://quicksurf.com\">https://quicksurf.com</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://quicksurf.com/?feed=ogg&cat=141\">https://quicksurf.com/?feed=ogg&amp;cat=141</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-14</li>\n    <li><strong>Description:</strong> Techie, Geeky, and Nerdy</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Linux Outlaws</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://sixgun.org\">https://sixgun.org</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/linuxoutlaws-ogg\">https://feeds.feedburner.com/linuxoutlaws-ogg</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-13</li>\n    <li><strong>Description:</strong> Two pragmatic geeks talk about the latest news concerning Linux, free and open technology or anything else they deem noteworthy which may include such absurd things as hockey or bands you never heard of. This means there\'s many a joke and derailed conversation along the way, so don\'t come here expecting only Linux or software freedom talk — just sit back and relax, partner.</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Linux Voice Podcast</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.linuxvoice.com/podcast_ogg.rss\">https://www.linuxvoice.com/podcast_ogg.rss</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://www.linuxvoice.com/podcast_ogg.rss\">https://www.linuxvoice.com/podcast_ogg.rss</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-03</li>\n    <li><strong>Description:</strong> Linux chat and banter</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>mintCast » OGG</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://mintcast.org\">https://mintcast.org</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://ubsrv/feeds/mintCast.rss\">https://ubsrv/feeds/mintCast.rss</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-04</li>\n    <li><strong>Description:</strong> The podcast by the Linux Mint community for all users of Linux</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Network Security Podcast</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://netsecpodcast.com\">https://netsecpodcast.com</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/Netsecpodcastcom\">https://feeds.feedburner.com/Netsecpodcastcom</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-06</li>\n    <li><strong>Description:</strong> The Network Security Podcast</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Security Now (MP3)</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://twit.tv/sn\">https://twit.tv/sn</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://leoville.tv/podcasts/sn.xml\">https://leoville.tv/podcasts/sn.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-08</li>\n    <li><strong>Description:</strong> Steve Gibson, the man who coined the term spyware and created the first anti-spyware program, creator of Spinrite and ShieldsUP, discusses the hot topics in security today with Leo Laporte. Winner of the 2009 and 2007 people\'s choice award for best Technology/Science podcast. Records live at https://live.twit.tv/ every Tuesday at 1:00pm PT/4:00pm ET.</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>SourceTrunk</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.sourcetrunk.com/ogg.rss\">https://www.sourcetrunk.com/ogg.rss</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/sourcetrunk_ogg\">https://feeds.feedburner.com/sourcetrunk_ogg</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-07</li>\n    <li><strong>Description:</strong> Sourcetunk will try to demystify the beautiful beast that is Open Source and show the listeners the more practical examples of Open Source and Free Software. It will discuss software for Linux, BSD, MacOSX and Microsoft Windows systems</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Sunday Morning Linux Review – OGG Feed</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://smlr.us\">https://smlr.us</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://smlr.us/?feed=smlr-ogg\">https://smlr.us/?feed=smlr-ogg</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-06</li>\n    <li><strong>Description:</strong> Sunday Morning Linux Review – OGG Feed for Freedom Lovers!</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>The Command Line Podcast</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://thecommandline.net/\">https://thecommandline.net/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds2.feedburner.com/cmdln\">https://feeds2.feedburner.com/cmdln</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-01-26</li>\n    <li><strong>Description:</strong> A regularly published podcast by a self-described hacker, curmudgeon and hacktivist about the practice and profession of programming drawing on over a decade of professional experience and a lifetime spent hacking, the intersection of politics and society with technology and anything else clever, elegant or funny that catches my mind as a die hard technology geek.</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>The Linux Link Tech Show Ogg-Vorbis Feed</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://tllts.org\">https://tllts.org</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/TheLinuxLinkTechShowOgg-vorbisFeed\">https://feeds.feedburner.com/TheLinuxLinkTechShowOgg-vorbisFeed</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-09</li>\n    <li><strong>Description:</strong> The Linux Link Tech Show</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>The Mind Tech Podcast</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.mindsetcentral.com\">https://www.mindsetcentral.com</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/mtechpod\">https://feeds.feedburner.com/mtechpod</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-02-26</li>\n    <li><strong>Description:</strong> The Mind Tech Podcast is your weekly dose of tech, privacy, security and conspiracy. Each week we’ll talk about the very latest tech news and the continued threats to internet freedom.</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>The Techie Geek Podcast</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://thetechiegeek.com/\">https://thetechiegeek.com/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds2.feedburner.com/thetechiegeek/ogg\">https://feeds2.feedburner.com/thetechiegeek/ogg</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2013-09-18</li>\n    <li><strong>Description:</strong> The Techie Geek podcast discusses PC\'s, servers, Windows, Linux, and just about anything else that appeals to your inner-geek.</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>The Wired.co.uk Podcast</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.wired.co.uk\">https://www.wired.co.uk</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://www.wired.co.uk/podcastrss\">https://www.wired.co.uk/podcastrss</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-10</li>\n    <li><strong>Description:</strong> Wired UK Podcast – Tech, Gadget &amp; Science Podcast – RSS details</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>This Week in Tech (MP3)</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://twit.tv/twit\">https://twit.tv/twit</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://leoville.tv/podcasts/twit.xml\">https://leoville.tv/podcasts/twit.xml</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-13</li>\n    <li><strong>Description:</strong> Your first podcast of the week is the last word in tech. Join Leo Laporte, Patrick Norton, Kevin Rose, John C. Dvorak, and other tech luminaries in a roundtable discussion of the latest trends in digital technology. Winner of the 2005 People\'s Choice Podcast Award for best overall podcast and Best Technology Podcast. Released every Sunday by midnight Pacific.</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>TuxRadar Linux Podcast (mp3)</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://www.tuxradar.com/files/podcast/podcast_mp3.rss\">https://www.tuxradar.com/files/podcast/podcast_mp3.rss</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://www.tuxradar.com/files/podcast/podcast_mp3.rss\">https://www.tuxradar.com/files/podcast/podcast_mp3.rss</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2013-12-23</li>\n    <li><strong>Description:</strong> The #1 source for Linux</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Ubuntu Podcast » MP3</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://podcast.ubuntu-uk.org\">https://podcast.ubuntu-uk.org</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://feeds.feedburner.com/UbuntuUkPodcastMp3-high\">https://feeds.feedburner.com/UbuntuUkPodcastMp3-high</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-10</li>\n    <li><strong>Description:</strong> Ubuntu Linux Podcast from the Ubuntu UK LoCo team</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Unseen Studio » Crivins (OGG)</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://unseenstudio.co.uk/category/crivins-ogg/\">https://unseenstudio.co.uk/category/crivins-ogg/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://unseenstudio.co.uk/category/crivins-ogg/feed/\">https://unseenstudio.co.uk/category/crivins-ogg/feed/</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-04-10</li>\n    <li><strong>Description:</strong> Crivins is a weekly NSFW podcast covering FOSS news stories and talking points. The usual co-hosts are ThistleWeb &amp; Kevie. This is the regular edited OGG version of the show, complete with the Creative Commons music added.</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n  <li>\n   <h4>Unseen Studio » TuxJam (OGG)</h4>\n   <ul>\n    <li><strong>Website:</strong> <a href=\"https://unseenstudio.co.uk/category/tuxjam-ogg/\">https://unseenstudio.co.uk/category/tuxjam-ogg/</a></li>\n    <li><strong>Feed:</strong> <a href=\"https://unseenstudio.co.uk/category/tuxjam-ogg/feed/\">https://unseenstudio.co.uk/category/tuxjam-ogg/feed/</a></li>\n    <li><strong>Format:</strong> RSS 2.0</li>\n    <li><strong>Last episode:</strong> 2014-03-21</li>\n    <li><strong>Description:</strong> TuxJam is a family friendly show that blends Creative Commons music and Open Source goodness. This is an OGG feed.</li>\n    <li><strong>Category:</strong> Technical</li>\n   </ul>\n  </li>\n </ol>\n',225,75,1,'CC-BY-SA','podcasts,recommendations',0,1451,1),
(1519,'2014-05-29','What\'s in My Bag',682,'Today I am going to be going over my main bag that I carry most days.','<p>\r\nLinks:\r\n</p>\r\n\r\n<ul>\r\n<li>Hazard 4 Ditch Laptop Bag in black: <a href=\"https://hazard4.com/products/bags/messenger-bags/ditch\">https://hazard4.com/products/bags/messenger-bags/ditch</a>\r\n</li>\r\n<li>MOLLE: <a href=\"https://en.wikipedia.org/wiki/MOLLE\">https://en.wikipedia.org/wiki/MOLLE</a> also see HPR Episode 1316 for more infor on MOLLE <a href=\"https://hackerpublicradio.org/eps.php?id=1316\">https://hackerpublicradio.org/eps.php?id=1316</a>\r\n</li>\r\n<li>5.11 H20 Carrier: <a href=\"https://www.511tactical.com/h2o-carrier.html\">https://www.511tactical.com/h2o-carrier.html</a>\r\n</li>\r\n<li>Pilot G2 Pens: <a href=\"https://pilotpen.us/categories/gel-ink-pens/g2/\">https://pilotpen.us/categories/gel-ink-pens/g2/</a>\r\n</li>\r\n<li>Kindle Touch: <a href=\"https://www.amazon.com/Kindle-Touch-e-Reader-Touch-Screen-Wi-Fi-Special-Offers/dp/B005890G8Y\">https://www.amazon.com/Kindle-Touch-e-Reader-Touch-Screen-Wi-Fi-Special-Offers/dp/B005890G8Y</a>\r\n</li>\r\n<li>Moleskine Reporter Notebook: <a href=\"https://store.moleskine.com/it/taccuino-reporter.html#5\">https://store.moleskine.com/it/taccuino-reporter.html#5</a>=7&6=72&7=42&8=41\r\n</li>\r\n<li>Sanza Clip Zip: <a href=\"https://www.sandisk.com/products/music-video-players/clip-zip/\">https://www.sandisk.com/products/music-video-players/clip-zip/</a>\r\n</li>\r\n<li>Rockbox: <a href=\"https://www.rockbox.org/\">https://www.rockbox.org/</a>\r\n</li>\r\n<li>Lenovo Y580: <a href=\"https://shop.lenovo.com/us/en/laptops/ideapad/y-series/y580/\">https://shop.lenovo.com/us/en/laptops/ideapad/y-series/y580/</a>\r\n</li>\r\n<li>ASUS Transformer TF101: <a href=\"https://www.amazon.com/Transformer-TF101-A1-10-1-Inch-Tablet-Separately/dp/B004U78J1G\">https://www.amazon.com/Transformer-TF101-A1-10-1-Inch-Tablet-Separately/dp/B004U78J1G</a>\r\n</li>\r\n</ul>',270,23,0,'CC-BY-SA','MOLLE,Pilot G2,Kindle Touch,Moleskine,Sansa Clip Zip,Lenovo Y580,ASUS Transformer TF101',0,1398,1),
(1521,'2014-06-02','Cardboard Greeting Cards',544,'Shane Shennan explains why he makes greeting cards out of pieces of cardboard boxes','<p>\r\nShane Shennan explains why he makes greeting cards out of pieces of cardboard boxes. He lists the supplies he uses and talks through his 3-step process.\r\n</p>\r\n<p>\r\nLinks: <a href=\"https://bit.ly/cardboardcards\">https://bit.ly/cardboardcards</a>\r\n</p>\r\n',250,0,0,'CC-BY-SA','cardboard,greetings card',0,1303,1),
(1522,'2014-06-03','How to Use Docker and Linux Containers',1899,'How to use Docker and Linux Containers','<p>\r\nHow to use Docker and Linux Containers\r\n</p>',78,0,0,'CC-BY-SA','container,Docker,Linux container,LXC,bridge interface',0,1561,1),
(1524,'2014-06-05','WASHLUG 20150515 GPG and E-mail',5379,'Using GPG to encrypt or sign e-mail','<p>\r\nThis is a recording of a talk I gave at my local Linux Users Group, the Washtenaw Linux Users Group, or LUGWASH. In this talk I cover some of the theory of encryption, how to generate keys, and using this with Thunderbird, with Gmail, and on an Android phone. \r\n</p>\r\n<p>\r\nLinks:\r\n</p>\r\n\r\n <ul>\r\n <li><a href=\"https://www.washlug.org/\">https://www.washlug.org/</a>\r\n </li>\r\n <li><a href=\"https://www.zwilnik.com/\">https://www.zwilnik.com/</a>\r\n </li>\r\n </ul>',198,74,0,'CC-BY-SA','GPG,email,Thunderbird,Enigmail,encrypt,sign',0,1501,1),
(1547,'2014-07-08','My Linux Experience Birthday Special',922,'The cake is not a lie, I tell how I got into Linux and what my favorite Birthday Cake is.','The cake is not a lie, I tell how I got into Linux and what my favorite Birthday Cake is.',209,29,1,'CC-BY-SA','birthday,Atari,Macintosh Classic,Ubuntu,Mint',0,1310,1),
(1523,'2014-06-04','HPR Community News for May 2014',1293,'Charles in NJ uses the call in line to give us the April news','<h2>New hosts</h2>\r\n<p>\r\nThere were no new hosts this month.\r\n</p>\r\n\r\n<h2>Last Month\'s Shows</h2>\r\n<table>\r\n    <thead>\r\n        <tr>\r\n        <th align=\"left\">Id</th>\r\n        <th align=\"left\">Title</th>\r\n        <th align=\"left\">Host</th>\r\n        </tr>\r\n    </thead>\r\n    <tbody>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1499</td>\r\n        <td align=\"left\">How I Got Into Computers</td>\r\n        <td align=\"left\">Charles in NJ</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1500</td>\r\n        <td align=\"left\">Key Signing</td>\r\n        <td align=\"left\">Ahuka</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1501</td>\r\n        <td align=\"left\">AWK</td>\r\n        <td align=\"left\">laindir</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1502</td>\r\n        <td align=\"left\">Practical Math - Units - Distances and Area, Part 2</td>\r\n        <td align=\"left\">Charles in NJ</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1503</td>\r\n        <td align=\"left\">Making Waves-The DSO Pocket Oscilloscope</td>\r\n        <td align=\"left\">NYbill</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1504</td>\r\n        <td align=\"left\">HPR at NELF 2014 Afterparty</td>\r\n        <td align=\"left\">Various Hosts</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1505</td>\r\n        <td align=\"left\">28 - LibreOffice Calc - Fills, an Introduction</td>\r\n        <td align=\"left\">Ahuka</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1506</td>\r\n        <td align=\"left\">HPR AudioBookClub 6 Shaman Tales Book 1 South Coast</td>\r\n        <td align=\"left\">HPR_AudioBookClub</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1507</td>\r\n        <td align=\"left\">HPR Community News for April 2014</td>\r\n        <td align=\"left\">HPR Admins</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1508</td>\r\n        <td align=\"left\">In Defense of Play</td>\r\n        <td align=\"left\">Charles in NJ</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1509</td>\r\n        <td align=\"left\">HPR Needs Shows</td>\r\n        <td align=\"left\">HPR Admins</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1510</td>\r\n        <td align=\"left\">What&#39;s in My Bag?</td>\r\n        <td align=\"left\">Charles in NJ</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1511</td>\r\n        <td align=\"left\">How to skin a snake</td>\r\n        <td align=\"left\">Jezra</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1512</td>\r\n        <td align=\"left\">Adopting and Renovating a Public-Domain Counterpoint Textbook</td>\r\n        <td align=\"left\">Jon Kulp</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1513</td>\r\n        <td align=\"left\">Stir-Fried Stochasticity: Bio-Boogers</td>\r\n        <td align=\"left\">Epicanis</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1514</td>\r\n        <td align=\"left\">Give The Small Guy A Try</td>\r\n        <td align=\"left\">Beeza</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1515</td>\r\n        <td align=\"left\">29 - LibreOffice Calc - Models and &quot;What-If&quot; Analysis</td>\r\n        <td align=\"left\">Ahuka</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1516</td>\r\n        <td align=\"left\">01 The podcasts I listen to</td>\r\n        <td align=\"left\">Dave Morriss</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1517</td>\r\n        <td align=\"left\">The set of prime numbers is infinite</td>\r\n        <td align=\"left\">johanv</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1518</td>\r\n        <td align=\"left\">02 The podcasts I listen to</td>\r\n        <td align=\"left\">Dave Morriss</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1519</td>\r\n        <td align=\"left\">What&#39;s in My Bag</td>\r\n        <td align=\"left\">Thaj Sara</td>\r\n        </tr>\r\n        <tr valign=\"top\">\r\n        <td align=\"left\">1520</td>\r\n        <td align=\"left\">The Ext File System</td>\r\n        <td align=\"left\">JWP</td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n\r\n<h2>Mailing List discussions</h2>\r\n<p>\r\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes \r\nplace on the <a href=\"https://hackerpublicradio.org/maillist\">Mail List</a> which is open to all\r\nHPR listeners and contributors. The discussions are open and available on the\r\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\">Gmane</a>\r\narchive.\r\n</p>\r\n<p>\r\nDiscussed this month was:\r\n</p>\r\n<ul>\r\n<li>new crowdfunder: Mike Dupont has a ongoing kickstarter <a href=\"https://www.kickstarter.com/projects/jamesmikedupont/wwwelectionrus\">https://www.kickstarter.com/projects/jamesmikedupont/wwwelectionrus</a>/li>\r\n<li>Comments not working?: NYbill wanted the comments link changed. It was.</li>\r\n<li>A call for more shows: we ran out of shows. You responded with shows</li>\r\n<li>2 notes on shows: Kevin O\'Brien wanted to know if the NELF talks could be put out on the feed. Current policy is <em>We will continue to promote new podcasts and other creative commons\r\nmaterial but due to a lack of slots, we are only releasing material\r\ncreated exclusively for HPR</em></li>\r\n<li>Please use the shownote template files: The template has been updated please use it</li>\r\n<li>Sending in details for old HPR shows: Please help with the effort to improve the shownotes/tags of the older episodes</li>\r\n<li>I\'m deleting this comment as it\'s spam: because of .....</li>\r\n</ul>',159,47,1,'CC-BY-SA','Community News',0,1279,1),
(1526,'2014-06-09','Penguicon 2014',1617,'I review the Penguicon 2014 event with a focus on the technology talks','<p>Show notes: In late fall 2013 I became involved in the Penguicon\n convention, which combines Open Source technology with Science Fiction to\n create something that I believe to be unique. I ended up taking\n responsibility for organizing the Tech Track, and we ended up with around 70\n hours of programming. I recap some of the highlights of my own personal\n experience of this event, both as a participant and as an organizer.</p>\n <p>Links:</p>\n <ul>\n  <li><a href=\"https://www.penguicon.org/\">https://www.penguicon.org/</a></li>\n  <li><a href=\"https://www.tiltedwindmillpress.com/\">https://www.tiltedwindmillpress.com/</a></li>\n  <li><a href=\"https://www.duosecurity.com/\">https://www.duosecurity.com/</a></li>\n  <li><a href=\"https://www.pfsense.org/\">https://www.pfsense.org/</a></li>\n  <li><a href=\"https://www.eff.org/\">https://www.eff.org/</a></li>\n  <li><a href=\"https://craphound.com/\">https://craphound.com/</a></li>\n  <li><a href=\"https://gamefacelabs.com/#\">https://gamefacelabs.com/#</a>!home</li>\n  <li><a href=\"https://www.girldevelopit.com/\">https://www.girldevelopit.com/</a></li>\n  <li><a href=\"https://smlr.us/\">https://smlr.us/</a></li>\n  <li><a href=\"https://shop.oreilly.com/product/0636920029083.do\">https://shop.oreilly.com/product/0636920029083.do</a></li>\n  <li><a href=\"https://www.zwilnik.com/?p=615\">https://www.zwilnik.com/?p=615</a></li>\n </ul>\n',198,96,0,'CC-BY-SA','Penguicon',0,1269,1),
(1529,'2014-06-12','TrueCrypt, Heartbleed, and Lessons Learned',1117,'What is needed to have security in Open Source projects.','<p>\r\nTwo recent events have shed light on some fundamental issues in getting security in Open Source projects. One of them is a serious bug referred to as \"Heartbleed\", and the other is the first part of a security audit of the TrueCrypt encryption program. By looking at both of these together and doing a Lessons Learned we can draw some conclusions about what is needed to have security in Open Source projects.\r\n</p>\r\n<p>\r\nLinks:\r\n</p>\r\n\r\n <ul>\r\n <li><a href=\"https://www.digitaltrends.com/computing/how-did-the-heartbleed-openssl-bug-happen/#\">https://www.digitaltrends.com/computing/how-did-the-heartbleed-openssl-bug-happen/#</a>!FLdxR\r\n </li>\r\n <li><a href=\"https://tools.ietf.org/html/rfc6520\">https://tools.ietf.org/html/rfc6520</a>\r\n </li>\r\n <li><a href=\"https://www.novainfosec.com/2014/04/16/no-major-findings-in-truecrypt-audit/\">https://www.novainfosec.com/2014/04/16/no-major-findings-in-truecrypt-audit/</a>\r\n </li>\r\n <li><a href=\"https://arstechnica.com/information-technology/2014/04/tech-giants-chastened-by-heartbleed-finally-agree-to-fund-openssl/\">https://arstechnica.com/information-technology/2014/04/tech-giants-chastened-by-heartbleed-finally-agree-to-fund-openssl/</a>\r\n </li>\r\n <li><a href=\"https://podcasts.infoworld.com/d/open-source-software/heartbleed-postmortem-openssls-license-discouraged-scrutiny-241781?source=rss_security\">https://podcasts.infoworld.com/d/open-source-software/heartbleed-postmortem-openssls-license-discouraged-scrutiny-241781?source=rss_security</a>\r\n </li>\r\n <li><a href=\"https://www.zwilnik.com/?page_id=588\">https://www.zwilnik.com/?page_id=588</a>\r\n <p></p>\r\n </li>\r\n </ul>',198,74,0,'CC-BY-SA','security, Open Source',0,1521,1),
(1565,'2014-08-01','34 - LibreOffice Calc - More on Chart Editing',793,'Editing charts, Calc','<p>\r\nIn this episode we review the options for editing your chart, do a brief recap of the object model, and create an example of a chart with a secondary Y-axis.\r\n</p>\r\n<p>\r\nLinks:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.ahuka.com/?attachment_id=804\">https://www.ahuka.com/?attachment_id=804</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?attachment_id=814\">https://www.ahuka.com/?attachment_id=814</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?page_id=809\">https://www.ahuka.com/?page_id=809</a>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','LibreOffice, Calc, Spreadsheet, chart, graph',0,0,1),
(1575,'2014-08-15','35 - LibreOffice Calc - Introduction to Functions',714,'Introduction to working with functions in LibreOffice Calc','<p>In this episode we review what a function is, discuss the different types of functions available in LibreOffice, discuss the concept of arguments in mathematics, and present a general process for using functions in Calc.</p>\n <p>Links:</p>\n <ul>\n  <li><a href=\"https://www.merriam-webster.com/dictionary/function\">https://www.merriam-webster.com/dictionary/function</a></li>\n  <li><a href=\"https://en.wikipedia.org/wiki/Argument_of_a_function\">https://en.wikipedia.org/wiki/Argument_of_a_function</a></li>\n  <li><a href=\"https://www.ahuka.com/?page_id=780\">https://www.ahuka.com/?page_id=780</a></li>\n </ul>',198,70,0,'CC-BY-SA','Calc, Spreadsheet, function',0,0,1),
(1585,'2014-08-29','36 - LibreOffice Calc - Financial Functions - Loan Payments',1346,'Financial Functions in LibreOffice Calc','<p>In this episode we discuss the function for determining the loan payments on a car loan, compare a manual calculation with the use of the PMT function, and derive some useful lessons.</p>\r\n <p>Links:</p>\r\n <ul>\r\n  <li><a href=\"https://www.wikihow.com/Calculate-a-Loan-Payment\">https://www.wikihow.com/Calculate-a-Loan-Payment</a></li>\r\n  <li><a href=\"https://www.ahuka.com/?attachment_id=830\">https://www.ahuka.com/?attachment_id=830</a></li>\r\n  <li><a href=\"https://www.ahuka.com/?page_id=821\">https://www.ahuka.com/?page_id=821</a></li>\r\n </ul>',198,70,0,'CC-BY-SA','spreadsheet,financial function',0,0,1),
(1595,'2014-09-12','37 - LibreOffice Calc - More Financial Functions',1038,'A look at financial functions and constructing a mortgage repayment schedule','<p>We take a look at a number of related financial functions in this episode, and discover that they are strongly related by using the same variables over and over. We construct a Mortgage Repayment Schedule, and look again at the principles of good spreadsheet construction.</p>\n <ul>\n  <li><a href=\"https://finance.yahoo.com/\">https://finance.yahoo.com/</a></li>\n  <li><a href=\"https://www.ahuka.com/?attachment_id=841\">https://www.ahuka.com/?attachment_id=841</a></li>\n  <li><a href=\"https://www.ahuka.com/?page_id=833\">https://www.ahuka.com/?page_id=833</a></li>\n </ul>',198,70,0,'CC-BY-SA','LibreOffice, Calc, Spreadsheet, functions, finance, mortgage',0,0,1),
(1527,'2014-06-10','Surviving A Roadtrip: GPS',1110,'A few GPS tricks that can help survive a roadtrip.','<p>\r\nI have spent many, many hours in a vehicle driving around. While travelling,\r\nI\'ve found a GPS to be one indispensable tool. These are some of the\r\nGPS-related tips that I have discovered:\r\n</p>\r\n\r\n<ul>\r\n<li>Having a \"navigator\" - someone else to help operate the GPS - can be very\r\n        helpful in stressful driving situations. If you have someone that can help,\r\n        let them handle GPS programming.\r\n</li>\r\n<li>Know how to operate your GPS. Planning routes are just the beginning; know how\r\n        to get your GPS to find food and lodging nearby, and how to change a route to\r\n        avoid trouble (road closures, traffic jams, detours).\r\n</li>\r\n<li>Update your maps! Old map data can drive you into construction zones or route\r\n        you into congested areas that new map data would have let you avoid.\r\n</li>\r\n<li>Be aware of tolls! The Northeast loves road tolls, and they can quickly add\r\n        up. My GPS has the option to route around toll roads; so you can use that, or\r\n        make sure you are prepared for that expense.\r\n</li>\r\n<li>You can also use your GPS as a normal map, except it\'s a map automatically\r\n        centered on your exact position. In certain situations, this can be more\r\n        useful than having your GPS provide you with directions.\r\n</li>\r\n<li>My GPS tells me the local speed limit, in addition to how fast I\'m going. This\r\n        is an excellent way to avoid getting a ticket.\r\n</li>\r\n<li>Mount your GPS somewhere. Looking down into your lap is a good way to find\r\n        yourself in a gutter.\r\n</li>\r\n<li>GPS are not 100% accurate! Don\'t believe their lies! If the directions they\r\n        are giving you sound bogus, use your better judgement.\r\n</li>\r\n<li>BONUS: Cameras! If you want to take pictures while on the road, try leaving\r\n        your camera set to the \"Landscape\" macro if you have that option. It will\r\n        prevent focus issues when taking quick shots. Also, keep your camera\r\n        easily accessible to avoid extra distraction. If you have a navigator, they\r\n        might be the best photographers.\r\n</li>\r\n</ul>',196,0,0,'CC-BY-SA','gps',0,1323,1),
(1528,'2014-06-11','Wildswimming in France',2891,'Take a break from the hacking, get on your bike and go wildswimming in a local river.','<p>In this episode I take a swim along a section of the Charente river near\r\n Chatain in the Poitou-Charente region of France. I start upstream at the\r\n bridge and go down as far as the weir, then back. On the way I describe some\r\n of the things I am seeing, I pass some cows and a couple of French fishermen.</p>\r\n <p>Apologies for the audio quality and panting, this was recorded by an old\r\n MP3 player cable-tied to a woolly hat.</p>\r\n <p><img alt=\"A recliner bike and a wet suit parked by a bridge over a river\" src=\"https://hackerpublicradio.org/eps/hpr1528.jpg\" /></p>\r\n <ul>\r\n  <li>Open Street Map - <a href=\"https://osm.org/go/0AFg6YkO\">https://osm.org/go/0AFg6YkO</a></li>\r\n  <li>Google Maps (Streetview available) - <a href=\"https://goo.gl/maps/8XPBr\">https://goo.gl/maps/8XPBr</a></li>\r\n  <li>Wild Swimming Wikipedia Article - <a href=\"https://en.wikipedia.org/wiki/Open_water_swimming\">https://en.wikipedia.org/wiki/Open_water_swimming</a></li>\r\n  <li>Roger Deakin Wikipedia Article - <a href=\"https://en.wikipedia.org/wiki/Roger_Deakin\">https://en.wikipedia.org/wiki/Roger_Deakin</a></li>\r\n </ul>\r\n <p>Mark Waters <a href=\"https://about.me/markwaters\">https://about.me/markwaters</a></p>\r\n',279,101,1,'CC-BY-SA','wildswimming, swimming, france, health, exercise, nature',0,1260,1),
(1531,'2014-06-16','How I use Linux  ',943,'jezra talks about using Linux','<p>\r\nHere is a list of OSs, software, and hardware that was mention. If I missed\r\nanything, please let me know.\r\n</p>\r\n\r\n<ul>\r\n<li>Software \r\n <ul>\r\n <li>Geany: <a href=\"https://www.geany.org/\">https://www.geany.org/</a> \r\n </li>\r\n <li>nano: <a href=\"https://www.nano-editor.org/\">https://www.nano-editor.org/</a>\r\n </li>\r\n <li>virtual box: <a href=\"https://www.virtualbox.org/\">https://www.virtualbox.org/</a>\r\n </li>\r\n <li>glmr: <a href=\"https://gitorious.org/glmr\">https://gitorious.org/glmr</a>\r\n </li>\r\n <li>Ruby Web Alarm: <a href=\"https://gitorious.org/ruby-web-alarm\">https://gitorious.org/ruby-web-alarm</a>\r\n </li>\r\n <li>blather: <a href=\"https://gitorious.org/blather\">https://gitorious.org/blather</a>\r\n </li>\r\n <li>MuttonChop: <a href=\"https://launchpad.net/muttonchop\">https://launchpad.net/muttonchop</a>\r\n <p></p>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Operating Systems\r\n <ul>\r\n <li>Arch: <a href=\"https://archlinux.org/\">https://archlinux.org/</a>\r\n </li>\r\n <li>Debian: <a href=\"https://debian.org\">https://debian.org</a>\r\n <p></p>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Hardware\r\n <ul>\r\n <li>Raspberry Pi: <a href=\"https://www.raspberrypi.org/\">https://www.raspberrypi.org/</a>\r\n </li>\r\n <li>Beaglebone: <a href=\"https://beagleboard.org/\">https://beagleboard.org/</a>\r\n </li>\r\n <li>n900: <a href=\"https://en.wikipedia.org/wiki/N900\">https://en.wikipedia.org/wiki/N900</a>\r\n </li>\r\n </ul>\r\n</li>\r\n</ul>',243,0,1,'CC-BY-SA','Geany,nano,virtualbox,glmr,Ruby Web Alarm,blather,MuttonChop,Raspberry Pi,Beaglebone,Nokia N900',0,1596,1),
(1532,'2014-06-17','Project Idea - White-Hat Spam Bot',959,'Knightwise and Keith discuss their fledgling open-source project to manage social media promotion.','<p>If you run a blog or a podcast, promoting your material can take as much time (or more) than content creation itself. Just like a small business marketing and promoting your efforts take time, effort and energy that can take you away from what you\'d rather be doing: making great stuff.</p>\n <p>This podcast discusses the germ of an idea, and its fledgling implementation, for creating an open-source tool for managing the distribution of posts to social media and doing it in as non-spammy a way as possible.</p>\n <p>The premise is simple: take information from a number of disparate sources, and promote it to a number of disparate destinations. The challenge is doing it without violating the social norms of the destination networks, and without crossing the line between promotion and spaminess.</p>\n',266,0,0,'CC-BY-SA','social media,schedule,distribution',0,1322,1),
(1533,'2014-06-18','Beginner\'s guide to the night sky 2',1499,'A review of some astronomy software, as used on the planet Earth, by a geeky chap.','<p>\r\nThis is a review of some astronomy software, as used\r\non the Earth in the early 21st Century, by a somewhat\r\ngeeky chap. In this episode, I talk a little about two astronomy apps\r\navailable for Android and another two available for GNU/Linux (and other)\r\ndesktops.\r\n</p>\r\n<p>\r\nErratum: I referred to Star Map but I meant Star Chart. Doh!\r\n</p>\r\n<p>\r\nIn reverse order of how much I use and like them (most used/liked last):\r\n</p>\r\n<p>\r\n<a href=\"https://www.stellarium.org\">https://www.stellarium.org</a> - Available for all major operating systems.\r\nThis link shows you how to add your own comets: <a href=\"https://www.wikihow.com/Add-Comet-ISON-to-Stellarium\">https://www.wikihow.com/Add-Comet-ISON-to-Stellarium</a>\r\n</p>\r\n<p>\r\n<a href=\"https://edu.kde.org/kstars/\">https://edu.kde.org/kstars/</a> - KStars is part of the KDE SC Software Compilation) and so will be easy to install if you\'re a KDE user, or if you\'re not, \"easy\" after a few dependencies are installed.\r\n</p>\r\n<p>\r\nGoogle Sky Map can be installed on your mobile device using either f-droid or Google Play: <a href=\"https://f-droid.org/repository/browse/?fdfilter=sky&amp;fdid=com.google.android.stardroid\">https://f-droid.org/repository/browse/?fdfilter=sky&amp;fdid=com.google.android.stardroid</a>\r\n<a href=\"https://play.google.com/store/apps/details?id=com.google.android.stardroid\">https://play.google.com/store/apps/details?id=com.google.android.stardroid</a>\r\n</p>\r\n<p>\r\nIf you like eye-candy, then Star Chart may be for you, get it on Google Play here:\r\n<a href=\"https://play.google.com/store/apps/details?id=com.escapistgames.starchart\">https://play.google.com/store/apps/details?id=com.escapistgames.starchart</a>\r\n</p>',268,0,0,'CC-BY-SA','astronomy,Stellarium,KStars,Google Sky Map,Star Chart',0,1318,1),
(1556,'2014-07-21','Screenplay Writing On Linux and Chromebooks',789,'ThistleWeb explores a couple of screenplay writing solutions for Linux and Chromebooks','<p>Writing screenplays for TV or movies is a very precise thing. The industry expects a standardised style and format. ThistleWeb explores a couple of dedicated screenplay writing solutions. Both are dedicated applications that do one job and do it very well. The first is Trelby. It\'s a GPL cross platform application. It has lots of additional features such as auto completion of character names, summaries and stats.</p>\n <p>The second application is a cloud service called Raw Scripts. It\'s a Chrome extension although I think that\'s just a link to the site. You log in with a Google or Yahoo account. It\'s like a dedicated Google Docs web app. It does most of the things Trelby does. It also exports to Google if you want. You can share and collaborate with Raw Scripts. It\'s hosted on their server, although it\'s AGPL going forward, so it shouldn\'t be long before you can host it on your own server.</p>\n <p>I\'ve just started to explore screenplay writing as a writing skillset. Both of these applications make the styling and formating incredibly easy, allowing me to concentrate on the actual story.</p>\n <p>Links:</p>\n <ul>\n  <li><a href=\"https://trelby.org\">https://trelby.org</a></li>\n  <li><a href=\"https://rawscripts.com\">https://rawscripts.com</a></li>\n </ul>',106,0,0,'CC-BY-SA','screenplay,writing,Trelby,Raw Scripts',0,1159,1),
(1576,'2014-08-18','How I got into Linux',1674,'This is my story about how I got into computers, computing and GNU/Linux.','<p>\r\nShort Summary: This is my story about how I got into computers, computing and GNU/Linux.\r\n</p>\r\n<p>\r\nLinks:\r\n</p>\r\n\r\n<ul>\r\n<li>Personal identity number in Sweden <a href=\"https://en.wikipedia.org/wiki/Personal_identity_number_%28Sweden%29\">https://en.wikipedia.org/wiki/Personal_identity_number_%28Sweden%29</a>\r\n</li>\r\n<li>Apple II: <a href=\"https://en.wikipedia.org/wiki/Apple_2\">https://en.wikipedia.org/wiki/Apple_2</a>\r\n</li>\r\n<li>ABC80: <a href=\"https://en.wikipedia.org/wiki/ABC_80\">https://en.wikipedia.org/wiki/ABC_80</a>\r\n</li>\r\n<li>Tipp-Ex: <a href=\"https://en.wikipedia.org/wiki/Tippex\">https://en.wikipedia.org/wiki/Tippex</a>\r\n</li>\r\n<li>IBM Portable PC: <a href=\"https://en.wikipedia.org/wiki/IBM_Portable\">https://en.wikipedia.org/wiki/IBM_Portable</a>\r\n</li>\r\n<li>MacIntosh Plus: <a href=\"https://en.wikipedia.org/wiki/Macintosh_Plus\">https://en.wikipedia.org/wiki/Macintosh_Plus</a>\r\n</li>\r\n<li>Imagewriter II: <a href=\"https://en.wikipedia.org/wiki/ImageWriter_II\">https://en.wikipedia.org/wiki/ImageWriter_II</a>\r\n</li>\r\n<li>Hypercard: <a href=\"https://en.wikipedia.org/wiki/Hypercard\">https://en.wikipedia.org/wiki/Hypercard</a>\r\n</li>\r\n<li>Netscape Navigator: <a href=\"https://en.wikipedia.org/wiki/Netscape_Navigator\">https://en.wikipedia.org/wiki/Netscape_Navigator</a>\r\n</li>\r\n<li>Debian Social Contract: <a href=\"https://www.debian.org/social_contract\">https://www.debian.org/social_contract</a>\r\n</li>\r\n</ul>',283,29,0,'CC-BY-SA','Linux, FLOSS, Mac',0,0,1),
(1534,'2014-06-19','My Introduction to HPR',269,'semioticrobotic talks about himself and his involvement with opensource.com','<p>\r\nIn this episode, I introduce myself to the Hacker Public Radio community and discuss a website to which I contribute: opensource.com.                                                                \r\n</p>\r\n<p>\r\nLinks:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.opensource.com\">https://www.opensource.com</a>\r\n</li>\r\n<li><a href=\"https://opensource.com/users/bbehrens\">https://opensource.com/users/bbehrens</a>\r\n</li>\r\n<li><a href=\"https://www.semioticrobotic.net\">https://www.semioticrobotic.net</a>\r\n<p></p>\r\n</li>\r\n</ul>',280,0,0,'CC-BY-SA','introduction',0,1326,1),
(1597,'2014-09-16','Extravehicular Activity',850,'NASA guidelines for EVA from spacecraft are detailed and painstaking, not so films.','<h2>EVA - The Rules for Extravehicular Activity</h2>\n <p>Here I dip into the NASA experience of and rules for Extravehicular Activity, prompted at first by watching a film called <em>The Europa Report</em>, directed by Sebastian Cordero (2013).</p>\n <p><strong>WARNING - THIS PODCAST CONTAINS SPOILERS</strong></p>\n <p>While I have some gripes about the film, I was impressed by its general failfulness to the science</p>\n <ul>\n  <li>It thought to find life on Europa, a moon of Jupiter considered by real exobiologists and planetary scientists to be a good candidate</li>\n  <li>Neil deGrasse Tyson made a cameo appearance</li>\n  <li>The portrayal of Europa\'s geography and character</li>\n  <li>Having to drill through the ice to get at the sea below</li>\n  <li>The behaviour of the crew as scientists and engineers</li>\n </ul>\n <p>Science consultant on the film was Kevin Hand, an astrobiologist and expert on Europa at NASA\'s Jet Propulsion Laboratory</p>\n <p>To my mind, the scientists were behaving like scientists and the engineers behaved like engineers. To follow along it might help to recall their names</p>\n <ul>\n  <li>Captain - Willam Xu</li>\n  <li>Pilot - Rosa Dasque</li>\n  <li>Chief scientist - Daniel Luxembourg</li>\n  <li>Marine biologist - Katya Petrovna</li>\n  <li>Junior engineer - James Corrigan</li>\n  <li>Chief engineer - Andrei Blok</li>\n </ul>\n <p>All was going scientifically until the director drove the plot forward with two EVA incidents</p>\n <h3>EVA-1 : <small>Flash back episode, engineers James and Andre go out to fix a failed communications circuit</small></h3>\n <ul>\n  <li>Andre rips his suit</li>\n  <li>James gets squirted with rocket fuel</li>\n  <li>Only one astronaut survives</li>\n </ul>\n <p>I have problems with this because it\'s just too clumsy for trained professional astronauts. Where are the decontamination procedures, the tethers, the special tools?</p>\n <h3>EVA-2 : <small>Down on the surface, Marine biologist Katya decides to walk out alone</small></h3>\n <ul>\n  <li>Tourtured debate in the ship</li>\n  <li>Of four able and expendable crew members, none go with her</li>\n  <li>Katya does not come back alive</li>\n </ul>\n <p>With this I am shouting at the screen \"<strong>No Way! Where\'s the fracking operating manual? No one goes EVA on their own</strong>\"</p>\n <p>So, that is why I researched the NASA rules for Extravehicular Activity. And I found that none of these events would have happened the way they were shown, had the crew, who were so professional in every other way, followed the NASA procedures.</p>\n <h3>The two astronauts issue</h3>\n <ul>\n  <li>The most recent occasion where an astronaut went solo EVA was in 1971, when David Scott stuck his head out of the airlock of Apollo 15.</li>\n  <li>Most recent before that was in 1966, when Buzz Aldrin went EVA from Gemini 12 (Gemini craft only had two crew).</li>\n  <li>Since 1971, there have been 358 space walks and every single one has had two crew.</li>\n  <li>I found no written regulation, but de-facto, nobody leaves the spacecraft alone.</li>\n </ul>\n <h3>NASA procedures</h3>\n <p>NASA documents on the internet discuss in exhaustive detail all considerations for EVA. What I present is a cherry-picked handful. I could not cover all of it</p>\n <ul>\n  <li>reasons for EVA</li>\n  <li>alternatives</li>\n  <li>planning</li>\n  <li>hazard mitigation</li>\n  <li>procedures for safe conduct</li>\n  <li>fall-back procedures</li>\n  <li>failure handling</li>\n  <li>accident control</li>\n </ul>\n <h3>International Space Station (ISS) EVA Procedures Checklists</h3>\n <ul>\n  <li>Presuming that all the equipment maintenance checks, and readiness checks have alread been done <ul>\n    <li>30 minutes of Airlock preparation and testing</li>\n    <li>30 minutes of changing components for the suit to fit the astronaut</li>\n    <li>170 minutes of EVA-Prep</li>\n   </ul>\n  </li>\n  <li>Then you are ready to depressurise and leave the airlock</li>\n  <li>EVA might last 2 - 8 hours</li>\n  <li>Post EVA <ul>\n    <li>30 minute procedure to take the suit off</li>\n    <li>10 minute procedure to disconnect internal equipment</li>\n    <li>Recharge &amp; maintain the Extravehicular Mobility Unit (EMU)</li>\n    <li>Clean &amp; maintain the Suit</li>\n   </ul>\n  </li>\n </ul>\n <p>Although this podcast is about EVA, it does reference the science in a film that I enjoyed and respect very much, so here is a gem that I only came across while researching the landing site. In the scientific journal Nature, Volume 479, 16 November 2011, Britney Schmidt et al, of University of Texas, Austin, published a paper titled \"Active formation of \'chaos terrain\' over shallow subsurface water on Europa.\" In the paper these authors suggest that in the Conemara zone of the Chaos Terrain, an area on the surface of Europa, the ice may be as little as 3 km thick. Then in the film the Conemara Chaos was the targetted landing zone and the drill broke through the ice at a depth of 2800m.</p>\n <p>Well there is one more thing that the podcast says, but it is the ultimate spoiler. So if you have not already listened to the podcast, I highly recommend that you watch the film first.</p>\n <hr />\n <h2>Links</h2>\n <ul>\n  <li>Early Spacewalks: <a href=\"https://en.wikipedia.org/wiki/List_of_spacewalks_and_moonwalks_1965-1999\" target=\"_blank\">https://en.wikipedia.org/wiki/List_of_spacewalks_and_moonwalks_1965-1999</a></li>\n  <li>Late Spacewalks: <a href=\"https://en.wikipedia.org/wiki/List_of_spacewalks_since_2000\" target=\"_blank\">https://en.wikipedia.org/wiki/List_of_spacewalks_since_2000</a></li>\n  <li>NASA Manual on Systems Integration Standards: <a href=\"https://msis.jsc.nasa.gov/sections/section14.htm\" target=\"_blank\">https://msis.jsc.nasa.gov/sections/section14.htm</a></li>\n  <li>NASA payload Safety Conference, Feb 2000: <a href=\"https://paso.esa.int/5_training_materials/training_22_materials.pdf\" target=\"_blank\">https://paso.esa.int/5_training_materials/training_22_materials.pdf</a></li>\n  <li>EVA-22 Cassidy and Parmitano complete ISS spacewalk: <a href=\"https://www.nasaspaceflight.com/2013/07/eva-22-cassidy-parmitano-iss-spacewalk-eva-22/\" target=\"_blank\">https://www.nasaspaceflight.com/2013/07/eva-22-cassidy-parmitano-iss-spacewalk-eva-22/</a></li>\n  <li>EVA-23 terminated due to Parmitano EMU issue: <a href=\"https://www.nasaspaceflight.com/2013/07/astronaut-duo-us-spacewalk-outside-iss/\" target=\"_blank\">https://www.nasaspaceflight.com/2013/07/astronaut-duo-us-spacewalk-outside-iss/</a></li>\n  <li>Extravehicular Activity Operations Overview: <a href=\"https://www.colorado.edu/ASEN/asen3036/EVAOverview.pdf\" target=\"_blank\">https://www.colorado.edu/ASEN/asen3036/EVAOverview.pdf</a></li>\n </ul>',284,0,0,'CC-BY-SA','extravehicular, space, spacewalk, spaceship, nasa, movie, film, science fiction, science',0,0,1),
(1539,'2014-06-26','An Open Source News Break from Opensource.com',277,'An Open Source News Break from Opensource.com','<p>\r\nIn this episode: an ethical cryptocurrency, open source resources for learning Old English, and an interview with the Director of New Media Technologies at the Executive Office of the President in the United States.\r\n</p>\r\n<p>\r\nLinks:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://opensource.com/life/14/5/cryptocurrency-supports-open-source-development\">https://opensource.com/life/14/5/cryptocurrency-supports-open-source-development</a>\r\n</li>\r\n<li><a href=\"https://opensource.com/education/14/5/old-english-open-education-resources\">https://opensource.com/education/14/5/old-english-open-education-resources</a>\r\n</li>\r\n<li><a href=\"https://opensource.com/government/14/5/interview-leigh-heyman-executive-office-president\">https://opensource.com/government/14/5/interview-leigh-heyman-executive-office-president</a>\r\n</li>\r\n</ul>',280,28,0,'CC-BY-SA','newscast,Opensource.com',0,1364,1),
(1536,'2014-06-23','The 150-in-1 Electronic Project Kit',716,'CPrompt talks about the Science Fair 150-in-1 Electronic Project Kit.','<p>In this episode CPrompt travels down a little memory lane and talks about a childhood favorite, the Science Fair 150-in-1 Electronic Project Kit.</p><p>Links:</p><ul><li>Some pics of past Electronic Kits from Science Fair <ul><li><a href=\"https://www.samstoybox.com/toys/ElectronicProjectKits.html\">https://www.samstoybox.com/toys/ElectronicProjectKits.html</a></li></ul></li><li>Scan of a catalog advertising the 150-in-1 Electronic Project Kit <ul><li><a href=\"https://news.google.com/newspapers?nid=1356&dat=19820521&id=nNZXAAAAIBAJ&sjid=7AUEAAAAIBAJ&pg=1935,3638069\">https://news.google.com/newspapers?nid=1356&dat=19820521&id=nNZXAAAAIBAJ&sjid=7AUEAAAAIBAJ&pg=1935,3638069</a></li></ul></li><li>Large Collection of RadioShack Catalogs <ul><li><a href=\"https://www.radioshackcatalogs.com/\">https://www.radioshackcatalogs.com/</a></li></ul></li><li>TV commercial for the 150-in-1 Electronic Kit <ul><li><a href=\"https://www.radioshackcatalogs.com/videos/1981_150-in-1_electronic_kit/\">https://www.radioshackcatalogs.com/videos/1981_150-in-1_electronic_kit/</a></li></ul></li><li>The DuinoKit <ul><li><a href=\"https://www.kickstarter-conversations.com/2013/06/old-school-radio-shack-for-new-school.html\">https://www.kickstarter-conversations.com/2013/06/old-school-radio-shack-for-new-school.html</a></li><li><a href=\"https://duinokit.com\">https://duinokit.com</a></li><li><a href=\"https://www.elenco.com/search/searchdetails/130-in-1_electronics_playground=MjA0\">https://www.elenco.com/search/searchdetails/130-in-1_electronics_playground=MjA0</a></li></ul></li></ul>\r\n',252,0,0,'CC-BY-SA','Science Fair,Radio Shack,electronic project kit,150-in-1,DuinoKit',0,1347,1),
(1558,'2014-07-23','Lunch Breaks',1505,'Break out of your brown bag or greasy box and explore the world around your workplace!','<p>Back after a year of HPR silence, I\'ll talk a little about how I like to spend my lunch breaks and how you can explore your workplace. Put down those tater tots, we\'re going on an adventure!</p>\n <p>In this episode I\'ll give some information about my lunch history, ways you can maximise your time, gear you\'ll need to start short stealth/urban exploration, techniques for finding places to explore, and ways to handle being spotted.</p>\n <p>If this goes well enough and the audio isn\'t too garbled, I\'ll record episodes for the \"How I Got Into (GNU) Linux\" series.</p>\n <p>Here are a few links related to the episode. Note that I link to Amazon and Google. I don\'t necessarily condone or endorse either service, I just didn\'t know of any better sources for product information.</p>\n <ul>\n  <li>My GNU Social account: <a>cmhobbs@status.libernil.net</a> (<a href=\"https://status.libernil.net\">https://status.libernil.net</a>)</li>\n  <li>My XMPP Address: <a>cmhobbs@jabber.libernil.net</a></li>\n </ul>\n <h2>Links</h2>\n <ul>\n  <li>OpenStreetMap for finding locations: <a href=\"https://www.openstreetmap.org\">https://www.openstreetmap.org</a></li>\n  <li>Google Maps if you\'re not concerned with Freedom: <a href=\"https://maps.google.com\">https://maps.google.com</a></li>\n  <li>Outdoor Products Daypack: <a href=\"https://outdoorproducts.com/packable-day-pack/\">https://outdoorproducts.com/packable-day-pack/</a></li>\n  <li>ChicoBag collapsible grocery bag: <a href=\"https://www.chicobag.com/category/original\">https://www.chicobag.com/category/original</a></li>\n  <li>Grand Trunk Ultralight Hammock: <a href=\"https://store.grandtrunkgoods.com/ultralight-travel-hammock1\">https://store.grandtrunkgoods.com/ultralight-travel-hammock1</a></li>\n </ul>\n <h3>Sample sit pads:</h3>\n <ul>\n  <li>GossamerGear SitLight: <a href=\"https://gossamergear.com/sleeping/sitlight-sit-pad-group.html\">https://gossamergear.com/sleeping/sitlight-sit-pad-group.html</a></li>\n  <li>Knee rest: <a href=\"https://amzn.to/1nt2hNX\">https://amzn.to/1nt2hNX</a></li>\n  <li>Stadium Cushion: <a href=\"https://amzn.to/1yyZGJU\">https://amzn.to/1yyZGJU</a></li>\n  <li>Foam Pad (can be cut): <a href=\"https://amzn.to/1nt2hNX\">https://amzn.to/1nt2hNX</a></li>\n </ul>',241,0,1,'CC-BY-SA','urban exploration, lunch, leisure, stealth',0,1206,1),
(1537,'2014-06-24','How I make Coffee',411,'x1101 explains how he makes coffee','<p>\r\nx1101 explains how he makes coffee\r\n</p>\r\n\r\n<ul>\r\n<li>Grinder: <a href=\"https://x1101.net/images/HPR/Grinder.jpg\">https://x1101.net/images/HPR/Grinder.jpg</a>\r\n</li>\r\n<li>Pot: <a href=\"https://x1101.net/images/HPR/Pot.jpg\">https://x1101.net/images/HPR/Pot.jpg</a>\r\n</li>\r\n<li>Beans: <a href=\"https://x1101.net/images/HPR/Beans.jpg\">https://x1101.net/images/HPR/Beans.jpg</a>\r\n</li>\r\n</ul>\r\n',276,88,0,'CC-BY-SA','coffee,coffee grinder,coffee beans,percolator',0,1322,1),
(1546,'2014-07-07','HPR Community News for June 2014',5739,'Ahuka, Dave and Ken, review the happenings for the month.','<h2>New hosts</h2>\n <p>Welcome to our new hosts:<br /><a href=\"https://hackerpublicradio.org/correspondents/0279.html\">Mark Waters</a>, <a href=\"https://hackerpublicradio.org/correspondents/0280.html\">semioticrobotic</a>.</p>\n <h2>Last Month\'s Shows</h2>\n <table>\n  <thead>\n   <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n   </tr>\n  </thead>\n  <tbody>\n   <tr>\n    <td>1521</td>\n    <td>Cardboard Greeting Cards</td>\n    <td>Shane Shennan</td>\n   </tr>\n   <tr>\n    <td>1522</td>\n    <td>How to Use Docker and Linux Containers</td>\n    <td>klaatu</td>\n   </tr>\n   <tr>\n    <td>1523</td>\n    <td>HPR Community News for May 2014</td>\n    <td>HPR Admins</td>\n   </tr>\n   <tr>\n    <td>1524</td>\n    <td>WASHLUG 20150515 GPG and E-mail</td>\n    <td>Ahuka</td>\n   </tr>\n   <tr>\n    <td>1525</td>\n    <td>30 - LibreOffice Calc - A Savings Model</td>\n    <td>Ahuka</td>\n   </tr>\n   <tr>\n    <td>1526</td>\n    <td>Penguicon 2014</td>\n    <td>Ahuka</td>\n   </tr>\n   <tr>\n    <td>1527</td>\n    <td>Surviving A Roadtrip: GPS</td>\n    <td>Windigo</td>\n   </tr>\n   <tr>\n    <td>1528</td>\n    <td>Wildswimming in France</td>\n    <td>Mark Waters</td>\n   </tr>\n   <tr>\n    <td>1529</td>\n    <td>TrueCrypt, Heartbleed, and Lessons Learned</td>\n    <td>Ahuka</td>\n   </tr>\n   <tr>\n    <td>1530</td>\n    <td>The Ext2 File System</td>\n    <td>JWP</td>\n   </tr>\n   <tr>\n    <td>1531</td>\n    <td>How I use Linux</td>\n    <td>Jezra</td>\n   </tr>\n   <tr>\n    <td>1532</td>\n    <td>Project Idea - White-Hat Spam Bot</td>\n    <td>Keith Murray</td>\n   </tr>\n   <tr>\n    <td>1533</td>\n    <td>Beginner\'s guide to the night sky 2</td>\n    <td>Andrew Conway</td>\n   </tr>\n   <tr>\n    <td>1534</td>\n    <td>My Introduction to HPR</td>\n    <td>semioticrobotic</td>\n   </tr>\n   <tr>\n    <td>1535</td>\n    <td>31 - LibreOffice Calc - Sheet Editing and Navigation</td>\n    <td>Ahuka</td>\n   </tr>\n   <tr>\n    <td>1536</td>\n    <td>The 150-in-1 Electronic Project Kit</td>\n    <td>Curtis Adkins (CPrompt^)</td>\n   </tr>\n   <tr>\n    <td>1537</td>\n    <td>How I make Coffee</td>\n    <td>x1101</td>\n   </tr>\n   <tr>\n    <td>1538</td>\n    <td>Overhauling the School of Music website</td>\n    <td>Jon Kulp</td>\n   </tr>\n   <tr>\n    <td>1539</td>\n    <td>An Open Source News Break from Opensource.com</td>\n    <td>semioticrobotic</td>\n   </tr>\n   <tr>\n    <td>1540</td>\n    <td>The journeling File System</td>\n    <td>JWP</td>\n   </tr>\n   <tr>\n    <td>1541</td>\n    <td>How I Came To Linux</td>\n    <td>Claudio Miranda</td>\n   </tr>\n  </tbody>\n </table>\n <h2>Mailing List discussions</h2>\n <p>Policy decisions surrounding HPR are taken by the community as a whole. This discussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\">Mail List</a> which is open to all HPR listeners and contributors. The discussions are open and available on the <a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\">Gmane</a> archive.</p>',159,47,1,'CC-BY-SA','Community News',0,1324,1),
(1566,'2014-08-04','HPR Community News for July 2014',2350,'Dave reviews the happenings for the month, with a brief visit from pegwole.','<h2>New hosts</h2>\n <p>Welcome to our new hosts:<br /><a href=\"https://hackerpublicradio.org/correspondents/0281.html\">Scyner</a>, <a href=\"https://hackerpublicradio.org/correspondents/0282.html\">Mike Ray</a>.</p>\n <h2>Last Month\'s Shows</h2>\n <table>\n  <thead>\n   <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n   </tr>\n  </thead>\n  <tbody>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1542</strong></td>\n    <td align=\"left\">2014-07-01</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1542\">Agnes is an IT Lawyer</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0192.html\">Seetee</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1543</strong></td>\n    <td align=\"left\">2014-07-02</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1543\">What\'s in my bag</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1544</strong></td>\n    <td align=\"left\">2014-07-03</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1544\">An Open Source News Break from Opensource.com</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0280.html\">semioticrobotic</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1545</strong></td>\n    <td align=\"left\">2014-07-04</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1545\">32 - LibreOffice Calc - Introduction to Charts and Graphs</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1546</strong></td>\n    <td align=\"left\">2014-07-07</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1546\">HPR Community News for June 2014</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\">HPR Admins</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1547</strong></td>\n    <td align=\"left\">2014-07-08</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1547\">My Linux Experience Birthday Special</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0209.html\">David Whitman</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1548</strong></td>\n    <td align=\"left\">2014-07-09</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1548\">Heyu and X10</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0232.html\">Peter64</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1549</strong></td>\n    <td align=\"left\">2014-07-10</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1549\">Cool Stuff Pt.1</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0252.html\">Curtis Adkins (CPrompt^)</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1550</strong></td>\n    <td align=\"left\">2014-07-11</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1550\">The Ext3 and 4 File System</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0129.html\">JWP</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1551</strong></td>\n    <td align=\"left\">2014-07-14</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1551\">Bitcoin Mining</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0281.html\">Scyner</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1552</strong></td>\n    <td align=\"left\">2014-07-15</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1552\">An Open Source News Break from Opensource.com</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0280.html\">semioticrobotic</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1553</strong></td>\n    <td align=\"left\">2014-07-16</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1553\">TuxJam 33.333 - How we got into Linux</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0268.html\">Andrew Conway</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1554</strong></td>\n    <td align=\"left\">2014-07-17</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1554\">07 - The Crown Conspiracy</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0157.html\">HPR_AudioBookClub</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1555</strong></td>\n    <td align=\"left\">2014-07-18</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1555\">33 - LibreOffice Calc - Creating Charts</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1556</strong></td>\n    <td align=\"left\">2014-07-21</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1556\">Screenplay Writing On Linux and Chromebooks</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0106.html\">Thistleweb</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1557</strong></td>\n    <td align=\"left\">2014-07-22</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1557\">Encrypting E-mail on Android; Importing Keys</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1558</strong></td>\n    <td align=\"left\">2014-07-23</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1558\">Lunch Breaks</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0241.html\">Christopher M. Hobbs</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1559</strong></td>\n    <td align=\"left\">2014-07-24</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1559\">We don\'t always need new gear.</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0111.html\">Knightwise</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1560</strong></td>\n    <td align=\"left\">2014-07-25</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1560\">The reiserfs File System</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0129.html\">JWP</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1561</strong></td>\n    <td align=\"left\">2014-07-28</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1561\">How I got into Accessible Computing</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0282.html\">Mike Ray</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1562</strong></td>\n    <td align=\"left\">2014-07-29</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1562\">Android For The cli/c Junkie</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0115.html\">sigflup</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1563</strong></td>\n    <td align=\"left\">2014-07-30</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1563\">Starting Programs at boot on the Raspberry Pi</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0201.html\">MrX</a></td>\n   </tr>\n   <tr valign=\"top\">\n    <td align=\"left\"><strong>1564</strong></td>\n    <td align=\"left\">2014-07-31</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1564\">An Open Source News Break from Opensource.com</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0280.html\">semioticrobotic</a></td>\n   </tr>\n  </tbody>\n </table>\n <h2>Mailing List discussions</h2>\n <p>Policy decisions surrounding HPR are taken by the community as a whole. This discussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\">Mail List</a> which is open to all HPR listeners and contributors. The discussions are open and available on the <a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\">Gmane</a> archive.</p>\n <p>Discussed this month were:</p>\n <ul>\n  <li>Ahuka\'s interview by semioticrobotic for opensource.com</li>\n  <li>Discussion of who is going to OggCamp 14, reserving a table and who has the table kit</li>\n  <li>Montana Ethical Hackers want to broadcast HPR content on <em>107.9FM End Of the Dial--Hacker Radio</em></li>\n  <li>The Mumble server has moved</li>\n  <li>Some Community News banter about many-to-many database relationships initiated a show!</li>\n  <li>Audio Book Club - planning the next recordings, the Mumble change and the location of the feeds</li>\n  <li>A slight misunderstanding about Orca arising from the Community News</li>\n  <li>Some discussion about the generation of audio and HTML show notes</li>\n  <li><em>Should we publish the HPR downloads stats ?</em> - continuation of last month\'s discussion with the conclusion that yes, we should publish these stats</li>\n  <li>5150\'s devastating news - he lost his house in a fire. He and his father are OK, but 5150 got some first-degree and second-degree burns. A funding site has been set up by Dan Frey at <a href=\"https://fundanything.com/en/campaigns/help-5150\">https://fundanything.com/en/campaigns/help-5150</a></li>\n  <li><em>Fwd: Migration in the future (To my company).</em> - <ul>\n    <li>Josh Knapp is setting up his own hosting company <a href=\"https://anhonesthost.com/\">https://anhonesthost.com/</a></li>\n    <li>The HPR site will be migrating there</li>\n    <li>A <em>thank you</em> to Josh\'s company will be included in the intro</li>\n    <li>The outro will need to be re-recorded</li>\n    <li>A summary of the show will also be included after the intro, using text to speech</li>\n   </ul>\n  </li>\n  <li>New Intro, Outro, and Template Files now available - the show note header has been changed too and the details on the web site at <a href=\"https://hackerpublicradio.org/contribute.php\">https://hackerpublicradio.org/contribute.php</a></li>\n </ul>\n <h2>Comments this month</h2>\n <p>There are 13 comments:</p>\n <ul>\n  <li><strong>hpr1563</strong> etalas: \"[no title]\", relating to the show <a href=\"https://hackerpublicradio.org/eps.php?id=1563\">hpr1563</a> (2014-07-30) \"<em>Starting Programs at boot on the Raspberry Pi</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0201.html\">MrX</a>.</li>\n  <li><strong>hpr1558</strong> Mark Waters: \"Thanks\", relating to the show <a href=\"https://hackerpublicradio.org/eps.php?id=1558\">hpr1558</a> (2014-07-23) \"<em>Lunch Breaks</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0241.html\">Christopher M. Hobbs</a>.</li>\n  <li><strong>hpr1558</strong> Ken Fallon: \"You *must* get a recording device for mobile interviews\", relating to the show <a href=\"https://hackerpublicradio.org/eps.php?id=1558\">hpr1558</a> (2014-07-23) \"<em>Lunch Breaks</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0241.html\">Christopher M. Hobbs</a>.</li>\n  <li><strong>hpr1558</strong> pokey: \"Cool topic\", relating to the show <a href=\"https://hackerpublicradio.org/eps.php?id=1558\">hpr1558</a> (2014-07-23) \"<em>Lunch Breaks</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0241.html\">Christopher M. Hobbs</a>.</li>\n  <li><strong>hpr1558</strong> Beeza: \"Lunchbreak Exploration\", relating to the show <a href=\"https://hackerpublicradio.org/eps.php?id=1558\">hpr1558</a> (2014-07-23) \"<em>Lunch Breaks</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0241.html\">Christopher M. Hobbs</a>.</li>\n  <li><strong>hpr1554</strong> Colin : \"Journey comments\", relating to the show <a href=\"https://hackerpublicradio.org/eps.php?id=1554\">hpr1554</a> (2014-07-17) \"<em>07 - The Crown Conspiracy</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0157.html\">HPR_AudioBookClub</a>.</li>\n  <li><strong>hpr1553</strong> pokey: \"Fun ep\", relating to the show <a href=\"https://hackerpublicradio.org/eps.php?id=1553\">hpr1553</a> (2014-07-16) \"<em>TuxJam 33.333 - How we got into Linux</em> \" by <a href=\"https://hackerpublicradio.org/correspondents/0268.html\">Andrew Conway</a>.</li>\n  <li><strong>hpr1551</strong> pokey: \"Very interesting\", relating to the show <a href=\"https://hackerpublicradio.org/eps.php?id=1551\">hpr1551</a> (2014-07-14) \"<em>Bitcoin Mining</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0281.html\">Scyner</a>.</li>\n  <li><strong>hpr1549</strong> pokey: \"Cool stuff\", relating to the show <a href=\"https://hackerpublicradio.org/eps.php?id=1549\">hpr1549</a> (2014-07-10) \"<em>Cool Stuff Pt.1</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0252.html\">Curtis Adkins (CPrompt^)</a>.</li>\n  <li><strong>hpr1538</strong> Jon Kulp : \"Thanks Dave! \", relating to the show <a href=\"https://hackerpublicradio.org/eps.php?id=1538\">hpr1538</a> (2014-06-25) \"<em>Overhauling the School of Music website</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0238.html\">Jon Kulp</a>.</li>\n  <li><strong>hpr1284</strong> Jon Kulp : \"Help for Ash\", relating to the show <a href=\"https://hackerpublicradio.org/eps.php?id=1284\">hpr1284</a> (2013-07-04) \"<em>Blather Speech Recognition for Linux: Interview with Jezra</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0238.html\">Jon Kulp</a>.</li>\n  <li><strong>hpr1199</strong> Don Frey: \"[no title]\", relating to the show <a href=\"https://hackerpublicradio.org/eps.php?id=1199\">hpr1199</a> (2013-03-07) \"<em>Old Time Radio on the web</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0195.html\">Frank Bell</a>.</li>\n  <li><strong>hpr0367</strong> Georgi : \"[no title]\", relating to the show <a href=\"https://hackerpublicradio.org/eps.php?id=0367\">hpr0367</a> (2009-05-28) \"<em>Screw you Hacker</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0101.html\">Chad</a>.</li>\n </ul>',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1538,'2014-06-25','Overhauling the School of Music website',1740,'I discuss how I overhauled an outdated website for my employer.','<p>\r\nI discuss the process of overhauling a badly out-of-date website to make it conform to accessibility standards and give it a responsive design. I also discuss how I came up with my own content management system by Bash scripting.\r\n</p>\r\n<p>\r\nLinks\r\n</p>\r\n\r\n<ul>\r\n<li>School of Music website: <a href=\"https://music.louisiana.edu/\">https://music.louisiana.edu/</a>\r\n</li>\r\n<li>TinyPNG, Web-based tool for optimizing PNG images: <a href=\"https://tinypng.com/\">https://tinypng.com/</a>\r\n</li>\r\n<li>Google developer tool for testing page speed: <a href=\"https://developers.google.com/speed/pagespeed/insights/\">https://developers.google.com/speed/pagespeed/insights/</a>\r\n</li>\r\n<li>WebAIM, Web accessibility testing tool: <a href=\"https://wave.webaim.org/\">https://wave.webaim.org/</a>\r\n</li>\r\n<li>HTML compressor: <a href=\"https://code.google.com/p/htmlcompressor/\">https://code.google.com/p/htmlcompressor/</a>\r\n</li>\r\n<li>Font-Awesome Icons: <a href=\"https://fortawesome.github.io/Font-Awesome/icons/\">https://fortawesome.github.io/Font-Awesome/icons/</a>\r\n</li>\r\n</ul>\r\n',238,0,0,'CC-BY-SA','CSS, html, scripting, accessibility',0,1257,1),
(1541,'2014-06-30','How I Came To Linux',2179,'ClaudioM talks about how he came to computers and to Linux','<p>\r\nClaudioM talks about how he came to Linux beginning with an introduction on how he came to computers and how a simple advertisement for an UNIX book would eventually lead to his love for Linux.\r\n</p>\r\n<h2>Helpful Links</h2>\r\n<p>\r\nMattel Aquarius:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Mattel_Aquarius\">https://en.wikipedia.org/wiki/Mattel_Aquarius</a>\r\n</li>\r\n<li><a href=\"https://oldcomputers.net/aquarius.html\">https://oldcomputers.net/aquarius.html</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nFamily Computing:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Family_Computing\">https://en.wikipedia.org/wiki/Family_Computing</a>\r\n</li>\r\n<li><a href=\"https://www.vintage-computer.com/familycomputing.shtml\">https://www.vintage-computer.com/familycomputing.shtml</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nSEFLIN Freenet:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.seflin.org\">https://www.seflin.org</a> (redirects to <a href=\"https://netforum.avectra.com/eweb/DynamicPage.aspx?Site=SEFLIN\">https://netforum.avectra.com/eweb/DynamicPage.aspx?Site=SEFLIN</a>)\r\n</li>\r\n<li>Telnet for Dade County: dc.seflin.org\r\n</li>\r\n<li><a href=\"https://wiki.ardant.net/index.cgi?SeflinFreenet\">https://wiki.ardant.net/index.cgi?SeflinFreenet</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nLinux/PowerPC:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://penguinppc.org\">https://penguinppc.org</a>\r\n</li>\r\n<li><a href=\"https://mac.linux.be/content/apple-powerpc-wiki\">https://mac.linux.be/content/apple-powerpc-wiki</a>\r\n</li>\r\n<li><a href=\"https://wiki.ubuntu.com/PowerPCDownloads\">https://wiki.ubuntu.com/PowerPCDownloads</a>\r\n</li>\r\n<li><a href=\"https://www.debian.org/ports/powerpc/\">https://www.debian.org/ports/powerpc/</a>\r\n</li>\r\n<li><a href=\"https://fedoraproject.org/wiki/Architectures/PowerPC\">https://fedoraproject.org/wiki/Architectures/PowerPC</a>\r\n<p></p>\r\n</li>\r\n</ul>',152,29,0,'CC-BY-SA','BASIC,Mattel Aquarius,Apple IIe,Macintosh,RedHat,SUSE,Mandrake,Slackware',0,1453,1),
(1542,'2014-07-01','Agnes is an IT Lawyer',748,'Today on #HPR; listen to @IT_Advokaten talk about the change in EU law regarding personal data!','<p>Today on Hacker Public Radio, we will talk to an IT lawyer about the new EU regulations regarding personal data.</p>\n <p><em>\"One thing I think you should be aware of is a principle called \'Privacy by Design and Privacy by Default\'!\"</em><br /> -- Agnes</p>\n <h3>IT Solutions Expo 2014</h3>\n <p>In April 2014 I visited the \"IT Solutions Expo\" at the conference centre known as \"The Swedish Fair\" in Gothenburg. The tagline of the IT Solutions Expo was \"The fair that shows you how to make money on tomorrow\'s IT solutions\".</p>\n <p>So a lot of corporate propaganda and sales people. To be totally honest, I hesitated going there. But I am glad I did. There where some really interesting talks concerning privacy and technology that I would not have liked to miss.</p>\n <h3>Agnes Andersson Hammarstrand, IT Lawyer</h3>\n <p>The real highlight of the fair was the talk by Agnes Andersson Hammarstrand, a lawyer specialised in information technology. She covered the new laws that will come to pass in the European Union regarding how we are allowed to handle personal data.</p>\n <p>I was very happy that she was willing to give a short interview for Hacker Public Radio.</p>\n <p>It is interesting to see that it is not only consumers who are starting to think that information about us should be kept safe, it is also slowly becoming the law. If your work in or with companies in the European Union, this is definitely a heads-up, something to take notice of. In a couple of years time you must be ready to follow the new legislation.</p>\n <p>In her talk Agnes also mentioned that companies should have someone who is responsible for privacy issues. Perhaps this is an opportunity for the HPR listeners? Most of you probably feel that this is an important topic already, so why not make it a part of your job description?</p>\n <p>You find all the relevant links down below. If you want to send feedback or get in touch with either Agnes or me, please do not hesitate to do so. If you have any thoughts on the subject at hand or regarding the show, use any of the means below and speak your mind.</p>\n <h3>Stuff referenced in the episode</h3>\n <ul>\n  <li>\"IT Solutions Expo 2014\": <a href=\"https://www.easyfairs.com/events_216/it-solutions-expo2014_42528/it-solutions-expo-2014_42529/\">https://www.easyfairs.com/events_216/it-solutions-expo2014_42528/it-solutions-expo-2014_42529/</a></li>\n  <li>Agnes Andersson Hammarstrand, Twitter: <a href=\"https://twitter.com/it_advokaten\">@IT_Advokaten</a></li>\n  <li>Setterwalls Advokatbyra AB: <a href=\"https://www.setterwalls.se/\">https://www.setterwalls.se/</a></li>\n </ul>\n <h3>How to reach me</h3>\n <p>You should follow me and subscribe to All In IT Radio:</p>\n <ul>\n  <li>Identi.ca: <a href=\"https://identi.ca/alltinomit\">@alltinomit</a></li>\n  <li>Twitter: <a href=\"https://twitter.com/alltinomit\">@alltinomit</a></li>\n  <li>Google+: <a href=\"https://plus.google.com/100309783606985145580/\">https://aiit.se/radio/+</a></li>\n  <li>WWW: <a href=\"https://aiit.se/radio/\">https://aiit.se/radio/</a></li>\n </ul>',192,0,0,'CC-BY-SA','it solutions expo 2014, interview, personal data, eu, law',0,1283,1),
(1544,'2014-07-03','An Open Source News Break from Opensource.com',264,'An overview of open source news stories recently published on Opensource.com','<p>In this episode: The true value of open source, an introduction to the new Authors Alliance, and an OpenStack challenge.</p>\n <p>Links:</p>\n <ul>\n  <li><a href=\"https://opensource.com/life/14/5/true-value-of-open-source\">https://opensource.com/life/14/5/true-value-of-open-source</a></li>\n  <li><a href=\"https://opensource.com/life/14/5/authors-alliance\">https://opensource.com/life/14/5/authors-alliance</a></li>\n  <li><a href=\"https://opensource.com/business/14/5/poll-openstack-releases\">https://opensource.com/business/14/5/poll-openstack-releases</a></li>\n </ul>',280,28,0,'CC-BY-SA','Authors Alliance, OpenStack',0,1294,1),
(1549,'2014-07-10','Cool Stuff Pt.1',1507,'In this episode CPrompt covers some pretty cool stuff that he has found over the last few days.','<p>In this episode CPrompt covers some pretty cool stuff that he has found over the last few days.</p>\n <p>Links: Beyond Pod</p>\n <ul>\n  <li><a href=\"https://www.beyondpod.com/Android/\">https://www.beyondpod.com/Android/</a></li>\n </ul>\n <p>You\'re Listening To</p>\n <ul>\n  <li><a href=\"https://youarelistening.to\">https://youarelistening.to</a></li>\n </ul>\n <p>Wallet Ninja</p>\n <ul>\n  <li><a href=\"https://www.amazon.com/Vante-WN501-Wallet-Ninja/dp/B00JJVBGU4\">https://www.amazon.com/Vante-WN501-Wallet-Ninja/dp/B00JJVBGU4</a></li>\n </ul>\n <p>Dream The Electric Sleep</p>\n <ul>\n  <li><a href=\"https://www.dreamtheelectricsleep.com/\">https://www.dreamtheelectricsleep.com/</a></li>\n </ul>',252,0,0,'CC-BY-SA','beyondpod,youarelistening.to,Wallet Ninja,Dream The Electric Sleep',0,1477,1),
(1631,'2014-11-03','HPR Community News for October 2014',3124,'Discussions on the New Year show and more','<h2>New hosts</h2>\r\n<p>\r\nWelcome to our new hosts: <br />\r\n    <a href=\"https://hackerpublicradio.org/correspondents/0287.html\">corenominal</a>, \r\n    <a href=\"https://hackerpublicradio.org/correspondents/0288.html\">beni</a>.\r\n</p>\r\n\r\n<h2>Last Month\'s Shows</h2>\r\n<table>\r\n    <thead>\r\n	<tr>\r\n	<th align=\"left\">Id</th>\r\n	<th align=\"left\">Date</th>\r\n	<th align=\"left\">Title</th>\r\n	<th align=\"left\">Host</th>\r\n	</tr>\r\n    </thead>\r\n    <tbody>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1608</strong></td>\r\n	<td align=\"left\">2014-10-01</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1608\">Interviews at Lincoln LUG</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0287.html\">corenominal</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1609</strong></td>\r\n	<td align=\"left\">2014-10-02</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1609\">Sigil And The Process Of The Epub In FOSS</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0107.html\">lostnbronx</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1610</strong></td>\r\n	<td align=\"left\">2014-10-03</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1610\">The BTRFS File System</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0129.html\">JWP</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1611</strong></td>\r\n	<td align=\"left\">2014-10-06</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1611\">HPR Community News for September 2014</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\">HPR Volunteers</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1612</strong></td>\r\n	<td align=\"left\">2014-10-07</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1612\">Don\'t Forget the Referbs</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0235.html\">NYbill</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1613</strong></td>\r\n	<td align=\"left\">2014-10-08</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1613\">What\'s in a nickname?</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0283.html\">Inscius</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1614</strong></td>\r\n	<td align=\"left\">2014-10-09</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1614\">An Open Source News Break from Opensource.com</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0280.html\">semioticrobotic</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1615</strong></td>\r\n	<td align=\"left\">2014-10-10</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1615\">39 - LibreOffice Calc - Inferential Statistics Functions</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1616</strong></td>\r\n	<td align=\"left\">2014-10-13</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1616\">Howto Use Webfonts</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0078.html\">klaatu</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1617</strong></td>\r\n	<td align=\"left\">2014-10-14</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1617\">Spaceteam</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0288.html\">beni</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1618</strong></td>\r\n	<td align=\"left\">2014-10-15</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1618\">OggCamp Attendees</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0288.html\">beni</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1619</strong></td>\r\n	<td align=\"left\">2014-10-16</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1619\">Bare Metal Programming on the Raspberry Pi (Part 1)</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0259.html\">Gabriel Evenfire</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1620</strong></td>\r\n	<td align=\"left\">2014-10-17</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1620\">Passwords, Entropy, and Good Password Practices</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1621</strong></td>\r\n	<td align=\"left\">2014-10-20</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1621\">OggCamp Interview with James Tait</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0287.html\">corenominal</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1622</strong></td>\r\n	<td align=\"left\">2014-10-21</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1622\">An interview with Michael Tiemann</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0280.html\">semioticrobotic</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1623</strong></td>\r\n	<td align=\"left\">2014-10-22</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1623\">Tech and Coffee at OggCamp</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0288.html\">beni</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1624</strong></td>\r\n	<td align=\"left\">2014-10-23</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1624\">Penguicon 2015 Call for Talks</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1625</strong></td>\r\n	<td align=\"left\">2014-10-24</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1625\">40 - LibreOffice Calc - Other Functions</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1626</strong></td>\r\n	<td align=\"left\">2014-10-27</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1626\">Opensource.com: Recalling OSCON 2014.</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0280.html\">semioticrobotic</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1627</strong></td>\r\n	<td align=\"left\">2014-10-28</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1627\">5150 Shades of Beer: 0001 He\'Brew Hops Selection from Smaltz Brewing Company</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0131.html\">FiftyOneFifty</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1628</strong></td>\r\n	<td align=\"left\">2014-10-29</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1628\">OggCamp Interview with Peppertop Comics</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0287.html\">corenominal</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1629</strong></td>\r\n	<td align=\"left\">2014-10-30</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1629\">Banana Pi - First Impressions</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0282.html\">Mike Ray</a></td>\r\n	</tr>\r\n	<tr valign=\"top\">\r\n	<td align=\"left\"><strong>1630</strong></td>\r\n	<td align=\"left\">2014-10-31</td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1630\">Bare Metal Programming on the Raspberry Pi (Part 2)</a></td>\r\n	<td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0259.html\">Gabriel Evenfire</a></td>\r\n	</tr>\r\n    </tbody>\r\n</table>\r\n\r\n<h2>Comments this month</h2>\r\n\r\n<p>There are 26 comments:</p>\r\n<ul> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1629\">hpr1629</a></strong>\r\n(2014-10-30) \"<em>Banana Pi - First Impressions</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0282.html\">Mike Ray</a>.\r\n<ol>\r\n<li>Mike Ray on 2014-10-29:\"Clarification on my email address, nasty tts\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1622\">hpr1622</a></strong>\r\n(2014-10-21) \"<em>An interview with Michael Tiemann</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0280.html\">semioticrobotic</a>.\r\n<ol>\r\n<li>mysterio2 on 2014-10-21:\"Excellent interview.\"</li>\r\n<li>Kevin O\'Brien on 2014-10-21:\"Great interview!\"</li>\r\n<li>semioticrobotic on 2014-10-22:\"Thank you!\"</li>\r\n<li>pokey on 2014-10-23:\"Awesome!\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1620\">hpr1620</a></strong>\r\n(2014-10-17) \"<em>Passwords, Entropy, and Good Password Practices</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a>.\r\n<ol>\r\n<li>cybergrue on 2014-10-17:\"Dangerous advice\"</li>\r\n<li>John on 2014-10-17:\"[no title]\"</li>\r\n<li>Kevin O\'Brien on 2014-10-21:\"Please do a show\"</li>\r\n<li>Ken Fallon on 2014-10-21:\"Very good show but 2 comments\"</li>\r\n<li>Kevin O\'Brien on 2014-10-22:\"Yes and ...\"</li>\r\n<li>pokey on 2014-10-23:\"Another Excellent episode\"</li>\r\n<li>Ken Fallon on 2014-10-24:\"NO!!!\"</li>\r\n<li>Mike Ray on 2014-10-30:\"Pasting passwords?\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1619\">hpr1619</a></strong>\r\n(2014-10-16) \"<em>Bare Metal Programming on the Raspberry Pi (Part 1)</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0259.html\">Gabriel Evenfire</a>.\r\n<ol>\r\n<li>Mike Ray on 2014-10-17:\"Excellent show\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1617\">hpr1617</a></strong>\r\n(2014-10-14) \"<em>Spaceteam</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0288.html\">beni</a>.\r\n<ol>\r\n<li>pokey on 2014-10-21:\"Fun game\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1616\">hpr1616</a></strong>\r\n(2014-10-13) \"<em>Howto Use Webfonts</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\">klaatu</a>.\r\n<ol>\r\n<li>johanv on 2014-10-14:\"Do you have a blog post about this?\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1612\">hpr1612</a></strong>\r\n(2014-10-07) \"<em>Don\'t Forget the Referbs</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\">NYbill</a>.\r\n<ol>\r\n<li>corenominal on 2014-10-07:\"From another X61 user\"</li>\r\n<li>NYbill on 2014-10-08:\"[no title]\"</li>\r\n<li>pokey on 2014-10-22:\"Great episode\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1606\">hpr1606</a></strong>\r\n(2014-09-29) \"<em>Howto VNC</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\">klaatu</a>.\r\n<ol>\r\n<li>Ken Fallon on 2014-10-05:\"VNC is not secure\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1597\">hpr1597</a></strong>\r\n(2014-09-16) \"<em>Extravehicular Activity</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0284.html\">Steve Smethurst</a>.\r\n<ol>\r\n<li>noName on 2014-10-11:\"[no title]\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/comments/admin/comment.php?do=e&c=364904\">hpr1596</a></strong>\r\n(2014-09-15) \"<em>About the Word \"Hack\"</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\">klaatu</a>.\r\n<ol>\r\n<li>Gabriel Evenfire on 2014-10-17:\"[no title]\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1569\">hpr1569</a></strong>\r\n(2014-08-07) \"<em>Many-to-many data relationship howto</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0282.html\">Mike Ray</a>.\r\n<ol>\r\n<li>Mike Ray on 2014-10-07:\"@Borgu\"</li>\r\n<li>Ken Fallon on 2014-10-08:\"Noooooo\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1536\">hpr1536</a></strong>\r\n(2014-06-23) \"<em>The 150-in-1 Electronic Project Kit</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0252.html\">Curtis Adkins (CPrompt^)</a>.\r\n<ol>\r\n<li>plan9fan on 2014-10-20:\"[no title]\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1434\">hpr1434</a></strong>\r\n(2014-01-30) \"<em>Why I made an account free android </em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0273.html\">ToeJet</a>.\r\n<ol>\r\n<li>ToeJet on 2014-10-17:\"Couldn\'t root.\"</li></ol>\r\n</li>\r\n</ul>\r\n\r\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1551,'2014-07-14','Bitcoin Mining',510,'This is a short summary of what steps I took to get a set and forget bitcoin mining station going','<p>\r\nThis is a short summary of what steps I took to get a set and forget bitcoin mining station going. Using a asicminer cube eruptor and an odroid u2.\r\n</p>\r\n',281,0,0,'CC-BY-SA','bitcoin,bitcoin mining,ASICMiner Block Erupter Cube,odroid u2',0,1383,1),
(1586,'2014-09-01','HPR Community News for August 2014',4346,'Dave and Ken review the happenings for the month.','<h2>New hosts</h2>\n <p>Welcome to our new hosts:<br /><a href=\"https://hackerpublicradio.org/correspondents/0283.html\">Inscius</a>.</p>\n <h2>Last Month\'s Shows</h2>\n <table>\n  <thead>\n   <tr>\n    <th>Id</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n   </tr>\n  </thead>\n  <tbody>\n   <tr>\n    <td><strong>1565</strong></td>\n    <td>2014-08-01</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1565\">34 - LibreOffice Calc - More on Chart Editing</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\n   </tr>\n   <tr>\n    <td><strong>1566</strong></td>\n    <td>2014-08-04</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1566\">HPR Community News for July 2014</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\">HPR Volunteers</a></td>\n   </tr>\n   <tr>\n    <td><strong>1567</strong></td>\n    <td>2014-08-05</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1567\">Multiboot Partitioning with Linux</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0255.html\">Matt McGraw (g33kdad)</a></td>\n   </tr>\n   <tr>\n    <td><strong>1568</strong></td>\n    <td>2014-08-06</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1568\">Blather Speech Recognition for Linux</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0238.html\">Jon Kulp</a></td>\n   </tr>\n   <tr>\n    <td><strong>1569</strong></td>\n    <td>2014-08-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1569\">Many-to-many data relationship howto</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0282.html\">Mike Ray</a></td>\n   </tr>\n   <tr>\n    <td><strong>1570</strong></td>\n    <td>2014-08-08</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1570\">The JFS File System</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\">JWP</a></td>\n   </tr>\n   <tr>\n    <td><strong>1571</strong></td>\n    <td>2014-08-11</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1571\">Yahoo Mail Forwarder</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0273.html\">ToeJet</a></td>\n   </tr>\n   <tr>\n    <td><strong>1572</strong></td>\n    <td>2014-08-12</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1572\">An Open Source News Break from Opensource.com</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0280.html\">semioticrobotic</a></td>\n   </tr>\n   <tr>\n    <td><strong>1573</strong></td>\n    <td>2014-08-13</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1573\">Make your own t-shirt with bleach</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0110.html\">Quvmoh</a></td>\n   </tr>\n   <tr>\n    <td><strong>1574</strong></td>\n    <td>2014-08-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1574\">Arts and Bots</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\">klaatu</a></td>\n   </tr>\n   <tr>\n    <td><strong>1575</strong></td>\n    <td>2014-08-15</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1575\">35 - LibreOffice Calc - Introduction to Functions</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\n   </tr>\n   <tr>\n    <td><strong>1576</strong></td>\n    <td>2014-08-18</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1576\">How I got into Linux</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0283.html\">Inscius</a></td>\n   </tr>\n   <tr>\n    <td><strong>1577</strong></td>\n    <td>2014-08-19</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1577\">Introducing Nikola the Static Web Site and Blog Generator</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0137.html\">guitarman</a></td>\n   </tr>\n   <tr>\n    <td><strong>1578</strong></td>\n    <td>2014-08-20</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1578\">AudioBookClub-08-How to Succeed in Evil:The Novel</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0157.html\">HPR_AudioBookClub</a></td>\n   </tr>\n   <tr>\n    <td><strong>1579</strong></td>\n    <td>2014-08-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1579\">Crowd Sourced Air Quality Monitoring</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\">klaatu</a></td>\n   </tr>\n   <tr>\n    <td><strong>1580</strong></td>\n    <td>2014-08-22</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1580\">The fast and ntfs File System</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\">JWP</a></td>\n   </tr>\n   <tr>\n    <td><strong>1581</strong></td>\n    <td>2014-08-25</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1581\">Sensible Security: The Schneier Model</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\n   </tr>\n   <tr>\n    <td><strong>1582</strong></td>\n    <td>2014-08-26</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1582\">An Open Source News Break from Opensource.com</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0280.html\">semioticrobotic</a></td>\n   </tr>\n   <tr>\n    <td><strong>1583</strong></td>\n    <td>2014-08-27</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1583\">Podcast Generator</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0191.html\">AukonDK</a></td>\n   </tr>\n   <tr>\n    <td><strong>1584</strong></td>\n    <td>2014-08-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1584\">An interview with Josh Knapp from AnHonestHost.com</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a></td>\n   </tr>\n   <tr>\n    <td><strong>1585</strong></td>\n    <td>2014-08-29</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=1585\">36 - LibreOffice Calc - Financial Functions - Loan Payments</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\n   </tr>\n  </tbody>\n </table>\n <h2>Comments this month</h2>\n <p>There are 17 comments:</p>\n <ul>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1577\">hpr1577</a></strong> (2014-08-19) \"<em>Introducing Nikola the Static Web Site and Blog Generator</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0137.html\">guitarman</a>. <ol>\n    <li>x1101 on 2014-08-21: \"Thanks!\"</li>\n    <li>guitarman on 2014-08-23: \"Cool\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1570\">hpr1570</a></strong> (2014-08-08) \"<em>The JFS File System</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0129.html\">JWP</a>. <ol>\n    <li>Klaatu on 2014-08-11: \"JFS works for me.\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1569\">hpr1569</a></strong> (2014-08-07) \"<em>Many-to-many data relationship howto</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0282.html\">Mike Ray</a>. <ol>\n    <li>Dave Morriss on 2014-08-08: \"Thanks for an impressive show\"</li>\n    <li>Mike Ray on 2014-08-10: \"Hope it wasn\'t too long and technical\"</li>\n    <li>Ken Fallon on 2014-08-11: \"Brilliant episode but I\'m still not convinced\"</li>\n    <li>Mike Ray on 2014-08-11: \"Scalability\"</li>\n    <li>Ken Fallon on 2014-08-16: \"Scalability is not an issue.\"</li>\n    <li>Mike Ray on 2014-08-16: \"Scalability\"</li>\n    <li>Ken Fallon on 2014-08-19: \"Straw Man Argument\"</li>\n    <li>Mike Ray on 2014-08-21: \"New host name\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1568\">hpr1568</a></strong> (2014-08-06) \"<em>Blather Speech Recognition for Linux</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0238.html\">Jon Kulp</a>. <ol>\n    <li>klaatu on 2014-08-11: \"Amazing!\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1566\">hpr1566</a></strong> (2014-08-04) \"<em>HPR Community News for July 2014</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0159.html\">HPR Volunteers</a>. <ol>\n    <li>Steve Bickle on 2014-08-05: \"How /etc is pronounced\"</li>\n    <li>Dave Morriss on 2014-08-07: \"Et cetera, and so forth\"</li>\n    <li>Mike Ray on 2014-08-08: \"/etc blah blah\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1554\">hpr1554</a></strong> (2014-07-17) \"<em>07 - The Crown Conspiracy</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0157.html\">HPR_AudioBookClub</a>. <ol>\n    <li>brijwhiz on 2014-08-03: \"Journey comments and next book podcast\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1199\">hpr1199</a></strong> (2013-03-07) \"<em>Old Time Radio on the web</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0195.html\">Frank Bell</a>. <ol>\n    <li>Mike Ray on 2014-08-08: \"OTR\"</li>\n   </ol>\n  </li>\n </ul>\n <h3>Apologies</h3>\n <ul>\n  <li>guitarman for messing up attribution, and the shownotes</li>\n  <li>semioticrobotic for mixing up his shows</li>\n </ul>',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1552,'2014-07-15','An Open Source News Break from Opensource.com',267,'An interview with Mark Johnson of OSS Watch, Open Source Seed Initiative, and more','<p>In this episode: An interview with Mark Johnson of OSS Watch, the Open Source Seed Initiative, and a video game that asks to be hacked.</p>\n <p>Links:</p>\n <ul>\n  <li><a href=\"https://opensource.com/community/14/5/community-spotlight-mark-johnson-osswatch\">https://opensource.com/community/14/5/community-spotlight-mark-johnson-osswatch</a></li>\n  <li><a href=\"https://opensource.com/law/14/5/legal-issues-open-source-seed-initiative\">https://opensource.com/law/14/5/legal-issues-open-source-seed-initiative</a></li>\n  <li><a href=\"https://opensource.com/life/14/5/hack-n-slash\">https://opensource.com/life/14/5/hack-n-slash</a></li>\n </ul>',280,28,0,'CC-BY-SA','newscast,Opensource.com',0,1305,1),
(1553,'2014-07-16','TuxJam 33.333 - How we got into Linux ',4077,'Kevie and Andrew release TuxJam episode 33 1/3 as an exclusive to HPR on how they got into Linux','<p>Kevie and Andrew release TuxJam episode thirty three and a third as an exclusive to HPR on how they got into Linux, interspersed with a few Creative Commons licensed tunes. The story begins in the mid-1990s and some credit is given to a Microsoft product. At no point do they put on terrible Irish accents and discuss the spelling of whisk(e)y*. If you like what you hear then you might like to listen to other TuxJam episodes here: <a href=\"https://unseenstudio.co.uk/category/tuxjam-ogg/\">https://unseenstudio.co.uk/category/tuxjam-ogg/</a><br /><em>* This may not be entirely true.</em></p>',268,29,0,'CC-BY-SA','FOSS,software,creative commons,music',0,1362,1),
(1554,'2014-07-17','07 - The Crown Conspiracy',4548,'The Crown Conspiracy gets thumbs up from the HPR Audiobook Club ','<p>\r\nSPECIAL ANNOUNCEMENT HPR_AudioBookClub SNEAK PREVIEW!!! \r\nSometime in the not-too-distant future we\'ll be reviewing Street Candles by HPR\'s very own David Collins Rivera (aka Lostinbronx). Street Candles is not finished yet, but is available via RSS and Lostinbronx publishes a new episode each week. This book is excellent, and you\'ll want to say you were there to see it happen. Head over to LNB\'s site for all the details <a href=\"https://www.cavalcadeaudio.com/\">https://www.cavalcadeaudio.com/</a> and remember to subscribe to his RSS feed:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.cavalcadeaudio.com/rss/rss.stardri.ogg.xml\">https://www.cavalcadeaudio.com/rss/rss.stardri.ogg.xml</a>\r\n</li>\r\n<li><a href=\"https://www.cavalcadeaudio.com/rss/rss.stardri.mp3.xml\">https://www.cavalcadeaudio.com/rss/rss.stardri.mp3.xml</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nIn this episode, the HPR_AudioBookClub reviews The Crown Conspiracy by Michael J. Sullivan. This book received thumbs up from all of this month\'s participants. You can download this audiobook for free (or voluntary donation) from <a href=\"https://podiobooks.com/title/the-crown-conspiracy/\">https://podiobooks.com/title/the-crown-conspiracy/</a> and it\'s also available in paperback on Amazon: <a href=\"https://www.amazon.com/Crown-Conspiracy-Michael-J-Sullivan/dp/0980003431\">https://www.amazon.com/Crown-Conspiracy-Michael-J-Sullivan/dp/0980003431</a> . You can find more content (including podcasts) from Michael J. Sullivan <a href=\"https://riyria.blogspot.com/\">https://riyria.blogspot.com/</a> Many of his books are also available in paper and ebook editions on amazon.com.\r\n</p>\r\n<p>\r\nAs usual, during this episode of the AudioBookClub the hosts have each reviewed a beverage of their choice.\r\nMorgellon drank a Bourbon and soda, but not during the show because he was driving. He recommends both Woodford Reserve <a href=\"https://www.woodfordreserve.com/\">https://www.woodfordreserve.com/</a> and Evan Williams Bourbons <a href=\"https://www.evanwilliams.com/\">https://www.evanwilliams.com/</a>\r\nx1101 drank Wild Turkey 101 proof Bourbon <a href=\"https://wildturkeybourbon.com/\">https://wildturkeybourbon.com/</a>\r\npokey drank a cup of Oolong tea. It was probably a little stale, but pokey is a knuckle dragger, so he didn\'t notice at all. <a href=\"https://www.foojoyteas.com/teabag.php\">https://www.foojoyteas.com/teabag.php</a> . This was the first time that pokey has reviewed an NA beverage for the AudioBookClub, so we apologize if the show has suffered because of it.\r\nThaj won the Non-Alcoholic division hands down with a glass of fresh squeezed lemonade.\r\nColin couldn\'t make it to this recording because of time zone differences, but he did write in. I\'ll add his note to the episode comments. Please add your own comment as well. His beverage however was an Innis and Gunn Original <a href=\"https://www.innisandgunn.com/the-range/core-range/original/\">https://www.innisandgunn.com/the-range/core-range/original/</a> to which he gives his thumb up.\r\n</p>\r\n<p>\r\nOur next audiobook will be How to Succeed in Evil: The Novel by Patrick E. McLean <a href=\"https://podiobooks.com/title/how-to-succeed-in-evil-the-novel/\">https://podiobooks.com/title/how-to-succeed-in-evil-the-novel/</a>\r\n(not to be confused with How To Succeed in Evil: The Original Podcast Episodes by Patrick E. McLean)\r\nThis book was suggested by Morgellon. Our next book club recording will be 2014/06/10T23:00:00+00:00 (<a href=\"https://en.wikipedia.org/wiki/ISO_8601#Times\">https://en.wikipedia.org/wiki/ISO_8601#Times</a>)\r\n</p>\r\n<p>\r\nThere are several ways to submit feedback for this episode including the HPR mail list <a href=\"mailto:hpr@hackerpublicradio.org\">hpr@hackerpublicradio.org</a>, and the episode\'s comment section\r\nMorgellon is reachable via twitter @lowtekmorgellon or email <a href=\"mailto:morgellon@gmail.com\">morgellon@gmail.com</a>\r\nx1101 can be reached via twitter @x1101, StatusNet @x1101/micro.fragdev.com and email <a href=\"mailto:x1101@gmx.com\">x1101@gmx.com</a>\r\nThaj can be reached by email <a href=\"mailto:thajasara@gmail.com\">thajasara@gmail.com</a>\r\npokey prefers his feedback to come via the HackerPublicRadio comment system, but is also usually available on StatusNet @pokey/micro.fragdev.com\r\n</p>\r\n<p>\r\nPlease remember to visit the HPR contribution page. We could really use your help right now. <a href=\"https://hackerpublicradio.org/contribute.php\">https://hackerpublicradio.org/contribute.php</a>\r\n</p>\r\n<p>\r\nWe had a great time recording this show, and we hope you enjoyed it as well. We hope you\'ll consider joining us next time. Thank you very much for listening.\r\n</p>\r\n<p>\r\nSincerely,\r\nThe HPR_AudioBookClub\r\n</p>\r\n<p>\r\nP.S. Some people enjoy finding mistakes. For their enjoyment, we have included a few.\r\n</p>',157,53,1,'CC-BY-SA','HPR AudioBookClub,The Crown Conspiracy',0,1305,1),
(1602,'2014-09-23','An Open Source News Break from Opensource.com',1069,'Data-driven journalism, open source password management, and open electronics','<p>\r\nIn this episode: Data-driven journalism with Journalism++, open source password management, and open electronics with Spark.\r\n</p>\r\n<p>\r\nLinks:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://opensource.com/life/14/7/open-data-living-hype-one-data-journalist-weighs\">https://opensource.com/life/14/7/open-data-living-hype-one-data-journalist-weighs</a>\r\n</li>\r\n<li><a href=\"https://opensource.com/life/14/7/managing-passwords-open-source-way\">https://opensource.com/life/14/7/managing-passwords-open-source-way</a>\r\n</li>\r\n<li><a href=\"https://opensource.com/life/14/7/interview-zach-supalla-spark\">https://opensource.com/life/14/7/interview-zach-supalla-spark</a>\r\n</li>\r\n</ul>\r\n',280,28,0,'CC-BY-SA','data journalism,password management,Spark Core',0,0,1),
(1571,'2014-08-11','Yahoo Mail Forwarder',624,'Build, configure and deploy a self maintaining Yahoo mail forwarding virtual client.','<p>\r\nBuild, configure and deploy a self maintaining Yahoo mail forwarding virtual client.\r\n<br />\r\nNeeded\r\n</p>\r\n<ul>\r\n<li>VirtualBox</li>\r\n<li>Fedora 20 LXDE/32Bit iso file.</li>\r\n<li>Virtual Hosting Server (currently using VirtualBox, phpVirtualBox with a Centos6 host).</li>\r\n<li>Yahoo Account</li>\r\n<li>IMAP capable email account for delivery.</li>\r\n</ul>\r\n<p>\r\nSince it will be virtual, isolated, single purpose machine,  Security is minimal.\r\n</p>\r\n<p>\r\nStep by step instuctions at <a href=\"https://james.toebesacademy.com/YahooMailForwarder.html\">https://james.toebesacademy.com/YahooMailForwarder.html</a>\r\n<ol>\r\n<li>Build VM</li>\r\n<li>Configure Applications and AutoStart</li>\r\n<li>Configure Mail Forwarding</li>\r\n<li>Configure Automatic Maintenance</li>\r\n<li>Test</li>\r\n<li>Deploy to Virtual Server.</li>\r\n</ol>\r\n<h3>Known Issues:</h3>\r\n<p>\r\nOccasionally bulk forwards spam folder....\r\n</p>\r\n<p>\r\nLet me know your thoughts and if you want to hear more about my home server configuration.\r\n</p>\r\n',273,0,0,'CC-BY-SA','email,IMAP,Thunderbird',0,0,1),
(1573,'2014-08-13','Make your own t-shirt with bleach',298,'Making T-shirts with bleach and freezer paper','<p>\r\nMaking T-shirts with bleach and freezer paper\r\n</p>\r\n\r\n<h2>links</h2>\r\n\r\n\r\n<ul>\r\n<li>Tutorial in pictures: <a href=\"https://imgur.com/a/ELB7g\">https://imgur.com/a/ELB7g</a>\r\n</li>\r\n<li>bleachshirts: <a href=\"https://www.reddit.com/r/bleachshirts/\">https://www.reddit.com/r/bleachshirts/</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nbe sure to check out side bar at /r/bleachshirts for more tutorials\r\n</p>',110,0,0,'CC-BY-SA','t-shirt,bleach',0,0,1),
(1577,'2014-08-19','Introducing Nikola the Static Web Site and Blog Generator',936,'I explain how to use the Nikola Static Web Site and Blog Generator to make a simple site with a page','<p>Nikola - The Static Web Site and Blog Generator - <a href=\"https://getnikola.com\">https://getnikola.com</a></p>\n <p><strong>Note:</strong> Please see developer notes below</p>\n <p>What is it? A Static Website and Blog Generator based on Python.<br /> What is a Static Website Generator? It generates posts and pages via commands. You edit those posts and pages in a text editor, then run a command to build the site, and finally, deploy/upload the generated html etc files to your webhost.<br /> That sounds kinda old school are you sure thats web 3.0? Its old and new school. Nikola gives you CMS like features without the overhead of the database server and page rendering engine.<br /> How can I install it? Use PIP and follow the handbook on the getnikola.com website. NOTE: Python 2.6 or newer or Python 3.3 or newer is required</p><pre>\nsudo pip install nikola\nsudo pip install nikola[extras]\n</pre><p>You should be good to go if you can enter nikola help in a terminal and get a list of nikola commands.<br /> Lets create our skeleton website:</p><pre>\nnikola init mysite \n</pre><p>You will need to answer some questions now (NOTE a directory to cd into called mysite will be created if you issue mysite.. You should enter your domain name instead - mysite is just an example).<br /> The questions it asks will help populate the conf.py file in the mysite directory.</p><pre>\nSite Title: \nSite Author:\nSite Author Email:\nSite Description:\nSite URL:\nLanguages to support: (default en)\nTime zone: \nWhich comments system to use:\n</pre><p>Once complete your site will be created and in the directory you named the site as - in my case, mysite.<br /> cd into that and take a look at the files with ls.<br /> you will have:</p>\n <ul>\n  <li>conf.py - your configuration file</li>\n  <li>files - where you will place images etc and reference them in blog posts and pages</li>\n  <li>galleries - where you can serve up images in a gallery</li>\n  <li>posts - where your blog posts go</li>\n  <li>stories - where your pages go</li>\n </ul>\n <p>Lets create a blog post.</p><pre>\nnikola new_post\n</pre><p>Type in the title of your blog post and hit enter. I will use foobar in this example<br /> It will report the new post is in posts/foobar.rst<br /> fire up your text editor and edit that file.</p>\n <p>There is a header area at the top of the file - most of it is already filled in and you wont need to change it but you should add a Tag because you can see posts by Tag once the site is generated and it gives your readers a way to find all items on that subject. These are separated by commas so enter as many or few as you like. Enter a Description in the Description area.<br /> Now move into the Write your post here area and go to town - erase that or it shows up in your post.<br /> You should read the page on ReStructuredText here: <a href=\"https://getnikola.com/quickstart.html\">https://getnikola.com/quickstart.html</a> but also just look at the source by clicking \'Source\' on the getnikola website and you can see the markup they used. Some basics are</p><pre>\n*word*\n</pre> for italics, <pre>\n**word**\n</pre> for bold, a single * space item for bullet points and for hyperlinks <pre>\n`Tree Brewing Co: &lt;https://treebeer.com/&gt;`_.\n</pre> a Tree Brewing Co hyperlink which will bring you when clicked to treebeer.com. Lastly issue: <pre>\n.. image:: /files/imagefilename.jpg\n</pre> to point to an image file that you have placed into the files directory.<br /> Ok lets say you are done your post, save it and exit. Lets now build your site and fire up the built in webserver to display it. <pre>\nnikola build\nnikola serve -b\n</pre><p>Your default web browser will launch and you will see your site with blog post. Savour the moment - you have just created your first blog post. Note all the generated files you would upload to your webhost are in the output folder.<br /> Ok so thats great but I want to add pages and have it in my navigation window Ok lets do that.</p><pre>\nnikola new_post -p\n</pre> Enter a name for it and press Enter. In my case I created MyPage <p>It tells you your page is in the stories directory and shows you how it named the file. In my case its mypage.rst<br /> Open that in a text editor and compose the page - save it when complete.<br /> So that would be great but its not showing up in your navigation yet. You need to put that in your conf.py file.<br /> Open conf.py in a text editor, look for NAVIGATION_LINKS. Observe how the existing pages are linked and follow that format. Here is how I would add mypage: (/stories/mypage.html, MyPage), any page you create will show up in stories so dont forget to put that in the path.</p><pre>\nNAVIGATION_LINKS = {\n    DEFAULT_LANG: (\n        (\"/archive.html\", \"Archive\"),\n        (\"/categories/index.html\", \"Tags\"),\n        (\"/rss.xml\", \"RSS feed\"),\n        (\"/stories/mypage.html\", \"MyPage\"),\n    ),\n}\n</pre><p>Save that and rebuild your site.<br /> NOTE:: As of Today Nikola v7.0.1 requires a special command to include the new pages in navigation. This has been fixed in git but currently you must issue:</p><pre>\nnikola build -a\nnikola serve -b \n</pre><p>Now you are viewing it - nice work - you have a page now.<br /> This site seems a bit plain, how can I theme it? Glad that you asked - issue this command.</p><pre>\nnikola bootswatch_theme -n custom_theme -s slate -p bootstrap3\n</pre><p>Now you have set it to use the slate bootswatch theme. Review the bootswatch themes on: <a href=\"https://bootswatch.com/\">https://bootswatch.com/</a><br /> In order to let Nikola know to use this new theme you need to edit the conf.py file and look for THEME and change the value from bootstrap3 to custom_theme.<br /> Now issue these commands at the command line to view the changes:</p><pre>\nnikola build\nnikola serve -b \n</pre><p>You can modify the themes to your liking and there is guidance on changing the theme on the nikola website.<br /> There are ways to depoly your site via rsync or ftp commands in the conf.py file. There are also other things you can set in the conf file such as google analytics, add an embeded duckduckgo or google search engine, specify options for the image galleries etc.<br /> More things you can do to spify up your posts / pages are to do with using shortcode like sytax for ReStructuredText. You can embed soundcloud, youtube videos etc - here is a list of these: <a href=\"https://getnikola.com/handbook.html#restructuredtext-extensions\">https://getnikola.com/handbook.html#restructuredtext-extensions</a></p>\n <p>I hope this helps you get started on using Nikola and hope you enjoy using it as much as I do. If you have questions or comments, find me in the oggcastplanet.net irc chat room on freenode, or go to <a href=\"https://stevebaer.com\">https://stevebaer.com</a> click Tags and click HPR and leave a comment on this episodes blog post. Until next time, Cheers!</p>\n <h2>Corrections to this episode provided by Chris Warrick</h2>\n <p><a href=\"https://stevebaer.com/posts/hpr-episode-on-using-the-static-web-site-and-blog-generator-called-nikola.html\">https://stevebaer.com/posts/hpr-episode-on-using-the-static-web-site-and-blog-generator-called-nikola.html</a></p>\n <h3>Some small corrections:</h3>\n <ol>\n  <li>it is recommended to use a virtualenv, `sudo pip` can be dangerous</li>\n  <li>`pip install nikola[extras]` is enough, no need to do both steps</li>\n  <li>new pages can be created with `nikola new_page`, too (both ways are equally supported)</li>\n  <li>\n   <del>missing quotes around \"MyPage\" in example navbar code</del><em>Fixed</em></li>\n  <li>you can get rid of /stories/ if you change PAGES[*][1] from \"stories\" to an empty string.</li>\n  <li>bootswatch themes are not everything, there is also install_theme that uses a more varied collection from https://themes.getnikola.com/</li>\n </ol>',137,0,0,'CC-BY-SA','Nikola,static website,ReStructuredText',0,0,1),
(1604,'2014-09-25','How I Got Into Linux',1096,'I sum up my experience with linux from 0 to 1!','I sum up my experience with linux from 0 to 1!',286,29,1,'CC-BY-SA','windows,Ubuntu,Puppy,Crunchbang,Arch',0,0,1),
(1578,'2014-08-20','AudioBookClub-08-How to Succeed in Evil:The Novel',7213,'The HPR_AudioBookClub reviews How to Succeed in Evil: The Novel by @PatrickEMcLean. ','<p>\r\nIn this episode, the hackerpublicradio.org Audiobook Club reviews How to Succeed in Evil: The Novel by Patrick E. McLean. \r\n</p>\r\n\r\n<ul>\r\n<li>You can download this audiobook for free (or voluntary donation) from <a href=\"https://podiobooks.com/title/how-to-succeed-in-evil-the-novel/\">https://podiobooks.com/title/how-to-succeed-in-evil-the-novel/</a>\r\n</li>\r\n<li>It\'s also available as an ebook on Amazon: <a href=\"https://www.amazon.com/How-Succeed-Evil-Patrick-McLean-ebook/dp/B00589W1DM\">https://www.amazon.com/How-Succeed-Evil-Patrick-McLean-ebook/dp/B00589W1DM</a>\r\n</li>\r\n<li>You can find more content (including podcasts) from Patrick E. Mclean on his websites \r\n-- <a href=\"https://succeedinevil.com/\">https://succeedinevil.com/</a> \r\n-- <a href=\"https://www.patrickemclean.com/\">https://www.patrickemclean.com/</a>\r\n-There is even a promotional comic book  <a href=\"https://www.succeedinevil.com/evilfinalsmall.pdf\">https://www.succeedinevil.com/evilfinalsmall.pdf</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nThree out of four of us liked this book, and we all had some good things to say about it. While it\'s true that this is an entertaining story set in a super hero world, we found it it more amusing and more thought provoking than your average super hero story.\r\n</p>\r\n<p>\r\nAs usual, during this episode of the AudioBookClub the hosts have each reviewed a beverage of their choice.\r\n</p>\r\n\r\n<ul>\r\n<li>pokey drank a Sam Adams Summer Ale <a href=\"https://www.samueladams.com/craft-beers/summer-ale\">https://www.samueladams.com/craft-beers/summer-ale</a>.\r\n</li>\r\n<li>Thaj drank a home brewed Iced Tea <a href=\"https://en.wikipedia.org/wiki/Iced_tea\">https://en.wikipedia.org/wiki/Iced_tea</a> .\r\n</li>\r\n<li>x1101 was drinking 32oz of water from the great tasting state of Maine out of a Nalgene water bottle <a href=\"https://nalgene.com/\">https://nalgene.com/</a> .\r\n</li>\r\n<li>FiftyOneFifty was drinking Jim Beam Rye Whisky <a href=\"https://www.jimbeam.com/other-bourbons\">https://www.jimbeam.com/other-bourbons</a> .\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nOur next audiobook will be Down and Out in the Magic Kingdom by Corey Doctorow <a href=\"https://podiobooks.com/title/down-and-out-in-the-magic-kingdom/\">https://podiobooks.com/title/down-and-out-in-the-magic-kingdom/</a> \r\nOur next book club recording will be 2014/07/15T23:00:00+00:00 (<a href=\"https://en.wikipedia.org/wiki/ISO_8601#Times\">https://en.wikipedia.org/wiki/ISO_8601#Times</a>)\r\nIf you\'d like a Google calendar invite, or if you\'d like to be on the HPR_AudioBookClub mailing list, please get in contact with us on the HPR mailing list \'hpr at hackerpublicradio dot org\'\r\n</p>\r\n<p>\r\nThere are several ways to submit feedback for this episode including the HPR mail list <a href=\"mailto:hpr@hackerpublicradio.org\">hpr@hackerpublicradio.org</a>, and the episode\'s comment section\r\n</p>\r\n<p>\r\npokey prefers his feedback to come via the HackerPublicRadio comment system, but is also usually available on StatusNet @pokey/micro.fragdev.com\r\n</p>\r\n<p>\r\nPlease remember to visit the HPR contribution page. We could really use your help right now. <a href=\"https://hackerpublicradio.org/contribute.php\">https://hackerpublicradio.org/contribute.php</a>\r\n</p>\r\n<p>\r\nWe had a great time recording this show, and we hope you enjoyed it as well. We hope you\'ll consider joining us next time. Thank you very much for listening.\r\n</p>\r\n<p>\r\nSincerely,\r\nThe HPR_AudioBookClub\r\n</p>\r\n<p>\r\nP.S. Some people enjoy finding mistakes. For their enjoyment, we have included a few.\r\n</p>',157,53,1,'CC-BY-SA','HPR AudioBookClub',0,0,1),
(1583,'2014-08-27','Podcast Generator',223,'Easy software to host a podcast.','<p>\r\nPodcast Generator - Software which can host your podcast and generate all the RSS feeds.\r\n<a href=\"https://podcastgen.sourceforge.net/\">https://podcastgen.sourceforge.net/</a>\r\n</p>\r\n<p>\r\nBlue Drava Podcast - a little show I\'m working on, hosted using the software.\r\n<a href=\"https://podcast.bluedrava.com\">https://podcast.bluedrava.com</a>\r\n</p>',191,0,1,'CC-BY-SA','Podcast, Webapp, PHP',0,0,1),
(1584,'2014-08-28','An interview with Josh Knapp from AnHonestHost.com',3165,'We talk to Josh Knapp about his new business AnHonestHost.com','<p>\r\nFor years our own <a href=\"https://hackerpublicradio.org/correspondents/0174.html\">Josh Knapp</a> has been the real Server Administrator behind Hacker Public Radio, and has been subsidising it out of his own pocket for some time.\r\n</p>\r\n<p>\r\nHe and a few of his colleagues have decided to branch off and set up their own company. AnHonestHost.com is based on a simple idea; Better web hosting that\'s honest and fair.\r\n</p>\r\n<p>\r\nWe discuss the past, the future and how it affects HPR.\r\n</p>',30,78,1,'CC-BY-SA','AnHonestHost.com,shared hosting',0,0,1),
(1587,'2014-09-02','Beginner\'s guide to the night sky 3 - A wee dot on a dark sky',1809,'A ramble about stars, by a geeky chap who resides on planet Earth.','<p>\r\nA ramble about stars, by a geeky chap who resides on planet Earth. This episode\r\nis entitled a wee dot on a dark sky.\r\n</p>\r\n<p>\r\nI comment briefly on why it\'s remarkable\r\nthat the night sky is dark. I then go on to talk about the colour of stars,\r\nwhich we can just perceive with the naked eye. To learn more you need to use\r\na prism, or, as professional astronomers prefer, a diffraction grating to\r\nobtain a spectrum of a star. I talk a little too much about the mathematics\r\nof diffraction gratings but eventually get back to talking about\r\nspectrum of the Sun which in overall shape is very close to what physicists\r\ncall a black body spectrum (<a href=\"https://en.wikipedia.org/wiki/Black_body\">https://en.wikipedia.org/wiki/Black_body</a>)- the spectrum any object will have at a given\r\ntemperature. Astronomers and physicists prefer to measure temperature\r\nin units of kelvin (<a href=\"https://en.wikipedia.org/wiki/Kelvin\">https://en.wikipedia.org/wiki/Kelvin</a>),\r\nand to convert to it you only need to add 273 to the\r\ncelsius temperature. Conversion from Fahrenheit is left as an exercise\r\nto the listener.\r\n</p>\r\n<p>\r\nThe Sun shows spectral lines, specifically dark lines on the broad spectrum\r\ncalled absorptions lines. This is caused by atoms in a cooler layer of gas\r\n(called the chromosphere) that\'s just above the bright surface of the Sun\r\n(called the photosphere). In fact, Helium is named as such because it was\r\nfirst discovered by its absorption lines in the solar spectrum (Helios\r\nis Greek for Sun). Many other elements can be found in the spectrum of\r\nthe Sun and other stars, but most of the mass of all stars is made up\r\nof hydrogen and helium.\r\n</p>\r\n<p>\r\nThe temperature of a star is correlated with colour, with blue stars being\r\nhotter than red stars. This was originally measured by astronomers by\r\nsomething called colour or B-V (B minus V) index.\r\n</p>\r\n<p>\r\nThe luminosity of a star is the rate\r\nat which it emits energy as light, and can be measured in the same units\r\nas light bulbs, i.e. watts (W). But to estimate the luminosity we need\r\nto know the distance to a star which, for nearby stars, can be \r\nfound by the parallax method. By plotting colour index (a proxy\r\nfor temperature) against luminosity we can form a key piece of empirical\r\nevidence - the Hertzsprung Russell diagram: <a href=\"https://en.wikipedia.org/wiki/Hertzsprung%E2%80%93Russell_diagram\">https://en.wikipedia.org/wiki/Hertzsprung%E2%80%93Russell_diagram</a> \r\n</p>\r\n<p>\r\nIt turns out that our nearest star - the Sun - is quite unremarkable. It is neither very hot or cool, nor\r\nvery bright or dim - it\'s a fairly typical star.\r\n</p>',268,0,0,'CC-BY-SA','astronomy,star,hydrogen,helium',0,0,1),
(1588,'2014-09-03','HPR AudioBookClub-09-Down And Out In The Magic Kingdom',8952,'In this episode, the HPR_AudioBookClub reviews Down And Out In The Magic Kingdom by Cory Doctorow.','<h3>SUMMARY</h3>\r\n <p>In this episode, the HPR_AudioBookClub reviews Down And Out In The Magic Kingdom by Cory Doctorow. You can download this AudioBook for free (or voluntary donation) from podiobooks.com. <a href=\"https://podiobooks.com/title/down-and-out-in-the-magic-kingdom/\">https://podiobooks.com/title/down-and-out-in-the-magic-kingdom/</a> and it\'s also available in just about every ebook format you can imagine on Cory\'s website craphound.com. <a href=\"https://craphound.com/down/?page_id=1625\">https://craphound.com/down/?page_id=1625</a> and as a paperback through various booksellers. We found this AudioBook enjoyable and thought provoking. The general consensus that we seem to have reached is that while the book left the reader with many unanswered questions about the world in which the book was set, they are welcome questions. It\'s brain bending fun.</p>\r\n <p>FiftyOneFifty (the link-king) found some cool links relating to the Haunted House and how it works. Check these out!</p>\r\n <ul>\r\n  <li>The website <a href=\"https://www.doombuggies.com\">www.doombuggies.com</a> is a tribute to Disney\'s Haunted Mansion.</li>\r\n  <li>A History video with the original designers on YouTube. <a href=\"https://www.youtube.com/watch?v=S9Bu89gS4jE\">https://www.youtube.com/watch?v=S9Bu89gS4jE</a></li>\r\n  <li>A behind the scenes look at the mansion on YouTube. <a href=\"https://www.youtube.com/watch?v=Eqv1M9oJsT4\">https://www.youtube.com/watch?v=Eqv1M9oJsT4</a></li>\r\n </ul>\r\n <p>gigasphere wrote in to say,</p>\r\n <blockquote>I listened to this book in the space of a couple of days mostly. At first it took some time to get into but then was quite enjoyable, however in the second half I started to find it a bit hard going. The story is told exclusively in the first person (I think that\'s right) and as the story went on I found it quite difficult not having external points of view or reference. This is probably also due to good story telling as the main Character Jules is also getting frustrated and is increasingly isolated. The book was interesting and unique even before you got to the plot line and aspects of the world the characters were living in. I would recommend the book as an example of an interesting method of story telling and I\'m keen to pick up the other big Cory Doctorow book, \"Little Brother\".</blockquote>\r\n <p>gigasphere\'s spoilers (Highlight to read)</p>\r\n <blockquote>\r\n  <p style=\"background-color:#4d4d4d\">From having read the wikipedia page on Cory I can see that Down and Out in the Magic Kingdom, which is Cory\'s first novel, seems to have a trademark extrapolation with our own reality. The concept of backing up you mind and being brought back from the dead in a clone seems an excellent example of hyper-our-reality at the moment, but to then have everyone capable of being online using implants is also amazingly realistic when you consider the almost boom in wearables going on and the ubiquity of smartphones. I am reminded of the xkcd comic where the guy was having a USB port implanted.<br /><a href=\"https://xkcd.com/644/\">https://xkcd.com/644/</a><br />The whuffie aspect of the book which replaces money, reminds me a lot of the social media thing of being rated by how many \'followers\' or \'likes\' or may be even \'hits\' you get. This also oddly reminds me of the download stats discussion on the mailing list at the moment.<br />I\'m not sure I\'ll add much to the overall discussion of the book from here as my no spoiler summary really rounds up the book for me. I would have liked to have a broader telling of the story, particularly from Lil\'s perspective, but the restrictions placed on the story also work to make it great, in that you are forced, as in real life, to view the world through only one person\'s eyes.</p>\r\n </blockquote>\r\n <h3>BEVERAGE REVIEWS</h3>\r\n <p>We think you\'ll agree that the HPR_AudioBookClub really showed up for this one and they brought some all-star beverages. Please enjoy this episode responsibly.</p>\r\n <ul>\r\n  <li>x1101 just wanted to make us all jealous. He brought a Lagunitas Imperial Stout to our little party and enjoyed it as much as any of us would have.<br /><a href=\"https://lagunitas.com/beers/imperial-stout/\">https://lagunitas.com/beers/imperial-stout/</a></li>\r\n  <li>FiftyOneFifty was slightly disappointed by his German style Doublebock, FIREMAN\'S BREW: Brunette. He says it\'s an unprepossessing brew, but perhaps worth it for fans of beer made with chocolate malts. Not very sweet for a dopplebock, and without much hops note except for a slight spicy kick, despite a general thinness in the flavor, it has enough cocoa flavor to satisfy fans of beers made with chocolate malt, at least until they find a better one.<br /><a href=\"https://www.firemansbrew.com/offdutydrinks-brunette\">https://www.firemansbrew.com/offdutydrinks-brunette</a></li>\r\n  <li>The planets aligned and dictated that Semioticrobotic bring his favorite tea, Ginger Twist by Mighty Leaf, to our little show. It\'s a zippy but soothing herbal tea (technically, then, a tisane) that combines strong ginger flavors with lemon-grass and mint.<br /><a href=\"https://www.mightyleaf.com/product/ginger-twist-herbal-tea-pouches/\">https://www.mightyleaf.com/product/ginger-twist-herbal-tea-pouches/</a></li>\r\n  <li>pokey\'s limited run microbrew, Saison du Buff, is a collaboration between three breweries; Dogfish Head Ales, Stone Brewing Co., and Victory Brewing Company. It can be purchased from any of the three, and if you\'re lucky enough to find some you should do exactly that. pokey described it as a little spicy, very complex and really enjoyable. Big thumbs up.<br /><a href=\"https://www.dogfish.com/brews-spirits/the-brews/collaborations/Saison-du-BUFF.htm\">https://www.dogfish.com/brews-spirits/the-brews/collaborations/Saison-du-BUFF.htm</a><br /><a href=\"https://www.stonebrewing.com/collab/saisondubuff/\">https://www.stonebrewing.com/collab/saisondubuff/</a><br /><a href=\"https://www.victorybeer.com/news/victorys-2012-saison-du-buff-available-mid-april/\">https://www.victorybeer.com/news/victorys-2012-saison-du-buff-available-mid-april/</a></li>\r\n  <li>pegwole was worshiping at the porcelain vessel. No, not THAT porcelain vessel... The good one. The one that\'s used to serve Coffee!<br /><a href=\"https://en.wikipedia.org/wiki/Coffee\">https://en.wikipedia.org/wiki/Coffee</a></li>\r\n  <li>This month gigasphere wrote in to say,<br />\"It\'s hot over here in the UK South East at the moment (25-30 degrees Celsius, yes that\'s hot for here!) and I\'m swamped with work so I have a really boring Apple and Elderflower Juice for my drink this month. I have an Ale on the shelf that I haven\'t tried before but will save that for next time round when I should have a more manageable workload. On the plus side my juice is really cold and refreshing with a really strong and pleasant flavour (sic)<sup>2</sup>. It\'s a fresh juice and so has been kept refrigerated. Now everyone can stop laughing<sup>1</sup> at me and get back to their proper drinks!\"<br /><a href=\"https://www.copellafruitjuices.co.uk/juices\">https://www.copellafruitjuices.co.uk/juices</a></li>\r\n  <li>Rather than simply reviewing a beverage like the rest of us, Thaj (attention seeker that he is) risked his life on the show by ingesting a potentially lethal amount of Dihydrogen Monoxide! The HPR_AudioBookClub does not condone this type of risky behavior, and if you are entertained by it, then you\'re probably a bad person.<br /><a href=\"https://www.dhmo.org/facts.html\">https://www.dhmo.org/facts.html</a></li>\r\n </ul>\r\n <h3>OUR NEXT <i>TWO</i> AUDIOBOOKS</h3>\r\n <p>Revolution Radio by Seth Kenlon<br /><a href=\"https://aesdiopod.com/books/\">https://aesdiopod.com/books/</a></p>\r\n <p>AND</p>\r\n <p>Street Candles by David Collins-Rivera<br /><a href=\"https://www.cavalcadeaudio.com/stardrifter.html\">https://www.cavalcadeaudio.com/stardrifter.html</a></p>\r\n <p>We\'re really excited about these two AudioBooks because both of these authors are HPR community members! We\'re assigning both at once because one is pretty short, and one is pretty long. We were a little worried that people might not finish Street Candles in time to participate, and we think this scheme may buy participants the time they they/we need.</p>\r\n <p>Seth Kenlon\'s personal profile page: <a href=\"https://seth.kenlon.usesthis.com/\">https://seth.kenlon.usesthis.com/</a><br /> Seth Kenlon\'s HPR correspondent page: <a href=\"https://hackerpublicradio.org/correspondents/0078.html\">https://hackerpublicradio.org/correspondents/0078.html</a></p>\r\n <p>David Collins-Rivera\'s personal blog: <a href=\"https://www.cavalcadeaudio.com/index.html\">https://www.cavalcadeaudio.com/index.html</a><br /> David Collins-Rivera\'s HPR correspondent page: <a href=\"https://hackerpublicradio.org/correspondents/0107.html\">https://hackerpublicradio.org/correspondents/0107.html</a></p>\r\n <h3>NEXT RECORDING</h3>\r\n <p>Our next book club recording will be 2014/08/12T23:00:00+00:00. <a href=\"https://en.wikipedia.org/wiki/ISO_8601#Times\">https://en.wikipedia.org/wiki/ISO_8601#Times</a> If you\'d like a Google calendar invite, or if you\'d like to be on the HPR_AudioBookClub mailing list, please get in contact with us on the HPR mailing list \'hpr at hackerpublicradio dot org\'</p>\r\n <h3>FEEDBACK</h3>\r\n <p>Thank you very much for listening to this episode of the HPR_AudioBookClub. We had a great time recording this show, and we hope you enjoyed it as well. We also hope you\'ll consider joining us next time. Please leave a few words in the episode\'s comment section.<br /> As always; remember to visit the HPR contribution page HPR could really use your help right now.</p>\r\n <p><a href=\"https://hackerpublicradio.org/contribute.php\">https://hackerpublicradio.org/contribute.php</a></p>\r\n <p>Sincerely,<br /> The HPR_AudioBookClub</p>\r\n <p>P.S. Some people really like finding mistakes. For their enjoyment, we always include a few.</p>\r\n <p>1: The HPR_AudioBookClub doesn\'t laugh at anyone for reviewing tea, nor any other drink. We intentionally call the segment a \"beverage review,\" not a \"beer review\" so that no one should feel alienated. Also because some of us drink wine.</p>\r\n <p>2: The HPR_AudioBookClub <i>does</i> laugh when people try to spell flavor with a \"u\"</p>',157,53,1,'CC-BY-SA','HPR AudioBookClub',0,0,1),
(1644,'2014-11-20','Opensource.com: Benetech, OpenStack and Kumusha',954,'Benetech CEO opens up, the challenge of OpenStack product management, and Kumusha Takes Wiki.','<h1>In this episode</h1>\r\n\r\n<h2>Open source product development most effective when social</h2>\r\n<p>Benetech started out in the 90s without even understanding the meaning of the term <em>open source</em>. They just \"needed an easy way to interface with different voice synthesizers\" to develop readers for people who are blind and \"shared the code to be helpful.\"</p>\r\n<p></p>\r\n<p>Sound familiar? Opensource.com started covering stories like in 2010 and they recur more often than you might think. Stories of people sharing the code to help others—but sharing code to get help developing better code. When code is open, a community has the opportunity to form around it.</p>\r\n<p>Read this interview about what Benetech CEO Jim Fruchterman learned by adopting open source philosophy and furthering technology-for-good. <br />\r\nRead more: \r\n<a href=\"https://opensource.com/business/14/7/interview-jim-fruchterman-benetech\">https://opensource.com/business/14/7/interview-jim-fruchterman-benetech</a></p>\r\n\r\n<h2>OpenStack product management: wisdom or folly?</h2>\r\n<p>Two recent, excellent, blog posts have touched on a topic I\'ve been wrestling with since May\'s OpenStack Summit: What is the role of the Product Management function, if any, in the OpenStack development process?</p>\r\n<!--break--><p> The first article, \"<a href=\"https://h30499.www3.hp.com/t5/Grounded-in-the-Cloud/Calling-all-User-Landians-to-lead-OpenStack-above-the-cloud/ba-p/6514194#.U8gVpHVdVN1\" target=\"_blank\" title=\"OpenStack above the cloud\">Calling all \'User Landians\' to lead OpenStack above the cloud</a>,\" by Evan Scheessele, talks about the \"real user\" of OpenStack—those people that need to deliver a solution that brings some sort of value to their organization. The other article, \"<a href=\"https://robhirschfeld.com/2014/07/01/hidden-influencers/\" target=\"_blank\" title=\"Who\'s in charge here?\">Who\'s In Charge Here Anyway?…</a>,\" by Rob Hirschfeld, speaks to the dynamics of how decisions—which OpenStack features are in in or out—get made in the OpenStack ecosystem.<br />\r\nRead more: <a href=\"https://opensource.com/business/14/7/openstack-product-management-wisdom-or-folly\">https://opensource.com/business/14/7/openstack-product-management-wisdom-or-folly</a></p>\r\n\r\n<h2>Giving Sub-Saharan African communities an online presence</h2>\r\n<p>People in Sub-Saharan Africa face hurdles to get online. Despite some progress, the region lags behind in Internet connectivity due to the high costs of service and poor infrastructure, according to a <a href=\"https://wef.ch/gitr14\" target=\"_blank\">recent World Economic Forum report</a>.</p>\r\n<!--break--><p></p>\r\n<p>This digital divide means some African communities are underrepresented on the web. Without a well-developed online presence, misinformation about them can spread relatively unchallenged.<br />\r\nRead more: <a href=\"https://opensource.com/life/14/7/giving-sub-saharan-african-communities-online-presence\">https://opensource.com/life/14/7/giving-sub-saharan-african-communities-online-presence</a>\r\n</p>',280,28,0,'CC-BY-SA','Benetech,OpenStack',0,0,1),
(1591,'2014-09-08','The Ultimate Cooking Device',1539,'Using a Weber grill to cook all your food.','<p>\r\nUsing a Weber grill to cook all your food.\r\n</p>\r\n\r\n<ul>\r\n<li>Weber Grills: <a href=\"https://weber.com\">https://weber.com</a>\r\n</li>\r\n<li>Basic Grill Model: <a href=\"https://www.weber.com/grills/series/one-touch/one-touch-silver-225\">https://www.weber.com/grills/series/one-touch/one-touch-silver-225</a>\r\n</li>\r\n<li>Chimney: <a href=\"https://store.weber.com/accessories/category/cook/1466\">https://store.weber.com/accessories/category/cook/1466</a>\r\n</li>\r\n<li>Lighter Cubes: <a href=\"https://store.weber.com/accessories/category/cook/1324\">https://store.weber.com/accessories/category/cook/1324</a>\r\n</li>\r\n<li>Grate for use with a Wok: <a href=\"https://store.weber.com/accessories/category/cook/cookware/1390\">https://store.weber.com/accessories/category/cook/cookware/1390</a>\r\n</li>\r\n<li><a href=\"https://alphageeks.libsyn.com/\">https://alphageeks.libsyn.com/</a>\r\n</ul>',134,93,1,'CC-BY-SA','cooking,grill',0,0,1),
(1589,'2014-09-04','KC MakerFair 2014',2749,'A rundown on all the cool things to see at the KC MakerFair 2014','<p>Mr. Gadgets calls in another show and this time he has been to Kansas City Maker Faire.</p>\n <p>Maker Faire: Kansas City celebrates things people create themselves — from new technology and electronic gizmos to urban farming and “slow-made” foods to homemade clothes, quilts and sculptures. This family-friendly event demonstrates what and how people are inventing, making and creating. It brings together Makers, Crafters, Inventors, Hackers, Scientists and Artists for a faire full of fun and inspiration.</p>\n <h3>Links</h3>\n <ul>\n  <li><a href=\"https://makerfairekc.com\">https://makerfairekc.com</a></li>\n  <li><a href=\"https://Q3DPrinter.com\">https://Q3DPrinter.com</a></li>\n  <li><a href=\"https://Tiny-Circuits.com\">https://Tiny-Circuits.com</a></li>\n  <li><a href=\"https://tinyurl.com/voltset\">https://tinyurl.com/voltset</a></li>\n  <li><a href=\"https://www.kcohg.org\">https://www.kcohg.org</a></li>\n  <li><a href=\"https://www.kumoconnect.com\">https://www.kumoconnect.com</a></li>\n  <li><a href=\"https://www.mynerd.com\">https://www.mynerd.com</a></li>\n  <li><a href=\"https://www.nerdbots.net\">https://www.nerdbots.net</a></li>\n  <li><a href=\"https://www.omahamakergroup.org\">https://www.omahamakergroup.org</a></li>\n  <li><a href=\"https://www.openkansas.us\">https://www.openkansas.us</a></li>\n  <li><a href=\"https://www.etsy.com/shop/SteamTimeJewelry\">https://www.etsy.com/shop/SteamTimeJewelry</a></li>\n  <li><a href=\"https://www.tappecue.com\">https://www.tappecue.com</a></li>\n </ul>',155,0,1,'CC-BY-SA','maker faire,Kansas City',0,0,1),
(1614,'2014-10-09','An Open Source News Break from Opensource.com',1265,'K-12 computer education, Karen Sandler on open source identity crisis, ChickTech\'s outreach efforts','<p>\r\nIn this episode: An open-minded curriculum for K-12 computer education, Karen Sandler on open source\'s \"identity crisis,\" ChickTech\'s outreach efforts.\r\n</p>\r\n<h3>\r\nLinks:\r\n</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://opensource.com/education/14/7/internet-safety-classroom-education\">https://opensource.com/education/14/7/internet-safety-classroom-education</a>\r\n</li>\r\n<li><a href=\"https://www.youtube.com/watch?v=f8Co37GO2Fc\">https://www.youtube.com/watch?v=f8Co37GO2Fc</a>\r\n</li>\r\n<li><a href=\"https://insights.ubuntu.com/2014/03/25/an-ubuntu-pc-for-everyone-in-penn-manor-school-district-pennsylvania-usa/\">https://insights.ubuntu.com/2014/03/25/an-ubuntu-pc-for-everyone-in-penn-manor-school-district-pennsylvania-usa/</a>\r\n</li>\r\n<li><a href=\"https://www.pennmanor.net/techblog/?p=1847#jp-carousel-1860\">https://www.pennmanor.net/techblog/?p=1847#jp-carousel-1860</a>\r\n</li>\r\n<li><a href=\"https://opensource.com/life/14/7/interview-karen-sandler-software-freedom-conservancy\">https://opensource.com/life/14/7/interview-karen-sandler-software-freedom-conservancy</a>\r\n</li>\r\n<li><a href=\"https://opensource.com/life/14/7/girls-skills-are-needed-tech\">https://opensource.com/life/14/7/girls-skills-are-needed-tech</a>\r\n</li>\r\n</ul>',280,28,0,'CC-BY-SA','K-12 computer education,open source,ChickTech',0,0,1),
(1622,'2014-10-21','An interview with Michael Tiemann',3668,'An Open Source News Break from Opensource.com: An interview with Michael Tiemann','<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://www.redhat.com/about/company/management/bios/management-team-michael-tiemann-bio\">https://www.redhat.com/about/company/management/bios/management-team-michael-tiemann-bio</a>\r\n</li>\r\n<li><a href=\"https://opensource.com/resources/ebook/open-always-wins\">https://opensource.com/resources/ebook/open-always-wins</a>\r\n</li>\r\n<li><a href=\"https://heathbrothers.com/books/switch/\">https://heathbrothers.com/books/switch/</a>	\r\n</li>\r\n<li><a href=\"https://www.summary.com/book-reviews/_/The-Only-Sustainable-Edge/\">https://www.summary.com/book-reviews/_/The-Only-Sustainable-Edge/</a>\r\n</li>\r\n</ul>\r\n',280,28,1,'CC-BY-SA','interview,open source',0,0,1),
(1626,'2014-10-27','Opensource.com: Recalling OSCON 2014.',1301,'The Opensource.com team recalls its experience at OSCON 2014','<h1>In this episode: Recalling OSCON 2014.</h1>\n <h2>18 interviews with speakers of upcoming OSCON 2014</h2>\n <p>The O\'Reilly Open Source Convention—or <a href=\"https://www.oscon.com/oscon2014\" target=\"_blank\">OSCON</a>, as it\'s popularly known—is one of the world\'s premier open source events. For more than a decade, open-minded developers, innovators, and business people have gathered for this weeklong event, which explores cutting edge developments in the open source ecosystem. This year, Opensource.com visited OSCON, held July 20–July 24 at the Oregon Convention Center in Portland, OR (USA).</p>\n <p>Read more: <a href=\"https://opensource.com/business/14/7/speaker-interview-series-oscon-2014\">https://opensource.com/business/14/7/speaker-interview-series-oscon-2014</a></p>\n <h2>Open source talks: OSCON 2014 speaker interviews</h2>\n <p>Eagerly awaiting another year of open source wonders, the Opensource.com community caught up with a handful of notable OSCON speakers to gather behind-the-scenes stories about their passions for open source. Our eBook book collects the <a href=\"https://opensource.com/business/14/7/speaker-interview-series-oscon-2014\" target=\"_blank\">interviews we conducted</a>.</p>\n <p>Read more: <a href=\"https://opensource.com/resources/oscon-2014-interviews\">https://opensource.com/resources/oscon-2014-interviews</a></p>\n <h2>Keynotes from OSCON 2014 Day 1</h2>\n <p>Our own <a href=\"https://opensource.com/users/jhibbets\" target=\"_blank\">Jason Hibbets</a> and <a href=\"https://opensource.com/users/jen-wike\" target=\"_blank\">Jen Wike</a> were live blogging from OSCON 2014! Day 1 talks include:</p>\n <ul>\n  <li>Shadaj Laddad: The wonders of programming</li>\n  <li>Making a difference through open source</li>\n  <li>Wendy Chisholm: Introvert? Extrovert? Klingon? We\'ve got you covered.</li>\n  <li>Bringing OpenStack based cloud to the enterprise</li>\n  <li>Will Marshall: Building an API for the planet with a new approach to satellites</li>\n </ul>\n <br /> Read more: <a href=\"https://opensource.com/life/14/7/oscon-2014\">https://opensource.com/life/14/7/oscon-2014</a><h2>Keynotes from OSCON 2014 Day 2</h2>\n <p>We\'re back with keynote coverage on Day 2 of OSCON 2014! Day 2 talks include:</p>\n <ul>\n  <li>Tim Bray: Threats</li>\n  <li>Racing Change: Accelerating Innovation Through Radical Transparency</li>\n  <li>Simon Wardly: Anticipating the futurean introduction to value chain mapping</li>\n  <li>Checking Your Privilege: A How-To for Hard Things Leslie Hawthorn (Elasticsearch)</li>\n  <li>Tim O\'Reilly: What kind of world do we want to build?</li>\n </ul>\n <br /> Read more: <a href=\"https://opensource.com/business/14/7/keynotes-day-2-oscon-2014\">https://opensource.com/business/14/7/keynotes-day-2-oscon-2014</a><h2>Keynotes from OSCON 2014 Day 3</h2>\n <p>We\'re back with keynote coverage on Day 3 of OSCON 2014! Day 3 talks include:</p>\n <ul>\n  <li>Andrew Sorensen: The concert programmer</li>\n  <li>Frank Willison Award for contributions to the Python community</li>\n  <li>Beth Flanagan: Yes, your refrigerator is trying to kill you: Bad actors and the Internet of Things</li>\n  <li>Ryan Vinyard: Open manufacturing: Bringing open hardware beyond 3D printing</li>\n  <li>Rachel Nabors: Storytelling on the shoulders of giants</li>\n </ul>\n <br /> Read more: <a href=\"https://opensource.com/business/14/7/keynotes-oscon-2014-day-3\">https://opensource.com/business/14/7/keynotes-oscon-2014-day-3</a>',280,28,0,'CC-BY-SA','OSCON 2014,open source',0,0,1),
(1674,'2015-01-01','2014-2015 New Year Show Part 1 of 8',12840,'The first 4 hours of the 2014 to 2015 New Year Show.','<b>2014-12-31T10:00:00Z</b><br\r\n/>hpr1674 :: New Year Show Part 1 of 8<br\r\n/><a href=\"https://hackerpublicradio.org/eps.php?id=1674\">https://hackerpublicradio.org/eps.php?id=1674</a><br\r\n/>Welcome to the 4th Annual Hacker Public Radio show. It is December the 31st 2014 and the time is 10 hundred hours UTC. We start the show by sending Greetings to Christmas Island/Kiribati and Samoa Kiritimati, Apia.<br\r\n/>Announcements: Even with editors&nbsp; volunteering, we need some folks to record as backup (Ken said ogg is&nbsp; fine). Bruce Patterson is looking for a new host for the Distrowatch&nbsp; Weekly Podcast fixing 5150s mike problems because he was half alseep.&nbsp;&nbsp; Talking new PC and components prices and construction theory<br\r\n/><br\r\n/><b>2014-12-31T10:15:00Z</b><br\r\n/>It is December the 31st 2014 and the time is 10 15 hundred hours UTC&nbsp;<br\r\n/><ul><li>Greetings to Chatham Islands/New Zealand Chatham Islands.</li></ul\r\n>Marcus cobra2 and 5150 talk&nbsp; movies, the ease of use of HPR, focusing on one topic when podcasting&nbsp;&nbsp; We talk Canadian and New Zealand TV.&nbsp; Steam on Linux.&nbsp;<br\r\n/><br\r\n/><b>2014-12-31T11:00:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to New Zealand with exceptions and 5 more&nbsp; Auckland, Suva, Wellington, Nukualofa.</li></ul\r\n>FiftyOneFifty and Dudeman discuss single board computers, being on fire, and herding cattle.&nbsp; The cameras dude-man uses with Zone-Minder <a href=\"https://www.hikvision.com/Es/Products_show.asp?id=7326\">https://www.hikvision.com/Es/Products_show.asp?id=7326</a>&nbsp; Various old man ailments, diet and exercise.<br\r\n/><br\r\n/><b>2014-12-31T12:00:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to small region of Russia, Marshall Islands and 5 more Anadyr, Funafuti, Yaren, Tarawa.</li></ul\r\n>Time zones again tailoring your distro to get what you want<br\r\n/><br\r\n/><b>2014-12-31T12:30:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to Norfolk Island, Kingston.</li></ul\r\n>Efficient Ubuntu spins to put on older hardware<br\r\n/><br\r\n/><b>2014-12-31T13:00:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to much of Australia and 5 more&nbsp; Melbourne, Sydney, Canberra, Honiara.</li></ul\r\n>Announcement: Bruce Patterson is looking for a new host for the Distrowatch Weekly Podcast&nbsp; The N900, and mobile Linux computing<br\r\n/><br\r\n/><b>2014-12-31T13:30:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to small region of Australia Adelaide, Broken Hill.</li></ul\r\n>Zoneminder and a Pi connected to a webcam<br\r\n/><br\r\n/>',159,121,1,'CC-BY-SA','New Year,2015',0,0,1),
(1675,'2015-01-02','2014-2015 New Year Show Part 2 of 8',11580,'New Year Show Part 2 from 14:00 to 18:00','<b>2014-12-31T14:00:00Z</b><br /> hpr1675 :: New Year Show Part 2 of 8<br /><a href=\"https://hackerpublicradio.org/eps.php?id=1675\">https://hackerpublicradio.org/eps.php?id=1675</a><br />\n <ul>\n  <li>Greetings to Queensland/Australia and 5 more Brisbane, Port Moresby, Guam, Cairns.<br />\n   <br />\n  </li>\n </ul><b>2014-12-31T14:30:00Z</b><br />\n <br />\n <ul>\n  <li>Greetings to Northern Territory/Australia, Darwin, Alice Springs, Uluru.</li>\n </ul> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Flying Rich arrives!<br />\n <ul>\n  <li>1450Z - Discussion of 5150\'s house building project.</li>\n  <li>Samson Q2U <a href=\"https://www.amazon.com/Samson-Handheld-Microphone-Headphones-Accessories/dp/B001R747SG/ref=sr_1_1?ie=UTF8&qid=1420035345&sr=8-1&keywords=samson+q2u\">https://www.amazon.com/Samson-Handheld-Microphone-Headphones-Accessories/dp/B001R747SG/ref=sr_1_1?ie=UTF8&amp;qid=1420035345&amp;sr=8-1&amp;keywords=samson+q2u</a><ul>\n    <li>Geothermal and radiant heating</li>\n    <li>Insulation techniques</li>\n    <li>Carpeting vs. other types of flooring<br />\n     <br />\n    </li>\n   </ul>\n  </li>\n </ul><b>2014-12-31T15:00:00Z</b><br />\n <br />\n <ul>\n  <li>Greetings to Japan and 6 more: Tokyo, Seoul, Pyongyang, Dili.<br />\n   <br />\n  </li>\n  <li>1500Z - Discussion of 5150\'s house building project continues <ul>\n    <li>Built-in gun safe</li>\n    <li>Safety and accessibility considerations<br />\n     <br />\n    </li>\n   </ul>\n  </li>\n  <li>1505Z - Guns, guns, guns! <ul>\n    <li>Hidden gun storage <a href=\"https://www.youtube.com/watch?v=hjoaO5IL8rg\">https://www.youtube.com/watch?v=hjoaO5IL8rg</a><br />\n     <br />\n    </li>\n   </ul>\n  </li>\n  <li>1513Z - Alternating tread stairs <ul>\n    <li><a href=\"https://www.thisoldhouse.com/toh/article/0,,443801,00.html\">https://www.thisoldhouse.com/toh/article/0,,443801,00.html</a><br />\n     <br />\n    </li>\n   </ul>\n  </li>\n </ul><b>2014-12-31T15:15:00Z</b><br />\n <br />\n <ul>\n  <li>Greetings to Western Australia/Australia Eucla.<br />\n   <br />\n  </li>\n  <li>1516Z - GNU jokes <ul>\n    <li><a href=\"https://www.gnu.org/fun/jokes/users-lightbulb.html\">https://www.gnu.org/fun/jokes/users-lightbulb.html</a><br />\n     <br />\n    </li>\n   </ul>\n  </li>\n  <li>1517Z - Ohio Linux Fest<br />\n   <br />\n  </li>\n  <li>1522Z - Mobile phone hacking <ul>\n    <li><a href=\"https://www.qualcomm.com/\"><u>https://www.qualcomm.com/</u></a></li>\n    <li><a href=\"https://www.bqmobile.com/\">https://www.bqmobile.com/</a></li>\n    <li><a href=\"https://awslookup.com/pentaband-phones/\">https://awslookup.com/pentaband-phones/</a></li>\n    <li><a href=\"https://www.replicant.us/\">https://www.replicant.us/</a><br />\n     <br />\n    </li>\n   </ul>\n  </li>\n  <li>1528Z - Pegwole arrives!<br />\n   <br />\n  </li>\n  <li>1528Z - Mobile phone hacking<br />\n   <br />\n  </li>\n  <li>1531Z - Shellshock and Heartbleed vulnerabilities <ul>\n    <li><a href=\"https://en.wikipedia.org/wiki/Shellshock_%28software_bug%29\">https://en.wikipedia.org/wiki/Shellshock_%28software_bug%29</a></li>\n    <li><a href=\"https://en.wikipedia.org/wiki/Heartbleed\">https://en.wikipedia.org/wiki/Heartbleed</a><br />\n     <br />\n    </li>\n   </ul>\n  </li>\n  <li>1532Z - Security auditing <ul>\n    <li>SSL 2.0 and 3.0 problems (Beast, Poodle)</li>\n    <li>TLS vs. SSL</li>\n    <li>Alleged NSA backdoor in BSD<br />\n     <br />\n    </li>\n   </ul>\n  </li>\n  <li>1537Z - Text-to-Speech <ul>\n    <li><a href=\"https://espeak.sourceforge.net/\">https://espeak.sourceforge.net/</a><br />\n     <br />\n    </li>\n   </ul>\n  </li>\n  <li>1538Z - Jonathan Nadeau arrives, accessible computing discussion follows <ul>\n    <li><a href=\"https://qt-project.org/\">https://qt-project.org/</a></li>\n    <li><a href=\"https://sourceforge.net/projects/mumble/\">https://sourceforge.net/projects/mumble/</a></li>\n    <li><a href=\"https://www.northeastlinuxfest.org/\">https://www.northeastlinuxfest.org/</a></li>\n    <li><a href=\"https://sonargnulinux.com/\">https://sonargnulinux.com/</a></li>\n    <li><a href=\"https://libreplanet.org/wiki/Main_Page\">https://libreplanet.org/wiki/Main_Page</a></li>\n    <li><a href=\"https://www.southeastlinuxfest.org/\">https://www.southeastlinuxfest.org/</a></li>\n    <li><a href=\"https://www.ohiolinux.org/\">https://www.ohiolinux.org/</a></li>\n    <li><a href=\"https://en.wikipedia.org/wiki/Game_clock\">https://en.wikipedia.org/wiki/Game_clock</a></li>\n    <li><a href=\"https://cardsagainsthumanity.com/\">https://cardsagainsthumanity.com/</a><br />\n     <br />\n    </li>\n   </ul>\n  </li>\n  <li>1548Z - Text-to-Speech Revisited <ul>\n    <li><a href=\"https://mary.dfki.de/\">https://mary.dfki.de/</a> (MaryTTS)</li>\n    <li><a href=\"https://wiki.gnome.org/action/show/Projects/Orca\">https://wiki.gnome.org/action/show/Projects/Orca</a> (Orca)<br />\n     <br />\n    </li>\n   </ul>\n  </li>\n  <li>1553Z - Sonar Linux <ul>\n    <li><a href=\"https://www.gnome.org/\">https://www.gnome.org/</a> (Gnome)</li>\n    <li><a href=\"https://manjaro.org/\">https://manjaro.org/</a> (Manjaro Linux)</li>\n    <li><a href=\"https://archlinux.org/\">https://archlinux.org/</a> (Arch Linux)</li>\n    <li><a href=\"https://trisquel.info/\">https://trisquel.info/</a> (Trisquel Linux)</li>\n    <li><a href=\"https://ubuntu-mate.org/\">https://ubuntu-mate.org/</a> (Ubuntu-MATE)<br />\n     <br />\n    </li>\n   </ul>\n  </li>\n  <li>1558Z - Mumble on a Raspberry Pi<br />\n   <br />\n  </li>\n </ul><b>2014-12-31T16:00:00Z</b><br />\n <br />\n <ul>\n  <li>Greetings to China and 12 more: Beijing, Hong Kong, Manila, Singapore.<br />\n   <br />\n  </li>\n  <li>Broam\'s Keyboard: <a href=\"https://www.kinesis-ergo.com/shop/advantage-for-pc-mac/\"><u>https://www.kinesis-ergo.com/shop/advantage-for-pc-mac/</u></a></li>\n  <li>Broam\'s joystick controller: <a href=\"https://www.amazon.com/Saitek-P2500-Rumble-Force-Game/dp/B000075B5V\">https://www.amazon.com/Saitek-P2500-Rumble-Force-Game/dp/B000075B5V</a> (can\'t find manufacturer link)</li>\n  <li>NVDA is Nonvisual Desktop Access - Free Software Screenreader for Windows - <a href=\"https://www.nvaccess.org/\">https://www.nvaccess.org/</a></li>\n  <li>Jonathan and Broam discuss learning computer science while blind.<br />\n   <br />\n  </li>\n </ul><b>2014-12-31T17:00:00Z</b><br />\n <br />\n <ul>\n  <li>Greetings to much of Indonesia, Thailand and 7 more: Jakarta, Bangkok, Hanoi, Phnom Penh.</li>\n  <li>We\'re off by one!</li>\n  <li>Broam pokes Pegwole for some photography gear talk</li>\n  <li>Etymology of IRC handles / nicknames</li>\n  <li>RP - <a href=\"https://en.wikipedia.org/wiki/Received_Pronunciation\">https://en.wikipedia.org/wiki/Received_Pronunciation</a></li>\n  <li>Which shortcut key to use in mumble?</li>\n  <li>thistleweb sayings \"<br />\n   <br />\n  </li>\n </ul><b>2014-12-31T17:30:00Z</b><br />\n <br />\n <ul>\n  <li>Greetings to Myanmar and Cocos Islands, Yangon, Naypyidaw, Mandalay, Bantam.</li>\n  <li>Dude man has us wondering what \"1 inch below is worth 2 above\"&nbsp;</li>\n  <li>\"its connected with cutting hay... when your using a scythe which is really advanced tech and basicly led to the masive dependance on grain consumption believe it or not. But when cutting grass for hay for winter feed... cutting lower at the bottom by 1 inch gave bigger return for your effort and quality than have the grass 2 inches tailer<br />\n   <br />\n  </li>\n </ul>',159,121,1,'CC-BY-SA','New Year,2015',0,0,1),
(1677,'2015-01-06','2014-2015 New Year Show Part 4 of 8',8224,'New Year Show Part 4 of 8 22:00 to 00:30 UTC','<b>2014-12-31T22:00:00Z</b><br\r\n/>Mumble-2014-12-31-14-00-23-ch1.teamspeak.cc-Mixdown.ogg<br\r\n/><br\r\n/><ul><li>Greetings to Greece and 30 more: Cairo, Ankara, Athens, and Bucharest.<br/><br\r\n/></li\r\n><li>kinda quiet</li\r\n><li>camera buying with dann.... kinda</li\r\n><li>topic hopping</li\r\n><li>speculation on how windows will work without IE.</li\r\n><li>proprietary marketing skills</li\r\n><li>mass brainwashing of the world (Apple, anyone?)</li\r\n><li><br/><br/><br\r\n/></li></ul\r\n><b>2014-12-31T23:00:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to Germany and 43 more: Brussels, Madrid, Paris, and Rome.</li\r\n><li>Coppies, coppyright, Coppies, coppyright, Coppies, coppyright, Coppies, coppyright, Coppies, coppyright, Coppies, coppyright, Coppies, coppyright, Coppies, coppyright, Coppies, coppyright, Coppies, coppyright, Coppies, coppyright, Coppies, coppyright, </li\r\n><li>we are living the future, we are all our own gutenbergs</li\r\n><li>The wave is really the Mexican Wave!</li\r\n><li>George Orwell was an incredible human being</li\r\n><li>Was George Orwell a time traveler who invented the salng word \"Pig\" for police?</li\r\n><li>Star wars discussion</li\r\n><li>Dr. Who talk</li\r\n><li>Distribution of entertainment media around the world shouldn\'t be delayed</li\r\n><li>Best comic book remakes<br/><br\r\n/></li></ul\r\n><b>2015-01-01T00:00:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to United Kingdom and 24 more: London, Casablanca, Dublin, and Lisbon.</li\r\n><li>...continuing the Dr. Who / media distribution discussion</li\r\n><li>ThistleWeb watches Dawson\'s Creek </li\r\n><li>Bluetooth controllers, Bethoven and jousting <a href=\"https://arstechnica.com/gaming/2014/12/microsoft-tells-j-s-joust-devs-their-game-is-not-possible-on-windows/\">https://arstechnica.com/gaming/2014/12/microsoft-tells-j-s-joust-devs-their-game-is-not-possible-on-windows/</a></li\r\n><li>Lord Drakenblut Has a crowd funding campaign to get to SCALE.<u> </u><a href=\"https://www.gofundme.com/gysc0o\"><u>https://www.gofundme.com/gysc0o</u></a> . Sadly, he is ill.</li\r\n><li>I (JonTheNiceGuy) joined the feed, and the podcast I produce (CCHits.net *plug*) was mentioned ;)</li\r\n><li>KLAATU IS HERE!!!!</li\r\n><li>now we are talking about things that he cannot speak about. </li\r\n><li>reading the books is faster than watching the movies?</li\r\n><li>Book and movie spoiler time =D yolo</li\r\n><li>Books, Movies...</li\r\n><li>Bad cantina music</li\r\n><li><br/><br/><br\r\n/></li></ul\r\n>',159,121,1,'CC-BY-SA','New Year,2015',0,0,1),
(1678,'2015-01-07','2014-2015 New Year Show Part 5 of 8',8239,'New Year Show Part 5 of 8 00:30 to 03:00 UTC','<b>2015-01-01T00:00:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to United Kingdom and 24 more: London, Casablanca, Dublin, and Lisbon.</li\r\n><li>...continuing the Dr. Who / media distribution discussion</li\r\n><li>ThistleWeb watches Dawson\'s Creek&nbsp;</li\r\n><li>Bluetooth controllers, Bethoven and jousting <a href=\"https://arstechnica.com/gaming/2014/12/microsoft-tells-j-s-joust-devs-their-game-is-not-possible-on-windows/\">https://arstechnica.com/gaming/2014/12/microsoft-tells-j-s-joust-devs-their-game-is-not-possible-on-windows/</a></li\r\n><li>Lord Drakenblut Has a crowd funding campaign to get to SCALE.<u> </u><a href=\"https://www.gofundme.com/gysc0o\"><u>https://www.gofundme.com/gysc0o</u></a> . Sadly, he is ill.</li\r\n><li>I (JonTheNiceGuy) joined the feed, and the podcast I produce (CCHits.net *plug*) was mentioned ;)</li\r\n><li>KLAATU IS HERE!!!!</li\r\n><li>now we are talking about things that he cannot speak about.&nbsp;</li\r\n><li>reading the books is faster than watching the movies?</li\r\n><li>Book and movie spoiler time =D yolo</li\r\n><li>Books, Movies...</li\r\n><li>Bad cantina music</li\r\n><li><br/><br/><br\r\n/></li></ul\r\n><b>2015-01-01T01:00:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to Cape Verde, some regions of Greenland and 1 more: Praia, Ponta Delgada (Azores), Ittoqqortoormiit, and Mindelo.</li\r\n><li>Podcast recommendations:</li\r\n><li>Crivens - <a href=\"https://unseenstudio.co.uk/category/crivins-ogg/\">https://unseenstudio.co.uk/category/crivins-ogg/</a></li\r\n><li>The Linux Link Tech Show - <a href=\"https://tllts.org\">https://tllts.org</a> got that one already</li\r\n><li>The Crab Feast - <a href=\"https://www.thecrabfeast.com/\">https://www.thecrabfeast.com/</a></li\r\n><li>Tech Snap - <a href=\"https://www.jupiterbroadcasting.com/\">https://www.jupiterbroadcasting.com/</a></li\r\n><li>Linux in the Ham Shack - <a href=\"https://lhspodcast.info/\">https://lhspodcast.info/</a></li\r\n><li>Linux Action Show (total shite)</li\r\n><li>Keith and the Girl - <a href=\"https://www.keithandthegirl.com/\">https://www.keithandthegirl.com/</a></li\r\n><li>Podnutz.com - if you need a link..... <a href=\"https://justfuckinggoogleit.com/\">https://justfuckinggoogleit.com/</a>&nbsp; {NSFW}</li\r\n><li>Distorted View - <a href=\"https://www.distortedview.com/show\">https://www.distortedview.com/show</a></li\r\n><li>Tux Jam - <a href=\"https://unseenstudio.co.uk/category/tuxjam-ogg/\">https://unseenstudio.co.uk/category/tuxjam-ogg/</a></li\r\n><li>Bad Voltage - <a href=\"https://www.badvoltage.org/\">https://www.badvoltage.org/</a></li\r\n><li>the Changelog - (better than FLOSS Weekly) <a href=\"https://thechangelog.com/\">https://thechangelog.com/</a></li\r\n><li>Knightcast by Knightwise</li\r\n><li>The No Agenda Show - <a href=\"https://www.noagendashow.com/\">https://www.noagendashow.com/</a></li\r\n><li>Stuff You Should Know - <a href=\"https://www.stuffyoushouldknow.com/\">https://www.stuffyoushouldknow.com/</a></li\r\n><li>\"No such thing as a fish\" - <a href=\"https://qi.com/podcast/\">https://qi.com/podcast/</a>&nbsp;</li\r\n><li>Tank Riot - <a href=\"https://www.tankriot.com/\">https://www.tankriot.com/</a></li\r\n><li>Raspi today - <a href=\"https://www.raspi.today/\">https://www.raspi.today/</a></li\r\n><li>Linux Voice - <a href=\"https://linuxvoice.com\">https://linuxvoice.com</a></li\r\n><li>Going Linux - <a href=\"https://goinglinux.com\">https://goinglinux.com</a></li\r\n><li>DVDASA - <a href=\"https://dvdasa.com\">https://dvdasa.com</a> watch the videos uncensored on <a href=\"https://vid.me/u/dvdasa\">https://vid.me/u/dvdasa</a></li\r\n><li>Linux Luddites - <a href=\"https://linuxluddites.com\">https://linuxluddites.com</a></li\r\n><li>mintCast - <a href=\"https://mintcast.org\">https://mintcast.org</a></li\r\n><li>The Adam Carolla Show - <a href=\"https://adamcarolla.com/\">https://adamcarolla.com/</a></li\r\n><li>Ace on the House - <a href=\"https://aceonthehouse.adamcarolla.com/\">https://aceonthehouse.adamcarolla.com/</a></li\r\n><li>CC Hits - cchits.net</li\r\n><li>Youtube mini cooper build with 200 HP 4WD Celica running gear <a href=\"https://www.youtube.com/attribution_link?a=zjG9fRWFnag&u=/playlist?list%3DLLHvBHWBzzB7NyU5tIiEZHBg\">https://www.youtube.com/attribution_link?a=zjG9fRWFnag&amp;u=/playlist?list%3DLLHvBHWBzzB7NyU5tIiEZHBg</a></li\r\n><li>Just general talking about commercial media.&nbsp;</li\r\n><li>Jim Henson series - The Story Teller <a href=\"https://thetvdb.com/?tab=series&id=77747&lid=7\">https://thetvdb.com/?tab=series&amp;id=77747&amp;lid=7</a></li\r\n><li>LEX - <a href=\"https://thetvdb.com/?tab=series&id=72854&lid=7\">https://thetvdb.com/?tab=series&amp;id=72854&amp;lid=7</a></li\r\n><li><br/><br/><br\r\n/></li></ul\r\n><b>2015-01-01T02:00:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to regions of Brazil, Uruguay and 1 more: Rio de Janeiro, Sao Paulo, Brasilia, Montevideo.</li\r\n><li>5150 has shitty audio again</li\r\n><li>Favorite Hardware purchases of 2014</li\r\n><li>cobra2 - Duracell powermat (inductive portable backup)&nbsp; $10 USD <a href=\"https://www.amazon.com/gp/product/B0082YVBO0/ref=oh_aui_detailpage_o01_s00?ie=UTF8&psc=1\">https://www.amazon.com/gp/product/B0082YVBO0/ref=oh_aui_detailpage_o01_s00?ie=UTF8&amp;psc=1</a></li\r\n><li>pokey: Gorilla Drive USB flash memory (thumb drive), $200 Wally World HP laptop</li\r\n><li>SndChaser: ZaReason laptop <a href=\"https://zareason.com/shop/home.php\">https://zareason.com/shop/home.php</a></li\r\n><li>back to tvshows</li\r\n><li>Starship titanic <a href=\"https://www.starshiptitanic.com/\">https://www.starshiptitanic.com/</a> <a href=\"https://en.wikipedia.org/wiki/Starship_Titanic\">https://en.wikipedia.org/wiki/Starship_Titanic</a></li\r\n><li>FOOD!!!</li\r\n><li>genetically modified crops discussion (pretty good)<br/><br\r\n/><br/><br\r\n/></li></ul\r\n>',159,121,1,'CC-BY-SA','New Year,2015',0,0,1),
(1679,'2015-01-08','2014-2015 New Year Show Part 6 of 8',7967,'New Year Show Part 6 of 8 from 03:00 to 05:30 UTC','<b>2015-01-01T03:00:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to regions of Brazil, Argentina and 7 more: Buenos Aires, Santiago, Asuncion, Paramaribo.</li\r\n><li>SoundChaser doesn\'t sound pasty white.&nbsp;</li\r\n><li>Genetically modified discusion continues (not as good the second time)</li\r\n><li>Genetically modified discusion continues (time to fast forward)<br/><br\r\n/></li></ul\r\n><b>2015-01-01T03:30:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to Newfoundland and Labrador/Canada&nbsp; St. John\'s, Conception Bay South, Corner Brook,Gander.</li\r\n><li>Systemd discussion about server logs</li\r\n><li>we still don\'t understand why they do time on a 30 min break.... come on people just use UTC</li\r\n><li>UTC FTW</li\r\n><li>Watch chat</li\r\n><li>Drink-o-meter chat this is a fabulous idea, 50 should do it.&nbsp;</li\r\n><li>guns and good chinchillas</li\r\n><li><br/><br/><br\r\n/></li></ul\r\n><b>2015-01-01T04:00:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to Atlantic Canada and cobra2 and 26 more: Saint John, La Paz, San Juan, Santo Domingo, Halifax.</li\r\n><li>guns... again pokey talks about how he rebuilt an air gun to something special that ended in epic fail (bent barrel)</li\r\n><li>Pokey has a Bad Barrel</li\r\n><li>pokey has a new job!!!</li\r\n><li>pokey is building the internet at his new job. Trans-oceanic cables don\'t build themselves afterall.</li\r\n><li>books<br/><br\r\n/></li></ul\r\n><b>2015-01-01T04:30:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to Venezuela Caracas, Barquisimeto, Maracaibo, Maracay.</li\r\n><li>retro games that are must plays</li\r\n><li>Metroid NES</li\r\n><li>Super Metroid SNES</li\r\n><li>Legend of Zelda NES</li\r\n><li>Ninja Gaiden</li\r\n><li>Lolo Land NES</li\r\n><li>You Don\'t Know Jack PC</li\r\n><li>Delwin makes a cameo appearance<br/><br\r\n/></li></ul\r\n><b>2015-01-01T05:00:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to the eastern region of the United States,regions of Canada and 12 more: New York, Boston, Rochester NY, Rochester NH, Millinocket, Maryland, Washington DC, Detroit, Havana, Atlanta.</li\r\n><li>fireworks and meth labs go up in celebration of the new year. Pgggy went to watch...</li\r\n><li>and we are really not family friendly now</li\r\n><li>Kerbal Space Platform is a game. People like it.</li\r\n><li>notKlaatu didn\'t get busted transproting lockpick tools from the US to New Zealand</li\r\n><li>OpenSource HTML5 IRC client: <a href=\"https://kiwiirc.com/\">https://kiwiirc.com/</a></li\r\n><li>Gnu Social servers: <a href=\"https://quitter.se\">https://quitter.se</a> and <a href=\"https://micro.fragdev.com/\">https://micro.fragdev.com/</a></li\r\n><li><br/><br/><br\r\n/></li></ul\r\n>',159,121,1,'CC-BY-SA','New Year,2015',0,0,1),
(1680,'2015-01-09','2014-2015 New Year Show Part 7 of 8',8518,'New Year Show Part 7 of 8 from 05:30 to 08:00 UTC','<b>2015-01-01T05:00:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to the eastern region of the United States,regions of Canada and 12 more: New York, Boston, Rochester NY, Rochester NH, Millinocket, Maryland, Washington DC, Detroit, Havana, Atlanta.</li\r\n><li>fireworks and meth labs go up in celebration of the new year. Pgggy went to watch...</li\r\n><li>and we are really not family friendly now</li\r\n><li>Kerbal Space Platform is a game. People like it.</li\r\n><li>notKlaatu didn\'t get busted transproting lockpick tools from the US to New Zealand</li\r\n><li>OpenSource HTML5 IRC client: <a href=\"https://kiwiirc.com/\">https://kiwiirc.com/</a></li\r\n><li>Gnu Social servers: <a href=\"https://quitter.se\">https://quitter.se</a> and <a href=\"https://micro.fragdev.com/\">https://micro.fragdev.com/</a></li\r\n><li><br/><br/><br\r\n/></li></ul\r\n><b>2015-01-01T06:00:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to the midwest region of the United States, some regions of Canada and 8 more&nbsp; Mexico City, Chicago, Guatemala, Dallas.</li\r\n><li>Hillbilly Tracking of Low Earth Orbit [30c3]</li\r\n><li><a href=\"https://www.youtube.com/watch?v=ktnQ7nBCuqU\">https://www.youtube.com/watch?v=ktnQ7nBCuqU</a></li\r\n><li>Etherpad is the BOMB!</li\r\n><li>arrrr</li\r\n><li>No more possum drops in Brasstown, NC</li\r\n><li>fecal matter.... lots of it.... don\'t listen to this hour...</li\r\n><li>Threethirty\'s S2 has epic audio over 3G</li\r\n><li>Summer/Winter breaks</li\r\n><li>What we did when we were kids.</li\r\n><li>Best memories of 2014</li\r\n><li>5150 fire</li\r\n><li>NSFW..... NSFAA</li\r\n><li>NSFBWA</li\r\n><li>well cobra2 attempted to reign in the chaos.... bah... this is pointless.&nbsp;</li\r\n><li>ehhh, warn them I hate being the judgemental type.</li\r\n><li>I\'m not logged in as an admin. else I\'d do it myself</li\r\n><li>pokey considers banishing people to the competitive drinking room...</li\r\n><li>if you can\'t beat em... join em? That was reeling it in.Might bring it&nbsp; to stories</li\r\n><li>HPR NYE goes off the rails for a bit, and Cobra2 dropps the gentile hammer.</li\r\n><li>then we find out just how drunk 50 is.....<br/><br\r\n/></li></ul\r\n><b>2015-01-01T07:00:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to the mountain region of the United States, some regions of Canada and 1 more: Calgary, Denver, Edmonton, Phoenix.</li\r\n><li>cobra2 injests first cup of coffee that is needed to stay awake</li\r\n><li>Weak</li\r\n><li>This hour is NSFW too.</li\r\n><li>More Copyright discussion.</li\r\n><li>finally coffee.......</li\r\n><li>Coffee in New Zealand is pretty darn good ~ Klaatu</li\r\n><li>OMG there was an alien in the Navy. robot.</li\r\n><li>and someone prods the bear</li\r\n><li><br/></li></ul\r\n>',159,121,1,'CC-BY-SA','New Year,2015',0,0,1),
(1596,'2014-09-15','About the Word \"Hack\"',811,'Klaatu muses about the word \"hack\"','<p>Klaatu muses about the word \"hack\" and what it means, what it should mean, and how we can keep it meaningful.</p>',78,0,0,'CC-BY-SA','hack,hacker',0,0,1),
(1601,'2014-09-22','Howto Install LAMP',937,'Klaatu introduces new web developers to LAMP.','<p>If you\'re just starting out as a web developer or\r\ndesigner, you should know about LAMP and how to use it. This episode\r\nintroduces you to the basics.\r\n</p>\r\n<p>\r\n<strong>LAMP (software bundle)</strong><br />\r\n<em>From Wikipedia, the free encyclopedia</em><br />\r\nLAMP is an acronym for an archetypal model of web service solution stacks, originally consisting of largely interchangeable components: Linux, the Apache HTTP Server, the MySQL relational database management system, and the PHP programming language. As a solution stack, LAMP is suitable for building dynamic web sites and web applications.\r\n<br />\r\n<a href=\"https://en.wikipedia.org/wiki/LAMP_%28software_bundle%29\">https://en.wikipedia.org/wiki/LAMP_%28software_bundle%29</a>\r\n</p>',78,0,0,'CC-BY-SA','LAMP',0,0,1),
(1606,'2014-09-29','Howto VNC',843,'Klaatu talks about how to get VNC up and running.','<p>Klaatu talks about how to get VNC up and running. It focuses on x11vnc but basically it applies to any variety.</p>\n <p><strong>Virtual Network Computing</strong><br /><em>From Wikipedia, the free encyclopedia</em><br />\n  <br /> In computing, Virtual Network Computing (VNC) is a graphical desktop sharing system that uses the Remote Frame Buffer protocol (RFB) to remotely control another computer. It transmits the keyboard and mouse events from one computer to another, relaying the graphical screen updates back in the other direction, over a network.<br /> VNC is platform-independent – There are clients and servers for many GUI-based operating systems and for Java. Multiple clients may connect to a VNC server at the same time. Popular uses for this technology include remote technical support and accessing files on one\'s work computer from one\'s home computer, or vice versa.<br /> VNC was originally developed at the Olivetti &amp; Oracle Research Lab in Cambridge, United Kingdom. The original VNC source code and many modern derivatives are open source under the GNU General Public License.<br /> There are a number of variants of VNC which offer their own particular functionality; e.g., some optimised for Microsoft Windows, or offering file transfer (not part of VNC proper), etc. Many are compatible (without their added features) with VNC proper in the sense that a viewer of one flavour can connect with a server of another; others are based on VNC code but not compatible with standard VNC.<br /> VNC and RFB are registered trademarks of RealVNC Ltd. in the U.S. and in other countries.</p>\n',78,0,0,'CC-BY-SA','VNC,Virtual Network Computing',0,0,1),
(1616,'2014-10-13','Howto Use Webfonts',1236,'Klaatu reveals the secret of webfonts WITHOUT using Google','<p>Klaatu reveals the secret of webfonts WITHOUT using Google. How can this be? Listen and find out.</p>\r\n',78,0,0,'CC-BY-SA','font,CSS,font-face',0,0,1),
(1594,'2014-09-11','Steam and wine with linux',1033,'How to coax a windows-only steam game to work under steam in GNU/Linux.','<p>This isn\'t about my worshiping of Bacchus by playing games on linux in a sauna (that\'s for a future show) but instead about getting a Windows-only Steam game to work on a recent 64 bit linux distro. I\'m using Slackware, but I suspect the pitfalls and solutions I encountered would be similar on other distros.</p>\n <p>Links relevant to this adventure:</p>\n <ul>\n  <li><a href=\"https://appdb.winehq.org/objectManager.php?sClass=version&iId=19444\">https://appdb.winehq.org/objectManager.php?sClass=version&amp;iId=19444</a></li>\n  <li><a href=\"https://wiki.winehq.org/winetricks\">https://wiki.winehq.org/winetricks</a></li>\n  <li><a href=\"https://www.aceofspades.com\">https://www.aceofspades.com</a></li>\n  <li><a href=\"https://alien.slackbook.org/blog/valves-steam-client-for-linux/\">https://alien.slackbook.org/blog/valves-steam-client-for-linux/</a><p>Further details can be found on my blog:</p>\n  </li>\n  <li><a href=\"https://blog.mcnalu.net\">https://blog.mcnalu.net</a></li>\n </ul>',268,0,0,'CC-BY-SA','linux,gaming,wine,steam,slackware',0,0,1),
(1670,'2014-12-26','Digital Signatures and Certificates',1060,'This episode looks at secure connections between users and Web sites.','<p>\r\nDigital Signatures are something that is very important in understanding security on the Internet. While we have seen it in the context of personal e-mail, the applications are much broader, in particular to the use of certificates to establish communication.\r\n</p>\r\n<p>\r\nRecall from our discussion of e-mail that there are two things you can do with an e-mail using PGP or GPG. First is you can encrypt the message, which you do using the public key of the recipient, and then they can decrypt the message using their private key. The other was putting a digital signature on a message. But how does that work? - For more go to <a href=\"https://www.zwilnik.com/?page_id=655\">https://www.zwilnik.com/?page_id=655</a>\r\n</p>\r\n<p>\r\nLinks:\r\n</p>\r\n\r\n <ul>\r\n <li><a href=\"https://en.wikipedia.org/wiki/X.509\">https://en.wikipedia.org/wiki/X.509</a>\r\n </li>\r\n <li><a href=\"https://en.wikipedia.org/wiki/Transport_Layer_Security\">https://en.wikipedia.org/wiki/Transport_Layer_Security</a>\r\n </li>\r\n <li><a href=\"https://www.eff.org/Https-everywhere\">https://www.eff.org/Https-everywhere</a>\r\n </li>\r\n <li><a href=\"https://www.zwilnik.com/?page_id=655\">https://www.zwilnik.com/?page_id=655</a>\r\n <p></p>\r\n </li>\r\n </ul>',198,74,0,'CC-BY-SA','TLS, SSL, Certificates',0,0,1),
(1640,'2014-11-14','Symmetric vs. Asymmetric Encryption',1231,'This episode looks the two kinds of encryption keys, and why to use each one.','<p>\r\nPreviously we looked at Public Key encryption, which is also called Asymmetric Encryption because it uses two different keys for the encryption and decryption. This allows us to solve one of the biggest problems in secure encrypted communication, which is key distribution. Because the public key can be freely distributed, you dont need to maintain security around the process of distributing keys. Symmetric encryption, on the other hand, relies on a shared key that is used for both encryption and decryption. An example of this is the one-time pad, where you printed up a pad of paper that contained various keys, and each one was used only once. As long as no one can get the key, it is unbreakable, but the big weakness was key distribution. How do you get the one-time pad into the hands of your correspondent? And you would need to do this with separate one-time pads for each person you needed to communicate with. These are the kinds of problems that made asymmetric encryption so popular. Finally, symmetric key crypto cannot be used to reliably create a digital signature. The reason should be clear. If I have the same secret key you used to sign a message, I can alter the message, use the shared secret key myself, and claim you sent it. - For more go to <a href=\"https://www.zwilnik.com/?page_id=650\">https://www.zwilnik.com/?page_id=650</a>\r\n</p>\r\n<p>\r\nLinks:\r\n</p>\r\n\r\n <ul>\r\n <li><a href=\"https://en.wikipedia.org/wiki/Data_Encryption_Standard\">https://en.wikipedia.org/wiki/Data_Encryption_Standard</a>\r\n </li>\r\n <li><a href=\"https://en.wikipedia.org/wiki/Block_cipher\">https://en.wikipedia.org/wiki/Block_cipher</a>\r\n </li>\r\n <li><a href=\"https://en.wikipedia.org/wiki/ASCII\">https://en.wikipedia.org/wiki/ASCII</a>\r\n </li>\r\n <li><a href=\"https://en.wikipedia.org/wiki/Triple_DES\">https://en.wikipedia.org/wiki/Triple_DES</a>\r\n </li>\r\n <li><a href=\"https://en.wikipedia.org/wiki/Advanced_Encryption_Standard\">https://en.wikipedia.org/wiki/Advanced_Encryption_Standard</a>\r\n </li>\r\n <li><a href=\"https://doctrina.org/How-RSA-Works-With-Examples.html\">https://doctrina.org/How-RSA-Works-With-Examples.html</a>\r\n </li>\r\n <li><a href=\"https://en.wikipedia.org/wiki/Discrete_logarithm\">https://en.wikipedia.org/wiki/Discrete_logarithm</a>\r\n </li>\r\n <li><a href=\"https://en.wikipedia.org/wiki/ElGamal_encryption\">https://en.wikipedia.org/wiki/ElGamal_encryption</a>\r\n </li>\r\n <li><a href=\"https://en.wikipedia.org/wiki/Diffie%E2%80%93Hellman_key_exchange\">https://en.wikipedia.org/wiki/Diffie%E2%80%93Hellman_key_exchange</a>\r\n </li>\r\n <li><a href=\"https://en.wikipedia.org/wiki/Elliptic_curve_cryptography\">https://en.wikipedia.org/wiki/Elliptic_curve_cryptography</a>\r\n </li>\r\n <li><a href=\"https://www.zwilnik.com/?page_id=650\">https://www.zwilnik.com/?page_id=650</a>\r\n </li>\r\n </ul>',198,74,0,'CC-BY-SA','symmetric, asymmetric, encryption',0,0,1),
(1620,'2014-10-17','Passwords, Entropy, and Good Password Practices',1293,'This episode explores the best password practices from a mathematical viewpoint with recommendations','<p>\r\nRight now for most of us the key to any security in our online life is the degree of entropy in our passwords. So what is entropy, and how does it affect our passwords?\r\n</p>\r\n<p>\r\nEntropy is in general the degree of randomness or disorder in any given system. Sometimes it is very easy to assess, such as a password of 1234, which all too many people use. Because it is a simple sequence, there is no real randomness at all, and would be quickly guessed. And as we saw in the last tutorial, such passwords are quickly discovered in a dictionary attack. There are things you can do to make it less likely that your password will be cracked and used against you. - For more go to <a href=\"https://www.zwilnik.com/?page_id=530\">https://www.zwilnik.com/?page_id=530</a>\r\n</p>\r\n<p>\r\nLinks:\r\n</p>\r\n\r\n <ul>\r\n <li><a href=\"https://splashdata.com/press/worstpasswords2013.htm\">https://splashdata.com/press/worstpasswords2013.htm</a>\r\n </li>\r\n <li><a href=\"https://www.grc.com/haystack.htm\">https://www.grc.com/haystack.htm</a>\r\n </li>\r\n <li><a href=\"https://lastpass.com/\">https://lastpass.com/</a>\r\n </li>\r\n <li><a href=\"https://keepass.info/\">https://keepass.info/</a>\r\n </li>\r\n <li><a href=\"https://www.zwilnik.com/?page_id=530\">https://www.zwilnik.com/?page_id=530</a>\r\n </li>\r\n </ul>',198,74,0,'CC-BY-SA','passwords, entropy',0,0,1),
(1598,'2014-09-17','Hashing and Password Security',1588,'Understanding password security begins with understanding hashing.','<p>Today, the most common way of providing security in giving access to data or systems is through the use of passwords. Practically every online site now expects you to create an account with a password, which will let you post comments, order products, conduct business, or just post to social media. The implication is that insisting on passwords provides some level of security. Now, following on our last tutorial we should ask a few questions about just how effective this measure is, since someone posting in your name to Twitter is significantly different from someone accessing your bank account. And since the assets being protected are very different, it would be reasonable to approach the problem of security somewhat differently in these cases. But given the ubiquity of passwords as the authentication for online accounts, we need to look at the security involved. Note that I am approaching this from the standpoint of the owner of the site in question for this tutorial, and will follow up with a look at your own role in this.<br /> For more go to <a href=\"https://www.zwilnik.com/?page_id=640\">https://www.zwilnik.com/?page_id=640</a></p>\n <p>Links:</p>\n <ul>\n  <li><a href=\"https://en.wikipedia.org/wiki/Cryptographic_hash_function\">https://en.wikipedia.org/wiki/Cryptographic_hash_function</a></li>\n  <li><a href=\"https://en.wikipedia.org/wiki/SHA1\">https://en.wikipedia.org/wiki/SHA1</a></li>\n  <li><a href=\"https://www.codeproject.com/Articles/704865/Salted-Password-Hashing-Doing-it-Right\">https://www.codeproject.com/Articles/704865/Salted-Password-Hashing-Doing-it-Right</a></li>\n  <li><a href=\"https://www.zwilnik.com/?page_id=640\">https://www.zwilnik.com/?page_id=640</a></li>\n </ul>',198,74,0,'CC-BY-SA','hashing, passwords',0,0,1),
(1599,'2014-09-18','Interview with Ingmar Steiner from the MaryTTS project',5148,'Ken interviews Ingmar Steiner from the MaryTTS text to speech project.','<p>In today\'s show Ken interviews <a href=\"https://www.coli.uni-saarland.de/~steiner/index.html\">Ingmar Steiner</a> who is the lead developer for the mary text to speech project. MaryTTS is an open-source, multilingual text-to-speech synthesis system written in pure java and is released under the LGPL. During the interview we get a history of the project, and dive into speech synthesis and we look at how to make your own voices.</p><img alt=\"Photo of Ingmar sitting on a rock in a pine forest with eyes focused on his grey mac laptop\" src=\"https://www.coli.uni-saarland.de/~steiner/983e2078fa0684752a3a7b65d8b585c4.jpg\" /><h3>Links</h3>\n <ul>\n  <li><a href=\"https://www.coli.uni-saarland.de/~steiner/index.html\">https://www.coli.uni-saarland.de/~steiner/index.html</a></li>\n  <li>OpenMary development page: <a href=\"https://mary.opendfki.de/\">https://mary.opendfki.de/</a></li>\n  <li>GitHub: <a href=\"https://github.com/marytts/marytts\">https://github.com/marytts/marytts</a></li>\n  <li>HomePage: <a href=\"https://mary.dfki.de/\">https://mary.dfki.de/</a></li>\n  <li>New HomePage: <a href=\"https://lnv-90208.sb.dfki.de/\">https://lnv-90208.sb.dfki.de/</a></li>\n  <li>Orca : <a href=\"https://wiki.gnome.org/action/show/Projects/Orca?action=show&redirect=Orca\">https://wiki.gnome.org/action/show/Projects/Orca?action=show&amp;redirect=Orca</a></li>\n  <li>FOSDEM: <a href=\"https://fosdem.org/\">https://fosdem.org/</a></li>\n  <li>Demo: <a href=\"https://mary.dfki.de:59125/\">https://mary.dfki.de:59125/</a></li>\n </ul>',30,78,0,'CC-BY-SA','text to speech,MaryTTS,ORCA',0,0,1),
(1603,'2014-09-24','GUADEC 2014: Matthew Garrett Interview',890,'I was able to ask GUADEC Keynote Speaker and free software activist Matthew Garrett a few questions.','<p>This year\'s GUADEC, the Gnome Users and Developers Conference was held in Strasbourg, France. Keynote Speaker was free software activist Matthew Garrett. He held an inspiring speech on the Linux and Gnome desktop and laid out his vision for both. Afterwards, I was able to ask him a few questions.</p>\n <p>For any reactions, mail me at mail (at) linuxohneangst.net</p>\n <p>Enjoy.</p>\n <h3>Links</h3>\n <ul>\n  <li><a href=\"https://www.guadec.org/\">https://www.guadec.org/</a></li>\n  <li><a href=\"https://en.wikipedia.org/wiki/Matthew_Garrett\">https://en.wikipedia.org/wiki/Matthew_Garrett</a></li>\n  <li>our own podcast (in German): <a href=\"https://linuxohneangst.net\">https://linuxohneangst.net</a></li>\n </ul>',285,78,0,'CC-BY-SA','Gnome, Guadec, Desktop, Garrett',0,0,1),
(1607,'2014-09-30','Migrating from Drupal 6 to Nikola',573,'I explain how I migrated my Drupal 6 blog to Nikola.','<p>\r\nI talk about the migration of my blog from Drupal 6 to Nikola. I explain\r\nwhy I wanted to migrate, and I tell about the script I used.\r\n</p>\r\n<p>\r\nDetails and scripts can be found on my blog:\r\n<a href=\"https://blog.johanv.org/posts/drupal-nikola.html\">https://blog.johanv.org/posts/drupal-nikola.html</a>\r\n</p>\r\n<p>\r\nSee also:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://getnikola.com/\">https://getnikola.com/</a>\r\n</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1577\">https://hackerpublicradio.org/eps.php?id=1577</a>\r\n</li>\r\n</ul>',233,0,0,'CC-BY-SA','drupal,nikola,blogging',0,0,1),
(1608,'2014-10-01','Interviews at Lincoln LUG',2707,'A collection of short interviews with Lincoln LUG members. ','<p>In today\'s show, <a href=\"https://corenominal.org\">Philip Newborough</a> interviews fellow members of <a href=\"https://lincoln.lug.org.uk\">Lincoln LUG</a>. Each interviewee is asked 3 simple questions:</p>\n <ol>\n  <li>What was your first experience of Linux?</li>\n  <li>What distro and desktop environment/window manager are you currently using?</li>\n  <li>What tools/utilities/applications can you not live without?</li>\n </ol>\n <p>The participating LUG members were not given the questions in advance and the resulting answers were quite varied. Hopefully, this collection of interviews will provide you, the listener, with a good understanding of the broad mix of Linux users who attend Lincoln LUG.</p><img alt=\"Members of Lincoln LUG.\" src=\"https://hackerpublicradio.org/eps/hpr1608-corenominal-interviews-at-lincoln-lug.jpg\" /><p>The members who were interviewed, in order, were:</p>\n <ol>\n  <li><a href=\"https://twitter.com/djarmour_01522\">Dave Armour</a></li>\n  <li><a href=\"https://twitter.com/myles_thaiss\">Myles Thaiss</a></li>\n  <li><a href=\"https://twitter.com/philgobbett\">Phil Gobbett</a></li>\n  <li><a href=\"https://twitter.com/Happibun\">Jo Minchin</a></li>\n  <li><a href=\"https://twitter.com/gmarkall\">Graham Markall</a></li>\n  <li><a href=\"https://twitter.com/TheActualSarah\">Sarah Markall</a></li>\n  <li><a href=\"https://twitter.com/bobobex\">Becky Newborough</a></li>\n  <li>Darren Scott</li>\n  <li>Adrian Farrow</li>\n  <li><a href=\"https://twitter.com/elm_97\">Emma Martin</a></li>\n </ol>\n <p>Note: Lincoln LUG meets on the 3rd Wednesday of each month at the <a href=\"https://www.lincolnbowl.co.uk\">Lincoln Bowl</a>. The interviews were conducted outside the bowl and some background noise can be heard, we hope this does not affect your enjoyment of this episode.</p>',287,78,1,'CC-BY-SA','interviews,linux,lug',0,0,1),
(1612,'2014-10-07','Don\'t Forget the Referbs',1211,'NYbill talks about a refurbished Lenovo and modifying it to his liking.','<p>\r\nNYbill talks about getting a refurbished Lenovo X61 and making it more functional with a tool or two. There is also some talk of PLC\'s (Programmable Logic Controllers). A more in depth explanation of PLC\'s could be an episode in itself and might be some day. Stay tuned...\r\n</p>\r\n<p>\r\nPics for the episode:\r\n<a href=\"https://media.gunmonkeynet.net/u/nybill/collection/hacking-a-lenovo-x61/\">https://media.gunmonkeynet.net/u/nybill/collection/hacking-a-lenovo-x61/</a>\r\n</p>\r\n<p>\r\nLenovo after market BIOS. Allows Ctrl-Fn swap in older systems. (Use at your own risk!):\r\n<a href=\"https://forum.notebookreview.com/lenovo/474396-fn-ctrl-swap-all-lenovo-laptops-solved.html\">https://forum.notebookreview.com/lenovo/474396-fn-ctrl-swap-all-lenovo-laptops-solved.html</a>\r\n</p>',235,0,0,'CC-BY-SA','Lenovo,Lenovo X61,modification',0,0,1),
(1609,'2014-10-02','Sigil And The Process Of The Epub In FOSS',2282,'lostnbronx rambles on and on about his current process for creating epubs using FOSS tools','<p>\r\nHere are some links to the software discussed in this episode\r\n</p>\r\n<ul>\r\n<li><a href=\"https://nano-editor.org/\">https://nano-editor.org/</a>\r\n</li>\r\n<li><a href=\"https://www.lyx.org/\">https://www.lyx.org/</a>\r\n</li>\r\n<li><a href=\"https://sourceforge.net/projects/txt2html/\">https://sourceforge.net/projects/txt2html/</a>\r\n</li>\r\n<li><a href=\"https://github.com/user-none/Sigil\">https://github.com/user-none/Sigil</a>\r\n</li>\r\n</ul>\r\n\r\n',107,0,0,'CC-BY-SA','sigil, epub',0,0,1),
(1613,'2014-10-08','What\'s in a nickname?',505,'Mikael talks about his Internet nickname.','<p>\r\nHow I came to use Inscius as my Internet nickname.\r\n<h3>Links:</h3>\r\n<p>\r\n<a href=\"https://en.wiktionary.org/wiki/inscius\">https://en.wiktionary.org/wiki/inscius</a>\r\n</p>',283,0,1,'CC-BY-SA','nickname,handle,name,domain',0,0,1),
(1617,'2014-10-14','Spaceteam',629,'A game of Spaceteam ','<p>If this show only confuses you, search the Internet for the Android app Spaceteam, have some friends install it and start playing. To maximize the fun you preferably play in a public place.</p>\n <p><a href=\"https://play.google.com/store/apps/details?id=com.sleepingbeastgames.spaceteam&hl=en\">https://play.google.com/store/apps/details?id=com.sleepingbeastgames.spaceteam&amp;hl=en</a></p>',288,62,1,'CC-BY-SA','OggCamp, Spaceteam, Android, Game',0,0,1),
(1618,'2014-10-15','OggCamp Attendees',839,'The first two interviews with OggCamp attendees ','<p>\r\nThis show includes two interviews with OggCamp attendees this year. \r\n</p>\r\n<p>\r\nThe first interview is with TDTRS co-host Peter Cannon, who is convinced that his podcast is the best Linux podcast there is and he is sure going to tell you why.<br />\r\n<a href=\"https://tdtrs.co.uk\">https://tdtrs.co.uk</a>\r\n</p>\r\n<p>\r\nIn the second interview I talked to Alistair (whose name I hopefully spell correctly), who told me that he would like to be a HPR host himself. So this ist his first appearance on HPR and hopefully not the last. \r\n</p>\r\n',288,78,0,'CC-BY-SA','oggcamp, interviews',0,0,1),
(1623,'2014-10-22','Tech and Coffee at OggCamp',1295,'Another set of OggCamp interviews. I talk to Keith Milner and George Doscher from Tech and Coffee.','<p>In this episode of interviews from OggCamp 2014 I talk to George Doscher who co-founded (or founded, I really don\'t know) the Tech and Coffee Google Plus hangout. You\'ll find him at</p>\n <p><a href=\"https://plus.google.com/+GeorgeDoscher\">https://plus.google.com/+GeorgeDoscher</a></p>\n <p>and on Tech and Coffee under</p>\n <p><a href=\"https://techandcoffee.info/\">https://techandcoffee.info/</a></p>\n <p>In the second interview I talk to Keith Milner who has some interesting and fairly technical stuff to tell you about mobile networks. He also talks about unencrypted traffic on the carrier networks and why it\'s even more important for you to use encryption when using the web on your mobile. You find him under</p>\n <p><a href=\"https://plus.google.com/+KeithMilner\">https://plus.google.com/+KeithMilner</a></p>',288,78,0,'CC-BY-SA','oggcamp, G+, Tech and Coffee',0,0,1),
(1621,'2014-10-20','OggCamp Interview with James Tait',737,'A short interview with James Tait of Canonical. ','<p>In today\'s show, <a href=\"https://corenominal.org\">Philip Newborough</a> interviews <a href=\"https://launchpad.net/~jamestait\">James Tait</a> of <a href=\"https://www.canonical.com/\">Canonical</a>, the company behind <a href=\"https://www.ubuntu.com/\">Ubuntu</a>.</p>\n <p>James talks about his work on the now defunct <a href=\"https://en.wikipedia.org/wiki/Ubuntu_One\">Ubuntu One</a> project, and his current work with <a href=\"https://en.wikipedia.org/wiki/Ubuntu_Touch\">Ubuntu Phone</a>. James is a super-nice guy, knowledgeable and very gracious. He was a pleasure to interview.</p><img alt=\"James Tait (right) with Mark Shuttleworth (left) at Corinthia Hotel Budapest.\" src=\"https://hackerpublicradio.org/eps/hpr1621.jpg\" /><p>PICTURED: James Tait (right) with Mark Shuttleworth (left).</p>\n <p>The interview was conducted at <a href=\"https://oggcamp.org/\">OggCamp 14</a>, a free culture unconference, held in Oxford UK on the weekend of October 4th-5th 2014.</p>',287,78,1,'CC-BY-SA','interviews,linux,ubuntu,oggcamp',0,0,1),
(1630,'2014-10-31','Bare Metal Programming on the Raspberry Pi (Part 2)',3024,'This episode discusses interrupt handling, and program loading using the Xmodem protocol','<p>\r\nThe second episode in a series on bare metal programming on the Raspberry Pi. This episode builds on part 1 by showing how interrupts work on the RPIs ARM chip and the framework I created to manage them.  It then goes on to describe\r\nhow an interrupt-enabled serial driver works.  From there, the episode\r\nshows how we can use the serial cable in conjunction with a loader program\r\nto enable us to load bare-metal programs onto the RPI without having to\r\ncopy them to the SD card each time.  In the process, the episode describes the\r\nXMODEM protocol that the loader users for the file transfer process.\r\n</p>\r\n<p>\r\nHere is some of the source material that I used while working on this\r\nlittle learning experience.\r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>dwelch67\'s bare metal repository\r\n <ul>\r\n <li><a href=\"https://github.com/dwelch67/raspberrypi\">https://github.com/dwelch67/raspberrypi</a>\r\n </li>\r\n <li>The best guide I know on this topic.  Very thorough and what I used as my starting point.\r\n </li>\r\n </ul>\r\n</li>\r\n<li>CATRPI\r\n <ul>\r\n <li>Homepage: <a href=\"https://gitorious.org/catrpi\">https://gitorious.org/catrpi</a>\r\n </li>\r\n <li>Git repo: git://gitorious.org/catrpi/catrpi.git\r\n </li>\r\n <li>My own repository of code that I wrote during this little project.\r\n </li>\r\n </ul>\r\n</li>\r\n<li>XMODEM Protocol\r\n <ul>\r\n <li><a href=\"https://textfiles.com/programming/ymodem.txt\">https://textfiles.com/programming/ymodem.txt</a>\r\n </li>\r\n <li>Says YMODEM but also includes specification for XMODEM.\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Adafruit USB to TTL cable\r\n <ul>\r\n <li><a href=\"https://www.adafruit.com/products/954\">https://www.adafruit.com/products/954</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>Script to build the ARM toolchain\r\n <ul>\r\n <li><a href=\"https://github.com/dwelch67/build_gcc/blob/master/build_arm\">https://github.com/dwelch67/build_gcc/blob/master/build_arm</a>\r\n </li>\r\n </ul>\r\n</li>\r\n<li>ARM ARM\r\n <ul>\r\n <li><a href=\"https://morrow.ece.wisc.edu/ECE353/arm_reference/ddi0100e_arm_arm.pdf\">https://morrow.ece.wisc.edu/ECE353/arm_reference/ddi0100e_arm_arm.pdf</a>\r\n </li>\r\n <li>Contains the ARM assembly language as well as chip architecture overview.\r\n </li>\r\n <li>You\'ll need the ARM 11 Architecture Reference Manual\r\n </li>\r\n </ul>\r\n</li>\r\n<li>ARM TRM\r\n <ul>\r\n <li><a href=\"https://infocenter.arm.com/help/topic/com.arm.doc.ddi0301h/DDI0301H_arm1176jzfs_r0p7_trm.pdf\">https://infocenter.arm.com/help/topic/com.arm.doc.ddi0301h/DDI0301H_arm1176jzfs_r0p7_trm.pdf</a>\r\n </li>\r\n <li>Contains info about the specific SOC that the Raspberry PI uses\r\n </li>\r\n </ul>\r\n</li>\r\n<li>RPI Schematics\r\n <ul>\r\n <li><a href=\"https://www.raspberrypi.org/wp-content/uploads/2012/04/Raspberry-Pi-Schematics-R1.0.pdf\">https://www.raspberrypi.org/wp-content/uploads/2012/04/Raspberry-Pi-Schematics-R1.0.pdf</a>\r\n </li>\r\n <li>Shows how the Raspberry Pi is wired up\r\n </li>\r\n </ul>\r\n</li>\r\n<li>RPI Peripherals\r\n <ul>\r\n <li><a href=\"https://www.raspberrypi.org/wp-content/uploads/2012/02/BCM2835-ARM-Peripherals.pdf\">https://www.raspberrypi.org/wp-content/uploads/2012/02/BCM2835-ARM-Peripherals.pdf</a>\r\n </li>\r\n <li>Describes functionality and programming model for the various Raspberry Pi peripherals.\r\n </li>\r\n </ul>\r\n</li>\r\n</ul>',259,25,0,'CC-BY-SA','programming, embedded systems, raspberry pi',0,0,1),
(1619,'2014-10-16','Bare Metal Programming on the Raspberry Pi (Part 1)',3734,'This show is about how to program a Raspberry Pi with no operating system and no libraries.','<p>\r\nThis show is about programming on a Raspberry Pi with on operating\r\nsystem or libraries.  In this programming environment, the only software\r\nthat the CPU executes is the software that you write.  This episode\r\nintroduces how to configure the build environment and get a basic\r\napplication up and running.  From here one can leverage these techniques\r\nto build more sophisticated applications and deepen ones knowledge of\r\nsystems programming.\r\n</p>\r\n<p>\r\nHere is some of the source material that I used while working on this\r\nlittle learning experience.\r\n</p>\r\n<p>\r\ndwelch67\'s bare metal repository\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://github.com/dwelch67/raspberrypi\">https://github.com/dwelch67/raspberrypi</a>\r\n</li>\r\n<li>The best guide I know on this topic.  Very thorough and what I used\r\n   as my starting point.\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nCATRPI\r\n</p>\r\n\r\n<ul>\r\n<li>Homepage: <a href=\"https://gitorious.org/catrpi\">https://gitorious.org/catrpi</a>\r\n</li>\r\n<li>Git repo: git://gitorious.org/catrpi/catrpi.git\r\n</li>\r\n<li>My own repository of code that I wrote during this little project.\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nAdafruit USB to TTL cable\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.adafruit.com/products/954\">https://www.adafruit.com/products/954</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nScript to build the ARM toolchain\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://github.com/dwelch67/build_gcc/blob/master/build_arm\">https://github.com/dwelch67/build_gcc/blob/master/build_arm</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nARM ARM\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://morrow.ece.wisc.edu/ECE353/arm_reference/ddi0100e_arm_arm.pdf\">https://morrow.ece.wisc.edu/ECE353/arm_reference/ddi0100e_arm_arm.pdf</a>\r\n</li>\r\n<li>Contains the ARM assembly language as well as chip architecture overview.\r\n</li>\r\n<li>You\'ll need the ARM 11 Architecture Reference Manual\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nARM TRM\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://infocenter.arm.com/help/topic/com.arm.doc.ddi0301h/DDI0301H_arm1176jzfs_r0p7_trm.pdf\">https://infocenter.arm.com/help/topic/com.arm.doc.ddi0301h/DDI0301H_arm1176jzfs_r0p7_trm.pdf</a>\r\n</li>\r\n<li>Contains info about the specific SOC that the Raspberry PI uses\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nRPI Schematics\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.raspberrypi.org/wp-content/uploads/2012/04/Raspberry-Pi-Schematics-R1.0.pdf\">https://www.raspberrypi.org/wp-content/uploads/2012/04/Raspberry-Pi-Schematics-R1.0.pdf</a>\r\n</li>\r\n<li>Shows how the Raspberry Pi is wired up\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nRPI Peripherals\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.raspberrypi.org/wp-content/uploads/2012/02/BCM2835-ARM-Peripherals.pdf\">https://www.raspberrypi.org/wp-content/uploads/2012/02/BCM2835-ARM-Peripherals.pdf</a>\r\n</li>\r\n<li>Describes functionality and programming model for the various Raspberry Pi\r\n   peripherals.\r\n</li>\r\n</ul>\r\n',259,25,0,'CC-BY-SA','programming,embedded systems,raspberry pi',0,0,1),
(1624,'2014-10-23','Penguicon 2015 Call for Talks',963,'I am looking for people who can present tech/FOSS talks at Penguicon 2015','<p>I am the coordinator for the Tech Track at Penguicon 2015, which is a combined FOSS/Science Fiction convention held every spring in the Metro-Detroit area. The 2015 event will happen April 24-26 at the Westin Hotel in Southfield, MI. The theme for the upcoming year\'s event is Biotechnology and medicine, looking at how technology is affecting our health and life. But we want a lot of different talks as well, so I will be happy to accept proposals that look at things like cloud computing, security, hardware hacks, and anything else that would be of interest to geeks and hackers.</p>\n <h3>Links:</h3>\n <ul>\n  <li><a href=\"https://2015.penguicon.org/\">https://2015.penguicon.org/</a></li>\n  <li><a href=\"https://penguicon.tuxtrax.org/\">https://penguicon.tuxtrax.org/</a></li>\n  <li><a href=\"https://www.zwilnik.com/?p=692\">https://www.zwilnik.com/?p=692</a></li>\n </ul>',198,96,0,'CC-BY-SA','Penguicon',0,0,1),
(1655,'2014-12-05','43 - LibreOffice Calc - Creating Pivot Tables',950,'How to create a Pivot Table','<p>\r\nWe take a look at one of the most powerful, but somewhat frightening, features of modern spreadsheets. But knowing the basics of pivot tables should make themn a bit less frightening to the newcomer.\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://iteach.usf.edu/2012/07/microsoft-office-pivottable-sample-worksheets/\">https://iteach.usf.edu/2012/07/microsoft-office-pivottable-sample-worksheets/</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/wp-content/uploads/2014/06/pivot.ods\">https://www.ahuka.com/wp-content/uploads/2014/06/pivot.ods</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?page_id=911\">https://www.ahuka.com/?page_id=911</a>\r\n</li>\r\n</ul>\r\n',198,70,0,'CC-BY-SA','LibreOffice, Calc, Spreadsheet, pivot, tables',0,0,1),
(1665,'2014-12-19','44 - LibreOffice Calc - Working With Pivot Tables',652,'When you have a pivot table, what are some of the things you can do with it to analyze your data?','<p>We take a look at one of the most powerful, but somewhat frightening, features of modern spreadsheets. But knowing the basics of pivot tables should make them a bit less frightening to the newcomer.</p>\n <ul>\n  <li><a href=\"https://www.ahuka.com/wp-content/uploads/2014/06/pivot.ods\">https://www.ahuka.com/wp-content/uploads/2014/06/pivot.ods</a></li>\n  <li><a href=\"https://www.ahuka.com/?page_id=897\">https://www.ahuka.com/?page_id=897</a></li>\n  <li><a href=\"https://www.ahuka.com/?page_id=734\">https://www.ahuka.com/?page_id=734</a></li>\n  <li><a href=\"https://www.ahuka.com/?page_id=934\">https://www.ahuka.com/?page_id=934</a></li>\n </ul>',198,70,1,'CC-BY-SA','LibreOffice, Calc, Spreadsheet, pivot, tables',0,0,1),
(1685,'2015-01-16','45 - LibreOffice Calc - Styles and Templates Introduced',905,'How the concepts of Styles and Templates can be useful in Spreadsheets','<p>\r\nWhen we were looking at Writer we saw that Styles and Templates are key concepts to using any word processor. They are not quite as central in spreadsheet use, and one can be a proficient user without resort to them, but they do give you control over the appearance of your spreadsheets, and can give the sheets you create uniform appearance. We discussed these ideas in great detail in our Writer tutorials, so I am going to hope that some of that knowledge has carried over here. Still, lets get to some basic concepts:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://templates.libreoffice.org/template-center\">https://templates.libreoffice.org/template-center</a>\r\n</li>\r\n<li><a href=\"https://www.vertex42.com/blog/news/templates-for-openoffice-and-libreoffice.html\">https://www.vertex42.com/blog/news/templates-for-openoffice-and-libreoffice.html</a>\r\n</li>\r\n<li><a href=\"https://www.odfauthors.org/libreoffice/english/calc-guide/published-lo4.0/cg4-0-ch4-styles-templates/at_download/file\">https://www.odfauthors.org/libreoffice/english/calc-guide/published-lo4.0/cg4-0-ch4-styles-templates/at_download/file</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?page_id=938\">https://www.ahuka.com/?page_id=938</a>\r\n<p></p>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','LibreOffice, Calc, Spreadsheet, Styles, Templates',0,0,1),
(1627,'2014-10-28','5150 Shades of Beer: 0001 He\'Brew Hops Selection from Smaltz Brewing Company',943,'Beer, drinking same','<p>\r\nSmaltz Brewing Company -  He\'Brew (The Chosen Beer) Hops Collection\r\n</p>\r\n<p>\r\nDavid\'s Slingshot - Pours golden, like an American lager, large head that subsides, rye aroma. Blend of multi-grain malts,  an emphasis on hops w/o being excessively hoppy.  Citrus taste from the hops. Malts: Specialist 2-row, Carmel Pils, Rye Ale, Crystal Rye, Vienna, Wheat, Flaked Oats Hops: Cascade, SAAZ, Summit, Citra, Crystal\r\n</p>\r\n<p>\r\nGenesis  Dry, so dry you could be excused for wanting a glass of water to go with your beer. Bready, not biscuity, like a fresh sourdough loaf, almost makes you want to spread butter over your beer.  Just enough hops to be interesting rather than annoying.  Just a little sweet on the back end, so subtle you\'ll likely miss it on the first sip.  Watery mouth feel. 5.5% ACL. Malts: Specialty 2-row, Munich, Core Munich 40, Wheat, Dark Crystal  Hops: Warrior, Centennial, Cascade, Simcoe\r\n</p>\r\n<p>\r\nBittersweet Lenny\'s R.I.P.A. Double Rye (an ode to comedian Lenny Bruce).   Pours very dark amber, small head.   Aroma of sweet rye bread.  Sweet honey taste w/o being cloying, washed away by the hops.  Strong rye flavor, much more than Slingshot.  Malts: 2-row, Rye Ale Malt, Torrified Rye, Crystal Rye 75, Crystal Malt 80, Wheat, Kiln Amber, Core Munich 60  Hops: Warrior, Cascade, Simcoe, Saaz, Crystal, Chinook, Amarillo, Centennial\r\n</p>\r\n<p>\r\nHop Manna IPA  Pours medium amber with a good head.  Little distinct aroma.  For the hops enthusiast who doesn\'t want other flavors getting in the way, but still not so hoppy that the hops get in the way of the hops.  Hoppy enough  to satisfy most hops heads without making your tongue feel like it is under assault from the Hop High Command.  Malt: Specialty 2-row, Wheat, Munich, Vienna, Core Munich 60  HOPS: Warior, Cascade, Citra, Amarillo, Crystal, Centennial  Dry Hop:  Centennial, Cascade, Citra\r\nEven though hoppy beers aren\'t my preference, Smaltz/He\'Brew were 4 out of 4 winners.  If you see this brand, grab it with both hands.  Even if I hated the beer, I\'d be a fan because each bottle lists the malts and hops,  giving the home brewer a shot at replicating the brew and the expert consumer a hint of what the beer is going to taste like before purchasing.\r\n</p>',131,14,0,'CC-BY-SA','5150 Shades of Beer,beer,ale',0,0,1),
(1632,'2014-11-04','5150 Shades of Beer: 0002 Wichita Brewing Company',3084,'Beer, drinking same part 2','<ul>\r\n  <li><a href=\"https://www.freddysusa.com/\">https://www.freddysusa.com/</a> Now I\'ll hear from Freddy\'s lawyers</li>\r\n  <li><a href=\"https://wichitabrew.com\">https://wichitabrew.com</a> Tyler and 13th - Go There!</li>\r\n  <li><a href=\"https://www.ripsneakers.com/nodding/\">https://www.ripsneakers.com/nodding/</a> The brew pub tlkg took us too</li>\r\n  <li><a href=\"https://www.readingterminalmarket.org/\">https://www.readingterminalmarket.org/</a> Not mentioned in this prodcast, but if you ever find yourself in Philly, for the love of all that you find holy, spend a good part of your time here. You will thank me.</li>\r\n </ul>\r\n <p><img alt=\"beer\" width=\"80%\" src=\"https://hackerpublicradio.org/eps/hpr1632.jpg\" /></p>',131,14,0,'CC-BY-SA','5150 Shades of Beer, beer, Wichita, fire',0,0,1),
(1695,'2015-01-30','46 - LibreOffice Calc - The Object Model and Using Templates',1520,'Ubderstanding the Object Model and how Templates work. ','<p>\r\nAs I said in the last tutorial, Templates can be understood as a container for a number of settings, most particularly Styles. This follows the object model, which is a lot like those Russian dolls inside of each other. The File for your spreadsheet is an object, and it contains individual Sheets which are objects. Each Sheet contains Cells which are objects. And each Cell contains various Characters which are objects, which can be used to represent numbers, formulas, addresses, labels, etc. Objects exhibit two features we always want to keep in mind. First, objects have properties that are particular to the kind of object. The properties of a file might include who the author is, where the file resides on the system, any access restrictions (like making the file password-protected), and so on. \r\n</p>\r\n<p>\r\nThe properties of each sheet might include things like the name of the sheet, the orientation (landscape vs. portrait), headers and footers, etc. Then the properties of the cell might include the type of cell and how \r\nit is formatted (text, currency, general number, etc.). And finally the properties of the Character include the font family, font style, font size, and so on.\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://extensions.libreoffice.org/\">https://extensions.libreoffice.org/</a>\r\n</li>\r\n<li><a href=\"https://extensions.openoffice.org/en/project/professional-template-pack-english\">https://extensions.openoffice.org/en/project/professional-template-pack-english</a>\r\n</li>\r\n<li><a href=\"https://extensions.openoffice.org/en/project/professional-template-pack-ii-english\">https://extensions.openoffice.org/en/project/professional-template-pack-ii-english</a>\r\n</li>\r\n<li><a href=\"https://templates.libreoffice.org/template-center/account-id-management\">https://templates.libreoffice.org/template-center/account-id-management</a>\r\n</li>\r\n<li><a href=\"https://templates.libreoffice.org/template-center/gantt-chart-template\">https://templates.libreoffice.org/template-center/gantt-chart-template</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?page_id=953\">https://www.ahuka.com/?page_id=953</a>\r\n<p></p>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','LibreOffice, Calc, Spreadsheet, Objects, Templates',0,0,1),
(1715,'2015-02-27','48 - LibreOffice Calc - Cell Styles',897,'How to use Cell Styles to control the appearance of your cells.','<p>\r\nOur next topic is Cell Styles. If you are already familiar with Styles from Writer, think of Cell Styles as the equivalent of Writers Paragraph Styles. Just as a single Writer document can have a variety of Paragraph Styles applied to different paragraphs (e.g. Headings, Lists, Paragraphs), a single spreadsheet can have multiple Cell Styles. And the same arguments for using Styles also apply. If you have consistently used Cell Styles in your spreadsheet, you can update the appearance easily just by changing the Style instead of needing to go through the file looking for every cell that needs to be adjusted. And by using Styles you can apply a large number of formatting choices to many cells with just a few mouse clicks. So it really does pay to learn how to use Cell Styles.\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.ahuka.com/?page_id=973\">https://www.ahuka.com/?page_id=973</a>\r\n<p></p>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','LibreOffice, Calc, Spreadsheet, Cells, Styles',0,0,1),
(1705,'2015-02-13','47 - LibreOffice Calc - Page Styles and Page Settings',1234,'How to control the overall appearance of a worksheet using Page Styles and Page Settings.','<p>\r\nPage Styles in LibreOffice Calc set the properties for entire sheets of your workbook file. In any given Template you can have different sheets with different Page Styles if you wish, but for any given sheet you can only have one Page Style. And dont be confused by the difference between a sheet in the file and a page when printed. One single sheet may take many physical pages to print, but it is all one sheet and it is all governed by a single Page Style.\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.ahuka.com/?page_id=961\">https://www.ahuka.com/?page_id=961</a>\r\n<p></p>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','LibreOffice, Calc, Spreadsheet, Sheets, Styles',0,0,1),
(1725,'2015-03-13','49 - LibreOffice Calc - Creating a Template with Styles',838,'We create Template (recording Billable Time) using Styles to illustrate the usage.','<p>\r\nThe last few tutorials have looked at the techniques you need to master to use Styles and Templates effectively, but putting these into practice is essential to understanding them, I believe. So it is time for us to actually built a Template that incorporates a few styles and put the whole package together. For my example, I am going to create something useful for a consultant who needs to keep track of time for billing customers.\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.ahuka.com/?page_id=961\">https://www.ahuka.com/?page_id=961</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/wp-content/uploads/2014/08/Billable-Time.zip\">https://www.ahuka.com/wp-content/uploads/2014/08/Billable-Time.zip</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?page_id=1075\">https://www.ahuka.com/?page_id=1075</a>\r\n</li>\r\n</ul>\r\n',198,70,0,'CC-BY-SA','LibreOffice, Calc, Spreadsheet, Styles, Templates',0,0,1),
(1637,'2014-11-11','Communities Are Made of People',2804,'Zuckerberg, Facebook, friends having you back','<p><a href=\"https://facebook.com\">https://facebook.com</a></p>',131,0,0,'CC-BY-SA','Zuckerberg, Facebook, friends having you back',0,0,1),
(1696,'2015-02-02','HPR Community News for January 2015',3651,'Live community recording from FOSDEM 2015.','<h2>New hosts</h2>\r\n<p>\r\nWelcome to our new hosts: <br />\r\n    <a href=\"https://hackerpublicradio.org/correspondents/0293.html\">Rho`n</a>, \r\n    <a href=\"https://hackerpublicradio.org/correspondents/0294.html\">daw</a>, \r\n    <a href=\"https://hackerpublicradio.org/correspondents/0295.html\">Cibola Jerry</a>.\r\n</p>\r\n\r\n<h2>Last Month\'s Shows</h2>\r\n<table id=\"t01\">\r\n    <tr>\r\n    <th align=\"left\">Id</th>\r\n    <th align=\"left\">Date</th>\r\n    <th align=\"left\">Title</th>\r\n    <th align=\"left\">Host</th>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1674\">1674</a></strong></td>\r\n    <td align=\"left\">2015-01-01</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1674\">New Year Show Part 1 of 8</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\">HPR Volunteers</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1675\">1675</a></strong></td>\r\n    <td align=\"left\">2015-01-02</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1675\">New Year Show Part 2 of 8</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\">HPR Volunteers</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1676\">1676</a></strong></td>\r\n    <td align=\"left\">2015-01-05</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1676\">HPR Community News for December 2014</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\">HPR Volunteers</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1677\">1677</a></strong></td>\r\n    <td align=\"left\">2015-01-06</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1677\">New Year Show Part 4 of 8</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\">HPR Volunteers</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1678\">1678</a></strong></td>\r\n    <td align=\"left\">2015-01-07</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1678\">New Year Show Part 5 of 8</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\">HPR Volunteers</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1679\">1679</a></strong></td>\r\n    <td align=\"left\">2015-01-08</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1679\">New Year Show Part 6 of 8</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\">HPR Volunteers</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1680\">1680</a></strong></td>\r\n    <td align=\"left\">2015-01-09</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1680\">New Year Show Part 7 of 8</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\">HPR Volunteers</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1681\">1681</a></strong></td>\r\n    <td align=\"left\">2015-01-12</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1681\">New Year Show Part 8 of 8</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\">HPR Volunteers</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1682\">1682</a></strong></td>\r\n    <td align=\"left\">2015-01-13</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1682\">Introduction to the Netizen Empowerment Federation</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0294.html\">daw</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1683\">1683</a></strong></td>\r\n    <td align=\"left\">2015-01-14</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1683\">Theater of the Imagination: Part 06</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0107.html\">lostnbronx</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1684\">1684</a></strong></td>\r\n    <td align=\"left\">2015-01-15</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1684\">5150 Shades of Beer Jacob Leinenkugels Winter Explorer Pack</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0131.html\">FiftyOneFifty</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1685\">1685</a></strong></td>\r\n    <td align=\"left\">2015-01-16</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1685\">45 - LibreOffice Calc - Styles and Templates Introduced</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1686\">1686</a></strong></td>\r\n    <td align=\"left\">2015-01-19</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1686\">Interview with Joel Gibbard of OpenHand</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0240.html\">Steve Bickle</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1687\">1687</a></strong></td>\r\n    <td align=\"left\">2015-01-20</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1687\">Podcast recommendations</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0270.html\">Thaj Sara</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1688\">1688</a></strong></td>\r\n    <td align=\"left\">2015-01-21</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1688\">Some useful tools when compiling software</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0293.html\">Rho`n</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1689\">1689</a></strong></td>\r\n    <td align=\"left\">2015-01-22</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1689\">Linux Voice magazine at OggCamp</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0288.html\">beni</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1690\">1690</a></strong></td>\r\n    <td align=\"left\">2015-01-23</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1690\">Arduino 101 Breadboard</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0078.html\">klaatu</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1691\">1691</a></strong></td>\r\n    <td align=\"left\">2015-01-26</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1691\">Arduino 101 Arduino IO</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0078.html\">klaatu</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1692\">1692</a></strong></td>\r\n    <td align=\"left\">2015-01-27</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1692\">Boulevard Brewing Company \"Sample Twelve\"</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0131.html\">FiftyOneFifty</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1693\">1693</a></strong></td>\r\n    <td align=\"left\">2015-01-28</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1693\">DD fun</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0295.html\">Cibola Jerry</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1694\">1694</a></strong></td>\r\n    <td align=\"left\">2015-01-29</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1694\">My APOD downloader</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\">Dave Morriss</a></td>\r\n    </tr>\r\n    <tr valign=\"top\">\r\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1695\">1695</a></strong></td>\r\n    <td align=\"left\">2015-01-30</td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1695\">46 - LibreOffice Calc - The Object Model and Using Templates</a></td>\r\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\r\n    </tr>\r\n</table>\r\n\r\n<h2>Comments this month</h2>\r\n\r\n<p>There are 17 comments:</p>\r\n<ul> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1693\">hpr1693</a></strong>\r\n(2015-01-28) \"<em>DD fun</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0295.html\">Cibola Jerry</a>.\r\n<ol>\r\n<li>Dave on 2015-01-29:\"Great tutorial\"</li>\r\n<li>incandenza on 2015-01-29:\"My favorite so far\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1691\">hpr1691</a></strong>\r\n(2015-01-26) \"<em>Arduino 101 Arduino IO</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\">klaatu</a>.\r\n<ol>\r\n<li>mcnalu on 2015-01-27:\"Arduislack\"</li>\r\n<li>archer72 on 2015-01-29:\"[no title]\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1690\">hpr1690</a></strong>\r\n(2015-01-23) \"<em>Arduino 101 Breadboard</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\">klaatu</a>.\r\n<ol>\r\n<li>Mike Ray on 2015-01-22:\"3v3\"</li>\r\n<li>Tcuc on 2015-01-23:\"Nice, great quality :-) \"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1683\">hpr1683</a></strong>\r\n(2015-01-14) \"<em>Theater of the Imagination: Part 06</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0107.html\">lostnbronx</a>.\r\n<ol>\r\n<li>Epicanis on 2015-01-22:\"Timely information!\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1673\">hpr1673</a></strong>\r\n(2014-12-31) \"<em>How I use ZFS on Linux</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0292.html\">Michal Cieraszynski</a>.\r\n<ol>\r\n<li>Klaatu on 2015-01-07:\"great episode!\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1672\">hpr1672</a></strong>\r\n(2014-12-30) \"<em>Systemd for Learner Drivers </em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0284.html\">Steve Smethurst</a>.\r\n<ol>\r\n<li>Steve Smethurst on 2015-01-04:\"Correction\"</li>\r\n<li>Alison Chaiken on 2015-01-04:\"Thanks for informative episode\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1667\">hpr1667</a></strong>\r\n(2014-12-23) \"<em>How to start a Blog</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0291.html\">Rill</a>.\r\n<ol>\r\n<li>Rill on 2014-12-31:\"T for the tip.hanks\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1665\">hpr1665</a></strong>\r\n(2014-12-19) \"<em>44 - LibreOffice Calc - Working With Pivot Tables</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a>.\r\n<ol>\r\n<li>Steve Bickle on 2015-01-18:\"What version of LibreOffice was the example created in?\"</li>\r\n<li>Steve Bickle on 2015-01-18:\"Last comment really belongs on ep 1655\"</li>\r\n<li>Kevin O\'Brien on 2015-01-19:\"LibreOffice Version\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1660\">hpr1660</a></strong>\r\n(2014-12-12) \"<em>Trying out Slackware</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0288.html\">beni</a>.\r\n<ol>\r\n<li>Klaatu on 2015-01-07:\"slacker\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1654\">hpr1654</a></strong>\r\n(2014-12-04) \"<em>Using AS numbers to identify where you are on the Internet</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a>.\r\n<ol>\r\n<li>Klaatu on 2015-01-07:\"Very informative\"</li> \r\n</ol><br/></li> \r\n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1643\">hpr1643</a></strong>\r\n(2014-11-19) \"<em>Unison Syncing Utility</em>\"\r\nby <a href=\"https://hackerpublicradio.org/correspondents/0131.html\">FiftyOneFifty</a>.\r\n<ol>\r\n<li>Ken Fallon on 2015-01-06:\"Workaround to my unison issues\"</li></ol>\r\n</li>\r\n</ul>\r\n\r\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1716,'2015-03-02','HPR Community News for February 2015',5292,'Dave and Ken host the Community News','<h2>New hosts</h2>\n <p>Welcome to our new hosts:<br /><a href=\"https://hackerpublicradio.org/correspondents/0296.html\">Kevie</a>, <a href=\"https://hackerpublicradio.org/correspondents/0297.html\">swift110</a>.</p>\n <h2>Last Month\'s Shows</h2>\n <table id=\"t01\">\n  <tr>\n   <th align=\"left\">Id</th>\n   <th align=\"left\">Date</th>\n   <th align=\"left\">Title</th>\n   <th align=\"left\">Host</th>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1696\">1696</a></strong></td>\n   <td align=\"left\">2015-02-02</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1696\">HPR Community News for January 2015</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\">HPR Volunteers</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1697\">1697</a></strong></td>\n   <td align=\"left\">2015-02-03</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1697\">FOSDEM 2015 Friday Night and Saturday Morning 1 of 5</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1698\">1698</a></strong></td>\n   <td align=\"left\">2015-02-04</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1698\">FOSDEM 2015 Part 2 of 5</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1699\">1699</a></strong></td>\n   <td align=\"left\">2015-02-05</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1699\">FOSDEM 2015 Part 3 of 5</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1700\">1700</a></strong></td>\n   <td align=\"left\">2015-02-06</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1700\">Today with a Techie episode two thousand</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1701\">1701</a></strong></td>\n   <td align=\"left\">2015-02-09</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1701\">FOSDEM 2015 Part 4 of 5</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1702\">1702</a></strong></td>\n   <td align=\"left\">2015-02-10</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1702\">FOSDEM 2015 Part 5 of 5</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1703\">1703</a></strong></td>\n   <td align=\"left\">2015-02-11</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1703\">Open Source CD Rippers</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0296.html\">Kevie</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1704\">1704</a></strong></td>\n   <td align=\"left\">2015-02-12</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1704\">Introducing Jeffrey Powers aka Geekazine</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0294.html\">daw</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1705\">1705</a></strong></td>\n   <td align=\"left\">2015-02-13</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1705\">47 - LibreOffice Calc - Page Styles and Page Settings</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1706\">1706</a></strong></td>\n   <td align=\"left\">2015-02-16</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1706\">Cross-compilers part 1</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0282.html\">Mike Ray</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1707\">1707</a></strong></td>\n   <td align=\"left\">2015-02-17</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1707\">A tour round my desktop</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0246.html\">Beeza</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1708\">1708</a></strong></td>\n   <td align=\"left\">2015-02-18</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1708\">GNU/Nano Editor</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0129.html\">JWP</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1709\">1709</a></strong></td>\n   <td align=\"left\">2015-02-19</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1709\">Hacking Your Teeth</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0201.html\">MrX</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1710\">1710</a></strong></td>\n   <td align=\"left\">2015-02-20</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1710\">Windows Remote Desktop on GNU/Linux</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1711\">1711</a></strong></td>\n   <td align=\"left\">2015-02-23</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1711\">Problems with video software in Linux</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0297.html\">swift110</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1712\">1712</a></strong></td>\n   <td align=\"left\">2015-02-24</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1712\">What\'s in my Crate</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0282.html\">Mike Ray</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1713\">1713</a></strong></td>\n   <td align=\"left\">2015-02-25</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1713\">Fosdem 2015: Surveillance vs. Free Software</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0285.html\">2BFrank</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1714\">1714</a></strong></td>\n   <td align=\"left\">2015-02-26</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1714\">Vim Hints 001</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\">Dave Morriss</a></td>\n  </tr>\n  <tr valign=\"top\">\n   <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1715\">1715</a></strong></td>\n   <td align=\"left\">2015-02-27</td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1715\">48 - LibreOffice Calc - Cell Styles</a></td>\n   <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a></td>\n  </tr>\n </table>\n <h2>Mailing List discussions</h2>\n <p>Policy decisions surrounding HPR are taken by the community as a whole. This discussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\">Mail List</a> which is open to all HPR listeners and contributors. The discussions are open and available on the <a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\">Gmane</a> archive.</p>\n <p>The main threads this month were:</p>\n <ol>\n  <li><em>From:</em> Charles Thayer &lt;catintp@...&gt;<br /><em>Date:</em> 2015-02-01 03:59:07 UTC<br /><em>Subject:</em> HackerPublicRadio.com (squatter-occupied look-alike site): Domain Available?<br /><em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/712\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/712</a><br /><em>Messages:</em> 3<br />\n   <br />\n  </li>\n  <li><em>From:</em> Patrick Dailey &lt;pdailey03@...&gt;<br /><em>Date:</em> 2015-02-04 22:04:43 -0500<br /><em>Subject:</em> AudioBookClub<br /><em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/714\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/714</a><br /><em>Messages:</em> 4<br />\n   <br />\n  </li>\n  <li><em>From:</em> Ivan Privaci &lt;epicanis+hpr@...&gt;<br /><em>Date:</em> 2015-02-08 21:23:54 -0500<br /><em>Subject:</em> I ain\'tnt dead yet: quick question (well, a couple)<br /><em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/718\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/718</a><br /><em>Messages:</em> 15<br />\n   <br />\n  </li>\n  <li><em>From:</em> Ivan Privaci &lt;epicanis+hpr@...&gt;<br /><em>Date:</em> 2015-02-09 19:14:56 -0500<br /><em>Subject:</em> \"HPR Dodgers, in the 21th-and-a-half centuryyyyy.....\" (Future HPR features)<br /><em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/726\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/726</a><br /><em>Messages:</em> 2<br />\n   <br />\n  </li>\n  <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br /><em>Date:</em> 2015-02-11 13:34:35 +0100<br /><em>Subject:</em> Wed 2015-04-01: hpr1738 Reserved: Open Systems Interconnection (OSI) model (ISO/IEC 7498-1).<br /><em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/736\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/736</a><br /><em>Messages:</em> 1<br />\n   <br />\n  </li>\n  <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br /><em>Date:</em> 2015-02-12 15:08:12 +0100<br /><em>Subject:</em> Fwd: Cross-Promotional Opportunties<br /><em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/737\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/737</a><br /><em>Messages:</em> 14<br />\n   <br />\n  </li>\n  <li><em>From:</em> \"O\'Brien, Kevin\" &lt;zwilnik@...&gt;<br /><em>Date:</em> 2015-02-12 14:03:18 -0500<br /><em>Subject:</em> Kudos for FOSDEM coverage<br /><em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/741\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/741</a><br /><em>Messages:</em> 1<br />\n   <br />\n  </li>\n  <li><em>From:</em> lostnbronx &lt;lostnbronx@...&gt;<br /><em>Date:</em> 2015-02-12 15:31:56 -0700<br /><em>Subject:</em> Re: Cybrary Cross-Promotional Offer<br /><em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/745\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/745</a><br /><em>Messages:</em> 1<br />\n   <br />\n  </li>\n  <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br /><em>Date:</em> 2015-02-14 15:05:04 +0100<br /><em>Subject:</em> hobbypublicradio.[com|net|org]<br /><em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/750\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/750</a><br /><em>Messages:</em> 2<br />\n   <br />\n  </li>\n  <li><em>From:</em> Ivan Privaci &lt;epicanis+hpr@...&gt;<br /><em>Date:</em> 2015-02-19 11:10:33 -0500<br /><em>Subject:</em> Minor website bug report<br /><em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/752\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/752</a><br /><em>Messages:</em> 1<br />\n   <br />\n  </li>\n  <li><em>From:</em> Mike Ray &lt;mike@...&gt;<br /><em>Date:</em> 2015-02-19 21:09:49 UTC<br /><em>Subject:</em> Topic request<br /><em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/753\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/753</a><br /><em>Messages:</em> 7<br />\n   <br />\n  </li>\n  <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br /><em>Date:</em> 2015-02-23 07:55:12 UTC<br /><em>Subject:</em> HPR Community News - next Saturday on 2015-02-28T18:00:00Z<br /><em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/760\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/760</a><br /><em>Messages:</em> 1<br />\n   <br />\n  </li>\n  <li><em>From:</em> Fifty OneFifty &lt;fiftyonefifty@...&gt;<br /><em>Date:</em> 2015-02-25 01:58:02 -0600<br /><em>Subject:</em> Is anyone else having trouble submitting shows?<br /><em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/761\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/761</a><br /><em>Messages:</em> 10<br />\n   <br />\n  </li>\n  <li><em>From:</em> Joshua Knapp &lt;jknapp85@...&gt;<br /><em>Date:</em> 2015-02-26 09:03:38 -0800<br /><em>Subject:</em> Added some firewall rules and IDS to the server<br /><em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/771\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/771</a><br /><em>Messages:</em> 1<br />\n   <br />\n  </li>\n </ol>\n <p>Total messages this month: 63</p>\n <h2>Comments this month</h2>\n <p>There are 17 comments:</p>\n <ul>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1522\">hpr1522</a></strong> (2014-06-03) \"<em>How to Use Docker and Linux Containers</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0078.html\">klaatu</a>. <ol>\n    <li>Windigo on 2015-02-16:\"Creating a bridge interface\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1636\">hpr1636</a></strong> (2014-11-10) \"<em>How I make coffee</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0225.html\">Dave Morriss</a>. <ol>\n    <li>1093i3511 on 2015-02-19:\"[no title]\"</li>\n    <li>Dave Morriss on 2015-02-20:\"Rommelsbacher EKO 366/E\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1683\">hpr1683</a></strong> (2015-01-14) \"<em>Theater of the Imagination: Part 06</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0107.html\">lostnbronx</a>. <ol>\n    <li>Charles on 2015-02-27:\"Patronage as an alternative to marketplaces?\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1687\">hpr1687</a></strong> (2015-01-20) \"<em>Podcast recommendations</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0270.html\">Thaj Sara</a>. <ol>\n    <li>Mark Waters on 2015-02-03:\"Thanks\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1699\">hpr1699</a></strong> (2015-02-05) \"<em>FOSDEM 2015 Part 3 of 5</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a>. <ol>\n    <li>FiftyOneFifty on 2015-02-05:\"Play dat funky music\"</li>\n    <li>Mike Ray on 2015-02-05:\"Thanks for asking the right questions\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1700\">hpr1700</a></strong> (2015-02-06) \"<em>Today with a Techie episode two thousand</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a>. <ol>\n    <li>Mike Ray on 2015-02-06:\"Such a parcel of rogues\"</li>\n    <li>FiftyOneFifty on 2015-02-06:\"Thanks for the memories\"</li>\n    <li>Mikael on 2015-02-10:\"Thank you, Ken\"</li>\n    <li>Epicanis on 2015-02-11:\"Not what I was expecting...\"</li>\n    <li>JM on 2015-02-12:\"great work!!\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1702\">hpr1702</a></strong> (2015-02-10) \"<em>FOSDEM 2015 Part 5 of 5</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a>. <ol>\n    <li>borgu on 2015-02-11:\"reactos moar!\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1703\">hpr1703</a></strong> (2015-02-11) \"<em>Open Source CD Rippers</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0296.html\">Kevie</a>. <ol>\n    <li>Ken Fallon on 2015-02-13:\"K3b\"</li>\n    <li>Charles on 2015-02-25:\"[no title]\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1707\">hpr1707</a></strong> (2015-02-17) \"<em>A tour round my desktop</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0246.html\">Beeza</a>. <ol>\n    <li>Marshal Mellow on 2015-02-22:\"Good job\"</li>\n   </ol>\n   <br />\n  </li>\n  <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1710\">hpr1710</a></strong> (2015-02-20) \"<em>Windows Remote Desktop on GNU/Linux</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a>. <ol>\n    <li>johanv on 2015-02-26:\"Nice!\"</li>\n   </ol>\n  </li>\n </ul>',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1628,'2014-10-29','OggCamp Interview with Peppertop Comics',793,'A short interview with Mark of Peppertop Comics.','<p>In today\'s show, <a href=\"https://corenominal.org\">Philip Newborough</a> interviews Mark of <a href=\"https://www.peppertop.com/\">Peppertop Comics</a>. Peppertop Comics create free, open-source web comics. The comics are produced on Linux using <a href=\"https://www.inkscape.org/\">Inkscape</a> and <a href=\"https://mypaint.intilinux.com/\">MyPaint</a>.</p><img alt=\"The Greys.\" src=\"https://hackerpublicradio.org/eps/hpr1628_image.png\" /><p>The interview was conducted at <a href=\"https://oggcamp.org/\">OggCamp 14</a>, a free culture unconference, held in Oxford UK on the weekend of October 4th-5th 2014.</p>\n',287,78,0,'CC-BY-SA','interviews,comics,oggcamp',0,0,1),
(1634,'2014-11-06','How I got into Linux',1053,'How I discovered Linux ','<p>I have been an HPR listener for many years, and I really like the episodes on how people discovered and learn to use Linux. So this is my first HPR contribution. I recorded this on a Sansa Clip on a saturday afternoon. It\'s not heavily edited, but i did use audacity to remove a few errors I had made. Please excuse the uhhs and umms.</p>\r\n',289,29,1,'CC-BY-SA','Sansa Clip,Audacity',0,0,1),
(1629,'2014-10-30','Banana Pi - First Impressions',1012,'Banana Pi first impressions','<h2 id=\"the-banana-pi---first-impressions\">The Banana Pi - First Impressions</h2>\r\n<p>They say duplication is the sincerest form of flattery, substitute the word of your choice for \'duplication\'.</p>\r\n<p>The Banana Pi is made in China and bears an uncanny resemblance to the Raspberry Pi.</p>\r\n<p>Not just the name, the board is fractionally larger, some of the features on the board are similarly placed:</p>\r\n<ul>\r\n<li>26-pin GPIO</li>\r\n<li>3.5mm analogue audio jack</li>\r\n<li>RCA composite video jack</li>\r\n<li>SD card slot</li>\r\n</ul>\r\n<p>There are things the RPI does not have:</p>\r\n<ul>\r\n<li>Power button</li>\r\n<li>uBoot button</li>\r\n<li>Microphone</li>\r\n<li>USB-otg port (otg = on-the-go, a bi-directional USB port)</li>\r\n<li>SATA connector</li>\r\n</ul>\r\n<p>The processor is a dual-core running slightly faster than the Raspberry Pi, although to be fair, of course, the RPI can be over-clocked.</p>\r\n<p>The Banana Pi has twice the RAM and a dual-core processor.</p>\r\n<p>The SoC is the ARM Allwinner A20.</p>\r\n<h3 id=\"getting-my-hands-on-a-banana-pi\">Getting my Hands on a Banana Pi</h3>\r\n<p>My first Banana dropped through the letterbox a couple of days ago.</p>\r\n<p>Thanks to some kind soul on the Raspberry Pi Facebook group who described the connectors on the edges of the board I narrowly avoided plugging the power supply into the USB-otg port. The power micro-USB is on the underside of the board between the SATA power and data connectors which are on the upper side of the board.</p>\r\n<p>Can\'t really say much about it because I can\'t actually see the build quality, but it feels nice. The PCB is fractionally thinner than the RPI.</p>\r\n<h3 id=\"problems\">Problems</h3>\r\n<p>I had an initial struggle to find a download link for any images.</p>\r\n<p>The downloads page of lemaker.org has a two row table on it which appears to be upside-down and it has links to Google-drive, two different public DropBox links, a MS One-Drive link, and something I didn\'t initially find, an FTP link.</p>\r\n<p>Both of the DB links are duff because they have suspended the account because of excessive traffic.</p>\r\n<p>This is the FTP download link:</p>\r\n<pre><code><a href=\"https://filez.zoobab.com/bananapi/mirror/\">https://filez.zoobab.com/bananapi/mirror/</a></code></pre>\r\n<h3 id=\"available-images\">Available Images</h3>\r\n<p>When I found the FTP page I grabbed images for:</p>\r\n<ul>\r\n<li>Arch Linux</li>\r\n<li>Bananian-latest</li>\r\n<li>Lubuntu</li>\r\n<li>Raspbian</li>\r\n</ul>\r\n<p>I downloaded and extracted all of these images to my Debian desktop machine and tried to write and boot them in succession.</p>\r\n<p>The first I tried was Arch, on the assumption that would not have a desktop installed.</p>\r\n<p>After writing the card I looked at it on my Debian machine with parted and it appeared to have two partitions. As with the Raspberry Pi there is a small FAT16 partition and a bigger ext4 partition.</p>\r\n<p>The FAT partition contained the same files as the Raspberry Pi:</p>\r\n<ul>\r\n<li>config.txt</li>\r\n<li>cmdline.txt</li>\r\n<li>kernel.img</li>\r\n</ul>\r\n<p>And some others I can\'t remember.</p>\r\n<p>In addition it contained:</p>\r\n<ul>\r\n<li>uEnv.txt</li>\r\n<li>uImage</li>\r\n</ul>\r\n<p>It appears uEnv.txt is equivalent to the Raspberry Pi cmdline.txt file, and uImage is, of course, the kernel.</p>\r\n<p>So oddly it has the files for the RPI and it\'s own in the FAT partition.</p>\r\n<p>Then I tried Bananian, and this appears to be Debian Wheazy for ARM.</p>\r\n<p>Similar story with the FAT partition.</p>\r\n<p>It is a very minimal installation which has little more than the Linux Standard Base (LSB) packages. I like this because I like to have control.</p>\r\n<h3 id=\"sound-and-stuff\">Sound and Stuff</h3>\r\n<p>I found a review from April this year that said the sound driver snd-bcm2835 was not available. At the name snd-bcm2835 my heart sank because I expected the BPI to have the same stuttering text-to-speech problems as the RPI.</p>\r\n<p>Not expecting much I did, as root:</p>\r\n<pre><code>apt-get install alsa-base alsa-utils</code></pre>\r\n<p>Looking through /lib/modules/... blah blah I found a driver called:</p>\r\n<pre><code>snd-aaci.ko</code></pre>\r\n<p>I did:</p>\r\n<pre><code>modprobe snd-aaci</code></pre>\r\n<p>And then:</p>\r\n<pre><code>speaker-test</code></pre>\r\n<p>And I got pink noise!</p>\r\n<p>Next I did:</p>\r\n<pre><code>apt-get install espeakup\r\nupdate-rc.d espeakup defaults\r\nmodprobe speakup_soft</code></pre>\r\n<p>And speakup burst into life with no stuttering!</p>\r\n<h3 id=\"immediate-conclusions\">Immediate Conclusions</h3>\r\n<p>The online community and code-base for the Banana Pi is not yet very mature, and because the origin of the beast is China, a lot of what\'s out there is in Chinese.</p>\r\n<p>But it is growing. And after all, it took the RPI a while to take off and go ballistic.</p>\r\n<p>At the moment I would say the Banana Pi is not for the faint-hearted or the total newbie, although, a lot of newbie questions are generic and don\'t have machine-specific answers.</p>\r\n<h2>Links</h2>\r\n<p>LeMaker page:</p>\r\n<pre><code><a href=\"https://www.lemaker.org/\">https://www.lemaker.org/</a></code></pre>\r\n<p>Australian community page with forums:</p>\r\n<pre><code><a href=\"https://www.bananapi.com/\">https://www.bananapi.com/</a></code></pre>\r\n<p>The worst thing about the Banana Pi is, when writing emails about it, and these show-notes, typing the word \'banana\' and knowing when to stop!</p>\r\n',282,0,1,'CC-BY-SA','Banana Pi, Raspberry Pi, Linux',0,0,1),
(1633,'2014-11-05','The OggCamp organizers',1712,'I talk to Dan Lynch and Fabian Scherschel and Mark Johnson','<p>In this set of OggCamp interviews I talk to Dan Lynch and Fabian Scherschel from Linux Outlaws and Mark Johnson, who was the man on the ground this year, organizing OggCamp in Oxford Hotel this year. We talk about organizing OggCamp and podcasting and small, unknown Universities in little Towns like Oxford. ;)</p>\n <h3>Links</h3>\n <ul>\n  <li>Dan Lynch: <a href=\"https://twitter.com/MethodDan\">https://twitter.com/MethodDan</a></li>\n  <li>Fab Scherchel: <a href=\"https://twitter.com/fabsh\">https://twitter.com/fabsh</a></li>\n  <li>Mark Johnson: <a href=\"https://twitter.com/marxjohnson\">https://twitter.com/marxjohnson</a></li>\n </ul>',288,78,0,'CC-BY-SA','oggcamp, Linux Outlaws, Ubuntu UK, Fab, Dan, Mark',0,0,1),
(1636,'2014-11-10','How I make coffee',957,'I\'m a great lover of coffee. This is how I make mine','<h2>My Coffee History</h2>\n <p>I\'m a coffee lover. I have tried many ways of making coffee.</p>\n <p>When I was a child my parents made their coffee in a percolator on the stove top. I remember how great it smelled though it tasted awful to me at that age.</p>\n <p>I have owned a variety of filter machines over the years, and these have also been available at the places I have worked. They seemed to do a reasonable job, but nothing special.</p>\n <p>One time I owned an all-glass Cona coffee maker, which was very fancy and expensive. It was too fragile for me and eventually met its end while being washed. I don\'t recall it making particularly wonderful coffee, but it would also make tea, which was a novelty.</p>\n <p>I made a number of visits to Indonesia several years ago. There are a lot of pretty good coffee beans available there but the way of making a cup of coffee is not really to my taste. A good dollop of ground coffee in a large cup with boiling water added and large quantities of sugar. Straining those coffee grounds out through your teeth is not a pleasant experience.</p>\n <p>As the fashion for the Cafetiere or French Press developed I acquired a number of these. Until recently these were all glass. I found I invariably broke them either by being over zealous when pressing down the plunger or being clumsy when washing them up. It\'s not a bad way of making coffee, but I have an alternative that I much prefer - the Moka Pot.</p>\n <h2>Moka Pot</h2>\n <p>A few years ago I bought a Bialetti Moka Pot. I had never heard of these before, but my son, another avid coffee drinker, pointed me to them. I bought a three-cup pot to start with. This is a small pot; the three refers to three 50ml espresso cups. I also bought a 9-cup pot which is much bigger.</p>\n <p><img alt=\"My Bialetti 3-cup and 9-cup pots\" width=\"640\" src=\"https://hackerpublicradio.org/eps/hpr1636/Bialetti_3_and_9_cup.png\" /><br /> Picture: My Bialetti 3-cup and 9-cup pots</p>\n <p>The pot consists of three main elements: a base which holds the water, a funnel which holds the ground coffee and the top which holds the coffee once made. There is a gasket and a metal filter on the underside of the top part to prevent coffee grounds entering.</p>\n <p><img alt=\"A disassembled Bialetti\" width=\"640\" src=\"https://hackerpublicradio.org/eps/hpr1636/Bialetti_components.png\" /><br /> Picture: A disassembled Bialetti</p>\n <p>The Bialetti is heated on a gas or electric stove and forces boiling water through ground coffee under steam pressure. It makes coffee similar to but not the same as espresso coffee.</p>\n <p>The base is filled with water just under the level of the pressure release valve.</p>\n <p><img alt=\"Bialetti filled with water\" width=\"640\" src=\"https://hackerpublicradio.org/eps/hpr1636/Bialetti_filled_with_water.png\" /><br /> Picture: Bialetti filled with water</p>\n <p>I use Italian coffee for the Bialetti since it seems to taste better than any others I have tried.</p>\n <p><img alt=\"My current favourite coffee\" width=\"640\" src=\"https://hackerpublicradio.org/eps/hpr1636/My_current_favourite_coffee.png\" /><br /> Picture: My current favourite coffee</p>\n <p>Once opened I keep my coffee in a vacuum container.</p>\n <p><img alt=\"Coffee in a vacuum container\" width=\"640\" src=\"https://hackerpublicradio.org/eps/hpr1636/Coffee_in_a_vacuum_container.png\" /><br /> Picture: Coffee in a vacuum container</p>\n <p>The funnel is placed into the water-filled base.</p>\n <p><img alt=\"Bialetti ready for coffee\" width=\"640\" src=\"https://hackerpublicradio.org/eps/hpr1636/Bialetti_ready_for_coffee.png\" /><br /> Picture: Bialetti ready for coffee</p>\n <p>The funnel takes about two scoops of coffee</p>\n <p><img alt=\"Bialetti being filled with coffee\" width=\"640\" src=\"https://hackerpublicradio.org/eps/hpr1636/Bialetti_being_filled_with_coffee.png\" /><br /> Picture: Bialetti being filled with coffee</p>\n <p>The pot is placed on the stove. I have a gas stove and so I use a trivet for stability. I have to take care that the gas flame is not too high or the handle will melt, as has happened in the past!</p>\n <p><img alt=\"Bialetti in action\" width=\"640\" src=\"https://hackerpublicradio.org/eps/hpr1636/Bialetti_in_action.png\" /><br /> Picture: Bialetti in action</p>\n <p>You need to listen out for the bubbling sound the pot makes when the water has passed through the coffee into the top compartment. Letting the remaining steam pass through will over-heat the coffee which you do not want to happen.</p>\n <p><img alt=\"Coffee is brewed\" width=\"640\" src=\"https://hackerpublicradio.org/eps/hpr1636/Coffee_is_brewed.png\" /><br /> Picture: Coffee is brewed</p>\n <p>I make a cup of coffee consisting of one part coffee, one part cold milk and one part boiling water. This makes a large cup of pretty strong yet very smooth coffee which helps to wake me up each morning.</p>\n <p><img alt=\"A comforting brew in the wrong cup!\" width=\"640\" src=\"https://hackerpublicradio.org/eps/hpr1636/A_comforting_brew_in_the_wrong_cup.png\" /><br /> Picture: A comforting brew - in the wrong cup!</p>\n <p>The Bialetti usually gets one use per day, after which it is washed up. Some purists say that it should only be rinsed out so that the coffee residues on the inside are not removed. I have not noticed any difference personally.</p>\n <h2>Links</h2>\n <ul>\n  <li>\n   <p><a href=\"https://www.cona.co.uk/index.php\">Cona Ltd.</a> - makers of the all-glass coffee maker</p>\n  </li>\n  <li>\n   <p><a href=\"https://en.wikipedia.org/wiki/Moka_pot\">Moka pot</a> Wikipedia entry</p>\n  </li>\n  <li>\n   <p><a href=\"https://en.wikipedia.org/wiki/Bialetti\">Alfonso Bialetti</a> Wikipedia entry</p>\n  </li>\n  <li>\n   <p><a href=\"https://www.bialetti.com/coffee/stovetop/moka-express-c-1_7_22.html\">Bialetti Moka Express</a> website</p>\n  </li>\n </ul>\n',225,88,1,'CC-BY-SA','coffee,moka pot,espresso,cafetiere',0,0,1),
(1638,'2014-11-12','Surviving A Roadtrip: Food',874,'A few tricks about food and eating that can help you survive a roadtrip.','<p>As we are all human to some degree, we require sustenance. When on a roadtrip, this can prove to be challenging - but it is also an opportunity to save money and enjoy yourself!</p><pre>\nBringing Food\n---\n\n- Buying all your food on the road is a good way to empty your pockets\n- Convenience stores do not have your health in mind; their food is generally\n  over-salty or over-sugary\n- Stopping for snacks can add lots of extra time to a trip\n- A quick stop at the grocery store before your trip is not a bad idea\n        - Stock up on non-perishable snacks\n        - Nuts and trail mix are a classic for a reason. They\'re full of protein and\n          fiber, and easy to munch on in a vehicle\n        - Fruit are sweet, healthy, and also usually easy to eat in a vehicle.\n          Apples and grapes are super easy, bananas less so, and oranges are tricky.\n          You can pre-peel fruit to make it more accessible, but it won\'t last as long.\n- Water is important. Make sure to have a gallon jug with you, and refill as\n  necessary. I don\'t mind tap water, but if you\'re picky, there are water\n  filters designed for camping that are compact and quick. Keep yourself\n  hydrated!\n- Your options for variety of food increase a lot with a cooler\n        - Things like cheese and sandwich meats should do fine\n        - Make sure to fill it with ice or freezer packs when you set out in the\n          morning, and maybe during the afternoon depending on weather\n        - Check to see if your lodgings have refrigeration; your cooler will be\n          useless if you don\'t have something more substantial to use in-between\n          legs of your journey.\n  \n\nStopping To Eat\n---\n\n- Saving money and being efficient is all well and good, but roadtrips are not\n  all about getting from point A to point B.\n- A great way to experience an area is by ingesting a small part of it\n- Add an hour or two to your travel time for a meal stop\n- Pick lunch or dinner\n        - Lunch may suit your timetable better if you are an early riser\n        - Lunch menus often offer slightly less food for a reduced price\n        - Restaurants may be less crowded for lunches\n        - Dinner might be a better choice if you like waking and driving late\n        - Dinner menus are more comprehensive, but often more on the expensive side\n- Avoid chain restaurants all the time, but especially on a roadtrip\n- Local restaurants and eateries are usually found in downtown areas, away from\n  highways. They are well worth the diversion.\n- Different areas have vastly different cuisines, and trying new things can be\n  very rewarding. Crawfish: who knew?\n- Find something on the menu that you don\'t recognize, and eat it.\n- If you are a picky eater, try not to let your preconceptions stop you from\n  trying something. For instance, coconut soup is surprisingly unlike any other\n  coconut dishes that I\'ve had.\n- Be polite, be patient. Many tourists are rude, and there is a chance that\n  the person helping you gets to deal with those tourists frequently.\n- Do not be afraid to ask questions. Figure out what you can, but ask for\n  clarification if something on the menu is unusual.\n- If you have food-based allergies or special dietary requirements, these might\n  not be accommodated in all areas. If you are a vegetarian or vegan, or are \n  allergic to gluten, peanuts, or dairy, your options may change drastically\n  depending on the region you are in.\n  - A little research into local restaurants  could help you determine which\n        places you can eat without stopping at each restaurant in town.\n- Overall, try to enjoy yourself. Roadtrips can be high-stress affairs, and a\n  meal break can do wonders to relieve some of the stress that\'s built up over\n  the day. Relax, and give yourself plenty of time to eat\n</pre>',196,0,0,'CC-BY-SA','food,roadtrip,travel,health,restaurant,cuisine',0,0,1),
(1639,'2014-11-13','Ken Starks at Ohio Linux Fest 2014',2428,'Ken Starks builds computers for kids who need a hand.','<p>Ken Starks gave the closing keynote at Ohio LinuxFest 2014 on 10/25/14. In this talk he discusses his work with the REGLUE project (formerly the Helios Project) which bulds computers to give to disadvantaged kids in Texas. And if you look there may be something like this in your town that you can help with. And if not, why not start one? This talk was recorded by Randy Noseworthy, and he asked me to post it to HPR.</p>',198,0,0,'CC-BY-SA','Reglue, Helios, kids',0,0,1),
(1641,'2014-11-17','The real reasons for using Linux',1068,'The real reasons for using Linux','<p>\r\nI am a Linux user since the end of 1999. Which is 15 years already. I\'ve\r\nalso been trying for almost 15 years to convince other people to try Linux.\r\nAnd I must confess that I very often used wrong arguments doing this.\r\nAfter 15 years it is time to ditch some fake arguments,\r\nand to tell you the real reasons why you should switch to Linux. :-)\r\n</p>\r\n<p>\r\nI apology for the bad audio quality. A full transcript of this episode\r\ncan be found on my blog.<br />\r\n<a href=\"https://blog.johanv.org/posts/why-linux.html\">https://blog.johanv.org/posts/why-linux.html</a>\r\n</p>',233,0,0,'CC-BY-SA','linux, open source',0,0,1),
(1664,'2014-12-18','Life and Times of a Geek part 1',1614,'I\'ve been using computers for more than 40 years. This is part 1 of my story','<h1 id=\"life-and-times-of-a-geek---part-1\">Life and Times of a Geek - part 1</h1>\r\n<p>I really liked David Whitman\'s idea of doing a show on his birthday <a href=\"https://hackerpublicradio.org/eps.php?id=1547\">https://hackerpublicradio.org/eps.php?id=1547</a>, so I\'m borrowing the idea.</p>\r\n<p>This show is being released on my 65th birthday, and I decided to use this opportunity to tell you about my long experience with computational devices as part of the series &quot;<em>How I Found Linux</em>&quot;. Thinking about what I want to cover, I realise that it might be quite a lot, so I\'m organising the shows into a collection of short episodes.</p>\r\n<p>I have been thinking about doing this for a while. Up until now I was concerned that it would be a bit self-indulgent, but I have been advised to just go ahead and do it. I hope you find the shows interesting.</p>\r\n<p>The full notes for this episode are to be found here: <a href=\"https://hackerpublicradio.org/eps/hpr1664_full_notes.html\">https://hackerpublicradio.org/eps/hpr1664_full_notes.html</a></p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Full notes <a href=\"https://hackerpublicradio.org/eps/hpr1664_full_notes.html\">https://hackerpublicradio.org/eps/hpr1664_full_notes.html</a></li>\r\n<li>Great Smog, Wikipedia page <a href=\"https://en.wikipedia.org/wiki/Great_Smog\">https://en.wikipedia.org/wiki/Great_Smog</a></li>\r\n<li>Slide Rule <a href=\"https://en.wikipedia.org/wiki/Slide_rule\">https://en.wikipedia.org/wiki/Slide_rule</a></li>\r\n<li>Aberystwyth:\r\n<ul>\r\n<li>Town <a href=\"https://en.wikipedia.org/wiki/Aberystwyth\">https://en.wikipedia.org/wiki/Aberystwyth</a></li>\r\n<li>Aberystwyth University <a href=\"https://en.wikipedia.org/wiki/Aberystwyth_University\">https://en.wikipedia.org/wiki/Aberystwyth_University</a></li>\r\n</ul></li>\r\n<li>Statistical tests:\r\n<ul>\r\n<li>Chi-square test <a href=\"https://en.wikipedia.org/wiki/Chi-squared_test\">https://en.wikipedia.org/wiki/Chi-squared_test</a>,</li>\r\n<li>Student\'s t-test <a href=\"https://en.wikipedia.org/wiki/Student%27s_t-test\">https://en.wikipedia.org/wiki/Student%27s_t-test</a></li>\r\n</ul></li>\r\n<li>Mechanical Calculator, Wikipedia page <a href=\"https://en.wikipedia.org/wiki/Mechanical_calculator\">https://en.wikipedia.org/wiki/Mechanical_calculator</a>\r\n<ul>\r\n<li>Triumphator <a href=\"https://upload.wikimedia.org/wikipedia/commons/2/2b/Calculator_triumphator_hg.jpg\">https://upload.wikimedia.org/wikipedia/commons/2/2b/Calculator_triumphator_hg.jpg</a></li>\r\n</ul></li>\r\n<li>Algol 60:\r\n<ul>\r\n<li>Wikipedia entry <a href=\"https://en.wikipedia.org/wiki/ALGOL_60\">https://en.wikipedia.org/wiki/ALGOL_60</a></li>\r\n<li><em>Revised Report on the Algorithmic Language Algol 60</em>:\r\n<ul>\r\n<li>PDF version <a href=\"https://viega.org/cs6373/papers/algol60-revisedreport.pdf\">https://viega.org/cs6373/papers/algol60-revisedreport.pdf</a></li>\r\n<li>HTML version <a href=\"https://www.masswerk.at/algol60/report.htm\">https://www.masswerk.at/algol60/report.htm</a></li>\r\n</ul></li>\r\n</ul></li>\r\n<li>Stropping (Syntax) Wikipedia entry <a href=\"https://en.wikipedia.org/wiki/Stropping_%28syntax%29\">https://en.wikipedia.org/wiki/Stropping_%28syntax%29</a></li>\r\n<li>Elliott Brothers <a href=\"https://en.wikipedia.org/wiki/Elliott_Brothers_%28computer_company%29\">https://en.wikipedia.org/wiki/Elliott_Brothers_%28computer_company%29</a></li>\r\n<li>Elliott Algol <a href=\"https://en.wikipedia.org/wiki/Elliott_ALGOL\">https://en.wikipedia.org/wiki/Elliott_ALGOL</a></li>\r\n<li>Core memory <a href=\"https://upload.wikimedia.org/wikipedia/commons/d/da/KL_CoreMemory.jpg\">https://upload.wikimedia.org/wikipedia/commons/d/da/KL_CoreMemory.jpg</a></li>\r\n<li>The punched card era:\r\n<ul>\r\n<li>Wikipedia entry <a href=\"https://en.wikipedia.org/wiki/Computer_programming_in_the_punched_card_era\">https://en.wikipedia.org/wiki/Computer_programming_in_the_punched_card_era</a></li>\r\n</ul></li>\r\n</ul>\r\n',225,29,1,'CC-BY-SA','computer,mainframe,programming,punched card,paper tape,teletype,graph plotter,ALGOL 60',0,0,1),
(1643,'2014-11-19','Unison Syncing Utility',2084,'Review of the Unison graphical Syncing Utility','<p>Unison is a file syncing/backup utility, similar to SyncBack on Windows, available in most repros.</p>\n <ol>\n  <li>The graphical interface requires the installation of unison, and unison-gtk.. Unison may be installed w/o the graphical component, but all operations must be initiated from a system running the GUI. <ul>\n    <li>Network backups require RSH or SSH to be installed on both machines</li>\n   </ul>\n  </li>\n  <li>The standard wisdom seems to be the rsync does not do a true 2 way sync, i.e., to sync to the newest file version going both ways you would have to do <code>rsync ~/LocalFolder you@server:/home/you/RemoteFolder</code> then turn around and do <code>rsync you@server:/home/you/RemoteFolder ~/LocalFolder</code>. Add that to the fact that like cp, or scp, rsync requires separate commands for files with extensions, files without, and hidden files, creating a bash script for syncing files is more complex than creating a Unison profile.</li>\n  <li>Step One: If, like me you are syncing only Documents, make your subfolder structure the same on both machines, ergo, if one PC has <code>/home/you/Documents/recipe</code> and second PC has <code>/home/you/Documents/Recipes</code>, edit your folder structure to be the same on both PCs to avoid duplicate files and folders</li>\n  <li>Launch Unison and create a backup profile First use, create a profile<br />\n   <ul>\n    <li>Name of profile<br />\n    </li>\n    <li>Synchronization kind (Local, SSH, RSH, TCP)<br />\n    </li>\n    <li>\"First\" Directory (you can browse your mounted volumes)<br />\n    </li>\n    <li>\"Second\" Directory, if you chose Local<br />\n    </li>\n    <li>Host Machine Name (or IP Address)<br />\n    </li>\n    <li>User Name (If you haven\'t registered SSH keys, you will be prompted for a password on every synchronization.<br />\n    </li>\n    <li>Check whether you want to use compression, (on fast networks or slow processors, compression may create more overhead than it\'s worth).<br />\n    </li>\n    <li>Target directory (If it\'s on a remote server, you will need to type the full path, there is no browsing to the folder.)<br />\n    </li>\n    <li>Tell Unison if either folder uses FAT (say an un-reformatted USB stick)</li>\n   </ul>\n   <ul>\n    <li>If you are backing up to another system, Unison needs to be installed on both. If you are backing up to a server with no GUI desktop manager, you can install just the unison package without unison-gtk, but all the syncs will have to be initiated from the machine with a GUI. (Of course, if you back up to a remote volume that is mounted locally, it should be completely transparent to Unison). If you choose to sync via ssh (recommended), you will need ssh and ssh-server installed appropriately on each machine.</li>\n   </ul>\n  </li>\n  <li>Select and run your profile. <ul>\n    <li>The first time, expect to get a warning that no archive files (index files that speed up the synchronization scan) were found. They will be created on the first sync.</li>\n    <li>Unison will look for differences between the files in the two selected directories. The differences will be displayed graphically, with arrows pointing left or right, indicating which directory contains the most current version of the file (by modification date). You can choose to merge files either left or right (a conventional backup), do a merge (i.e., Unison itself decides how to combine data from files with the same name (obviously, that could be messy), or to do a sync (ergo, the most current version of a file overwrites older version, regardless of location). Click \"Go\" to do a true sync.</li>\n   </ul>\n  </li>\n </ol>',131,0,0,'CC-BY-SA','Unison,file synchronisation,rsync',0,0,1),
(1646,'2014-11-24','5150 Shades of Beer 0003 River City Brewing Company and Wichita Brewing Company',2174,'FiftyOneFifty explores Wichita Brew Pubs, v2','<img  width=\"80%\" src=\"https://hackerpublicradio.org/eps/hpr1646.jpg\" alt=\"Image of beer\" />\r\n\r\n<h3>links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://wichitabrew.com/\">https://wichitabrew.com/</a>\r\n</li>\r\n<li><a href=\"https://www.rivercitybrewingco.com/\">https://www.rivercitybrewingco.com/</a>\r\n</li>\r\n<li><a href=\"https://www.yelp.com/biz/bai-wei-asian-buffet-wichita\">https://www.yelp.com/biz/bai-wei-asian-buffet-wichita</a>\r\n</li>\r\n</ul>\r\n',131,14,0,'CC-BY-SA','5150 Shades of Beer, Wichita Brewing Company, River City Brewing Company',0,0,1),
(1642,'2014-11-18','Frist Time at Oggcamp',842,'Join Al and Jerry where we discuss are first visit to oggcamp','<p>\r\nThis episode is about how Al and Jerry Meet at Oggcamp. What we enjoy about the event,what to expect and encourage people to attend next year.\r\n</p>\r\n<p>\r\nThis is my second HPR episode after beni recorded a interview with me at oggcamp and said I should submit my own episode\r\n</p>\r\n<h3>Links</h3>\r\n<a href=\"https://adminadminpodcast.co.uk\">https://adminadminpodcast.co.uk</a>\r\n',290,62,0,'CC-BY-SA','oggcamp,oggcamp14',0,0,1),
(1647,'2014-11-25','Oggcast Planet Live 2014: The Cooking Show',1285,'OggCast 2014. we cook dinner, I drink beer, a time is had by all.','<p>\r\nOggCast 2014. we cook dinner, I drink beer, a time is had by all.  I\'d like to amp this, but Audacity won\'t let me, so listen carefully.\r\n</p>\r\n<p>\r\nBroam, Briptastic, and FiftyOneFifty talk about the meal they are making for Saturday Night at Oggcast Planet Live 2014 from when they thought about it until dinner was served, as well as that day\'s fun at Knoebels theme park at Elysburg PA and the plans to visit the ghost town of Centralia the following day.\r\n</p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr1647-01.jpg\" alt=\"\" /></p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr1647-02.jpg\" alt=\"\" /></p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr1647-03.jpg\" alt=\"\" /></p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr1647-04.jpg\" alt=\"\" /></p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr1647-05.jpg\" alt=\"\" /></p>\r\n',131,93,1,'CC-BY-SA','Elysburg, oggcastplanet, Centralia, cooking, Knoebels, OggCastPlanet Live, OCP Live, 2014',0,0,1),
(1648,'2014-11-26','Bash parameter manipulation',2433,'A summary and aide memoire of Bash parameter expansion methods','<h2 id=\"bash-parameter-manipulation\">Bash parameter manipulation</h2>\r\n<p>I\'m a great fan of using the Linux command line and enjoy writing shell scripts using the Bash shell.</p>\r\n<ul>\r\n<li><p><em>BASH</em> (or more usually <em>Bash</em> or <em>bash</em>) is the name of a <a href=\"https://en.wikipedia.org/wiki/Unix_shell\">Unix shell</a>. The name stands for <em>Bourne Again SHell</em>, which is a play on words. Bash is an extension of the shell originally written by <a href=\"https://en.wikipedia.org/wiki/Stephen_Richard_Bourne\">Stephen Bourne</a> in 1978, usually known as <em>SH</em>.</p></li>\r\n<li><p><a href=\"https://en.wikipedia.org/wiki/Bash_%28Unix_shell%29\">Bash</a> was written as part of the <a href=\"https://en.wikipedia.org/wiki/GNU_Project\">GNU Project</a> which forms part of the Linux Operating System.</p></li>\r\n<li><p>A shell is the part of the operating system that interprets commands, more commonly known as the command line.</p></li>\r\n<li><p>A knowledge of Bash is very helpful if you would like to be able to use the power of the command line. It is also the way to learn how to build Bash scripts for automating the tasks you need to perform.</p></li>\r\n</ul>\r\n<p>In this episode we look at what parameters are in Bash, and how they can be created and manipulated. There are many features in Bash that you can use to do this, but they are not easy to find.</p>\r\n<p>As I was learning my way around Bash it took me a while to find these. Once I had found them I wanted to make a &quot;cheat sheet&quot; I could stick on the wall to remind me how to do things. I am sharing the result of this process with you.</p>\r\n<p>The version of Bash which I used for this episode is <em>4.3.30(1)-release</em></p>\r\n<p>The full notes for this episode are to be found here: <a href=\"https://hackerpublicradio.org/eps/hpr1648_full_notes.html\">https://hackerpublicradio.org/eps/hpr1648_full_notes.html</a></p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Definitions:\r\n<ul>\r\n<li>Unix shell <a href=\"https://en.wikipedia.org/wiki/Unix_shell\">https://en.wikipedia.org/wiki/Unix_shell</a></li>\r\n<li>Bash <a href=\"https://en.wikipedia.org/wiki/Bash_%28Unix_shell%29\">https://en.wikipedia.org/wiki/Bash_%28Unix_shell%29</a></li>\r\n<li>GNU Project <a href=\"https://en.wikipedia.org/wiki/GNU_Project\">https://en.wikipedia.org/wiki/GNU_Project</a></li>\r\n</ul></li>\r\n<li>References\r\n<ul>\r\n<li>Shell Parameter Expansion <a href=\"https://www.gnu.org/software/bash/manual/html_node/Shell-Parameter-Expansion.html\">https://www.gnu.org/software/bash/manual/html_node/Shell-Parameter-Expansion.html</a></li>\r\n<li>Bash Hackers on parameter expansion <a href=\"https://wiki.bash-hackers.org/syntax/pe\">https://wiki.bash-hackers.org/syntax/pe</a></li>\r\n</ul></li>\r\n<li>Previous HPR shows on the shell or shell scripting:\r\n<ul>\r\n<li>2008-03-03 HPR0045: Shell Scripting (dosman) <a href=\"https://hackerpublicradio.org/eps.php?id=45\">https://hackerpublicradio.org/eps.php?id=45</a></li>\r\n<li>2008-03-12 HPR0052: UCLUG: Newbie Shell Scripting (Dave Yates) <a href=\"https://hackerpublicradio.org/eps.php?id=52\">https://hackerpublicradio.org/eps.php?id=52</a></li>\r\n<li>2010-03-24 HPR0531: bash loops (Ken Fallon) <a href=\"https://hackerpublicradio.org/eps.php?id=531\">https://hackerpublicradio.org/eps.php?id=531</a></li>\r\n<li>2010-08-11 HPR0562: Introduction to bash scripting (Ken Fallon) <a href=\"https://hackerpublicradio.org/eps.php?id=562\">https://hackerpublicradio.org/eps.php?id=562</a></li>\r\n<li>2010-11-17 HPR0598: Bash Scripting: Episode 2 Command Line Basics (Ken Fallon) <a href=\"https://hackerpublicradio.org/eps.php?id=598\">https://hackerpublicradio.org/eps.php?id=598</a></li>\r\n<li>2012-05-22 HPR0992: Linux In The Shell 007 - Chmod and Unix Permissions. (Dann) <a href=\"https://hackerpublicradio.org/eps.php?id=992\">https://hackerpublicradio.org/eps.php?id=992</a></li>\r\n<li>2012-06-05 HPR1002: Linux In The Shell 008 - free: Understanding Linux Memory Usage (Dann) <a href=\"https://hackerpublicradio.org/eps.php?id=1002\">https://hackerpublicradio.org/eps.php?id=1002</a></li>\r\n<li>2013-03-05 HPR1197: What I do with bash scripts (Jon Kulp) <a href=\"https://hackerpublicradio.org/eps.php?id=1197\">https://hackerpublicradio.org/eps.php?id=1197</a></li>\r\n<li>2013-04-09 HPR1222: LiTS 027: mathematical commands (Dann) <a href=\"https://hackerpublicradio.org/eps.php?id=1222\">https://hackerpublicradio.org/eps.php?id=1222</a></li>\r\n<li>2013-05-14 HPR1247: Recording Terrestrial Radio with bash scipts and cron jobs (Jon Kulp) <a href=\"https://hackerpublicradio.org/eps.php?id=1247\">https://hackerpublicradio.org/eps.php?id=1247</a></li>\r\n<li>2013-05-22 HPR1253: Linux in the Shell Ep 30 - vmstat (Dann) <a href=\"https://hackerpublicradio.org/eps.php?id=1253\">https://hackerpublicradio.org/eps.php?id=1253</a></li>\r\n</ul></li>\r\n<li>Resources\r\n<ul>\r\n<li>Full show notes <a href=\"https://hackerpublicradio.org/eps/hpr1648_full_notes.html\">https://hackerpublicradio.org/eps/hpr1648_full_notes.html</a></li>\r\n<li>Bash man page extract <a href=\"https://hackerpublicradio.org/eps/hpr1648_summary.pdf\">https://hackerpublicradio.org/eps/hpr1648_summary.pdf</a></li>\r\n<li>Parameter manipulation &quot;<em>cheat sheet</em>&quot; <a href=\"https://hackerpublicradio.org/eps/hpr1648_diagram.pdf\">https://hackerpublicradio.org/eps/hpr1648_diagram.pdf</a></li>\r\n<li>Various annotated Bash scripts which make up my Magnatune Downloader (described in show <a href=\"https://hackerpublicradio.org/eps.php?id=1204\">hpr1204</a>) <a href=\"https://gitorious.org/magnatune-downloader/magnatune-downloader/source/master:\">https://gitorious.org/magnatune-downloader/magnatune-downloader/source/master:</a></li>\r\n</ul></li>\r\n</ul>\r\n',225,42,1,'CC-BY-SA','Bash,script,parameter,variable',0,0,1),
(1650,'2014-11-28','OCPLive2014 Night Life In Elysburg PA',10935,'The real Elysburg experience','<p>A running commentary by FiftyOneFifty and Tankenator on the nightlife in Elysburg PA</p>\r\n',131,0,0,'CC-BY-SA','OCP Live, oggcastplanet, 2014, nightlife',0,0,1),
(1652,'2014-12-02','GeekSpeak 2013-06-01',3843,'Showcasing the Central Coast Public Broadcasting radio show slash podcast, Geek Speak','<p>As part of Hacker Public Radio\'s continuing effort to showcase Creative Commons Works, we are proud to present GeekSpeak. GeekSpeak is produced as a radio show for community based station KUSP in Monterey CA, and rebroadcast as podcast, available from GeekSpeak.org. It is a generally a lighthearted and humorous general technology news show, with topics including electronics, computing, robotics, and green tech. Often guest speakers and authors from the technology world will come on for interviews. The shows are just about an hour long.</p>\n <p>The regular hosts are Bonnie Jean Primbsch, Lyle Troxell, Miles Elam, and Ben Jaffe (see GeekSpeak.org/geeks/for the full roster). You can often hear them thanking the \"Puppetmaster\" for letting them continue to use the name GeekSpeak. After broadcasting for several years, it was discovered the term \"GeekSpeak\" had been registered as a service mark by David Lawrence for a podcast of his own. You might remember Lawrence as the actor who played the character on \"Heroes\" with the telekinetic ability to physically manipulate other characters against their will.</p>\n <p>GeekSpeak has a long standing tradition of using Devo\'s \"Through Bein\' Cool\" as intro music, so only those episodes that employ user contributed music instead are actually released Creative Commons. What you are about to hear, from the 1st of June of 2013, is just such an episode.</p>\n <h3>Links</h3>\n <ul>\n  <li><a href=\"https://geekspeak.org/\">GeekSpeak.org</a></li>\n  <li><a href=\"https://www.kusp.org\">www.kusp.org</a></li>\n  <li><a href=\"https://www.thedavidlawrenceshow.com/\">https://www.thedavidlawrenceshow.com/</a></li>\n  <li><a href=\"https://7thavenueproject.com/\">https://7thavenueproject.com/</a> - This is another KUSP show, often dealing with sciencetific topics. I mention it here, because I originally wanted feature a GeekSpeak that I had found fascinating, even though it featured none of the regular hosts : <a href=\"https://geekspeak.org/shows/audio/GeekSpeak_2012-11-24.mp3?1354389765\">https://geekspeak.org/shows/audio/GeekSpeak_2012-11-24.mp3?1354389765</a> \"Hany Farid, Digital Image Detective with Robert Pollie of The 7th Avenue Project\" Basically, Farid talked about the methods he uses to determine whether a digital image has been altered. Ultimately, since it was a re-broadcast of an earlier \"7th Avenue Project\", and not knowing the original licensing, I decided to bring you a more traditional and recent sample of GeekSpeak.</li>\n </ul>',158,0,0,'CC-BY-NC-ND','Geek Speak, KUSP, Creative Commons, community radio, GeekSpeak.org',0,0,1);
INSERT INTO `eps` (`id`, `date`, `title`, `duration`, `summary`, `notes`, `hostid`, `series`, `explicit`, `license`, `tags`, `version`, `downloads`, `valid`) VALUES (1741,'2015-04-06','HPR Community News for March 2015',4618,'HPR Community News for March 2015','\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0298.html\" target=\"_blank\">tcuc</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0299.html\" target=\"_blank\">Fin</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\">\n    <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Day</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1716\" target=\"_blank\">1716</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-03-02</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1716\" target=\"_blank\">HPR Community News for February 2015</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1717\" target=\"_blank\">1717</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-03-03</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1717\" target=\"_blank\">Visualizing electricity</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0298.html\" target=\"_blank\">tcuc</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1718\" target=\"_blank\">1718</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-03-04</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1718\" target=\"_blank\">What&#39;s In My Pickup Toolbox</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1719\" target=\"_blank\">1719</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-03-05</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1719\" target=\"_blank\">The Linux Tree Command</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1720\" target=\"_blank\">1720</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-03-06</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1720\" target=\"_blank\">15 Certificate Issues and Solutions</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1721\" target=\"_blank\">1721</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-03-09</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1721\" target=\"_blank\">Cross-compilers Part 2</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0282.html\" target=\"_blank\">Mike Ray</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1722\" target=\"_blank\">1722</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-03-10</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1722\" target=\"_blank\">Kansas Linux Fest 2015, March 21-22, Lawrence KS</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1723\" target=\"_blank\">1723</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-03-11</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1723\" target=\"_blank\">Success With Students</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0296.html\" target=\"_blank\">Kevie</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1724\" target=\"_blank\">1724</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-03-12</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1724\" target=\"_blank\">Vim Hints 002</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1725\" target=\"_blank\">1725</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-03-13</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1725\" target=\"_blank\">49 - LibreOffice Calc - Creating a Template with Styles</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1726\" target=\"_blank\">1726</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-03-16</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1726\" target=\"_blank\">15 Excuses not to Record a show for HPR</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">Knightwise</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1727\" target=\"_blank\">1727</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-03-17</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1727\" target=\"_blank\">Basic Mutt</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1728\" target=\"_blank\">1728</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-03-18</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1728\" target=\"_blank\">Requested Topic: Favourite Browser Extensions</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0299.html\" target=\"_blank\">Fin</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1729\" target=\"_blank\">1729</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-03-19</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1729\" target=\"_blank\">Shield&#39;s Up - Wood Stove Heat Shield Project</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0209.html\" target=\"_blank\">David Whitman</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1730\" target=\"_blank\">1730</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-03-20</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1730\" target=\"_blank\">5150 Shades of Beer 0005 River City Brewing Company Revisited</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1731\" target=\"_blank\">1731</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-03-23</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1731\" target=\"_blank\">Upgrading an old laptop</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0297.html\" target=\"_blank\">swift110</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1732\" target=\"_blank\">1732</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-03-24</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1732\" target=\"_blank\">Renovating another Public-Domain Counterpoint Textbook</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1733\" target=\"_blank\">1733</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-03-25</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1733\" target=\"_blank\">LinuxLugCast Episode-003 Outtakes</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0265.html\" target=\"_blank\">Kevin Wisher</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1734\" target=\"_blank\">1734</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-03-26</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1734\" target=\"_blank\">Vim Hints 003</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1735\" target=\"_blank\">1735</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-03-27</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1735\" target=\"_blank\">Free tutorials for teachers</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1736\" target=\"_blank\">1736</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-03-30</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1736\" target=\"_blank\">How I run my small business using Linux</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1737\" target=\"_blank\">1737</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-03-31</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1737\" target=\"_blank\">Five Steps to Vim</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes\nplace on the <a href=\"https://hackerpublicradio.org/maillist\" target=\"_blank\">Mail List</a> which is open to all\nHPR listeners and contributors. The discussions are open and available on the\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\narchive.\n</p>\n<p>\nThe main threads this month were:\n<ol>\n    <li><em>From:</em> sigflup synasloble &lt;pantsbutt@...&gt;<br/>\n        <em>Date:</em> 2015-03-01 21:00:10 -0600<br/>\n        <em>Subject:</em> logo<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/775\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/775</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Fifty OneFifty &lt;fiftyonefifty@...&gt;<br/>\n        <em>Date:</em> 2015-03-02 23:29:57 -0600<br/>\n        <em>Subject:</em> Is anyone attending LibrePlanet? If not,	I think KLF is our next event.<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/777\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/777</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Mike Ray &lt;mike@...&gt;<br/>\n        <em>Date:</em> 2015-03-03 13:59:57 UTC<br/>\n        <em>Subject:</em> Fear and Lothian?<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/778\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/778</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Frank Bell &lt;frankwbell@...&gt;<br/>\n        <em>Date:</em> 2015-03-05 15:07:44 -0500<br/>\n        <em>Subject:</em> Show Synopis<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/780\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/780</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Patrick Dailey &lt;pdailey03@...&gt;<br/>\n        <em>Date:</em> 2015-03-10 23:07:29 -0400<br/>\n        <em>Subject:</em> Next HPR_AudioBookClub<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/783\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/783</a><br/>\n        <em>Messages:</em> 6<br/><br/></li>\n    <li><em>From:</em> Fifty OneFifty &lt;fiftyonefifty@...&gt;<br/>\n        <em>Date:</em> 2015-03-11 23:50:04 -0500<br/>\n        <em>Subject:</em> HPR banner for KLF<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/784\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/784</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-03-15 12:19:58 +0100<br/>\n        <em>Subject:</em> Change to the calendar page<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/785\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/785</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-03-18 09:02:44 +0100<br/>\n        <em>Subject:</em> Call for shows<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/786\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/786</a><br/>\n        <em>Messages:</em> 4<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-03-18 09:07:09 +0100<br/>\n        <em>Subject:</em> Fwd: Podcast Interview<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/787\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/787</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Fifty OneFifty &lt;fiftyonefifty@...&gt;<br/>\n        <em>Date:</em> 2015-03-19 01:29:30 -0500<br/>\n        <em>Subject:</em> Bad e-mail ediquette<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/790\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/790</a><br/>\n        <em>Messages:</em> 4<br/><br/></li>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2015-03-30 09:57:14 +0100<br/>\n        <em>Subject:</em> HPR Community News - next Saturday on 2015-04-04T18:00:00Z<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/800\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/800</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n</ol>\nTotal messages this month: 26\n</p>\n\n<h2>Comments this month</h2>\n\n<p>There are 40 comments:</p>\n<ul> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1178#comments\" target=\"_blank\">hpr1178</a></strong>\n(2013-02-06) \"<em>Interviews with Laura Creighton and Armin Rigo</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0192.html\" target=\"_blank\">Seetee</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1178#1\" target=\"_blank\">Comment 1</a>:\nTomas on 2015-03-29:\n\"Broken links\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1430#comments\" target=\"_blank\">hpr1430</a></strong>\n(2014-01-24) \"<em>thebestofyoutube.com download script</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.\n<ul>         <li><a href=\"https://hackerpublicradio.org/eps.php?id=1430#8\" target=\"_blank\">Comment 8</a>:\nIan on 2015-03-02:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1430#9\" target=\"_blank\">Comment 9</a>:\nKen Fallon on 2015-03-05:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1496#comments\" target=\"_blank\">hpr1496</a></strong>\n(2014-04-28) \"<em>wiki on the raspberry pi</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1496#2\" target=\"_blank\">Comment 2</a>:\nJPRedonnet on 2015-03-04:\n\"Ciwiki\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1690#comments\" target=\"_blank\">hpr1690</a></strong>\n(2015-01-23) \"<em>Arduino 101 Breadboard</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.\n<ul>    <li><a href=\"https://hackerpublicradio.org/eps.php?id=1690#3\" target=\"_blank\">Comment 3</a>:\nMirwi on 2015-03-19:\n\"Great show!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1702#comments\" target=\"_blank\">hpr1702</a></strong>\n(2015-02-10) \"<em>FOSDEM 2015 Part 5 of 5</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1702#2\" target=\"_blank\">Comment 2</a>:\nAlison Chaiken on 2015-03-04:\n\"Thanks for these segments\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1712#comments\" target=\"_blank\">hpr1712</a></strong>\n(2015-02-24) \"<em>What&#39;s in my Crate</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0282.html\" target=\"_blank\">Mike Ray</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1712#1\" target=\"_blank\">Comment 1</a>:\nBeeza on 2015-03-02:\n\"Follow-up Episode Please\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1712#2\" target=\"_blank\">Comment 2</a>:\nMike Ray on 2015-03-02:\n\"Follow up to &quot;what&#39;s in my crate&quot;\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1714#comments\" target=\"_blank\">hpr1714</a></strong>\n(2015-02-26) \"<em>Vim Hints 001</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1714#1\" target=\"_blank\">Comment 1</a>:\n0xf10e on 2015-03-26:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1714#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-03-26:\n\"Stripped down Vim\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1714#3\" target=\"_blank\">Comment 3</a>:\n0xf10e on 2015-03-29:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1716#comments\" target=\"_blank\">hpr1716</a></strong>\n(2015-03-02) \"<em>HPR Community News for February 2015</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1716#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2015-03-02:\n\"&#39;Parcel of Rogues&#39; and access tech\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1716#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-03-02:\n\"Robert Burns\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1716#3\" target=\"_blank\">Comment 3</a>:\nMike Ray on 2015-03-02:\n\"Also in the parcel\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1716#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2015-03-02:\n\"Fear and Lothian\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1718#comments\" target=\"_blank\">hpr1718</a></strong>\n(2015-03-04) \"<em>What&#39;s In My Pickup Toolbox</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1718#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2015-03-03:\n\"Great podcast\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1720#comments\" target=\"_blank\">hpr1720</a></strong>\n(2015-03-06) \"<em>15 Certificate Issues and Solutions</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1720#1\" target=\"_blank\">Comment 1</a>:\nEllusionSK on 2015-03-28:\n\"Great show\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1721#comments\" target=\"_blank\">hpr1721</a></strong>\n(2015-03-09) \"<em>Cross-compilers Part 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0282.html\" target=\"_blank\">Mike Ray</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1721#1\" target=\"_blank\">Comment 1</a>:\nARMed on 2015-03-08:\n\"Part 1\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1721#2\" target=\"_blank\">Comment 2</a>:\nPhalax on 2015-03-16:\n\"Good job\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1722#comments\" target=\"_blank\">hpr1722</a></strong>\n(2015-03-10) \"<em>Kansas Linux Fest 2015, March 21-22, Lawrence KS</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1722#1\" target=\"_blank\">Comment 1</a>:\nmike dupont on 2015-03-09:\n\"https://kansaslinuxfest.us\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1722#2\" target=\"_blank\">Comment 2</a>:\nFiftyOneFifty on 2015-03-10:\n\"I&#39;m a big dummy and got the URL wrong\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1723#comments\" target=\"_blank\">hpr1723</a></strong>\n(2015-03-11) \"<em>Success With Students</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0296.html\" target=\"_blank\">Kevie</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1723#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2015-03-10:\n\"I listen to all shows\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1723#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-03-12:\n\"Excellent show\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1724#comments\" target=\"_blank\">hpr1724</a></strong>\n(2015-03-12) \"<em>Vim Hints 002</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1724#1\" target=\"_blank\">Comment 1</a>:\nPhalax on 2015-03-16:\n\"Great series\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1724#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-03-16:\n\"Thanks Phalax\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1724#3\" target=\"_blank\">Comment 3</a>:\njohanv on 2015-03-17:\n\"You always learn new things\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1724#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2015-03-17:\n\"Thanks johanv\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1726#comments\" target=\"_blank\">hpr1726</a></strong>\n(2015-03-16) \"<em>15 Excuses not to Record a show for HPR</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">Knightwise</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1726#1\" target=\"_blank\">Comment 1</a>:\njohanv on 2015-03-17:\n\"LOL!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1726#2\" target=\"_blank\">Comment 2</a>:\nanonymous on 2015-03-21:\n\"good points\"</li>  \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1727#comments\" target=\"_blank\">hpr1727</a></strong>\n(2015-03-17) \"<em>Basic Mutt</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1727#1\" target=\"_blank\">Comment 1</a>:\narcher72 on 2015-03-17:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1727#2\" target=\"_blank\">Comment 2</a>:\nJonas on 2015-03-19:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1727#3\" target=\"_blank\">Comment 3</a>:\nrstackhouse on 2015-03-21:\n\"Automating alias file creation\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1728#comments\" target=\"_blank\">hpr1728</a></strong>\n(2015-03-18) \"<em>Requested Topic: Favourite Browser Extensions</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0299.html\" target=\"_blank\">Fin</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1728#1\" target=\"_blank\">Comment 1</a>:\nzloster on 2015-03-18:\n\"Other useful browser extensions for Firefox\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1729#comments\" target=\"_blank\">hpr1729</a></strong>\n(2015-03-19) \"<em>Shield&#39;s Up - Wood Stove Heat Shield Project</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0209.html\" target=\"_blank\">David Whitman</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1729#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp  on 2015-03-19:\n\"Beautiful!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1730#comments\" target=\"_blank\">hpr1730</a></strong>\n(2015-03-20) \"<em>5150 Shades of Beer 0005 River City Brewing Company Revisited</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1730#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2015-03-21:\n\"Arch Linux on RPI\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1732#comments\" target=\"_blank\">hpr1732</a></strong>\n(2015-03-24) \"<em>Renovating another Public-Domain Counterpoint Textbook</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1732#1\" target=\"_blank\">Comment 1</a>:\nDaniel Worth on 2015-03-24:\n\"Best Show This Year.\"</li>   \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1736#comments\" target=\"_blank\">hpr1736</a></strong>\n(2015-03-30) \"<em>How I run my small business using Linux</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1736#1\" target=\"_blank\">Comment 1</a>:\nJonathan Kulp on 2015-03-30:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1737#comments\" target=\"_blank\">hpr1737</a></strong>\n(2015-03-31) \"<em>Five Steps to Vim</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1737#1\" target=\"_blank\">Comment 1</a>:\nzloster on 2015-03-31:\n\"Small problem\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1737#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-03-31:\n\"Re: Small problem\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1737#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2015-03-31:\n\"Great show!\"</li></ul>\n</li>\n</ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1761,'2015-05-04','HPR Community News for April 2015',4000,'HPR Community News for April 2015','\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0301.html\" target=\"_blank\">amp</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0302.html\" target=\"_blank\">Stilvoid</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\">\n    <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Day</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1738\" target=\"_blank\">1738</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-04-01</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1738\" target=\"_blank\">Credit Card PIN breach</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1739\" target=\"_blank\">1739</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-04-02</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1739\" target=\"_blank\">Theater of the Imagination: Part 07</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1740\" target=\"_blank\">1740</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-04-03</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1740\" target=\"_blank\">Mailing List Etiquette</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1741\" target=\"_blank\">1741</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-04-06</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1741\" target=\"_blank\">HPR Community News for March 2015</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1742\" target=\"_blank\">1742</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-04-07</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1742\" target=\"_blank\">How to Get Yourself On an Open Source Podcast - Presentation for Kansas Linux Fest, 22 March 2015</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1743\" target=\"_blank\">1743</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-04-08</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1743\" target=\"_blank\">Scale 13x Part 1 of 6</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0024.html\" target=\"_blank\">Lord Drachenblut</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1744\" target=\"_blank\">1744</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-04-09</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1744\" target=\"_blank\">Scale 13x Part 2 of 6</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0024.html\" target=\"_blank\">Lord Drachenblut</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1745\" target=\"_blank\">1745</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-04-10</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1745\" target=\"_blank\">51 - LibreOffice Impress - Overview and Guidance</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1746\" target=\"_blank\">1746</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-04-13</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1746\" target=\"_blank\">Scale 13x Part 3 of 6</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0024.html\" target=\"_blank\">Lord Drachenblut</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1747\" target=\"_blank\">1747</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-04-14</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1747\" target=\"_blank\">Scale 13x Part 4 of 6</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0024.html\" target=\"_blank\">Lord Drachenblut</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1748\" target=\"_blank\">1748</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-04-15</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1748\" target=\"_blank\">Scale 13x Part 5 of 6</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0024.html\" target=\"_blank\">Lord Drachenblut</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1749\" target=\"_blank\">1749</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-04-16</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1749\" target=\"_blank\">Scale 13x Part 6 of 6</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0024.html\" target=\"_blank\">Lord Drachenblut</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1750\" target=\"_blank\">1750</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-04-17</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1750\" target=\"_blank\">xclip, xdotool, xvkbd: 3 CLI Linux tools for RSI sufferers</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1751\" target=\"_blank\">1751</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-04-20</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1751\" target=\"_blank\">How I got into Linux</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0240.html\" target=\"_blank\">Steve Bickle</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1752\" target=\"_blank\">1752</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-04-21</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1752\" target=\"_blank\">Penguicon 2015 Promo</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1753\" target=\"_blank\">1753</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-04-22</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1753\" target=\"_blank\">Introducing a 5 year old to Sugar on Toast</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0301.html\" target=\"_blank\">amp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1754\" target=\"_blank\">1754</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-04-23</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1754\" target=\"_blank\">D7? Why Seven?</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1755\" target=\"_blank\">1755</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-04-24</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1755\" target=\"_blank\">52 - LibreOffice Impress - Moving Around</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1756\" target=\"_blank\">1756</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-04-27</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1756\" target=\"_blank\">Ranger File Manager</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1757\" target=\"_blank\">1757</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-04-28</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1757\" target=\"_blank\">Useful Bash functions</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1758\" target=\"_blank\">1758</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-04-29</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1758\" target=\"_blank\">Cool Stuff part 3</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0252.html\" target=\"_blank\">Curtis Adkins (CPrompt^)</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1759\" target=\"_blank\">1759</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-04-30</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1759\" target=\"_blank\">A brief review of Firefox OS</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0302.html\" target=\"_blank\">Stilvoid</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes\nplace on the <a href=\"https://hackerpublicradio.org/maillist\" target=\"_blank\">Mail List</a> which is open to all\nHPR listeners and contributors. The discussions are open and available on the\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\narchive.\n</p>\n<p>\nThe main threads this month were:\n</p>\n<ol>\n    <li><em>From:</em> James Toebes &lt;james@...&gt;<br/>\n        <em>Date:</em> 2015-04-01 09:58:54 -0400<br/>\n        <em>Subject:</em> hpr1738 :: Credit Card PIN breach - THANK YOU HPR!<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/801\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/801</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Mike Ray &lt;mike@...&gt;<br/>\n        <em>Date:</em> 2015-04-02 11:07:50 +0100<br/>\n        <em>Subject:</em> Site links<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/802\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/802</a><br/>\n        <em>Messages:</em> 4<br/><br/></li>\n    <li><em>From:</em> Mike Ray &lt;mike@...&gt;<br/>\n        <em>Date:</em> 2015-04-02 23:16:34 +0100<br/>\n        <em>Subject:</em> Off-topic: LibreOffice Calc questions<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/804\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/804</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Jon Kulp &lt;jonlancekulp@...&gt;<br/>\n        <em>Date:</em> 2015-04-02 20:16:51 -0500<br/>\n        <em>Subject:</em> HPR Email Bot malfunctioning?<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/807\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/807</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> David Whitman &lt;davidglennwhitman@...&gt;<br/>\n        <em>Date:</em> 2015-04-04 12:08:23 -0700<br/>\n        <em>Subject:</em> Please reserve July 8 for davidWHITMAN<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/812\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/812</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Fifty OneFifty &lt;fiftyonefifty@...&gt;<br/>\n        <em>Date:</em> 2015-04-04 14:56:04 -0500<br/>\n        <em>Subject:</em> Who needs the Zoom H1 interview recorder next?<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/813\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/813</a><br/>\n        <em>Messages:</em> 4<br/><br/></li>\n    <li><em>From:</em> Jon Kulp &lt;jonlancekulp@...&gt;<br/>\n        <em>Date:</em> 2015-04-04 15:29:32 -0500<br/>\n        <em>Subject:</em> Screencast: putting embedded audio into the ebooks<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/817\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/817</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Jonathan Kulp &lt;jonlancekulp@...&gt;<br/>\n        <em>Date:</em> 2015-04-07 10:08:48 -0500<br/>\n        <em>Subject:</em> Reserve May 11?<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/820\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/820</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Mike Ray &lt;mike@...&gt;<br/>\n        <em>Date:</em> 2015-04-08 22:59:32 +0100<br/>\n        <em>Subject:</em> LibreOffice Font Question<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/821\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/821</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Mike Ray &lt;mike@...&gt;<br/>\n        <em>Date:</em> 2015-04-14 23:03:39 +0100<br/>\n        <em>Subject:</em> archive.org API?<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/824\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/824</a><br/>\n        <em>Messages:</em> 6<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-04-16 20:04:21 +0200<br/>\n        <em>Subject:</em> Disabling CSS on HPR for some tests<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/830\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/830</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-04-24 13:31:56 +0200<br/>\n        <em>Subject:</em> FTP Password has been Changed<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/833\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/833</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2015-04-28 21:52:55 +0100<br/>\n        <em>Subject:</em> HPR Community News - next Saturday on 2015-05-02T18:00:00Z<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/834\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/834</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-04-29 09:50:05 +0200<br/>\n        <em>Subject:</em> Re: Hack in the Box Amsterdam security conference<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/835\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/835</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n</ol>\n<p>\nTotal messages this month: 35\n</p>\n\n<h2>Comments this month</h2>\n\n<p>There are 24 comments:</p>\n<ul> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1726#comments\" target=\"_blank\">hpr1726</a></strong>\n(2015-03-16) \"<em>15 Excuses not to Record a show for HPR</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">Knightwise</a>.\n<ul>    <li><a href=\"https://hackerpublicradio.org/eps.php?id=1726#3\" target=\"_blank\">Comment 3</a>:\nAndres on 2015-04-06:\n\"I uploaded one as a result of this\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1732#comments\" target=\"_blank\">hpr1732</a></strong>\n(2015-03-24) \"<em>Renovating another Public-Domain Counterpoint Textbook</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1732#2\" target=\"_blank\">Comment 2</a>:\nRobert Stackhouse on 2015-03-31:\n\"Slashes\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1732#3\" target=\"_blank\">Comment 3</a>:\nJonathan Kulp on 2015-04-05:\n\"How do I do this? Watch this screen capture and see\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1738#comments\" target=\"_blank\">hpr1738</a></strong>\n(2015-04-01) \"<em>Credit Card PIN breach</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1738#1\" target=\"_blank\">Comment 1</a>:\nJimZat on 2015-04-01:\n\"Enlightening!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1741#comments\" target=\"_blank\">hpr1741</a></strong>\n(2015-04-06) \"<em>HPR Community News for March 2015</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1741#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2015-04-06:\n\"Pearls before swine\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1749#comments\" target=\"_blank\">hpr1749</a></strong>\n(2015-04-16) \"<em>Scale 13x Part 6 of 6</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0024.html\" target=\"_blank\">Lord Drachenblut</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1749#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp on 2015-04-16:\n\"inspirational!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1750#comments\" target=\"_blank\">hpr1750</a></strong>\n(2015-04-17) \"<em>xclip, xdotool, xvkbd: 3 CLI Linux tools for RSI sufferers</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1750#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp on 2015-04-17:\n\"Correction/Improvement\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1750#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-04-21:\n\"Fascinating stuff\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1750#3\" target=\"_blank\">Comment 3</a>:\nMike Ray on 2015-04-21:\n\"Terrific podcast\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1750#4\" target=\"_blank\">Comment 4</a>:\nJon Kulp on 2015-04-21:\n\"Thanks Mike; Response to Dave\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1750#5\" target=\"_blank\">Comment 5</a>:\nJon Kulp on 2015-04-22:\n\"Mike: ping me for help\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1750#6\" target=\"_blank\">Comment 6</a>:\nMike Ray on 2015-04-23:\n\"Blather and xvkbd as shortcuts in Debian\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1754#comments\" target=\"_blank\">hpr1754</a></strong>\n(2015-04-23) \"<em>D7? Why Seven?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1754#1\" target=\"_blank\">Comment 1</a>:\nFiftyOneFifty on 2015-04-10:\n\"Disapointed\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1754#2\" target=\"_blank\">Comment 2</a>:\nJon Kulp  on 2015-04-22:\n\"confused\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1754#3\" target=\"_blank\">Comment 3</a>:\nthelovebug on 2015-04-28:\n\"Dmaj7\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1756#comments\" target=\"_blank\">hpr1756</a></strong>\n(2015-04-27) \"<em>Ranger File Manager</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1756#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp on 2015-04-28:\n\"Ranger is phenomenal\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1757#comments\" target=\"_blank\">hpr1757</a></strong>\n(2015-04-28) \"<em>Useful Bash functions</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1757#1\" target=\"_blank\">Comment 1</a>:\nBill Ricker on 2015-04-28:\n\"epub\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1757#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-04-28:\n\"Re: epub\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1757#3\" target=\"_blank\">Comment 3</a>:\n0xf10e on 2015-04-28:\n\"exitcodes\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1757#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2015-04-28:\n\"Re: exitcodes\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1758#comments\" target=\"_blank\">hpr1758</a></strong>\n(2015-04-29) \"<em>Cool Stuff part 3</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0252.html\" target=\"_blank\">Curtis Adkins (CPrompt^)</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1758#1\" target=\"_blank\">Comment 1</a>:\nFiftyOneFifty on 2015-04-15:\n\"KITT\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1758#2\" target=\"_blank\">Comment 2</a>:\n0xf10e on 2015-04-29:\n\"VCS!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1758#3\" target=\"_blank\">Comment 3</a>:\nCprompt^ on 2015-04-29:\n\"Re: VCS\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1759#comments\" target=\"_blank\">hpr1759</a></strong>\n(2015-04-30) \"<em>A brief review of Firefox OS</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0302.html\" target=\"_blank\">Stilvoid</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1759#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp  on 2015-04-30:\n\"Welcome Aboard \"</li></ul>\n</li>\n</ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1653,'2014-12-03','Ruth Suehle at Ohio Linux Fest 2014',2779,'Ruth Suehle reminds us all that hardware needs to be open too.','<p>\r\nRuth Suehle gave the next-to-last keynote at Ohio LinuxFest 2014 on 2014-10-25. In this talk she discusses the significance of open hardware and maker culture, and how this is something we all should participate in. Maker culture is an essential part of the free and open culture we belive in when we talk about open source. And we need to be vigilant to protect our values in the hardware space. As an example she tells us about Bre Pettis and Makerbot, which at one time were very open, but have turned aginst this value as they became more successful. In the final analysis, it is up to us to protect open hardware by voting with our dollars/euros/whatever.\r\n</p>',198,0,0,'CC-BY-SA','Open Hardware, Open Source, Open Specifications',0,0,1),
(1735,'2015-03-27','Free tutorials for teachers',897,'Professor Bernard Poole makes free tutorials available aimed at teachers','<p>\r\nI have received a very generous offer from Bernard J. Poole, a professor at the University of Pittsburgh. He has a series of LibreOffice Tutorials and has asked me to publicize that they are available free of charge to all of our LibreOffice fans on Hacker Public Radio. You can find his tutorials on his web site at <a href=\"https://www.pitt.edu/~poole/\">https://www.pitt.edu/~poole/</a>. He is particularly aiming his tutorials at educators who might use LibreOffice in the classroom\r\n</p>',198,70,1,'CC-BY-SA','Teachers, tutorials',0,0,1),
(1649,'2014-11-27','Raspberry Pi Accessibility Breakthrough',1036,'How I fixed the stuttering text-to-speech on a Raspberry Pi','<p>\r\nSince April last year the text-to-speech using eSpeak in the Raspberry Pi\r\nconsole has stuttered very badly and regularly crashes the kernel.\r\n</p>\r\n<p>\r\nHere\'s how I fixed it.\r\n</p>\r\n<p>\r\nCloning my github repo:\r\n</p>\r\n<pre>\r\ngit clone <a href=\"https://github.com/cromarty/ttsprojects.git\">https://github.com/cromarty/ttsprojects.git</a>\r\n</pre>\r\n<p>\r\nInstallation:\r\n</p>\r\n<pre>\r\ncd ttsprojects/raspberry-pi/libilctts/build\r\nsudo ./build.sh\r\ncd ../../piespeakup\r\nsudo ./build.sh\r\n</pre>\r\n<p>\r\nBingo!  Speech should work.\r\n</p>\r\n<p>\r\nThis has only just been released and there is still work to do on the\r\ndocumentation.\r\n</p>\r\n<p>\r\nNote: I am not connected to the Raspberry Pi Foundation in any way\r\nand anything I say or do is not endorsed by them.\r\n</p>\r\n<p>\r\nMy email address is connected with a Freelists email list I set up and\r\nan accompanying web site:\r\n</p>\r\n<p>\r\n<a href=\"https://www.raspberryvi.org/\">https://www.raspberryvi.org/</a>\r\n</p>\r\n<p>\r\nThe \'VI\' is for \'Visually Impaired\' and I DID check with the\r\nFoundation about the similarity of the web address before I created it.\r\n</p>\r\n<p>\r\nTo join our email list send an email to:\r\n</p>\r\n<p>\r\n<a href=\"mailto:raspberry-vi-request@freelists.org\">raspberry-vi-request@freelists.org</a>\r\n</p>\r\n<p>\r\nWith \'subscribe\' in the subject.\r\n</p>\r\n<p>\r\nMike\r\n</p>',282,0,1,'CC-BY-SA','Raspberry Pi, Accessibility, console, speakup, kernel oops, fixed',0,0,1),
(1738,'2015-04-01','Credit Card PIN breach',5240,'We expose a well known but ignored security breach','\r\n<h2>Spoiler</h2>\r\n<p>Your passwords are as secure as they ever were</p>\r\n<p>\r\nOn September the 10th, 2012 an anonymous malicious hacker released 10,000 pin codes onto the site paste bin dot com. How the attacker gained access to the codes is not known, but it is thought that it may be linked to a breach that occurred at the end of March 2012 to the Credit card processor Global Payments. That attack exposed 1.5 million consumers financial data. These codes have been confirmed by security experts to be legitimate and in wide spread use even today. Despite this exposure been \"common knowledge\" among the security community, major banks and credit card companies have yet to issue any statement on the breach.\r\n</p>\r\n<p>\r\nTired of waiting for action by big business, we bring you a list of the codes so you can check for yourself if your data is compromised.\r\n</p>',109,83,0,'CC-BY-SA','April fools, credit card pin, security',0,0,1),
(2000,'2016-04-01','How to Point a Satellite Dish',3958,'After 10 years, 3 months, 19 days of Procrastination, Ken finally delivers droops a show','\r\n<h2>Spoiler</h2>\r\n<p>Ken did not fall of the roof in a storm</p>\r\n\r\n<p>This show is dedicated to <strong>Procrastination</strong>, <em>the avoidance of doing a task which needs to be accomplished</em>.</p>\r\n<p>I\'ve been trying to record this particular show for ages but I can never seem to finish it. I find the topic just too interesting. When I start then I get distracted by some other aspect. Every time I try to record it Murphy gets in the way, with lost recordings and broken cards etc. This is the email that prompted this show.</p>\r\n<pre><code>-------- Forwarded Message --------\r\nSubject: TWAT - Satellite communications\r\nDate: Tue, 13 Dec 2005 12:00:54 +0100\r\n\r\nHi Droops,\r\n\r\nI heard your call for content and I\'d like to send you some shows. I\r\ndon\'t have a lot of spare time with work and a young family so I can\'t\r\ndo a regular show but I can send you a series on a topic. I was\r\nthinking of doing a series on Satellite Communications.\r\n...\r\nKen\r\n</code></pre>\r\n<p><a href=\"https://en.wikipedia.org/wiki/Murphy%27s_law\">https://en.wikipedia.org/wiki/Murphy%27s_law</a></p>\r\n<p>So after eleven years, I set the deadline of episode 2000 to force myself to finish this show.</p>\r\n<p>Let\'s start.</p>\r\n<h1>What are orbits ?</h1>\r\n<p><a href=\"https://en.wikipedia.org/wiki/Orbit\">https://en.wikipedia.org/wiki/Orbit</a></p>\r\n<p>In physics, an orbit is the gravitationally curved path of an object about a point in space, for example the orbit of a planet about a star or a natural satellite around a planet. Orbits of planets are typically elliptical, and the central mass being orbited is at a focal point of the ellipse.</p>\r\n<p>Newton\'s cannonball was a thought experiment Isaac Newton used to hypothesize that the force of gravity was universal, and it was the key force for planetary motion. It appeared in his book A Treatise of the System of the World.</p>\r\n<p><a href=\"https://en.wikipedia.org/wiki/Newton%27s_cannonball\">https://en.wikipedia.org/wiki/Newton%27s_cannonball</a></p>\r\n<p><a href=\"https://upload.wikimedia.org/wikipedia/commons/7/73/Newton_Cannon.svg\">https://upload.wikimedia.org/wikipedia/commons/7/73/Newton_Cannon.svg</a></p>\r\n<p><a href=\"https://upload.wikimedia.org/wikipedia/commons/7/73/Newton_Cannon.svg\"><img src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/7/73/Newton_Cannon.svg/240px-Newton_Cannon.svg.png\"/></a></p>\r\n<ul>\r\n<li>No orbit</li>\r\n<li>Suborbital trajectories, trajectory intersects the atmosphere so that it does not complete one orbital revolution.</li>\r\n<li>Orbital trajectories (or simply \"orbits\")</li>\r\n<li>Open (or escape) trajectories</li>\r\n</ul>\r\n<p>It is worth noting that orbital rockets are launched vertically at first to lift the rocket above the atmosphere (which causes frictional drag), and then slowly pitch over and finish firing the rocket engine parallel to the atmosphere to achieve orbit speed.</p>\r\n<p>Once in orbit, their speed keeps them in orbit above the atmosphere. If e.g., an elliptical orbit dips into dense air, the object will lose speed and re-enter (i.e. fall). Occasionally a space craft will intentionally intercept the atmosphere, in an act commonly referred to as an aerobraking maneuver.</p>\r\n<h1>Types of orbits</h1>\r\n<p>There are many ways to classify orbits </p>\r\n<p><a href=\"https://en.wikipedia.org/wiki/List_of_orbits\">https://en.wikipedia.org/wiki/List_of_orbits</a></p>\r\n<p>The choice of which orbit to use is based on the intended purpose of the satellite. </p>\r\n<ul>\r\n<li>Centric classifications: Based on what they orbit</li>\r\n<li>Altitude classifications: Based on how high they are</li>\r\n<li>Inclination classifications: Based on the angle of rotation with respect to the Equator. </li>\r\n<li>Eccentricity classifications: Based on their path</li>\r\n<li>Synchronicity classifications: Based on how often they rotate</li>\r\n</ul>\r\n<h2>Low Earth orbit (LEO)</h2>\r\n<p>0 to 2,000 km (0–1,240 miles).</p>\r\n<ul>\r\n<li>0 km / mi - Sea Level.</li>\r\n<li>37.6 km / 23.4 mi - Self Propelled Jet Aircraft Flight Ceiling (Record Set in 1977).</li>\r\n<li>215 km / 133.6 mi - Sputnik-1 The first artificial satellite of earth.</li>\r\n<li>340 km / 211.3 mi - International Space Station.</li>\r\n<li>390 km / 242.3 mi - Former Russian Space Station MIR.</li>\r\n<li>595 km / 369.7 mi - Hubble Space Telescope.</li>\r\n<li>600 - 800 km / 372.8 - 497.1 mi - Sun-synchronous Satellites.</li>\r\n</ul>\r\n<p>These satellites orbit the Earth in near exact polar orbits north to south. They cross the equator multiple times per day and each time they are at the same anglewith respect to the sun. Satellites on these types of orbits are particularly useful for capturing images of the Earth’s surface or images of the sun</p>\r\n<h2>Medium Earth orbit (MEO)</h2>\r\n<p>Geocentric orbits ranging in altitude from 2,000 km (1,240 miles) to just below geosynchronous orbit at 35,786 kilometers (22,236 mi). </p>\r\n<p>GPS (Global Positioning System) Satellites reside here. These Satellites are on a Semi-synchronous Orbit (SSO) meaning that they orbit the earth in exactly 12 hours (twice per day)</p>\r\n<h2>Geosynchronous orbit (GSO) and Geostationary orbit (GEO)</h2>\r\n<p>Orbits around Earth matching Earth\'s sidereal rotation period. 42,164 km (26,199 mi). Sidereal time is a \"time scale that is based on the Earth\'s rate of rotation measured relative to the fixed stars\" rather than the Sun.\r\n<a href=\"https://en.wikipedia.org/wiki/Sidereal_time\">https://en.wikipedia.org/wiki/Sidereal_time</a></p>\r\n<p>Geosynchronous satellites orbit the Earth at the same rate that the Earth rotates. Thus they remain stationary over a single line of longitude. A geostationary satellite will remain in a fixed location as observed from the surface of the earth, allowing a satellite dish to be alligned to it.</p>\r\n<p><a href=\"https://upload.wikimedia.org/wikipedia/commons/5/50/Geostationaryjava3D.gif\"><img alt=\"File:Geostationaryjava3D.gif\" src=\"https://upload.wikimedia.org/wikipedia/commons/5/50/Geostationaryjava3D.gif\" width=\"220\" height=\"220\" data-file-width=\"220\" data-file-height=\"220\"/></a></p>\r\n<h2>High Earth orbit</h2>\r\n<p>Geocentric orbits above the altitude of geosynchronous orbit 35,786 km (22,240 miles).</p>\r\n<h2>Polar orbits</h2>\r\n<p>They are often used for earth-mapping, earth observation, capturing the earth as time passes from one point, reconnaissance satellites, as well as for some weather satellites. The Iridium satellite constellation also uses a polar orbit to provide telecommunications services. The disadvantage to this orbit is that no one spot on the Earth\'s surface can be sensed continuously from a satellite in a polar orbit.</p>\r\n<h2>Molniya orbit</h2>\r\n<p>Orbita was a system that consisted of 3 highly elliptical Molniya satellites, Moscow-based ground uplink facilities and about 20 downlink stations, located in cities and towns of remote regions of Siberia and Far East. Each station had a 12-meter receiving parabolic antenna and transmitters for re-broadcasting TV signal to local householders.</p>\r\n<p><a href=\"https://en.wikipedia.org/wiki/Molniya_orbit\">https://en.wikipedia.org/wiki/Molniya_orbit</a></p>\r\n<p><a href=\"https://upload.wikimedia.org/wikipedia/commons/8/82/Orbitalaltitudes.jpg\"><img src =\"https://upload.wikimedia.org/wikipedia/commons/thumb/8/82/Orbitalaltitudes.jpg/700px-Orbitalaltitudes.jpg\" alt=\"A perfectly scaled diagram showing the orbital altitudes of several significant satellites of earth. all planets and orbital distances are drawn to scale and the altitude data was collected from many Wikipedia articles and various other sites.\"/></a></p>\r\n<p><a href=\"https://upload.wikimedia.org/wikipedia/commons/8/82/Orbitalaltitudes.jpg\">https://upload.wikimedia.org/wikipedia/commons/8/82/Orbitalaltitudes.jpg</a></p>\r\n<h3>Atmospheric electromagnetic opacity</h3>\r\n<p><a href=\"https://upload.wikimedia.org/wikipedia/commons/3/34/Atmospheric_electromagnetic_opacity.svg\" ><img src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/3/34/Atmospheric_electromagnetic_opacity.svg/800px-Atmospheric_electromagnetic_opacity.svg.png\" alt=\"Atmospheric electromagnetic opacity\"/></a></p>\r\n<h1>Satelites</h1>\r\n<h2>Sputnik 1</h2>\r\n<p>https://en.wikipedia.org/wiki/Sputnik_1</p>\r\n<p>Sputnik 1 was the first artificial Earth satellite. The Soviet Union launched it into an elliptical low Earth orbit on October 4, 1957. It was a 58 cm (23 in) diameter polished metal sphere, with four external radio antennae to broadcast radio pulses. It was visible all around the Earth and its radio pulses were detectable. This surprise success precipitated the American Sputnik crisis and triggered the Space Race, a part of the larger Cold War. The launch ushered in new political, military, technological, and scientific developments.</p>\r\n<h2>ProtoStar II Mission Overview</h2>\r\n<p><a href=\"https://www.ilslaunch.com/sites/default/files/pdf/A2G_MO.pdf\">https://www.ilslaunch.com/sites/default/files/pdf/A2G_MO.pdf</a></p>\r\n<h3>ASTRA 2G SATELLITE MISSION</h3>\r\n<p>ASTRA 2G is the third spacecraft of a three satellite investment programme (ASTRA 2E, 2F and 2G) that SES contracted with Airbus Defence and Space in order to provide replacement as well as incremental satellite capacity in the orbital arc of 28.2/28.5 degrees East. </p>\r\n<p>ASTRA 2G carries 62 Ku-band transponders as well as 4 Ka-band transponders. The different beams provide coverage over the UK and Ireland, Europe and West Africa.</p>\r\n<p><a href=\"https://www.ses.com/4628824/astra-2g\"><img src=\"https://sat.ses.com/webservice/images/12494520\" width=\"80%\" alt=\"The footprint over Ireland and the UK\" /></a></p>\r\n<p><a href=\"https://www.ses.com/4628824/astra-2g\">https://www.ses.com/4628824/astra-2g</a></p>\r\n<h2>Components of a Communications Satelites</h2>\r\n<ul>\r\n<li>Rocket motors</li>\r\n<li>Fuel tanks</li>\r\n<li>Solar panels</li>\r\n<li>Batteries</li>\r\n<li>Computer</li>\r\n<li>Antennas and transceivers/transponders</li>\r\n</ul>\r\n<p><a href=\"https://en.wikipedia.org/wiki/Transponder_%28satellite_communications%29\">https://en.wikipedia.org/wiki/Transponder_%28satellite_communications%29</a></p>\r\n<p>The word \"transponder\" is derived from the words \"transmitter\" and \"responder.\" </p>\r\n<p>A communications satellite\'s transponder is the series of interconnected units that form a communications channel between the receiving and the transmitting antennas. It is mainly used in satellite communication to transfer the received signals.</p>\r\n<p>A transponder is typically composed of</p>\r\n<ul>\r\n<li>An input band limiting device (a band pass filter)</li>\r\n<li>An input low-noise amplifier (LNA), designed to amplify the (normally very weak, because of the large distances involved) signals received from the earth station</li>\r\n<li>A frequency translator (normally composed of an oscillator and a frequency mixer) used to convert the frequency of the received signal to the frequency required for the transmitted signal</li>\r\n<li>An output band pass filter</li>\r\n<li>A power amplifier (this can be a traveling-wave tube or a solid state amplifier)</li>\r\n</ul>\r\n<p><a href=\"https://www.jsati.com/why-satellite-how-Spacesegment4.asp\">https://www.jsati.com/why-satellite-how-Spacesegment4.asp</a></p>\r\n<h2>Boeing commercial communications satellites geosynchronous orbit</h2>\r\n<p><a href=\"https://www.boeingimages.com/Docs/BOE/Media/TR3_WATERMARKED/1/a/2/a/BI231995.jpg\"><img width=\"80%\" src=\"https://www.boeingimages.com/Docs/BOE/Media/TR3_WATERMARKED/1/a/2/a/BI231995.jpg\" alt=\"boeing commercial communications satellites geosynchronous orbit\"/></a></p>\r\n<p><a href=\"https://www.boeingimages.com/Docs/BOE/Media/TR3_WATERMARKED/1/a/2/a/BI231995.jpg\">https://www.boeingimages.com/Docs/BOE/Media/TR3_WATERMARKED/1/a/2/a/BI231995.jpg</a></p>\r\n<h1>Finding Astra 28.2E</h1>\r\n<p>This is one of the many sites that will give you a birds eye view of where you need to point your dish.</p>\r\n<p><a href=\"https://www.dishpointer.com/\">https://www.dishpointer.com/</a></p>\r\n<p>Terms needed when pointing a dish</p>\r\n<p><a href=\"https://commons.wikimedia.org/wiki/File:Azimut_altitude.svg\"><img src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Azimuth-Altitude_schematic.svg/350px-Azimuth-Altitude_schematic.svg.png\" alt=\"The azimuth is the angle formed between a reference direction (North) and a line from the observer to a point of interest projected on the same plane as the reference direction orthogonal to the zenith\"/></a></p>\r\n<p><a href=\"https://commons.wikimedia.org/wiki/File:Azimut_altitude.svg\">https://commons.wikimedia.org/wiki/File:Azimut_altitude.svg</a></p>\r\n<p><img src=\"https://www.hackerpublicradio.org/eps/hpr2000/sat_finder_01.png\" alt=\"screen shot of the dispointer page\"/></p>\r\n<p>The Dish, on Kens Roof.</p>\r\n<p><a href=\"https://www.hackerpublicradio.org/eps/hpr2000/kens_sat.jpg\"><img width=\"80%\" src=\"https://www.hackerpublicradio.org/eps/hpr2000/kens_sat_small.jpg\" alt=\"Ken Sat Dish\"/></a></p>\r\n<p>Reading the elevation from the dish assembley.</p>\r\n<p><a href=\"https://www.hackerpublicradio.org/eps/hpr2000/elevation.jpg\"><img width=\"80%\" src=\"https://www.hackerpublicradio.org/eps/hpr2000/elevation_small.jpg\" alt=\"\"/></a></p>\r\n<h1>FreeSat</h1>\r\n<p>Freesat is broadcast from the same satellites (Astra 28.2E and Eurobird 1) as Sky Digital.</p>\r\n<p>This is a list of all of the free-to-air channels that are currently available via satellite from SES Astra satellites (Astra 2E/2F/2G) located at 28.2 °E. </p>\r\n<p><a href=\"https://en.wikipedia.org/wiki/List_of_free-to-air_channels_at_28%C2%B0E\">https://en.wikipedia.org/wiki/List_of_free-to-air_channels_at_28%C2%B0E</a></p>\r\n<p>Here is a link to a page on how to get mythtv working with FreeSat.</p>\r\n<p><a href=\"https://parker1.co.uk/mythtv_freesat.php\">https://parker1.co.uk/mythtv_freesat.php</a></p>\r\n',30,83,1,'CC-BY-SA','procrastination,orbit,satellite,satellite dish',0,0,1),
(1654,'2014-12-04','Using AS numbers to identify where you are on the Internet',1204,'ASN uniquely identifies each network on the Internet','<p>\r\nI have a laptop and I want it to use different configurations depending on where I am. If I’m on wifi at home, I don’t want my NAS mounted, but if I’m on a wired connection I do. If I’m at work I want to connect to various servers there. If I’m in the train I want to setup a vpn tunnel. You get the idea.\r\n</p>\r\n<p>\r\nMy solution to this was to approach it from the laptop and go out. So to look around and see what network I was on. There are a few ways to approach this, you could look at your IP address, the arp tables, try and ping a known server in each location. The issue with looking at an IP address is that most networks use Private Networks. Very soon you will find that the wifi coffee shop happens to have picked the same range as you use at home and now your laptop is trying to backup to their cash register.\r\n</p>\r\n<p>\r\nThen I was thinking that I’m approaching this problem from the wrong angle. Why not start with my public IP address range, which has to be unique, and work back from there to my laptop. From there I was planning on maintaining a look-up table of public IP addresses, along the lines of the GeoIP tools developed by MaxMind.\r\n</p>\r\n<p>\r\nBy Accident I found out that geoiplookup supports AS Number\r\n</p>\r\n<blockquote>\r\nFrom WikiPedia: Autonomous System (Internet)<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Autonomous_System_%28Internet%29\">https://en.wikipedia.org/wiki/Autonomous_System_%28Internet%29</a><br />\r\nISP must have an officially registered autonomous system number (ASN). A unique ASN is allocated to each AS for use in BGP routing. AS numbers are important because the ASN uniquely identifies each network on the Internet.\r\n</blockquote>\r\n<p>\r\nSo what that is saying is that every network in the Inter(connected)Net(work), must have it’s own unique AS Number. From there I was able to write a script to easily manage my laptops behaviour based on both location and connection type</p>\r\n<p>\r\nSee <a href=\"https://kenfallon.com/scripts-based-on-your-network-location/\">https://kenfallon.com/scripts-based-on-your-network-location/</a> for the complete article and scripts.</p>\r\n\r\n\r\n',30,0,0,'CC-BY-SA','Autonomous System Number,ASN,geoiplookup',0,0,1),
(1656,'2014-12-08','My audio player collection',1278,'I describe the collection of audio players I use for listening to podcasts','<h1 id=\"my-audio-player-collection\">My Audio Player Collection</h1>\r\n<p>I got broadband installed in my house in 2005 after I\'d bought my first PC. I\'d owned a lot of PCs before that, but they had all been cast-offs from the university I was working at, and I accessed the Internet via dial-up to my work.</p>\r\n<p>This was around the time I got sick of listening to the radio and first discovered podcasts, and so I decided I wanted a portable audio player (or <em>MP3 Player</em> as they tended to be called back then).</p>\r\n<p>Since then I have been listening to podcasts pretty much all of the time and have worked my way through a number of players. I thought it might be interesting if I chronicled the devices I have owned in the past 9-10 years.</p>\r\n<p>The full show notes for this episode are available at: <a href=\"https://hackerpublicradio.org/eps/hpr1656_full_shownotes.html\">hpr1656_full_shownotes.html</a></p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Full show notes <a href=\"https://hackerpublicradio.org/eps/hpr1656_full_shownotes.html\">hpr1656_full_shownotes.html</a></li>\r\n<li>Rockbox <a href=\"https://www.rockbox.org/\">https://www.rockbox.org/</a></li>\r\n<li>SanDisk Sansa range <a href=\"https://en.wikipedia.org/wiki/SanDisk_Sansa\">https://en.wikipedia.org/wiki/SanDisk_Sansa</a></li>\r\n<li>iRiver H10 series <a href=\"https://en.wikipedia.org/wiki/Iriver_H10_series\">https://en.wikipedia.org/wiki/Iriver_H10_series</a></li>\r\n<li>Apple iPod mini <a href=\"https://en.wikipedia.org/wiki/IPod_Mini\">https://en.wikipedia.org/wiki/IPod_Mini</a></li>\r\n</ul>\r\n\r\n',225,0,1,'CC-BY-SA','audio player,podcast,Rockbox',0,0,1),
(1657,'2014-12-09','Hacking Gutenberg eBooks',1623,'I talk about ebook formatting and how to customize an ebook from Project Gutenberg','<h3>Links to stuff I mentioned in the podcast:</h3>\r\n\r\n<ul>\r\n<li>Project Gutenberg: <a href=\"https://www.gutenberg.org/\">https://www.gutenberg.org/</a>\r\n</li>\r\n<li>\"Washington Square\" by Henry James: <a href=\"https://www.gutenberg.org/ebooks/2870\">https://www.gutenberg.org/ebooks/2870</a>\r\n</li>\r\n<li>Calibre ebook manager: <a href=\"https://calibre-ebook.com/\">https://calibre-ebook.com/</a>\r\n</li>\r\n<li>My \"basic ebook\" css file: <a href=\"https://paste.jonkulp.net/bokehecisa.css\">https://paste.jonkulp.net/bokehecisa.css</a>\r\n</li>\r\n</ul>',238,0,0,'CC-BY-SA','ebooks, html, css, hacks',0,0,1),
(1658,'2014-12-10','Cool Stuff Part 2',1177,'CPrompt talks about some more cool stuff that he has discovered','<p>\r\nToday I Found Out: <a href=\"https://www.todayifoundout.com/\">https://www.todayifoundout.com/</a>\r\n</p>\r\n<p>\r\nDaily Knowledge Podcast: <a href=\"https://www.todayifoundout.com/index.php/category/podcast/\">https://www.todayifoundout.com/index.php/category/podcast/</a>\r\n</p>\r\n<p>\r\nCommand Line Tips: using CTRL + Left / Right arrow will allow you to move through a long command word by word instead of moving through each letter.  Makes making adjustments to a long command much quicker.<br/>\r\nUse the \"cd -\" to move back and forth between previous directories. cd into a directory, then cd into a different one.  Now do \"cd -\" and you will be back to the first directory.  \r\n</p>\r\n<p>\r\nXFCE : script that uses xdtool to move window from one monitor to the next  <a href=\"https://makandracards.com/makandra/12447-how-to-move-a-window-to-the-next-monitor-on-xfce-xubuntu\">https://makandracards.com/makandra/12447-how-to-move-a-window-to-the-next-monitor-on-xfce-xubuntu</a>\r\n</p>\r\n<p>\r\nHyperkin Pixel Art Controller: <a href=\"https://hyperkin.com/hyperkin-pixel-art-controller-for-pc-mac-computers-1265.html\">https://hyperkin.com/hyperkin-pixel-art-controller-for-pc-mac-computers-1265.html</a>. Use with the SNES9x emulator.  Works very well\r\n</p>\r\n',252,0,0,'CC-BY-SA','Today I Found Out,Daily Knowledge Podcast,command line,XFCE,Hyperkin Pixel Art Controller',0,0,1),
(1659,'2014-12-11','OggCamp Interview with Jon Archer',564,'A short interview with Jon Archer, UK Fedora Ambassador. ','<p>In today\'s show, <a href=\"https://corenominal.org\" title=\"Link to Philip\'s blog.\">Philip Newborough</a> interviews <a href=\"https://jonarcher.info/\" title=\"Jon Archer\'s homepage.\">Jon Archer</a>, the UK <a href=\"https://fedoraproject.org/wiki/Ambassadors\" title=\"More information about Fedora Ambassadors.\">Fedora Ambassador</a>.</p>\r\n\r\n<p>In the interview, Philip and Jon discuss:</p>\r\n\r\n<ul>\r\n    <li>Jon\'s role as a Fedora Ambassador</li>\r\n    <li>Recent happenings in the land of Fedora</li>\r\n    <li>Jon\'s involvement with the new UK Fedora Podcast</li>\r\n</ul>\r\n\r\n<p>The interview was conducted at <a href=\"https://oggcamp.org/\" title=\"Link to OggCamp website.\">OggCamp 14</a>, a free culture unconference, held in Oxford UK on the weekend of October 4th-5th 2014.</p>\r\n',287,78,0,'CC-BY-SA','oggcamp,oggcamp14',0,0,1),
(1661,'2014-12-15','OggCamp Interview with Paul Tansom',701,'A short interview with Paul Tansom of Code Club.','<p>In today\'s show, <a href=\"https://corenominal.org\" title=\"Link to Philip\'s blog.\">Philip Newborough</a> interviews <a href=\"https://twitter.com/aptanet\" title=\"Paul Tansom on Twitter.\">Paul Tansom</a>, a regional co-ordinator for <a href=\"https://www.codeclub.org.uk/\" title=\"Code Club.\">Code Club</a>.</p>\r\n\r\n<p>In the interview, Philip and Paul discuss:</p>\r\n\r\n<ul>\r\n    <li>What\'s involved in being a Code Club volunteer</li>\r\n    <li>How to get involved</li>\r\n    <li>How Code Club and the UK national curriculum compliment each other</li>\r\n    <li>Code Club Pro</li>\r\n</ul>\r\n\r\n<p>The interview was conducted at <a href=\"https://oggcamp.org/\" title=\"Link to OggCamp website.\">OggCamp 14</a>, a free culture unconference, held in Oxford UK on the weekend of October 4th-5th 2014.</p>\r\n',287,78,0,'CC-BY-SA','oggcamp,oggcamp14',0,0,1),
(1660,'2014-12-12','Trying out Slackware',3926,'Slackware-newbie Beni is talking to long time Slackware user mcnalu','<p>\r\nmcnalu wrote a article about Slackware in Linux Voice, Issue 6.\r\n</p>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr1660_img.png\" alt=\"tux smokes a pipe with the hpr logo\" />\r\n<p>\r\n<a href=\"https://www.linuxvoice.com/issue-6/\">https://www.linuxvoice.com/issue-6/</a>\r\n</p>\r\n<p>\r\nBeni read this article which lead to him trying out Slackware and being very\r\nimpressed by its simplicity.\r\n</p>\r\n<p>\r\nThat\'s why he asked mcnalu to do a HPR episode about Slackware, which is\r\nprobably the oldest Linux Distro that\'s still around and whose developer follows\r\na no-nonsense strategy and is very conservative when it comes switching to new\r\nstuff that comes up in the Linux world (like PAM or systemd)\r\n</p>\r\n<p>\r\nThe distro is one of the if not the most Unix-like Linux distro. It uses a BSD\r\nstyle init system instead of widely used sysvinit.\r\n</p>\r\n<p>\r\nBeni and mcnalu talk about the installation process, finding dokumentation and\r\nwhy the website is outdated.\r\n</p>\r\n<p>\r\nFurther they discuss the package manager and what it means that it doesn\'t\r\nresolve dependencies. They also explain why this isn\'t necessariliy a bad\r\nthing and where to find binary packages.\r\n</p>\r\n<p>\r\nIn the end they talk about where the Slackware community meets and who is in\r\ncharge of Slackware.\r\n</p>\r\n<p>\r\n<a href=\"https://www.slackware.com/\">https://www.slackware.com/</a>\r\n<a href=\"https://en.wikipedia.org/wiki/Slackware\">https://en.wikipedia.org/wiki/Slackware</a>\r\n</p>\r\n<p>\r\nSlackware documentation isn\'t as good the BSDs dokumentation or the Arch\r\nWiki. But it\'s definitely getting better\r\n</p>\r\n<p>\r\n<a href=\"https://docs.slackware.com/\">https://docs.slackware.com/</a>\r\n</p>\r\n<p>\r\nand there is also \'Slackware essentials\', a book that\'s also available online:\r\n</p>\r\n<p>\r\n<a href=\"https://www.slackware.com/book/\">https://www.slackware.com/book/</a>\r\n</p>\r\n<p>\r\nThe Slackware forum on Linux Questions is pretty much the official Slackware\r\nforum:\r\n<a href=\"https://www.linuxquestions.org/questions/slackware-14/\">https://www.linuxquestions.org/questions/slackware-14/</a>\r\n</p>\r\n<p>\r\nmcnalu announced his Article in the Linux Questions forum:\r\n<a href=\"https://www.linuxquestions.org/questions/slackware-14/linux-voice-issue-6-a-4175513762/\">https://www.linuxquestions.org/questions/slackware-14/linux-voice-issue-6-a-4175513762/</a>\r\n</p>\r\n<p>\r\nTo support the development of Slackware you could buy yourself a Christmas\r\npresent from the Slackware store:\r\n</p>\r\n<p>\r\n<a href=\"https://store.slackware.com\">https://store.slackware.com</a>\r\n</p>\r\n',288,0,0,'CC-BY-SA','slackware, distro, linux',0,0,1),
(1662,'2014-12-16','LinuxLugCast Episode-001 Outtakes',5122,'Preshow and aftershow banter that does not get published through our normal feeds.','<p>\r\nSome good content that we do not publish.\r\n</p>\r\n<p>\r\n<a href=\"https://linuxlugcast.com/\">https://linuxlugcast.com/</a><br />\r\n<a href=\"https://linuxlugcast.com/?p=75\">https://linuxlugcast.com/?p=75</a>\r\n</p>',265,0,1,'CC-BY-SA','linuxlugcast,outtakes',0,0,1),
(1663,'2014-12-17','Interview with Greg Greenlee Founder of Blacks In Technology',3749,'Blacks In Technology is a tech focused community focused on increasing diversity in technology.','<p>\r\nIn todays show, Ken interviews Greg Greenlee Founder of Blacks In Technology\r\n</p>\r\n<p>\r\n<strong>The RSS Feed:</strong> <a href=\"https://www.spreaker.com/user/6698969/episodes/feed\">https://www.spreaker.com/user/6698969/episodes/feed</a>\r\n</p>\r\n<p>\r\nBlacks In Technology is a tech focused community and media organization focused on increasing diversity in technology. Blacks In Technology\'s mission is to increase visibility, participation, and change the perception of people of African descent in technology through community focused activities, events and media. Blacks In Technology (BIT) is \"Stomping the Divide\" by establishing a blueprint of world class technical excellence and innovation by providing resources, guidance and issuing a challenge to our members to surpass the high mark and establish new standards of global innovation.\r\n</p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://www.blacksintechnology.net/\">https://www.blacksintechnology.net/</a>\r\n</li>\r\n<li><a href=\"https://www.twitter.com/blkintechnology\">https://www.twitter.com/blkintechnology</a>\r\n</li>\r\n<li><a href=\"https://www.blacksintechnology.net/feed/rss/\">https://www.blacksintechnology.net/feed/rss/</a>\r\n</li>\r\n<li><a href=\"https://plus.google.com/+BlacksintechnologyNet/\">https://plus.google.com/+BlacksintechnologyNet/</a>\r\n</li>\r\n<li><a href=\"https://www.linkedin.com/groups/Blacks-In-Technology-1415387\">https://www.linkedin.com/groups/Blacks-In-Technology-1415387</a>\r\n</li>\r\n<li><a href=\"https://www.facebook.com/blacksintechnology\">https://www.facebook.com/blacksintechnology</a>\r\n</li>\r\n</ul>',30,78,1,'CC-BY-SA','Blacks in Technology,diversity,technology',0,0,1),
(1666,'2014-12-22','Bare Metal Programming on the Raspberry Pi (Part 3)',4158,'This episode, embedded programming, ARM co-processors and the ARM memory management unit.','<p>\r\nThis is the third episode in a series on bare metal programming on the Raspberry\r\nPi.  This episode rounds out my initial stab at doing a series on RPI embedded\r\nprogramming based on my summer vacation project.  This episode discusses how to \r\nwrite code with an eye towards using it in an embedded environment.  It \r\ncontinues with a discussion of how coprocessors fit into the ARM architecture.\r\nIt also describes how to manage coprocessors programatically in a very hackerish\r\nway using self-modifying code.  Finally, the episode describes how to enable the\r\nvirtual memory subsystem in the ARM as well as the cache.  It includes some\r\nperformance measurements of my code both with and without the cache enabled.\r\n</p>\r\n<p>\r\nHere is some of the source material that I reference in this episode.  See\r\nthe previous episode show notes for information on how to get your own\r\nbare metal Raspberry Pi setup up and running.\r\n</p>\r\n\r\n<h3>CATRPI</h3>\r\n\r\n<ul>\r\n<li>Homepage: <a href=\"https://gitorious.org/catrpi\">https://gitorious.org/catrpi</a>\r\n</li>\r\n<li>Git repo: git://gitorious.org/catrpi/catrpi.git\r\n</li>\r\n<li>My own repository of code that I wrote during this little project.\r\n</li>\r\n</ul>\r\n\r\n<h3>Hacker\'s Delight by Henry S. Warren Jr.</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://www.hackersdelight.org/\">https://www.hackersdelight.org/</a>\r\n</li>\r\n<li>A fantastic book on low level computer mathematics.  I find it a joy to read.\r\n   I cannot recommend it highly enough.  It belongs on anyone\'s shelf next\r\n   to Knuth and other \"programming bibles\".\r\n</li>\r\n</ul>\r\n\r\n<h3>ARM ARM</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://www.scss.tcd.ie/~waldroj/3d1/arm_arm.pdf\">https://www.scss.tcd.ie/~waldroj/3d1/arm_arm.pdf</a>\r\n</li>\r\n<li><a href=\"https://morrow.ece.wisc.edu/ECE353/arm_reference/ddi0100e_arm_arm.pdf\">https://morrow.ece.wisc.edu/ECE353/arm_reference/ddi0100e_arm_arm.pdf</a>\r\n</li>\r\n<li>Contains the ARM assembly language as well as chip architecture overview.\r\n</li>\r\n<li>You\'ll need the ARM 11 Architecture Reference Manual\r\n</li>\r\n</ul>\r\n\r\n<h3>ARM TRM</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://infocenter.arm.com/help/topic/com.arm.doc.ddi0301h/DDI0301H_arm1176jzfs_r0p7_trm.pdf\">https://infocenter.arm.com/help/topic/com.arm.doc.ddi0301h/DDI0301H_arm1176jzfs_r0p7_trm.pdf</a>\r\n</li>\r\n<li>Contains info about the specific SOC that the Raspberry PI uses\r\n</li>\r\n</ul>\r\n\r\n<h3>dwelch67\'s bare metal repository</h3>\r\n\r\n<ul>\r\n<li>As always, the best guide I know on this topic.  Very thorough and what I \r\n   used as my starting point.\r\n</li>\r\n<li><a href=\"https://github.com/dwelch67/raspberrypi\">https://github.com/dwelch67/raspberrypi</a>\r\n<p></p>\r\n</li>\r\n</ul>',259,25,0,'CC-BY-SA','Raspberry Pi,programming,ARM,co-processor,memory management unit',0,0,1),
(1667,'2014-12-23','How to start a Blog',798,'How to start a blog and why you might want to','<p>\r\nSo you want to start a blog?\r\n</p>\r\n<p>\r\nHere are some of the tings to think about:\r\n</p>\r\n\r\n<ul>\r\n<li>Why do you want to do a blog?\r\n</li>\r\n<li>What do you want to say?\r\n</li>\r\n<li>Who are your audience?\r\n</li>\r\n<li>Do you mean to promote the blog to a wider audience or do you just want to write?\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nThere are a number of popular and well known blogging engines and \r\nservices, these are just some of them:\r\n</p>\r\n\r\n<ul>\r\n<li>Wordpress: <a href=\"https://wordpress.com/\">https://wordpress.com/</a>\r\n</li>\r\n<li>Drupal: <a href=\"https://www.drupal.org/\">https://www.drupal.org/</a>\r\n</li>\r\n<li>Livejournal: <a href=\"https://www.livejournal.com/\">https://www.livejournal.com/</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nNikola is an excellent system for creating a web-site that includes \r\nboth static pages and a blog.  It has been covered before on HPR and \r\nit was that show that started me using it.\r\n</p>\r\n\r\n<ul>\r\n<li>Nikola: <a href=\"https://www.getnikola.com/\">https://www.getnikola.com/</a>\r\n<p></p>\r\nThe HPR show about Nikola, by Guitarman: <a href=\"https://hackerpublicradio.org/eps.php?id=1577\">https://hackerpublicradio.org/eps.php?id=1577</a>\r\n</li>\r\n</ul>\r\n\r\n<h3>Links</h3>\r\n\r\n<p>\r\nHere are links to a couple of my blogs:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://lajefa.net/\">https://lajefa.net/</a>\r\n</li>\r\n<li><a href=\"https://www.raspberryvi.org/rill/\">https://www.raspberryvi.org/rill/</a>\r\n<p></p>\r\nHappy blogging!\r\n</li>\r\n</ul>',291,0,1,'CC-BY-SA','Blog, wordpress, drupal, nikola, journal',0,0,1),
(1668,'2014-12-24','Nixstaller',3016,'Klaatu talks about Nixstaller. Packaging applications for GNU Linux and BSD','<p>\r\nCross-distro and -POSIX packages are easy with Nixstaller. (Note that\r\nthis pre-dates and is entirely unrelated to NixOS or Nix packages.)\r\n</p>\r\n<p>\r\nDownload Nixstaller from <a href=\"https://nixstaller.sourceforge.net\">https://nixstaller.sourceforge.net</a> and read\r\nthe docs there.\r\n</p>\r\n<p>\r\nReview the sample package templates included in the examples dir.\r\n</p>\r\n<p>\r\nGenerate an empty template dir with genprojdir.sh\r\n</p>\r\n<p>\r\nModify the config.lua and run.lua files to suit your needs.\r\n</p>\r\n<p>\r\nPlace your payload(s) into the appropriate folders.\r\n</p>\r\n<p>\r\nGenerate your re-distributable install file with geninstall.sh:\r\n</p>\r\n<p>\r\ngeninstall foo-1.0.0 foo.run\r\n</p>\r\n<p>\r\nThat\'s it!\r\n</p>',78,63,0,'CC-BY-SA','Nixstaller,packaging,GNU Linux,BSD',0,0,1),
(1669,'2014-12-25','New Retro Computing',1053,'NYbill talks about building a Micromite Companion ','<p>\r\nSorry for the bad audio in places here. My mic was giving me troubles. Also, I know I called MythTV, Mythbox. (Mythbox was the name I gave the computer that ran MythTV here way back when.)\r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>The Micromite Companion kit: <a href=\"https://propellerpowered.com/shop/?page_id=1946\">https://propellerpowered.com/shop/?page_id=1946</a>\r\n</li>\r\n<li>Build instructions: <a href=\"https://propellerpowered.com/forum/index.php?PHPSESSID=6ddf1cdf7dc34bdf34500d2b39581492&amp;topic=638.0\">https://propellerpowered.com/forum/index.php?PHPSESSID=6ddf1cdf7dc34bdf34500d2b39581492&amp;topic=638.0</a>\r\n</li>\r\n<li>The Retrobits podcast: <a href=\"https://www.retrobits.com/\">https://www.retrobits.com/</a>\r\n</li>\r\n<li>Pics of the build: <a href=\"https://media.gunmonkeynet.net/u/nybill/collection/micromite-companion-build/\">https://media.gunmonkeynet.net/u/nybill/collection/micromite-companion-build/</a>\r\n</li>\r\n</ul>',235,0,0,'CC-BY-SA','Micromite Companion,BASIC',0,0,1),
(1671,'2014-12-29','LinuxLugCast Episode-002 Outtakes',4913,'Some good content that we do not publish','<p>\r\nPreshow and aftershow banter that does not get published through our normal feeds. \r\n</p>\r\n<a href=\"https://linuxlugcast.com/?p=115\">https://linuxlugcast.com/?p=115</a>',265,0,1,'CC-BY-SA','linuxlugcast,outtakes',0,0,1),
(1672,'2014-12-30','Systemd for Learner Drivers ',1288,'How to drive systemd, without crashing the vehicle through arguing with your passenger.','<h1>systemd For Learner Drivers</h1>\n <p>A graphic to help out: <a href=\"https://hackerpublicradio.org/eps/hpr1672.svg\">https://hackerpublicradio.org/eps/hpr1672.svg</a></p>\n <p>This is a subject that attracts controversy, but I am not today going to be controversial, I hope. Many Linux systems are moving away from SysV Init and adopting systemd instead; both Linuxes that I use, Fedora and Mint have adopted systemd, and I understand that Debian has now forked to allow both sides of the argument to have their way. I am not going to get into the debate here. My personal stance is that I see both sides of the argument and I will continue to perch on top of the fence until systemd either proves itself or fails to do so.</p>\n <p>In this HPR I am going to try to fill a gap that I have seen in the systemd discussion; that is - how to operate it. I am not an expert on systemd, I have just tried to work it, and in doing so I have fished around in my file system and in the documentation. If you want to know what I found, then keep on listening. By way of opening I will remind myself, and you also, what systemd is replacing.</p>\n <p>SysV initd works with runlevels, the most common being</p>\n <ul>\n  <li>5 for graphical multiuser networked</li>\n  <li>3 for cli multiuser networked</li>\n  <li>1 for single user</li>\n  <li>6 for reboot</li>\n  <li>0 for halt</li>\n </ul>\n <p>In moving to a runlevel, unwanted services are shut down and wanted services are started up. For most users on most systems the most appropriate default runlevel is 5 giving multiuser, GUI &amp; networking. Services can be started and stopped on demand by inetd.</p>\n <p>systemd works differently. It has target units. For most users on most systems the most appropriate default target is the graphical.target, which does a similar thing to runlevel 5 . Units are configured by unit configuration files. These files may start other units and stop other units. They can impose sequence and dependancies. There is a lot of cascading going on, with unit launching unit launching unit. Units also can be started and stopped on demand by systemd.</p>\n <h2>Units</h2>\n <p>The term Unit refers to a resource that systemd is taking under its control. There are 12 different types of Unit.</p>\n <dl>\n  <dt><strong>systemd.service</strong></dt>\n  <dd>that starts/stops daemons</dd>\n  <dt><strong>systemd.socket</strong></dt>\n  <dd>activates network connections</dd>\n  <dt><strong>systemd.device</strong></dt>\n  <dd>activates kernel devices</dd>\n  <dt><strong>systemd.mount</strong></dt>\n  <dd>controls mount points</dd>\n  <dt><strong>systemd.automount</strong></dt>\n  <dd>provides on-demand mounting of file systems</dd>\n  <dt><strong>systemd.swap</strong></dt>\n  <dd>does for swap what systemd.mount does for filesystems</dd>\n  <dt><strong>systemd.scope</strong></dt>\n  <dd>starts/stops external processes</dd>\n  <dt><strong>systemd.target</strong></dt>\n  <dd>groups of services akin to init level 3, init level 5</dd>\n  <dt><strong>systemd.snapshot</strong></dt>\n  <dd>saves/restores the momentary state of other units</dd>\n  <dt><strong>systemd.timer</strong></dt>\n  <dd>triggers units based on date/time</dd>\n  <dt><strong>systemd.path</strong></dt>\n  <dd>trigger units based on changes in file system objects</dd>\n  <dd>organises units in a hierarchical tree of cgroups, for resource management purposes</dd>\n </dl>\n <p>Units files called by systemd live in <code>/etc/systemd/system</code>. But these are symbolic links to the real ones stored in <code>/usr/lib/systemd/system</code></p>\n <p>There is a parallel <code>/etc/systemd/user</code> structure which does not seem to do anything on my computers, so I work for now like its not there.</p>\n <p>There is also a <code>/run/systemd/system</code> structure which appears to contain runtime configuration files with names like <code>session-xxxx.scope</code>. These are the unit type for external processes.</p>\n <table border=\"1\" cellpadding=\"5\" cellspacing=\"5\" width=\"500\">\n  <caption>Table 1. Directory structure for systemd</caption>\n  <tr>\n   <th>Path</th>\n   <th>Description</th>\n  </tr>\n  <tr>\n   <td><code>/etc/systemd/system</code></td>\n   <td>Local configuration</td>\n  </tr>\n  <tr>\n   <td><code>/etc/systemd/user</code></td>\n   <td>User configuration</td>\n  </tr>\n  <tr>\n   <td><code>/run/systemd/system</code></td>\n   <td>Runtime units</td>\n  </tr>\n  <tr>\n   <td><code>/usr/lib/systemd/system</code></td>\n   <td>Units of installed packages</td>\n  </tr>\n </table>\n <h2>Directives</h2>\n <p>The next thing we need is Directives.</p>\n <p>The unit configuration files contain directives to start/stop a unit, and directives that cascade to other unit configuration files that start/stop dependant units. Directives may impose conditions on whether or when to call a unit. There are a whole bunch of different directives listed in man systemd.unit. These are a few.</p>\n <ul>\n  <li><code>Requires=</code> list of units to start. If any required units fail then abort this one</li>\n  <li><code>Conflicts=</code> list of units to stop</li>\n  <li><code>After=</code> the order in which units will start</li>\n  <li><code>Before=</code> the order in which units will start</li>\n  <li><code>Wants=</code> list of units to start. If any fail just continue anyway</li>\n </ul>\n <p>As well wanted units listed by the WANTS directive, there may also be a \'wants\' directory below the unit directory. So the unit conf file <code>/etc/systemd/system/default.target</code> will cause two further unit conf files to be read in from the <code>/etc/systemd/system/default.target.wants/</code> directory.</p>\n <p>Each required unit and wanted unit from the directives, as well as those in the wants directory are added to a job queue. If directives cascade to other unit files containing more directives then all of these dependences are also added to the job queue. A directive may start or stop another unit, or that change the detail of a job already in the queue. All directives ultimately cascade down to starting or stopping one of the base units in <code>/usr/lib/systemd/system</code>.</p>\n <p>To get a feel for how this all pans out in practice I will walk us through the cascade of unit files from bootup.</p>\n <h2>From Bootup</h2>\n <p>First, the default.taget is activated, which on my system is just a link to graphical.target</p>\n <h3>graphical.target</h3><pre>\n[Unit]\nDescription=Graphical Interface\nDocumentation=man:systemd.special(7)\nRequires=multi-user.target\nAfter=multi-user.target\nConflicts=rescue.target\nWants=display-manager.service\nAllowIsolate=yes\n</pre><p>Cascades to</p>\n <ul>\n  <li>start multi-user.target</li>\n  <li>start display-manager.service</li>\n  <li>stop rescue.target</li>\n </ul>\n <p>Also we have a wants directory <code>/etc/systemd/system/graphical.target.wants/</code> that</p>\n <ul>\n  <li>starts accounts-daemon.service (for logging)</li>\n  <li>starts rtkit-daemon.service (for realtime scheduling)</li>\n </ul>\n <h3>multi-user.target</h3>\n <p>graphical target cascaded to multi-user.target.</p><pre>\n[Unit]\nDescription=Multi-User System\nDocumentation=man:systemd.special(7)\nRequires=basic.target\nConflicts=rescue.service rescue.target\nAfter=basic.target rescue.service rescue.target\nAllowIsolate=yes\n</pre><p>Cascades to</p>\n <ul>\n  <li>start basic.target</li>\n  <li>stop rescue.service</li>\n  <li>stop rescue.target (again)</li>\n </ul>\n <p>Also we have a wants directory <code>/etc/systemd/system/multi-user.target.wants/</code> that</p><pre>\n- abrt-ccpp.service\n- abrtd.service\n- abrt-oops.service\n- abrt-vmcore.service\n- abrt-xorg.service\n- atd.service\n- auditd.service\n- avahi-daemon.service\n- chronyd.service\n- crond.service\n- cups.path\n- irqbalance.service\n- libvirtd.service\n- mcelog.service\n- mdmonitor.service\n- NetworkManager.service\n- nfs.target\n- remote-fs.target\n- rngd.service\n- rpcbind.service\n- rsyslog.service\n- smartd.service\n- vmtoolsd.service\n</pre><h3>display-manager.service</h3>\n <p>graphical.target also cascaded to display-manager.service which is not present on F20 so I guess we don\'t need it.</p>\n <h3>basic.target</h3>\n <p>So multiuser.target cascaded to basic.target, which itself cascades to</p><pre>\n- sysinit.target\n- sockets.target\n- timers.target\n- paths.target\n- slices.target\n- firewalld.service\n</pre><h3>sysinit.target</h3>\n <p>basic.target cascaded to sysinit.target which itself cascades to</p><pre>\n- local-fs.target \n- swap.target\n- dmraid-activation.service\n- iscsi.service\n- lvm2-monitor.service\n- multipathd.service ( which looks like all the file system daemons)\n</pre><h3>sockets.target</h3>\n <p>basic.target also cascaded to sockets.target which itself cascades to</p><pre>\n- avahi-daemon.socket\n- cups.socket\n- dm-event.socket\n- iscsid.socket\n- iscsiuio.socket\n- lvm2-lvmetad.socket\n- rpcbind.socket\n</pre><h3>End point</h3>\n <p>Now we start reaching the end-points of this trail at</p><pre>\n- systemd.sockets\n- systemd.timer\n- systemd.path\n- systemd.slice\n- systemd-fstab-generator\n</pre><p>By the time all of that has finished, if I type the command</p>\n <p><code># systemctl list-units --type service</code></p>\n <p>I see that 58 services are listed as running</p>\n <h2>Running and Configuring Services</h2>\n <p>If we are going to work with systemd we will have to give it instructions. In systemd parlance</p>\n <ul>\n  <li>active = running, currently in use</li>\n  <li>loaded = enabled, available for use</li>\n </ul>\n <p>These terms crop up in the output from commands</p>\n <p>Many instructions are given to systemd by the systemctl command.</p>\n <p>Now to compare line up some common SysV init tasks with their systemd equivalent</p>\n <table border=\"1\" cellpadding=\"5\" cellspacing=\"5\" width=\"500\">\n  <caption>Table 2. SysV init commands and their systemd equivalents</caption>\n  <tr>\n   <th>command</th>\n   <th>SysV Init</th>\n   <th>systemd</th>\n  </tr>\n  <tr>\n   <td>Check status</td>\n   <td><code># service bluetooth status</code></td>\n   <td><code># systemctl status bluetooth</code></td>\n  </tr>\n  <tr>\n   <td>Start</td>\n   <td><code># service bluetooth start</code></td>\n   <td><code># systemctl start bluetooth</code></td>\n  </tr>\n  <tr>\n   <td>Stop</td>\n   <td><code># service bluetooth stop</code></td>\n   <td><code># systemctl stop bluetooth</code></td>\n  </tr>\n  <tr>\n   <td>Enable</td>\n   <td><code># chkconfig --level 35 ntpd on</code></td>\n   <td><code># systemctl enable ntpd</code></td>\n  </tr>\n  <tr>\n   <td>Disable</td>\n   <td><code># chkconfig --level 35 ntpd off</code></td>\n   <td><code># systemctl disable ntpd</code></td>\n  </tr>\n </table>\n <h2>Journalctl Logging</h2>\n <p>Much has been said about the desirability or otherwise of binary logs, but systemd gives us these so we had better know what to do with them.</p>\n <p>Journal instructions are given to systemd by the journalctl command</p>\n <dl>\n  <dt>To view all log entries in one go. This is verbose, mine came out at ~9000 lines</dt>\n  <dd><code># journalctl</code></dd>\n  <dt>To view from a specific date</dt>\n  <dd><code># journalctl --since=\"2014-05-07\"</code></dd>\n  <dt>To view kernel logs</dt>\n  <dd><code># journalctl -k</code></dd>\n  <dt>To follow a log in realtime ... and then to close</dt>\n  <dd><code># journalctl -f<br /> ...<br /> # ctl-c</code></dd>\n  <dt>To view log entries associated with a given PID</dt>\n  <dd><code># journalctl _PID=1</code></dd>\n  <dt>To view log entries associated with a given service</dt>\n  <dd><code># journatlctl -u bluetooth</code></dd>\n </dl>\n <h2>Interrogating the system</h2>\n <h3>More systemd information</h3>\n <dl>\n  <dt>Get/Set system information. Works like uname, but is more verbose</dt>\n  <dd><code># hostnamectl</code></dd>\n  <dt>Get/Set timezone &amp; timedate info</dt>\n  <dd><code># timedatectl</code></dd>\n </dl>\n <table border=\"1\" cellpadding=\"5\" cellspacing=\"5\" width=\"800\">\n  <caption>Table 3. SysV init information and their systemd equivalents</caption>\n  <tr>\n   <th>SysV Init Info</th>\n   <th width=\"250\">SysV Init command</th>\n   <th>systemd info</th>\n   <th width=\"250\">systemd command</th>\n  </tr>\n  <tr>\n   <td>What services are available for init.d to manage</td>\n   <td><code># ls /etc/init.d</code></td>\n   <td>What service units are available for systemd to run</td>\n   <td><code># systemctl list-units --type service --all</code></td>\n  </tr>\n  <tr>\n   <td>What services are configured to be run by init.d for each run level</td>\n   <td><code># chkconfig --list</code></td>\n   <td>What service units are currently active</td>\n   <td><code># systemctl list-units --type service</code></td>\n  </tr>\n </table>\n <h2>References</h2>\n <ul>\n  <li>man pages for systemd, systemd.unit, systemctl, journalctl.<br /> Plus a bunch of other man pages that are SEE ALSO in these man pages.</li>\n  <li><a href=\"https://www.freedesktop.org/wiki/Software/systemd/\">systemd homepage</a></li>\n  <li><a href=\"https://blog.dmcip.com/2014/05/an-introduction-to-systemd/\">A useful systemd blog posting, by Adam Dean of Asterisk Telephones</a></li>\n  <li><a href=\"https://www.youtube.com/watch?v=BS8cdl7dOUI\">A useful youtube vid by George Magklaras, UNiversity of Oslo, Norway</a></li>\n </ul>',284,0,0,'CC-BY-SA','systemd, tutorial, howto',0,0,1),
(1700,'2015-02-06','Today with a Techie episode two thousand',619,'TWaT started 9 years, 3 months, 27 days ago and today we celebrate the first 2000 episodes','<p>Hacker Public Radio (HPR) is an Internet Radio show (podcast) that releases shows every weekday Monday through Friday. HPR has a long lineage going back to <a href=\"https://www.oldskoolphreak.com\" target=\"_blank\">Radio FreeK America</a>, <a href=\"https://www.binrev.com\" target=\"_blank\">Binary Revolution Radio</a> &amp; <a href=\"https://nomicon.info\" target=\"_blank\">Infonomicon</a>, and it is a direct continuation of <a href=\"https://twatech.org/\" target=\"_blank\">Twatech</a> radio. Please listen to StankDawg&#39;s &quot;<a href=\"https://hackerpublicradio.org/eps/hpr0001.mp3\" target=\"_blank\">Introduction to HPR</a>&quot; for more information.</p>\r\n\r\n<p>Knowing how much I hate editing, I hope everyone can get a sense for how much I appreciate all the people who took the time to contribute to the project.</p>\r\n\r\n<p>\r\nIf you haven\'t contributed a show yet, well today is a perfect day to get involved. Just click our contribute link: <a href=\"https://hackerpublicradio.org/contribute.php\">https://hackerpublicradio.org/contribute.php</a></p>',30,0,0,'CC-BY-SA','today with a techie,hacker public radio,hosts',0,0,1),
(1673,'2014-12-31','How I use ZFS on Linux',1037,'The ZFS file system and how I use it under Linux.','<p>\r\nOn the show today, I will tell you about how I use the ZFS file system on my home server. I also go into some details about how I came to use the ZFS, especially under Linux. I also tell you about a certain pitfall I ran into with the hard drives I chose for ZFS. And finally, I will refer you back to HPR episode 1600 by JWP for more information about ZFS, as he goes into great detail about it and its history.\r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1600\">https://hackerpublicradio.org/eps.php?id=1600</a>\r\n</li>\r\n<li><a href=\"https://zfsonlinux.org/\">https://zfsonlinux.org/</a>\r\n</li>\r\n<li><a href=\"https://www.backblaze.com/blog/hard-drive-reliability-update-september-2014/\">https://www.backblaze.com/blog/hard-drive-reliability-update-september-2014/</a>\r\n</li>\r\n</ul>',292,77,0,'CC-BY-SA','ZFS, zfsonlinux, linux',0,0,1),
(1681,'2015-01-12','2014-2015 New Year Show Part 8 of 8',13080,'New Year Show Part 8 from 08:00 to 12:00','<b>2015-01-01T08:00:00Z</b><br\r\n/>Mumble-2015-01-01-00-04-59-ch1.teamspeak.cc-Mixdown.ogg<br\r\n/><ul><li>Greetings to the western region of the United States, some regions of Canada and 2 more: Los Angeles, San Francisco, Las Vegas, Seattle.</li\r\n><li>pants.... really this is intelligent conversation</li\r\n><li>Pants are optional, I think. It\'s -20C.... pants are not optional</li\r\n><li>kilts are kreepy? or not. No they are not.</li\r\n><li>cobra2 thinks that ken should pay attention to show notes for editing lol. </li\r\n><li>pokey thinks this may be the show that finally convinces Ken to edit.</li\r\n><li>2nd there is a good hour that should not go onto the feed. it was rough on the stream</li\r\n><li>YAY TMI!!!</li\r\n><li>This is not the creamy part of the oreo. :(</li\r\n><li> this is the creamy salty part... of the oreo. </li\r\n><li>Sliders - tvshow added late by pegwole</li\r\n><li>dogs giving birth sounds better than singing over mumble</li\r\n><li><br/><br/><br\r\n/></li></ul\r\n><b>2015-01-01T09:00:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to Alaska and French Polynesia: Anchorage, Fairbanks, Unalaska, Juneau.</li\r\n><li>pokey  issues a challenge to the NYE participants: Judging by the show notes, we\'ve spent the last 6 hours taking every joke to the lowest common denominator. I\'d like to see an hour of greatest common factor.</li\r\n><li>Ken Talks about xmlstarlet and converting xml<br/><br\r\n/></li></ul\r\n><b>2015-01-01T09:30:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to Marquesas Islands/France. Taiohae.</li\r\n><li><br/></li></ul\r\n>\r\n<br\r\n/><ul><li>handsome_pirate talks about his model trains; he models the original Norfolk Southern in N scale</li\r\n><li>Some talks about about Scottish things, innacuracies in Braveheart, Gaidhligh has no \'W\'<br/><br\r\n/></li></ul\r\n><b>2015-01-01T10:00:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to small region of the United States and 2 more: Honolulu, Rarotonga, Adak, Papeete.</li\r\n><li>Youngins!</li\r\n><li>Kens Children talk about taking hard disks apart and put together an Ikea bookshelf.</li\r\n><li>Discussion on accessability in mumble Emil Ivov, the project lead of Jitsi. <a href=\"https://hackerpublicradio.org/eps.php?id=1454\">https://hackerpublicradio.org/eps.php?id=1454</a> Jits</li\r\n><li><br/><br/><br\r\n/></li></ul\r\n><b>2015-01-01T11:00:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to American Samoa, Midway Atoll and 1 more: Alofi, Midway, Pago Pago.</li\r\n><li>Use of federated tools like gnusocial quitter.se </li\r\n><li>Tech in Hungary - Internet tax</li\r\n><li>Irish expats can\'t vote</li\r\n><li>Scottish independance</li\r\n><li><a href=\"https://duffercast.org/about/the-hosts/\">https://duffercast.org/about/the-hosts/</a></li\r\n><li>Ken shares his saga on getting a Linux Laptop</li\r\n><li>UK Support say \"Lenovo UK does not restrict anything on the unit. You can install any  Operating system on the unit however we can only support the original  configuration of the unit. \"</li\r\n><li>Ken Asked \"Lenovo have shipped the IdeaPad Flex 10, without the ability to boot other operating systems, restricting the owner to running only the installed Windows 8.0 operating system.\"</li\r\n><li>Lenovo Replies: \"The first wave of this CPU model from Intel can only support Windows, this is not Lenovo design, all product with this wave CPU were not able to support other OS except Windows. After this wave, the follow on Flex10 will support other operating systems.\"</li\r\n><li>Open phones. <a href=\"https://en.wikipedia.org/wiki/List_of_open-source_mobile_phones\">https://en.wikipedia.org/wiki/List_of_open-source_mobile_phones</a><br/><br\r\n/></li></ul\r\n><b>2015-01-01T12:00:00Z</b><br\r\n/><br\r\n/><ul><li>Greetings to small region the United States: Baker Island, Howland Island.<br/><br\r\n/></li>\r\n<li>Script to convert url lists to OPML: <a href=\"https://gitlab.anhonesthost.com/HPR/HPR_Public_Code/blob/master/misc/convert-mashpodder-to-opml.bash\">https://gitlab.anhonesthost.com/HPR/HPR_Public_Code/blob/master/misc/convert-mashpodder-to-opml.bash</a></li>\r\n<li>The End!<br/><br\r\n/></li\r\n><li> <a href=\"https://en.wikipedia.org/wiki/Auld_Lang_Syne\">https://en.wikipedia.org/wiki/Auld_Lang_Syne</a><br/><br\r\n/><br/><br\r\n/><br/><br\r\n/></li></ul\r\n><b><i>Auld Lang Syne</i></b><br\r\n/><br\r\n/><i>Should auld acquaintance be forgot, </i><br\r\n/><i>And never brought to mind? </i><br\r\n/><i>Should auld acquaintance be forgot, </i><br\r\n/><i>And days o’ lang syne!</i><br\r\n/><br\r\n/><b><i>Chorus:</i></b><br\r\n/><i>For auld lang syne, my dear </i><br\r\n/><i>For auld lang syne, </i><br\r\n/><i>We’ll tak a cup o’ kindness yet </i><br\r\n/><i>For auld lang syne!               </i><br\r\n/><i>We twa hae run about the braes, </i><br\r\n/><i>And pu’d the gowans fine, </i><br\r\n/><i>But we’ve wander’d mony a weary foot </i><br\r\n/><i>Sin’ auld lang syne.</i><br\r\n/><i>             </i><br\r\n/><i>We twa hae paidl’t in the burn </i><br\r\n/><i>Frae morning sun till dine, </i><br\r\n/><i>But seas between us braid hae roar’d </i><br\r\n/><i>Sin’ auld lang syne.</i><br\r\n/><i>             </i><br\r\n/><i>And there’s a hand, my trusty fiere, </i><br\r\n/><i>And gie’s a hand o’ thine, </i><br\r\n/><i>And we’ll tak a right guid willie-waught </i><br\r\n/><i>For auld lang syne!</i><br\r\n/><i>             </i><br\r\n/><i>And surely ye’ll be your pint’ stoup, </i><br\r\n/><i>And surely I’ll be mine! </i><br\r\n/><i>And we’ll tak a cup o’ kindness yet </i><br\r\n/><i>For auld lang syne!</i><br\r\n/><br\r\n/>Count down script<br\r\n/>$ while [[ $(date +%Y) -ne 2015 ]];do figlet $(($(date -d 2015-01-01  +%s)-$(date +%s)));sleep 1;clear;done;figlet \'Happy New Year!\'<br\r\n/><br\r\n/><b>Thanks To:</b><br\r\n/>Mumble Server: John Neusteter<br\r\n/>HPR Site/VPS: Joshua Knapp - AnHonestHost.com<br\r\n/>Streams: Kevin Wisher - <a href=\"https://www.linuxlugcast.com\">https://www.linuxlugcast.com</a><br\r\n/>Admin Support: cobra2    <br\r\n/>EtherPad: Russ Woodman - K5TUX<br\r\n/><br\r\n/>Peak Listeners on stream: 45<br\r\n/>Mumble Participants: 74<br\r\n/>Arjun.ext<br\r\n/>b<br\r\n/>bambiker<br\r\n/>Beeza<br\r\n/>Bill_MI<br\r\n/>Broam<br\r\n/>chalkahlom<br\r\n/>claudiom<br\r\n/>cobra2<br\r\n/>cogs<br\r\n/>Colin<br\r\n/>danns<br\r\n/>Danyel_Tiger<br\r\n/>davidWHITMAN<br\r\n/>deltaray<br\r\n/>delwin<br\r\n/>DrSeussOfPorn<br\r\n/>dude-man<br\r\n/>Epicanis<br\r\n/>fatherfinch<br\r\n/>FiftyOneFifty<br\r\n/>FlyingRichHCSC<br\r\n/>fredmorcos<br\r\n/>FXBOY4EVA<br\r\n/>HarryGuerrilla<br\r\n/>honkeymagoo<br\r\n/>hpirate<br\r\n/>jkib<br\r\n/>jnadeau<br\r\n/>jneusteter<br\r\n/>JoeRess<br\r\n/>JonDoeLocksmith<br\r\n/>Jon-KT4KB<br\r\n/>JonTheNiceGuy<br\r\n/>K5TUX<br\r\n/>ken_fallon<br\r\n/>Knightwise<br\r\n/>kt4kb_<br\r\n/>KWisher<br\r\n/>lgx<br\r\n/>linuxinsider<br\r\n/>Lord_D<br\r\n/>MarkWaters<br\r\n/>mcnalu<br\r\n/>MikeRay<br\r\n/>Mint-Jack<br\r\n/>mpbaird<br\r\n/>MrGadgets<br\r\n/>mrx<br\r\n/>n0wje<br\r\n/>neurosis<br\r\n/>notklaatu<br\r\n/>perlist<br\r\n/>pokey<br\r\n/>popey<br\r\n/>riddlebox<br\r\n/>RobH<br\r\n/>SamWhited<br\r\n/>schism<br\r\n/>sebsebsebMageia4<br\r\n/>Seetee<br\r\n/>Shadow<br\r\n/>SndChaser<br\r\n/>Tally<br\r\n/>Thaj<br\r\n/>thelastknowngod<br\r\n/>ThistleWeb<br\r\n/>threethirty<br\r\n/>tjwehrley<br\r\n/>Underruner<br\r\n/>Urugami<br\r\n/>useruser<br\r\n/>Velkro<br\r\n/><br\r\n/>Podcasts:<br\r\n/><br\r\n/><br\r\n/><a href=\"https://www.jupiterbroadcasting.com/show/techsnap/\">https://www.jupiterbroadcasting.com/show/techsnap/</a> (TechSNAPP - sysadmin techy stuff)<br\r\n/><a href=\"https://www.jupiterbroadcasting.com/show/unfilter/\">https://www.jupiterbroadcasting.com/show/unfilter/</a> (political media coverage)<br\r\n/><a href=\"https://www.dancarlin.com/common-sense-home-landing-page/\">https://www.dancarlin.com/common-sense-home-landing-page/</a> (politicial media)<br\r\n/><a href=\"https://www.dancarlin.com/home-hh-54/\">https://www.dancarlin.com/home-hh-54/</a> (hardcore history, for history buffs)<br\r\n/><a href=\"https://podcasts.joerogan.net/\">https://podcasts.joerogan.net/</a> Joe Rogan interviews all types of people<br\r\n/><a href=\"https://www.linuxlugcast.com\">https://www.linuxlugcast.com</a><br\r\n/><a href=\"https://duffercast.org/about/the-hosts/\">https://duffercast.org/about/the-hosts/</a><br\r\n/><a href=\"https://www.todayifoundout.com/index.php/category/podcast/\">https://www.todayifoundout.com/index.php/category/podcast/</a><br\r\n/>\r\n<br />\r\n<a href=\"https://hackerpublicradio.org/eps/hpr1681_mumble.log\">https://hackerpublicradio.org/eps/hpr1681_mumble.log</a><br />\r\n<a href=\"https://hackerpublicradio.org/eps/hpr1681_irc.log\">https://hackerpublicradio.org/eps/hpr1681_irc.log</a><br />\r\n',159,121,1,'CC-BY-SA','New Year,2015',0,0,1),
(1686,'2015-01-19','Interview with Joel Gibbard of OpenHand',1619,'An interview with Joel Gibbard founder of the prize winning Openhand project','<p>\r\nThis show is an interview with Joel Gibbard founder of the OpenHand project. \r\nThe interview was recorded on my phone which unfortunately created a few glitches. \r\nI\'ve cleaned the audio up as best I can. Although frustrating, the occasional glitches have not caused anything to be missed that cannot be inferred from the context of the recording. \r\n</p>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr1686.jpg\" width=\"80%\" alt=\"photo of the hand\"/>\r\n<p>\r\nAfter creating an artificial hand for his degree project Joel Gibbard wanted to continue the work on the hand with the goal of producing a workable prosthetic hand for $1000, so he launched the OpenHand project with a succesful IndieGoGo fundraiser. In this interview we learn more about the Dextrus hand, the project\'s \r\nprogress to date, and hear of Joel\'s vision of affordable prosthetics for amputees worldwide.\r\n</p>\r\n<p>\r\nFor a short 4 minute introduction to the project see Joel\'s video at \r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://tinyurl.com/ohvid\">https://tinyurl.com/ohvid</a> \r\n</li>\r\n<li>(<a href=\"https://www.youtube.com/watch?v=6dI-dNE2yQ0\">https://www.youtube.com/watch?v=6dI-dNE2yQ0</a>)\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nThe openhand designs and more information are available at \r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.openhandproject.org/\">https://www.openhandproject.org/</a> and \r\n</li>\r\n<li><a href=\"https://www.openbionics.com/\">https://www.openbionics.com/</a>\r\n<p></p>\r\n</li>\r\n</ul>\r\n',240,79,0,'CC-BY-SA','Open Source, Robotics, 3D Printing',0,0,1),
(1687,'2015-01-20','Podcast recommendations',1290,'Thaj goes through his podcast list and shares the shows that he finds to be the most interesting. ','<h3>Linux / Floss Podcasts</h3>\r\n\r\n<ul>\r\n<li><b>Dudmonovi:</b> Wish it was still going.  I really like Dude Man\'s ideas.  (<a href=\"https://feeds.feedburner.com/DudmanoviBlogAboutEverything\">https://feeds.feedburner.com/DudmanoviBlogAboutEverything</a>)\r\n</li>\r\n<li><b>Floss Weekly:</b> I skip some of these because they do not apply to something I would use. (<a href=\"https://leo.am/podcasts/floss/\">https://leo.am/podcasts/floss/</a>)\r\n</li>\r\n<li><b>GNU World Order:</b> Klaatu is pretty similar to me.  (<a href=\"https://gnuworldorder.info/ogg.xml\">https://gnuworldorder.info/ogg.xml</a>)\r\n</li>\r\n<li><b>HPR:</b> Obviously (<a href=\"https://hackerpublicradio.org/hpr_rss.php\">https://hackerpublicradio.org/hpr_rss.php</a>)\r\n</li>\r\n<li><b>Health Nutz:</b> Not specifically Linux related, but the guys come from the community and who doesn\'t need to look after their health. (<a href=\"https://feeds.feedburner.com/podnutz/healthnutz\">https://feeds.feedburner.com/podnutz/healthnutz</a>)\r\n</li>\r\n<li><b>Kernal Panic Oggcast:</b> Good general news. (<a href=\"https://kernelpanicoggcast.net/rss.php\">https://kernelpanicoggcast.net/rss.php</a>)\r\n</li>\r\n<li><b>The Linux Link Tech Show:</b> Pretty light on Linux content these days, but I typically enjoy the conversation. (<a href=\"https://www.thelinuxlink.net/tllts/tllts.rss\">https://www.thelinuxlink.net/tllts/tllts.rss</a>)\r\n</li>\r\n<li><b>Linux Voice:</b> companion to the magazine (<a href=\"https://www.linuxvoice.com/podcast_ogg.rss\">https://www.linuxvoice.com/podcast_ogg.rss</a>)\r\n</li>\r\n<li><b>Linux Lug Cast:</b> Frequently on the show (<a href=\"https://feeds.feedburner.com/linuxlugcast/JZUx\">https://feeds.feedburner.com/linuxlugcast/JZUx</a>)\r\n</li>\r\n<li><b>Open Source Musicians Podcast:</b> Although I don\'t do much with audio production these days I still enjoy listening to it and hoping that one day I\'ll have time to get back into it. (<a href=\"https://opensourcemusician.libsyn.com/rss\">https://opensourcemusician.libsyn.com/rss</a>)\r\n</li>\r\n<li><b>Linux Action Show and Linux Unplugged:</b> I\'ve been suprised with the quality of Jupiter Broadcasting shows recently.  I had dropped this show for a long time but I have recently begun listening to it again. (<a href=\"https://feeds.feedburner.com/computeractionshowvideo\">https://feeds.feedburner.com/computeractionshowvideo</a>) (<a href=\"https://feeds.feedburner.com/linuxunogg\">https://feeds.feedburner.com/linuxunogg</a>)\r\n</li>\r\n<li><b>Linux Outlaws:</b> May it rest in peace.  This is the podcast that got me started in Linux.  Without it I would still be using Macs....shudder. (<a href=\"https://feeds.feedburner.com/linuxoutlaws\">https://feeds.feedburner.com/linuxoutlaws</a>)\r\n</li>\r\n</ul>\r\n\r\n<h3>Pop Culture General Podcasts</h3>\r\n\r\n<ul>\r\n<li><b>Podculture:</b> Local folks who talk about nerdy things.  (<a href=\"https://www.podculture.com/feed/\">https://www.podculture.com/feed/</a>)\r\n</li>\r\n<li><b>The Mindrobbers:</b> This show is run by a writer from my gernal area named Scott Carelli.  I orginially heard of him through Podculture.  I\'ve followed his various podcasts for many years and this is the most recent incarnation.  Although sometimes I don\'t always agree with his opinions I do always look forward to hearing them. (<a href=\"https://www.mindrobber.net/feed/\">https://www.mindrobber.net/feed/</a>)\r\n</li>\r\n<li><b>Trekcast:</b> My first undying love in this world is Star Trek.  (<a href=\"https://trekcast.podbean.com/feed/\">https://trekcast.podbean.com/feed/</a>)\r\n</li>\r\n<li><b>The Doctor\'s Companion:</b> Another podcast by Scott Carelli and gang.  Good American centreic view of Doctor Who, another of my favorite shows. (<a href=\"https://www.thedoctorscompanion.us/?feed=rss2\">https://www.thedoctorscompanion.us/?feed=rss2</a>)\r\n</li>\r\n<li><b>The Babylon Podcast:</b> This show isn;t in production anymore, but if you are a fan of Babylon 5 (which I am) this is a great show that breaks down each episode, and interviews many of the stars from the show. (<a href=\"https://www.babylonpodcast.com/category/shows/feed/\">https://www.babylonpodcast.com/category/shows/feed/</a>)\r\n</li>\r\n<li><b>Fear the Boot:</b> A great tabletop role playing game podcast (<a href=\"https://www.feartheboot.com/ftb/?feed=rss2\">https://www.feartheboot.com/ftb/?feed=rss2</a>)\r\n</li>\r\n<li><b>Hiyaa Martial Arts Podcast:</b> Must listening for martial artists (especially of the chinese martial arts persuasion).  There are very few good martial arts podcasts out there that are not style specific.  This fits the bill.  One of the host practices the same style of kung fu that I do (although through a different branch of the family tree) and it\'s nice to see that perspective on other arts. (<a href=\"https://feeds.feedburner.com/HiyaaMartialArtsPodcast\">https://feeds.feedburner.com/HiyaaMartialArtsPodcast</a>)\r\n</li>\r\n<li><b>This American Life:</b> NPR.. used to be an addict. (<a href=\"https://feeds.thisamericanlife.org/talpodcast\">https://feeds.thisamericanlife.org/talpodcast</a>)\r\n</li>\r\n<li><b>Unfilter:</b> Jupiter Broadcasting\'s version of No Agenda.  I used to listen to No Agenda but I find that it has become too long, and they tend to go off the deep end on some of their annalysis in my opinion.  I find Unfilter to be a little more grounded, and it\'s an hour and a half once a week.  I\'ll still listen to No agenda from time to time, but not regularly since I found this. (<a href=\"https://www.jupiterbroadcasting.com/feeds/unfilterogg.xml\">https://www.jupiterbroadcasting.com/feeds/unfilterogg.xml</a>)\r\n</li>\r\n</ul>\r\n\r\n<h3>Ham Radio Podcasts</h3>\r\n\r\n<ul>\r\n<li><b>Linux in the Ham Shack:</b> K5TUX and crew talk about the inersection of Ham and Linux.  (<a href=\"https://lhspodcast.info/category/podcast-mp3/feed/\">https://lhspodcast.info/category/podcast-mp3/feed/</a>)\r\n</li>\r\n<li><b>Resonant Frequency:</b> another Ham radio podcast from an alum of Linux in the Ham Shack (<a href=\"https://rfpodcast.info/Podcast/feed/\">https://rfpodcast.info/Podcast/feed/</a>)\r\n</li>\r\n<li><b>Ham Nation:</b> Twit\'s Ham radio podcast.  Sometimes boring but I usually watch it anyways. (<a href=\"https://amateurlogic.tv/transmitter/feeds/ipod.xml\">https://amateurlogic.tv/transmitter/feeds/ipod.xml</a>)\r\n</li>\r\n<li><b>Amateurlogic:</b> a great ham radio (and a little bit more) vieo podcast.  A lot of making and hacking going on in this one. (<a href=\"https://amateurlogic.tv/transmitter/feeds/ipod.xml\">https://amateurlogic.tv/transmitter/feeds/ipod.xml</a>)\r\n</li>\r\n</ul>\r\n\r\n<h3>Science Podcast</h3>\r\n\r\n<ul>\r\n<li><b>Radiolab:</b> NPR radio podcast.  Good interesting science. (<a href=\"https://feeds.wnyc.org/radiolab\">https://feeds.wnyc.org/radiolab</a>)\r\n</li>\r\n<li><b>Star Talk:</b> Neil DeGrasse Tyson\'s radio show.  Brings on guests to discuss sciene in a general audience way. (<a href=\"https://feeds.soundcloud.com/users/soundcloud:users:38128127/sounds.rss\">https://feeds.soundcloud.com/users/soundcloud:users:38128127/sounds.rss</a>)\r\n</li>\r\n<li><b>This Week in Science:</b> A good weekly roudtable science news podcast.  Used to be a TWiT show but has branched out on it\'s own. (<a href=\"https://feeds.feedburner.com/twis/science/\">https://feeds.feedburner.com/twis/science/</a>)\r\n</li>\r\n</ul>\r\n\r\n<h3>Buddhism</h3>\r\n\r\n<p>\r\nI listen to a lot of random budhism podcasts but this is the must listen to.\r\n</p>\r\n\r\n<ul>\r\n<li><b>Buddhist Geeks:</b> Modern take on culture, science and society\'s impact on Budhism.  Tends to be academic, but I enjoy it. (<a href=\"https://feeds.feedburner.com/BuddhistGeeksPodcast\">https://feeds.feedburner.com/BuddhistGeeksPodcast</a>)\r\n</li>\r\n<li><b>Vedic Mythology and Mantras Podcast:</b> While not Buddhist specifically I have always loved Vedic mythology and Indian music.  In my mind the relationship between the Vedic traditions and Buddhist are similar to Judaism to Christianity.  This podcast gies a short mythological story and a chant that goes along with it.  It\'s no longer being produced but it has lots of episodes to listen to.  (<a href=\"https://www.puja.net/wordpress/category/mythologypodcast/\">https://www.puja.net/wordpress/category/mythologypodcast/</a>)\r\n</li>\r\n</ul>\r\n\r\n<h3>TWiT Shows</h3>\r\n\r\n<ul>\r\n<li><b>All About Android:</b> (<a href=\"https://leo.am/podcasts/aaa.xml\">https://leo.am/podcasts/aaa.xml</a>)\r\n</li>\r\n<li><b>This Week in Computer Hardware:</b> (<a href=\"https://leo.am/podcasts/twich/\">https://leo.am/podcasts/twich/</a>)\r\n</li>\r\n<li><b>This Week in Google:</b> (<a href=\"https://leo.am/podcasts/twig/\">https://leo.am/podcasts/twig/</a>)\r\n</li>\r\n<li><b>TWiT:</b> (<a href=\"https://feeds.twit.tv/twit\">https://feeds.twit.tv/twit</a>)\r\n</li>\r\n<li><b>Know How:</b> (<a href=\"https://amateurlogic.tv/transmitter/feeds/ipod.xml\">https://amateurlogic.tv/transmitter/feeds/ipod.xml</a>)\r\n<p></p>\r\n</li>\r\n</ul>',270,75,0,'CC-BY-SA','podcasts',0,0,1),
(1688,'2015-01-21','Some useful tools when compiling software',766,'Useful tools I found when compiling software, and creating a debian package.','<h3>introduction</h3>\r\n\r\n<p>\r\nHi this is Rho`n and welcome to my first submission to Hacker Public Radio. I have been working on an application using the Python programming language with the Enlightenment Foundation Libraries (EFL) libraries for the GUI interface. After acquiring a new laptop and installing a fresh copy of Ubuntu on it, I decided to set up the build environment I needed to be able to work on my project. I have been building from source the EFL libraries along with the Python-EFL wrapper libraries. For the last couple machines on which I have built the software, I would use the standard configure, make, and make install procedure. This time around I decided to create a debian package to use for installing the libraries. It had been a few years since I had created a .deb, so I googled for some tutorials, and found mention of the checkinstall program. After reading a couple blog posts about it I decided to try it out. checkinstall is run instead of \"make install\" , and will create a .deb file, and then install the newly created package.\r\n</p>\r\n\r\n<h3>cut and tr commands</h3>\r\n\r\n<p>\r\nTo help speed up the configure process, I had previously created a file from my other builds that is a grep of my history for all the various \"apt get install\" commands of the libraries the EFL software needs to compile. Since my current operating system was a freshly installed distribution of Ubuntu, I needed to install the build-essential package first. After looking through my install file, and I decided to create a single apt-get install line with all the packages listed, instead of running each of the installs seperately. I knew I could grep the file, and then pass that to awk or sed, but my skill with either isn\'t that great. I did a little searching to see what other tools were out there and found the cut command and the tr command. Cut lets you print part of a line. You can extract set a field delimeter with the -d option and then list a range of fields to be printed with the -f option. The tr command can replace a character. I used this to replace the new line character that was printed by the cut command to generate a single line of packages which I piped to a file. A quick edit of the file to add \"sudo apt-get install\" at the beginning, add execute permissions to the file, and now I have a nice, easy way to install all the needed libraries.\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://stackoverflow.com/questions/15580144/concatenate-many-lines-of-output-to-one-line\">https://stackoverflow.com/questions/15580144/concatenate-many-lines-of-output-to-one-line</a>\r\n</li>\r\n<li><a href=\"https://stackoverflow.com/questions/7857090/awk-extract-specific-columns-from-delimited-file\">https://stackoverflow.com/questions/7857090/awk-extract-specific-columns-from-delimited-file</a>\r\n</li>\r\n</ul>\r\n\r\n<h3>apt-file and checkinstall</h3>\r\n\r\n<p>\r\nAt least that was the idea. After installing the libraries, and running configure, I still received errors that libraries were missing. The machines from which my list of libraries was generated, had all been used for various development purposes, so some needed libraries were already installed on them, and so their installation had passed out of my history. Besides echoing to standard out the file configure can\'t find, it also creates a log file: config.log. Between the two it is relatively easy to figure out what library is needed. Often the libraries needed included their name in the .deb which has to be installed, and finding them is easy with an apt-cache search and grep of the library name. The hardest ones to find were often the X11 based references. In this case, I needed the scrnsaver.h header file. After googling, I found a reference to the needed package (libxss-dev) on Stack Exchange. The answer also showed how to use the apt-file command to determine in which package a file is included. I wish I had run into this before, there a few times where it took a number of searches on the internet to figure out which package I needed to install, and \"apt-file find\" would have saved time and frustration. A very handy tool for anyone developing on a debian based distribution. As it turns out, that was the last dependency that needed resolved. After a successful configure, and successful compile using the make command, I was ready to try out checkinstall. Running sudo checkinstall, brings up a series of questions about your package, helping you fill out the needed .deb meta-data. I filled out my name and email, name for the package, short description of the package, and let everything else go to the suggested defaults. After, that hit enter and checkinstall will create a debian package and install it for you. If you run \"apt-cache search &lt;name of package&gt;\" you will see it listed, and \"apt-cache show &lt;name of package&gt;\" will give you the details you created for the package. There are warnings on the Ubuntu wiki not to use this method for packages to be included in an archive or in a ppa. It does work great for a local install, and would use it to install on machines on my local network.\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://askubuntu.com/questions/554724/compile-workrave-from-source\">https://askubuntu.com/questions/554724/compile-workrave-from-source</a> \r\n</li>\r\n<li><a href=\"https://community.linuxmint.com/tutorial/view/162\">https://community.linuxmint.com/tutorial/view/162</a>\r\n</li>\r\n<li><a href=\"https://www.falkotimme.com/howtos/checkinstall/\">https://www.falkotimme.com/howtos/checkinstall/</a>\r\n</li>\r\n<li><a href=\"https://help.ubuntu.com/community/CheckInstall\">https://help.ubuntu.com/community/CheckInstall</a>\r\n</li>\r\n</ul>\r\n\r\n<h3>conclusion</h3>\r\n\r\n<p>\r\nAfter a short side trip into development setup, I\'m back writing my application on my new laptop. While I am a big fan of binary packages, Debian being the first GNU/Linux distribution I ever used, sometimes you need to dive in and compile software from source. For me running configure, make, make install has been the easiest way to do this, and these days it usually isn\'t too difficult to get even moderately complex applications and libraries to build. The most tedious part can be resolving all the dependencies. Now, with apt-file in my tool belt, it will be even faster and easier. I will also be using checkinstall for future compiles. I do like being able to use package management tools to install, and un-install software.\r\n</p>\r\n<p>\r\nI hope others find these tools useful. I have posted links in the show notes to the pages about cut, tr, apt-file and checkinstall that led me to these tools. If you\'ve made it this far, thanks for listening to my first post to HPR. As Ken Fallon points out, it\'s not an HPR episode until you have uploaded it to the server. So let those episode ideas flow from your brain, into your favorite recording device, and up to the HPR server. Let\'s keep HPR active, vibrant, and a part of our lives for years to come. \r\n</p>',293,0,0,'CC-BY-SA','cli, deb, compile',0,0,1),
(1689,'2015-01-22','Linux Voice magazine at OggCamp',676,'Another interview from OggCamp with the guys from Linux Voice ','<p>\r\nCorenominal and Beni talking to the guys of the newly founded Linux Voice magazine. It\'s a British Linux publication that\'s less than a year old. \r\n</p>\r\n<p>\r\nWe talked to them about why you would found a magazine these days, why their magazine is still relevant in the digital age and why kinds won\'t beat them at mario cart.\r\n</p>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr1689_img.png\" alt=\"Linux Voice Cover\" />\r\n<p>\r\nYou find their magazine here:\r\n</p>\r\n<p>\r\n<a href=\"https://www.linuxvoice.com/\">https://www.linuxvoice.com/</a>\r\n</p>\r\n<p>\r\nand their superb Linux postcast by the same name here:\r\n</p>\r\n<p>\r\n<a href=\"https://www.linuxvoice.com/category/podcasts/\">https://www.linuxvoice.com/category/podcasts/</a>\r\n</p>\r\n',288,62,1,'CC-BY-SA','Linux Voice, oggcamp, interview',0,0,1),
(1684,'2015-01-15','5150 Shades of Beer Jacob Leinenkugels Winter Explorer Pack',814,'fifty tries the Leinenkugels Explore pack','<p>\r\nJacob Lienenkugels Winter Explorer Pack \"Chippewa Falls, WI since 1867\"\r\n</p>\r\n<p>\r\nWinters Bite - Do you know what it smells like when you open a tin of cocoa (the semi-sweet kind, not the unsweetend)  and no matter how you do it, a litle of the powder puffs out?  The best descrition I can give this beer is it tastes just like that smell, even down to the dryness.  Neither cloyingly sweet or leaving you wondering who mixed the chocolate syrup into you beer, just a sublte taste of dry cocoa. This lager pours dark with very little head. This beer (my favorite it this group) is only available in the Explorer pack, and it\'s ABV and ingredients are not featured on leinie.com.\r\n</p>\r\n<p>\r\nHelles Yeah - (German blonde lager, Helles means \"light\" in German, but unlike American beers, it refers only to color).  Straw color, very clear, moderate head that disapears w/o lacing. Sublte flavor, a hit of hops and just slightly more than a pinch of pepper. 5.5 ABV Malts: Pale malts Hops: Five All-American hops including Simcoe and Citra \r\n</p>\r\n<p>\r\nCranberry Ginger Shandy - [From Wikipedia, Shandy is beer mixed with a soft drink, carbonated lemonade, ginger beer, ginger ale, or apple juice or orange juice.]  Pours cloudy yellow amber, moderate head that disapears w/o lacing. Leinenkugel managed to resist the urge to color it red.  Not as syrupy as Shock Top\\\'s Cranberry Belgian Ale, but unlike many fruit adjunct brews, neither is the flavor so subtle you have to go searching for it. I like to use ginger in cooking, and I can also detect the taste of that sweet spice in this weiss beer as well.  4.2% ABV \r\nMalts: Pale and Wheat Hops: Cluster Other: Natural cranberry and ginger flavors\r\n</p>\r\n<p>\r\nSnowdrift Vanilla Porter - Pours dark brown with just a litle carmel color head that disipates imediately.  Vanilla bean aroma. Vanilla flavor is perhaps more subtle than Breckenridge\'s Vanilla Porter, but there will be know doubt you are enjoying a beer flavored by vanilla and roasted malts, with a hint of chocolate to keep it from being too sweet.   6.0 ABV \r\nMalts: Two- and six- row Pale Malt, Caramel 60, Carapils, Special B, Dark Chocolate and Roasted Barley Hops: Cluster &amp; Willamette Other: Real vanilla\r\n</p>\r\n<p>\r\nBONUS ROUND -Leinenkugels Orange Shandy  - Wheat beer, likely exactly the same one that\'s in the Cranberry Ginger Shandy, but in this case the tart/sweet orange juice taste dosn\'t completely obscure the flavor of the beer.  I like them both, but I think I would grab the orange shandy on a hot day. 4.2% ABV  \r\nMalts: Pale and Wheat Hops: Cluster Other: Natural orange flavor\r\n</p>\r\n',131,14,1,'CC-BY-SA','5150 Shades of Beer,beer,drinking beer',0,0,1),
(1781,'2015-06-01','HPR Community News for May 2015',4021,'Dave and Ken waffle on and on','\n<h2>New hosts</h2>\n<p>\nWelcome to our new host: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0303.html\" target=\"_blank\">Alpha32</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\">\n    <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Day</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1760\" target=\"_blank\">1760</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-05-01</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1760\" target=\"_blank\">pdftk: the PDF Toolkit</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1761\" target=\"_blank\">1761</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-05-04</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1761\" target=\"_blank\">HPR Community News for April 2015</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1762\" target=\"_blank\">1762</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-05-05</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1762\" target=\"_blank\">HPR Audio Book Club 10</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0157.html\" target=\"_blank\">HPR_AudioBookClub</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1763\" target=\"_blank\">1763</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-05-06</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1763\" target=\"_blank\">Intro to Homebrewing</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0303.html\" target=\"_blank\">Alpha32</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1764\" target=\"_blank\">1764</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-05-07</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1764\" target=\"_blank\">Introduction to Rogue Class Linux</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1765\" target=\"_blank\">1765</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-05-08</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1765\" target=\"_blank\">53 - LibreOffice Impress - Outlining and Blank Presentations</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1766\" target=\"_blank\">1766</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-05-11</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1766\" target=\"_blank\">Sox of Silence</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1767\" target=\"_blank\">1767</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-05-12</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1767\" target=\"_blank\">An interview with Ed Cable of the Mifos Initiative</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0209.html\" target=\"_blank\">David Whitman</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1768\" target=\"_blank\">1768</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-05-13</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1768\" target=\"_blank\">An Intro To C Episode 1 : Introduction and Types</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0286.html\" target=\"_blank\">cjm</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1769\" target=\"_blank\">1769</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-05-14</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1769\" target=\"_blank\">A Demonstration of Dictation Software on my Office Computer</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1770\" target=\"_blank\">1770</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-05-15</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1770\" target=\"_blank\">The OpenDyslexic Font</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1771\" target=\"_blank\">1771</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-05-18</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1771\" target=\"_blank\">Audacity: Label Tracks</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1772\" target=\"_blank\">1772</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-05-19</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1772\" target=\"_blank\">Random thoughts</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0297.html\" target=\"_blank\">swift110</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1773\" target=\"_blank\">1773</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-05-20</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1773\" target=\"_blank\">LFNW 2015 interview with Deb Nicholson</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0209.html\" target=\"_blank\">David Whitman</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1774\" target=\"_blank\">1774</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-05-21</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1774\" target=\"_blank\">Router Hacking</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1775\" target=\"_blank\">1775</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-05-22</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1775\" target=\"_blank\">Sonic Pi</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0240.html\" target=\"_blank\">Steve Bickle</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1776\" target=\"_blank\">1776</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-05-25</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1776\" target=\"_blank\">Vim Hints 004</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1777\" target=\"_blank\">1777</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-05-26</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1777\" target=\"_blank\">Magnatune Favourites</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1778\" target=\"_blank\">1778</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-05-27</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1778\" target=\"_blank\">Nethack and Vi cursor keys</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0240.html\" target=\"_blank\">Steve Bickle</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1779\" target=\"_blank\">1779</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-05-28</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1779\" target=\"_blank\">Cowsay and Figlet</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1780\" target=\"_blank\">1780</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-05-29</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1780\" target=\"_blank\">16 - TrueCrypt and GnuPG - An Update</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes\nplace on the <a href=\"https://hackerpublicradio.org/maillist\" target=\"_blank\">Mail List</a> which is open to all\nHPR listeners and contributors. The discussions are open and available on the\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\narchive.\n</p>\n<p>The main threads this month were:</p>\n<ol>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-05-08 19:32:30 +0200<br/>\n        <em>Subject:</em> Call for Shows - this is not a drill<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/836\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/836</a><br/>\n        <em>Messages:</em> 11<br/><br/></li>\n    <li><em>From:</em> Mike Ray &lt;mike@...&gt;<br/>\n        <em>Date:</em> 2015-05-23 15:12:01 +0100<br/>\n        <em>Subject:</em> Adding new pre-formatted sheets to LibreOffice Calc<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/847\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/847</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Lord Drachenblut &lt;lord.drachenblut@...&gt;<br/>\n        <em>Date:</em> 2015-05-25 06:04:13 UTC<br/>\n        <em>Subject:</em> Video series on using the zoom H1<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/850\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/850</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-05-25 11:52:59 +0200<br/>\n        <em>Subject:</em> Issues with GMail marking all HackerPublicRadio.org emails as	SPAM<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/851\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/851</a><br/>\n        <em>Messages:</em> 8<br/><br/></li>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2015-05-28 19:21:14 +0100<br/>\n        <em>Subject:</em> HPR Community News - Saturday on 2015-05-30T18:00:00Z<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/859\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/859</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Mike Ray &lt;mike@...&gt;<br/>\n        <em>Date:</em> 2015-05-28 21:30:05 +0100<br/>\n        <em>Subject:</em> LibreOffice Calc cell style; background and &#39;no fill&#39;<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/860\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/860</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> David Whitman &lt;davidglennwhitman@...&gt;<br/>\n        <em>Date:</em> 2015-05-29 13:45:41 -0700<br/>\n        <em>Subject:</em> Updated Presentation for HPR?<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/862\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/862</a><br/>\n        <em>Messages:</em> 1<br/></li>\n</ol>\nTotal messages this month: 27<br/>\n\n\n<h2>Comments this month</h2>\n\n<p>There are 24 comments:</p>\n<ul> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1726#comments\" target=\"_blank\">hpr1726</a></strong>\n(2015-03-16) \"<em>15 Excuses not to Record a show for HPR</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">Knightwise</a>.\n<ul>     <li><a href=\"https://hackerpublicradio.org/eps.php?id=1726#4\" target=\"_blank\">Comment 4</a>:\nEpicanis on 2015-05-22:\n\"I should do an episode nominating myself for an award...\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1754#comments\" target=\"_blank\">hpr1754</a></strong>\n(2015-04-23) \"<em>D7? Why Seven?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>     <li><a href=\"https://hackerpublicradio.org/eps.php?id=1754#4\" target=\"_blank\">Comment 4</a>:\nFiftyOneFifty on 2015-05-09:\n\"Explaining myself\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1754#5\" target=\"_blank\">Comment 5</a>:\nJon Kulp on 2015-05-10:\n\"I kinda see the resemblance...\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1759#comments\" target=\"_blank\">hpr1759</a></strong>\n(2015-04-30) \"<em>A brief review of Firefox OS</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0302.html\" target=\"_blank\">Stilvoid</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1759#2\" target=\"_blank\">Comment 2</a>:\nStilvoid on 2015-05-03:\n\"Thanks\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1760#comments\" target=\"_blank\">hpr1760</a></strong>\n(2015-05-01) \"<em>pdftk: the PDF Toolkit</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1760#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp  on 2015-05-02:\n\"video demo: embedding table of contents in PDF\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1762#comments\" target=\"_blank\">hpr1762</a></strong>\n(2015-05-05) \"<em>HPR Audio Book Club 10</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0157.html\" target=\"_blank\">HPR_AudioBookClub</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1762#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2015-05-08:\n\"Blade Runner\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1766#comments\" target=\"_blank\">hpr1766</a></strong>\n(2015-05-11) \"<em>Sox of Silence</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1766#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp on 2015-05-10:\n\"Haulin&#39;\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1767#comments\" target=\"_blank\">hpr1767</a></strong>\n(2015-05-12) \"<em>An interview with Ed Cable of the Mifos Initiative</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0209.html\" target=\"_blank\">David Whitman</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1767#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2015-05-12:\n\"MIFOS, great initiative\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1768#comments\" target=\"_blank\">hpr1768</a></strong>\n(2015-05-13) \"<em>An Intro To C Episode 1 : Introduction and Types</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0286.html\" target=\"_blank\">cjm</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1768#1\" target=\"_blank\">Comment 1</a>:\nsigflup on 2015-05-12:\n\"Right awesome!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1768#2\" target=\"_blank\">Comment 2</a>:\nSteve Smethurst on 2015-05-14:\n\"Thanks, and more plase\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1768#3\" target=\"_blank\">Comment 3</a>:\nKete on 2015-05-15:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1768#4\" target=\"_blank\">Comment 4</a>:\nkdmurray on 2015-05-25:\n\"A Good Start\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1769#comments\" target=\"_blank\">hpr1769</a></strong>\n(2015-05-14) \"<em>A Demonstration of Dictation Software on my Office Computer</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1769#1\" target=\"_blank\">Comment 1</a>:\nMoralVolcano on 2015-05-20:\n\"Dragon?\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1769#2\" target=\"_blank\">Comment 2</a>:\nJon Kulp on 2015-05-21:\n\"Nope\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1770#comments\" target=\"_blank\">hpr1770</a></strong>\n(2015-05-15) \"<em>The OpenDyslexic Font</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1770#1\" target=\"_blank\">Comment 1</a>:\njezra on 2015-05-18:\n\"For Arch Linux, this is in the AUR\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1771#comments\" target=\"_blank\">hpr1771</a></strong>\n(2015-05-18) \"<em>Audacity: Label Tracks</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1771#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2015-05-18:\n\"Very useful\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1771#2\" target=\"_blank\">Comment 2</a>:\nkdmurray on 2015-05-25:\n\"Can&#39;t believe I&#39;ve never seen this\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1774#comments\" target=\"_blank\">hpr1774</a></strong>\n(2015-05-21) \"<em>Router Hacking</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1774#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2015-05-22:\n\"You say Tomato\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1774#2\" target=\"_blank\">Comment 2</a>:\nMark on 2015-05-27:\n\"Wanted to try this before.\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1775#comments\" target=\"_blank\">hpr1775</a></strong>\n(2015-05-22) \"<em>Sonic Pi</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0240.html\" target=\"_blank\">Steve Bickle</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1775#1\" target=\"_blank\">Comment 1</a>:\nkdmurray on 2015-05-25:\n\"SonicPi Releases\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1776#comments\" target=\"_blank\">hpr1776</a></strong>\n(2015-05-25) \"<em>Vim Hints 004</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1776#1\" target=\"_blank\">Comment 1</a>:\nthelovebug on 2015-05-25:\n\"1776\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1776#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-05-28:\n\"Re: 1776\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1777#comments\" target=\"_blank\">hpr1777</a></strong>\n(2015-05-26) \"<em>Magnatune Favourites</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1777#1\" target=\"_blank\">Comment 1</a>:\ninscius on 2015-05-28:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1780#comments\" target=\"_blank\">hpr1780</a></strong>\n(2015-05-29) \"<em>16 - TrueCrypt and GnuPG - An Update</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1780#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2015-05-29:\n\"Thanks for this update\"</li></ul>\n</li>\n</ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1806,'2015-07-06','HPR Community News for June 2015',6069,'HPR Community News for June 2015','\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0305.html\" target=\"_blank\">kurakura</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0306.html\" target=\"_blank\">GNULinuxRTM</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0307.html\" target=\"_blank\">cheeto4493</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\">\n    <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Day</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1781\" target=\"_blank\">1781</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-06-01</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1781\" target=\"_blank\">HPR Community News for May 2015</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1782\" target=\"_blank\">1782</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-06-02</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1782\" target=\"_blank\">ChorusText - a Non-visual Text Editor Open Assistive Device Project</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0305.html\" target=\"_blank\">kurakura</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1783\" target=\"_blank\">1783</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-06-03</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1783\" target=\"_blank\">Windows To Linux - Better Late Than Never.</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0306.html\" target=\"_blank\">GNULinuxRTM</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1784\" target=\"_blank\">1784</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-06-04</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1784\" target=\"_blank\">Intro to the Fugue and the Open Well-Tempered Clavier</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1785\" target=\"_blank\">1785</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-06-05</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1785\" target=\"_blank\">54 - LibreOffice Impress - Creating a Presentation</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1786\" target=\"_blank\">1786</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-06-08</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1786\" target=\"_blank\">What is MapReduce?</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0229.html\" target=\"_blank\">Charles in NJ</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1787\" target=\"_blank\">1787</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-06-09</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1787\" target=\"_blank\">A Beginner with a Wok</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1788\" target=\"_blank\">1788</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-06-10</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1788\" target=\"_blank\">Podcrawl Glasgow 2015</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0296.html\" target=\"_blank\">Kevie</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1789\" target=\"_blank\">1789</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-06-11</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1789\" target=\"_blank\">The Ubuntu Quickly Ebook Template and Ebooks in General</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1790\" target=\"_blank\">1790</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-06-12</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1790\" target=\"_blank\">Penguicon 2015 Report</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1791\" target=\"_blank\">1791</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-06-15</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1791\" target=\"_blank\">Organizing Photos with Bash</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0263.html\" target=\"_blank\">Tony Pelaez</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1792\" target=\"_blank\">1792</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-06-16</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1792\" target=\"_blank\">An Interview with Andrea Frost</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0209.html\" target=\"_blank\">David Whitman</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1793\" target=\"_blank\">1793</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-06-17</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1793\" target=\"_blank\">Some thoughts about the Go language</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0302.html\" target=\"_blank\">Stilvoid</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1794\" target=\"_blank\">1794</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-06-18</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1794\" target=\"_blank\">12-Tone Music and My Random 12 Tone Row of the Day</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1795\" target=\"_blank\">1795</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-06-19</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1795\" target=\"_blank\">54 - LibreOffice Impress - Templates and Master Pages</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1796\" target=\"_blank\">1796</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-06-22</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1796\" target=\"_blank\">Audacity - Chains, Notches and Labels</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0307.html\" target=\"_blank\">cheeto4493</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1797\" target=\"_blank\">1797</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-06-23</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1797\" target=\"_blank\">An Interview with Aaron Wolf of the Snowdrift Co-op Project</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0209.html\" target=\"_blank\">David Whitman</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1798\" target=\"_blank\">1798</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-06-24</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1798\" target=\"_blank\">Machine learning and service robots.</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0271.html\" target=\"_blank\">mirwi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1799\" target=\"_blank\">1799</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-06-25</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1799\" target=\"_blank\">Posting From the Command Line on Open Social Networks</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1800\" target=\"_blank\">1800</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-06-26</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1800\" target=\"_blank\">YouTube Video Subscriptions</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1801\" target=\"_blank\">1801</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-06-29</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1801\" target=\"_blank\">How to tell your left earbud from your right</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1802\" target=\"_blank\">1802</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-06-30</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1802\" target=\"_blank\">An Interview with Emily Hampton a LinuxFest Northwest Volunteer</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0209.html\" target=\"_blank\">David Whitman</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes\nplace on the <a href=\"https://hackerpublicradio.org/maillist\" target=\"_blank\">Mail List</a> which is open to all\nHPR listeners and contributors. The discussions are open and available on the\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\narchive.\n</p>\n<p>The main threads this month were:</p>\n<ol>\n    <li><em>From:</em> Mike Ray &lt;mike@...&gt;<br/>\n        <em>Date:</em> 2015-06-02 11:01:26 +0100<br/>\n        <em>Subject:</em> Comment form and edit field accessibility<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/863\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/863</a><br/>\n        <em>Messages:</em> 6<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-06-03 08:50:04 +0200<br/>\n        <em>Subject:</em> Git repository<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/869\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/869</a><br/>\n        <em>Messages:</em> 21<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-06-03 08:52:14 +0200<br/>\n        <em>Subject:</em> PHP Developers<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/870\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/870</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-06-11 08:23:31 +0200<br/>\n        <em>Subject:</em> Fwd: Ohio LinuxFest 2015 Call for Presentations<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/891\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/891</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-06-22 11:13:58 +0200<br/>\n        <em>Subject:</em> New linux podcast #SYSTEMAU<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/892\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/892</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-06-24 12:41:04 +0200<br/>\n        <em>Subject:</em> Help with shownotes, tags and summaries<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/895\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/895</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2015-06-29 15:51:27 +0100<br/>\n        <em>Subject:</em> HPR Community News - next Saturday on 2015-07-04T18:00:00Z<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/897\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/897</a><br/>\n        <em>Messages:</em> 1<br/></li>\n</ol>\nTotal messages this month: 35<br/>\n\n\n<h2>Comments this month</h2>\n\n<p>There are 48 comments:</p>\n<ul> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1728#comments\" target=\"_blank\">hpr1728</a></strong>\n(2015-03-18) \"<em>Requested Topic: Favourite Browser Extensions</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0299.html\" target=\"_blank\">Fin</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1728#2\" target=\"_blank\">Comment 2</a>:\nBob Evans on 2015-06-01:\n\"Ad-Block Edge discontinued\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1766#comments\" target=\"_blank\">hpr1766</a></strong>\n(2015-05-11) \"<em>Sox of Silence</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1766#2\" target=\"_blank\">Comment 2</a>:\nUrugami on 2015-06-12:\n\"Can it do this....\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1771#comments\" target=\"_blank\">hpr1771</a></strong>\n(2015-05-18) \"<em>Audacity: Label Tracks</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>    <li><a href=\"https://hackerpublicradio.org/eps.php?id=1771#3\" target=\"_blank\">Comment 3</a>:\nUrugami on 2015-06-12:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1774#comments\" target=\"_blank\">hpr1774</a></strong>\n(2015-05-21) \"<em>Router Hacking</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>    <li><a href=\"https://hackerpublicradio.org/eps.php?id=1774#3\" target=\"_blank\">Comment 3</a>:\nFiftyOneFifty on 2015-06-01:\n\"Single board options\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1774#4\" target=\"_blank\">Comment 4</a>:\nUrugami on 2015-06-12:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1780#comments\" target=\"_blank\">hpr1780</a></strong>\n(2015-05-29) \"<em>16 - TrueCrypt and GnuPG - An Update</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1780#2\" target=\"_blank\">Comment 2</a>:\nAlison Chaiken on 2015-06-10:\n\"TrueCrypt vs. GPG\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1780#3\" target=\"_blank\">Comment 3</a>:\nKevin O&#39;Brien on 2015-06-17:\n\"Audited\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1782#comments\" target=\"_blank\">hpr1782</a></strong>\n(2015-06-02) \"<em>ChorusText - a Non-visual Text Editor Open Assistive Device Project</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0305.html\" target=\"_blank\">kurakura</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1782#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2015-06-02:\n\"Chorustext!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1782#2\" target=\"_blank\">Comment 2</a>:\nJon Kulp  on 2015-06-02:\n\"Awesome in Many Ways\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1782#3\" target=\"_blank\">Comment 3</a>:\nMike Ray on 2015-06-08:\n\"Smashing the monopoly of commercial gadgetry\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1783#comments\" target=\"_blank\">hpr1783</a></strong>\n(2015-06-03) \"<em>Windows To Linux - Better Late Than Never.</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0306.html\" target=\"_blank\">GNULinuxRTM</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1783#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp  on 2015-06-02:\n\"Updates Pain! \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1783#2\" target=\"_blank\">Comment 2</a>:\n0xf10e on 2015-06-06:\n\"Entertaining episode!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1783#3\" target=\"_blank\">Comment 3</a>:\nStilvoid on 2015-06-07:\n\"Seconded\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1784#comments\" target=\"_blank\">hpr1784</a></strong>\n(2015-06-04) \"<em>Intro to the Fugue and the Open Well-Tempered Clavier</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1784#1\" target=\"_blank\">Comment 1</a>:\nKevin O&#39;Brien on 2015-06-04:\n\"Great show!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1784#2\" target=\"_blank\">Comment 2</a>:\nJon Kulp on 2015-06-04:\n\"Open Scores\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1784#3\" target=\"_blank\">Comment 3</a>:\nRobert Douglass on 2015-06-04:\n\"Lady Gaga - fan of Bach and the Well-Tempered Clavier\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1784#4\" target=\"_blank\">Comment 4</a>:\nJon Kulp on 2015-06-04:\n\"Gaga Bach\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1784#5\" target=\"_blank\">Comment 5</a>:\nKen Fallon on 2015-06-06:\n\"Now I&#39;m &quot;seeing&quot; this everythere \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1784#6\" target=\"_blank\">Comment 6</a>:\nJon Kulp on 2015-06-06:\n\"Feature, not a bug\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1784#7\" target=\"_blank\">Comment 7</a>:\nFrank on 2015-06-07:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1784#8\" target=\"_blank\">Comment 8</a>:\nDaniel Worth on 2015-06-08:\n\"Fantastic\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1784#9\" target=\"_blank\">Comment 9</a>:\nAlison Chaiken on 2015-06-28:\n\"Heard &quot;Fugue for Friday&quot;?\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1784#10\" target=\"_blank\">Comment 10</a>:\nJon Kulp on 2015-06-28:\n\"Dragnet Fugue\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1787#comments\" target=\"_blank\">hpr1787</a></strong>\n(2015-06-09) \"<em>A Beginner with a Wok</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1787#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp on 2015-06-09:\n\"What about broccoli?\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1787#2\" target=\"_blank\">Comment 2</a>:\nMike Ray on 2015-06-10:\n\"And baby corns\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1787#3\" target=\"_blank\">Comment 3</a>:\nFrank on 2015-06-10:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1787#4\" target=\"_blank\">Comment 4</a>:\nJon Kulp on 2015-06-10:\n\"Hollandaise??\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1787#5\" target=\"_blank\">Comment 5</a>:\nDave Morriss on 2015-06-10:\n\"Thinks to stir-fry\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1787#6\" target=\"_blank\">Comment 6</a>:\nDave Morriss on 2015-06-10:\n\"Things not thinks\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1787#7\" target=\"_blank\">Comment 7</a>:\nMike Ray on 2015-06-10:\n\"Round-bttomed woks\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1787#8\" target=\"_blank\">Comment 8</a>:\nDave Morriss on 2015-06-10:\n\"Wok rings\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1787#9\" target=\"_blank\">Comment 9</a>:\nFrank on 2015-06-11:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1787#10\" target=\"_blank\">Comment 10</a>:\njezra on 2015-06-11:\n\"chicken and woks\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1787#11\" target=\"_blank\">Comment 11</a>:\nFrank on 2015-06-12:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1787#12\" target=\"_blank\">Comment 12</a>:\nFiftyOneFifty on 2015-06-13:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1787#13\" target=\"_blank\">Comment 13</a>:\nFrank on 2015-06-16:\n\"Thanks for the suggestion\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1788#comments\" target=\"_blank\">hpr1788</a></strong>\n(2015-06-10) \"<em>Podcrawl Glasgow 2015</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0296.html\" target=\"_blank\">Kevie</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1788#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2015-06-11:\n\"So near and yet so expensive\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1791#comments\" target=\"_blank\">hpr1791</a></strong>\n(2015-06-15) \"<em>Organizing Photos with Bash</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0263.html\" target=\"_blank\">Tony Pelaez</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1791#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2015-06-23:\n\"Yay for Bash scripts!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1791#2\" target=\"_blank\">Comment 2</a>:\nTony Pelaez on 2015-06-28:\n\"Google CL is broken\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1793#comments\" target=\"_blank\">hpr1793</a></strong>\n(2015-06-17) \"<em>Some thoughts about the Go language</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0302.html\" target=\"_blank\">Stilvoid</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1793#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2015-06-18:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1793#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-06-19:\n\"Thanks for the show \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1793#3\" target=\"_blank\">Comment 3</a>:\nStilvoid on 2015-06-22:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1794#comments\" target=\"_blank\">hpr1794</a></strong>\n(2015-06-18) \"<em>12-Tone Music and My Random 12 Tone Row of the Day</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1794#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2015-06-19:\n\"Interesting lesson\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1794#2\" target=\"_blank\">Comment 2</a>:\nJon Kulp  on 2015-06-19:\n\"Still Ugly \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1794#3\" target=\"_blank\">Comment 3</a>:\nMike Ray on 2015-06-20:\n\"Atonal music vs. Unrepresentative visual art\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1794#4\" target=\"_blank\">Comment 4</a>:\nKen Fallon on 2015-06-24:\n\"RSS feed\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1794#5\" target=\"_blank\">Comment 5</a>:\nJon Kulp on 2015-06-24:\n\"Enjoy pain?\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1800#comments\" target=\"_blank\">hpr1800</a></strong>\n(2015-06-26) \"<em>YouTube Video Subscriptions</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1800#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2015-06-29:\n\"Links\"</li></ul>\n</li>\n</ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1826,'2015-08-03','HPR Community News for July 2015',4974,'HPR Community News for July 2015','\n<h2>New hosts</h2>\n<p>\nThere were no new hosts this month.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\">\n    <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Day</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1803\" target=\"_blank\">1803</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-07-01</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1803\" target=\"_blank\">What&#39;s In My Bag?</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0255.html\" target=\"_blank\">Matt McGraw (g33kdad)</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1804\" target=\"_blank\">1804</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-07-02</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1804\" target=\"_blank\">What&#39;s in my Bicycle Repair Tool Box</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1805\" target=\"_blank\">1805</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-07-03</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1805\" target=\"_blank\">56 - LibreOffice Impress - Styles and Objects 1 - Presentation Styles</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1806\" target=\"_blank\">1806</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-07-06</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1806\" target=\"_blank\">HPR Community News for June 2015</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1807\" target=\"_blank\">1807</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-07-07</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1807\" target=\"_blank\">Arch Linux Development Environment: Ep1</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0286.html\" target=\"_blank\">cjm</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1808\" target=\"_blank\">1808</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-07-08</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1808\" target=\"_blank\">David Whitman reads &#39;The Shooting of Dan McGrew&#39; written by Robert W Service</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0209.html\" target=\"_blank\">David Whitman</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1809\" target=\"_blank\">1809</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-07-09</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1809\" target=\"_blank\">My &quot;New&quot; Used Kindle Touch</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1810\" target=\"_blank\">1810</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-07-10</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1810\" target=\"_blank\">17 - LastPass Hacked - What Does It Mean?</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1811\" target=\"_blank\">1811</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-07-13</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1811\" target=\"_blank\">Life and Times of a Geek part 2</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1812\" target=\"_blank\">1812</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-07-14</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1812\" target=\"_blank\">Headphones and a $2 Microphone</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1813\" target=\"_blank\">1813</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-07-15</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1813\" target=\"_blank\">Apt Spelunking: surf, lightyears, and fbterm</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0215.html\" target=\"_blank\">Windigo</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1814\" target=\"_blank\">1814</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-07-16</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1814\" target=\"_blank\">Custom Context Menus in GNU/Linux GUI File Managers</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1815\" target=\"_blank\">1815</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-07-17</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1815\" target=\"_blank\">57 - LibreOffice Impress - Styles and Objects 2 - Drawing Object Styles</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1816\" target=\"_blank\">1816</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-07-20</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1816\" target=\"_blank\">Visualising HPR tags</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1817\" target=\"_blank\">1817</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-07-21</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1817\" target=\"_blank\">Gathering Parts</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1818\" target=\"_blank\">1818</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-07-22</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1818\" target=\"_blank\">Review of HPR&#39;s Interview Recorder: Zoom H1</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1819\" target=\"_blank\">1819</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-07-23</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1819\" target=\"_blank\">LibreOffice Tips: Horizontal Lists and Headless Operation</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1820\" target=\"_blank\">1820</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-07-24</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1820\" target=\"_blank\">Kansas Linux Fest 2015, March 21-22, Lawrence KS, Interview 1 of 2</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1821\" target=\"_blank\">1821</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-07-27</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1821\" target=\"_blank\">James Beard&#39;s Never-Fail Blender Hollandaise Sauce</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1822\" target=\"_blank\">1822</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-07-28</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1822\" target=\"_blank\">Some tips on using ImageMagick</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1823\" target=\"_blank\">1823</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-07-29</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1823\" target=\"_blank\">Kansas Linux Fest 2015, March 21-22, Lawrence KS, Interview 2 of 2</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1824\" target=\"_blank\">1824</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-07-30</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1824\" target=\"_blank\">I&#39;m Learning Some Python</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1825\" target=\"_blank\">1825</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-07-31</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1825\" target=\"_blank\">58 - LibreOffice Impress - Creating a Template for Hacker Public Radio</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes\nplace on the <a href=\"https://hackerpublicradio.org/maillist\" target=\"_blank\">Mail List</a> which is open to all\nHPR listeners and contributors. The discussions are open and available on the\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\narchive.\n</p>\n<p>The main threads this month were:</p>\n<ol>\n    <li><em>From:</em> Frank Bell &lt;frankwbell@...&gt;<br/>\n        <em>Date:</em> 2015-07-04 23:49:27 -0400<br/>\n        <em>Subject:</em> Pictures for uploads<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/898\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/898</a><br/>\n        <em>Messages:</em> 4<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-07-11 18:21:44 +0200<br/>\n        <em>Subject:</em> Fwd: [FOSDEM] Next FOSDEM: 30 &amp; 31 January 2016<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/902\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/902</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-07-25 15:33:26 +0200<br/>\n        <em>Subject:</em> The Admin email account<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/903\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/903</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Joshua Knapp &lt;jknapp85@...&gt;<br/>\n        <em>Date:</em> 2015-07-27 09:23:43 -0700<br/>\n        <em>Subject:</em> Enabled Outbound Spam filtering on Server<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/904\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/904</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2015-07-30 11:29:54 +0100<br/>\n        <em>Subject:</em> HPR Community News - next Saturday on 2015-08-01T18:00:00Z<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/905\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/905</a><br/>\n        <em>Messages:</em> 1<br/></li>\n</ol>\nTotal messages this month: 8<br/>\n\n\n<h2>Comments this month</h2>\n\n<p>There are 19 comments:</p>\n<ul> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1784#comments\" target=\"_blank\">hpr1784</a></strong>\n(2015-06-04) \"<em>Intro to the Fugue and the Open Well-Tempered Clavier</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>            <li><a href=\"https://hackerpublicradio.org/eps.php?id=1784#11\" target=\"_blank\">Comment 11</a>:\nFiftyOneFifty on 2015-07-07:\n\"Thanks\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1794#comments\" target=\"_blank\">hpr1794</a></strong>\n(2015-06-18) \"<em>12-Tone Music and My Random 12 Tone Row of the Day</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>       <li><a href=\"https://hackerpublicradio.org/eps.php?id=1794#6\" target=\"_blank\">Comment 6</a>:\nFiftyOneFifty on 2015-07-07:\n\"Forbidden Planet\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1800#comments\" target=\"_blank\">hpr1800</a></strong>\n(2015-06-26) \"<em>YouTube Video Subscriptions</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1800#2\" target=\"_blank\">Comment 2</a>:\nKevin O&#39;Brien on 2015-07-04:\n\"Here you go!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1806#comments\" target=\"_blank\">hpr1806</a></strong>\n(2015-07-06) \"<em>HPR Community News for June 2015</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1806#1\" target=\"_blank\">Comment 1</a>:\nKevin O&#39;Brien on 2015-07-06:\n\"Sorry I missed it\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1808#comments\" target=\"_blank\">hpr1808</a></strong>\n(2015-07-08) \"<em>David Whitman reads &#39;The Shooting of Dan McGrew&#39; written by Robert W Service</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0209.html\" target=\"_blank\">David Whitman</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1808#1\" target=\"_blank\">Comment 1</a>:\nMike on 2015-07-08:\n\"More, more\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1811#comments\" target=\"_blank\">hpr1811</a></strong>\n(2015-07-13) \"<em>Life and Times of a Geek part 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1811#1\" target=\"_blank\">Comment 1</a>:\nCharlie Ebert on 2015-07-12:\n\"hpr 1811 Dave Morriss\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1811#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-07-13:\n\"Control Data etc\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1811#3\" target=\"_blank\">Comment 3</a>:\nMike Ray on 2015-07-13:\n\"Punched cards in a box\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1811#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2015-07-13:\n\"Notched cards and COBOL\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1812#comments\" target=\"_blank\">hpr1812</a></strong>\n(2015-07-14) \"<em>Headphones and a $2 Microphone</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1812#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2015-07-15:\n\"Loved the ambient sounds\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1812#2\" target=\"_blank\">Comment 2</a>:\nJon Kulp  on 2015-07-15:\n\"Heavy Breathing \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1812#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2015-07-15:\n\"Breathing\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1812#4\" target=\"_blank\">Comment 4</a>:\nJohn Corless on 2015-07-17:\n\"Great\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1813#comments\" target=\"_blank\">hpr1813</a></strong>\n(2015-07-15) \"<em>Apt Spelunking: surf, lightyears, and fbterm</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0215.html\" target=\"_blank\">Windigo</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1813#1\" target=\"_blank\">Comment 1</a>:\n0xf10e on 2015-07-14:\n\"grumpyness\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1813#2\" target=\"_blank\">Comment 2</a>:\nwindigo on 2015-07-15:\n\"Re: Grumpyness\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1817#comments\" target=\"_blank\">hpr1817</a></strong>\n(2015-07-21) \"<em>Gathering Parts</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1817#1\" target=\"_blank\">Comment 1</a>:\nCPrompt^ on 2015-07-24:\n\"Great show!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1817#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2015-07-25:\n\"A series on Electronic Components\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1817#3\" target=\"_blank\">Comment 3</a>:\nNYbill on 2015-07-27:\n\"Thanks guys\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1823#comments\" target=\"_blank\">hpr1823</a></strong>\n(2015-07-29) \"<em>Kansas Linux Fest 2015, March 21-22, Lawrence KS, Interview 2 of 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1823#1\" target=\"_blank\">Comment 1</a>:\nAnon on 2015-07-31:\"[no title]\"</li></ul>\n</li>\n</ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1682,'2015-01-13','Introduction to the Netizen Empowerment Federation',620,'Introduction to Netizen Empowerment Federation. It is short, so let me know if you\'d like detail.','<p>\r\nThis is my first HPR release and I\'m going to keep it short. If anyone is intertested in hearing more about any of the projects I mention here, I\'m happy to do another show.\r\n</p>\r\n<p>\r\nFirst, I just want to say that everything on Netizen Empowerment Federation (NEF) is released under a free culture license, though not all of the music selected by our presenters is free culture. Right now we are blog and podcast focused, but we would like to add digital creators of all types.\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://opensourceplayground.org/\">https://opensourceplayground.org/</a>\r\nI\'m doing these sites in the order they were created, though I\'m not sure if OSP or Sportazine was created first. Since OSP is the most closely related to HPR, I\'m going to start with that. OSP started as a shared hosting gift for new developers. The idea was I could make people accounts on Dreamhost and they could test the latest free software. Since it wasn\'t a business, I didn\'t really promote it. It never took off. I had a few people in Wisconsin make accounts, but they barely used them. It\'s not really important why that idea failed, but eventually it just became a place for me to talk tech. lnxw48 aka lnxwalt is our current systems administrator and occasionally writes pieces for the site. Like all of our sites, we are always looking for contributors! \r\n</li>\r\n</ul>\r\n\r\n<ul>\r\n<li><a href=\"https://sportazine.com/\">https://sportazine.com/</a>\r\nAs far as I\'m aware, Sportazine is the only site dedicated to sports and free culture. This means a lot of things. First it means, making sure online sports viewing works in free formats. It also means that there are free software fantasy sports implementations and that sports journalism happens under free culture licenses. Sportazine is a weird beast because we partnered with JMP Enterprise.  \r\n</li>\r\n</ul>\r\n\r\n<ul>\r\n<li><a href=\"https://www.musicmanumit.com/\">https://www.musicmanumit.com/</a>\r\nThis is a collection of shows about remixable music. The main show features me and Tom of the band Lorenzo\'s Music. You can find his band on Jamendo, Spotify, Free Music Archive, and I\'m sure plenty of other places.\r\n</li>\r\n</ul>\r\n\r\n<ul>\r\n<li><a href=\"https://law.musicmanumit.com/\">https://law.musicmanumit.com/</a>\r\nThe Lawcast is on hiatus and when it comes back will likely be less law focused and more just a catchall for more academic and policy-related stuff than we do on the main show. I\'ll probably talk a lot more about free software on the reboot, because it\'s not a topic Tom really cares much about. Tom is a GNU/Linux user, but he refuses to use anything but Skype or Hangout for recording the shows. I\'ll probably have on musicians that we wouldn\'t otherwise have on and thus a topic of conversation on those shows will be \"Why won\'t you use Skype or Hangout?\" I suspect most of the reasons will be free software focused, but they may also be privacy focused (not that they are unrelated).\r\n<p></p>\r\n</li>\r\n<li><a href=\"https://punk.musicmanumit.com\">https://punk.musicmanumit.com</a>\r\nThe punkcast is pretty much what it sounds like it is. Eventually I want to bring it back. Right now though, I need to focus on finding funding, because if I don\'t, my wife is going to kick me out. I hope this is resolved by the time you hear this. I\'m recording on December 19.\r\n</li>\r\n</ul>\r\n\r\n<ul>\r\n<li><a href=\"https://cyberunions.org/\">https://cyberunions.org/</a>\r\nI think Cyberunions.org may have started before any of these, but I put it here due to the start of the Cyberunions podcast, which is currently on hiatus. Stephen now works for the FSF, so you know free software is important to him. I\'m not going to say much about the show, because aside from being a one-time guest, I\'m not involved in the project. If people want to know more about Cyberunions, I suggest you pester Stephen (aka mv) about doing a show.\r\n</li>\r\n</ul>\r\n\r\n<ul>\r\n<li><a href=\"https://rynothebearded.com/\">https://rynothebearded.com/</a>\r\nRTB really refers to two music shows, one called OO (pronounced \"oh-oh\") and one called Unformatted. The site also has a stream that carriers a variety of shows, including Cerebral Mix, Rage and Frustration, and the last NEF show I am going to discuss.\r\n</li>\r\n</ul>\r\n\r\n<ul>\r\n<li><a href=\"https://www.amateurzen.us/\">https://www.amateurzen.us/</a>\r\nUnlike Ryno, you can find the DJ for this show on GNU Social. Alex is <a href=\"https://loadaverage.org/lrockhq\">https://loadaverage.org/lrockhq</a> . Another CC Music show.\r\n</li>\r\n</ul>\r\n',294,0,0,'CC-BY-SA','music, free software, open source, sports, law, copyright, patents, punk, unions, workers, nef',0,0,1),
(1683,'2015-01-14','Theater of the Imagination: Part 06',2757,'lostnbronx interviews Julie Hoverson, a modern audio drama enthusiast','<p>\r\nIn this installment, lostnbronx interviews Julie Hoverson, a modern audio drama enthusiast of great experience and insight.\r\n</p>\r\n<p>\r\nCheck out Julie\'s wonderful audio content at:\r\n</p>\r\n<p>\r\n<a href=\"https://www.19nocturneboulevard.net/Episodes.htm\">https://www.19nocturneboulevard.net/Episodes.htm</a>\r\n</p>\r\n<p>\r\nand (primarily)\r\n</p>\r\n<p>\r\n<a href=\"https://www.nineteennocturne.libsyn.com/\">https://www.nineteennocturne.libsyn.com/</a>\r\n</p>',107,52,1,'CC-BY-SA','audio,drama,audio drama',0,0,1),
(1691,'2015-01-26','Arduino 101 Arduino IO',2583,'In this episode, learn how to read and write input and output from the Arduino.','<p>In this two-part series, Klaatu introduces you to the Arduino. First, learn about the breadboard and how to make electricity course through it in order to power your very own simple circuit.</p>\n <p>To follow along with what Klaatu is talking about, refer to these two graphics:</p>\n <ul>\n  <li><a href=\"https://openclipart.org/detail/104167/breadboard-by-mesamike\" target=\"_blank\">https://openclipart.org/detail/104167/breadboard-by-mesamike</a></li>\n  <li><a href=\"https://openclipart.org/detail/181334/microcontroller--by-b.gaultier-181334\" target=\"_blank\">https://openclipart.org/detail/181334/microcontroller--by-b.gaultier-181334</a></li>\n </ul>\n <p>And here are diagrams of the simple circuits that Klaatu constructs.</p><img alt=\"image: a diagramme of the simple circuit in todays show\" src=\"https://hackerpublicradio.org/eps/hpr1691_0.png\" /><p>The simple code to reset the servo:</p><pre>\n#include &lt;Servo.h&gt;\nServo myservo;\n\nint servoPosition;\n\nvoid setup()\n{\n  myservo.attach(13);\n  myservo.write(90);\n}\n\nvoid loop() {}\n</pre><p>And the code that responds to input:</p><pre>\n#include &lt;Servo.h&gt;\nServo myservo; \n\nint servoPosition;\nint servoMax = 180;\nint servoMin = 0;\n\nint value;\nint valMax = 600;\nint valMin = 50;\n\n\nvoid setup()\n{\n  myservo.attach(13);\n}\n\nvoid loop() \n{\n  value = analogRead(0);\n  servoPosition = map(value, valMin, valMax, servoMax, servoMin);\n  servoPosition = constrain(servoPosition, servoMin, servoMax);\n  myservo.write(servoPosition);\n}\n</pre><p>And here is a bonus diagramme that you can try to create, using a light sensor, servo, and resistor.</p><img alt=\"image: homework\" src=\"https://hackerpublicradio.org/eps/hpr1691_1.png\" />\n',78,91,0,'CC-BY-SA','Arduino,Arduino 101',0,0,1),
(1690,'2015-01-23','Arduino 101 Breadboard',1700,'learn how to use a breadboard.','<p>\r\nIn this two-part series, Klaatu introduces you to the Arduino. First, learn about the breadboard and how to make electricity course through it in order to power your very own simple circuit.\r\n</p>\r\n\r\n<p>\r\nTo follow along with what Klaatu is talking about, refer to these two\r\ngraphics:</p>\r\n\r\n<ul>\r\n<li><a href=\"https://openclipart.org/detail/104167/breadboard-by-mesamike\" target=\"_blank\">https://openclipart.org/detail/104167/breadboard-by-mesamike</a></li>\r\n<li><a href=\"https://openclipart.org/detail/181334/microcontroller--by-b.gaultier-181334\" target=\"_blank\">https://openclipart.org/detail/181334/microcontroller--by-b.gaultier-181334</a></li>\r\n</ul>\r\n\r\n<p>\r\nAnd here are diagrams of the simple circuits that Klaatu constructs.\r\n</p>\r\n\r\n<p>\r\n<img width=\"80%\" src=\"https://hackerpublicradio.org/eps/hpr1690_0.png\" alt=\"image: a diagram of the simplest circuit in todays show\" />\r\n</p>\r\n<p>\r\n<img width=\"80%\" src=\"https://hackerpublicradio.org/eps/hpr1690_1.png\" alt=\"image: a diagram of the switched circuit in todays show\" />\r\n</p>\r\n\r\n',78,91,0,'CC-BY-SA','Arduino',0,0,1),
(1692,'2015-01-27','Boulevard Brewing Company \"Sample Twelve\"',1190,'FiftyOneFifty explores nature and Kansas City brews while celebrating juke box heroes','<p>\r\nUnrelated tech stuff: \r\nRecently, Knightwise showed me a link to use a Raspberry Pi as a streaming music box, much like a Sonos player <a href=\"https://www.woutervanwijk.nl/pimusicbox/\">https://www.woutervanwijk.nl/pimusicbox/</a> .  I looked at the enclosures people had come up with and saw transistor radios from the 40s and 50s which were true works of art, but don\'t provide a great selection of controls.  It was then I remembered seeing a 1950\'s juke box wallbox control ( <a href=\"https://www.ebay.com/sch/i.html?_from=R40&amp;_trksid=p2050601.m570.l1313.TR2.TRC1.A0.H0.Xjuke+box+wallbox&amp;_nkw=juke+box+wallbox&amp;_sacat=0\">https://www.ebay.com/sch/i.html?_from=R40&amp;_trksid=p2050601.m570.l1313.TR2.TRC1.A0.H0.Xjuke+box+wallbox&amp;_nkw=juke+box+wallbox&amp;_sacat=0</a> ) in a local \"antique\" shop.  I\'m never sure when addressing our European friends what parts of the American experience they are familiar with, but in the 40s to the 70s, in just about every American diner with a jukebox, at every booth there would be a remote console with a coin slot.  Usually, you would have card tiles that could be rotated by a knob or by tabs, and each song would have a code made up of a letter and a number.  Dropping in the required currency and making a selection would cause the song to be played on the jukebox (and sometimes on a set of stereo speakers in the wall unit).  As you may see from the eBay link in the shownotes, wall boxes progressed from just a dozen titles in the 40s to far more complex systems, some with digital read out in the 80s.  Most were marvels of late art deco design.\r\n</p>\r\n<p>\r\nMy parents were far to frugal to let me drop coins into one of these pioneering marvels of analog networking, but thanks to a couple modders who have tied their panels into a Raspberry Pi, I can give you a general overview of how these units communicated with the central jukebox via primitive serial protocols.  First off, if you have the expectation of following in Phil Lavin\'s or Stephin Devlin\'s footsteps, be prepared to pay more for a wallbox certified to be ready to connect and work with the same brand\'s jukebox (while all wallboxes seemed to communicate by serial pulse, each company employed a different scheme).  Wallboxes of all conditions seem to start around $50 on eBay, but can go into the thousands.  As I said, all of the wallboxes are marvels of art deco design if they have no other purpose than to occupy your space and become a conversation piece.  Right now on eBay, there is an example of a wallbox converted into a waitorless ordering system (this looks like it is from the 70s, only now do we have this functionallity with iPads at every table).  In other words, where once was \"Stairway to Heaven\", now there was \"Steak and Eggs: $4.95\".  The add on plaque covering the face of the unit identified the system as T.O.B.Y., for Totally Order By Yourself.  I could find nothing on the tech on Google, but I really hope it was successful, because it truly would have been a master hack.\r\n</p>\r\n<p>\r\nFirst step. most wallboxes were powered from the jukebox, you can\'t just plug them into 120v alternating current, you will likely need a 25 or 30v adapter (research your model). If everything works, you should be able to drop your quarter, punch a letter number combo (which will stay down), then a motor will whir and you selected keys will punch back out.  What happens in the background, the motor will cause an energized arm to sweep in a circle, making a circuit with electrodes in it\'s path.  They keys selected determine how many pulses go down the output line, like a finger dialing a rotary phone.\r\n</p>\r\n<p>\r\nEach manufacturer used a different code.  In the case of Steve Devlin\'s Rowe Ami, there would be an initial set of pulses for the number, a pause, then a more complex set for characters A-V (earlier wallboxes had 10 letters and 0-9 to create 100 selections, later boxes had as many as 200).  Phil Lavin\'s Seeburg uses pulses corresponding to two base 20 digits, both protocols were discovered through trial and error.  Each gentleman uses a different method to protect his Pi from overvolt.  Devlin uses a 3.5v voltage regulator, which also makes the pulses appear more \"square\", Lavin uses an optical relay to electrically separate the Pi from Seeburg console entirely.\r\n</p>\r\n<p>\r\nBoth Lavin and Devlin use there wallboxes to control Sonos streaming players.  My idea is more flexible, I\'d like the Pi to be able to launch either streaming podcasts, or play the last ep of a selection of podcasts, or launch various home automation processes. I didn\'t think this talk warranted it\'s own podcast yet because it is clearly an unfinished idea, but I thought this application of old tech was too cool to wait until I was actually motivated to do something with it.  If I get a wallbox, I might be inclined instead to connect each button to a momentary switch and wire each in turn to one of the Pi\'s 40 I/O pins for an even more flexible instruction set.\r\n</p>\r\n<p>\r\n<a href=\"https://wallbox.weebly.com/index.html\">https://wallbox.weebly.com/index.html</a>\r\n<a href=\"https://phil.lavin.me.uk/2013/11/raspberry-pi-project-a-1960s-wallbox-interfaced-with-sonos/\">https://phil.lavin.me.uk/2013/11/raspberry-pi-project-a-1960s-wallbox-interfaced-with-sonos/</a>\r\n</p>\r\n<p>\r\nBoulevard brewing Company \"Sample Twelve\" \r\n<a href=\"https://www.boulevard.com\">https://www.boulevard.com</a> K.C. Mo\r\n</p>\r\n<p>\r\nThis is a unique marketing campaign from my favorite K.C. brewer.  The twelve pack contains four varieties of beer, two are established Boulevard offerings, and the other two are bottled with non gloss \"generic\" labels that appear to have been hand typed.  In other words, we are to believe we have been sold two prototype beers for our approval.\r\n</p>\r\n<p>\r\n80 Acre \"Hoppy\" Wheat Beer (the quotes are mine).  The graphics consist of an old Farmall tractor towing a pickup trailer carrying a gigantic hops bud.  From this presentation, one would expect an oppressivly hoppy beer, fortunately for the hop timid this is a rather satisfying abulation that only registers 20 IBUs.  I detect a distinct citrus taste, so I suspect Citra or related hops but Boulevard is keeping the exact specs closer to the vest than some other brewers.  The brewers escription of the beer may be found here (link in the shownotes) <a href=\"https://www.boulevard.com/BoulevardBeers/80-acre-hoppy-wheat-beer/\">https://www.boulevard.com/BoulevardBeers/80-acre-hoppy-wheat-beer/</a>  Pours corn silk yellow with lots of head but not a lot of lacing. Damp wheat aroma.\r\n</p>\r\n<p>\r\nOatmeal Stout:  This is the first of the \"generic\" label \"test\" beers. Pours opaque dark brown with a very small lite brown head that disappears.  Milk chocolate aroma.  Thin mouth feel, choclately after taste that lasts more than a flavor washing over your tongue (i.e., you drink it, then you taste the chocolaty/coffee like essence).  For locally brewed Oatmeal Stouts, I\'d give the nod to Free State in Lawrence KS, but I wouldn\'t turn down the brew from K.C. if they decide to produce it.  As it is not yet an \"official\", they don\'t document this beer on the Boulevard web page.\r\n</p>\r\n<p>\r\nUnfiltered Wheat Beer: There is a graphic of a farmer gathering wheat bundles to build shocks, surrounded by hops vines.  Pours the color of cloudy golden wheat straw, lots of persistent head that leaves little lacing.  Slight biscuity aroma.  Distinctly more citrusy than the 80 Acre.  Not much malt and just a little hops bitterness. Despite the name, you can safely drink this beer to th bottom without winding up with a mouthful of particulates.\r\n</p>\r\n<p>\r\nMid Coast IPA: The last \"experimental\" beer. At 104 IBUs, this is where all the hops you expected from 80 Acre went.  Pours wheat straw golden, thick white head that leaves little lacing, with a hoppy aroma.  Even at 104 IBU, its has a slight sweet taste and doesn\'t seem to be one of those \"my hops can beat up your hops beers\".  The label states: \"The hoppiest thing we have ever brewed.   Pretty nervy for a bunch of midwesterners\".  It\'s a great complement to the baked ham and spicey glaze I\'m having for dinner (link in the show notes, even though I had to improvise somewhat).\r\n<a href=\"https://www.tasteofhome.com/recipes/apple-cider-glazed-ham\">https://www.tasteofhome.com/recipes/apple-cider-glazed-ham</a>\r\n</p>\r\n<p>\r\nBefore I leave you, I wanted to play the sounds of dusk from my new homesite.  I can think of no more eloquent argument why living on the lake is better than living in town.\r\n</p>\r\n<p>\r\nNote: Recorded with 2.4Ghz Creative Labs GH0220B headset.  I am not happy with the result.\r\n</p>',131,14,0,'CC-BY-SA','5150 Shades of Beer,jukebox, beer, Kansas City, geese',0,0,1),
(1694,'2015-01-29','My APOD downloader',1320,'My simple Perl script to download the Astronomy Picture of the Day each day','<h1 id=\"my-apod-downloader\">My APOD Downloader</h1>\n <h2 id=\"astronomy-picture-of-the-day\">Astronomy Picture of the Day</h2>\n <p>You have probably heard of the <a href=\"https://apod.nasa.gov/apod/astropix.html\">Astronomy Picture of the Day (APOD)</a> site. It has existed since 1995, is provided by <a href=\"https://en.wikipedia.org/wiki/NASA\">NASA</a> and <a href=\"https://en.wikipedia.org/wiki/Michigan_Technological_University\">Michigan Technological University (MTU)</a> and is created and managed by <a href=\"https://www.mtu.edu/physics/department/faculty/nemiroff/\">Robert Nemiroff</a> and <a href=\"https://antwrp.gsfc.nasa.gov/htmltest/jbonnell/www/bonnell.html\">Jerry Bonnell</a>. The FAQ on the site says <em>\"The APOD archive contains the largest collection of annotated astronomical images on the internet\"</em>.</p>\n <h2 id=\"the-downloader\">The Downloader</h2>\n <p>Being a KDE user I quite like a moderate amount of bling, and I particularly like to have a picture on my desktop. I like to rotate my wallpaper pictures every so often, so I want to have a collection of images. To this end I download the APOD on my server every day and make the images available through an NFS-mounted volume.</p>\n <p>In 2012 I wrote a Perl script to perform the download, using a fairly primitive HTML parsing method. This script has been improved over the intervening years and now uses the Perl module <a href=\"https://search.cpan.org/~cjm/HTML-Tree-5.03/lib/HTML/TreeBuilder.pm\"><code>HTML::TreeBuilder</code></a> which I believe is much better at parsing HTML.</p>\n <p>The version of the script I use myself also includes the Perl module <code>Image::Magick</code> which interfaces to the awesome <a href=\"https://www.imagemagick.org/\"><code>ImageMagick</code></a> image manipulation software suite. I use this to annotate the downloaded image with the title parsed from the HTML so I know what it is.</p>\n <p>The script I am presenting here is called <code>collect_apod_simple</code> and does not use <code>ImageMagick</code>. I chose to omit it because the installation of this suite and the related Perl module can be difficult. Also, I do not feel that the annotation always works as well as it could, and I have not yet found the time to correct this shortcoming.</p>\n <p>A version of the more advanced script (called <code>collect_apod</code>) is available in the same place as <code>collect_apod_simple</code> should you wish to give it a try. Both scripts are available on <em>GitLab</em> under the link <a href=\"https://gitlab.com/davmo/hprmisc\">https://gitlab.com/davmo/hprmisc</a>.</p>\n <h2 id=\"the-code\">The Code</h2>\n <p>The script itself is described in the full show notes, available here: <a href=\"https://hackerpublicradio.org/eps/hpr1694_full_shownotes.html\">https://hackerpublicradio.org/eps/hpr1694_full_shownotes.html</a></p>\n <h2 id=\"links\">Links</h2>\n <ul>\n  <li>Wikipedia entry <a href=\"https://en.wikipedia.org/wiki/Astronomy_Picture_of_the_Day\">https://en.wikipedia.org/wiki/Astronomy_Picture_of_the_Day</a></li>\n  <li>Astronomy Picture of the Day <a href=\"https://apod.nasa.gov/apod/astropix.html\">https://apod.nasa.gov/apod/astropix.html</a></li>\n  <li>NASA <a href=\"https://en.wikipedia.org/wiki/NASA\">https://en.wikipedia.org/wiki/NASA</a></li>\n  <li>Michigan Technological University (MTU) <a href=\"https://en.wikipedia.org/wiki/Michigan_Technological_University\">https://en.wikipedia.org/wiki/Michigan_Technological_University</a></li>\n  <li>Robert Nemiroff <a href=\"https://www.mtu.edu/physics/department/faculty/nemiroff/\">https://www.mtu.edu/physics/department/faculty/nemiroff/</a></li>\n  <li>Jerry Bonnell <a href=\"https://antwrp.gsfc.nasa.gov/htmltest/jbonnell/www/bonnell.html\">https://antwrp.gsfc.nasa.gov/htmltest/jbonnell/www/bonnell.html</a></li>\n  <li><code>HTML::TreeBuilder</code> Perl module <a href=\"https://search.cpan.org/~cjm/HTML-Tree-5.03/lib/HTML/TreeBuilder.pm\">https://search.cpan.org/~cjm/HTML-Tree-5.03/lib/HTML/TreeBuilder.pm</a></li>\n  <li><code>ImageMagick</code> image manipulation software suite <a href=\"https://www.imagemagick.org/\">https://www.imagemagick.org/</a></li>\n  <li><em>GitLab</em> link <a href=\"https://gitlab.com/davmo/hprmisc\">https://gitlab.com/davmo/hprmisc</a>.</li>\n </ul>\n',225,0,1,'CC-BY-SA','NASA,astronomy,picture,Perl',0,0,1),
(1739,'2015-04-02','Theater of the Imagination: Part 07',1654,'Episode 07 of lostnbronx\'s series about dramatic audio media.','<p>In Part 07, lostnbronx talks about his Tascam DR-40 solid state recording device, covers an OTR show of particular note, along with a new show that\'s also extremely cool, and then makes a plea for you to support your favorite artists.\r\n</p>\r\n\r\n<h2>MUSIC IN THIS EPISODE</h2>\r\n\r\n<ul>\r\n	<li>myfreemickey_-_The_Game_Has_Changed.mp3 <a href=\"https://dig.ccmixter.org/files/myfreemickey/40672\">https://dig.ccmixter.org/files/myfreemickey/40672</a></li>\r\n	<li>My Free Mickey (featuring Kamihamiha) <a href=\"https://dig.ccmixter.org/people/myfreemickey\">https://dig.ccmixter.org/people/myfreemickey</a></li>\r\n	<li>Creative Commons Attribution 3.0 <a href=\"https://creativecommons.org/licenses/by/3.0/\">https://creativecommons.org/licenses/by/3.0/</a></li>\r\n</ul>\r\n\r\n\r\n<h2>The Tascam DR-40</h2>\r\n<ul>\r\n<li><a href=\"https://tascam.com/product/dr-40/\">https://tascam.com/product/dr-40/</a></li>\r\n<li><a href=\"https://www.bhphotovideo.com/c/product/821259-REG/Tascam_DR_40_DR_40_4_Track_Handheld_Digital.html\">https://www.bhphotovideo.com/c/product/821259-REG/Tascam_DR_40_DR_40_4_Track_Handheld_Digital.html</a></li>\r\n</ul>\r\n<h2>The Zoom H4n</h2>\r\n<ul>\r\n<li><a href=\"https://www.zoom.co.jp/english/products/h4n/index.php\">https://www.zoom.co.jp/english/products/h4n/index.php</a></li>\r\n<li><a href=\"https://www.amazon.com/Zoom-Handy-Portable-Digital-Recorder/dp/B001QWBM62\">https://www.amazon.com/Zoom-Handy-Portable-Digital-Recorder/dp/B001QWBM62</a></li>\r\n</ul>\r\n\r\n<h2>AUDIO CLIPS</h2>\r\n\r\n<h3>The Lives of Harry Lime</h3>\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/The_Adventures_of_Harry_Lime\">https://en.wikipedia.org/wiki/The_Adventures_of_Harry_Lime</a></li>\r\n<li><a href=\"https://archive.org/details/TheLivesOfHarryLime\">https://archive.org/details/TheLivesOfHarryLime</a></li></ul>\r\n\r\n<h3>The Wireless Theater Company</h3>\r\n<ul>\r\n	<li><a href=\"https://www.wirelesstheatrecompany.co.uk/\">https://www.wirelesstheatrecompany.co.uk/</a></li></ul>\r\n',107,52,0,'CC-BY-SA','audio drama, lostnbronx, recording, hardware, art',0,0,1),
(1693,'2015-01-28','DD fun',1412,'Having some Fun with the DD command.','<p>\r\nStoring info outside the file system with the DD command.\r\n</p>\r\n',295,0,0,'CC-BY-SA','DD command,partition,sector',0,0,1),
(1710,'2015-02-20','Windows Remote Desktop on GNU/Linux',679,'A wrapper script for xfreerdp to make connecting to windows servers painless','<p>\r\nRecorded using <a href=\"https://play.google.com/store/apps/details?id=com.digipom.easyvoicerecorder.pro\">Easy Voice Recorder Pro</a>\r\n</p>\r\n<p>I wrote a bash script to connect to various different windows servers from my GNU/Linux desktops. I had a few different requirements:</p>\r\n<ul>\r\n<li>I should be able to call it based on hostname.</li>\r\n<li>All windows should be 90% smaller than my screen.</li>\r\n<li>It should map my keyboard.</li>\r\n<li>It should map my local disk.</li>\r\n<li>It should quickly timeout if the port is not available.</li>\r\n</ul>\r\n<p>You can get the full script <a href=\"https://kenfallon.com/files/rdp.bash\" target=\"_blank\">here</a>, but let’s walk through it:</p>\r\n<p>The first line calls bash and then gets the server name from the symlink that is calling the script. The port is set as “3389”, but you can change that if you like.\r\n</p>\r\n<pre>\r\n#!/bin/bash\r\nSERVER=`basename $0`\r\nPORT=\"3389\"\r\n</pre>\r\n<p>The next few lines finds the smallest vertical and horizontal sizes, even if you are running multiple screens. Then it calculates 90% of that to use as the size.</p>\r\n<pre>\r\nh=$(echo \"scale=0;(($(xrandr | grep \'*+\' | sed \'s/x/ /g\' | awk \'{print $1}\' | sort -n | head -1 )/100)*90)\" | bc)\r\nv=$(echo \"scale=0;(($(xrandr | grep \'*+\' | sed \'s/x/ /g\' | awk \'{print $2}\' | sort -n | head -1 )/100)*90)\" | bc)\r\nSIZE=${h}x${v}\r\n</pre>\r\n<p>Next we set the default username and password. I have it ask me for my password but I put it in here as an example.</p>\r\n<pre>\r\nPASSWORD=\'defaultpassword\'\r\nUSERNAME=\'administrator\'\r\nWORKGROUP=\'workgroup\'\r\n</pre>\r\n<p>In some cases the credentials may be different, so I have a case statement that will cycle through the servers and apply the differences. Depending on your naming schemes you may be able to use regular expressions here to filter out groups of servers. </p>\r\n<pre>\r\ncase \"${SERVER}\" in\r\n  *server*) echo \"Server ${SERVER}\"\r\n    PASSWORD=\'work_password\'\r\n    USERNAME=\'administrator\'\r\n    WORKGROUP=\'WORKGROUP\'\r\n    ;;\r\n \r\n  *colo*) echo \"Server ${SERVER}\"\r\n    PASSWORD=\'colo_server_password\'\r\n    USERNAME=\'administrator\'\r\n    WORKGROUP=\'COLODOMAIN\'\r\n    ;;\r\n     \r\n  some_server ) echo \"Server ${SERVER}\"\r\n    PASSWORD=\'some_server_password\'\r\n    USERNAME=\'some_server_password\'\r\n    ;;\r\n  *) echo \"No match for ${SERVER}, using defaults\"\r\n    ;;\r\nesac\r\n</pre>\r\n<p>Next we use an inbuilt bash command to see if a remote port is open and timeout after one second. </p>\r\n<pre>\r\ntimeout 1 bash -c \"echo >/dev/tcp/${SERVER}/${PORT}\"\r\n</pre>\r\n<p>I used to connect to rdp using the program <a href=\"https://www.rdesktop.org/\" target=\"_blank\">rdesktop</a>, but it is now of limited value due to the fact that there are many open bugs that are not getting fixed. Bugs such as <em><a href=\"https://bugzilla.redhat.com/show_bug.cgi?id=1075697\"><b>Bug 1075697</b></a> -<span id=\"summary_alias_container\"> <span id=\"short_desc_nonedit_display\">rdesktop cannot connect to systems using RDP version 6 or newer</span> </span></em> and <em><a href=\"https://bugzilla.redhat.com/show_bug.cgi?id=1002978\"><b>Bug 1002978</b></a> -<span id=\"summary_alias_container\"> <span id=\"short_desc_nonedit_display\">Failed to negotiate protocol, retrying with plain RDP</span> </span></em>. I then switch to using <a href=\"https://www.freerdp.com/\" target=\"_blank\">xfreerdp</a>. This is the client that is behind <a href=\"https://remmina.sourceforge.net/\" target=\"_blank\">remmina</a>.</p>\r\n\r\n<p>You can use <em>xfreerdp /kbd-list</em> to get a list of the available keyboard layouts.</p>\r\n<pre>\r\nif [ $? -eq 0 ]; then\r\n  echo \"${SERVER}:${PORT} is open\"\r\n  xfreerdp /v:${SERVER} /size:${SIZE} /kbd-type:0x00000409 /t:${SERVER} /d:${WORKGROUP} /u:${USERNAME} /p:${PASSWORD} /a:drive,pc,/ /cert-ignore &amp;\r\nelse\r\n  echo \"${SERVER}:${PORT} is closed\"\r\nfi\r\n</pre>\r\n\r\n<p>Next you will need to be sure that your host names are available, either in dns or in your <em> /etc/hosts/</em> file. For example:</p>\r\n<pre>10.1.0.1 server1\r\n10.1.0.2 server2\r\n10.1.0.3 server3\r\n10.2.0.1 coloserver1\r\n10.2.0.2 coloserver2\r\n10.2.0.3 coloserver3\r\n192.168.1.1 some_server\r\n</pre>\r\n<p>Edit the script to your liking and then put it into your a directory in your path, possibly <em>/usr/local/bash</em> or <em>~/bin/</em>. You can then make symbolic links to the servers to the bash script, also in a directory in your path, using the command:</p>\r\n<pre>ln -s /usr/local/bash/rdp.bash ~/bin/some_server\r\nchmod +x ~/bin/some_server\r\n</pre>\r\n<p>Which links the global rdp.bash script to your personal symlink, and makes it executable.</p>\r\n<p>All that you need to do then is type the name of the server and a rdp screen should pop up.</p>\r\n<p>In our example:</p>\r\n<pre>$ some_server\r\n</pre>\r\n<p>From there your Windows Server session should pop up.</p>',30,42,0,'CC-BY-SA','bash,xfreerdp,rdesktop,remmina',0,0,1),
(1720,'2015-03-06','15 Certificate Issues and Solutions',1091,'A look at the problems that SSL certificates can have, and offers some solutions','<p>\r\nLast time we looked at some basics about how TLS and SSL work, and saw that this is basically an application of the same technology used to encrypt e-mails. But we also noted that there are some problems with this approach. We need to recognize that in security there is never a permanent solution, and that vulnerabilities are constantly being discovered, and ideally then being fixed. Some of these may involve highly technical issues about cryptographic methods, but I think the largest category of issues is about the processes around the use of certificates.\r\nFor more go to <a href=\"https://www.zwilnik.com/?page_id=686\">https://www.zwilnik.com/?page_id=686</a>\r\n</p>\r\n\r\n<h3>Links:</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Root_certificate\">https://en.wikipedia.org/wiki/Root_certificate</a>\r\n</li>\r\n<li><a href=\"https://www.mozilla.org/en-US/about/governance/policies/security-group/certs/included/\">https://www.mozilla.org/en-US/about/governance/policies/security-group/certs/included/</a>\r\n</li>\r\n<li><a href=\"https://www.zdnet.com/microsoft-warns-of-fake-google-and-yahoo-domains-7000031463/\">https://www.zdnet.com/microsoft-warns-of-fake-google-and-yahoo-domains-7000031463/</a>\r\n</li>\r\n<li><a href=\"https://nakedsecurity.sophos.com/2013/12/09/serious-security-google-finds-fake-but-trusted-ssl-certificates-for-its-domains-made-in-france/\">https://nakedsecurity.sophos.com/2013/12/09/serious-security-google-finds-fake-but-trusted-ssl-certificates-for-its-domains-made-in-france/</a>\r\n</li>\r\n<li><a href=\"https://www.eff.org/deeplinks/2011/09/post-mortem-iranian-diginotar-attack\">https://www.eff.org/deeplinks/2011/09/post-mortem-iranian-diginotar-attack</a>\r\n</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Man-in-the-middle_attack\">https://en.wikipedia.org/wiki/Man-in-the-middle_attack</a>\r\n</li>\r\n<li><a href=\"https://www.eff.org/deeplinks/2011/09/post-mortem-iranian-diginotar-attack\">https://www.eff.org/deeplinks/2011/09/post-mortem-iranian-diginotar-attack</a>\r\n</li>\r\n<li><a href=\"https://support.mozilla.org/en-US/questions/994708\">https://support.mozilla.org/en-US/questions/994708</a>\r\n</li>\r\n<li><a href=\"https://convergence.io/\">https://convergence.io/</a>\r\n</li>\r\n<li><a href=\"https://addons.mozilla.org/en-US/firefox/addon/certificate-patrol/\">https://addons.mozilla.org/en-US/firefox/addon/certificate-patrol/</a>\r\n</li>\r\n<li><a href=\"https://www.duosecurity.com/\">https://www.duosecurity.com/</a>\r\n</li>\r\n<li><a href=\"https://www.certificate-transparency.org/what-is-ct\">https://www.certificate-transparency.org/what-is-ct</a>\r\n</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Transport_Layer_Security\">https://en.wikipedia.org/wiki/Transport_Layer_Security</a>\r\n</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Online_Certificate_Status_Protocol\">https://en.wikipedia.org/wiki/Online_Certificate_Status_Protocol</a>\r\n</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/OCSP_stapling\">https://en.wikipedia.org/wiki/OCSP_stapling</a>\r\n</li>\r\n<li><a href=\"https://www.zwilnik.com/?page_id=686\">https://www.zwilnik.com/?page_id=686</a>\r\n</li>\r\n</ul>',198,74,0,'CC-BY-SA','TLS, SSL, Certificates',0,0,1),
(1745,'2015-04-10','51 - LibreOffice Impress - Overview and Guidance',673,'Introduction to making Presentations, with some good advice.','<p>\r\nWe begin the discussion of Impress, the Presentation Graphics (i.e. slide deck) component of Libre Office. In this episode we look at some of the basic issues around presentations that you need to consider *before* you open up the software. Constructing a good presentation is not easy, and there are some good principles that the masters of the art can impart. WE discuss some of these here and provide links to good resources. \r\nFor more go to <a href=\"https://www.ahuka.com/?page_id=1087\">https://www.ahuka.com/?page_id=1087</a>\r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://www.edwardtufte.com/tufte/powerpoint\">https://www.edwardtufte.com/tufte/powerpoint</a>\r\n</li>\r\n<li><a href=\"https://www.linuxpromagazine.com/Online/Blogs/Off-the-Beat-Bruce-Byfield-s-Blog/How-to-avoid-giving-a-summary-presentation\">https://www.linuxpromagazine.com/Online/Blogs/Off-the-Beat-Bruce-Byfield-s-Blog/How-to-avoid-giving-a-summary-presentation</a>\r\n</li>\r\n<li><a href=\"https://blog.hubspot.com/blog/tabid/6307/bid/34274/7-Lessons-From-the-World-s-Most-Captivating-Presenters-SlideShare.aspx\">https://blog.hubspot.com/blog/tabid/6307/bid/34274/7-Lessons-From-the-World-s-Most-Captivating-Presenters-SlideShare.aspx</a>\r\n</li>\r\n<li><a href=\"https://www.presentationmagazine.com/\">https://www.presentationmagazine.com/</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?page_id=1087\">https://www.ahuka.com/?page_id=1087</a>\r\n<p></p>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','LibreOffice, Impress, Presentations',0,0,1),
(1755,'2015-04-24','52 - LibreOffice Impress - Moving Around',814,'Introduction to the Impress application screen layout.','<p>\r\nNow we can start to take a look at the actual Impress application, and we begin by looking a how the program is laid out on the screen. Knowing where to find key features is important in using the program efficiently.\r\nFor more go to <a href=\"https://www.ahuka.com/?page_id=1112\">https://www.ahuka.com/?page_id=1112</a>\r\n</p>',198,70,0,'CC-BY-SA','LibreOffice, Impress, Presentations, navigation',0,0,1),
(1765,'2015-05-08','53 - LibreOffice Impress - Outlining and Blank Presentations',829,'Learning to start with the content and not the eye candy.','<p>\r\nHaving looked at the screen layout, now we can look at how to build a presentation by focusing on the content first, and not the eye candy. This can be done by creating an outline, or by beginning with a blank presentation. We discuss both and give some ideas on which to use in each situation.\r\nFor more go to <a href=\"https://www.ahuka.com/?page_id=1100\">https://www.ahuka.com/?page_id=1100</a>\r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://www.ahuka.com/wp-content/uploads/2014/12/Sample-Outline-for-Impress.odt\">https://www.ahuka.com/wp-content/uploads/2014/12/Sample-Outline-for-Impress.odt</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/wp-content/uploads/2014/12/Sample-Presentation-from-Outline.odp\">https://www.ahuka.com/wp-content/uploads/2014/12/Sample-Presentation-from-Outline.odp</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?page_id=1100\">https://www.ahuka.com/?page_id=1100</a>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','Libreoffice,Libreoffice impress,outline',0,0,1),
(1718,'2015-03-04','What\'s In My Pickup Toolbox',1587,'What\'s In Fifty One Fifty\'s Pickup Toolbox','<p>\r\nThe mystery of my pickup toolbox.\r\n</p>',131,23,0,'CC-BY-SA','tools,toolbox',0,0,1),
(1719,'2015-03-05','The Linux Tree Command',848,'The Linux Tree Command and its uses','<h2>tree - list contents of directories in a tree-like format.</h2>\r\n<h2>Synopsis</h2>\r\n<p><b>tree</b> [<b>-adfghilnopqrstuvxACDFNS</b>] [<b>-L</b> <i>level</i> [<b>-R</b>]] [<b>-H</b> <i>baseHREF</i>] [<b>-T</b> <i>title</i>] [<b>-o</b>\r\n<i>filename</i>] [<b>--nolinks</b>] [<b>-P</b> <i>pattern</i>] [<b>-I</b> <i>pattern</i>] [<b>--inodes</b>] [<b>--device</b>] [<b>--noreport</b>]\r\n[<b>--dirsfirst</b>] [<b>--version</b>] [<b>--help</b>] [<b>--filelimit</b> <i>#</i>] [<i>directory</i> ...]\r\n</p>\r\n<h2>Description</h2>\r\n\r\n<p><i>Tree</i> is a recursive directory listing program that produces a depth indented listing of files. Color is supported ala <i>dircolors</i> if the\r\n<b>LS_COLORS</b> environment variable is set, output is to a tty, and the <b>-C</b> flag is used. With no arguments, <i>tree</i> lists the files in the current\r\ndirectory. When directory arguments are given, <i>tree</i> lists all the files and/or directories found in the given directories each in turn. Upon completion\r\nof listing all files/directories found, <i>tree</i> returns the total number of files and/or directories listed.\r\n</p><p>By default, when a symbolic link is encountered, the path that the symbolic link refers to is printed after the name of the link in the format:\r\n\r\n</p><p>name -> real-path\r\n</p><p>If the \'<b>-l</b>\' option is given and the symbolic link refers to an actual directory, then <i>tree</i> will follow the path of the symbolic link as if it\r\nwere a real directory.\r\n</p>\r\n<p>\r\n<a href=\"https://linux.die.net/man/1/tree\">https://linux.die.net/man/1/tree</a>\r\n</p>',129,0,0,'CC-BY-SA','tree command',0,0,1),
(1697,'2015-02-03','FOSDEM 2015 Friday Night and Saturday Morning 1 of 5',3068,'Bradley M. Kuhn, Karen Sandler, Sriram Ramkrishna, Matthew Miller, Rich Bowen, Karanbir Singh','<h2>FOSDEM 2015 Friday Night and Saturday Morning 1 of 5</h2>\r\n<p>\r\n<img src=\"https://fosdem.org/2015/assets/style/logo-big-a5243e4d7e00f8bc6816e2b3f3804f505a17ae4832e6e52a24d183617e03a87c.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://fosdem.org/2015/\" target=\"_blank\">https://fosdem.org/2015/</a>\r\n</p>\r\n<blockquote cite=\"https://fosdem.org/2015/about/\">\r\nFOSDEM is a two-day event organised by volunteers to promote the widespread use of open source software. Videos of the talks refered to in this show are made available on their website.\r\n</blockquote>\r\n\r\n<h2>Software Freedom Conservancy</h2>\r\n<p>\r\n<img src=\"https://sfconservancy.org/img/conservancy-header.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://sfconservancy.org\" target=\"_blank\">https://sfconservancy.org</a>\r\n</p>\r\n<blockquote cite=\"https://sfconservancy.org/overview/\">\r\nSoftware Freedom Conservancy is a not-for-profit organization that helps promote, improve, develop, and defend Free, Libre, and Open Source Software (FLOSS) projects. Conservancy provides a non-profit home and infrastructure for FLOSS projects. This allows FLOSS developers to focus on what they do best - writing and improving FLOSS for the general public - while Conservancy takes care of the projects\' needs that do not relate directly to software development and documentation.\r\n</blockquote>\r\n\r\n<h2>Free as in Freedom</h2>\r\n<p>\r\nWebsite: <a href=\"https://faif.us/\" target=\"_blank\">https://faif.us/</a>\r\n</p>\r\n<blockquote cite=\"https://faif.us/\">\r\nFree as in Freedom is a bi-weekly oggcast, hosted and presented by\r\n<a href=\"https://ebb.org/bkuhn\">Bradley M. Kuhn</a> and <a href=\"https://gnomg.org\">Karen Sandler</a>.\r\nThe discussion includes legal, policy, and many other issues in the Free, Libre,\r\nand Open Source Software (FLOSS) world.  Occasionally, guests join\r\nBradley and Karen to discuss various topics regarding FLOSS.\r\n</blockquote>\r\n\r\n<p>\r\n<img class=\"headshot\" alt=\"***An image of bkuhn taken on 29 August 2007***\" src=\"https://www.ebb.org/bkuhn/bkuhn-headshot-smallest.jpg\" height=\"308\" width=\"205\" />\r\n</p>\r\n<p>Listen to the interview with Bradley M. Kuhn</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1697.ogg#t=74,262\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1697.mp3#t=74,262\" type=\"audio/mpeg\" >\r\n</audio>\r\n\r\n<p>\r\n<img alt=\"headshot\" src=\"https://questioncopyright.org/cm/images/karen-sandler.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Karen Sandler</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1697.ogg#t=265,932\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1697.mp3#t=265,932\" type=\"audio/mpeg\" >\r\n</audio>\r\n\r\n\r\n<h2>GNOME</h2>\r\n\r\n<p>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrink_200_200/p/2/000/08b/335/1e76a9a.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Sriram Ramkrishna</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1697.ogg#t=932,1611\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1697.mp3#t=932,1611\" type=\"audio/mpeg\" >\r\n</audio>\r\n\r\n<p>\r\n<img src=\"https://www.gnome.org/wp-content/themes/gnome-grass/images/gnome-logo.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://gnome.org\" target=\"_blank\">https://gnome.org</a>\r\n</p>\r\n<blockquote cite=\"https://www.gnome.org/about/\">\r\n<p>GNOME 3 is an easy and elegant way to use your computer. It is designed to put you in control and bring freedom to everybody. GNOME 3 is developed by the GNOME community, a diverse, international group of contributors that is supported by an independent, non-profit foundation.</p>\r\n</blockquote>\r\n\r\n\r\n<h2>Fedora</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrink_200_200/p/7/000/1aa/217/0c09cd7.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Matthew Miller</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1697.ogg#t=1611,1975\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1697.mp3#t=1611,1975\" type=\"audio/mpeg\" >\r\n</audio>\r\n\r\n<p>\r\n<img src=\"https://getfedora.org/static/images/fedora-logotext.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://getfedora.org/en/\" target=\"_blank\">https://getfedora.org/en/</a>\r\n</p>\r\n<blockquote cite=\"https://fedoraproject.org/wiki/Overview\">\r\n<p>The <em>Fedora Project</em> is a partnership of free software community members from around the globe.  The Fedora Project builds open source software communities and produces a Linux distribution called \"Fedora.\" The Fedora Project\'s mission is to lead the advancement of free and open source software and content as a collaborative community. \r\n</blockquote>\r\n\r\n<h2>OpenStack</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrink_200_200/p/3/005/073/147/2902ba0.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Rich Bowen</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1697.ogg#t=1975,2279\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1697.mp3#t=1975,2279\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://openstack.org/themes/openstack/images/openstack-logo-full.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://openstack.org\" target=\"_blank\">https://openstack.org</a>\r\n</p>\r\n<blockquote cite=\"https://openstack.org/\">\r\nOpenStack software controls large pools of compute, storage, and networking resources throughout a datacenter, managed through a <a href=\"https://openstack.org/software/openstack-dashboard/\">dashboard</a> or via the <a href=\"https://developer.openstack.org\">OpenStack API</a>. OpenStack works with <a href=\"https://openstack.org/openstack.org/marketplace/drivers/\">popular enterprise and open source technologies</a> making it ideal for heterogeneous infrastructure.\r\n</blockquote>\r\n\r\n<h2>CentOS</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrink_200_200/p/4/000/140/3ea/074dbf5.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Karanbir Singh</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1697.ogg#t=2279,2850\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1697.mp3#t=2279,2850\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://www.centos.org/images/logo_small.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://www.centos.org\" target=\"_blank\">https://www.centos.org</a>\r\n</p>\r\n<blockquote cite=\"https://www.centos.org/about/\">\r\n<p>The CentOS Linux distribution is a stable, predictable, manageable and reproduceable platform derived from the sources of Red Hat Enterprise Linux (RHEL). We are now looking to expand on that by creating the resources needed by other communities to come together and be able to build on the CentOS Linux platform. And today we start the process by delivering a clear governance model, increased transparency and access. In the coming weeks we aim to publish our own roadmap that includes variants of the core CentOS Linux.</p>\r\n</blockquote>\r\n\r\n<h2>Music</h2>\r\n<pre>\r\nTrack name : Free Software Song\r\nPerformer : Fenster\r\nRecorded date : 2002\r\nCopyright : Copyright (C) 2002, \r\nFenster LLC. Verbatim copying of this entire recording is permitted in any medium, \r\nprovided this notice is preserved. \r\nPerformers: \r\nPaul Robinson (vocals), \r\nRoman Kravec (guitar), \r\nEd D\'Angelo (bass), \r\nDave Newman (drums), \r\nBrian Yarbrough (trumpet), \r\nTony Moore (trumpet). \r\nFree software info at www.gnu.org speeches at audio-video.gnu.org/audio\r\n</pre>\r\n',30,78,1,'CC-BY-SA','Software Freedom Conservancy,Free as in Freedom,GNOME,Fedora,OpenStack,CentOS,Fenster',0,0,1),
(1698,'2015-02-04','FOSDEM 2015 Part 2 of 5',2758,'OpenMandriva, Mageia, KDE, Debian, Puppet, OwnCloud, Diaspora','<h2>FOSDEM 2015</h2>\r\n<p>\r\n<img src=\"https://fosdem.org/2015/assets/style/logo-big-a5243e4d7e00f8bc6816e2b3f3804f505a17ae4832e6e52a24d183617e03a87c.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://fosdem.org/2015/\" target=\"_blank\">https://fosdem.org/2015/</a>\r\n</p>\r\n<blockquote cite=\"https://fosdem.org/2015/about/\">\r\nFOSDEM is a two-day event organised by volunteers to promote the widespread use of open source software. Videos of the talks refered to in this show are made available on their website.\r\n</blockquote>\r\n\r\n<h2>OpenMandriva</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://upload.wikimedia.org/wikipedia/en/0/0d/Bero.JPG\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Bernhard Rosenkränzer</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1698.ogg#t=70,508\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1698.mp3#t=70,508\" type=\"audio/mpeg\" >\r\n</audio>\r\n\r\n<p>\r\n<img height=\"80\" src=\"https://upload.wikimedia.org/wikipedia/commons/6/60/Oma-logo-22042013_300pp.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://openmandriva.org\" target=\"_blank\">https://openmandriva.org</a>\r\n</p>\r\n<blockquote cite=\"https://openmandriva.org/en/about\">\r\n<p>We are a <strong>100% community-driven association</strong> that believes in the values of free software &amp; collaboration. We fight to protect these values and promote solutions anyone can use, change and distribute. OpenMandriva believes in <em>creating, improving, promoting and distributing free software</em> in general, and its projects in particular. We also crave for <em>promoting free exchange of knowledge and equality of opportunity in software access and development, as well as in education, science and research</em>. Our products are <em>developed with passion</em> by the community and aim to be flexible in use by all.</p>\r\n\r\n<p>OpenMandriva represents the paradigm: <strong>from community to community, with passion, fun and dedication</strong>.</p>\r\n\r\n</blockquote>\r\n\r\n<h2>Mageia</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/media/p/1/000/086/256/1d2d3e5.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Anne Nicolas</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1698.ogg#t=508,737\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1698.mp3#t=508,737\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://nav.mageia.org/css/mageia-logo-nav-3.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://mageia.org\" target=\"_blank\">https://mageia.org</a>\r\n</p>\r\n<blockquote cite=\"https://www.mageia.org/en/about/\">\r\nMageia is a GNU/Linux-based, Free Software operating system. It is a community project, supported by a nonprofit organisation of elected contributors. Our mission: to build great tools for people.\r\n</blockquote>\r\n\r\n<h2>KDE</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/media/p/5/005/01f/3b1/0fd5fe5.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Jonathan Riddell</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1698.ogg#t=737,1104\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1698.mp3#t=737,1104\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://www.kde.org/media/images/kde.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://www.kde.org\" target=\"_blank\">https://www.kde.org</a>\r\n</p>\r\n<blockquote cite=\"https://www.kde.org\">\r\nKDE is an international team co-operating on development and distribution of Free, Open Source Software for desktop and portable computing. Our community has developed a wide variety of applications for communication, work, education and entertainment. We have a strong focus on finding innovative solutions to old and new problems, creating a vibrant, open atmosphere for experimentation. \r\n</blockquote>\r\n\r\n<h2>Debian</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://www.cs.unb.ca/~bremner/pics/portrait.png\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with David Bremner</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1698.ogg#t=1104,1506\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1698.mp3#t=1104,1506\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://www.debian.org/Pics/openlogo-50.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://www.debian.org/\" target=\"_blank\">https://www.debian.org/</a>\r\n</p>\r\n<blockquote cite=\"https://www.debian.org/intro/about\">\r\n<p>The <a href=\"https://www.debian.org/\">Debian Project</a> is an association of individuals who have made common cause to create a free operating system. This operating system that we have created is called <strong>Debian</strong>.\r\n</p>\r\n</blockquote>\r\n\r\n<h2>Puppet</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://photos1.meetupstatic.com/photos/member/c/7/5/8/member_104091032.jpeg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Johan De W.</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1698.ogg#t=1506,1651\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1698.mp3#t=1506,1651\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://upload.wikimedia.org/wikipedia/en/thumb/c/c5/Puppet_Labs_Logo.png/250px-Puppet_Labs_Logo.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://puppetlabs.com/\" target=\"_blank\">https://puppetlabs.com/</a>\r\n</p>\r\n<blockquote cite=\"https://puppetlabs.com/about\">\r\nPuppet Labs is the leader in IT automation. Our software helps sysadmins automate configuration and management of machines and the software running on them. With our software, businesses can make rapid, repeatable changes and automatically enforce the consistency of systems and devices, across physical and virtual machines, on prem or in the cloud.\r\n</blockquote>\r\n\r\n<h2>OwnCloud</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://avatars3.githubusercontent.com/u/925062\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Jan-Christoph Borchardt</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1698.ogg#t=1651,2024\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1698.mp3#t=1651,2024\" type=\"audio/mpeg\" >\r\n</audio>\r\n\r\n<p>\r\n<img height=\"80\" src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/b/b6/OwnCloud2-Logo.svg/595px-OwnCloud2-Logo.svg.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://owncloud.org/\" target=\"_blank\">https://owncloud.org/</a>\r\n</p>\r\n<blockquote cite=\"https://owncloud.org/features/\">\r\nAccess, Sync and Share your data, under your control!\r\nownCloud provides access to your data through a web interface or WebDAV while providing a platform to view, sync and share across devices easily, all under your control. ownCloud\'s open architecture is extensible via a simple but powerful API for applications and plugins and works with any storage. \r\n</blockquote>\r\n\r\n<h2>Diaspora</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://pbs.twimg.com/profile_images/378800000433987901/5db390c2acb11d9c4e9d977ff8f84f20.jpeg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Jason Robinson</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1698.ogg#t=2024,2537\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1698.mp3#t=2024,2537\" type=\"audio/mpeg\" >\r\n</audio>\r\n\r\n<p>\r\n<img height=\"30\" src=\"https://upload.wikimedia.org/wikipedia/commons/9/9e/Diaspora_social_network_project_official_logo%2C_helvetica_font.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://diasporafoundation.org/\" target=\"_blank\">https://diasporafoundation.org/</a>\r\n</p>\r\n<blockquote cite=\"https://diasporafoundation.org/about\">\r\n<p>diaspora* is a true network, with no central base. There are servers (called \"pods\") all over the world, each containing the data of those users who have chosen to register with it. These pods communicate with each other seamlessly, so that you can register with any pod and communicate freely with your contacts, wherever they are on the network.</p>\r\n</blockquote>\r\n\r\n<h2>Music</h2>\r\n<pre>\r\nTrack name : Free Software Song\r\nPerformer : Fenster\r\nRecorded date : 2002\r\nCopyright : Copyright (C) 2002, \r\nFenster LLC. Verbatim copying of this entire recording is permitted in any medium, \r\nprovided this notice is preserved. \r\nPerformers: \r\nPaul Robinson (vocals), \r\nRoman Kravec (guitar), \r\nEd D\'Angelo (bass), \r\nDave Newman (drums), \r\nBrian Yarbrough (trumpet), \r\nTony Moore (trumpet). \r\nFree software info at www.gnu.org speeches at audio-video.gnu.org/audio\r\n</pre>\r\n',30,78,1,'CC-BY-SA','OpenMandriva, Mageia, KDE, Debian, Puppet, OwnCloud, Diaspora',0,0,1),
(1707,'2015-02-17','A tour round my desktop',2821,'A look at the applications I use, why I use them and the alternatives I\'ve tried.','<ul>\r\n<li>Unetbootin: <a href=\"https://unetbootin.sourceforge.net/\">https://unetbootin.sourceforge.net/</a>\r\n</li>\r\n<li>LibreOffice: <a href=\"https://www.libreoffice.org/\">https://www.libreoffice.org/</a>\r\n</li>\r\n<li>AbiWord: <a href=\"https://abisource.org/\">https://abisource.org/</a>\r\n</li>\r\n<li>Gnumeric: <a href=\"https://www.gnumeric.org/\">https://www.gnumeric.org/</a>\r\n</li>\r\n<li>PDF-Shuffler: <a href=\"https://sourceforge.net/projects/pdfshuffler/\">https://sourceforge.net/projects/pdfshuffler/</a>\r\n</li>\r\n<li>Audacity: <a href=\"https://audacity.sourceforge.net/\">https://audacity.sourceforge.net/</a>\r\n</li>\r\n<li>Audio Tag Tool: <a href=\"https://freecode.com/projects/audiotagtool\">https://freecode.com/projects/audiotagtool</a>\r\n</li>\r\n<li>Bombono DVD: <a href=\"https://www.bombono.org/cgi-bin/wiki/\">https://www.bombono.org/cgi-bin/wiki/</a>\r\n</li>\r\n<li>Decibel Audio Player: <a href=\"https://decibel.silent-blade.org/\">https://decibel.silent-blade.org/</a>\r\n</li>\r\n<li>Handbrake: <a href=\"https://handbrake.fr/\">https://handbrake.fr/</a>\r\n</li>\r\n<li>MHWaveEdit: <a href=\"https://gna.org/projects/mhwaveedit/\">https://gna.org/projects/mhwaveedit/</a>\r\n</li>\r\n<li>Minitube: <a href=\"https://flavio.tordini.org/minitube\">https://flavio.tordini.org/minitube</a>\r\n</li>\r\n<li>OpenShot: <a href=\"https://openshot.org/\">https://openshot.org/</a>\r\n</li>\r\n<li>Sound Converter: <a href=\"https://soundconverter.org/\">https://soundconverter.org/</a>\r\n</li>\r\n<li>VLC: <a href=\"https://www.videolan.org/vlc/\">https://www.videolan.org/vlc/</a>\r\n</li>\r\n<li>Filezilla: <a href=\"https://filezilla-project.org/\">https://filezilla-project.org/</a>\r\n</li>\r\n<li>Dia: <a href=\"https://wiki.gnome.org/Apps/Dia\">https://wiki.gnome.org/Apps/Dia</a>\r\n</li>\r\n<li>GIMP: <a href=\"https://www.gimp.org/\">https://www.gimp.org/</a>\r\n</li>\r\n<li>GScan2PDF: <a href=\"https://freecode.com/projects/gscan2pdf\">https://freecode.com/projects/gscan2pdf</a>\r\n</li>\r\n<li>Inkscape: <a href=\"https://en.wikipedia.org/wiki/Inkscape\">https://en.wikipedia.org/wiki/Inkscape</a>\r\n</li>\r\n<li>Krita: <a href=\"https://krita.org/\">https://krita.org/</a>\r\n</li>\r\n<li>Simple Scan: <a href=\"https://github.com/mnagel/simple-scan\">https://github.com/mnagel/simple-scan</a>\r\n</li>\r\n<li>XSane: <a href=\"https://www.sane-project.org/\">https://www.sane-project.org/</a>\r\n</li>\r\n<li>Stellarium: <a href=\"https://stellarium.org/\">https://stellarium.org/</a>\r\n</li>\r\n<li>SQLiteman: <a href=\"https://sqliteman.yarpen.cz/\">https://sqliteman.yarpen.cz/</a>\r\n</li>\r\n<li>Gambas: <a href=\"https://gambas.sourceforge.net/en/main.html\">https://gambas.sourceforge.net/en/main.html</a>\r\n</li>\r\n<li>Lazarus: <a href=\"https://lazarus.freepascal.org/\">https://lazarus.freepascal.org/</a>\r\n</li>\r\n<li>Get-iplayer: <a href=\"https://github.com/get-iplayer/get_iplayer\">https://github.com/get-iplayer/get_iplayer</a>\r\n</li>\r\n<li>SearchMonkey: <a href=\"https://freecode.com/projects/searchmonkey\">https://freecode.com/projects/searchmonkey</a>\r\n</li>\r\n</ul>',246,0,0,'CC-BY-SA','Desktop, applications, software, Linux',0,0,1),
(1699,'2015-02-05','FOSDEM 2015 Part 3 of 5',2876,'Wikimedia, Hack the Knit, Jitsi, XMMP, Kolab, DoudouLinux','<p>\r\n<img src=\"https://fosdem.org/2015/assets/style/logo-big-a5243e4d7e00f8bc6816e2b3f3804f505a17ae4832e6e52a24d183617e03a87c.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://fosdem.org/2015/\" target=\"_blank\">https://fosdem.org/2015/</a>\r\n</p>\r\n<blockquote cite=\"https://fosdem.org/2015/about/\">\r\nFOSDEM is a two-day event organised by volunteers to promote the widespread use of open source software. Videos of the talks refered to in this show are made available on their website.\r\n</blockquote>\r\n\r\n<h2>Wikimedia</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrink_200_200/p/3/005/04d/0b2/0965951.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Quim Gil</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1699.ogg#t=69,750\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1699.mp3#t=69,750\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/c/c4/Wikimedia_Foundation_RGB_logo_with_text.svg/143px-Wikimedia_Foundation_RGB_logo_with_text.svg.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://www.mediawiki.org/wiki/MediaWiki\" target=\"_blank\">https://www.mediawiki.org/wiki/MediaWiki</a>\r\n</p>\r\n<blockquote cite=\"https://www.mediawiki.org/wiki/MediaWiki\">\r\nThe Wikimedia Foundation, Inc. is a nonprofit charitable organization dedicated to encouraging the growth, development and distribution of free, multilingual, educational content, and to providing the full content of these wiki-based projects to the public free of charge. The Wikimedia Foundation operates some of the largest collaboratively edited reference projects in the world, including Wikipedia, a top-ten internet property. \r\n</blockquote>\r\n\r\n<h2>Constant Association for Art and Media ~ Hack the Knit</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://hackadaycom.files.wordpress.com/2014/06/170.jpg?w=800\" /><br />\r\n</p>\r\n<p>Listen to the interview with Andz and Chris</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1699.ogg#t=750,1060\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1699.mp3#t=750,1060\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\nWebsite: <a href=\"https://www.constantvzw.org/\" target=\"_blank\">https://www.constantvzw.org/</a>\r\n</p>\r\n<blockquote cite=\"https://www.constantvzw.org/\">\r\n<p>Constant is a non-profit association, an interdisciplinary arts-lab based and active in Brussels since 1997. Constant works in-between media and art and is interested in the culture and ethics of the World Wide Web. The artistic practice of Constant is inspired by the way that technological infrastructures, data-exchange and software determine our daily life. Free software, copyright alternatives and (cyber)feminism are important threads running through the activities of Constant. Constant organizes workshops, print-parties, walks and \"Verbindingen/Jonctions\"-meetings on a regular basis for a public that\'s into experiments, discussions and all kinds of exchanges.</p>\r\n</blockquote>\r\n\r\n<h2>Libre Graphics magazine</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://c1.staticflickr.com/9/8265/8640057026_8f50cc0095_h.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with ginger</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1699.ogg#t=1060,1259\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1699.mp3#t=1060,1259\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://libregraphicsmag.com/wp-content/themes/libregaphicsmag-new/images/libregraphicsmag100px_transparent.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://libregraphicsmag.com\" target=\"_blank\">https://libregraphicsmag.com</a>\r\n</p>\r\n<blockquote cite=\"https://libregraphicsmag.com\">\r\n<p>A Libre Graphics Magazine is long overdue. In a market dominated by  magazines devoted to design discourse built around proprietary tools and the latest computer graphics tricks and techniques, users of Libre Graphics software are underserved and unrecognized. We know that these users exist, both professionally and as hobbyists. We know this because we are they. We are graphic designers, media artists, photographers and web designers. We use Libre Graphics software, quietly and without regard. Our peers, used to proprietary alternatives, question our choice of tools. Our work, when executed well, is indistinguishable from work produced by more traditional means. Thus, our choices are invisible, unless we make an issue of them.</p>\r\n</blockquote>\r\n\r\n<h2>Jitsi</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://avatars2.githubusercontent.com/u/949783\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Ingo Bauersachs</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1699.ogg#t=1259,1577\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1699.mp3#t=1259,1577\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://jitsi.org/wiki/pub/sip-communicator/logo3.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://jitsi.org\" target=\"_blank\">https://jitsi.org</a>\r\n</p>\r\n<blockquote cite=\"https://jitsi.org/Main/About\">\r\nJitsi is an audio/video Internet phone and instant messenger written in Java. It supports some of the most popular instant messaging and telephony protocols such as SIP, Jabber/XMPP (and hence Facebook and Google Talk), AIM, ICQ, MSN, Yahoo! Messenger.\r\n</blockquote>\r\n\r\n<h2>XMPP</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrink_200_200/p/4/000/171/360/15d2809.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Joachim Lindborg</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1699.ogg#t=1577,1969\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1699.mp3#t=1577,1969\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img heights=\"80\" src=\"https://xmpp.org/wp-content/uploads/2010/10/xmpp-org.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://xmpp.org/\" target=\"_blank\">https://xmpp.org/</a>\r\n</p>\r\n<blockquote cite=\"https://xmpp.org/\">\r\nThe Extensible Messaging and Presence Protocol (XMPP) is an open technology for real-time communication, which powers a wide range of applications including instant messaging, presence, multi-party chat, voice and video calls, collaboration, lightweight middleware, content syndication, and generalized routing of XML data.\r\n</blockquote>\r\n\r\n<h2>Kolab, MyKolab, Roundcube</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrink_200_200/p/1/005/051/314/2176e04.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Robin Edgar</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1699.ogg#t=1969,2409\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1699.mp3#t=1969,2409\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://mykolab.com/sites/mykolab.com/themes/mykolab/images/logo.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://mykolab.com\" target=\"_blank\">https://mykolab.com</a>\r\n</p>\r\n<blockquote cite=\"https://mykolab.com\">\r\nWe offer secure email accounts including calendars and address books that synchronize to all your devices. The data is stored in our very own data center in Switzerland and cannot be accessed by spy programs such as PRISM, so there will be no spying. There is also no corporate spying, because we show no advertisements. Enjoy the convenience of the Cloud without compromising freedom and openness.<br />\r\nKolab is a free and open source groupware suite. It consists of the Kolab server and a wide variety of Kolab clients, including KDE PIM-Suite Kontact, Horde Webfrontend, Mozilla Thunderbird and Mozilla Lightning with SyncKolab extension and Microsoft Outlook with proprietary Kolab-Connector PlugIns.<br />\r\nRoundcube is a web-based IMAP email client. Roundcube\'s most prominent feature is the pervasive use of Ajax technology to present a more fluid and responsive user interface than that of traditional webmail clients. After about two years of development, the first stable release of Roundcube was announced in early 2008.\r\n</blockquote>\r\n<p>\r\nIt is also time to mark the 2nd and 3rd of May 2015 in your calendars: the inaugural Kolab Summit will be held in The Hague on those dates. Come and join us for two days jam-packed full with talks, code sprints and social events!\r\n</p>\r\n<pre>\r\n<strong>Kolab Summit and openSUSE Conference</strong>\r\nDen Haag / Netherlands \r\nMay 01 - 04, 2015\r\n</pre>\r\n\r\n<h2>DoudouLinux</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrink_200_200/p/3/000/013/3ac/3969697.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Xavier Brusselaers</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1699.ogg#t=2409,2654\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1699.mp3#t=2409,2654\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://media.doudoulinux.org/logo/logo-toucan-150x144.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://www.doudoulinux.org/\" target=\"_blank\">https://www.doudoulinux.org/</a>\r\n</p>\r\n<blockquote cite=\"https://www.doudoulinux.org/web/english/about/index.html\">\r\nDoudouLinux is a system targeting young children. It aims at making computer use as simple and pleasant as possible; while also making computer use more accessible to all children on earth, without discrimination, in order to favor their self-fulfillment. In this section you will learn more about how it works, how it is designed, who developed it, how it came to be, why, and so on.\r\n</blockquote> \r\n\r\n\r\n<h2>Music</h2>\r\n<pre>\r\nTrack name : Free Software Song\r\nPerformer : Fenster\r\nRecorded date : 2002\r\nCopyright : Copyright (C) 2002, \r\nFenster LLC. Verbatim copying of this entire recording is permitted in any medium, \r\nprovided this notice is preserved. \r\nPerformers: \r\nPaul Robinson (vocals), \r\nRoman Kravec (guitar), \r\nEd D\'Angelo (bass), \r\nDave Newman (drums), \r\nBrian Yarbrough (trumpet), \r\nTony Moore (trumpet). \r\nFree software info at www.gnu.org speeches at audio-video.gnu.org/audio\r\n</pre>\r\n',30,78,1,'CC-BY-SA','Wikimedia, Hack the Knit, Jitsi, XMMP, Kolab, DoudouLinux',0,0,1),
(1701,'2015-02-09','FOSDEM 2015 Part 4 of 5',2576,'Agora Voting, DIYBookScanner, OpenEmbedded, Amateur Radio, kodi formerly XBMC','<p>\r\n<img src=\"https://fosdem.org/2015/assets/style/logo-big-a5243e4d7e00f8bc6816e2b3f3804f505a17ae4832e6e52a24d183617e03a87c.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://fosdem.org/2015/\" target=\"_blank\">https://fosdem.org/2015/</a>\r\n</p>\r\n<blockquote cite=\"https://fosdem.org/2015/about/\">\r\nFOSDEM is a two-day event organised by volunteers to promote the widespread use of open source software. Videos of the talks refered to in this show are made available on their website.\r\n</blockquote>\r\n\r\n<h2>Agora Voting</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/media/p/2/000/06d/336/2b99495.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Eduardo Robles</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1701.ogg#t=70,732\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1701.mp3#t=70,732\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://agoravoting.org/imgs/agoravoting-horizontal.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://agoravoting.org/\" target=\"_blank\">https://agoravoting.org/</a>\r\n</p>\r\n<blockquote cite=\"https://agoravoting.org/\">\r\nAgora Voting is an open source voting software that allows any organization to carry out secure, flexible, transparent and cost-effective electoral processes.\r\n</blockquote>\r\n\r\n<h2>DIYBookScanner</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://i1.wp.com/makezineblog.files.wordpress.com/2014/08/johannes-baiter-head-shot.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Johannes Baiter</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1701.ogg#t=732,1346\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1701.mp3#t=732,1346\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img height=\"80\" src=\"https://makezineblog.files.wordpress.com/2014/08/dsc09059.jpg\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://github.com/DIYBookScanner/spreads\" target=\"_blank\">https://github.com/DIYBookScanner/spreads</a>\r\n</p>\r\n<blockquote cite=\"https://github.com/DIYBookScanner/spreads\">\r\nspreads is a software suite for the digitization of printed material. Its main focus is to integrate existing solutions for individual parts of the scanning workflow into a cohesive package that is intuitive to use and easy to extend. At its core, it handles the communication with the imaging devices, the post-processing of the captured material and its assembly into output formats like PDF or ePub. On top of this base layer, we have built a variety of interfaces that should fit into most use cases: A full-fledged and mobile-friendly web interface that can be served from even the most low-powered devices (like a Raspberry Pi), a graphical wizard for classical desktop users and a bare-bones command-line interface for purists.\r\n</blockquote>\r\n\r\n<h2>OpenEmbedded</h2>\r\n<!--<p>\r\n<img alt=\"headshot\" src=\"\" height=\"308\" /><br />\r\n</p>-->\r\n<p>Listen to the interview with Ulf Samuelsson</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1701.ogg#t=1346,1595\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1701.mp3#t=1346,1595\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://www.openembedded.org/skins/common/images/logo.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://www.openembedded.org\" target=\"_blank\">https://www.openembedded.org</a>\r\n</p>\r\n<blockquote cite=\"https://www.openembedded.org\">\r\nWelcome to OpenEmbedded, the build framework for embedded Linux. OpenEmbedded offers a best-in-class cross-compile environment. It allows developers to create a complete Linux Distribution for embedded systems. \r\n</blockquote>\r\n\r\n<h2>UBA Royal Belgian Amateur Radio Union/Deutscher Amateur-Radio-Club e. V.</h2>\r\n<!--<p>\r\n<img alt=\"headshot\" src=\"\" height=\"308\" /><br />\r\n</p>-->\r\n<p>Listen to the interview with Kristoff Bonne</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1701.ogg#t=1595,1963\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1701.mp3#t=1595,1963\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://upload.wikimedia.org/wikipedia/en/3/37/UBA_logo.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://www.uba.be/\" target=\"_blank\">https://www.uba.be/</a>\r\n</p>\r\n<blockquote cite=\"https://en.wikipedia.org/wiki/Royal_Union_of_Belgian_Radio_Amateurs\">\r\nThe Royal Union of Belgian Radio Amateurs (UBA) (in Dutch, Koninklijke Unie van de Belgische Zendamateurs, in French Union Royale Belge des Amateurs-Emetteurs, in German Königliche Union der Belgischen Funkamateure) is a national non-profit organization for amateur radio enthusiasts in Belgium. UBA is the national member society representing Belgium in the International Amateur Radio Union.\r\n</blockquote>\r\n<p>\r\n<img src=\"https://upload.wikimedia.org/wikipedia/en/1/1b/Darc_logo.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://www.darc.de/\" target=\"_blank\">https://www.darc.de/</a>\r\n</p>\r\n<blockquote cite=\"https://en.wikipedia.org/wiki/Deutscher_Amateur-Radio-Club\">\r\nThe Deutsche Amateur-Radio-Club e.V. (DARC) (in English, German Amateur Radio Club) is a national non-profit organization for amateur radio enthusiasts in Germany. As of 1 January 2008, the organization had 44,246 members, approximately 60% of all licensed amateur radio operators in Germany. Key membership benefits of the organization include QSL bureau services, a monthly membership magazine called CQ DL, and the promotion and sponsorship of radio contests. DARC promotes amateur radio by organizing classes and technical support to help enthusiasts earn their amateur radio license. The DARC also represents the interests of German amateur radio operators and shortwave listeners before German and international telecommunications regulatory authorities. DARC is the national member society representing Germany in the International Amateur Radio Union.\r\n</blockquote>\r\n\r\n<h2>kodi formerly XBMC</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrink_200_200/p/5/000/21a/3f5/31dc4a3.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Ejal de Klerk</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1701.ogg#t=1963,2456\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1701.mp3#t=1963,2456\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/2/25/Kodi-logo-Thumbnail-light-transparent.png/120px-Kodi-logo-Thumbnail-light-transparent.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://kodi.tv/\" target=\"_blank\">https://kodi.tv/</a>\r\n</p>\r\n<blockquote cite=\"https://kodi.tv/about/\">\r\nKodi (formerly known as XBMC) is an award-winning free and open source (GPL) software media player and entertainment hub that can be installed on Linux, OSX, Windows, iOS, and Android, featuring a 10-foot user interface for use with televisions and remote controls. It allows users to play and view most videos, music, podcasts, and other digital media files from local and network storage media and the internet.\r\n</blockquote>\r\n\r\n<h2>Music</h2>\r\n<pre>\r\nTrack name : Free Software Song\r\nPerformer : Fenster\r\nRecorded date : 2002\r\nCopyright : Copyright (C) 2002, \r\nFenster LLC. Verbatim copying of this entire recording is permitted in any medium, \r\nprovided this notice is preserved. \r\nPerformers: \r\nPaul Robinson (vocals), \r\nRoman Kravec (guitar), \r\nEd D\'Angelo (bass), \r\nDave Newman (drums), \r\nBrian Yarbrough (trumpet), \r\nTony Moore (trumpet). \r\nFree software info at www.gnu.org speeches at audio-video.gnu.org/audio\r\n</pre>\r\n',30,78,1,'CC-BY-SA','Agora Voting, DIYBookScanner, OpenEmbedded, Amateur Radio, kodi formerly XBMC',0,0,1),
(1702,'2015-02-10','FOSDEM 2015 Part 5 of 5',3733,'ReactOS, CoreOS, WolfSSL, PicoTCP, Ultimaker, CoreBoot and Flashrom, SatNOGS','<h2>ReactOS</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://pbs.twimg.com/profile_images/483715387020685312/eXRnc45u_400x400.png\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Aleksey Bragin</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1702.ogg#t=70,405\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1702.mp3#t=70,405\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://www.reactos.org/sites/all/themes/zen_reactos/images/reactos-logo.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://www.reactos.org/\" target=\"_blank\">https://www.reactos.org/</a>\r\n</p>\r\n<blockquote cite=\"https://www.reactos.org/\">\r\nReactOS® is a free open source operating system based on the best design principles found in the Windows NT® architecture (Windows versions such as Windows XP, Windows 7, Windows Server 2012 are built on Windows NT architecture). Written completely from scratch, ReactOS is not a Linux based system, and shares none of the UNIX architecture. The main goal of the ReactOS® project is to provide an operating system which is binary compatible with Windows. This will allow your Windows® applications and drivers to run as they would on your Windows system. Additionally, the look and feel of the Windows operating system is used, such that people accustomed to the familiar user interface of Windows® would find using ReactOS straightforward. The ultimate goal of ReactOS® is to allow you to use it as alternative to Windows® without the need to change software you are used to.\r\n</blockquote>\r\n\r\n<h2>CoreOS</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrink_200_200/p/7/005/009/1ba/0c901af.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Kelsey Hightower</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1702.ogg#t=405,623\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1702.mp3#t=405,623\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/f/f4/Coreos-wordmark-horiz-color.png/220px-Coreos-wordmark-horiz-color.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://coreos.com/\" target=\"_blank\">https://coreos.com/</a>\r\n</p>\r\n<blockquote cite=\"https://coreos.com/\">\r\nCoreOS is a new Linux distribution that has been rearchitected to provide features needed to run modern infrastructure stacks. The strategies and architectures that influence CoreOS allow companies like Google, Facebook and Twitter to run their services at scale with high resilience.\r\n</blockquote>\r\n\r\n\r\n<h2>WolfSSL</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrink_200_200/p/5/005/071/0d2/087f453.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Chris Conlon</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1702.ogg#t=623,958\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1702.mp3#t=623,958\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://wolfssl.com/yaSSL/About_files/wolfssl_logo.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://wolfssl.com/yaSSL/Home.html\" target=\"_blank\">https://wolfssl.com/yaSSL/Home.html</a>\r\n</p>\r\n<blockquote cite=\"https://wolfssl.com/yaSSL/About.html\">\r\nwolfSSL focuses on providing lightweight and embedded security solutions with an emphasis on speed, size, portability, features, and standards compliance.  Dual licensed to cater to a diversity of users ranging from the hobbyist to the user with commercial needs, we are happy to help our customers and community in any way we can.  Our products are Open Source giving customers the freedom to look under the hood.\r\n</blockquote>\r\n\r\n\r\n<h2>PicoTCP</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://avatars3.githubusercontent.com/u/4725999\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Maarten Vandersteegen</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1702.ogg#t=958,1279\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1702.mp3#t=958,1279\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img height=\"80\" src=\"https://static1.squarespace.com/static/530e4682e4b0984e87ed0fee/t/54a1141ee4b0510339b65d9f/1420702042650/\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://www.picotcp.com/\" target=\"_blank\">https://www.picotcp.com/</a>\r\n</p>\r\n<blockquote cite=\"https://www.picotcp.com/\">\r\npicoTCP is a TCP/IP stack developed from scratch for embedded devices with an eye on the Internet of Things revolution.\r\n</blockquote>\r\n\r\n\r\n<h2>Ultimaker</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://avatars2.githubusercontent.com/u/1245341\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Olliver Schinagl</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1702.ogg#t=1279,1853\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1702.mp3#t=1279,1853\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img height=\"80\" src=\"https://ultimaker.com/img/logo-textblue.svg\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://www.ultimaker.com/\" target=\"_blank\">https://www.ultimaker.com/</a>\r\n</p>\r\n<blockquote cite=\"https://www.ultimaker.com/\">\r\nWe wanted everyone to be able to enjoy the experience of making. Whether it was a cat dressed as an astronaut or a mechanical masterpiece. We set it as our goal to enable you to make those things. So we built a pioneering device that everyone could use and enjoy. We made it open source so everyone really could pitch in. And we started to grow.\r\n</blockquote>\r\n\r\n<h2>coreboot + flashrom</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://www.irill.org/media/fosdem2012/maintracks/Coreboot.webm-1-1.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Carl-Daniel Hailfinger</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1702.ogg#t=1853,3022\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1702.mp3#t=1853,3022\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img height=\"80\" src=\"https://www.coreboot.org/coreboot.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://www.coreboot.org/\" target=\"_blank\">https://www.coreboot.org/</a>\r\n</p>\r\n<blockquote cite=\"https://www.coreboot.org/\">\r\ncoreboot is an extended firmware platform for delivering lightning fast and ultra secure boot experience on modern computers and embedded systems. As an Open Source project it provides auditability and helps regaining control over technology.\r\n</blockquote>\r\n\r\n<h2>SatNOGS</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://pbs.twimg.com/profile_images/378800000637541997/f01685d926aae6b4386063f64e49a704_400x400.jpeg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Pierros Papadeas</p>\r\n<audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1702.ogg#t=3022,3660\" type=\"audio/ogg\" >\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1702.mp3#t=3022,3660\" type=\"audio/mpeg\" >\r\n</audio>\r\n<p>\r\n<img src=\"https://satnogs.org/wp-content/uploads/2015/01/satnogs-logo-horizontal-e1420580499529.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://satnogs.org/\" target=\"_blank\">https://satnogs.org/</a>\r\n</p>\r\n<blockquote cite=\"https://satnogs.org/about/\">\r\nSatNOGS project is a complete platform of an Open Source Networked Ground Station. The scope of the project is to create a full stack of open technologies based on open standards , and the construction of a full ground station as a showcase of the stack.\r\n</blockquote>\r\n',30,78,1,'CC-BY-SA','ReactOS, CoreOS, WolfSSL, PicoTCP, Ultimaker, CoreBoot and Flashrom, SatNOGS',0,0,1),
(1704,'2015-02-12','Introducing Jeffrey Powers aka Geekazine',1543,'Jeffrey Powers talks \"*azines\" and his other tech sites','<p>\r\nI was asked to do a followup to my Introduction to the Netizen Empowerment Federation. Specifically, I was asked to talk a bit more about the goals of Sportazine.com and how it fits into free culture. I thought the best way to do that was to introduce my Sportazine.com co-founder, Jeffrey Powers. \r\n</p>\r\n<p>\r\nA May 2011 estimate puts the sports industry at 350-450 billion ($480-$620 billion) <a href=\"https://www.atkearney.com/en_GB/paper/-/asset_publisher/dVxv4Hz2h8bS/content/the-sports-market/10192\">https://www.atkearney.com/en_GB/paper/-/asset_publisher/dVxv4Hz2h8bS/content/the-sports-market/10192</a> -- it is inarguably foolish to ignore it. I don\'t think you are going to convince anyone to change their ways by shouting at them, or quietly being condescending.\r\n</p>\r\n<p>\r\nListen to find out Jeff\'s answers!\r\n</p>\r\n<p>\r\nHow has Sportazine changed from your initial vision when we created it almost 5 years ago?\r\n</p>\r\n<p>\r\nWhat is JMP?\r\n</p>\r\n<p>\r\nWe\'re recording on Jan 16. What\'s the tech history bit people should check out on your site for today?\r\n</p>\r\n<p>\r\nDo you do interviews for any of your sites? \r\n</p>\r\n<p>\r\nHow do you vet interviewees?\r\n</p>\r\n<p>\r\nWhat is the best way for someone to get in touch with you if they\'d like to be an interviewee?\r\n</p>\r\n<p>\r\nWhere are you speaking to you today from Jeff?\r\n</p>\r\n<p>\r\nWhat are your favorite sports to watch or play?\r\n</p>\r\n<p>\r\nHow far do you think the Packers will go this year? We\'re recording on Jan 16, but there aren\'t open slots on HPR for a while, so people may get to see if you are right.\r\n</p>\r\n<p>\r\nProfessional video game players get athletic visas in the US, and are covered by ESPN (<a href=\"https://kotaku.com/some-sports-fans-upset-espn-is-airing-video-game-tourna-1608298005\">https://kotaku.com/some-sports-fans-upset-espn-is-airing-video-game-tourna-1608298005</a>) so I suppose we might as well. How much do you cover video games on your various sites?\r\n</p>\r\n<p>\r\nWhat is the name of your band, and where can people find the band?\r\n</p>\r\n<p>\r\nIs there anything else you would like to tell the listeners?\r\n</p>',294,0,0,'CC-BY-SA','tech, apps, ipad, android',0,0,1),
(1703,'2015-02-11','Open Source CD Rippers',1579,'Kevie takes a look at a variety of CD ripping software available on Linux','<p>\r\nFor a first attempt at flying solo for an episode of HPR, Kevie takes a look at a variety of open source CD ripping software. Looking at graphical applications \r\n<a href=\"https://wiki.gnome.org/Apps/SoundJuicer\">https://wiki.gnome.org/Apps/SoundJuicer</a>: Sound Juicer and\r\n<a href=\"https://littlesvr.ca/asunder/\">https://littlesvr.ca/asunder/</a>: Asunder along with the command line tools\r\n<a href=\"https://bashburn.dose.se/\">https://bashburn.dose.se/</a>: Bashburn and\r\n<a href=\"https://bach.dynet.com/crip/\">https://bach.dynet.com/crip/</a>: Crip. Along with considering if it is worth having a dedicated ripping tool when a fully fledged audio suite\r\n<a href=\"https://wiki.gnome.org/Apps/Rhythmbox/\">https://wiki.gnome.org/Apps/Rhythmbox/</a>: Rhythmbox and\r\n<a href=\"https://www.videolan.org/vlc/\">https://www.videolan.org/vlc/</a>: VLC will also allow ripping.\r\n</p><p>\r\nRegular listeners to the <a href=\"https://unseenstudio.co.uk/category/tuxjam-ogg/\">https://unseenstudio.co.uk/category/tuxjam-ogg/</a>: TuxJam podcast will know that Kevie is a big fan of creative commons music and this episode is no different with the tracks by <a href=\"https://20lb.net/\">https://20lb.net/</a>: 20lb Sounds and <a href=\"https://bridgesplosion.bandcamp.com/\">https://bridgesplosion.bandcamp.com/</a>: Blowing Up Bridges.\r\n</p>\r\n<p>\r\nMusic included in this episode:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://20lb.bandcamp.com/track/rip-it-up\">https://20lb.bandcamp.com/track/rip-it-up</a>: Rip It Up by 20lb Sounds\r\n</li>\r\n<li><a href=\"https://bridgesplosion.bandcamp.com/track/grip-it-and-rip-it\">https://bridgesplosion.bandcamp.com/track/grip-it-and-rip-it</a>: Grip It and Rip It by Blowing Up Bridges\r\n<p></p>\r\n</li>\r\n</ul>\r\n',296,0,0,'CC-BY-SA','Sound Juicer,Asunder,Bashburn,Crip,Rhythmbox,VLC',0,0,1),
(1708,'2015-02-18','GNU/Nano Editor',693,'JWP emails in an episode on the Editor GNU/Nano','JWP Editor GNU/Nano\r\n\r\n<pre>\r\n                :::                         The                   \r\n  iLE88Dj.  :jD88888Dj:                                           \r\n.LGitE888D.f8GjjjL8888E;        .d8888b.  888b    888 888     888 \r\niE   :8888Et.     .G8888.      d88P  Y88b 8888b   888 888     888 \r\n;i    E888,        ,8888,      888    888 88888b  888 888     888 \r\n      D888,        :8888:      888        888Y88b 888 888     888 \r\n      D888,        :8888:      888  88888 888 Y88b888 888     888 \r\n      D888,        :8888:      888    888 888  Y88888 888     888 \r\n      D888,        :8888:      Y88b  d88P 888   Y8888 Y88b. .d88P \r\n      888W,        :8888:       \"Y8888P88 888    Y888  \"Y88888P\"  \r\n      W88W,        :8888:                                         \r\n      W88W:        :8888:      88888b.   8888b.  88888b.   .d88b. \r\n      DGGD:        :8888:      888 \"88b     \"88b 888 \"88b d88\"\"88b\r\n                  :8888:      888  888 .d888888 888  888 888  888\r\n                  :W888:      888  888 888  888 888  888 Y88..88P\r\n                  :8888:      888  888 \"Y888888 888  888  \"Y88P\" \r\n                    E888i                                         \r\n                    tW88D             Text Editor       \r\n</pre>\r\n<p>\r\nWebsite: <a href=\"https://www.nano-editor.org/\" target=\"_blank\">https://www.nano-editor.org/</a>\r\n</p>\r\n<blockquote cite=\"https://en.wikipedia.org/wiki/GNU_nano\">\r\nnano is a text editor for Unix-like computing systems or operating environments using a command line interface. It emulates the Pico text editor, part of the Pine email client, and also provides additional functionality. In contrast to Pico, nano is licensed under the GNU General Public License (GPL). Released as free software by Chris Allegretta in 1999, today nano is part of the GNU Project.\r\n</blockquote>',129,0,1,'CC-BY-SA','editors,nano,gnu/nano,pico,GPL',0,0,1),
(1709,'2015-02-19','Hacking Your Teeth',1250,'Advice on hacking your teeth','<p>\r\nThis podcast details my experiences with dentists along with a smattering of free advice.\r\n</p>\r\n<p>\r\nLink to the commonly known sunscreen song \r\n<a href=\"https://en.wikipedia.org/wiki/Wear_Sunscreen\">https://en.wikipedia.org/wiki/Wear_Sunscreen</a>\r\n</p>\r\n<p>\r\nWikipedia article about gum disease\r\n<a href=\"https://en.wikipedia.org/wiki/Periodontitis\">https://en.wikipedia.org/wiki/Periodontitis</a>\r\n</p>\r\n<p>\r\nWikipedia page on Interdental tooth brushes\r\n<a href=\"https://en.wikipedia.org/wiki/Toothbrush#Interdental_brush\">https://en.wikipedia.org/wiki/Toothbrush#Interdental_brush</a>\r\n</p>\r\n<p>\r\nTeeth with gum disease, notice that the gum doesn\'t form a sharp point between the teeth\r\n<a href=\"https://www.kmperio.co.uk/editor/assets/049B193B-857E-4FE7-BAC6-48F695DEFCBE.JPG\">https://www.kmperio.co.uk/editor/assets/049B193B-857E-4FE7-BAC6-48F695DEFCBE.JPG</a>\r\n</p>\r\n<p>\r\nHealthy gums, gum forms a sharp point between teeth.\r\n<a href=\"https://www.wisdomtoothbrushes.com/sites/default/files/styles/475_width/public/wisdom-oral-health-healthy-gums.jpg?itok=-KhFJ6Pb\">https://www.wisdomtoothbrushes.com/sites/default/files/styles/475_width/public/wisdom-oral-health-healthy-gums.jpg?itok=-KhFJ6Pb</a>\r\n</p>',201,0,1,'CC-BY-SA','gum disease,Periodontitis,Interdental tooth brush',0,0,1),
(1711,'2015-02-23','Problems with video software in Linux',827,'A person new to Linux is introduced to video software that was unimpressive','<p>\r\nCheese:<br />\r\nGuvcviewer:\r\n</p>',297,0,0,'CC-BY-SA','linux, video software, ubuntu',0,0,1),
(1706,'2015-02-16','Cross-compilers part 1',1609,'What is cross-compiling, and why I might want/need to do it','<p>\r\nCross-compilers, Part 1\r\n</p>\r\n<p>\r\nIn this show I\'ll introduce the concept of cross-compiling software, explain what it\r\nis and why you might want/need to do it.\r\n</p>\r\n<p>\r\nI\'ll also talk about a great piece of kit for creating cross-compiler tool-chains\r\non Linux; crosstool-ng.\r\n</p>\r\n<p>\r\nAs with most of my shows, the show notes are far too long to fit into the restricted size, so there\'s an HTML version as well, at:\r\n</p>\r\n<p>\r\n<a href=\"https://hackerpublicradio.org/eps/hpr1706/index.html\">https://hackerpublicradio.org/eps/hpr1706/index.html</a>\r\n</p>\r\n<p>\r\nHere are some bullet-points:\r\n</p>\r\n\r\n<ul>\r\n<li>cross-compilers, why and what?\r\n</li>\r\n<li>crosstool-ng\r\n</li>\r\n<li>Cross-compiler tool-chain generation gotchas\r\n</li>\r\n<li>Raspberry Pi cross-compiling tool-chain generation with crosstool-ng\r\n</li>\r\n<li>Compiling a kernel on a Pi takes 15 hours\r\n</li>\r\n<li>On my not-so-screaming quad-core Debian machine it takes 15 minutes\r\n</li>\r\n</ul>\r\n\r\n<h3>Links:</h3>\r\n\r\n<ul>\r\n<li>Debian Linux: <a href=\"https://www.debian.org/\">https://www.debian.org/</a>\r\n</li>\r\n<li>Raspberry Pi: <a href=\"https://www.raspberrypi.org\">https://www.raspberrypi.org</a>\r\n</li>\r\n<li>Crosstool-ng: <a href=\"https://crosstool-ng.org/\">https://crosstool-ng.org/</a>\r\n</li>\r\n<li>Arch Linux ARM: <a href=\"https://archlinuxarm.org/developers/distcc-cross-compiling\">https://archlinuxarm.org/developers/distcc-cross-compiling</a>\r\n</li>\r\n<li>Klaatu: <a href=\"https://hackerpublicradio.org/correspondents/0078.html\">https://hackerpublicradio.org/correspondents/0078.html</a>\r\n</li>\r\n<li>Klaatu\'s Kernel Compile Show: <a href=\"https://hackerpublicradio.org/eps.php?id=0087\">https://hackerpublicradio.org/eps.php?id=0087</a>\r\n</li>\r\n</ul><p>\r\nThere are a few files for this show, the ct-ng .config files downloaded from Arch Linux ARM and a README.md about them. The original\r\nmarkdown source of the full show notes is in the tarball as well <a href=\"https://hackerpublicradio.org/eps/hpr1706/282-Mike_Ray-hpr1706-Cross-compilers_Part_1.tar.gz\">https://hackerpublicradio.org/eps/hpr1706/282-Mike_Ray-hpr1706-Cross-compilers_Part_1.tar.gz</a>.\r\n</p>',282,0,1,'CC-BY-SA','cross-compile, crosstool-ng, Raspberry Pi',0,0,1),
(1712,'2015-02-24','What\'s in my Crate',1228,'What was in my crate when I went to a LUG to give a a11y presentation','<p>\r\nBack in the summer of 2014 I started going to the Surrey Linux User Group.\r\n</p>\r\n<p>\r\nI was asked to give a short presentation about Linux accessibility and how,\r\nalthough I am totally blind, I still write code and muck about with Linux.\r\n</p>\r\n<p>\r\nI was then asked to give the same presentation at the Portsmouth LUG.\r\n</p>\r\n<p>\r\nThis time I made it more comprehensive and took more kit.\r\n</p>\r\n<p>\r\nSo I take this opportunity to give my version of the \"What\'s in my bag\"\r\nshows that some folks have been doing.  As I am unemployed, like a lot of blind\r\nfolks, I have been unable to justify this before now because I don\'t lug\r\nan interesting collection of stuff to and from work.\r\n</p>\r\n<p>\r\nHere\'s a simple bullet list about the crate and it\'s contents:\r\n</p>\r\n\r\n<ul>\r\n<li>The crate is a 35 litre capacity \'Really Useful Box\'\r\n</li>\r\n<li>First in were 2 Dell Latitude D630 (64-bit) laptops\r\n</li>\r\n<li>Next in was a Dell Inspiron (32-bit) laptop, clunky and slow\r\n</li>\r\n<li>The three laptops were sandwhiched between 3-ply layers of bubble-wrap\r\n</li>\r\n<li>Next in was a Seika 40-cell refreshable Braille display\r\n</li>\r\n<li>Next was a clear polycarbonate, zip-up pencil case stuffed with audio leads\r\n</li>\r\n<li>Then a \'Mesh\' Bluetooth and line-in external speaker\r\n</li>\r\n<li>And a Braun external speaker/FM radio/micro-SD boom-box\r\n</li>\r\n<li>A four-way mains power splitter\r\n</li>\r\n<li>The three AC adaptors for the laptops\r\n</li>\r\n<li>On the top of the box, because it was too wide to go in, was a USB keyboard\r\n</li>\r\n<li>Mobile phone charging battery \'brick\', for the Raspberry Pi\r\n</li>\r\n<li>A Raspberry Pi, a Banana Pi and some Arduino bits and pieces\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nHere\'s what I demonstrated with two of the laptops:\r\n</p>\r\n\r\n<ul>\r\n<li>Trisquel Linux and accessibility in the Gnome desktop with Orca\r\n</li>\r\n<li>Accessibility in the console with Debian and the Braille display on the Inspiron\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nThe second Latitude was with me so I could get some sighted help with\r\nBIOS settings.\r\n</p>\r\n<p>\r\nMy thanks have to go to Tony Wood for the lift to and from both of these\r\naccessibility presentations.  I could not have done either, especially the Portsmouth one without his help.\r\n</p>\r\n<p>\r\nThanks also to Lisi, the coordinator of the Portsmouth LUG and to the folks of that LUG for their enthusiasm.\r\n</p>\r\n<p>\r\nHere\'s the link to the HPR show about my Raspberry Pi tts code fix:\r\n</p>\r\n<p>\r\n<a href=\"https://hackerpublicradio.org/eps.php?id=1649\">https://hackerpublicradio.org/eps.php?id=1649</a>\r\n</p>',282,23,1,'CC-BY-SA','Accessibility, Linux, LUG',0,0,1),
(1713,'2015-02-25','Fosdem 2015: Surveillance vs. Free Software',1246,'Interviews at the Free and Open Source devleopers meeting FOSDEM in Brussels.','<h3>Aaron Williamson</h3>\r\n\r\n<p>\r\nFree Software Law Expert Aaron Williamson held a brilliant talk on the history of internet surveillance in the USA at FOSDEM 2015. \r\nAfter the Paris terror attacks, many politicians want to increase surveillance. British Prime Minister David Cameron wants to read all our emails - even the encrypted ones. Is this the only answer to terror attacks? Aaron has a very strong opinion on this. \r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://fosdem.org/2015/schedule/speaker/aaron_williamson/\">https://fosdem.org/2015/schedule/speaker/aaron_williamson/</a>\r\n</li>\r\n</ul>\r\n\r\n<h3>Mathias Kirschner, Free Software Foundation Europe</h3>\r\n\r\n<p>\r\nMatthias is the Vicepresident of the Free Software Foundation Europe. In our interview at Fosdem 2015, he explains the work and the goal of the foundation and how they do lobbying for Free Software in parliaments and government bodies.\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://fsfe.org\">https://fsfe.org</a>\r\n</li>\r\n<li><a href=\"https://fsfe.org/about/kirschner\">https://fsfe.org/about/kirschner</a>\r\n</li>\r\n</ul>\r\n\r\n<h3>Torproject - nos ognions</h3>\r\n\r\n<p>\r\nA member of nos-ognions.net, which is part of the Tor project, explains about exit nodes, transparency and surveillance.\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://nos-oignons.net/\">https://nos-oignons.net/</a>\r\n</li>\r\n<li><a href=\"https://www.torproject.org/\">https://www.torproject.org/</a>\r\n</li>\r\n</ul>',285,78,0,'CC-BY-SA','Fosdem, Surveillance, Free Software',0,0,1),
(1714,'2015-02-26','Vim Hints 001',1070,'Hints and Tips for Vim users - part 1','<h2 id=\"introduction-to-vim\">Introduction to Vim</h2>\r\n<p>This is the start of the <em>Vim Hints</em> series.</p>\r\n<p>As a Linux user there are many editors available to you. Which one you want to use depends on your needs and the amount of time you want to dedicate to learning how to use it.</p>\r\n<p>One of the editors from the early days of Unix is <em>vi</em>, written in 1976. Contemporary with it is <em>Emacs</em>, also originating in 1976. However, it seemed to become the norm (in my experience anyway) that <em>vi</em> rather than <em>Emacs</em> was provided as standard with versions of Unix, and this has often continued into Linux.</p>\r\n<p>I originally started using Unix around 1988 and found <em>vi</em> available to me. I learnt how to use it in a rudimentary way since I knew I\'d find it on any Unix systems I came across.</p>\r\n<p>Many derivatives and clones of <em>vi</em> have been created. The one which has become the most popular and available is <em>Vim</em>, the name of which is an acronym for <em>Vi IMproved</em>, created in 1991 by Bram Moolenaar. This is what I use, and I have not wanted to learn another editor since adopting it, even though I have experimented with several. This is the editor we will be looking at in this series.</p>\r\n<h3 id=\"whats-the-series-about\">What\'s the series about?</h3>\r\n<p>The thinking behind this series is:</p>\r\n<ul>\r\n<li>You may already be using Vim; there are features you may not be aware of that can be revealed here</li>\r\n<li>You may be using a different, simpler editor; you might want to use Vim and gain from its advanced features</li>\r\n</ul>\r\n<p>Of course, you may prefer to learn Emacs instead. That\'s fine; you should choose the tool that best suits your needs. Both Emacs and Vim have quite steep learning curves, but the broad range of capabilities you gain from knowing either is considerable.</p>\r\n<p>I am not an expert in Vim. In fact I am continuing to learn new Vim features on a regular basis. However, I have been using it for many years and would like to share some of what I have learnt.</p>\r\n<h3 id=\"why-use-vim\">Why use Vim?</h3>\r\n<p>With simpler editors you can move about a file, add, remove and change text and save the results. The editor might have syntax highlighting and some degree of knowledge of the programming language you are typing. You might have spell checking as well.</p>\r\n<p>With Vim and other more advanced editors you have all of this and a lot more. You can perform global changes throughout a file, process many files at once, add plugins to the editor to change its behaviour, and so on. Also, there is a language behind the scenes which can be used to build extensions.</p>\r\n<h3 id=\"using-vim\">Using Vim</h3>\r\n<p>Usually, typing the command <strong>vi</strong> at the command line actually invokes <em>vim</em>. Vim runs in vi-compatible mode by default, which results in Vim enhancements being unavailable.</p>\r\n<p>Vim uses a configuration file, which is called <code>.vimrc</code> on Linux. (Vim will also run on Windows, OSX and other operating systems but we will not be covering these implementations in this series.) Vim also has a GUI interface invoked by the command <code>gvim</code>, and it has its own configuration file <code>.gvimrc</code>.</p>\r\n<p>I you don\'t have a <code>.vimrc</code> create one with <strong><code>touch ~/.vimrc</code></strong> before you start. This will stop Vim running in vi-compatible mode. We will look at what the <code>.vimrc</code> can be used to do later.</p>\r\n<p>You can start Vim on its own without pointing at a file, but normally you use it to edit a file, which need not already exist. So, to create a new file called <code>testfile</code> invoke Vim with the command: <strong><code>vim testfile</code></strong></p>\r\n<p>Once running, Vim shows the contents of the file. All the lines on the screen where there is no content are marked with a tilde &quot;~&quot; character. If you are creating a file the first line on the screen will be blank, and last line will contain the name of the file followed by &quot;[New File]&quot; and some other details which we will examine later:</p>\r\n<pre><code>&quot;testfile&quot; [New File]       0,0-1         All</code></pre>\r\n<p>All the rest of the lines will contain a tilde.</p>\r\n<p>Vim is a <em>modal</em> editor. The mode you usually start in is <em>normal</em> mode where you can move around the lines of the file and perform actions, but nothing you type is actually written to the file. In fact, the keys you type are actually editing commands. This is one of the features of Vim that causes problems for new users.</p>\r\n<p>Since this is a new file there is not much you can do other than enter text, and to do this you need to switch to <em>insert</em> mode. Do this by pressing the <strong>i</strong> key. The message <strong>-- INSERT --</strong> will appear on the bottom line of the screen. Now type some text, pressing the <strong>Enter</strong> key at the end of each line.</p>\r\n<p>You might notice that in <em>insert</em> mode you can press the arrow keys and move back to text you have already typed. This is a Vim feature and was not available in the original vi editor.</p>\r\n<p>When you have finished entering text, press the <strong>Esc</strong> key to exit from <em>insert</em> mode. Now you can move around in <em>normal</em> mode, but remember that the keys you press are now commands not data to be entered into the file.</p>\r\n<p>To move around in <em>normal</em> mode use the arrow keys or the home row keyboard keys: <strong>k</strong> to move up, <strong>j</strong> to move down, <strong>h</strong> to move left and <strong>l</strong> to move right.</p>\r\n<p>This brings us to the last mode we\'ll look at: <em>command</em> mode. To enter this mode press the <strong>:</strong> (colon) key in <em>normal</em> mode. This moves the cursor to the last line of the screen, which starts with the colon you just typed. Here you can enter another class of commands. This time, we\'ll just look at how you can save the file and exit Vim.</p>\r\n<p>Saving the file is achieved with the <strong>w</strong> command, and to exit from Vim the <strong>q</strong> command is used. These can be typed together, so <strong>:wq</strong> writes the file and exits.</p>\r\n<p>If you were to use <strong>:q</strong> on its own, having entered data into Vim, this would not work. Vim prevents you from throwing away your work this way. If you really meant to quit without saving then the <strong>q</strong> must be followed by an exclamation mark (&quot;!&quot;). So <strong>:q!</strong> lets you exit Vim without saving.</p>\r\n<h4 id=\"summary-so-far\">Summary so far</h4>\r\n<ul>\r\n<li>Vim usually starts in <em>normal</em> mode</li>\r\n<li>Arrow keys or <strong>h</strong>, <strong>j</strong>, <strong>k</strong> and <strong>l</strong> for left, down, up and right for navigation in <em>normal</em> mode</li>\r\n<li><strong>i</strong> enters <em>insert</em> mode</li>\r\n<li><strong>Esc</strong> exits from <em>insert</em> mode and reverts to <em>normal</em> mode</li>\r\n<li><strong>:</strong> in <em>normal</em> mode enters <em>command</em> mode</li>\r\n<li><strong>:w</strong> in <em>normal</em> mode writes the file</li>\r\n<li><strong>:wq</strong> in <em>normal</em> mode writes and exits</li>\r\n<li><strong>:q</strong> in <em>normal</em> mode exits but only if nothing was changed or added</li>\r\n<li><strong>:q!</strong> in <em>normal</em> mode exits regardless of any changes</li>\r\n</ul>\r\n<h2 id=\"errata\">Errata</h2>\r\n<ul>\r\n<li>I was wrong about the contents of the last line of the Vim screen in the audio. The notes have been corrected.</li>\r\n</ul>\r\n<h2 id=\"links\">Links</h2>\r\n<h3 id=\"history\">History</h3>\r\n<ul>\r\n<li>Wikipedia page for <em>vi</em> <a href=\"https://en.wikipedia.org/wiki/Vi\">https://en.wikipedia.org/wiki/Vi</a></li>\r\n<li>Wikipedia page for <em>Emacs</em> <a href=\"https://en.wikipedia.org/wiki/Emacs\">https://en.wikipedia.org/wiki/Emacs</a></li>\r\n<li>Wikipedia page for <em>Vim</em> <a href=\"https://en.wikipedia.org/wiki/Vim_(text_editor)\">https://en.wikipedia.org/wiki/Vim_(text_editor)</a></li>\r\n<li>Wikipedia page for Bram Moolenaar <a href=\"https://en.wikipedia.org/wiki/Bram_Moolenaar\">https://en.wikipedia.org/wiki/Bram_Moolenaar</a></li>\r\n</ul>\r\n<h3 id=\"books\">Books</h3>\r\n<ul>\r\n<li><em>Learning the vi and Vim Editors, 7th Edition</em>, by Arnold Robbins, Elbert Hannah, Linda Lamb. <a href=\"https://shop.oreilly.com/product/9780596529833.do\">https://shop.oreilly.com/product/9780596529833.do</a></li>\r\n<li><em>vi and Vim Editors Pocket Reference, 2nd Edition</em>, by Arnold Robbins. Available to buy or as a free PDF. <a href=\"https://it-ebooks.info/book/144/\">https://it-ebooks.info/book/144/</a></li>\r\n<li><em>A Byte of Vim</em>, by Swaroop C H. Available as a free PDF. <a href=\"https://www.swaroopch.com/notes/vim/\">https://www.swaroopch.com/notes/vim/</a></li>\r\n<li><em>The Vim Tutorial and Reference</em>, by Steve Oualline. Available as a free PDF. <a href=\"https://www.oualline.com/vim-book.html\">https://www.oualline.com/vim-book.html</a></li>\r\n</ul>\r\n<h3 id=\"other-resources\">Other resources</h3>\r\n<ul>\r\n<li>Vim Community <a href=\"https://www.vim.org/\">https://www.vim.org/</a></li>\r\n<li>Vim Tips Wiki <a href=\"https://vim.wikia.com/wiki/Vim_Tips_Wiki\">https://vim.wikia.com/wiki/Vim_Tips_Wiki</a></li>\r\n</ul>\r\n',225,82,1,'CC-BY-SA','vim,gvim,editor',0,0,1),
(1717,'2015-03-03','Visualizing electricity',687,'Trying to understand electricity.','<h3>Current</h3>\r\n\r\n<ul>\r\n<li>Amps (what it\'s measured in)\r\n</li>\r\n<li>amount of water. (what i compare it to)\r\n</li>\r\n</ul>\r\n\r\n<h3>Volts</h3>\r\n\r\n<ul>\r\n<li>voltage (what its measured in)\r\n</li>\r\n<li>pressure (what i compare it to)\r\n</li>\r\n</ul>\r\n\r\n<h3>Resistor</h3>\r\n\r\n<ul>\r\n<li>Ohms (what it\'s measured in)\r\n</li>\r\n<li>valve (what i compare it to)\r\n</li>\r\n</ul>',298,0,0,'CC-BY-SA','amps,voltage,ohms',0,0,1),
(1724,'2015-03-12','Vim Hints 002',1540,'Hints and Tips for Vim users - part 2','<h2 id=\"vim-ate-my-homework\">Vim Ate my Homework</h2>\r\n<p>In this episode I want to look at how to keep your work secure with Vim. Next episode we will look at how to create and edit files.</p>\r\n<h3 id=\"avoiding-data-loss-with-a-backup\">Avoiding data loss with a backup</h3>\r\n<p>The best place to start is with the configuration file which we met last episode. As we saw, this is usually <code>$HOME/.vimrc</code>. However, it can also be <code>$HOME/.vim/vimrc</code>, which is actually recommended since it keeps all Vim files in the same place. I use the former, since that\'s the way I have always done it.</p>\r\n<p>Let\'s add some options to this file. Configuration options consist of <em>command</em> mode commands. Actually, to be precise about it, any <a href=\"https://en.wikipedia.org/wiki/Vim_script\">Vim Script</a> expression may be written there.</p>\r\n<p>First it\'s a good idea to ensure that Vim runs with all of its standard features enabled. The option for this is called <strong><code>compatible</code></strong> (meaning compatible with Vi), which we need to turn off. This is done with the option:</p>\r\n<pre><code>set nocompatible</code></pre>\r\n<p>Next, it\'s highly advisable to make Vim generate a backup file whenever it opens a file for editing. The backup file has the same name as the original file with a tilde appended. The configuration command is:</p>\r\n<pre><code>set backup</code></pre>\r\n<p>The backup file is a copy of the file which existed before editing started.</p>\r\n<p>By default the backup file is saved in the same directory as the file being edited. If this is a problem (and to me this is not), then it is possible to tell Vim to save backups in a fixed place. This is done with the command <strong><code>set backupdir=</code></strong> followed by a list of directories. For example:</p>\r\n<pre><code>set backupdir=~/.backup,.,/tmp</code></pre>\r\n<p>If you were to add this to your configuration file, Vim would save backups in a top-level directory <code>~/.backup</code> (which must already exist), then if this fails it will save in the current directory, falling back to <code>/tmp</code> if all else fails. Whether you do this is up to you. I would suggest you do not, at least not until you are more experienced with Vim.</p>\r\n<h3 id=\"undoing-and-redoing-changes\">Undoing and redoing changes</h3>\r\n<p>Vim can undo changes you make to a file. This is useful if a change was the wrong change or in the wrong place. It can also redo the undone change.</p>\r\n<p>The <strong>u</strong> command in <em>normal</em> mode undoes the last change. The <em>redo</em> function is invoked by pressing the <em>Ctrl</em> key while pressing <strong>r</strong>. This key sequence is normally represented as <strong>CTRL-R</strong>.</p>\r\n<p>Vim keeps a record of the changes, so successive <strong>u</strong> commands undo successive changes back in time. Conversely, <strong>CTRL-R</strong> redoes the undone changes forward in time.</p>\r\n<p>Normally the change history is lost when Vim exits, but two configuration options can be used to save it. The <strong>undofile</strong> option ensures change history is written to a file and <strong>undodir</strong> shows the (pre-existing) directory which is to hold these files.</p>\r\n<pre><code>set undodir=~/.vim/undodir\r\nset undofile</code></pre>\r\n<p>It can be a little surprising if you press <strong>u</strong> in a file you have just opened in Vim to find that it undoes something you changed last time you edited it! However, on the whole I think this is a great feature.</p>\r\n<h3 id=\"file-recovery\">File recovery</h3>\r\n<h4 id=\"the-swap-file\">The Swap File</h4>\r\n<p>By default Vim uses a recovery mechanism where it generates a <strong>swap file</strong>. Under Unix and Linux this file has a name built from the name of the file being edited with a dot prepended (making it a hidden file) and with the extension &quot;.swp&quot;. So, if you were editing the file <code>testfile</code> the swap file would be a file called <code>.testfile.swp</code> in the same directory.</p>\r\n<p>It is possible to make Vim write the swap file elsewhere, such as on another partition. You can also turn this recovery capability off. It is probably advisable to use the default settings while you are learning Vim.</p>\r\n<p>The swap file is updated after typing 200 characters or when you have not typed anything for four seconds. The swap file is deleted as soon as Vim stops editing the file.</p>\r\n<h4 id=\"recovery\">Recovery</h4>\r\n<h5 id=\"case-1-there-are-changes-in-the-swap-file\">Case 1: there are changes in the swap file</h5>\r\n<p>If something bad happens during an editing session, such as the loss of power, the swap file will remain after the event. If you know that you need to recover your edit session then you can simply type the following in the directory where the file you were editing exists:</p>\r\n<pre><code>vim -r filename</code></pre>\r\n<p>You will see a message such as the following:</p>\r\n<hr />\r\n<pre><code>Using swap file &quot;.testfile3.swp&quot;\r\nOriginal file &quot;~/testfile3&quot;\r\nRecovery completed. You should check if everything is OK.\r\n(You might want to write out this file under another name\r\nand run diff with the original file to check for changes)\r\nYou may want to delete the .swp file now.\r\n\r\nPress ENTER or type command to continue</code></pre>\r\n<hr />\r\n<p>See the explanation on the <a href=\"https://vim.wikia.com/wiki/Recovering_files\">Vim wiki</a>.</p>\r\n<p>Alternatively, when you try to edit a file you were editing at the time of the failure Vim will detect the presence of a swap file and alert you with a message such as:</p>\r\n<hr />\r\n<pre><code>E325: ATTENTION\r\nFound a swap file by the name &quot;.testfile2.swp&quot;\r\n          owned by: hprdemo   dated: Fri Feb 13 15:33:41 2015\r\n         file name: ~hprdemo/testfile2\r\n          modified: YES\r\n         user name: hprdemo   host name: i7-desktop\r\n        process ID: 16181\r\nWhile opening file &quot;testfile2&quot;\r\n             dated: Sat Dec  6 18:34:32 2014\r\n\r\n(1) Another program may be editing the same file.  If this is the case,\r\n    be careful not to end up with two different instances of the same\r\n    file when making changes.  Quit, or continue with caution.\r\n(2) An edit session for this file crashed.\r\n    If this is the case, use &quot;:recover&quot; or &quot;vim -r testfile2&quot;\r\n    to recover the changes (see &quot;:help recovery&quot;).\r\n    If you did this already, delete the swap file &quot;.testfile2.swp&quot;\r\n    to avoid this message.\r\n\r\nSwap file &quot;.testfile2.swp&quot; already exists!\r\n[O]pen Read-Only, (E)dit anyway, (R)ecover, (D)elete it, (Q)uit, (A)bort:</code></pre>\r\n<hr />\r\n<p>Vim here is indicating that there are unsaved changes that can be recovered. It is also warning that if someone is editing the same file (such as you in another window) this might account for the presence of the swap file.</p>\r\n<p>Assuming it\'s appropriate, you can recover the changes and continue editing by pressing <strong>r</strong> at the above prompt. You will see messages such as the ones above relating to the <code>vim -r filename</code> example.</p>\r\n<p>Be aware that if you continue editing the original swap file will continue to exist and you will get the same message again next time you edit the file. Vim will create a new swap file (called <code>/home/hprdemo/.testfile2.swo</code> in this case) to protect the new editing session.</p>\r\n<p>This situation can be a little confusing if you have not encountered it before. There are a number of ways you can resolve this:</p>\r\n<ol type=\"1\">\r\n<li><p>You can save the recovered file and exit Vim (type <strong>:wq</strong>). You can then edit the same file all over again. You will see almost the same message as before, but you can now delete the swap file by pressing <strong>d</strong>. The message you see the second time round will contain the additional warning that the file you are editing is newer than the swap file - that is because you just saved a new copy of it!</p></li>\r\n<li><p>You can save the file and exit Vim as above, but then explicitly delete the swap file. In the example you would do this by typing: <strong><code>rm    .testfile2.swp</code></strong></p></li>\r\n<li><p>As before you can save the file but this time without exiting Vim (type <strong>:w</strong>). Then tell Vim to re-edit the current file with the command <strong>:e</strong>. You will then see the warning about there being a swap file, and you can type <strong>d</strong> to delete it.</p></li>\r\n</ol>\r\n<h5 id=\"case-2-there-are-no-changes-in-the-swap-file\">Case 2: there are no changes in the swap file</h5>\r\n<p>If, when you see the message about finding a swap file you see that there are no changes to recover you can just delete the swap file by pressing <strong>d</strong>. You can then continue with editing the file as normal.</p>\r\n<h4 id=\"dont-panic\">Don\'t Panic!</h4>\r\n<p>This recovery process is complex because Vim is trying to ensure that you are protected against losing your changes.</p>\r\n<p>As it says in the <a href=\"https://vimdoc.sourceforge.net/htmldoc/recover.html\">Vim manual</a> DON\'T PANIC!</p>\r\n<h3 id=\"summary\">Summary</h3>\r\n<ul>\r\n<li>The configuration file should contain the following:</li>\r\n</ul>\r\n<pre><code>set nocompatible\r\nset backup\r\nset undodir=~/.vim/undodir\r\nset undofile</code></pre>\r\n<ul>\r\n<li>Use <strong>u</strong> in <em>normal</em> mode to undo a change</li>\r\n<li>Use <strong>CTRL-R</strong> in <em>normal</em> mode to redo an undone change</li>\r\n<li>Re-starting Vim after a crash will invoke a recovery dialogue</li>\r\n</ul>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Vim Script (vimscript or viml) <a href=\"https://en.wikipedia.org/wiki/Vim_script\">https://en.wikipedia.org/wiki/Vim_script</a></li>\r\n<li>Recovering files (Vim Wiki) <a href=\"https://vim.wikia.com/wiki/Recovering_files\">https://vim.wikia.com/wiki/Recovering_files</a></li>\r\n<li>Recovery after a crash <a href=\"https://vimdoc.sourceforge.net/htmldoc/recover.html\">https://vimdoc.sourceforge.net/htmldoc/recover.html</a></li>\r\n<li>Vim Community <a href=\"https://www.vim.org/\">https://www.vim.org/</a></li>\r\n<li>Vim Tips Wiki <a href=\"https://vim.wikia.com/wiki/Vim_Tips_Wiki\">https://vim.wikia.com/wiki/Vim_Tips_Wiki</a></li>\r\n</ul>\r\n',225,82,1,'CC-BY-SA','vim,gvim,editor,backup,undo,redo,crash recovery',0,0,1),
(1721,'2015-03-09','Cross-compilers Part 2',2832,'Using one of our cross-compilers to compile a Raspberry Pi kernel','<p>\r\nIn part 1 I described cross-compiling, what it means and why you might\r\nwant to, or even need to use it.\r\n</p>\r\n<p>\r\nI also described how to create a cross-compiler tool-chain using crosstool-ng.\r\n</p>\r\n<p>\r\nIn this show I will demonstrate using one of the cross-compilers which\r\nI created as described in the last show to compile a Raspberry Pi Linux kernel.\r\n</p>\r\n<p>\r\nAs usual with my shows the show-notes can\'t be squashed into 4k, so there is an HTML version at:\r\n</p>\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr1721/index.html\">https://hackerpublicradio.org/eps/hpr1721/index.html</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr1721/index.md\">https://hackerpublicradio.org/eps/hpr1721/index.md</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr1721/kcc\">https://hackerpublicradio.org/eps/hpr1721/kcc</a></li>\r\n<li>Edited: <a href=\"https://hackerpublicradio.org/eps.php?id=1706\">hpr1706 :: Cross-compilers part 1</a></li>\r\n</ul>\r\n',282,0,1,'CC-BY-SA','raspberry pi,kernel,cross-compilation,make',0,0,1),
(1851,'2015-09-07','HPR Community News for August 2015',6867,'HPR Community News for August 2015','<p>\nIn today\'s show Jon, Dave and Ken discuss some topics such as, \n<ul>\n<li>What format to upload show notes in ?</li>\n<li>Multimeter Tutorials <a href=\"https://www.youtube.com/watch?v=ZBbgiBU96mM\">https://www.youtube.com/watch?v=ZBbgiBU96mM</a><br />\n<a href=\"https://www.youtube.com/user/mjlorton\">https://www.youtube.com/user/mjlorton</a>\n</li>\n<li>Lack of community contributions</li>\n</ul>\n<pre>\n\nHi All,\n\nI am concerned as to the health of HPR, and I touched (went on a rant to\nbe honest) on this in the Community News show that will be released\ntomorrow.\n\nWe have 16,495 subscribers and 260 slots per year, so we need to have\nonly 2.5% subscribers contributing to have a different host for every\nday. Unfortunately only 62 managed to contribute a show in the last 365\ndays. I don\'t need Charles in NJ to tell me that that\'s only 0.38% of\nour subscriber base.\n\nAs a project that is supposed to be a \"Community Podcast\", but we\'re\nlooking less like a bar camp and more like a TED talk.\n\nIt gets worse. Dave ran the query of how many shows were contributed by\neach host over the last 365 days. It shows that 50% of the shows have\nbeen contributed by just 5 hosts. This is not to say that submitting\nmultiple shows is bad, far from it. But it\'s the difference between\nwanting to submit multiple shows and *needing* to submit multiple shows,\nthat I\'m concerned about.\n\nSo a few questions for the list:\n\n- Is this a problem ?\n- If so, how do we fix it ?\n\n*Please* do not derail this discussion about your intentions to record a\nshow. I have a in box full of \"I plan to do a show about this\" or \"I\'m\ndefinitely doing a series on that\". More than one are from myself.\nBasically if it\'s not on the server, it\'s not a show.\n\nYou can always add a topic to the requested topic page.\nhttps://gitlab.anhonesthost.com/HPR/HPR_Public_Code/blob/master/www/reque\nsted_topics.html\n\n<img src=\"https://hackerpublicradio.org/eps/hpr1851_hprstats.png\" />\n\nMore Info: <a href=\"https://hackerpublicradio.org/eps/hpr1851_HPR_Health_2015-09-06.ods\">https://hackerpublicradio.org/eps/hpr1851_HPR_Health_2015-09-06.ods</a>\n\nRaw SQL Dump here: \n\n+--------+--------------------------------+-------+\n| hostid | host                           | shows |\n+--------+--------------------------------+-------+\n|    198 | Ahuka                          |    38 |\n|    238 | Jon Kulp                       |    24 |\n|    159 | HPR Volunteers                 |    18 |\n|    225 | Dave Morriss                   |    17 |\n|    131 | FiftyOneFifty                  |    17 |\n|     30 | Ken Fallon                     |    14 |\n|     78 | klaatu                         |     7 |\n|    209 | David Whitman                  |     7 |\n|    280 | semioticrobotic                |     6 |\n|    235 | NYbill                         |     6 |\n|    288 | beni                           |     6 |\n|    195 | Frank Bell                     |     6 |\n|     24 | Lord Drachenblut               |     6 |\n|    287 | corenominal                    |     5 |\n|    282 | Mike Ray                       |     5 |\n|    129 | JWP                            |     4 |\n|    265 | Kevin Wisher                   |     4 |\n|    240 | Steve Bickle                   |     4 |\n|    297 | swift110                       |     4 |\n|    286 | cjm                            |     3 |\n|    285 | 2BFrank                        |     3 |\n|    107 | lostnbronx                     |     3 |\n|    259 | Gabriel Evenfire               |     3 |\n|    215 | Windigo                        |     3 |\n|    296 | Kevie                          |     3 |\n|    300 | b-yeezi                        |     3 |\n|    284 | Steve Smethurst                |     2 |\n|    233 | johanv                         |     2 |\n|    252 | Curtis Adkins (CPrompt^)       |     2 |\n|    294 | daw                            |     2 |\n|    302 | Stilvoid                       |     2 |\n|    197 | garjola                        |     1 |\n|    134 | PipeManMusic                   |     1 |\n|    268 | Andrew Conway                  |     1 |\n|    283 | Inscius                        |     1 |\n|    289 | pyrrhic                        |     1 |\n|    290 | Al                             |     1 |\n|    158 | Various Creative Commons Works |     1 |\n|    109 | Various Hosts                  |     1 |\n|    291 | Rill                           |     1 |\n|    292 | Michal Cieraszynski            |     1 |\n|    270 | Thaj Sara                      |     1 |\n|    293 | Rho`n                          |     1 |\n|    295 | Cibola Jerry                   |     1 |\n|    246 | Beeza                          |     1 |\n|    201 | MrX                            |     1 |\n|    298 | tcuc                           |     1 |\n|    111 | Knightwise                     |     1 |\n|    299 | Fin                            |     1 |\n|    301 | amp                            |     1 |\n|    157 | HPR_AudioBookClub              |     1 |\n|    303 | Alpha32                        |     1 |\n|    306 | GNULinuxRTM                    |     1 |\n|    305 | kurakura                       |     1 |\n|    229 | Charles in NJ                  |     1 |\n|    263 | Tony Pelaez                    |     1 |\n|    307 | cheeto4493                     |     1 |\n|    271 | mirwi                          |     1 |\n|    255 | Matt McGraw (g33kdad)          |     1 |\n|    308 | A Shadowy Figure               |     1 |\n|    309 | folky                          |     1 |\n|    115 | sigflup                        |     1 |\n+--------+--------------------------------+-------+\n\nRegards,\n\nKen Fallon\nhttps://kenfallon.com\nhttps://hackerpublicradio.org/correspondents/0030.html\n</pre>\n\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0308.html\" target=\"_blank\">A Shadowy Figure</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0309.html\" target=\"_blank\">folky</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\">\n    <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Day</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1826\" target=\"_blank\">1826</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-08-03</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1826\" target=\"_blank\">HPR Community News for July 2015</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1827\" target=\"_blank\">1827</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-08-04</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1827\" target=\"_blank\">How I make bread</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1828\" target=\"_blank\">1828</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-08-05</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1828\" target=\"_blank\">Multimeter Mod&#39;s Part 1</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1829\" target=\"_blank\">1829</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-08-06</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1829\" target=\"_blank\">My &quot;New&quot; Used Kindle DX</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1830\" target=\"_blank\">1830</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-08-07</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1830\" target=\"_blank\">How Holland Works: GreenWheels</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1831\" target=\"_blank\">1831</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-08-10</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1831\" target=\"_blank\">Are speed listening and slow background music compatible?</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0308.html\" target=\"_blank\">A Shadowy Figure</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1832\" target=\"_blank\">1832</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-08-11</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1832\" target=\"_blank\">Simplify writing using markdown and pandoc</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1833\" target=\"_blank\">1833</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-08-12</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1833\" target=\"_blank\">Resurrecting an IBM T40</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0297.html\" target=\"_blank\">swift110</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1834\" target=\"_blank\">1834</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-08-13</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1834\" target=\"_blank\">Password Cards</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1835\" target=\"_blank\">1835</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-08-14</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1835\" target=\"_blank\">59 - LibreOffice Impress - Pictures</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1836\" target=\"_blank\">1836</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-08-17</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1836\" target=\"_blank\">The Statusnet Shuffle</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1837\" target=\"_blank\">1837</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-08-18</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1837\" target=\"_blank\">Put an SSD in your Linux Box</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0285.html\" target=\"_blank\">2BFrank</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1838\" target=\"_blank\">1838</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-08-19</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1838\" target=\"_blank\">Waking up with Windigo</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0215.html\" target=\"_blank\">Windigo</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1839\" target=\"_blank\">1839</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-08-20</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1839\" target=\"_blank\">My &quot;New&quot; Used Pickup Truck</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1840\" target=\"_blank\">1840</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-08-21</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1840\" target=\"_blank\">Running external commands in Kate</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1841\" target=\"_blank\">1841</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-08-24</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1841\" target=\"_blank\">My way into Linux</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0309.html\" target=\"_blank\">folky</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1842\" target=\"_blank\">1842</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-08-25</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1842\" target=\"_blank\">TiT Radio 20 You&#39;ve Been Pwned (probably)</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1843\" target=\"_blank\">1843</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-08-26</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1843\" target=\"_blank\">Some Bash tips</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1844\" target=\"_blank\">1844</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-08-27</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1844\" target=\"_blank\">The Marantz PMD 660 Professional Solid State Recorder</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1845\" target=\"_blank\">1845</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-08-28</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1845\" target=\"_blank\">60 - LibreOffice Impress - The Gallery and Themes</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1846\" target=\"_blank\">1846</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-08-31</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1846\" target=\"_blank\">UNI-T UT61E Review</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes\nplace on the <a href=\"https://hackerpublicradio.org/maillist\" target=\"_blank\">Mail List</a> which is open to all\nHPR listeners and contributors. The discussions are open and available on the\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\narchive.\n</p>\n<p>The main threads this month were:</p>\n<ol>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2015-08-15 14:57:43 +0100<br/>\n        <em>Subject:</em> Help with tags and summaries<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/906\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/906</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Kevin O&#39;Brien &lt;zwilnik@...&gt;<br/>\n        <em>Date:</em> 2015-08-15 19:17:10 -0400<br/>\n        <em>Subject:</em> Jon Kulp and group efforts<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/907\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/907</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-08-19 11:48:59 +0200<br/>\n        <em>Subject:</em> Do you owe me a show ?<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/909\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/909</a><br/>\n        <em>Messages:</em> 2<br/></li>\n</ol>\nTotal messages this month: 5<br/>\n\n\n<h2>Comments this month</h2>\n\n<p>There are 36 comments:</p>\n<ul> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1612#comments\" target=\"_blank\">hpr1612</a></strong>\n(2014-10-07) \"<em>Don&#39;t Forget the Referbs</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.\n<ul>      <li><a href=\"https://hackerpublicradio.org/eps.php?id=1612#5\" target=\"_blank\">Comment 5</a>:\nNYbill on 2015-08-15:\n\"Sorry I&#39;m late...\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1810#comments\" target=\"_blank\">hpr1810</a></strong>\n(2015-07-10) \"<em>17 - LastPass Hacked - What Does It Mean?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1810#1\" target=\"_blank\">Comment 1</a>:\namp on 2015-08-08:\n\"but it is not free software\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1827#comments\" target=\"_blank\">hpr1827</a></strong>\n(2015-08-04) \"<em>How I make bread</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1827#1\" target=\"_blank\">Comment 1</a>:\nCharlie Ebert on 2015-08-03:\n\"Me.\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1827#2\" target=\"_blank\">Comment 2</a>:\nDaniel Worth on 2015-08-07:\n\"Great!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1827#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2015-08-10:\n\"Thanks for the feeedback\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1828#comments\" target=\"_blank\">hpr1828</a></strong>\n(2015-08-05) \"<em>Multimeter Mod&#39;s Part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1828#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp  on 2015-08-05:\n\"Awesome\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1828#2\" target=\"_blank\">Comment 2</a>:\nNYbill on 2015-08-06:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1829#comments\" target=\"_blank\">hpr1829</a></strong>\n(2015-08-06) \"<em>My &quot;New&quot; Used Kindle DX</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1829#1\" target=\"_blank\">Comment 1</a>:\nFweeb on 2015-08-07:\n\"BQ Cervantes?\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1829#2\" target=\"_blank\">Comment 2</a>:\ncybergrue on 2015-08-07:\n\"One thing you missed\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1829#3\" target=\"_blank\">Comment 3</a>:\nJon Kulp  on 2015-08-07:\n\"good catch (PDFs)\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1829#4\" target=\"_blank\">Comment 4</a>:\nJon Kulp  on 2015-08-07:\n\"Cervantes Reader\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1830#comments\" target=\"_blank\">hpr1830</a></strong>\n(2015-08-07) \"<em>How Holland Works: GreenWheels</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1830#1\" target=\"_blank\">Comment 1</a>:\nFiftyOneFifty on 2015-07-16:\n\"I thought this was about the dikes\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1830#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-08-11:\n\"Thanks for the insight\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1831#comments\" target=\"_blank\">hpr1831</a></strong>\n(2015-08-10) \"<em>Are speed listening and slow background music compatible?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0308.html\" target=\"_blank\">A Shadowy Figure</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1831#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp  on 2015-08-09:\n\"1.7x\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1831#2\" target=\"_blank\">Comment 2</a>:\nKevin O&#39;Brien on 2015-08-10:\n\"1.7x works for me\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1831#3\" target=\"_blank\">Comment 3</a>:\nA Shadowy Figure on 2015-08-10:\n\"Thanks, now I have a starting point\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1831#4\" target=\"_blank\">Comment 4</a>:\nWindigo on 2015-08-17:\n\"Normal - 1.5x\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://www.hackerpublicradio.org/eps.php?id=1832#comments\" target=\"_blank\">hpr1832</a></strong>\n(2015-08-11) \"<em>Simplify writing using markdown and pandoc</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.\n<ul>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=1832#1\" target=\"_blank\">Comment 1</a>:\n0xf10e on 2015-08-11:\n\"thx, very useful\"</li>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=1832#2\" target=\"_blank\">Comment 2</a>:\nJon Kulp on 2015-08-12:\n\"plus HTML as needed\"</li>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=1832#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2015-08-17:\n\"Excellent episode\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1836#comments\" target=\"_blank\">hpr1836</a></strong>\n(2015-08-17) \"<em>The Statusnet Shuffle</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1836#1\" target=\"_blank\">Comment 1</a>:\n0xf10e on 2015-08-17:\n\"you should put up some VPS based blog ;)\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1836#2\" target=\"_blank\">Comment 2</a>:\nNYbill on 2015-08-18:\n\"maybe some day...\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1837#comments\" target=\"_blank\">hpr1837</a></strong>\n(2015-08-18) \"<em>Put an SSD in your Linux Box</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0285.html\" target=\"_blank\">2BFrank</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1837#1\" target=\"_blank\">Comment 1</a>:\n0xf10e on 2015-08-18:\n\"correction on TRIM\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1837#2\" target=\"_blank\">Comment 2</a>:\nnoah on 2015-08-21:\n\"minimizing writes\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1838#comments\" target=\"_blank\">hpr1838</a></strong>\n(2015-08-19) \"<em>Waking up with Windigo</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0215.html\" target=\"_blank\">Windigo</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1838#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp  on 2015-08-19:\n\"The Very Essence\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1838#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-08-19:\n\"I wouldn&#39;t have done it that way...\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1838#3\" target=\"_blank\">Comment 3</a>:\nNYbill on 2015-08-20:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1838#4\" target=\"_blank\">Comment 4</a>:\nBeeza on 2015-08-20:\n\"Geekdom At Its Very Best\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1841#comments\" target=\"_blank\">hpr1841</a></strong>\n(2015-08-24) \"<em>My way into Linux</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0309.html\" target=\"_blank\">folky</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1841#1\" target=\"_blank\">Comment 1</a>:\nWindigo on 2015-08-31:\n\"Great first episode!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1842#comments\" target=\"_blank\">hpr1842</a></strong>\n(2015-08-25) \"<em>TiT Radio 20 You&#39;ve Been Pwned (probably)</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1842#1\" target=\"_blank\">Comment 1</a>:\n0xf10e on 2015-08-25:\n\"Re: Car Malware \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1842#2\" target=\"_blank\">Comment 2</a>:\nMike Ray on 2015-08-25:\n\"We&#39;re doomed I tell eee\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1843#comments\" target=\"_blank\">hpr1843</a></strong>\n(2015-08-26) \"<em>Some Bash tips</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1843#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2015-08-26:\n\"Obsolete ?\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1843#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-08-28:\n\"Maybe obsolescent or outmoded\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1844#comments\" target=\"_blank\">hpr1844</a></strong>\n(2015-08-27) \"<em>The Marantz PMD 660 Professional Solid State Recorder</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1844#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2015-08-29:\n\"Quality\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1844#2\" target=\"_blank\">Comment 2</a>:\nJon Kulp on 2015-08-30:\n\"Open Goldberg!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1844#3\" target=\"_blank\">Comment 3</a>:\nKevin O&#39;Brien on 2015-08-31:\n\"Agree with Mike\"</li></ul>\n</li>\n</ul>',159,47,1,'CC-BY-SA','Community News',0,0,1),
(3973,'2023-10-25','Creating an equalizer preset for your episodes of HPR',938,'A method of creating repeatable processing for your podcasts','<p>Here I describe my method for creating a macro using equalizer,\ncompressor and normalize presets in Audacity, which can be used\nrepeatedly to get consistent results, as long as you use the same voice,\nmicrophone and recording location.</p>\n<p>This is the sample of the equalizer setting I use with a Sennheiser\nMB2 Pro headset:</p>\n<p><a href=\"https://hackerpublicradio.org/eps/hpr3973/hpr3973/eq.png\"\ntitle=\"Equalizer window\"><img\nsrc=\"https://hackerpublicradio.org/eps/hpr3973/hpr3973/eq_thumbnail.png\"\ntitle=\"Click on the thumbnail to see the full picture\"\nalt=\"Screenshot of a set of equalizer faders in Audacity. There is a low pass filter ending at 125Hz, then a valley of attenuation from 250 to 800 Hz, bottoming out at 400 and 500 Hz, then attenuation at 1.6, 2.5 and 5KHz.\" /></a></p>\n<p>This is the waveform for this episode <em>before</em> applying the\nCompressor.</p>\n<p><a\nhref=\"https://hackerpublicradio.org/eps/hpr3973/hpr3973/before.png\"\ntitle=\"Waveform before processing\"><img\nsrc=\"https://hackerpublicradio.org/eps/hpr3973/hpr3973/before_thumbnail.png\"\ntitle=\"Click on the thumbnail to see the full picture\"\nalt=\"Screenshot of a waveform in Audacity. The size of the waveform, i.e. the amplitude, varies considerably in different parts of the recording.\" /></a></p>\n<p>This is the waveform for this episode <em>after</em> applying the\nequalizer discussed earlier, the Compressor at threshold -31dB, noise\nfloor -40dB and ratio 2:1. No make-up gain at the Compressor. Finally,\nNormalize to peak amplitude of -12dB. I was wrong in the show to say\nthat I had been using \"Amplify,\" in fact I have been using\n\"Normalize.\"</p>\n<p><a href=\"https://hackerpublicradio.org/eps/hpr3973/hpr3973/after.png\"\ntitle=\"Waveform after processing\"><img\nsrc=\"https://hackerpublicradio.org/eps/hpr3973/hpr3973/after_thumbnail.png\"\ntitle=\"Click on the thumbnail to see the full picture\"\nalt=\"Screenshot of a waveform in Audacity. The size of the waveform, i.e. the amplitude, is fairly even throughout the track.\" /></a></p>\n',399,45,0,'CC-BY-SA','audacity,equalizer,compressor',0,0,1),
(1722,'2015-03-10','Kansas Linux Fest 2015, March 21-22, Lawrence KS',367,'We wish to announce a new Linux Fest to serve the Midwest','<p>\r\nWe are pleased to announce the first annual Kansas Linux Fest (<a href=\"https://KansasLinuxFest.us\">https://KansasLinuxFest.us</a>), hashtag #KLF15.  It will be hosted by the Lawrence Public Library, Lawrence Kansas, March 21-22, 2015.  The Kansas Linux Fest is a project of the Free/Libre Open Source and Open Knowledge Association of Kansas (<a href=\"https://www.openkansas.us\">https://www.openkansas.us</a>) and other organizations.  \r\n</p>\r\n<p>\r\nSpecial recognition needs to be paid to Hacker Public Radio contributor James Michael DuPont for taking point in making a community event in the central United States a reality.  Speakers (<a href=\"https://www.kansaslinuxfest.us/pages/schedule.html\">https://www.kansaslinuxfest.us/pages/schedule.html</a> ) include Open Source Advocate Dave Lester, Hal Gottfried, cofounder of the Open Hardware Evangelist Kansas City Open Hardware Group, David Stokes, MySQL Community Manager at Oracle, Ben C. Roose, Technology Consultant for Live Performance, Kevin Lane,  Technical Consultant IV at HP Enterprise Services, Jonathan George, CEO @boxcar, and podcaster and open source evangelist, FiftyOneFifty.\r\n</p>\r\n<p>\r\nRegistration for conference tickets can be found on the KLF website.  Fan tickets are free, but supporter level tickets may be purchased with a free will donation which will go towards marketing and food.\r\n</p>\r\n<p>\r\nYou will find links on the <a href=\"https://KansasLinuxFest.us\">https://KansasLinuxFest.us</a> homepage that will allow you to follow the conference on social and other media, as well as an RSS feed.  There is also information on how to become involved with Free/Libre Open Source and Open Knowledge Association of Kansas.\r\n</p>',131,0,0,'CC-BY-SA','#KLF15, Kansas Linux Fest, KLF',0,0,1),
(1723,'2015-03-11','Success With Students',1648,'From taking a podcasting course, students learn the benefit of Creative Commons and open source','<p>\r\nFor his second attempt at a solo episode of HPR, Kevie talks about a very positive experience he had introducing school pupils to podcasting.  From this he was able to discuss the benefits of Creative Commons music and using open source, cross platform software.  The ultimate success came when three students took the plunge and installed Linux on their own computers.\r\n</p>\r\n\r\n<h3>Music included in this episode:</h3>\r\n<ul>\r\n        <li>Try by Feixl <a href=\"https://www.jamendo.com/en/track/1203446/try\">https://www.jamendo.com/en/track/1203446/try</a></li>\r\n        <li>Make My Day by Sunburst <a href=\"https://www.jamendo.com/en/track/964586/make-my-day\">https://www.jamendo.com/en/track/964586/make-my-day</a></li>\r\n</ul>\r\n',296,0,0,'CC-BY-SA','open source, ccmusic, audacity, school, education',0,0,1),
(1726,'2015-03-16','15 Excuses not to Record a show for HPR',1137,'Inspired by a recent meeting with Ken Fallon, Knightwise presents 15 excuses not to record a show.','<p>\r\nInspired by a recent meeting with Ken Fallon at Fossdem, Knightwise presents 15 excuses not to record for Hacker Public Radio.\r\n</p>\r\n<ol>\r\n<li>I don\'t have the right Gear</li>\r\n<li>It doesn\'t sound so polished</li>\r\n<li>I don\'t know how to upload</li>\r\n<li>I don\'t have a radio voice</li>\r\n<li>I don\'t have the time</li>\r\n<li>I\'m shy</li>\r\n<li>I don\'t have anything to say</li>\r\n<li>The stuff I know about is realy niche and noone will be interested</li>\r\n<li>What if I get negative comments</li>\r\n<li>Who would listen to my show anyway</li>\r\n<li>I\'ve never done this before</li>\r\n<li>I\'ll get around to it someday</li>\r\n<li>I recorded a show but I\'m too afraid to submit it</li>\r\n<li>It takes me a long time to edit out the \"um\" and \"er\"</li>\r\n<li>I don\'t know enough about audio editing yet</li>\r\n</ol>',111,0,0,'CC-BY-SA','hpr,podcasting,tips,techniques,kw,knightwise,excuses',0,0,1),
(1727,'2015-03-17','Basic Mutt',1902,'Frank Bell discusses setting up and using Mutt as an email client.','Using a text email client such as Mutt is quite a learning experience.  Here is some information to help you get started.<br />\r\n\r\nThe programs that Frank used to set up Mutt:<br />\r\n\r\nGetting and Sorting Mail:  <br />\r\nFetchmail <a href=\"https://sourceforge.net/projects/fetchmail/\">https://sourceforge.net/projects/fetchmail/</a><br />\r\nProcmail and Formail <a href=\"https://www.procmail.org/\">https://www.procmail.org/</a><br />\r\n\r\nReading and Composing Mail:  Mutt <a href=\"https://www.mutt.org/\">https://www.mutt.org/</a><br />\r\n\r\nSending Mail:  msmtp <a href=\"https://msmtp.sourceforge.net/\">https://msmtp.sourceforge.net/</a><br />\r\n\r\nThese are the references that Frank found most helpful:<br />\r\n\r\nConfiguring Mutt:<br />\r\nQuickstart Guide to Mutt: <a href=\"https://docs.huihoo.com/gentoo/resources/document-listing/guide-to-mutt.html\">https://docs.huihoo.com/gentoo/resources/document-listing/guide-to-mutt.html</a><br />\r\n\r\nCalmar on Mutt:  <a href=\"https://www.calmar.ws/mutt/\">https://www.calmar.ws/mutt/</a><br />\r\nFeeding the Cloud:  Handling multiple identities/accounts in mutt:  <a href=\"https://feeding.cloud.geek.nz/posts/handling-multiple-identitiesaccounts-in/\">https://feeding.cloud.geek.nz/posts/handling-multiple-identitiesaccounts-in/</a><br />\r\n\r\nProcmail (the UMBC link is a great introduction to procmail and procmail\'s regex):<br />\r\nMail Filtering with Procmail:  <a href=\"https://userpages.umbc.edu/~ian/procmail.html#example\">https://userpages.umbc.edu/~ian/procmail.html#example</a><br />\r\n<a href=\"https://www.linux-mag.com/id/826/\">https://www.linux-mag.com/id/826/</a><br />\r\n\r\nSome Text Browsers (for help in parsing HTML emails)<br />\r\nLynx <a href=\"https://lynx.isc.org/\">https://lynx.isc.org/</a><br />\r\nLinks <a href=\"https://www.jikos.cz/~mikulas/links/\">https://www.jikos.cz/~mikulas/links/</a><br />\r\nelinks <a href=\"https://elinks.or.cz/\">https://elinks.or.cz/</a><br />\r\nw3m <a href=\"https://w3m.sourceforge.net/\">https://w3m.sourceforge.net/</a><br />\r\n',195,0,1,'CC-BY-SA','Mutt,email,procmail,fetchmail',0,0,1),
(1729,'2015-03-19','Shield\'s Up - Wood Stove Heat Shield Project',957,'David Whitman builds a safety heat shield for a wood stove in his shop','<p>\r\nThe Problem: Wood stoves get really hot<br />\r\nThe solution: metal heat shield and airspace <br />\r\nI describe how I used common materials and self designed a wood stove heat Shield.<br />\r\nHopefully there are pictures attached to this episode show notes so you can see just how well I described my project<br />\r\n</p>\r\n<p>\r\n<a href=\"https://hackerpublicradio.org/eps/hpr1729-Pictures_Shield_Up-Wood_Stove_Heat_Shield.pdf\">https://hackerpublicradio.org/eps/hpr1729-Pictures_Shield_Up-Wood_Stove_Heat_Shield.pdf</a>\r\n</p>',209,0,1,'CC-BY-SA','Shop, wood heat, Oregon, safety',0,0,1),
(1728,'2015-03-18','Requested Topic: Favourite Browser Extensions',1204,'Fin talks about his favourite browser extensions.','<p>\r\nNoScript is great for blocking JavaScript that may be undesirable. Scripts tend to track users or load obtrusive or undesirable content in my experience.\r\nNoScript also blocks Adobe Flash and Java which can be resource hogs. A simple click will activate them. Scripts can be enabled or disabled by site.\r\n</p>\r\n<p>\r\nHTTPS Everywhere will automatically direct your browser to a secure https version of sites you visit, if available. Great for security (obviously).\r\n</p>\r\n<p>\r\nAdblock Edge is a great ad blocker. It blocks all ads no matter how obtrusive they are. Does not contain hidden white-list like more popular ad blocker: Adblock Plus.\r\n</p>\r\n<p>\r\nLibreJS targets non free JavaScript. I think it is a fantastic idea but makes too many sites unusable. I prefer NoScript as I can more easily micro-manage scripts per domain.\r\n</p>\r\n\r\n<h3>Links:</h3>\r\n\r\n<ul>\r\n<li>FireFox <a href=\"https://www.firefox.com/\">https://www.firefox.com/</a>\r\n</li>\r\n<li>Ahuka\'s show about security certificates <a href=\"https://hackerpublicradio.org/eps.php?id=1720\">https://hackerpublicradio.org/eps.php?id=1720</a>\r\n</li>\r\n<li>NoScript <a href=\"https://noscript.net/\">https://noscript.net/</a>\r\n</li>\r\n<li>HTTPS Everywhere <a href=\"https://www.eff.org/https-everywhere/\">https://www.eff.org/https-everywhere/</a>\r\n</li>\r\n<li>Adblock Edge <a href=\"https://adstomper.bitbucket.org/\">https://adstomper.bitbucket.org/</a>\r\n</li>\r\n<li>LibreJS <a href=\"https://www.gnu.org/software/librejs/\">https://www.gnu.org/software/librejs/</a>\r\n</li>\r\n</ul>\r\n',299,74,1,'CC-BY-SA','browser extensions,firefox,noscript,https everywhere,adblock edge,librejs',0,0,1),
(1731,'2015-03-23','Upgrading an old laptop',719,'I put brand new parts into an old fujitsu lifebook 4215','<p>\r\nIn July of 2010 I was given a laptop to repair by one of my friends, I couldn’t figure out what was wrong with it despite hours of trial and error so eventually I got so frustrated with it that I just set it aside and forgot about for a while. Meanwhile my friend got another laptop so he told me I could keep it.\r\n</p>\r\n\r\n<p>\r\nFor the rest of the post see:<br />\r\n<a href=\"https://anthonyvenable110.wordpress.com/2011/10/10/upgrading-my-laptop/\">https://anthonyvenable110.wordpress.com/2011/10/10/upgrading-my-laptop/</a>\r\n</p>',297,0,0,'CC-BY-SA','hardware upgrade,laptop',0,0,1),
(1730,'2015-03-20','5150 Shades of Beer 0005 River City Brewing Company Revisited',2295,'Fifty One Fity revisits an Air Capitol brewpub to try some new flavors','<p>\r\nThe great thing about brew pubs is that they always trying new beers so the customer experience doesnt become as stale asa half finished can of Budweiser let out overnight.  That means I can return to the same place and experience a whole new vista of flavors.  Such was the case last Sunday, when a social affair brought me withing blocks of the River City Brewing Company in Wichita Kansas.  I had the forethought to be my three growlers for refilling, and by the time the meeting was of it was time for a burger and a beer anyway.  Lets talk about the meal first.\r\n</p>\r\n<p>\r\nHaving already tried their pizza and amazing Cuban sandwich on previous trips, this time a went for a burger.  From the River City menu ( <a href=\"https://www.rivercitybrewingco.com/rcbmenu.pdf\">https://www.rivercitybrewingco.com/rcbmenu.pdf</a> ) The Memphis Burger is topped with sweet pepper bacon, cheddar cheese, crispy onion strings and chipotle BBQ sauce.  On top of all that, the hamburger was grilled to perfection, in my case that being exceedingly rare.  (One of my Dads friends, every time he sees me eating a steak or a burger, always comments You know, Ive seen a critter hurt worse that that and live).  I was most impressed by the onion strings.  These are not the French fried onion rings that you find atop your green beans on Thanksgiving, but rather the most delicate strings of onion imaginable, battered and fried.  I found myself wishing Id thought to order extra BBQ sauce for my French fries, which were hearty and sprinkled with fresh ground black pepper.  Id never thought of peppering my fries before, but be assured Ill do so in the future.\r\n</p>\r\n<p>\r\nTo accompany my burger, I selected the Breckenridge Bourbon Smoked Imperial Stout.  It weighs in at 9.0%abv, so you get a smaller that average portion in an 11oz brandy snifter.  While stouts are usually nearly as bitter as IPAs, I dont notice it as much when coupled with the beers bold flavor.  Unlike IPAs, stouts tend to have enough malty richness to add balance.  In the case of this beer, the barley is smoked over hazelnuts before fermentation, giving this beer its flavor and its name.  Ive want to try a smoked stout since I heard Tracy Hotlz speak of them back on the old Podbrewers show.  I dont think Id want to be restricted to an exclusive diet of smoked beers, but this was a welcome change from the ordinary, and a great compliment to my beefy repast.  Truly an excellent brew.\r\n</p>\r\n<p>\r\nNow, on to the contents of my three growlers.  I wish I could give you first impressions, but come on, I just couldnt wait for you folks.  It was hard enough to wait for the containers to chill overnight in the fridge.  \r\n</p>\r\n<p>\r\nThe first beer is even more unique than the smoked stout. Donut Whole Love Affair #3 Pineapple Wit is made with actual pineapple donuts (from River Citys Facebook page  <a href=\"https://www.facebook.com/RiverCityBreweryCo/photos/a.555320064516059.1073741826.194563133925089/796375363743860/?type=1\">https://www.facebook.com/RiverCityBreweryCo/photos/a.555320064516059.1073741826.194563133925089/796375363743860/?type=1</a> ).  The first taste you encounter is tart pineapple on the tip of your tongue joined by powdered sugar as the beer washes towards the back of you mouth.  The sugar taste tends to stay with you between sips, but the whole effect is subtle and wonderful, not fruit juicy like a shandy.  The wheat beer hovers in the background, not enough to obscure the donut, but blending the pastry taste into the breadyness of the beer.  I didnt know what to expect of this beer when I ordered it, but I am most pleased I did.  5.65abv 11 IBUs 16oz Weizen\r\n</p>\r\n<p>\r\nNext, we have Pryze Fyter Red Rye.  By far, this is the smoothest and richest rye beer Ive ever tasted.  Im a big fan of rye beers, but they tend to be a little more harsh than wheat beers, and are of course more bitter.  Like rye whiskey, rye beer is an acquired taste for many people, and best suited for those with a palette that craves bold flavors.  According to the menu, Carmel malts, a copious amount of rye.  Spicy, floral, earthy, and ready to smack you in the kisser.  5.6%abv 55 IBUs 16oz Nonic\r\n</p>\r\n<p>\r\nFinally, we have the Buffeit Bourbon Baltic Porter.  Of the two bourbon barrel aged porters on the menu, my barman described this slightly sweeter.  While Ive never been a fan of the woody tasting bourbons of Tennessee, barrel aging lends a roundness to beers, and compliments the roasted malts and the hops.  This is the strongest of the beers I brought home, at 7.2%abv, 47IBUs, and would be served in a 13z Tulip glass.\r\n</p>\r\n<p>\r\nI made the mistake of not taking a beer menu home with me for documentation, as a list of currently available beers no longer appears on line.  Chris Arnold took the time to scan a copy and send it to my e-mail.  Thanks Chris.  I dont think River City Brewing Company will mind me attaching the menu to my notes for you listeners to salivate over.  There are two in particular Im sorry to have missed, the Stinky Pete Plum Saison (they always seems to be out of the raisin and plum beers) and the Emerald City Stout (a man has only so many growlers).\r\n</p>\r\n<p>\r\nThat brings me to my next topic.  Among the many interviews I want to do from Linux Fest next week, Im also going to visit the Free State Brewery, only a couple blocks away.  I called ahead, and they wont fill other pubs growlers (thats going to cost you some points Free State).  On the upside, Ill have a couple new growlers to add to my collection.\r\n</p>\r\n<p>\r\nMenu: <a href=\"https://hackerpublicradio.org/eps/hpr1730.pdf\">https://hackerpublicradio.org/eps/hpr1730.pdf</a>\r\n</p>',131,14,0,'CC-BY-SA','5150 Shades of Beer,beer,growler,stout,River City Brewing Company',0,0,1),
(1732,'2015-03-24','Renovating another Public-Domain Counterpoint Textbook',2014,'A follow-up to ep. 1512, I reflect on what I\'ve learned digitizing two Counterpoint textbooks.','<p>\r\nI mistakenly referred to episode 1516 while I was speaking. I meant to say 1512. The two musical bumpers I used in the show are by J.S. Bach, examples 90 and 91 in the textbook \"Applied Counterpoint,\" by Percy Goetschius. These are my own MIDI renditions so they have no copyright burden upon them. \r\n</p>\r\n<p>\r\nMy html-to-epub conversion command (requires calibre): \r\n</p>\r\n<pre>\r\nebook-convert foobar.html foobar.epub \\\r\n--output-profile=tablet \\\r\n--disable-font-rescaling \\\r\n--smarten-punctuation \\\r\n--change-justification=left \\\r\n--preserve-cover-aspect-ratio \\\r\n--cover=./pathto/cover.jpg \\\r\n--use-auto-toc \\\r\n--level1-toc \"//h:h1\" \\\r\n--level2-toc \"//h:h3\"\r\n</pre>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>hpr1512 :: Adopting and Renovating a Public-Domain Counterpoint Textbook: <a href=\"https://hackerpublicradio.org/eps.php?id=1512\">https://hackerpublicradio.org/eps.php?id=1512</a>\r\n</li>\r\n<li>The counterpoint page on my website, with links to all versions of the counterpoint textbooks I mentioned: <a href=\"https://jonathankulp.org/gratis.html\">https://jonathankulp.org/gratis.html</a>\r\n</li>\r\n<li>My handy E-Reader App Compatibility Chart: <a href=\"https://jonathankulp.org/ereader_compatibility_tables.html\">https://jonathankulp.org/ereader_compatibility_tables.html</a>\r\n</li>\r\n<li>Blog post \"Why Renovate an Old Counterpoint Book?\":  <a href=\"https://jonathankulp.org/goetschius_rationale.html\">https://jonathankulp.org/goetschius_rationale.html</a>\r\n</li>\r\n<li>Calibre: <a href=\"https://calibre-ebook.com/\">https://calibre-ebook.com/</a>\r\n</li>\r\n<li>Manual for Calibre\'s Command Line Interface: <a href=\"https://manual.calibre-ebook.com/cli/cli-index.html\">https://manual.calibre-ebook.com/cli/cli-index.html</a>\r\n</li>\r\n<li>Monocle embedded eBook reader project: <a href=\"https://monocle.inventivelabs.com.au/\">https://monocle.inventivelabs.com.au/</a>\r\n<p></p>\r\n</li>\r\n</ul>\r\n',238,0,0,'CC-BY-SA','public-domain, textbooks, music, counterpoint, Lilypond, html, scripting, calibre, ebooks',0,0,1),
(1734,'2015-03-26','Vim Hints 003',1562,'Hints and Tips for Vim users - part 3','<h2 id=\"moving-around\">Moving Around</h2>\r\n<p>In this episode I want to look at how you move around the file you are editing in Vim. I also want to add some more elements to the configuration file we started building in the <a href=\"https://hackerpublicradio.org/eps.php?id=1724\" title=\"Vim Hints 002\">last episode</a>.</p>\r\n<h2 id=\"full-notes\">Full Notes</h2>\r\n<p>Since the notes explaining this subject are long (the size limit is 4000 characters), they have been placed here: <a href=\"https://hackerpublicradio.org/eps/hpr1734_full_shownotes.html\">https://hackerpublicradio.org/eps/hpr1734_full_shownotes.html</a></p>\r\n<p>I usually create my notes with <em>Markdown</em> and <em>pandoc</em>. As an experiment this time I have used a <em>pandoc</em> template which uses the same CSS that provides the style for the main HPR pages. I hope it makes these notes look better than the very bare HTML I have produced in the past.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ol type=\"1\">\r\n<li>Vim Hints Episode 1 <a href=\"https://hackerpublicradio.org/eps.php?id=1714\">https://hackerpublicradio.org/eps.php?id=1714</a></li>\r\n<li>Vim Hints Episode 2 <a href=\"https://hackerpublicradio.org/eps.php?id=1724\">https://hackerpublicradio.org/eps.php?id=1724</a></li>\r\n</ol>\r\n',225,82,1,'CC-BY-SA','vim,editor,movement,configuration',0,0,1),
(1740,'2015-04-03','Mailing List Etiquette',2744,'Some advice about best practices on mailing lists','<h1 id=\"mailing-list-etiquette\">Mailing List Etiquette</h1>\r\n<h2 id=\"overview\">Overview</h2>\r\n<p>In February 2015 I created a script to add a section to the monthly Community News show notes. The added section summarises the discussions on the HPR mailing list over the previous month. My script processes the messages archived on the <a href=\"https://dir.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" title=\"Gmane\">Gmane</a> site and reports on the <em><a href=\"https://en.wikipedia.org/wiki/Conversation_threading\" title=\"threads\">threads</a></em> it finds there.</p>\r\n<p>In writing this script I noticed the number of times people made errors in replying to existing message threads and initiating new threads on the list. I thought it might be helpful if I explained some of the <em><a href=\"https://www.visualthesaurus.com/cm/wc/dos-and-donts-or-dos-and-donts/\" title=\"do&#39;s and don&#39;ts\">do\'s and don\'ts</a></em> of mailing list use to help avoid these errors.</p>\r\n<h2 id=\"full-notes\">Full Notes</h2>\r\n<p>Since the notes explaining this subject are long (the size limit is 4000 characters), they have been placed here: <a href=\"https://hackerpublicradio.org/eps/hpr1740_full_shownotes.html\">https://hackerpublicradio.org/eps/hpr1740_full_shownotes.html</a></p>\r\n<h2 id=\"experimental-epub-notes\">Experimental EPUB Notes</h2>\r\n<p>For this show I have tried generating an EPUB version of the full notes. This can be found here: <a href=\"https://hackerpublicradio.org/eps/hpr1740_full_shownotes.epub\">https://hackerpublicradio.org/eps/hpr1740_full_shownotes.epub</a>. Comments on this idea are welcome.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ol type=\"1\">\r\n<li>Gmane archive of the Hacker Public Radio mailing list: <a href=\"https://dir.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\">https://dir.gmane.org/gmane.network.syndication.podcast.hacker-public-radio</a></li>\r\n<li>Wikipedia article on message groupings referred to as <em>conversations</em>, <em>topic threads</em>, or <em>threads</em>: <a href=\"https://en.wikipedia.org/wiki/Conversation_threading\">https://en.wikipedia.org/wiki/Conversation_threading</a></li>\r\n<li>A brief note on how to punctuate the phrase &quot;<em>do\'s and don\'ts</em>&quot;: <a href=\"https://www.visualthesaurus.com/cm/wc/dos-and-donts-or-dos-and-donts/\">https://www.visualthesaurus.com/cm/wc/dos-and-donts-or-dos-and-donts/</a></li>\r\n<li>Wikipedia article on <em>Usenet</em>: <a href=\"https://en.wikipedia.org/wiki/Usenet\">https://en.wikipedia.org/wiki/Usenet</a></li>\r\n<li>Thunderbird add-on <em>ThreadVis</em>: <a href=\"https://addons.mozilla.org/en-US/thunderbird/addon/threadvis/\">https://addons.mozilla.org/en-US/thunderbird/addon/threadvis/</a></li>\r\n<li>Wikipedia article on the RFC document: <a href=\"https://en.wikipedia.org/wiki/Request_for_Comments\">https://en.wikipedia.org/wiki/Request_for_Comments</a></li>\r\n<li>Text of RFC5322: <a href=\"https://www.rfc-editor.org/rfc/rfc5322.txt\">https://www.rfc-editor.org/rfc/rfc5322.txt</a></li>\r\n<li>Wikipedia article on Email: <a href=\"https://en.wikipedia.org/wiki/Email\">https://en.wikipedia.org/wiki/Email</a></li>\r\n<li>Wikipedia article on MIME used in email: <a href=\"https://en.wikipedia.org/wiki/MIME\">https://en.wikipedia.org/wiki/MIME</a></li>\r\n<li>Description of a threading algorithm from Jamie Zawinski: <a href=\"https://www.jwz.org/doc/threading.html\">https://www.jwz.org/doc/threading.html</a></li>\r\n<li>Text of RFC1153: <a href=\"https://www.faqs.org/rfcs/rfc1153.html\">https://www.faqs.org/rfcs/rfc1153.html</a></li>\r\n<li>Wikipedia article on posting style: <a href=\"https://en.wikipedia.org/wiki/Posting_style\">https://en.wikipedia.org/wiki/Posting_style</a></li>\r\n<li>A recent <strong>large</strong> thread on the <em>Mailman-Users</em> mailing list discussing the subject of replying to lists: <a href=\"https://www.mail-archive.com/mailman-users%40python.org/msg66089.html\">https://www.mail-archive.com/mailman-users%40python.org/msg66089.html</a></li>\r\n</ol>',225,0,1,'CC-BY-SA','email,mailing list,thread,conversation,mail client',0,0,1),
(1733,'2015-03-25','LinuxLugCast Episode-003 Outtakes',4261,'Preshow &amp; aftershow banter that does not get published through our normal feeds.','<p>\r\nSome good content that we do not publish.\r\n</p>\r\n<p>\r\n<a href=\"https://linuxlugcast.com/?p=162\">https://linuxlugcast.com/?p=162</a>\r\n</p>',265,0,1,'CC-BY-SA','linuxlugcast,outtakes',0,0,1),
(1736,'2015-03-30','How I run my small business using Linux',1139,'How I use Linux for my Business','<h3>Hardware</h3>\r\n\r\n<ul>\r\n<li>System76 Galago Ultrapro - Ubuntu 14.04\r\n</li>\r\n<li>Synology DiskStation DS213j\r\n</li>\r\n<li>LG G2\r\n</li>\r\n</ul>\r\n\r\n<h3>Proprietary Applications</h3>\r\n\r\n<ul>\r\n<li>Synology Cloud Station\r\n</li>\r\n<li>Wireframe Sketcher\r\n</li>\r\n</ul>\r\n\r\n<h3>Free Applications</h3>\r\n\r\n<ul>\r\n<li>pandoc\r\n</li>\r\n<li>discount\r\n-firefox\r\n</li>\r\n<li>chromium\r\n</li>\r\n<li>gvim\r\n</li>\r\n<li>libreoffice\r\n</li>\r\n<li>planner\r\n</li>\r\n<li>hamster\r\n</li>\r\n<li>todo.txt\r\n</li>\r\n<li>gnucash\r\n</li>\r\n<li>virtualbox\r\n</li>\r\n<li>thunderbird\r\n<ul>\r\n<li>enigmail</li>\r\n<li>stationary</li>\r\n</ul>\r\n</li>\r\n<li>california\r\n</li>\r\n<li>ranger\r\n</li>\r\n<li>L2TP/IPSEC vpn client\r\n</li>\r\n<li>meld\r\n</li>\r\n<li>deja-dup -> Box\r\n</li>\r\n<li>Systemback\r\n</li>\r\n<li>rsync\r\n</li>\r\n</ul>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://synology.com\">https://synology.com</a>\r\n</li>\r\n<li><a href=\"https://wireframesketcher.com\">https://wireframesketcher.com</a>\r\n</li>\r\n<li><a href=\"https://www.system76.com\">https://www.system76.com</a>\r\n</li>\r\n<li><a href=\"https://todotxt.com/\">https://todotxt.com/</a>\r\n</li>\r\n<li><a href=\"https://www.pandoc.org\">https://www.pandoc.org</a>\r\n</li>\r\n<li><a href=\"https://daringfireball.net/projects/markdown/\">https://daringfireball.net/projects/markdown/</a>\r\n</li>\r\n<li><a href=\"https://launchpad.net/l2tp-ipsec-vpn\">https://launchpad.net/l2tp-ipsec-vpn</a>\r\n<p></p>\r\n</li>\r\n</ul>',300,0,1,'CC-BY-SA','linux, small business, open source',0,0,1),
(1743,'2015-04-08','Scale 13x Part 1 of 6',4079,'Lord Drachenblut at Scale 13x. Today Docker, Fedora Activity Day, Matthew Miller Fedora Project Lead','<h2>Introduction</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://2dbdd5116ffa30a49aa8-c03f075f8191fb4e60e74b907071aee8.ssl.cf1.rackcdn.com/2539326_1417243198.5282_app.png\" height=\"308\" /><br />\r\n</p>\r\n<p>Lord Drachenblut introduces himself</p>\r\n<p>\r\n<br />\r\nWebsite: <a href=\"https://www.gofundme.com/gysc0o\" target=\"_blank\">https://www.gofundme.com/gysc0o</a>\r\n</p>\r\n<blockquote cite=\"https://www.gofundme.com/gysc0o\">\r\nGreetings everyone. I\'m Matthew ”Lord Drachenblut\" Williams. I\'m currently working on gathering the fund to attend the Southern California Linux Expo aka SCALE. As many of you already know I have spent the last year struggling against esophageal cancer. I am nearing a point which I can start traveling and attending conferences again. My goal is to raise the funds so that in February of 2015 I can attend Scale. I am also working on a talk that I hope to give at SCALE. My sincerest thanks to the community that has been there for me during my recovery and to those that will help me in this endeavor. Should I raise more funds than needed to attend SCALE my goal will be to submit my talk to other conferences and to give my talk at those as well.\r\n</blockquote>\r\n\r\n<h2>Docker</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://pbs.twimg.com/profile_images/65895691/avatar_400x400.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>Listen to the interview with Jérôme Petazzoni.</p>\r\n<p>\r\n<img src=\"https://d3oypxn00j2a10.cloudfront.net/0.16.0/img/nav/docker-logo-loggedout.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://www.docker.com/\" target=\"_blank\">https://www.docker.com/</a><br />\r\nLinkedIn: <a href=\"https://www.linkedin.com/profile/view?id=18390427\" target=\"_blank\">https://www.linkedin.com/profile/view?id=18390427</a><br />\r\nTwitter: <a href=\"https://twitter.com/jpetazzo\" target=\"_blank\">https://twitter.com/jpetazzo</a>\r\n</p>\r\n<blockquote cite=\"https://www.docker.com/whatisdocker/\">\r\nDocker is an open platform for developers and sysadmins to build, ship, and run distributed applications. Consisting of Docker Engine, a portable, lightweight runtime and packaging tool, and Docker Hub, a cloud service for sharing applications and automating workflows, Docker enables apps to be quickly assembled from components and eliminates the friction between development, QA, and production environments. As a result, IT can ship faster and run the same app, unchanged, on laptops, data center VMs, and any cloud.\r\n</blockquote>\r\n\r\n<h2>Fedora Activity Day</h2>\r\n<blockquote cite=\"https://fedoraproject.org/wiki/Fedora_Activity_Day_-_FAD\">\r\nThe Fedora Activity Day (FAD) is a regional event (either one-day or a multi-day) that allows Fedora contributors to gather together in order to work on specific tasks related to the Fedora Project.\r\n</blockquote>\r\n\r\n<h2>Fedora interview with Matthew Miller</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrink_200_200/p/7/000/1aa/217/0c09cd7.jpg\" height=\"308\" /><br />\r\n</p>\r\n<p>\r\n<img src=\"https://getfedora.org/static/images/fedora-logotext.png\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://getfedora.org/en/\" target=\"_blank\">https://getfedora.org/en/</a>\r\n</p>\r\n<blockquote cite=\"https://fedoraproject.org/wiki/Overview\">\r\n<p>The <em>Fedora Project</em> is a partnership of free software community members from around the globe.  The Fedora Project builds open source software communities and produces a Linux distribution called \"Fedora.\" The Fedora Project\'s mission is to lead the advancement of free and open source software and content as a collaborative community. \r\n</blockquote>\r\n\r\n',24,0,1,'CC-BY-SA','scale 13x,Docker,Fedora,Matthew Miller',0,0,1),
(1744,'2015-04-09','Scale 13x Part 2 of 6',3770,' Postgres SQL in Space, Bryan Lunduke, and OpenSuSe Build Service','<h2>Josh Berkus Postgres SQL in Space</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://pgexperts.com/media/img/associates/josh_berkus-thumb.png\"/><br />\r\n</p>\r\n<p>\r\n<img src=\"https://www.postgresql.org/files/community/propaganda/100x58_1.gif\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://www.postgresql.org/\" target=\"_blank\">https://www.postgresql.org/</a><br />\r\n</p>\r\n<blockquote cite=\"https://pgexperts.com/team/josh_berkus/\">\r\nJosh Berkus has been a member of the PostgreSQL Core Team since 2003 and has been working as a database consultant since 1995. Josh\'s work experience includes 8 years of independant consulting on database applications, primarily building applications for the legal and HR industries. He was also head of Sun Microsystem\'s PosgtreSQL support staff for 2 years and helped launch BI startup Greenplum.\r\n</blockquote>\r\n\r\n<h2>Bryan Lunduke</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrink_200_200/p/2/000/0e5/11e/2e85fd4.jpg\"/><br />\r\n</p>\r\n<p>\r\n<img src=\"https://lunduke.com/wp-content/themes/LDThreePointOh/bigbanner.jpg\" alt=\"logo\" />\r\n<br />\r\nWebsite: <a href=\"https://lunduke.com/\" target=\"_blank\">https://lunduke.com/</a><br />\r\nLinkedIn: <a href=\"https://www.linkedin.com/in/bryanlunduke\" target=\"_blank\">https://www.linkedin.com/in/bryanlunduke</a><br />\r\nTwitter: <a href=\"https://twitter.com/bryanlunduke\" target=\"_blank\">https://twitter.com/bryanlunduke</a>\r\n</p>\r\n<blockquote cite=\"\">\r\n</blockquote>\r\n\r\n<h2>OpenSuSe Build Service with Markus Feilner and Lance Albertson</h2>\r\n<p>\r\n<img src=\"https://www.jefferyfernandez.id.au/wp-content/uploads/2008/03/logo-buildservice.png\" alt=\"logo\" />\r\n</p>\r\n<h2>Markus Feilne</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrink_200_200/AAEAAQAAAAAAAAH2AAAAJDY5Nzg0MTQ4LTlmMjItNDVmYy05OWM5LWExM2ViNjlkYjljYQ.jpg\"/><br />\r\n</p>\r\n<p>\r\nWebsite: <a href=\"https://plus.google.com/+MarkusFeilner/about\" target=\"_blank\">https://plus.google.com/+MarkusFeilner/about</a><br />\r\nLinkedIn: <a href=\"https://www.linkedin.com/in/markusfeilner\" target=\"_blank\">https://www.linkedin.com/in/markusfeilner</a><br />\r\n</p>\r\n<blockquote cite=\"\">\r\nOpen mind. Vigil. Proud citizen and honorable diplomat of the Conch republic. Minister of the Universal Life Church. Jedi knight. Owner of Lunar property. Linux and open source human, occasional and highly provocative Apple troll (#iTroll)\r\n</blockquote>\r\n<h2>Lance Albertson</h2>\r\n<p>\r\n<img alt=\"headshot\" src=\"https://osuosl.org/sites/default/files/Lancecropped%2012%3A15.jpg\"/><br />\r\n</p>\r\n\r\n<p>\r\nWebsite: <a href=\"https://osuosl.org/about/people/lance-albertson\" target=\"_blank\">https://osuosl.org/about/people/lance-albertson</a><br />\r\n</p>\r\n<blockquote cite=\"https://osuosl.org/about/people/lance-albertson\">\r\nDirector | Cat Herder<br />\r\nLance became OSL director in early 2013. He has managed all of the hosting activities that the OSL provides for more than 160 high-profile open source projects since joining the lab as lead systems administrator and architect in 2007. Lance’s involvement in the open source community began in 2003, when he became a developer and package maintainer with Gentoo Linux. Prior to joining the OSL, Lance was a UNIX Administrator for the Enterprise Server Technologies group at Kansas State University. In his free time he helps organize Beaver BarCamp and plays trumpet in local jazz group The Infallible Collective.\r\n<br />\r\nLance can be reached at lance-at-osuosl-dot-org\r\n</blockquote>\r\n\r\n\r\n',24,0,1,'CC-BY-SA','scale 13x,postgres sql,Bryan Lunduke,OpenSuSe',0,0,1),
(1746,'2015-04-13','Scale 13x Part 3 of 6',3200,'Eight interviews from Scale 13x','<ul>\r\n<li>lpi: <a href=\"https://www.lpi-na.org/get-certified-in-los-angeles-join-us-at-scale-13x/\">https://www.lpi-na.org/get-certified-in-los-angeles-join-us-at-scale-13x/</a>\r\n</li>\r\n<li>one course source: <a href=\"https://www.socallinuxexpo.org/scale/13x/sponsor/one-course-source\">https://www.socallinuxexpo.org/scale/13x/sponsor/one-course-source</a>\r\n</li>\r\n<li>elementary os: <a href=\"https://www.socallinuxexpo.org/scale/13x/sponsor/elementaryos\">https://www.socallinuxexpo.org/scale/13x/sponsor/elementaryos</a>\r\n</li>\r\n<li>open source robotic tools: <a href=\"https://www.socallinuxexpo.org/scale9x-media/scalemedia/scale/scale9x-media/simple_cfp/presentations/13_30-Eugene-John-Classroom-reflection.pdf\">https://www.socallinuxexpo.org/scale9x-media/scalemedia/scale/scale9x-media/simple_cfp/presentations/13_30-Eugene-John-Classroom-reflection.pdf</a>\r\n</li>\r\n<li>syslogng: <a href=\"https://www.socallinuxexpo.org/scale/13x/presentations/syslog-ng-log-collecting-log-processing-and-information-extraction\">https://www.socallinuxexpo.org/scale/13x/presentations/syslog-ng-log-collecting-log-processing-and-information-extraction</a>\r\n</li>\r\n<li>openx: <a href=\"https://www.socallinuxexpo.org/scale/13x/sponsor/openx\">https://www.socallinuxexpo.org/scale/13x/sponsor/openx</a>\r\n</li>\r\n<li>christopher think penguin: <a href=\"https://www.socallinuxexpo.org/scale/13x/sponsor/think-penguin\">https://www.socallinuxexpo.org/scale/13x/sponsor/think-penguin</a>\r\n</li>\r\n<li>kodi: <a href=\"https://www.socallinuxexpo.org/scale/13x/sponsor/kodi\">https://www.socallinuxexpo.org/scale/13x/sponsor/kodi</a>\r\n</li>\r\n</ul>',24,0,1,'CC-BY-SA','scale 13x,lpi,one course source,elementary OS,opensource robotics,syslogng,think penguin,kodi',0,0,1),
(1747,'2015-04-14','Scale 13x Part 4 of 6',3150,'Five interviews from Scale x13','<ul>\r\n<li>SoCal Perl Mongers: <a href=\"https://www.socallinuxexpo.org/scale7x/dotorg/socal-perl-mongers.html\">https://www.socallinuxexpo.org/scale7x/dotorg/socal-perl-mongers.html</a>\r\n</li>\r\n<li>Building Storage as a Service with OpenStack Cloud: <a href=\"https://www.socallinuxexpo.org/scale11x/presentations/building-storage-service-openstack-cloud.html\">https://www.socallinuxexpo.org/scale11x/presentations/building-storage-service-openstack-cloud.html</a>\r\n</li>\r\n<li>Girls in Tech LA: <a href=\"https://www.socallinuxexpo.org/scale/13x/sponsor/girls-tech-la-1\">https://www.socallinuxexpo.org/scale/13x/sponsor/girls-tech-la-1</a>\r\n</li>\r\n<li>Snowdrift.coop: <a href=\"https://www.socallinuxexpo.org/scale/13x/sponsor/snowdriftcoop\">https://www.socallinuxexpo.org/scale/13x/sponsor/snowdriftcoop</a> \r\n</li>\r\n<li>SaltStack: <a href=\"https://www.socallinuxexpo.org/scale/13x/sponsor/saltstack\">https://www.socallinuxexpo.org/scale/13x/sponsor/saltstack</a>\r\n</li>\r\n</ul>',24,0,1,'CC-BY-SA','scale 13x,perl,Open stack,Girls in tech LA,snowdrift.coop,SaltStack',0,0,1),
(1748,'2015-04-15','Scale 13x Part 5 of 6',4106,'Four interviews from Scalex13','<ul>\r\n<li>Cecil Watson project lead LinHES: <a href=\"https://www.socallinuxexpo.org/scale/13x/sponsor/linhes-1\">https://www.socallinuxexpo.org/scale/13x/sponsor/linhes-1</a>\r\n</li>\r\n<li>warthog9 and his k9 homebrew robot: \r\n</li>\r\n<li>Michael Hall (@mhall119). Ubuntu Community Manager at Canonical: <a href=\"https://www.socallinuxexpo.org/scale11x/sponsor/canonical.html\">https://www.socallinuxexpo.org/scale11x/sponsor/canonical.html</a>\r\n</li>\r\n<li>brian Proffitt ovirt project: <a href=\"https://www.socallinuxexpo.org/tags/ovirt\">https://www.socallinuxexpo.org/tags/ovirt</a>\r\n</li>\r\n</ul>',24,0,1,'CC-BY-SA','scale 13x,LinHES,robots,Michael Hall,Ubuntu,ovirt project',0,0,1),
(1749,'2015-04-16','Scale 13x Part 6 of 6',1425,'Justin King browser based emulated computer','<p>\r\nI am 13 years old and live in Santa Barbara. I have participated in the Open Source community for several years. My dad has been on the SCALE leadership team for a long time, and he introduced me to programming. My favorite programming languages are HTML and Javascript with Enyo because I like creating websites and webOS apps. I also program in Shell and some Python, and like making short animations using Blender. I have recently made the world\'s first emulator for the WITCH, the first currently working fixed-point decimal computer. I recently earned my Technician Amateur Radio license and enjoy attending radio club meetings. Besides geeking, I like to swim, act, and do fun events with the Boy Scouts.\r\n</p>',24,0,1,'CC-BY-SA','scale 13x,young geeks,programming,amateur radio',0,0,1),
(1737,'2015-03-31','Five Steps to Vim',1339,'Frank Bell discusses how he learned to stop worrying and love the vim','<p>\r\nThe vim editor is based on the venerable vi editor, which dates from the very\r\nearly days of Unix.  Many persons find it intimidating for the absence of a\r\nmenu bar, a terse command set that is very much its own, and its \"modal\"\r\ndesign.\r\n</p>\r\n<p>\r\nNevertheless, under its plain surface is a powerful and versatile tool.  Frank\r\nBell describes his five steps to learning to use and love vim.\r\n</p>\r\n<ol>\r\n<li>Use a .vimrc file.</li>\r\n<li>Train yourself to change modes.</li>\r\n<li>Learn and use a few basic commands.  These should be enough to get you\r\ngoing:  x, dd, dw (to delete text); cw (change a work); yy (\"yank\" or copy a\r\nline); p and P (to paste text); u (undo); w (\"write\") or save text; q (quit vim).</li>\r\n<li>Don\'t force yourself to move the cursor with the h-j-k-l keys if that doesn\'t feel natural.\r\nUse the arrow keys.</li>\r\n<li>Use vim to write stuff.</li>\r\n</ol>\r\n\r\n<h3>Links:</h3>\r\n<ul>\r\n<li>Linux Voice vim tutorial: <a href=\"https://www.linuxvoice.com/download-linux-voice-issue-1-with-audio/\">https://www.linuxvoice.com/download-linux-voice-issue-1-with-audio/</a></li>\r\n<li>Linux Voice vim video: <a href=\"https://www.linuxvoice.com/learn-to-love-vim/\">https://www.linuxvoice.com/learn-to-love-vim/</a> \r\n</li>\r\n<li>\r\nvim homepage:  <a href=\"https://www.vim.org/index.php\">https://www.vim.org/index.php</a> \r\n</li>\r\n<li>\r\nvim spellcheck:  <a href=\"https://vimdoc.sourceforge.net/htmldoc/spell.html\">https://vimdoc.sourceforge.net/htmldoc/spell.html</a>\r\n</li>\r\n<li>\r\nDave Morriss\'s vim hints HPR series:  <a href=\"https://hackerpublicradio.org/series/0082.html\">https://hackerpublicradio.org/series/0082.html</a>\r\n</li>\r\n</ul>\r\n',195,82,0,'CC-BY-SA','vim,text editor',0,0,1),
(1742,'2015-04-07','How to Get Yourself On an Open Source Podcast - Presentation for Kansas Linux Fest, 22 March 2015',1786,'Re-recording of a presentation for KLF that went unrecorded','<p>\r\nHowdy folks, this is 5150 for Hacker Public Radio.  What you are about to hear is a presentation titled \"How to Get Yourself on an Open Source Podcast\" that I delivered at Kansas Linux Fest on 22 March 2015.  Since it was not recorded (I was told the SD card was full), and there has been interest expressed by my fellow podcasters, I thought it might be worth re-recording.  I am afraid Mike Dupont is not satisfied with any of the video from KLF 2015, this may be the only talk from that event you get to hear. However, show notes are extensive, <a href=\"https://lanyrd.com/2015/klf15/schedule/\">https://lanyrd.com/2015/klf15/schedule/</a>   All I can tell you is, three out of the four audience members seemed to enjoy my presentation.  I shall deliver the rest of this podcast as if you gentile listeners were my live audience.\r\n</p>\r\n<p>\r\nA. Howdy folks, my name is Don Grier. I\'m an IT consultant and farmer from South Central Kansas. I am also a podcaster.  You might recognize my voice from such podcasts as Hacker Public Radio, the Kernel Panic Oggcast, or Linux LUG Cast, where I use the handle, FiftyOneFifty.\r\n</p>\r\n<p>\r\nI. When fellow Hacker Public Radio host Mike Dupont told me KLF would be a reality, I struggled to find a topic that I knew well enough to give a talk about.  It was almost in jest that I said I could talk about \"How to Get Yourself on an Open Source Podcast\".  Actually, since that was as far as my proposal went, I was shocked and honored to find myself on the same roster with so many other speakers with impressive credentials and technical topics.\r\n</p>\r\n<p>\r\nII. This afternoon, I hope not only to chronicle my personal history with Linux and open source related podcasts, but to show you why I believe podcasting can be as an important part of giving back to the community as contributing code, or documentation, or cash.  Linux podcasts bind the community by providing education, both as basic as Linux Reality or as specific as GNU World Order.  Podcasts announce new innovations, and tell us of Free and Open Source software adoption and opposition in corporations and governments.  Podcasts herald community events like this one, and provide a little humor at the end of a long day.\r\n</p>\r\n<p>\r\nB. Some of you may wonder why I\'m using old school technology to organize my notes at a high tech conference. At this point, 5150 holds up several stapled sheets of paper in large print.  The plain and simple truth is that I can\'t read my phone or tablet with my glasses on; and I\'m already using bifocals.  It just seems every time I get new glasses, the lower lenses work for about two weeks, then I have to take then off to see the phone. But this last time I figured I\'d outsmart my the system and just order a single focus lenses.  I was still congratulating myself on my thriftiness when I put my new glasses on, sat down at the computer, and realized I couldn\'t read the keyboard.\r\n</p>\r\n<p>\r\nC. Before I talk about my history as a podcaster, I think I should tell you my history with Linux.\r\n</p>\r\n<p>\r\nI. My first experience with Linux was with a boxed set of Mandrake 7.2 around 2002.  I always maintain at least a second running system in the house, in case the primary machine coughs up a hairball. I\'d always been a geek alternative OS\'s, and I wanted a tertiary machine on my network that wouldn\'t be affected by the propagation of Windows viruses. \r\n</p>\r\n<p>\r\na. There wasn\'t much flash to Linux apps in those days, I recall I was not impressed by whichever browser shipped with Mandrake.  I don\'t recall what I knew about installing additional applications from repositories, but in any case I was still on dialup.  \r\n</p>\r\n<p>\r\nb. The Pentium I that I installed Mandrake on had both a modem and an Ethernet card. The installer asked which one I used to reach the Internet, and only set up one of the two devices.  This annoyed me as I\'d planned to use the Linux box as a gateway to see if it would save a few CPU cycles on the P4 I used as a gaming machine back then.  I really wouldn\'t have know where to go on the Internet for help, and I expect help would not be as forth coming 13 years ago.\r\n</p>\r\n<p>\r\nII. My next experience with Linux came around 2007.  The school I consulted for had several Windows 98 machines not compatible with the software they wanted to run. Even though the machines were P4\'s, we determined the cost of XP plus memory upgrades could better be applied to new machines.  As a result, I was able to bring several of the machines home.  Over time, I boosted their memory with used sticks from eBay, and even the odd faster processor.  As a noob, I installed Feisty Fawn on a system out in the machine shed, and spent a lot of that winter hacking on that box when I should have been overhauling tractors.  Just as I was delving into NDIS wrappers, Gusty brought support for my Gigabyte wireless card, which combined with a double fork isolating power box, gave me reasonable certainty that the box out in the shed was safe from lightning storms.  About six months later, I rescued up a refugee from a major meteorological event and set it up in my house running Mint. For the first time I didn\'t have to leave the house to get my Linux on.\r\n</p>\r\n<p>\r\nD. Just before I set up that first Linux box, we finally got broadband out to the farm, and I\'d discovered podcasts.  I figured there must be Linux podcasts to go along the general tech and computing podcasts I followed, as well as a fondly remembered weekly SciFi revue show that started out as a Sunday afternoon show on a Wichita radio station, was canceled twice, and re-emerged as a semi weekly podcast, only to disappear forever a couple months after I started listening again, but not before I download all the episodes I missed.\r\n</p>\r\n<p>\r\nI. In my initial search for Linux related content, all I came up with were four drunk off their ass Scots discussing the minutia of Ruby on Rails.  While I liked the format, I lacked the commitment to become a Ruby programmer so I could understand the show.\r\n</p>\r\n<p>\r\nII. A few days later I came across \"The Techie Geek\".  Russ Wenner mixed tutorials with reviews of new applications and upcoming events.  Better yet, he introduced me to a world of other Linux podcasts.  Through \"The Techie Geek\", I learned of the irreverent banter of the \"Linux Outlaws\", the subdued studiousness of what was then called \"The Bad Apples\", the contained chaos of  the \"Linux Cranks\", the classroom like atmosphere of the \"Linux Basement\" during Chad\'s Drupal tutorial period, tech hints and movie reviews delivered at the speed of 75 miles per hour by Dave Yates of \"Lotta Linux Links\", the auditory dissonance of \"The Linux Link Tech Show\", and the constant daily variety of \"Hacker Public Radio\".\r\n</p>\r\n<p>\r\nE. In 2010, I made my first contribution to Hacker Public Radio.  The great thing about HPR is that there is no vetting process, we only ask your audio be intelligible (not polished, not even good, we just have to be able to understand you) and that the topic be of interest to geeks.  If you consider yourself a geek, any topic that interests you is welcome. There is no maximum or minimum runtime, just get the show uploaded on-time.  While topics tend concern open source, this is not a requirement.  I believe my second HPR concerned how to migrate Windows wireless connection profiles between systems.  I\'d spent a few hours figuring it out one day for a customer and I thought I should consolidate what I learned in one place.  HPR provides a podcasting platform at no cost to the podcaster.  It serves as both a venue for broadcasters without the resources to host their own site or without the time to commit to a regular schedule.  It can also serve as an incubator for hosts trying to find their own audience. It\'s never been easier to become a podcaster with HPR.  I would start with an e-mail introduction (as a courtesy) to <a href=\"mailto:admin@HackerPublicRadio.org\">admin@HackerPublicRadio.org</a>.  Next, record you audio. When you have a file ready to upload, select an open slot in the calendar page and follow the instructions, be prepared to paste in your shownotes.  \r\n</p>\r\n<p>\r\nF. I also credit HPR for getting me my first invite to participate in my first podcast with multiple hosts.  Once a month, Hacker Public Radio records a Community News podcast, recorded on the first Saturday afternoon after the end of the previous month (exact times and server details are published in the newsletter).  All HPR hosts, and indeed listeners are invited to participate, it is just asked that you have listened to most the the past month\'s shows so you can participate in the discussion.  \r\n</p>\r\n<p>\r\nI. Like most multi-host audio podcast\'s, HPR uses Mumble to record shows, including the annual New Year\'s Eve show, which has dozens of participants.  There is a Mumble tutorial on LinuxLUGCast.com to help you get started.\r\n</p>\r\n<p>\r\nII. I started to take part in Hacker Public Radio\'s Community News a few months after recording my first podcast.  I did it because I wanted to take a greater part in HPR, not because I considered it an audition, but it is a good way to show other people that you can politely and intelligently participate in a group discussion. (Actually, I have a tendency to wander off into tangents and unintentionally dominate the topic, something I struggle with to this day).\r\n</p>\r\n<p>\r\nIII. Another way to join in a round table discussion on HPR is to participate in the HPR Book Club.  Once a month, we take an audio book that is freely available  on the Internet and share our opinions.  Recording schedules and the next book to be reviewed are available in the HPR newsletter.\r\n</p>\r\n<p>\r\nG. I believe sharing one or more Community News with Patrick Dailey (aka pokey) influenced him to invite me into the cast of Dev Random.  The semi weekly Dev Random recorded of the Saturdays Kernel Panic didn\'t.  While we sometimes accidentally talked about tech and open source, we always saved the most disturbing things we\'d seen on the Internet in the previous two weeks for discussion on the show, things that could not be discussed on other podcasts.  Despite rumors to the contrary, dev random is not dead, only resting, and shall one day rise again to shock and disgust new generations of listeners.\r\n</p>\r\n<p>\r\nH. Sometimes you just have to be in the right place at the right time.  I won\'t insult the Kernel Panic Oggcast by calling it a sister show to Dev Random, it just recorded on opposite Saturdays and had some of the same cast members in common.  Anyway, I\'d been participating in the forum for a while, suggesting topics from FOSS stories I\'d come across in social media during the week.  I was idling in #oggcastplanet on Freenode when Peter Cross asked for people from the channel to participate in the show on a day only a couple of the regular cast showed up.  Dev Random used the same Mumble server, so I used my existing credentials to take Peter up on his offer, and for better or worse I\'ve been a KPO cast member ever since. \r\n</p>\r\n<p>\r\nI. While we are on the topic, having a presence on Freenode IRC chat is a great way to get your name or handle known in the podcasting world.  Many podcasts have their own channel set up that listeners participate in during live streaming podcasts.  Saying something helpful, (or more likely smart alecky) might get you mentioned on the show and make you familiar to the shows audience.  I\'ve seen several individuals move from regular forum or chat participants to the hosts of their own show or contributors to HPR.  From my own experience, after spending several weeks as silent participants in Podbrewers, listening to the stream and commenting in the chat, RedDwarf and myself were invited to bring our own beers and join the cast.  \r\n</p>\r\n<p>\r\nI. While many podcasts still have their own IRC channels, other than providing a conduit between the hosts, they are most active during live broadcasts.  Between shows, many of the podcasters I listen to gravitate to hanging around in Freenode\'s #oggcastplanet , since podcasters typically have a chat client open during work and leisure hours. In fact, at KPO we use #oggcastplanet as our primary communications channel during live streaming. \r\n</p>\r\n<p>\r\nII. I still recall the day monsterb and Peter64 asked me about the origin of my handle, given it\'s similarity to their colleague, threethirty.  I\'d heard both on podcasts I followed, and I felt like I was talking to rock stars.\r\n</p>\r\n<p>\r\nIII.  Now that I am a podcaster in my own right, with a presence in #oggcastplanet, I try to make a point to say hello when I see an unfamiliar handle in the channel.  I expect the spambots consider me the nicest guy in IRC. \r\n</p>\r\n<p>\r\nIV. As it happens, IRC was also responsible for my involvement in the Linux LUG Cast. LLC was conceived after the re-imaginging and final demise of Steve McLaughlin\'s project, \"Linux Basix\".  Kevin Wisher, chattr, and honkeymaggo wanted to do a show along the same lines while incorporating the spirit of the unrecorded online LUG that always preceded it on the mumble server.  I was brought along by the simple expediency of never having closed the #LinuxBasix channel in my chat client.  We have been going for a little more than a year and have attracted a following, but frankly we have not found the listener participation we were looking for.  This was meant to be a true online Linux Users Group for people couldn\'t travel to a LUG.  So far, it\'s usually been the same four of five guys talking about what Linux projects succeed, what failed, and what we we\'re going to try next.  I\'ve learned a lot in the past year, and I expect the listeners have as well, but we are always hoping to get more live participation.  Rural areas like the midwest are our target audience.  The details of the Mumble connection are posted at LinuxLUGCast.com, we always monitor the Freenode.org IRC channel #linuxlugcast while recording, and the Feedback link is posted on the website.\r\n</p>\r\n<p>\r\nThank you for your time and attention this afternoon, especially considering the caliber of talks running in the other two channels.  I can be contacted at <a href=\"mailto:FiftyOneFifty@LinuxBasement.com\">FiftyOneFifty@LinuxBasement.com</a> .  Are there any questions?\r\n</p>',131,0,0,'CC-BY-SA','#KLF15,KLF,Kansas Linux Fest',0,0,1),
(1750,'2015-04-17','xclip, xdotool, xvkbd: 3 CLI Linux tools for RSI sufferers',1258,'3 command-line tools that save me hundreds of keystrokes a day.','<h2>Basic commands</h2>\r\n\r\n\r\n<p>Type the words \"foo bar\" with <code>xvkbd</code>:</p>\r\n	<blockquote>\r\n		<code>xvkbd -xsendevent -secure -text &#39;foo bar&#39;</code> \r\n	</blockquote>\r\n\r\n<p>Types out the entire contents of the file \"foobar.txt\" with <code>xvkbd</code>:</p>\r\n	<blockquote>\r\n		<code>xvkbd -xsendevent -secure -file &quot;foobar.txt&quot;</code>\r\n	</blockquote>\r\n\r\n<p>Send text to the clipboard:</p>\r\n\r\n	<blockquote>\r\n		<code>xclip -i</code>\r\n	</blockquote>\r\n\r\n<p>Send clipboard contents to standard output:</p>\r\n\r\n	<blockquote>\r\n		<code>xclip -o</code>\r\n	</blockquote>\r\n\r\n<p>Do virtual <code>Ctrl+C</code> key combination with <code>xdotool</code>:</p>\r\n\r\n	<blockquote>\r\n		<code>xdotool key Control+c</code>\r\n	</blockquote>\r\n\r\n<p>Save this complicated command as an environment variable&mdash;then the variable \"$KEYPRESS\" expands to this command.</p>\r\n\r\n	<blockquote>\r\n		<code>export KEYPRESS=&quot;xvkbd -xsendevent -secure -text&quot;</code>\r\n	</blockquote>\r\n\r\n<h2>Examples</h2>\r\n\r\n<p>With virtual keystrokes and CLI access to the clipboard, you\'re limited only by your imagination and scripting ability. Here are some examples of how I use them, both for the manipulation of text and for navigation. The words in bold-face are the voice commands I use to launch the written commands. </p>\r\n\r\n<p><strong>Capitalize this</strong>. Copies selected text to the clipboard, pipes it through <code>sed</code> and back into the clipboard, then types fixed text back into my document:</p>\r\n\r\n<blockquote><pre>\r\nxdotool key Control+c &amp;&amp; xclip -o \\<br/>| sed \'s/\\(.*\\)/\\L\\1/\' \\<br/>| sed -r \'s/\\&lt;./\\U&amp;/g\' \\<br/>| xclip -i &amp;&amp; $KEYPRESS &quot;$(xclip -o)&quot; <br/>\r\n</pre>\r\n</blockquote>\r\n\r\n<p><strong>Go to grades</strong>. This example takes advantage of Firefox \"quick search.\" I start with a single quote to match the linked text \"grades\" and press the Return key (<code>\\r</code>) to follow the link:</p>\r\n\r\n<blockquote>\r\n<pre><code>$KEYPRESS &quot;\'grades\\r&quot;</code></pre>\r\n</blockquote>\r\n\r\n<p><strong>First Inbox</strong>. From any location within Thunderbird I can run this command and it executes the keystrokes to take me to the first inbox and put focus on the first message:</p>\r\n\r\n<blockquote><code>xdotool key Control+k &amp;&amp; $KEYPRESS &quot;\\[Tab]\\[Home]\\[Left]\\[Right]\\[Down]&quot; &amp;&amp; sleep .2 &amp;&amp; xdotool key Tab</code>\r\n</blockquote>\r\n\r\n<p><strong>single ex staff</strong>. Type out an entire Lilypond template into an empty text editor window:</p>\r\n\r\n<blockquote><code>xvkbd -xsendevent -secure -file &quot;/path/to/single_ex_staff.ly&quot;</code>\r\n</blockquote>\r\n\r\n<p><strong>Paragraph Tags</strong>. Puts HTML paragraph tags around selected text:</p>\r\n\r\n<blockquote><pre>\r\n#!/bin/bash<br/><br/>KEYPRESS=\'xvkbd -xsendevent -secure -text\'<br/><br/>xdotool key Control+c<br/><br/>$KEYPRESS \'&lt;p&gt;\'<br/>xdotool key Control+v<br/>$KEYPRESS \'&lt;/p&gt;\'<br/>\r\n</pre>\r\n</blockquote>\r\n\r\n<h2>Launching commands with keystrokes in Openbox</h2>\r\n\r\n<p>I normally use blather voice commands to launch the scripts and keystroke commands, but I have a handful of frequently-used commands that I launch using keystroke combos configured in the Openbox config file (<code>~/.config/openbox/rc.xml</code> on my system). This block configures the <code>super+n</code> key combo to launch my <code>examplelink.sh</code> script.</p>\r\n\r\n<blockquote>\r\n<pre>\r\n&lt;keybind key=&quot;W-n&quot;&gt;\r\n  &lt;action name=&quot;Execute&quot;&gt;\r\n	&lt;startupnotify&gt;\r\n	  &lt;enabled&gt;true&lt;/enabled&gt;\r\n	  &lt;name&gt;special&lt;/name&gt;\r\n	&lt;/startupnotify&gt;\r\n	&lt;command&gt;examplelink.sh&lt;/command&gt;\r\n  &lt;/action&gt;\r\n&lt;/keybind&gt;\r\n</pre>\r\n</blockquote>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li>Amazing collection of one-line tricks for the <code>sed</code> stream editor: <a href=\"https://sed.sourceforge.net/sed1line.txt\">https://sed.sourceforge.net/sed1line.txt</a></li>\r\n	<li>Blather source code: <a href=\"https://gitorious.org/blather\">https://gitorious.org/blather</a>  </li>\r\n	<li>Sphinx knowledge base tool: <a href=\"https://www.speech.cs.cmu.edu/tools/lmtool-new.html\">https://www.speech.cs.cmu.edu/tools/lmtool-new.html</a>  </li>\r\n	<li>snapshot of my blather commands file: <a href=\"https://paste.jonkulp.net/sicegamupi.tex\">https://paste.jonkulp.net/sicegamupi.tex</a></li>\r\n	<li>Blather Installation Script for Debian: <a href=\"https://paste.jonkulp.net/lolilabuje\">https://paste.jonkulp.net/lolilabuje</a></li>\r\n</ul>\r\n',238,79,0,'CC-BY-SA','Accessibility, Linux, scripting, command line',0,0,1),
(1871,'2015-10-05','HPR Community News for September 2015',5519,'HPR Community News for September 2015','\n<h2>New hosts</h2>\n<p>\nWelcome to our new host: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0310.html\" target=\"_blank\">Geddes</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\">\n    <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Day</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1847\" target=\"_blank\">1847</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-09-01</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1847\" target=\"_blank\">Client Side C- WTF Is Wrong With You?</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0115.html\" target=\"_blank\">sigflup</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1848\" target=\"_blank\">1848</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-09-02</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1848\" target=\"_blank\">Introduction to w3m, a Command Line Web Browser</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1849\" target=\"_blank\">1849</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-09-03</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1849\" target=\"_blank\">LinuxLugCast Episode-004 Outtakes</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0265.html\" target=\"_blank\">Kevin Wisher</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1850\" target=\"_blank\">1850</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-09-04</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1850\" target=\"_blank\">18 - ssh Introduction</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1851\" target=\"_blank\">1851</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-09-07</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1851\" target=\"_blank\">HPR Community News for August 2015</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1852\" target=\"_blank\">1852</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-09-08</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1852\" target=\"_blank\">Operation Wallacea</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1853\" target=\"_blank\">1853</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-09-09</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1853\" target=\"_blank\">I &lt;3 Vista</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0303.html\" target=\"_blank\">Alpha32</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1854\" target=\"_blank\">1854</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-09-10</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1854\" target=\"_blank\">Installing Ubuntu on the Asus TP500L</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1855\" target=\"_blank\">1855</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-09-11</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1855\" target=\"_blank\">61 - LibreOffice Impress - Slide Layouts and AutoLayout Text Boxes</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1856\" target=\"_blank\">1856</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-09-14</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1856\" target=\"_blank\">ssh config</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1857\" target=\"_blank\">1857</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-09-15</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1857\" target=\"_blank\">Adventures In Coffee</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0252.html\" target=\"_blank\">Curtis Adkins (CPrompt^)</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1858\" target=\"_blank\">1858</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-09-16</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1858\" target=\"_blank\">Multimeter Mod&#39;s Part 2</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1859\" target=\"_blank\">1859</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-09-17</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1859\" target=\"_blank\">A Mouse in a Maze on the Raspberry PI</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0259.html\" target=\"_blank\">Gabriel Evenfire</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1860\" target=\"_blank\">1860</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-09-18</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1860\" target=\"_blank\">FiftyOneFifty interviews Chris Waid of Save WiFi</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1861\" target=\"_blank\">1861</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-09-21</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1861\" target=\"_blank\">Cool Stuff pt. 4</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0252.html\" target=\"_blank\">Curtis Adkins (CPrompt^)</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1862\" target=\"_blank\">1862</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-09-22</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1862\" target=\"_blank\">The Awesomely Epic Guide To KDE Part 1</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0310.html\" target=\"_blank\">Geddes</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1863\" target=\"_blank\">1863</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-09-23</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1863\" target=\"_blank\">The Awesomely Epic Guide To KDE Part 2</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0310.html\" target=\"_blank\">Geddes</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1864\" target=\"_blank\">1864</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-09-24</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1864\" target=\"_blank\">Turning an old printer into a network printer</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1865\" target=\"_blank\">1865</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-09-25</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1865\" target=\"_blank\">62 - LibreOffice Impress - Working With Text Boxes</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1866\" target=\"_blank\">1866</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-09-28</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1866\" target=\"_blank\">An awkward talk with two young computer users</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0110.html\" target=\"_blank\">Quvmoh</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1867\" target=\"_blank\">1867</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-09-29</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1867\" target=\"_blank\">The Lafayette Public Library Maker Space</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1868\" target=\"_blank\">1868</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-09-30</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1868\" target=\"_blank\">Glasgow Podcrawl review</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes\nplace on the <a href=\"https://hackerpublicradio.org/maillist\" target=\"_blank\">Mail List</a> which is open to all\nHPR listeners and contributors. The discussions are open and available on the\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\narchive.\n</p>\n<p>The main threads this month were:</p>\n<ol>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2015-09-01 07:56:04 +0100<br/>\n        <em>Subject:</em> HPR Community News - next Saturday on 2015-09-05T18:00:00Z<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/911\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/911</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2015-09-06 17:41:07 +0100<br/>\n        <em>Subject:</em> Test message. There seems to be a problem with the HPR list<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/914\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/914</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Charles Thayer &lt;catintp@...&gt;<br/>\n        <em>Date:</em> 2015-09-08 13:58:29 -0700<br/>\n        <em>Subject:</em> Markdown for HPR Show Notes<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/917\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/917</a><br/>\n        <em>Messages:</em> 6<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-09-09 10:53:50 +0200<br/>\n        <em>Subject:</em> HPR Menus are not accessible<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/918\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/918</a><br/>\n        <em>Messages:</em> 7<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-09-09 10:56:42 +0200<br/>\n        <em>Subject:</em> Mail list test with links - PLEASE IGNORE<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/919\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/919</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Fifty OneFifty &lt;fiftyonefifty@...&gt;<br/>\n        <em>Date:</em> 2015-09-12 17:08:25 -0500<br/>\n        <em>Subject:</em> Re: Submmiting markdown, WYSIWYG editors?<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/932\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/932</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-09-14 09:55:26 +0200<br/>\n        <em>Subject:</em> Getting in new contributors<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/934\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/934</a><br/>\n        <em>Messages:</em> 22<br/><br/></li>\n    <li><em>From:</em> lostnbronx &lt;lostnbronx@...&gt;<br/>\n        <em>Date:</em> 2015-09-15 16:29:58 -0700<br/>\n        <em>Subject:</em> Re: Hpr Digest, Vol 84, Issue 16<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/949\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/949</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Fifty OneFifty &lt;fiftyonefifty@...&gt;<br/>\n        <em>Date:</em> 2015-09-16 03:10:51 -0500<br/>\n        <em>Subject:</em> Re: sounding stupid<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/952\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/952</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Fifty OneFifty &lt;fiftyonefifty@...&gt;<br/>\n        <em>Date:</em> 2015-09-16 18:04:01 -0500<br/>\n        <em>Subject:</em> Re: Hpr Digest, Vol 84, Issue 18<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/955\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/955</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Fifty OneFifty &lt;fiftyonefifty@...&gt;<br/>\n        <em>Date:</em> 2015-09-18 01:04:19 -0500<br/>\n        <em>Subject:</em> The HPR Zoom H1<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/956\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/956</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> &quot;Thaj A. Sara&quot; &lt;thajasara@...&gt;<br/>\n        <em>Date:</em> 2015-09-18 18:12:11 -0400<br/>\n        <em>Subject:</em> Re: Hpr Digest, Vol 84, Issue 20<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/957\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/957</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-09-22 21:53:09 +0200<br/>\n        <em>Subject:</em> Re: [SPAM] HPR Menus are not accessible<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/958\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/958</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-09-24 13:46:16 +0200<br/>\n        <em>Subject:</em> Linux News Log coming to an end after 10 years<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/959\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/959</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2015-09-28 11:15:19 +0100<br/>\n        <em>Subject:</em> HPR Community News - next Saturday on 2015-10-03T18:00:00Z<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/965\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/965</a><br/>\n        <em>Messages:</em> 1<br/></li>\n</ol>\nTotal messages this month: 56<br/>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.</p>\n<p>There are 43 comments:</p>\n<ul> \n<li><strong><a href=\"https://hobbypublicradio.org/eps.php?id=1739#comments\" target=\"_blank\">hpr1739</a></strong>\n(2015-04-02) \"<em>Theater of the Imagination: Part 07</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a>.\n<ul>  <li><a href=\"https://hobbypublicradio.org/eps.php?id=1739#1\" target=\"_blank\">Comment 1</a>:\nFiftyOneFithty on 2015-09-08:\n\"Thanks for conpairing Zoom and Tascam\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1750#comments\" target=\"_blank\">hpr1750</a></strong>\n(2015-04-17) \"<em>xclip, xdotool, xvkbd: 3 CLI Linux tools for RSI sufferers</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>        <li><a href=\"https://hackerpublicradio.org/eps.php?id=1750#7\" target=\"_blank\">Comment 7</a>:\nRob Blaine on 2015-09-27:\n\"Blather works great!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1750#8\" target=\"_blank\">Comment 8</a>:\nJon Kulp  on 2015-09-27:\n\"Blather\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1750#9\" target=\"_blank\">Comment 9</a>:\nRob Blaine on 2015-09-28:\n\"Blather and RSI\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1831#comments\" target=\"_blank\">hpr1831</a></strong>\n(2015-08-10) \"<em>Are speed listening and slow background music compatible?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0308.html\" target=\"_blank\">A Shadowy Figure</a>.\n<ul>      <li><a href=\"https://hackerpublicradio.org/eps.php?id=1831#5\" target=\"_blank\">Comment 5</a>:\nfolky on 2015-09-07:\n\"It depends\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1834#comments\" target=\"_blank\">hpr1834</a></strong>\n(2015-08-13) \"<em>Password Cards</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1834#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2015-09-03:\n\"Very useful\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1837#comments\" target=\"_blank\">hpr1837</a></strong>\n(2015-08-18) \"<em>Put an SSD in your Linux Box</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0285.html\" target=\"_blank\">2BFrank</a>.\n<ul>    <li><a href=\"https://hackerpublicradio.org/eps.php?id=1837#3\" target=\"_blank\">Comment 3</a>:\n2BFrank on 2015-09-15:\n\"Good points\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1841#comments\" target=\"_blank\">hpr1841</a></strong>\n(2015-08-24) \"<em>My way into Linux</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0309.html\" target=\"_blank\">folky</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1841#2\" target=\"_blank\">Comment 2</a>:\nfolky on 2015-09-02:\n\"Thank you\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1846#comments\" target=\"_blank\">hpr1846</a></strong>\n(2015-08-31) \"<em>UNI-T UT61E Review</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1846#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2015-09-01:\n\"Uni-T Meters\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1846#2\" target=\"_blank\">Comment 2</a>:\nNYbill on 2015-09-01:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1846#3\" target=\"_blank\">Comment 3</a>:\nMike Ray on 2015-09-02:\n\"Unit-T meters and serial ports\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1846#4\" target=\"_blank\">Comment 4</a>:\nNYbill on 2015-09-02:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1846#5\" target=\"_blank\">Comment 5</a>:\nMike Ray on 2015-09-03:\n\"PL2303 USB-toRS232 and UT6?\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1846#6\" target=\"_blank\">Comment 6</a>:\ndavidWHITMAN on 2015-09-07:\n\"Damn You!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1847#comments\" target=\"_blank\">hpr1847</a></strong>\n(2015-09-01) \"<em>Client Side C- WTF Is Wrong With You?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0115.html\" target=\"_blank\">sigflup</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1847#1\" target=\"_blank\">Comment 1</a>:\nGabriel Evenfire on 2015-09-17:\n\"I always look forward to your shows...\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1848#comments\" target=\"_blank\">hpr1848</a></strong>\n(2015-09-02) \"<em>Introduction to w3m, a Command Line Web Browser</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1848#1\" target=\"_blank\">Comment 1</a>:\ntom_len on 2015-10-01:\n\"automatize login from command line\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1850#comments\" target=\"_blank\">hpr1850</a></strong>\n(2015-09-04) \"<em>18 - ssh Introduction</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1850#1\" target=\"_blank\">Comment 1</a>:\n0xf10e on 2015-09-10:\n\"portable version of OpenSSH\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1850#2\" target=\"_blank\">Comment 2</a>:\nGabriel Evenfire on 2015-09-17:\n\"This could be a very fruitful series.\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1850#3\" target=\"_blank\">Comment 3</a>:\nKevin O&#39;Brien on 2015-09-20:\n\"Thank you\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1851#comments\" target=\"_blank\">hpr1851</a></strong>\n(2015-09-07) \"<em>HPR Community News for August 2015</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1851#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2015-09-07:\n\"Markdown show notes\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1851#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-09-08:\n\"Markdown etc.\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1851#3\" target=\"_blank\">Comment 3</a>:\nNYbill on 2015-09-08:\n\"Electronics videos. \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1851#4\" target=\"_blank\">Comment 4</a>:\nNYbill on 2015-09-09:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1853#comments\" target=\"_blank\">hpr1853</a></strong>\n(2015-09-09) \"<em>I &lt;3 Vista</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0303.html\" target=\"_blank\">Alpha32</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1853#1\" target=\"_blank\">Comment 1</a>:\nAaronb483 on 2015-09-11:\n\"great name for podcast\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1856#comments\" target=\"_blank\">hpr1856</a></strong>\n(2015-09-14) \"<em>ssh config</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1856#1\" target=\"_blank\">Comment 1</a>:\n0xf10e on 2015-09-14:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1856#2\" target=\"_blank\">Comment 2</a>:\nb-yeezi on 2015-09-15:\n\"Thanks\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1856#3\" target=\"_blank\">Comment 3</a>:\nGabriel Evenfire on 2015-09-17:\n\"Identity file\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1857#comments\" target=\"_blank\">hpr1857</a></strong>\n(2015-09-15) \"<em>Adventures In Coffee</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0252.html\" target=\"_blank\">Curtis Adkins (CPrompt^)</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1857#1\" target=\"_blank\">Comment 1</a>:\nGabriel Evenfire on 2015-09-17:\n\"A nice episode even for non-coffee people\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1857#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-09-18:\n\"I enjoyed this a lot\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1857#3\" target=\"_blank\">Comment 3</a>:\nMichael on 2015-09-24:\n\"You got my european mind.\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1858#comments\" target=\"_blank\">hpr1858</a></strong>\n(2015-09-16) \"<em>Multimeter Mod&#39;s Part 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1858#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp  on 2015-09-16:\n\"Thank you! \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1858#2\" target=\"_blank\">Comment 2</a>:\nMike Ray on 2015-09-16:\n\"Hacking at it&#39;s best\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1858#3\" target=\"_blank\">Comment 3</a>:\nNYbill on 2015-09-16:\n\"Thanks, Jon. \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1858#4\" target=\"_blank\">Comment 4</a>:\nNYbill on 2015-09-16:\n\"Ha, thanks Mike. \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1858#5\" target=\"_blank\">Comment 5</a>:\nmirwi on 2015-09-24:\n\"Splitting hair...\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1858#6\" target=\"_blank\">Comment 6</a>:\nNYbill on 2015-09-25:\n\"Transitors\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1858#7\" target=\"_blank\">Comment 7</a>:\nMike Ray on 2015-09-26:\n\"Transistors\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1859#comments\" target=\"_blank\">hpr1859</a></strong>\n(2015-09-17) \"<em>A Mouse in a Maze on the Raspberry PI</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0259.html\" target=\"_blank\">Gabriel Evenfire</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1859#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2015-09-17:\n\"Welcome return\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1862#comments\" target=\"_blank\">hpr1862</a></strong>\n(2015-09-22) \"<em>The Awesomely Epic Guide To KDE Part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0310.html\" target=\"_blank\">Geddes</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1862#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2015-09-28:\n\"I just enabled a load of these\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1863#comments\" target=\"_blank\">hpr1863</a></strong>\n(2015-09-23) \"<em>The Awesomely Epic Guide To KDE Part 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0310.html\" target=\"_blank\">Geddes</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1863#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp  on 2015-09-23:\n\"Probably still will not switch to KDE, but... \"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1864#comments\" target=\"_blank\">hpr1864</a></strong>\n(2015-09-24) \"<em>Turning an old printer into a network printer</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1864#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp  on 2015-09-24:\n\"Whoa remote scanning! \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1864#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-09-27:\n\"Remote scanning, etc\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1866#comments\" target=\"_blank\">hpr1866</a></strong>\n(2015-09-28) \"<em>An awkward talk with two young computer users</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0110.html\" target=\"_blank\">Quvmoh</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1866#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2015-09-28:\"[no title]\"</li></ul>\n</li>\n</ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1891,'2015-11-02','HPR Community News for October 2015',2667,'HPR Community News for October 2015','\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0312.html\" target=\"_blank\">Moral Volcano</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0313.html\" target=\"_blank\">JustMe</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0314.html\" target=\"_blank\">thelovebug</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\">\n    <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Day</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1869\" target=\"_blank\">1869</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-10-01</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1869\" target=\"_blank\">Irssi Connectbot</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1870\" target=\"_blank\">1870</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-10-02</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1870\" target=\"_blank\">19 - Home SSH Server</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1871\" target=\"_blank\">1871</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-10-05</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1871\" target=\"_blank\">HPR Community News for September 2015</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1872\" target=\"_blank\">1872</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-10-06</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1872\" target=\"_blank\">Sim City BuildIt September 2015</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0297.html\" target=\"_blank\">swift110</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1873\" target=\"_blank\">1873</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-10-07</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1873\" target=\"_blank\">TiT Radio 21 - I Thought I Had Better Links</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1874\" target=\"_blank\">1874</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-10-08</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1874\" target=\"_blank\">Interview with Droops</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1875\" target=\"_blank\">1875</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-10-09</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1875\" target=\"_blank\">63 - LibreOffice Impress - Formatting Text</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1876\" target=\"_blank\">1876</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-10-12</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1876\" target=\"_blank\">MicrobeLog, or: On Shaving Yaks and Doing Things</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1877\" target=\"_blank\">1877</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-10-13</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1877\" target=\"_blank\">Recording HPR on the fly on your Android phone</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1878\" target=\"_blank\">1878</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-10-14</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1878\" target=\"_blank\">What\'s In My Bag</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1879\" target=\"_blank\">1879</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-10-15</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1879\" target=\"_blank\">Hacking a Belt to Make it Fit</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1880\" target=\"_blank\">1880</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-10-16</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1880\" target=\"_blank\">Arduino Bluetooth HOWTO</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1881\" target=\"_blank\">1881</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-10-19</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1881\" target=\"_blank\">My road to Linux</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1882\" target=\"_blank\">1882</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-10-20</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1882\" target=\"_blank\">How I Compute Away From My Computer</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0270.html\" target=\"_blank\">Thaj Sara</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1883\" target=\"_blank\">1883</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-10-21</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1883\" target=\"_blank\">Don\'t Get Locked In</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">Knightwise</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1884\" target=\"_blank\">1884</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-10-22</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1884\" target=\"_blank\">Some more Bash tips</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1885\" target=\"_blank\">1885</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-10-23</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1885\" target=\"_blank\">64 - LibreOffice Impress - Multimedia</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1886\" target=\"_blank\">1886</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-10-26</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1886\" target=\"_blank\">Moral Volcano\'s Linux Tips &amp; Tricks podcast for Hacker Public Radio</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0312.html\" target=\"_blank\">Moral Volcano</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1887\" target=\"_blank\">1887</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-10-27</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1887\" target=\"_blank\">Coffee Making Basics</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0313.html\" target=\"_blank\">JustMe</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1888\" target=\"_blank\">1888</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-10-28</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1888\" target=\"_blank\">Diceware Passphrase</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0277.html\" target=\"_blank\">John Duarte</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1889\" target=\"_blank\">1889</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-10-29</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1889\" target=\"_blank\">experiencing the meegopad T-02  part one</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0308.html\" target=\"_blank\">A Shadowy Figure</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1890\" target=\"_blank\">1890</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-10-30</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1890\" target=\"_blank\">A short walk with my son</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0314.html\" target=\"_blank\">thelovebug</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes\nplace on the <a href=\"https://hackerpublicradio.org/maillist\" target=\"_blank\">Mail List</a> which is open to all\nHPR listeners and contributors. The discussions are open and available on the\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\narchive.\n</p>\n<p>The main threads this month were:</p>\n<ol>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2015-09-28 11:15:19 +0100<br/>\n        <em>Subject:</em> HPR Community News - next Saturday on 2015-10-03T18:00:00Z<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/965\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/965</a><br/>\n        <em>Messages:</em> 6<br/><br/></li>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2015-10-26 08:56:11 UTC<br/>\n        <em>Subject:</em> HPR Community News - next Saturday on 2015-10-31T18:00:00Z<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/973\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/973</a><br/>\n        <em>Messages:</em> 4<br/></li>\n</ol>\nTotal messages this month: 10<br/>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.</p>\n<p>There are 32 comments:</p>\n<ul> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1728#comments\" target=\"_blank\">hpr1728</a></strong>\n(2015-03-18) \"<em>Requested Topic: Favourite Browser Extensions</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0299.html\" target=\"_blank\">Fin</a>.\n<ul>    <li><a href=\"https://hackerpublicradio.org/eps.php?id=1728#3\" target=\"_blank\">Comment 3</a>:\nFin on 2015-10-30:\n\"Ad-Block Edge Successor\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1828#comments\" target=\"_blank\">hpr1828</a></strong>\n(2015-08-05) \"<em>Multimeter Mod\'s Part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.\n<ul>    <li><a href=\"https://hackerpublicradio.org/eps.php?id=1828#3\" target=\"_blank\">Comment 3</a>:\nNeandergeek on 2015-10-17:\n\"Great imprompto series\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1848#comments\" target=\"_blank\">hpr1848</a></strong>\n(2015-09-02) \"<em>Introduction to w3m, a Command Line Web Browser</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1848#1\" target=\"_blank\">Comment 1</a>:\ntom_len on 2015-10-01:\n\"automatize login from command line\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1848#2\" target=\"_blank\">Comment 2</a>:\nFrank on 2015-10-27:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1859#comments\" target=\"_blank\">hpr1859</a></strong>\n(2015-09-17) \"<em>A Mouse in a Maze on the Raspberry PI</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0259.html\" target=\"_blank\">Gabriel Evenfire</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1859#2\" target=\"_blank\">Comment 2</a>:\nEric on 2015-10-07:\n\"A better maze\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1859#3\" target=\"_blank\">Comment 3</a>:\nGabriel Evenfire on 2015-10-13:\n\"Maze generation\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1862#comments\" target=\"_blank\">hpr1862</a></strong>\n(2015-09-22) \"<em>The Awesomely Epic Guide To KDE Part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0310.html\" target=\"_blank\">Geddes</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1862#2\" target=\"_blank\">Comment 2</a>:\nGeddes on 2015-10-16:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1863#comments\" target=\"_blank\">hpr1863</a></strong>\n(2015-09-23) \"<em>The Awesomely Epic Guide To KDE Part 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0310.html\" target=\"_blank\">Geddes</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1863#2\" target=\"_blank\">Comment 2</a>:\nGeddes on 2015-10-16:\n\"Thanks for the feedback\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1864#comments\" target=\"_blank\">hpr1864</a></strong>\n(2015-09-24) \"<em>Turning an old printer into a network printer</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>    <li><a href=\"https://hackerpublicradio.org/eps.php?id=1864#3\" target=\"_blank\">Comment 3</a>:\nturtle on 2015-10-05:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1864#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2015-10-06:\n\"DEC-LN03\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1864#5\" target=\"_blank\">Comment 5</a>:\nBob Evans on 2015-10-07:\n\"connecting to legacy printers\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1864#6\" target=\"_blank\">Comment 6</a>:\nDave Morriss on 2015-10-07:\n\"Re: connecting to legacy printers\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1866#comments\" target=\"_blank\">hpr1866</a></strong>\n(2015-09-28) \"<em>An awkward talk with two young computer users</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0110.html\" target=\"_blank\">Quvmoh</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1866#2\" target=\"_blank\">Comment 2</a>:\ncombiner on 2015-10-05:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1867#comments\" target=\"_blank\">hpr1867</a></strong>\n(2015-09-29) \"<em>The Lafayette Public Library Maker Space</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1867#1\" target=\"_blank\">Comment 1</a>:\namunizp on 2015-10-07:\n\"3D print\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1870#comments\" target=\"_blank\">hpr1870</a></strong>\n(2015-10-02) \"<em>19 - Home SSH Server</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1870#1\" target=\"_blank\">Comment 1</a>:\nkdmurray on 2015-10-06:\n\"SSH Passwords\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1874#comments\" target=\"_blank\">hpr1874</a></strong>\n(2015-10-08) \"<em>Interview with Droops</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1874#1\" target=\"_blank\">Comment 1</a>:\ndroops on 2015-09-27:\n\"Thanks\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1874#2\" target=\"_blank\">Comment 2</a>:\nJ. on 2015-10-08:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1874#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2015-10-13:\n\"I loved this interview\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1880#comments\" target=\"_blank\">hpr1880</a></strong>\n(2015-10-16) \"<em>Arduino Bluetooth HOWTO</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1880#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2015-10-16:\n\"Great show\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1881#comments\" target=\"_blank\">hpr1881</a></strong>\n(2015-10-19) \"<em>My road to Linux</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1881#1\" target=\"_blank\">Comment 1</a>:\nFin on 2015-10-19:\n\"Music fail\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1881#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-10-23:\n\"Great episode\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1881#3\" target=\"_blank\">Comment 3</a>:\nclacke on 2015-10-26:\n\"Thanks\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1884#comments\" target=\"_blank\">hpr1884</a></strong>\n(2015-10-22) \"<em>Some more Bash tips</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1884#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2015-10-27:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1884#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-10-27:\n\"Thanks Frank, glad you enjoyed it\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1884#3\" target=\"_blank\">Comment 3</a>:\nFrank on 2015-10-28:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1884#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2015-10-29:\n\"Regular expressions\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1889#comments\" target=\"_blank\">hpr1889</a></strong>\n(2015-10-29) \"<em>experiencing the meegopad T-02  part one</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0308.html\" target=\"_blank\">A Shadowy Figure</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1889#1\" target=\"_blank\">Comment 1</a>:\nGNULinuxRTM on 2015-10-29:\n\"Execellent Episode.\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1889#2\" target=\"_blank\">Comment 2</a>:\nJon Kulp  on 2015-10-30:\n\"Tremendous! \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1889#3\" target=\"_blank\">Comment 3</a>:\nFin on 2015-10-30:\n\"Fantastic!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1889#4\" target=\"_blank\">Comment 4</a>:\nA Shadowy Figure on 2015-10-31:\n\"Like your work as well GNULinuxRTM\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1890#comments\" target=\"_blank\">hpr1890</a></strong>\n(2015-10-30) \"<em>A short walk with my son</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0314.html\" target=\"_blank\">thelovebug</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1890#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp  on 2015-10-30:\n\"Up with the $2 lapel mic! \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1890#2\" target=\"_blank\">Comment 2</a>:\nMike Ray on 2015-10-31:\n\"Audio Quality\"</li></ul>\n</li>\n</ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1916,'2015-12-07','HPR Community News for November 2015',6854,'HPR Community News for November 2015','\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0317.html\" target=\"_blank\">Eric Duhamel</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0319.html\" target=\"_blank\">OnlyHalfTheTime</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\">\n    <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Day</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1891\" target=\"_blank\">1891</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-11-02</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1891\" target=\"_blank\">HPR Community News for October 2015</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1892\" target=\"_blank\">1892</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-11-03</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1892\" target=\"_blank\">my chicken coop</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0243.html\" target=\"_blank\">Jezra</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1893\" target=\"_blank\">1893</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-11-04</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1893\" target=\"_blank\">My LastPass Alternative</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0273.html\" target=\"_blank\">ToeJet</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1894\" target=\"_blank\">1894</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-11-05</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1894\" target=\"_blank\">Interview with Davide Zilli and Dr Marianne Sinka of the HumBug Project</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1895\" target=\"_blank\">1895</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-11-06</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1895\" target=\"_blank\">65 - LibreOffice Impress - OLE Objects, Spreadsheets, and Charts</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1896\" target=\"_blank\">1896</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-11-09</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1896\" target=\"_blank\">User Local Software</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0317.html\" target=\"_blank\">Eric Duhamel</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1897\" target=\"_blank\">1897</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-11-10</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1897\" target=\"_blank\">Installing Windows 7 Ultimate</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0297.html\" target=\"_blank\">swift110</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1898\" target=\"_blank\">1898</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-11-11</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1898\" target=\"_blank\">Free my music!</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0303.html\" target=\"_blank\">Alpha32</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1899\" target=\"_blank\">1899</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-11-12</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1899\" target=\"_blank\">MyTinyTodo List</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1900\" target=\"_blank\">1900</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-11-13</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1900\" target=\"_blank\">20 - SSH Basics</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1901\" target=\"_blank\">1901</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-11-16</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1901\" target=\"_blank\">Instaling Linux programs without internet</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0297.html\" target=\"_blank\">swift110</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1902\" target=\"_blank\">1902</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-11-17</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1902\" target=\"_blank\">My Linux Tool Box</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0299.html\" target=\"_blank\">Fin</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1903\" target=\"_blank\">1903</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-11-18</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1903\" target=\"_blank\">Some further Bash tips</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1904\" target=\"_blank\">1904</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-11-19</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1904\" target=\"_blank\">Windows Command Line Tips and Tricks</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0319.html\" target=\"_blank\">OnlyHalfTheTime</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1905\" target=\"_blank\">1905</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-11-20</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1905\" target=\"_blank\">66 - LibreOffice Impress - Built-In Charts</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1906\" target=\"_blank\">1906</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-11-23</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1906\" target=\"_blank\">Apt Spelunking 2: tvtime, phatch, and xstarfish</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0215.html\" target=\"_blank\">Windigo</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1907\" target=\"_blank\">1907</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-11-24</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1907\" target=\"_blank\">Charlie Reisinger and Penn Manor</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1908\" target=\"_blank\">1908</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-11-25</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1908\" target=\"_blank\">Arduino Pumpkin</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0001.html\" target=\"_blank\">droops</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1909\" target=\"_blank\">1909</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-11-26</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1909\" target=\"_blank\">Creating an Open, Embedded-Media Music Textbook</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1910\" target=\"_blank\">1910</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-11-27</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1910\" target=\"_blank\">QMMP--The Qt-based MultiMedia Player</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1911\" target=\"_blank\">1911</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-11-30</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1911\" target=\"_blank\">Thoughts on GUI v CLI and the best distro</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes\nplace on the <a href=\"https://hackerpublicradio.org/maillist\" target=\"_blank\">Mail List</a> which is open to all\nHPR listeners and contributors. The discussions are open and available on the\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\narchive.\n</p>\n<p>The main threads this month were:</p>\n<ol>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-11-13 11:23:49 +0100<br/>\n        <em>Subject:</em> New Podcast: international open magazine<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/978\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/978</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2015-11-15 13:09:44 UTC<br/>\n        <em>Subject:</em> UK Table Kit<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/979\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/979</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Fifty OneFifty &lt;fiftyonefifty@...&gt;<br/>\n        <em>Date:</em> 2015-11-15 19:38:03 -0600<br/>\n        <em>Subject:</em> Re: 1. UK Table Kit (Dave Morriss)<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/980\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/980</a><br/>\n        <em>Messages:</em> 5<br/><br/></li>\n    <li><em>From:</em> Patrick Dailey &lt;pdailey03@...&gt;<br/>\n        <em>Date:</em> 2015-11-16 08:27:32 -0500<br/>\n        <em>Subject:</em> Re: Hpr Digest, Vol 86, Issue 4<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/985\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/985</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Lord Drachenblut &lt;lord.drachenblut@...&gt;<br/>\n        <em>Date:</em> 2015-11-18 07:28:42 UTC<br/>\n        <em>Subject:</em> HPR Zoom H1<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/986\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/986</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-11-21 13:11:26 +0100<br/>\n        <em>Subject:</em> Wed 2015-12-02: hpr1913<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/987\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/987</a><br/>\n        <em>Messages:</em> 4<br/><br/></li>\n    <li><em>From:</em> Clinton Roy &lt;clinton.roy@...&gt;<br/>\n        <em>Date:</em> 2015-11-22 16:57:20 +1000<br/>\n        <em>Subject:</em> first update<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/988\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/988</a><br/>\n        <em>Messages:</em> 4<br/><br/></li>\n    <li><em>From:</em> Kevin O&#39;Brien &lt;zwilnik@...&gt;<br/>\n        <em>Date:</em> 2015-11-22 13:10:28 -0500<br/>\n        <em>Subject:</em> Short break<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/992\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/992</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Fifty OneFifty &lt;fiftyonefifty@...&gt;<br/>\n        <em>Date:</em> 2015-11-28 07:00:11 -0600<br/>\n        <em>Subject:</em> Metadata bloat<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/995\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/995</a><br/>\n        <em>Messages:</em> 5<br/><br/></li>\n    <li><em>From:</em> Mike Dupont &lt;jamesmikedupont@...&gt;<br/>\n        <em>Date:</em> 2015-11-28 10:40:56 -0500<br/>\n        <em>Subject:</em> 412 Precondition Failed<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/998\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/998</a><br/>\n        <em>Messages:</em> 8<br/><br/></li>\n    <li><em>From:</em> Frank Bell &lt;frankwbell@...&gt;<br/>\n        <em>Date:</em> 2015-11-28 15:20:25 -0500<br/>\n        <em>Subject:</em> A Question about Shownotes<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1007\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1007</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Fifty OneFifty &lt;fiftyonefifty@...&gt;<br/>\n        <em>Date:</em> 2015-11-29 15:21:14 -0600<br/>\n        <em>Subject:</em> Re: Wed 2015-12-02: hpr1913 - UPDATE TO SITE<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1012\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1012</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-11-30 11:44:52 +0100<br/>\n        <em>Subject:</em> New Year Show ?<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1014\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1014</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2015-11-30 12:30:25 UTC<br/>\n        <em>Subject:</em> HPR Community News - next Saturday on 2015-12-05T18:00:00Z<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1016\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1016</a><br/>\n        <em>Messages:</em> 1<br/></li>\n</ol>\nTotal messages this month: 39<br/>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.</p>\n<p>There are 37 comments:</p>\n<ul> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1649#comments\" target=\"_blank\">hpr1649</a></strong>\n(2014-11-27) \"<em>Raspberry Pi Accessibility Breakthrough</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0282.html\" target=\"_blank\">Mike Ray</a>.\n<ul>       <li><a href=\"https://hackerpublicradio.org/eps.php?id=1649#6\" target=\"_blank\">Comment 6</a>:\nSteven on 2015-11-28:\n\"Question about your mods\"</li>  \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1828#comments\" target=\"_blank\">hpr1828</a></strong>\n(2015-08-05) \"<em>Multimeter Mod\'s Part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.\n<ul>     <li><a href=\"https://hackerpublicradio.org/eps.php?id=1828#4\" target=\"_blank\">Comment 4</a>:\nNYbill on 2015-11-02:\n\"USB cab;e prices went up. \"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1887#comments\" target=\"_blank\">hpr1887</a></strong>\n(2015-10-27) \"<em>Coffee Making Basics</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0313.html\" target=\"_blank\">JustMe</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1887#1\" target=\"_blank\">Comment 1</a>:\nBob Jonkman on 2015-11-08:\n\"Aerating boiling water\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1889#comments\" target=\"_blank\">hpr1889</a></strong>\n(2015-10-29) \"<em>experiencing the meegopad T-02  part one</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0308.html\" target=\"_blank\">A Shadowy Figure</a>.\n<ul>      <li><a href=\"https://hackerpublicradio.org/eps.php?id=1889#5\" target=\"_blank\">Comment 5</a>:\nA Shadowy Figure on 2015-11-02:\n\"Wow, Just Wow..\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1889#6\" target=\"_blank\">Comment 6</a>:\nAnon on 2015-11-03:\n\"Ocean Club...\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1889#7\" target=\"_blank\">Comment 7</a>:\nCPrompt^ on 2015-11-04:\n\"Fantastic!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1889#8\" target=\"_blank\">Comment 8</a>:\nFrank on 2015-11-04:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1889#9\" target=\"_blank\">Comment 9</a>:\nDavid Whitman on 2015-11-04:\n\"Nice\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1889#10\" target=\"_blank\">Comment 10</a>:\nDennis Blanchard on 2015-11-04:\n\"Good job on mysterious technology.\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1889#11\" target=\"_blank\">Comment 11</a>:\n(Mad Dog?) Dave Morriss on 2015-11-05:\n\"Brilliant!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1889#12\" target=\"_blank\">Comment 12</a>:\nREL on 2015-11-08:\n\"Mr\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1889#13\" target=\"_blank\">Comment 13</a>:\nA Shadowy Figure on 2015-11-09:\n\"Production has began on Pt.2\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1890#comments\" target=\"_blank\">hpr1890</a></strong>\n(2015-10-30) \"<em>A short walk with my son</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0314.html\" target=\"_blank\">thelovebug</a>.\n<ul>    <li><a href=\"https://hackerpublicradio.org/eps.php?id=1890#3\" target=\"_blank\">Comment 3</a>:\nJon Kulp on 2015-11-03:\n\"Better is better\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1892#comments\" target=\"_blank\">hpr1892</a></strong>\n(2015-11-03) \"<em>my chicken coop</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0243.html\" target=\"_blank\">Jezra</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1892#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp  on 2015-11-03:\n\"Some Fowl Commentary\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1892#2\" target=\"_blank\">Comment 2</a>:\nMike Ray on 2015-11-03:\n\"Kernel Sanders\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1892#3\" target=\"_blank\">Comment 3</a>:\njezra on 2015-11-05:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1894#comments\" target=\"_blank\">hpr1894</a></strong>\n(2015-11-05) \"<em>Interview with Davide Zilli and Dr Marianne Sinka of the HumBug Project</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1894#1\" target=\"_blank\">Comment 1</a>:\nSteve Bickle on 2015-11-15:\n\"Exellent episode\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1894#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-11-16:\n\"Great interview, great project\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1896#comments\" target=\"_blank\">hpr1896</a></strong>\n(2015-11-09) \"<em>User Local Software</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0317.html\" target=\"_blank\">Eric Duhamel</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1896#1\" target=\"_blank\">Comment 1</a>:\nEric Duhamel on 2015-11-25:\n\"Other ideas\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1897#comments\" target=\"_blank\">hpr1897</a></strong>\n(2015-11-10) \"<em>Installing Windows 7 Ultimate</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0297.html\" target=\"_blank\">swift110</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1897#1\" target=\"_blank\">Comment 1</a>:\nGuy Watkins on 2015-11-10:\n\"Update the firmware\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1897#2\" target=\"_blank\">Comment 2</a>:\nm l hunt on 2015-11-10:\n\"Enjoyed your show.\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1898#comments\" target=\"_blank\">hpr1898</a></strong>\n(2015-11-11) \"<em>Free my music!</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0303.html\" target=\"_blank\">Alpha32</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1898#1\" target=\"_blank\">Comment 1</a>:\nA Shadowy Figure on 2015-11-10:\n\"By-Tor and the Snow Dog Approve\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1902#comments\" target=\"_blank\">hpr1902</a></strong>\n(2015-11-17) \"<em>My Linux Tool Box</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0299.html\" target=\"_blank\">Fin</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1902#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2015-11-23:\n\"Nice list\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1902#2\" target=\"_blank\">Comment 2</a>:\nzloster on 2015-11-28:\n\"Nice list\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1903#comments\" target=\"_blank\">hpr1903</a></strong>\n(2015-11-18) \"<em>Some further Bash tips</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1903#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2015-11-18:\n\"Another gem\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1903#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2015-11-23:\n\"Thanks Ken\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1904#comments\" target=\"_blank\">hpr1904</a></strong>\n(2015-11-19) \"<em>Windows Command Line Tips and Tricks</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0319.html\" target=\"_blank\">OnlyHalfTheTime</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1904#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2015-11-19:\n\"Thanks\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1904#2\" target=\"_blank\">Comment 2</a>:\nFrank on 2015-11-25:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1906#comments\" target=\"_blank\">hpr1906</a></strong>\n(2015-11-23) \"<em>Apt Spelunking 2: tvtime, phatch, and xstarfish</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0215.html\" target=\"_blank\">Windigo</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1906#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2015-11-28:\n\"Some interesting packages\"</li>   \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1907#comments\" target=\"_blank\">hpr1907</a></strong>\n(2015-11-24) \"<em>Charlie Reisinger and Penn Manor</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1907#1\" target=\"_blank\">Comment 1</a>:\nJonathan Kulp  on 2015-11-25:\n\"Excellent \"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1908#comments\" target=\"_blank\">hpr1908</a></strong>\n(2015-11-25) \"<em>Arduino Pumpkin</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0001.html\" target=\"_blank\">droops</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1908#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2015-11-28:\n\"Loved this!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1909#comments\" target=\"_blank\">hpr1909</a></strong>\n(2015-11-26) \"<em>Creating an Open, Embedded-Media Music Textbook</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1909#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2015-11-26:\n\"Calibre cli\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1909#2\" target=\"_blank\">Comment 2</a>:\nJonathan Kulp  on 2015-11-26:\n\"Valuing Musicians\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1909#3\" target=\"_blank\">Comment 3</a>:\nb-yeezi on 2015-11-26:\n\"Great show\"</li>  \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1910#comments\" target=\"_blank\">hpr1910</a></strong>\n(2015-11-27) \"<em>QMMP--The Qt-based MultiMedia Player</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1910#1\" target=\"_blank\">Comment 1</a>:\nMatt on 2015-11-27:\n\"I didn&#39;t know this project existed.\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1910#2\" target=\"_blank\">Comment 2</a>:\nFrank on 2015-11-28:\n\"Thanks\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1910#3\" target=\"_blank\">Comment 3</a>:\nAudiobooks lover on 2015-11-29:\"[no title]\"</li> </ul>\n</li>\n</ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1936,'2016-01-04','HPR Community News for December 2015',5334,'HPR Community News for December 2015','\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0318.html\" target=\"_blank\">Archer72</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0320.html\" target=\"_blank\">The Linux Experiment</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0322.html\" target=\"_blank\">Cov</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\">\n    <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Day</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1912\" target=\"_blank\">1912</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-12-01</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1912\" target=\"_blank\">OpenNMS at All Things Open Conference</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1913\" target=\"_blank\">1913</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-12-02</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1913\" target=\"_blank\">The Linux Experiment</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0320.html\" target=\"_blank\">The Linux Experiment</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1914\" target=\"_blank\">1914</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-12-03</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1914\" target=\"_blank\">Waking up</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0243.html\" target=\"_blank\">Jezra</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1915\" target=\"_blank\">1915</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-12-04</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1915\" target=\"_blank\">67 - LibreOffice Impress - Tables</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1916\" target=\"_blank\">1916</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-12-07</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1916\" target=\"_blank\">HPR Community News for November 2015</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1917\" target=\"_blank\">1917</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-12-08</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1917\" target=\"_blank\">OpenSource.com</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1918\" target=\"_blank\">1918</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-12-09</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1918\" target=\"_blank\">DerbyCon Interview with Dave Kennedy</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0079.html\" target=\"_blank\">Xoke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1919\" target=\"_blank\">1919</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-12-10</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1919\" target=\"_blank\">DerbyCon Interview with Paul Koblitz</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0079.html\" target=\"_blank\">Xoke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1920\" target=\"_blank\">1920</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-12-11</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1920\" target=\"_blank\">21 - SSH Authentication - Keys</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1921\" target=\"_blank\">1921</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-12-14</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1921\" target=\"_blank\">How to run a conference</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1922\" target=\"_blank\">1922</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-12-15</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1922\" target=\"_blank\">The case to backup Google email.</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0318.html\" target=\"_blank\">Archer72</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1923\" target=\"_blank\">1923</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-12-16</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1923\" target=\"_blank\"> Klaatu and System76</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1924\" target=\"_blank\">1924</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-12-17</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1924\" target=\"_blank\">Port Forwarding</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1925\" target=\"_blank\">1925</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-12-18</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1925\" target=\"_blank\">Kdenlive Part 1: Introduction to Kdenlive</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0310.html\" target=\"_blank\">Geddes</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1926\" target=\"_blank\">1926</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-12-21</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1926\" target=\"_blank\">National Measurements Institutes</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0301.html\" target=\"_blank\">Amunizp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1927\" target=\"_blank\">1927</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-12-22</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1927\" target=\"_blank\">Ansible Interview</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1928\" target=\"_blank\">1928</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-12-23</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1928\" target=\"_blank\">Cov&apos;s Jams</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0322.html\" target=\"_blank\">Cov</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1929\" target=\"_blank\">1929</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-12-24</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1929\" target=\"_blank\">I Found a Flashlight</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1930\" target=\"_blank\">1930</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2015-12-25</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1930\" target=\"_blank\">A systemd primer</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1931\" target=\"_blank\">1931</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2015-12-28</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1931\" target=\"_blank\">Atomic force microscopy</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0301.html\" target=\"_blank\">Amunizp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1932\" target=\"_blank\">1932</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2015-12-29</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1932\" target=\"_blank\">Klaatu interviews Grafana</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1933\" target=\"_blank\">1933</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2015-12-30</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1933\" target=\"_blank\">HPR AudioBookClub 11 Street Candles</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0157.html\" target=\"_blank\">HPR_AudioBookClub</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1934\" target=\"_blank\">1934</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2015-12-31</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1934\" target=\"_blank\">Experiencing the Meegopad T-02  Part two</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0308.html\" target=\"_blank\">A Shadowy Figure</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes\nplace on the <a href=\"https://hackerpublicradio.org/maillist\" target=\"_blank\">Mail List</a> which is open to all\nHPR listeners and contributors. The discussions are open and available on the\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\narchive.\n</p>\n<p>The main threads this month were:</p>\n<ol>\n    <li><em>From:</em> Frank Bell &lt;frankwbell@...&gt;<br/>\n        <em>Date:</em> 2015-11-28 15:20:25 -0500<br/>\n        <em>Subject:</em> A Question about Shownotes<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1007\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1007</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-11-30 11:44:52 +0100<br/>\n        <em>Subject:</em> New Year Show ?<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1014\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1014</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-12-02 21:50:45 +0100<br/>\n        <em>Subject:</em> FTP Password change<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1022\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1022</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Joshua Knapp &lt;jknapp85@...&gt;<br/>\n        <em>Date:</em> 2015-12-02 13:04:40 -0800<br/>\n        <em>Subject:</em> Gitlab Upgrade tomorrow<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1023\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1023</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Frank Bell &lt;frankwbell@...&gt;<br/>\n        <em>Date:</em> 2015-12-09 00:11:12 -0500<br/>\n        <em>Subject:</em> Community News (Completely Off-Topic)<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1024\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1024</a><br/>\n        <em>Messages:</em> 8<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-12-14 10:47:25 +0100<br/>\n        <em>Subject:</em> Fwd: SCALE 14x - PSA<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1032\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1032</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Fifty OneFifty &lt;fiftyonefifty@...&gt;<br/>\n        <em>Date:</em> 2015-12-15 22:27:31 -0600<br/>\n        <em>Subject:</em> Feedback needed now, Go/NoGo on New Years show<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1034\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1034</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Andrew Neher &lt;amneher007@...&gt;<br/>\n        <em>Date:</em> 2015-12-16 14:10:31 -0600<br/>\n        <em>Subject:</em> Re: Hpr Digest, Vol 87, Issue 9<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1036\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1036</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Joshua Knapp &lt;jknapp85@...&gt;<br/>\n        <em>Date:</em> 2015-12-18 07:42:09 -0800<br/>\n        <em>Subject:</em> Moving the site to New Server/IP today<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1037\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1037</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Joshua Knapp &lt;jknapp85@...&gt;<br/>\n        <em>Date:</em> 2015-12-18 10:59:21 -0800<br/>\n        <em>Subject:</em> HPR Site move completed<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1038\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1038</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-12-22 18:25:17 +0100<br/>\n        <em>Subject:</em> How to check if the intro and outro are added<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1039\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1039</a><br/>\n        <em>Messages:</em> 6<br/><br/></li>\n    <li><em>From:</em> Fifty OneFifty &lt;fiftyonefifty@...&gt;<br/>\n        <em>Date:</em> 2015-12-23 20:26:05 -0600<br/>\n        <em>Subject:</em> New Year&#39;s Show update<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1041\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1041</a><br/>\n        <em>Messages:</em> 5<br/><br/></li>\n    <li><em>From:</em> honkey Magoo &lt;honkeymagoo01@...&gt;<br/>\n        <em>Date:</em> 2015-12-24 21:02:23 -0500<br/>\n        <em>Subject:</em> Re: New Year&#39;s Show update<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1046\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1046</a><br/>\n        <em>Messages:</em> 19<br/><br/></li>\n    <li><em>From:</em> &quot;Thaj A. Sara&quot; &lt;thajasara@...&gt;<br/>\n        <em>Date:</em> 2015-12-25 10:35:15 -0500<br/>\n        <em>Subject:</em> Re: Hpr Digest, Vol 87, Issue 15<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1051\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1051</a><br/>\n        <em>Messages:</em> 4<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-12-28 16:43:50 +0100<br/>\n        <em>Subject:</em> Changes to the upload process<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1063\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1063</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-12-29 11:33:28 +0100<br/>\n        <em>Subject:</em> There may be issues with the FTP server<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1067\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1067</a><br/>\n        <em>Messages:</em> 22<br/><br/></li>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2015-12-29 20:13:18 UTC<br/>\n        <em>Subject:</em> HPR Community News - next Saturday on 2016-01-02T18:00:00Z<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1082\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1082</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2015-12-30 09:09:29 +0100<br/>\n        <em>Subject:</em> Requested Topic: IRC Etiquette<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1086\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1086</a><br/>\n        <em>Messages:</em> 2<br/></li>\n</ol>\nTotal messages this month: 84<br/>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.</p>\n<p>There are 26 comments:</p>\n<ul> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1649#comments\" target=\"_blank\">hpr1649</a></strong>\n(2014-11-27) \"<em>Raspberry Pi Accessibility Breakthrough</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0282.html\" target=\"_blank\">Mike Ray</a>.\n<ul>        <li><a href=\"https://hackerpublicradio.org/eps.php?id=1649#7\" target=\"_blank\">Comment 7</a>:\nMike Ray on 2015-12-01:\n\"Quiet boot\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1870#comments\" target=\"_blank\">hpr1870</a></strong>\n(2015-10-02) \"<em>19 - Home SSH Server</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1870#2\" target=\"_blank\">Comment 2</a>:\n0xf10e on 2015-12-10:\n\"yepp, no cleartext\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1878#comments\" target=\"_blank\">hpr1878</a></strong>\n(2015-10-14) \"<em>What\'s In My Bag</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1878#1\" target=\"_blank\">Comment 1</a>:\nErik on 2015-12-28:\n\"Commands\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1894#comments\" target=\"_blank\">hpr1894</a></strong>\n(2015-11-05) \"<em>Interview with Davide Zilli and Dr Marianne Sinka of the HumBug Project</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.\n<ul>    <li><a href=\"https://hackerpublicradio.org/eps.php?id=1894#3\" target=\"_blank\">Comment 3</a>:\nClinton Roy on 2015-12-10:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1898#comments\" target=\"_blank\">hpr1898</a></strong>\n(2015-11-11) \"<em>Free my music!</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0303.html\" target=\"_blank\">Alpha32</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1898#2\" target=\"_blank\">Comment 2</a>:\nFrank on 2015-12-20:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1906#comments\" target=\"_blank\">hpr1906</a></strong>\n(2015-11-23) \"<em>Apt Spelunking 2: tvtime, phatch, and xstarfish</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0215.html\" target=\"_blank\">Windigo</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1906#2\" target=\"_blank\">Comment 2</a>:\nWindigo on 2015-12-01:\n\"Re: Phatch\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1906#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2015-12-02:\n\"Re: Phatch\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1907#comments\" target=\"_blank\">hpr1907</a></strong>\n(2015-11-24) \"<em>Charlie Reisinger and Penn Manor</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1907#2\" target=\"_blank\">Comment 2</a>:\nCharles in NJ  on 2015-12-23:\n\"Penn Manor\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1909#comments\" target=\"_blank\">hpr1909</a></strong>\n(2015-11-26) \"<em>Creating an Open, Embedded-Media Music Textbook</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>     <li><a href=\"https://hackerpublicradio.org/eps.php?id=1909#4\" target=\"_blank\">Comment 4</a>:\nFrank on 2015-12-01:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1910#comments\" target=\"_blank\">hpr1910</a></strong>\n(2015-11-27) \"<em>QMMP--The Qt-based MultiMedia Player</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a>.\n<ul>     <li><a href=\"https://hackerpublicradio.org/eps.php?id=1910#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2015-12-02:\n\"Nostalgia\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1910#5\" target=\"_blank\">Comment 5</a>:\nFrank on 2015-12-02:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1914#comments\" target=\"_blank\">hpr1914</a></strong>\n(2015-12-03) \"<em>Waking up</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0243.html\" target=\"_blank\">Jezra</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1914#1\" target=\"_blank\">Comment 1</a>:\nWindigo on 2015-12-04:\n\"One-upped\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1916#comments\" target=\"_blank\">hpr1916</a></strong>\n(2015-12-07) \"<em>HPR Community News for November 2015</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1916#1\" target=\"_blank\">Comment 1</a>:\nCharles in NJ  on 2015-12-21:\n\"Experts Exchange\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1917#comments\" target=\"_blank\">hpr1917</a></strong>\n(2015-12-08) \"<em>OpenSource.com</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1917#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp  on 2015-12-08:\n\"A possible outlet\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1918#comments\" target=\"_blank\">hpr1918</a></strong>\n(2015-12-09) \"<em>DerbyCon Interview with Dave Kennedy</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0079.html\" target=\"_blank\">Xoke</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1918#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2015-12-25:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1924#comments\" target=\"_blank\">hpr1924</a></strong>\n(2015-12-17) \"<em>Port Forwarding</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1924#1\" target=\"_blank\">Comment 1</a>:\nKevin O&#39;Brien on 2015-12-16:\n\"Great show!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1928#comments\" target=\"_blank\">hpr1928</a></strong>\n(2015-12-23) \"<em>Cov&apos;s Jams</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0322.html\" target=\"_blank\">Cov</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1928#1\" target=\"_blank\">Comment 1</a>:\nA Shadowy Figure on 2015-12-24:\n\"Nice mix Cov\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1928#2\" target=\"_blank\">Comment 2</a>:\ntcuc on 2015-12-31:\n\"nice, i cant &aring; wait for more.\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1928#3\" target=\"_blank\">Comment 3</a>:\nDavid L. Willson on 2015-12-31:\n\"Yes\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1929#comments\" target=\"_blank\">hpr1929</a></strong>\n(2015-12-24) \"<em>I Found a Flashlight</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1929#1\" target=\"_blank\">Comment 1</a>:\nA Shadowy Figure on 2015-12-24:\n\"Thank you for this timely episode\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1930#comments\" target=\"_blank\">hpr1930</a></strong>\n(2015-12-25) \"<em>A systemd primer</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1930#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2015-12-29:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1931#comments\" target=\"_blank\">hpr1931</a></strong>\n(2015-12-28) \"<em>Atomic force microscopy</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0301.html\" target=\"_blank\">Amunizp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1931#1\" target=\"_blank\">Comment 1</a>:\nMysterio2 on 2015-12-27:\n\"Great show.\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1931#2\" target=\"_blank\">Comment 2</a>:\nA Shadowy Figure on 2015-12-28:\n\"Good job\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1932#comments\" target=\"_blank\">hpr1932</a></strong>\n(2015-12-29) \"<em>Klaatu interviews Grafana</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1932#1\" target=\"_blank\">Comment 1</a>:\nA Shadowy Figure on 2015-12-30:\n\"Good interview\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1933#comments\" target=\"_blank\">hpr1933</a></strong>\n(2015-12-30) \"<em>HPR AudioBookClub 11 Street Candles</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0157.html\" target=\"_blank\">HPR_AudioBookClub</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1933#1\" target=\"_blank\">Comment 1</a>:\nlostnbronx on 2015-12-10:\n\"Wow, Thanks So Much!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1934#comments\" target=\"_blank\">hpr1934</a></strong>\n(2015-12-31) \"<em>Experiencing the Meegopad T-02  Part two</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0308.html\" target=\"_blank\">A Shadowy Figure</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1934#1\" target=\"_blank\">Comment 1</a>:\nA Shadowy Figure on 2015-12-15:\n\"Updated Show Notes\"</li> </ul>\n</li>\n</ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(3963,'2023-10-11','Storytelling Games',1158,'Three storytelling-based games, and some thoughts on role-playing games','<p>The games mentioned were:</p>\n<p><a\nhref=\"https://boardgamegeek.com/boardgame/20545/rorys-story-cubes\">Rory\'s\nStory Cubes</a><br />\n<a href=\"https://boardgamegeek.com/boardgame/1784/dark-cults\">Dark\nCults</a><br />\n<a\nhref=\"https://boardgamegeek.com/boardgame/1234/once-upon-time-storytelling-card-game\">Once\nUpon a Time</a></p>\n<p><a\nhref=\"https://boardgamegeek.com/image/140637/once-upon-time-dark-tales\">Examples\nof <em>ending cards</em> in the \"Dark Tales\" expansion of Once Upon a\nTime</a></p>\n<p><a href=\"https://mastodon.xyz/@klaatu/110816933164566050\">Klaatu\'s\nMastodon post about Dark Cults</a></p>\n',399,95,0,'CC-BY-SA','storytelling',0,0,1),
(1751,'2015-04-20','How I got into Linux',1114,'How I got into linux, LFS and where I use Linux now.','<p>\r\nMy third show, its my How I got into Linux show, Crunchbang for the win, thank you Corenominal. \r\n</p>\r\n<p>\r\nI actually wrote some of this up before I recorded my first show. I wasn\'t happy that I did a good enough job originally. However I decided to make use of a rainy day and get it updated and recorded.  I cut out a chunk of rambling about floppy drive cleaners, and stuck some more up to date info on the end.\r\n</p>',240,29,0,'CC-BY-SA','Crunchbang',0,0,1),
(1752,'2015-04-21','Penguicon 2015 Promo',1838,'Penguicon 2015 happens on April 24-26, 2015 in Southfield, Michigan','<p>\r\nPenguicon 2015 is a combined technology and sicence fiction convention in Southfield, Michigan, a suburb of Detroit, and will present over 350 hours of programming over the entire weekend. Of this, around 100 hours are open source, tech-related. In this episode I try to cover the coming attractions of the weekend and maybe entice some people to come join us. It will be a great weekend.\r\n</p>\r\n\r\n<h3>Links:</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://2015.penguicon.org/\">https://2015.penguicon.org/</a>\r\n</li>\r\n</ul>',198,96,0,'CC-BY-SA','Penguicon,Open Source,Science Fiction,Convention',0,0,1),
(1753,'2015-04-22','Introducing a 5 year old to Sugar on Toast',901,'This is a podcast in Spanglish (some spanish, some english) with a 5 year old and a 1 year old.','<p>\r\nThis was me introducing my 5 year old to her new laptop with Sugar on Toast. \r\n</p>\r\n<p>\r\nA family member had no use for an old 7 year old netbook so I installed the trisquel version of Sugar, the one laptop per child operating system.\r\n</p>\r\n<p>\r\nThis is a response to this episode: <a href=\"https://hackerpublicradio.org/eps.php?id=1726\">https://hackerpublicradio.org/eps.php?id=1726</a> I find it ticks all the boxes. \r\n</p>\r\n<p>\r\nRecorded with a phone and spoken mainly in a different language. I did conversion to FLAC from a mono mp3 probably the same if I just uploaded the MP3 directly. No editing was done. \r\n</p>',301,0,0,'CC-BY-SA','5 year old',0,0,1),
(1754,'2015-04-23','D7? Why Seven?',832,'I explain what 7th chords are and when to use them.','<p>In this episode I respond to one of the community-requested topics (\"Music Theory\") and try to explain what <strong>seventh chords</strong> are and why they are used. Below are some of the terms that I use in the course of the discussion.</p> \r\n\r\n<ul>\r\n<li><strong>Interval</strong>: The distance between two pitches (sounded either consecutively or simultaneously)</li>\r\n<li><strong>Consonance</strong>: Relatively stable sound between two or more pitches</li>\r\n<li><strong>Dissonance</strong>: Relatively unstable sound between two or more pitches. Dissonance often needs a &quot;resolution&quot; to consonance</li>\r\n<li><strong>Chord</strong>: three or more notes sounded together </li>\r\n<li><strong>Chord progression</strong>: a succession of chords </li>\r\n<li><strong>Triad</strong>: a chord with 3 pitches, the adjacent pitches separated by the interval of the 3rd.</li>\r\n<li><strong>Seventh chord</strong>: a chord with 4 pitches, the adjacent pitches separated by the interval of the 3rd.</li>\r\n<li><strong>Tonality</strong>: harmonic system that governs the use of major and minor keys</li>\r\n<li><strong>Tonic</strong>: the central tone of a piece of music</li>\r\n<li><strong>Mode</strong>: major or minor [e.g. Symphony no. 5 in C minor]</li>\r\n<li><strong>Modulation</strong>: the process of changing keys within a piece of music </li>\r\n<li><strong>Scale</strong>: Ascending or descending series of notes that define a key or tonality, with a specific arrangements of half-steps and whole-steps. Major and Minor scales are most common in Western music</li>\r\n</ul>\r\n\r\n\r\n<p>Free public-domain music reference book: <em>Music Notation and Terminology</em> by Karl Wilson Gehrkens: <a href=\"https://www.gutenberg.org/ebooks/19499\">https://www.gutenberg.org/ebooks/19499</a> (see ch. 18)</p>\r\n\r\n<p>Free Online Music Dictionary: <a href=\"https://dictionary.onmusic.org\">https://dictionary.onmusic.org</a>/</p>',238,0,0,'CC-BY-SA','chords, music theory, music, harmony',0,0,1),
(1756,'2015-04-27','Ranger File Manager',1340,'Introduction to the ranger command line file manager','<p>From Man Page:</p>\n <blockquote>\n  <p>DESCRIPTION<br /> ranger is a console file manager with VI key bindings. It provides a minimalistic and nice curses interface with a view on the directory hierarchy. The secondary task of ranger is to figure out which program you want to use to open your files with.</p>\n  <p>This manual mainly contains information on the usage of ranger. Refer to the README for install instructions and to doc/HACKING for development specific information. For configuration, see the files in ranger/config. They are usually installed to /etc/ranger/config and can be obtained with ranger\'s --copy-config option.</p>\n  <p>Inside ranger, you can press 1? for a list of key bindings, 2? for a list of commands and 3? for a list of settings.</p>\n </blockquote>\n <ul>\n  <li>Project page: <a href=\"https://ranger.nongnu.org/\">https://ranger.nongnu.org/</a>. Has pretty good documentation</li>\n  <li>Available on Debian, Arch, Probably others, git and mailing list available as well.</li>\n </ul>\n <p><img alt=\"screenshot\" src=\"https://ranger.nongnu.org/screenshots/screenshot0.png\" /></p>\n <h2 id=\"features\">Features</h2>\n <ul>\n  <li>3-pane view: <ul>\n    <li>Previous -&gt; current -&gt; next</li>\n    <li>When current is a file, uses file magic and other programs to preview the file</li>\n    <li>optional dependencies for previews: <ul>\n      <li>img2txt from caca-utils for ASCII-art</li>\n      <li>highlight for syntax highlights</li>\n      <li>atool for archives</li>\n      <li>lynx/w3m/elinks for html</li>\n      <li>pdftotext for pdfs</li>\n      <li>transmission-show for bittorrent information</li>\n      <li>mediainfo or exiftool for mediafile info</li>\n     </ul>\n    </li>\n    <li>Color coded, with three themes to choose from</li>\n    <li>One more over to the right opens the file from other programs</li>\n   </ul>\n  </li>\n </ul>\n <h2 id=\"configuration\">Configuration</h2>\n <ul>\n  <li>located in ~/.config/ranger directory</li>\n  <li>rc.conf = keybindings and settings</li>\n  <li>commands.py = command-mode items</li>\n  <li>rifle.conf = file launcher options, which let you make custom file opener commands</li>\n  <li>scope.sh = custom file preview scripts, like mdview</li>\n </ul>\n <h2 id=\"navigation\">Navigation</h2>\n <ul>\n  <li>up, down, left, right, or h,j,k,l</li>\n  <li>gg top G Bottom</li>\n  <li>E edit</li>\n  <li>pageup/down</li>\n </ul>\n <h2 id=\"command-commands\">Command commands</h2>\n <ul>\n  <li>spacebar to mark or :mark for pattern</li>\n  <li>dd, yy, pp</li>\n  <li>:touch, :mkdir, :grep</li>\n  <li>del</li>\n  <li>rename and bulkrename (change from ranger.container.file import File to <em>.fsobject.</em>)</li>\n  <li>zh - toggle hidden</li>\n  <li>gn - new tab, gt or gT to navigate tabs</li>\n  <li>/ search vile</li>\n  <li>V visual mode</li>\n  <li>:open_with</li>\n  <li>1? = list key bindings</li>\n  <li>2? list commands</li>\n  <li>3? list settings</li>\n  <li>? main help</li>\n </ul>',300,0,0,'CC-BY-SA','ranger,file manager,console',0,0,1),
(1760,'2015-05-01','pdftk: the PDF Toolkit',1254,'Intro to the command-line pdf toolkit','<h2>Hacking Apart and Re-Assembling PDFs</h2>\r\n\r\n<p>Extract pages 3&ndash;5 from file <code>foobar.pdf</code>:</p>\r\n\r\n<pre>\r\npdftk foobar.pdf cat 3-5 output excerpt.pdf\r\n</pre>\r\n\r\n<p>Same thing but also grab the cover page:</p>\r\n\r\n<pre>\r\npdftk foobar.pdf cat 1 3-5 output excerpt.pdf\r\n</pre>\r\n\r\n<p>Combine multiple PDFs:</p>\r\n\r\n<pre>\r\npdftk file1.pdf file2.pdf file3.pdf cat output combined.pdf\r\n</pre>\r\n\r\n<p>Reassemble a 50-page document with all of the pages in reverse order (I once actually did this for my wife and she was very grateful&mdash;she had scanned an article at the library and it ended up with all of the pages in the wrong order from last to first. This command solved her problem in about one second.):</p>\r\n\r\n<pre>\r\npdftk wrongorder.pdf cat 50-1 output rightorder.pdf\r\n</pre>\r\n\r\n<p>Check the pdftk man page for all kinds of other manipulations you can do, including \"bursting\" a PDF into its component pages, rotating pages in any direction, applying password protection, etc. </p>\r\n\r\n<h2>Embedding “Bookmarks” as a Table of Contents</h2>\r\n\r\n<p>You can also use <code>pdftk</code> to embed a table of contents in a flat PDF file. This is incredibly useful, as it can make large, unwieldy files very easy to navigate. All you have to do is add some bookmark data in a fairly straightforward format as shown below.  As a starting point you should that dump the current metadata content of the file with this command:</p>\r\n\r\n<pre>\r\npdftk foobar.pdf dump_data_utf8\r\n</pre>\r\n\r\n<p>Save the contents of this data dump in a text file and then add bookmark information just below the <code>NumberOfPages</code> value. Here is an excerpt from the huge anthology of public-domain scores I assembled for my music history class:</p>\r\n\r\n<pre>\r\nInfoBegin\r\nInfoKey: ModDate\r\nInfoValue: D:20150106100000-06\'00\'\r\nInfoBegin\r\nInfoKey: CreationDate\r\nInfoValue: D:20150106100000-06\'00\'\r\nInfoBegin\r\nInfoKey: Creator\r\nInfoValue: pdftk 2.02 - www.pdftk.com\r\nInfoBegin\r\nInfoKey: Producer\r\nInfoValue: itext-paulo-155 (itextpdf.sf.net-lowagie.com)\r\nPdfID0: ece858bf9affbcad3b575cf3891a187f\r\nPdfID1: 23f89459e103dd43c6e7bc92028245c0\r\nNumberOfPages: 765\r\nBookmarkBegin\r\nBookmarkTitle: Beethoven: Symphony no. 5 in C minor Op. 67\r\nBookmarkLevel: 1\r\nBookmarkPageNumber: 205\r\nBookmarkBegin\r\nBookmarkTitle: Beethoven 5: I. Allegro con brio\r\nBookmarkLevel: 2\r\nBookmarkPageNumber: 205\r\nBookmarkBegin\r\nBookmarkTitle: Beethoven 5: II. Andante con moto\r\nBookmarkLevel: 2\r\nBookmarkPageNumber: 235\r\nBookmarkBegin\r\nBookmarkTitle: Beethoven 5: III. Allegro\r\nBookmarkLevel: 2\r\nBookmarkPageNumber: 256\r\nBookmarkBegin\r\nBookmarkTitle: Beethoven 5: IV. Allegro\r\nBookmarkLevel: 2\r\nBookmarkPageNumber: 275\r\n</pre>\r\n\r\n<p>And here is the command to update the PDF with the table of contents embedded. This tells it to take the input file  <code>foobar.pdf</code> and update its metadata using the file <code>foobar.info</code> (with utf8 encoding) and output the results as <code>foobar_with_toc.pdf</code>.</p>\r\n\r\n<pre>\r\npdftk foobar.pdf update_info_utf8 foobar.info output foobar_with_toc.pdf\r\n</pre>\r\n\r\n<h2>Links</h2>\r\n\r\n\r\n<ul>\r\n<li><code>pdftk</code> man page: <a href=\"https://www.pdflabs.com/docs/pdftk-man-page/\">https://www.pdflabs.com/docs/pdftk-man-page/</a></li>\r\n<li>PDF Labs: <a href=\"https://www.pdflabs.com/docs/\">https://www.pdflabs.com/docs/</a></li>\r\n</ul>\r\n\r\n<h2>Update</h2>\r\n<p>I made a screencast as a follow-up, showing the process of embedding bookmarks to make a table of contents:\r\n<a href=\"https://m.youtube.com/watch?v=5dv_02v0zzc\">https://m.youtube.com/watch?v=5dv_02v0zzc</a></p>\r\n',238,0,0,'CC-BY-SA','pdftk,pdf',0,0,1),
(1770,'2015-05-15','The OpenDyslexic Font',1087,'Introduction to the OpenDyslexic font','<p>In this episode I talk about how you can take advantage of the OpenDyslexic font as a user, and also how as a content provider you can use it to help your readers. Incidentally, we also talked about this for a while during <a href=\"https://hackerpublicradio.org/eps.php?id=1418\">episode 1418</a>, one of the 2013 New-Year shows. </p>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n <li>OpenDyslexic\'s Website: <a href=\"https://opendyslexic.org/\">https://opendyslexic.org/</a></li>\r\n <li>Debian, Ubuntu package name: <code>fonts-opendyslexic</code></li>\r\n <li>Fedora package name: <code>opendyslexic-fonts</code></li>\r\n <li>Arch package name: <code>open-dyslexic-fonts</code></li>\r\n <li><a href=\"https://chrome.google.com/webstore/detail/opendyslexic/cdnapgfjopgaggbmfgbiinmmbdcglnam?hl=en\">Chrome Browser Extension</a></li>\r\n <li><a href=\"https://addons.mozilla.org/en-us/firefox/addon/opendyslexic/\">Firefox Browser Add-on</a></li>\r\n <li>CSS3 Web Fonts Documentation: <a href=\"https://www.w3schools.com/css/css3_fonts.asp\">https://www.w3schools.com/css/css3_fonts.asp</a></li>\r\n <li>Download dyslexic-friendly version of counterpoint books: <a href=\"https://jonathankulp.org/gratis.html\">https://jonathankulp.org/gratis.html</a></li>\r\n</ul>',238,79,0,'CC-BY-SA','Accessibility, Fonts, Typesetting, Web design, Dyslexia',0,0,1),
(1779,'2015-05-28','Cowsay and Figlet',944,'Cowsay and Figlet: Two fun ASCII text commands','<h2>Basic commands</h2>\r\n\r\n\r\n<h3>Make default cow speak:</h3>\r\n	<blockquote>\r\n		<code>cowsay &quot;Hacker Public Radio&quot;</code> \r\n	</blockquote>\r\n\r\n<p>Result:</p>\r\n\r\n<pre>\r\n _____________________\r\n&lt; Hacker Public Radio &gt;\r\n ---------------------\r\n        \\   ^__^\r\n         \\  (oo)\\_______\r\n            (__)\\       )\\/\\\r\n                ||----w |\r\n                ||     ||\r\n</pre>\r\n\r\n<h2>Modes</h2>\r\n\r\n<ul style=\"list-style: none;\">\r\n<li>-b Borg mode; </li>\r\n<li>-d dead;</li>\r\n<li>-g greedy mode; </li>\r\n<li>-p causes a state of paranoia to come over the cow; </li>\r\n<li>-s makes the cow appear thoroughly stoned; </li>\r\n<li>-t yields a tired cow; </li>\r\n<li>-w is somewhat the  opposite  of -t,  and  initiates wired mode; </li>\r\n<li>-y brings on the cow\'s youthful appearance.</li>\r\n</ul>\r\n\r\n<h3>Use \"tired\" cow mode:</h3>\r\n\r\n<blockquote>\r\n<code>cowsay -t &quot;Ken is tired of begging for shows&quot;</code>\r\n</blockquote>\r\n\r\n<p>Result:</p>\r\n\r\n<pre>\r\n ___________________________________\r\n&lt; Ken is tired of begging for shows &gt;\r\n -----------------------------------\r\n        \\   ^__^\r\n         \\  (--)\\_______\r\n            (__)\\       )\\/\\\r\n                ||----w |\r\n                ||     ||\r\n</pre>\r\n\r\n<h3>Specify different images with <code>-f</code></h3>\r\n\r\n<p>Threaten someone with a dragon:</p>\r\n\r\n<blockquote>\r\n<code>cowsay -f dragon \'record and upload a show OR ELSE!\'</code>\r\n</blockquote>\r\n\r\n<p>Result:</p>\r\n\r\n\r\n<pre>\r\n ___________________________________\r\n&lt; record and upload a show OR ELSE! &gt;\r\n -----------------------------------\r\n      \\                    / \\  //\\\r\n       \\    |\\___/|      /   \\//  \\\\\r\n            /0  0  \\__  /    //  | \\ \\    \r\n           /     /  \\/_/    //   |  \\  \\  \r\n           @_^_@\'/   \\/_   //    |   \\   \\ \r\n           //_^_/     \\/_ //     |    \\    \\\r\n        ( //) |        \\///      |     \\     \\\r\n      ( / /) _|_ /   )  //       |      \\     _\\\r\n    ( // /) \'/,_ _ _/  ( ; -.    |    _ _\\.-~        .-~~~^-.\r\n  (( / / )) ,-{        _      `-.|.-~-.           .~         `.\r\n (( // / ))  \'/\\      /                 ~-. _ .-~      .-~^-.  \\\r\n (( /// ))      `.   {            }                   /      \\  \\\r\n  (( / ))     .----~-.\\        \\-\'                 .~         \\  `. \\^-.\r\n             ///.----..&gt;        \\             _ -~             `.  ^-`  ^-_\r\n               ///-._ _ _ _ _ _ _}^ - - - - ~                     ~-- ,.-~\r\n                                                                  /.-~\r\n</pre>\r\n\r\n<p>On Linux, praise <a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a> with a Random Cow:</p>\r\n\r\n<blockquote>\r\n<code>echo \'Ahuka Rocks!\' | cowsay -f $(locate *.cow | shuf -n1)</code>\r\n</blockquote>\r\n\r\n<p>One Result:</p>\r\n\r\n<pre>\r\n ______________\r\n< Ahuka Rocks! >\r\n --------------\r\n        \\    ,-^-.\r\n         \\   !oYo!\r\n          \\ /./=\\.\\______\r\n               ##        )\\/\\\r\n                ||-----w||\r\n                ||      ||\r\n\r\n               Cowth Vader\r\n\r\n</pre>\r\n\r\n<h2>Figlet</h2>\r\n\r\n<p>Make ASCII banner text with figlet. This one uses the default font and wraps the lines at 45 characters:\r\n</p>\r\n\r\n<blockquote>\r\n<code>figlet -w 45 &quot;Hacker Public Radio&quot;</code>\r\n</blockquote>\r\n\r\n<p>Result:</p>\r\n\r\n\r\n<pre>\r\n _   _            _             \r\n| | | | __ _  ___| | _____ _ __ \r\n| |_| |/ _` |/ __| |/ / _ \\ \'__|\r\n|  _  | (_| | (__|   <  __/ |   \r\n|_| |_|\\__,_|\\___|_|\\_\\___|_|   \r\n                                \r\n ____        _     _ _      \r\n|  _ \\ _   _| |__ | (_) ___ \r\n| |_) | | | | \'_ \\| | |/ __|\r\n|  __/| |_| | |_) | | | (__ \r\n|_|    \\__,_|_.__/|_|_|\\___|\r\n                            \r\n ____           _ _       \r\n|  _ \\ __ _  __| (_) ___  \r\n| |_) / _` |/ _` | |/ _ \\ \r\n|  _ < (_| | (_| | | (_) |\r\n|_| \\_\\__,_|\\__,_|_|\\___/ \r\n                          \r\n</pre>\r\n\r\n<p>Use an alternate font with <code>-f</code> option:</p>\r\n\r\n<blockquote>\r\n	<code>figlet -f digital &quot;Community News&quot;</code>\r\n</blockquote>\r\n\r\n\r\n<pre>\r\n+-+-+-+-+-+-+-+-+-+ +-+-+-+-+\r\n|C|o|m|m|u|n|i|t|y| |N|e|w|s|\r\n+-+-+-+-+-+-+-+-+-+ +-+-+-+-+\r\n</pre>\r\n\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li>My random <code>cowsay</code> \"is it Friday yet\" page: <a href=\"https://jonkulp.net/iify.html\">https://jonkulp.net/iify.html</a></li>\r\n	<li>Cowsay for Android: <a href=\"https://play.google.com/store/apps/details?id=ch.fixme.cowsay&hl=en\">https://play.google.com/store/apps/details?id=ch.fixme.cowsay&amp;hl=en</a></li>\r\n	<li>cowsay(1) - Linux man page<a href=\"https://linux.die.net/man/1/cowsay\">https://linux.die.net/man/1/cowsay</a></li>\r\n	<li>figlet(6) - Linux man page: <a href=\"https://linux.die.net/man/6/figlet\">https://linux.die.net/man/6/figlet</a></li>\r\n</ul>\r\n',238,0,1,'CC-BY-SA','Linux, scripting, command line, ASCII',0,0,1),
(1757,'2015-04-28','Useful Bash functions',1662,'Some Bash functions that may be of use in your scripts','<h2 id=\"overview\">Overview</h2>\r\n<p>I enjoy writing Bash scripts to solve various problems. In particular I have a number of scripts I use to manage the process of preparing a show for HPR, which I am developing at the moment.</p>\r\n<p>My more complex Bash scripts use a lot of functions to perform the various tasks, and, in the nature of things, some of these functions can be of use in other scripts and are shared between them.</p>\r\n<p>I thought I would share some of these functions with HPR listeners in the hopes that they might be useful. It would also be interesting to receive feedback on these functions and would be great if other Bash users contributed ideas of their own.</p>\r\n<h2 id=\"full-notes\">Full Notes</h2>\r\n<p>Since the notes explaining this subject are long, they have been placed here: <a href=\"https://hackerpublicradio.org/eps/hpr1757_full_shownotes.html\">https://hackerpublicradio.org/eps/hpr1757_full_shownotes.html</a>, and an experimental <em>ePub</em> version is available here: <a href=\"https://hackerpublicradio.org/eps/hpr1757_full_shownotes.epub\">https://hackerpublicradio.org/eps/hpr1757_full_shownotes.epub</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ol type=\"1\">\r\n<li><em>Bash Support</em> Vim plugin: <a href=\"https://www.vim.org/scripts/script.php?script_id=365\">https://www.vim.org/scripts/script.php?script_id=365</a></li>\r\n<li>HPR episode <em>Bash parameter manipulation</em>: <a href=\"https://hackerpublicradio.org/eps.php?id=1648\">https://hackerpublicradio.org/eps.php?id=1648</a></li>\r\n<li>How to write functions (from <em>The Linux Documentation Project</em>):\r\n<ul>\r\n<li><em>Functions</em>: <a href=\"https://tldp.org/LDP/abs/html/functions.html\">https://tldp.org/LDP/abs/html/functions.html</a></li>\r\n<li><em>Complex Functions and Function Complexities</em>: <a href=\"https://tldp.org/LDP/abs/html/complexfunct.html\">https://tldp.org/LDP/abs/html/complexfunct.html</a></li>\r\n<li><em>Examples of functions in scripts</em>: <a href=\"https://tldp.org/LDP/Bash-Beginners-Guide/html/sect_11_02.html\">https://tldp.org/LDP/Bash-Beginners-Guide/html/sect_11_02.html</a></li>\r\n</ul></li>\r\n<li>Download the <em>pad</em> and <em>yes_no</em> functions: <a href=\"https://hackerpublicradio.org/eps/hpr1757_functions.sh\">https://hackerpublicradio.org/eps/hpr1757_functions.sh</a></li>\r\n</ol>',225,42,1,'CC-BY-SA','coding,Bash,script,function',0,0,1),
(1758,'2015-04-29','Cool Stuff part 3',1543,'CPrompt talks about some more cool stuff for you to check out!','<h3>Radiotopia</h3>\r\n\r\n<p>\r\n<a href=\"https://www.radiotopia.fm/\">https://www.radiotopia.fm/</a>\r\n</p>\r\n<p>\r\nA part of PRX (Public Radio Exchange), they are a collection of story-driven podcasts sponsored in part\r\nby the Knight Foundation.\r\n</p>\r\n<p>\r\nPRX : <a href=\"https://www.prx.org/\">https://www.prx.org/</a>\r\n</p>\r\n<p>\r\nKnight Foundation : <a href=\"https://www.knightfoundation.org\">https://www.knightfoundation.org</a>\r\n</p>\r\n<p>\r\nHeaded up by their flagship podcast 99% Invisible which is based on architecture and design and hosted by \r\nRoman Mars\r\n</p>\r\n\r\n<h3>urxvt256c</h3>\r\n\r\n<p>\r\nrxvt = Roberts XVT.  X = X Window System, VT = VT102 terminal\r\n</p>\r\n<p>\r\nVT Terminal : <a href=\"https://www.en.wikipedia.org/wiki/VT100\">https://www.en.wikipedia.org/wiki/VT100</a>\r\n</p>\r\n<p>\r\nrxvt started as a replacement for xterm.  Written by Rob Nation\r\n<a href=\"https://en.wikipedia.org/wiki/Rxvt\">https://en.wikipedia.org/wiki/Rxvt</a>\r\n</p>\r\n<p>\r\nForked by Marc Lehmann and called rxvt-unicode or urxvt.  \r\nGave features such as transparency, Perl extensions and better font support\r\n<a href=\"https://en.wikipedia.org/wiki/Rxvt-unicode\">https://en.wikipedia.org/wiki/Rxvt-unicode</a>\r\n</p>\r\n<p>\r\nUses the .xdefaults configuration file in your home directory for customizations.\r\n</p>\r\n\r\n<h3>Phil Plait\'s Crash Course Astronomy</h3>\r\n\r\n<p>\r\nAlso known as The Bad Astronomer\r\n</p>\r\n<p>\r\nWikipedia : <a href=\"https://en.wikipedia.org/wiki/Phil_Plait\">https://en.wikipedia.org/wiki/Phil_Plait</a>\r\n</p>\r\n<p>\r\nBlogs at Slate : <a href=\"https://www.slate.com/authors.phil_plait.html\">https://www.slate.com/authors.phil_plait.html</a>\r\n</p>\r\n<p>\r\nTed Talks : <a href=\"https://www.ted.com/speakers/phil_plait\">https://www.ted.com/speakers/phil_plait</a>\r\n</p>\r\n<p>\r\nCrash Course on YouTube:\r\n<a href=\"https://www.youtube.com/playlist?list=PL8dPuuaLjXtPAJr1ysd5yGIyiSFuh0mIL\">https://www.youtube.com/playlist?list=PL8dPuuaLjXtPAJr1ysd5yGIyiSFuh0mIL</a>\r\n</p>',252,0,0,'CC-BY-SA','Radiotopia,urxvt256c,astronomy',0,0,1),
(1759,'2015-04-30','A brief review of Firefox OS',1007,'I recently bought a Geeksphone Revolution and this is my review of running Firefox OS on it.','<p>\r\nThis is phone I\'m using: <a href=\"https://www.geeksphone.com/#the-phone\">https://www.geeksphone.com/#the-phone</a>\r\n</p>\r\n<p>\r\nAnd here are some useful links about Firefox OS:\r\n</p>\r\n<p>\r\nThe marketplace (app store): <a href=\"https://marketplace.firefox.com/\">https://marketplace.firefox.com/</a>\r\n</p>\r\n<p>\r\nThe marketing site: <a href=\"https://www.mozilla.org/en-US/firefox/os/2.0/\">https://www.mozilla.org/en-US/firefox/os/2.0/</a>\r\n</p>\r\n<p>\r\nDeveloper documentation: <a href=\"https://developer.mozilla.org/en-US/Firefox_OS\">https://developer.mozilla.org/en-US/Firefox_OS</a>\r\n</p>',302,0,0,'CC-BY-SA','mobile,firefox,operating system,review',0,0,1),
(1762,'2015-05-05','HPR Audio Book Club 10',7043,'In this episode, the HPR_AudioBookClub reviews Revolution Radio by Seth Kenlon','<h3>SUMMARY</h3>\r\n<p>In this episode, the HPR_AudioBookClub reviews Revolution Radio by Seth Kenlon. You can download this AudioBook for free from <a href=\"https://aesdiopod.com/books/\">https://aesdiopod.com/books/</a>.</p>\r\n<h3>Pre-Spoilers</h3>\r\n<ul>\r\n <li>Thaj: I really loved this book. It hits me in a lot of the right spots as a person. I thought it had a very cinematic feel about it.  I enjoyed the story, but in many ways I enjoyed the world it was set in even more. </li>\r\n <li>x1101: Slow start, but finally builds to a very engaging story exploring many interesting social and political issues</li>\r\n <li>Pokey: Slow start, really liked the story right from the start, but found the setting a little far fetched.</li>\r\n</ul>\r\n<p>We all liked the pace of the story, as well as the reading and the audio quality. Overall this is a very polished work, even though there is some noise intentionally added at times.</p>\r\n<h3>BEVERAGE REVIEWS</h3>\r\n<p>As usual, the HPR_AudioBookClub took some time to review the beverages that each of us were drinking during the episode</p>\r\n<ul>\r\n <li>Thaj: I am a sad panda because they grocery store had no lemons to make my AWESOME homemade lemonade.  Unfortunately, I had to resort to pre-made lemonade that tastes like sugar water.  Check this <a href=\"https://www.simplyorangejuice.com/product/lemonade.jsp?WT.srch=1&utm_source=google&utm_medium=cpc&utm_term=simply%20lemonade&utm_campaign=goog_sch_br_brand%20|%20lemonade%20|%20broad\">nutritional information</a></li>\r\n <li>x1101 <a href=\"https://www.dogfish.com/brews-spirits/the-brews/occassional-rarities/120-minute-ipa.htm\">Dogfish head 120 minute IPA</a>This beer has a nice hoppy and citrus nose to it with a smooth, silky mouth feel. This beverage features subtle hoppy notes and a slightly smoky finish. Also, ~15% ABV, so I might have been a touch loopy the rest of the show</li>\r\n <li>Pokey had a Sam Adams Summer Ale. Nice flavor, but not a lot of it. Refreshing with a hint of citrus. Very drinkable, but not mind blowing. I suspect this beer appeals to a wide audience. I\'ve been on more of a \"specialty\" beer kick for a while, so this was almost disapointing.<a href=\"https://www.samueladams.com/craft-beers/summer-ale\">https://www.samueladams.com/craft-beers/summer-ale/</a></li>\r\n</ul>\r\n<h3>Other Links</h3>\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Catechism_of_a_Revolutionary\">Catechism of a Revolutionary</a>[Thaj]</li>\r\n</ul>\r\n<h3>OUR NEXT AUDIOBOOK</h3>\r\n<p><strong>Street Candles</strong> by David Collins-Rivera\r\n <br/><a href=\"https://www.cavalcadeaudio.com/stardrifter.html\">https://www.cavalcadeaudio.com/stardrifter.html</a></p>\r\n<p>We\'re still really excited about this AudioBook not only because the author is an HPR community member (lostinbronx), but also because the book is really good! </p>\r\n<p>David Collins-Rivera\'s personal blog: <a href=\"https://www.cavalcadeaudio.com/index.html\">https://www.cavalcadeaudio.com/index.html</a>\r\n <br/>David Collins-Rivera\'s HPR correspondent page: <a href=\"https://hackerpublicradio.org/correspondents/0107.html\">https://hackerpublicradio.org/correspondents/0107.html</a></p>\r\n<h3>NEXT RECORDING</h3>\r\n<p>Our next book club recording will be 2014/09/09T23:00:00+00:00. <a href=\"https://en.wikipedia.org/wiki/ISO_8601#Times\">https://en.wikipedia.org/wiki/ISO_8601#Times</a> If you\'d like a Google calendar invite, or if you\'d like to be on the HPR_AudioBookClub mailing list, please get in contact with us on the HPR mailing list \'hpr at hackerpublicradio dot org\'</p>\r\n<h3>OUR AUDIO</h3>\r\n<p>This episode was processed using Audacity <a href=\"https://audacity.sourceforge.net/\">https://audacity.sourceforge.net/</a>. We\'ve been making small adjustments to our audio mix each month in order to get the best possible sound. It\'s been especially challenging getting all of our voices relatively level, because everyone has their own unique setup. Mumble is great for bringing us all together, and for recording, but it\'s not good at making everyone\'s voice the same volume. We\'re pretty happy with the way this month\'s show turned out, so we\'d like to share our editing process and settings with you and our future selves (who, of course, will have forgotten all this by then).</p>\r\n<p>Mumble uses a sample rate of 48kHz, but HPR requires a sample rate of 44.1kHz so the first step in our audio process is to resample the file at 44.1kHz. Resampling can take a long time if you don\'t have a powerful computer, and sometimes even if you do. If you record late at night, like we do, you may want to start the task before you go to bed, and save it first thing in the morning, so that the file is ready to go the next time you are.</p>\r\n<p>Next we use the \"Compressor\" effect with the following settings:</p>\r\n <ul>\r\n  <li>Threshold: -30db</li>\r\n  <li>Noise Floor: -50db</li>\r\n  <li>Ratio: 3:1</li>\r\n  <li>Attack Time: 0.2sec</li>\r\n  <li>Decay Time: 1.0 sec</li>\r\n  <li>\"Make-up Gain for 0db after compressing\" and \"compress based on peaks\" were both left un-checked.</li>\r\n </ul>\r\n<p>After compressing the audio we cut any pre-show and post-show chatter from the file and save them in a separate file for possible use as outtakes after the closing music.</p>\r\n<p>At this point we listen back to the whole file and we work on the shownotes. This is when we can cut out anything that needs to be cut, and we can also make sure that we put any links in the shownotes that were talked about during the recording of the show. We finish the shownotes before exporting the .aup file to .FLAC so that we can paste a copy of the shownotes into the audio file\'s metadata. We use the \"Truncate Silence\" effect with its default settings to minimize the silence between people speaking. When used with its default (or at least reasonable) settings, Truncate Silence is extremely effective and satisfying. It makes everyone sound smarter, it makes the file shorter without destroying actual content, and it makes a conversations sound as easy and fluid during playback as it was while it was recorded. It can be even more effective if you can train yourself to remain silent instead of saying \"uuuuummmm.\" Just remember to ONLY pass the file through Truncate Silence ONCE. If you pass it through a second time, or if you set it too aggressively your audio may sound sped up and choppy.</p>\r\n<p>At this point we add new, empty audio tracks into which we paste the intro, outro and possibly outtakes, and we rename each track accordingly.</p>\r\n<p>We adjust the Gain so that the VU meter in Audacity hovers around -12db while people are speaking, and we try to keep the peaks under -6db, and we adjust the Gain on each of the new tracks so that all volumes are similar, and more importantly comfortable. Once this is done we can \"Mix and Render\" all of our tracks into a single track for export to the .FLAC file which is uploaded to the HPR FTP server.</p>\r\n<p>Remember to save often when using Audacity. We like to save after each of these steps. Audacity has a reputation for being \"crashy\" but if you remember to save after every major transform, you will wonder how it ever got that reputation.</p>\r\n<h3>FURTHER RECOMMENDATIONS</h3>\r\n<p>If you liked Pirate Radio, you may also like The movies <a href=\'https://www.imdb.com/title/tt0066434/\'>THX-1137</a>, <a href=\"https://www.imdb.com/title/tt0074812/\">Logan\'s Run</a> or <a href=\"https://www.imdb.com/title/tt0064473/\">The Illustrated Man.</a></p> \r\n<h3>FEEDBACK</h3>\r\n<p>Thank you very much for listening to this episode of the HPR_AudioBookClub. We had a great time recording this show, and we hope you enjoyed it as well. We also hope you\'ll consider joining us next time. Please leave a few words in the episode\'s comment section.\r\n <br/>As always; remember to visit the HPR contribution page HPR could really use your help right now.</p>\r\n<p><a href=\"https://hackerpublicradio.org/contribute.php\">https://hackerpublicradio.org/contribute.php</a></p>\r\n<p>Sincerely,\r\n <br/>The HPR_AudioBookClub</p>\r\n<p>P.S. Some people really like finding mistakes. For their enjoyment, we always include a few.</p>\r\n<p>1: The HPR_AudioBookClub doesn\'t laugh at anyone for reviewing tea, nor any other drink. We intentionally call the segment a \"beverage review,\" not a \"beer review\" so that no one should feel alienated. Also because some of us drink wine.</p>\r\n<p>2: The HPR_AudioBookClub <i>does</i> laugh when people try to spell flavor with a \"u\"</p>\r\n',157,53,1,'CC-BY-SA','HPR AudioBookClub',0,0,1),
(1763,'2015-05-06','Intro to Homebrewing',1209,'Beer! and the joy of making it.','<p>\r\nI talk a bit about homebrewing, how to do it, what it is, and how to get started. \r\nIf there is interest, I will do more in-depth shows on the topic, otherwise I will let it stand alone. \r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<p>\r\nI ramble on about brewing your own beer. Here are a few internet resources to help you along:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.midwestsupplies.com/\">https://www.midwestsupplies.com/</a>\r\n</li>\r\n<li><a href=\"https://www.amazon.com/The-Complete-Homebrewing-Fourth-Edition/dp/0062215752\">https://www.amazon.com/The-Complete-Homebrewing-Fourth-Edition/dp/0062215752</a>\r\n</li>\r\n<li><a href=\"https://www.amazon.com/The-Homebrewers-Companion-Charlie-Papazian/dp/0060584734\">https://www.amazon.com/The-Homebrewers-Companion-Charlie-Papazian/dp/0060584734</a>\r\n</li>\r\n<li><a href=\"https://www.homebrewersassociation.org/\">https://www.homebrewersassociation.org/</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nThis is my first episode ever, so any advice is greatly appreciated. My email is <a href=\"mailto:amneher007@gmail.com\">amneher007@gmail.com</a>\r\n</p>',303,0,1,'CC-BY-SA','brewing, beer, homebrewing',0,0,1),
(1764,'2015-05-07','Introduction to Rogue Class Linux',990,'Rogue Class Linux is a specialty distribution of Linux for playing the old games.','<p>\r\nRogue Class describes itself as \"a toy Linux distribution for playing games and reading books. RCL favors turn-based games, such as puzzles and rogue-like games. \"\r\n</p>\r\n<p>\r\nWhat are Rogue Class games?  According to a link at the Rogue Class website, Rogue Class games  are characterized by\r\n</p>\r\n<p>\r\n<ul>\r\n<li>\"Tactical play. The unit of action is based on the individual adventurer. The game is not twitch oriented (like Quake, rewarding reflexes &amp; well trained actions) nor is it strategy oriented (like Civilizations or Warcraft, requiring working on the large picture)</li>\r\n<li>\"Based in Hack and Slash. A roguelike isn\'t primarily about plot development or telling a story. It is about killing things and acquiring treasure.</li>\r\n<li>\"Random games. A roguelike is a dungeon crawler where no two games are the same. The maps are different, the items are different, there are no guaranteed win paths.</li>\r\n<li>\"Permadeath. You die, that is it. No restoring a savegame. Good roguelikes delete your save game after loading them. This is compensated by the replayability of the game.</li>\r\n<li>\"Complex interactions of properties. While the commands for a roguelike are simple, the potential interactions are not. My favourite example is equipping a silver ring as a weapon in order to damage a creature vulnerable to silver, but not one\'s other weapons. [Editor: This matches the Hack branch of the roguelike tree, not the Angband branch]</li>\r\n<li>\"Steam rolling monsters. If a critter is in your way, and weak, you shouldn\'t even notice it is there.\"</li>\r\n</ul>\r\n</p>\r\n<p>\r\n\r\n(Source:  <a href=\"https://www.zincland.com/powder/?pagename=about\">https://www.zincland.com/powder/?pagename=about</a>)\r\n</p>\r\n<p>\r\nRogue Class contains four dozen or so games, two of which are actually categories which in turn contain additional games, as well as a number of utilities, including a network manager, an IRC client, and more.  Some representative games include the following, picked quite at random:  Angband, Fargoal, Magus, Moria, Nethack, and Tome. \r\n</p>\r\n<p>\r\n\r\nIf you liked the old games, give Rogue Class a spin.\r\n</p>\r\n<p>\r\n\r\nWebsite:   <a href=\"https://rogueclass.org/\">https://rogueclass.org/</a>\r\n</p>\r\n<p>\r\n\r\nThe Rogue Class forum is located at Linux Questions.org: <a href=\"https://www.linuxquestions.org/questions/rogue-class-106/\">https://www.linuxquestions.org/questions/rogue-class-106/</a>\r\n</p>\r\n<p>\r\n\r\nYou can see an interesting chart of Rogue Class\'s graphics subsystems at this link:  \r\n<a href=\"https://www.linuxquestions.org/questions/rogue-class-106/rcl-graphics-sub-systems-4175522637/\">https://www.linuxquestions.org/questions/rogue-class-106/rcl-graphics-sub-systems-4175522637</a>\r\n\r\n</p>\r\n',195,0,1,'CC-BY-SA','games,Rogue Class,gamebooks',0,0,1),
(1766,'2015-05-11','Sox of Silence',616,'Using SOX to speed up and remove silence in a podcast','<p>\r\nMany of you may be aware of the \"truncate silence\" filter in audacity. As I already use SOX to speed up my podcasts, I wanted to see if it could also remove silence as well. While the man page is detailed, it is difficult to follow. <a href=\"https://sox.sourceforge.net/\">https://sox.sourceforge.net/</a>\r\n</p>\r\n<p>\r\nFortunately Jason Navarrete posted an excellent article on digitalcardboard.com called <strong>The SoX of Silence</strong> which went through the process step by step <a href=\"https://digitalcardboard.com/blog/2009/08/25/the-sox-of-silence/\">https://digitalcardboard.com/blog/2009/08/25/the-sox-of-silence/</a>\r\n</p>\r\n\r\n<h3>The Script</h3>\r\n<pre>\r\n    # -S, --show-progress\r\n    # -V verbose\r\n    # tempo Change the audio playback speed but not its pitch. \r\n    # remix Select and mix input audio channels into output audio channels. \r\n    # remix - performs a mix-down of all input channels to mono.\r\n    # silence Removes silence from the beginning, middle, or end of the audio.\r\n    # https://digitalcardboard.com/blog/2009/08/25/the-sox-of-silence/\r\n    # \r\n    sox -S -v2 \"${FILENAME}\" \"${FILENAME}-faster-${SPEED}.ogg\" -V9 tempo ${SPEED} remix - silence 1 0.1 1% -1 0.1 1%\r\n</pre>\r\n',30,0,1,'CC-BY-SA','sox, truncate silence',0,0,1),
(1808,'2015-07-08','David Whitman reads \'The Shooting of Dan McGrew\' written by Robert W Service',467,'For his birthday David Whitman recites the Robert W Service ballad, ','<p>\r\nfrom The Project Gutenberg EBook of Songs of a Sourdough, by Robert Service\r\n</p>\r\n<p>\r\nThis eBook is for the use of anyone anywhere at no cost and with\r\nalmost no restrictions whatsoever.  You may copy it, give it away or\r\nre-use it under the terms of the Project Gutenberg License included\r\nwith this eBook or online at <a href=\"https://www.gutenberg.org\">www.gutenberg.org</a>\r\n</p>\r\n<p>\r\nThe orginal work published 1907. Copyright expired in U.S. See the Project Gutenberg website for their copyright notices\r\n</p>\r\n<p>\r\nBibliographic Record<br />\r\nAuthor 	Service, Robert W. (Robert William), 1874-1958<br />\r\nTitle 	Songs of a Sourdough<br />\r\nLanguage 	English<br />\r\nLoC Class 	PR: Language and Literatures: English literature<br />\r\nSubject 	Yukon River Valley (Yukon and Alaska) -- Poetry<br />\r\nCategory 	Text<br />\r\nEBook-No. 	25546<br />\r\nRelease Date 	May 20, 2008<br />\r\nCopyright Status 	Public domain in the USA.<br />\r\nDownloads 	55 downloads in the last 30 days.<br />\r\nPrice 	$0.00\r\n</p>\r\n<p>\r\nTitle: The Spell of the Yukon\r\n</p>\r\n<p>\r\nAuthor: Robert Service\r\n</p>\r\n<p>\r\nPosting Date: July 11, 2008 EBook <a href=\"https://www.gutenberg.org/ebooks/25546\">https://www.gutenberg.org/ebooks/25546</a><br />\r\nRelease Date: January, 1995\r\n</p>\r\n<p>\r\n<a href=\"https://hackerpublicradio.org/eps/hpr1808_Songs_of_a_Sourdough.pdf\">https://hackerpublicradio.org/eps/hpr1808_Songs_of_a_Sourdough.pdf</a>\r\n</p>\r\n<p>\r\nInteresting Info at <a href=\"https://en.wikipedia.org/wiki/The_Shooting_of_Dan_McGrew\">https://en.wikipedia.org/wiki/The_Shooting_of_Dan_McGrew</a>\r\n</p>',209,0,1,'CC-BY-SA','Poetry, Birthday, Yukon',0,0,1),
(1767,'2015-05-12','An interview with Ed Cable of the Mifos Initiative',704,'David Whitman interviews Ed Cable of the MIFOS Iniative at Linux Fest Northwest on April 25, 2015.','<p>\r\nDavid Whitman interviews Ed Cable of the MIFOS Initiative\r\n<a href=\"https://mifos.org/\">https://mifos.org/</a>\r\n</p>\r\n<p>\r\nFrom their website:\r\nMifos X is an extended platform for delivering the complete range of financial services needed for an effective financial inclusion solution.\r\n</p>\r\n<p>\r\nAs the industrys only open platform for financial inclusion, we provide affordable, adaptable and accessible solutions for any segment of the market, new and small financial institutions can easily start with our community app in a hosted environment, medium and large institutions that are evolving into full-service providers of financial inclusion can use our global network of IT partners to configure a Mifos X solution, and innovators can build and scale entirely new solutions on our API-driven platform.\r\n</p>',209,78,1,'CC-BY-SA','Microfinance, LinuxFest Northwest',0,0,1),
(1774,'2015-05-21','Router Hacking',1190,'A Quick What, Why, and How of Hacking Routers','<h2>Router Hacking</h2>\r\n\r\n<h3>What</h3>\r\n<ul>\r\n    <li>Flashing a router with alternate firmware</li>\r\n</ul>\r\n\r\n<h3>Why</h3>\r\n<ul>\r\n	<li>Provide additional features</li>\r\n	<li>Improve performance</li>\r\n	<li>Privacy (gets rid of <a href=\"https://recode.net/2014/05/18/in-letter-to-obama-cisco-ceo-complains-about-nsa-allegations/\">unwanted spyware</a>)</li>\r\n	<li>Fun</li>\r\n</ul>\r\n\r\n<h3>Where</h3>\r\n<ul>\r\n	<li>The DD-WRT Router Database: <a href=\"https://www.dd-wrt.com/site/support/router-database\">https://www.dd-wrt.com/site/support/router-database</a></li>\r\n	<li>Tomato Firmware for Linksys WRT54G/GL/GS: <a href=\"https://www.polarcloud.com/tomato\">https://www.polarcloud.com/tomato</a></li>\r\n	<li>OpenWRT firmware: <a href=\"https://openwrt.org/\">https://openwrt.org/</a></li>\r\n</ul>\r\n\r\n<h3>How: Steps for My Latest Hack</h3>\r\n<ol type=\"1\">\r\n	<li>Find used Netgear WNDR3400 router on shelf at local <a href=\"https://www.goodwill.org/\">Goodwill</a> store, priced at $3.99.</li>\r\n	<li>Use my smartphone to check the <a href=\"https://www.dd-wrt.com/site/support/router-database\">dd-wrt database</a> to see if this router is hackable.</li>\r\n	<li>Grin broadly upon seeing the green \"Yes\" beside router WNDR3400.</li>\r\n	<li>Double-check that power supply is included, find an AC outlet and plug in to be sure it powers on and my phone sees its ESSID. Yep and yep.</li>\r\n	<li>Take router to cashier and purchase.</li>\r\n	<li>Do hard reset of router to clear any previous configuration.</li>\r\n	<li>Hook a laptop up to router using ethernet patch cable (turning off WiFi adapter on laptop).</li>\r\n	<li>Access router\'s configuration in web browser at default router address of 192.168.1.1 just to confirm that it works.</li>\r\n	<li>Go back to the dd-wrt router database and find the router again, then download the corresponding \"mini\" and the \"mega\" versions of dd-wrt firmware (The mega version has the most features&mdash;including USB support, which I wanted&mdash;but on many routers, including this one,  you have to install the mini version first or else you could brick the router)</li>\r\n	<li>Read over the dd-wrt wiki page for this specific router just to see if there\'s anything unusual about the hack. There\'s not.</li>\r\n	<li>Go to the router\'s stock configuration page again and find the \"Firmware upgrade\" button.</li>\r\n	<li>Click the button and choose the \"mini\" version of the dd-wrt firmware, and click upgrade, then wait while crossing fingers until it says firmware successfully upgraded.</li>\r\n	<li>Refresh the configuration page at 192.168.1.1 and see the new dd-wrt configuration interface.</li>\r\n	<li>Pat myself on the back because I have just hacked another router. Hray!</li>\r\n	<li>Find the upgrade firmware area on the new dd-wrt interface, and this time choose the \"mega\" firmware file and submit, then wait and cross fingers as before. Celebrate when it works. </li>\r\n	<li>Configure newly hacked router as wireless bridge (this is NOT going to be my main router), enable the USB and printer support, hook up our formerly-usb-only printer to the router, and configure household computers to be able to print wirelessly to the newly-networked printer.</li>\r\n	<li>Enjoy kudos from appreciative family.</li>\r\n</ol>\r\n',238,0,0,'CC-BY-SA','Networking, Routers, Printer Setup, dd-wrt, tomato, openwrt',0,0,1),
(1784,'2015-06-04','Intro to the Fugue and the Open Well-Tempered Clavier',1826,'Inspired by the release of the Open Well Tempered-Clavier, I try to explain the Fugue.','<h2>Intro to the Fugue</h2>\r\n\r\n<p>This episode of HPR is inspired by the recent release of a new recording by <a href=\"https://kimiko-piano.com/\">Kimiko Ishizaka</a> of J.S. Bach\'s <a href=\"https://music.kimiko-piano.com/album/bach-well-tempered-clavier-book-1\">Well-Tempered Clavier, Book I</a>. This is a very special recording because it is free and open, licensed to be shared freely forever. The recording was crowdfunded and immediately released with a public license after editing. This allows for legal remixing and sharing, and also makes it perfect for stuff like I do in this episode&mdash;cutting the recordings up for inserting as musical examples and then presenting the whole thing for your listening enjoyment.</p>\r\n\r\n<h2>Full Show Notes</h2>\r\n\r\n<p>Please see the <a href=\"https://hackerpublicradio.org/eps/hpr1784/fullnotes.html\">full show notes</a> for detailed descriptions of the parts of a fugue and a few musical examples as well.</p>\r\n\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n<li>Kimiko Ishizaka\'s Official Website: <a href=\"https://kimiko-piano.com/\">https://kimiko-piano.com/</a></li>\r\n<li>The Open Goldberg Variations: <a href=\"https://www.opengoldbergvariations.org/\">https://www.opengoldbergvariations.org/</a></li>\r\n<li>The Open Well Tempered Clavier: <a href=\"https://music.kimiko-piano.com/album/bach-well-tempered-clavier-book-1\">https://music.kimiko-piano.com/album/bach-well-tempered-clavier-book-1</a> </li>\r\n<li>Lady Gaga \"Bad Romance\" Fugue: <a href=\"https://www.youtube.com/watch?v=-bYBJAQ-_24\">https://www.youtube.com/watch?v=-bYBJAQ-_24</a></li>\r\n<li>Miley Cyrus \"Wrecking Ball\" Fugue: <a href=\"https://www.youtube.com/watch?v=2mVuwOKA3UY\">https://www.youtube.com/watch?v=2mVuwOKA3UY</a></li>\r\n</ul>\r\n',238,0,1,'CC-BY-SA','Fugue, J. S. Bach, Classical Music, Creative-Commons Music, Music, Counterpoint',0,0,1),
(1789,'2015-06-11','The Ubuntu Quickly Ebook Template and Ebooks in General',2032,'Jon Kulp and Mike Hingley talk about ebooks in general and Mike\'s Quickly Ebook Template project','<h2>Ubuntu Quickly Ebook Template</h2>\r\n\r\n<p>I recorded this conversation with <a href=\"https://hackerpublicradio.org/correspondents/0185.html\">Mike Hingley</a> about a year ago (12 June 2014) but never released it because I thought the audio didn\'t sound very good and I didn\'t feel like editing it at the time. Honestly I forgot all about it until now when the HPR queue is low again. I apologize for the slightly clippy quality of my audio, I must have had my microphone too hot on the mumble. It\'s really interesting to listen to this conversation a year later because I have worked out so many of the problems that I was mentioning to Mike, including the automation of the entire build process using command-line tools from Calibre.</p>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n<li>Quickly Ebook Template on Launchpad<a href=\"https://launchpad.net/quickly-ubuntu-ebook\">https://launchpad.net/quickly-ubuntu-ebook</a></li>\r\n<li>Jon\'s Counterpoint Projects <a href=\"https://jonathankulp.org/gratis.html\">https://jonathankulp.org/gratis.html</a></li>\r\n	<li>Calibre: <a href=\"https://calibre-ebook.com/\">https://calibre-ebook.com/</a></li>\r\n	<li>Manual for Calibre\'s Command Line Interface: <a href=\"https://manual.calibre-ebook.com/cli/cli-index.html\">https://manual.calibre-ebook.com/cli/cli-index.html</a></li>\r\n	<li>FBReader: free (and ad-free) multi-platform ebook reader. <a href=\"https://fbreader.org/\">https://fbreader.org/</a></li>\r\n	<li>Free ebooks - Project Gutenberg: <a href=\"https://www.gutenberg.org/\">https://www.gutenberg.org/</a></li>\r\n	<li>Mike\'s projects and info: <a href=\"https://titaniumbunker.com/\">https://titaniumbunker.com/</a></li>\r\n	<li>Humble eBook Bundle: <a href=\"https://www.humblebundle.com/books\">https://www.humblebundle.com/books</a></li>\r\n</ul>\r\n\r\n<h2>Credits</h2>\r\n\r\n<ul>\r\n	<li>Music bumpers are from Kimiko Ishizaka\'s <em>The Open Goldberg Variations</em>: <a href=\"https://www.opengoldbergvariations.org/\">https://www.opengoldbergvariations.org/</a>, used by permission of their <a href=\"https://creativecommons.org/publicdomain/zero/1.0/\">CC0 1.0 Universal (CC0 1.0) Public Domain Dedication license</a>.</li>\r\n</ul>\r\n',238,0,0,'CC-BY-SA','ebooks, calibre, quickly, ubuntu',0,0,1),
(1771,'2015-05-18','Audacity: Label Tracks',683,'Intro to my recent discovery of \"Label Tracks\" in Audacity','<h2>Label Tracks in Audacity</h2>\r\n\r\n<p>I don\'t know if I\'m ignorant and everyone else already knows about this, but I decided to record a quick show about Audacity \"Label Tracks,\" something I discovered while working on another HPR episode today.</p>\r\n\r\n<p>The label track is one of the most useful things I\'ve found in a long time. It allows you to annotate your audio project so that you can quickly see important spots or summarize the contents of whole segments and see at a glance what they are about without hunting all over the place and playing things back, trying to find the part where you were talking about X,Y, or Z. You can also export the labels as a plain text file with exact timestamps. I have not tried this, but according to the documentation you can also use labels to mark the beginnings of separate songs in a long track and export multiple separate files at once from a single source based on the labels.</p>\r\n\r\n<p>To add a label track, go to the <code>Tracks</code> menu and select <code>Add New --&gt; Label Track</code>, and it will add the label track to the bottom of your list of tracks. To add a label, either stick the cursor where you want the label to be and press <code>ctrl+b</code> to add text, or select a region to label by clicking and dragging over a region in the label track, then do <code>ctrl+b</code> to start typing the label text.</p>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n<li>Audacity Label Tracks Documentation: <a href=\"https://manual.audacityteam.org/o/man/label_tracks.html\">https://manual.audacityteam.org/o/man/label_tracks.html</a></li>\r\n</ul>\r\n',238,45,0,'CC-BY-SA','Audacity, audio editing, podcasting',0,0,1),
(1772,'2015-05-19','Random thoughts',748,'I talk about some of the things I appreciate in life','<p>\r\n<a href=\"https://anthonyvenable110.wordpress.com\">https://anthonyvenable110.wordpress.com</a>\r\n</p>\r\n<p>\r\n<a href=\"https://anthonyvenable110.wordpress.com/2014/05/07/lovely-walk-in-may-part-1/\">https://anthonyvenable110.wordpress.com/2014/05/07/lovely-walk-in-may-part-1/</a>\r\n</p>\r\n<p>\r\nMy blogsite as well as just one of the many posts on my site that deal with what I appreciate about my life in general\r\n</p>',297,0,0,'CC-BY-SA','life, random',0,0,1),
(1773,'2015-05-20','LFNW 2015 interview with Deb Nicholson',1052,'David Whitman interviews Deborah Nicholson of the Open invention Network. Enjoy!','<p>\r\nDeb Nicholson:<br />\r\nhas been a free speech advocate, economic justice organizer and civil liberties defender. After working in Massachusetts politics for fifteen years, she then became involved in the free software movement at the Free Software Foundation. \r\n</p>\r\n<p>\r\nDefensive Publications info:  <a href=\"https://www.linuxdefenders.org/?page_id=150\">https://www.linuxdefenders.org/?page_id=150</a>\r\n</p>\r\n<p>\r\nSeattle GNU/Linux Conference <a href=\"https://seagl.org/\">https://seagl.org/</a>  IRC on Freenode in #seagl.\r\nWere very excited to be returning to Seattle Central College for SeaGL on Friday October 23rd and Saturday October 24th, 2015. \r\nSeaGL is a grassroots technical conference dedicated to spreading awareness and knowledge about the GNU/Linux community and free/libre/open-source software/hardware.\r\nCost of attendance is free.\r\nAttendee Registration will not require the use of non-free software.\r\nYou may attend SeaGL without identifying yourself, and you are encouraged to do so to protect your privacy. \r\n</p>\r\n\r\n<ul>\r\n<li>Gnu Media Goblin <a href=\"https://mediagoblin.org/\">https://mediagoblin.org/</a> \r\n</li>\r\n<li>Join us on IRC:#mediagoblin on irc.freenode.net \r\n</li>\r\n</ul>',209,78,1,'CC-BY-SA','Software Patents, Linux Fest, Mediagoblin, GNU',0,0,1),
(1775,'2015-05-22','Sonic Pi',677,'A short review of sonic PI and programming the HPR theme','<p>\r\nIn this review of the Sonic Pi software I have mentioned a couple of programs that I wrote the listings are here:\r\n</p>\r\n<pre>\r\n============================\r\nThe Hippopotamus Song\r\n============================\r\nuse_bpm 180\r\n# use_transpose -12\r\nuse_synth :fm\r\n2.times do\r\nplay_pattern_timed [:D3,:G3,:G3,:G3], [1,1,1,1]      # 1 extra note from bar an bar 2\r\nplay_pattern_timed [:G3,:D3,:B2,:G2], [0.5,0.5,1,1]  # 3\r\nplay_pattern_timed [:a2,:b2,:c3], [1,1,1]            # 4\r\nplay_pattern_timed [:b2,:b2,:a2], [2,0.5,0.5]        # 5\r\nplay_pattern_timed [:g2,:g3,:g3], [1,1,1]            # 6\r\nplay_pattern_timed [:fs3,:g3,:e3], [1,1,1]           # 7\r\nplay_pattern_timed [:d3,:d3], [4,1]                  # 8 9\r\nplay_pattern_timed [:g3,:g3,:g3], [1,1,1]            # 10\r\nplay_pattern_timed [:g3,:d3,:b2,:g2], [0.5,0.5,1,1]  # 11\r\nplay_pattern_timed [:a2,:b2,:c3], [1,1,1]            # 12\r\nplay_pattern_timed [:b2,:b3,:a3], [2,0.5,0.5]        # 13\r\nplay_pattern_timed [:g3,:fs3,:e3], [1,1,1]           # 14\r\nplay_pattern_timed [:a3,:fs3,:e3], [1,1,1]           # 15\r\nplay_pattern_timed [:d3,:d3], [4,1]                  # 16 17\r\nplay_pattern_timed [:a3,:a3,:a3], [1,1,1]            # 18\r\nplay_pattern_timed [:e3,:e3,:e3], [1,1,1]            # 19\r\nplay_pattern_timed [:a3,:a3,:a3], [1,1,1]            # 20\r\nplay_pattern_timed [:e3,:a3], [2,1]                  # 21\r\nplay_pattern_timed [:c4,:b3,:a3], [1,1,1]            # 22\r\nplay_pattern_timed [:a3,:b3,:gs3], [1,1,1]           # 23\r\nplay_pattern_timed [:a3,:d3], [4,1]                  # 24 25\r\nplay_pattern_timed [:e3,:fs3,:g3], [1,1,1]           # 26\r\nplay_pattern_timed [:fs3,:d3,:d3], [1,1,1]           # 27\r\nplay_pattern_timed [:e3,:fs3,:g3], [1,1,1]           # 28\r\nplay_pattern_timed [:fs3,:d3,:d3], [1,1,1]           # 29\r\nplay_pattern_timed [:c4,:b3,:a3], [1,1,1]            # 30\r\nplay_pattern_timed [:g3,:fs3,:e3], [1,1,1]           # 31\r\nplay_pattern_timed [:fs3],[1], sustain_level: 0.6, sustain: 1, decay: 3   # 32 sustain note into next bar\r\nplay_pattern_timed [:g3,:fs3], [1,1]                 # 32\r\nplay_pattern_timed [:e3,:d3,:fs3], [1,1,1]           # 33\r\nplay_pattern_timed [:g3,:d3],[3,3]                   # 34 35\r\nplay_pattern_timed [:c3,:b2,:a2], [1,1,1]            # 36\r\nplay_pattern_timed [:d3],[3]                         # 37\r\nplay_pattern_timed [:g3,:fs3,:g3], [1,1,1]           # 38\r\nplay_pattern_timed [:e3,:a3,:g3], [1,1,1]            # 39\r\nplay_pattern_timed [:fs3,:e3,:fs3], [1,1,1]          # 40\r\nplay_pattern_timed [:d3,:d3],[2,1]                   # 41\r\nplay_pattern_timed [:b3,:b3,:a3], [0.5,1.5,1]        # 42\r\nplay_pattern_timed [:g3,:d3,:d3], [0.5,1.5,1]        # 43\r\nplay_pattern_timed [:c4,:c4,:b3], [1,1,1]            # 44\r\nplay_pattern_timed [:a3,:e3,:d3], [0.5,1.5,1]        # 45\r\nplay_pattern_timed [:e3,:fs3,:g3], [1,1,1]           # 46\r\nplay_pattern_timed [:d3,:b2,:g2], [1,1,1]            # 47\r\nplay_pattern_timed [:a2],[3], decay: 3               # 48\r\nplay_pattern_timed [:a2,:b2,:a2], [1,1,1]            # 49\r\nplay_pattern_timed [:g2],[3], decay: 3               # 50\r\nplay_pattern_timed [:g2],[1]                         # 51\r\nsleep 2\r\nend\r\n\r\n=======================================\r\nThe HPR Outro theme - hack on this improve it and make a show\r\n=======================================\r\nin_thread do\r\n  use_bpm 180\r\n  use_transpose 24\r\n  use_synth :beep\r\n  19.times do\r\n    play_pattern_timed [:a,:as,:a,:a], [0.5],release: 0.02, amp: 0.3 #\r\n    play_pattern_timed [:as,:f,:as,:a], [0.5],release: 0.02, amp: 0.3  #\r\n  end\r\nend\r\nuse_bpm 180\r\nsample :elec_hi_snare\r\nsleep 0.5\r\nsample :elec_hi_snare\r\nsleep 0.5\r\nsample :drum_bass_hard\r\nsleep 0.5\r\n\r\nuse_transpose -0\r\nuse_synth :saw\r\n2.times do\r\n  play_pattern_timed [:a,:a,:a,:a], [0.5,1,0.5,1] # 3\r\n  play_pattern_timed [:a,:as,:a], [1,1,1]\r\n  play_pattern_timed [:c5], [3], decay: 2   # 6\r\n  play_pattern_timed [:a,:a,:a,:a], [0.5,1,0.5,1] # 3\r\n  play_pattern_timed [:a,:as,:a], [1,1,1]    # 6\r\n  play_pattern_timed [:f], [3], decay: 2   # 6\r\nend\r\nuse_synth :dsaw\r\nplay_pattern_timed [:f],[1]\r\nplay_pattern_timed [:c5],[2], decay: 1.5\r\nplay_pattern_timed [:as,:a,:as],[1,1,1]\r\nplay_pattern_timed [:a],[1]\r\nplay_pattern_timed [:c5],[2], decay: 1.5\r\nplay_pattern_timed [:f],[1]\r\nplay_pattern_timed [:c5],[2], decay: 1.5\r\nplay_pattern_timed [:as,:a,:as,],[1,1,1]\r\nplay_pattern_timed [:a],[1]\r\nplay_pattern_timed [:f],[2], decay: 1.5\r\nplay_pattern_timed [:f],[1]\r\nplay_pattern_timed [:c5],[2], decay: 1.5\r\nplay_pattern_timed [:as,:a,:as],[1,1,1]\r\nplay_pattern_timed [:a],[1]\r\nplay_pattern_timed [:c5],[2], decay: 1.5\r\nplay_pattern_timed [:f],[1]\r\nplay_pattern_timed [:c5],[2], decay: 1.5\r\nplay_pattern_timed [:as,:a,:as,:a],[1,1,1,1]\r\nplay_chord [:c4,:f], decay: 4\r\n===========================\r\n</pre>\r\n\r\n------------------------------------------------------------\r\n',240,0,0,'CC-BY-SA','Raspberry PI, music, programming, review',0,0,1),
(1769,'2015-05-14','A Demonstration of Dictation Software on my Office Computer',825,'I record a whole show in dictation mode to demonstrate Dragon dictation software capabilities','<h2>Transcript Performed by Dragon Dictate [dumped \"as is\"]</h2>\r\n\r\n<p>Hi everybody! This is John Kulp In Lafayette, Louisiana. I am going to do a rather strange episode today. What I\'m doing is demonstrating the dictation software that I use on the office computer that I have here at work. If you listen to my previous episodes, then you have heard me speak of the blather speech recognition program that I use on my Linux desktop, but as you may also remember, blather is not a dictation tool. Blather is a tool where you have to set up commands that will run other commands. In other words, you have to configure everything from scratch. I do have some capabilities for dictation on my Linux desktop, but they involve using the Google Web speech API and a special dictation box that I have set up, and these are not at all good for longform dictation. For serious dictation, such as writing letters and memos and other longform text, you really need a proper dictation tool. These are available built into the operating systems of Windows and Mac OS 10, but I normally use the Dragon naturally speaking software instead. I have found that it is more accurate and more powerful than the built-in versions that you can get on either Windows or Mac. That doesn\'t mean you shouldn\'t try out the built-in speech recognition on Windows and Mac, you definitely should, because I think you would be very impressed with him. I know for sure that the version on Windows learns from your voice and from the corrections that you make to the text that you were spoken, and eventually becomes very powerful in recognizing your speech. The biggest problem that I had with the Windows speech recognition was that it was a huge memory hog and frequently brought my system to a grinding halt. This is not good. Blather never does that, but then again bladder cannot take dictation. The latest system that I use for dictation is on a fairly recent Mac Mini running the nuance Dragon Dictate software. This is a very powerful dictation program that learns from your speech patterns and you can also add words to the vocabulary so that it will get them right when it hears them. This is especially important to do if you have frequently used unusual words, such as a name with an alternate spelling from what is normally in the program\'s dictionary. One of the great things about the Mac Dragon Dictate program, also, is its ability to do transcriptions of audio files. In fact the reason I am speaking this way is that I plan to use the transcription of this recording as the show notes verbatim without any corrections. The difficulty that most people have with dictation software at least initially is doing things like punctuation and capitalization. You have to remember to do these things or else your transcript will come out without any punctuation or capitalization, unless the words that you are speaking are known proper nouns. It also capitalizes automatically at the beginning of the sentences, so that if you use periods frequently then you will have capitalized words after those periods. You can see that I\'m having trouble speaking this text in a fluent way, and this is one of the other difficulties that people have when initially using transcription software. It works best when you can express complete thoughts without pausing, because it learns from the context of your words. It has algorithms that calculate the possibility of one word or another based on the context, and so it is much better to speak entire sentences at one than it is to pause while trying to gather your thoughts. This is a major difference from trying to write at the keyboard, where it does not matter at all if you pause for seconds or even minutes while you think of what you want to write next. Anyhow, I highly recommend using some kind of dictation software if you suffer from repetitive strain injuries like I do. This will save you many thousands of keystrokes. Even if it\'s only using the speech recognition that\'s available on your phones over the web, that\'s better than nothing. The disadvantage of any of these services that have to send your recording over the web to \r\nget a transcription and then send it back into your device is that they will never learn your voice and your particular speech patterns. In order for that to work best, you really have to use a dedicated standalone speech recognition program that resides locally on your computer and saves your profile and learns from your speaking. Well, I guess that is about it for today, I hope you have enjoyed hearing this brief lesson on dictation. See you next time!</p>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n<li><a href=\"https://shop.nuance.com/store/nuanceus/Custom/pbpage.resp-dragon-home-2015/\">Dragon Dictate for Mac</a></li>\r\n<li>Video Screen Capture of Dragon Dictate Transcribing this episode: <a href=\"https://youtu.be/jlkpz2nhZ38\">https://youtu.be/jlkpz2nhZ38</a></li>\r\n</ul>\r\n\r\n<h2>Credits</h2>\r\n\r\n<ul>\r\n	<li>Music bumpers are from Kimiko Ishizaka\'s <em>The Open Goldberg Variations</em>: <a href=\"https://www.opengoldbergvariations.org/\">https://www.opengoldbergvariations.org/</a>, used by permission of their <a href=\"https://creativecommons.org/publicdomain/zero/1.0/\">CC0 1.0 Universal (CC0 1.0) Public Domain Dedication license</a>.</li>\r\n</ul>\r\n\r\n------------------------------------------------------------\r\n',238,79,0,'CC-BY-SA','RSI, Dictation, Speech Recognition',0,0,1),
(1768,'2015-05-13','An Intro To C Episode 1 : Introduction and Types',1927,'I go through the basic types and a basic introduction of myself. :) ','<h1>Episode 1:  History and Basic Types</h1>\r\n\r\n<h2>Explain who you are and what you do.</h2>\r\n\r\n<ul>\r\n<li><p>Name: Colin Mills, (cjm) </p></li>\r\n<li><p>Occupation: Software Engineering Student in Canada</p></li>\r\n<li><p>I have been a UNIX geek and open source software <strong>FANATIC</strong> for about four years now.</p></li>\r\n<li><p><strong>Website</strong>: c-jm.github.io</p></li>\r\n</ul>\r\n\r\n<h2>Start to go into the history of C and explain where it came from.</h2>\r\n\r\n<h3>Abstract</h3>\r\n\r\n<blockquote>\r\n  <p>C was originally developed by Dennis Ritchie between 1969 and 1973 at AT&amp;T \r\nBell Labs,[5] and used to (re-)implement the Unix operating system.[6] \r\nIt has since become one of the most widely used programming languages of all \r\ntime, [7][8] with C compilers from various vendors available for the\r\nmajority of existing computer architectures and operating systems. \r\nC has been standardized by the American National Standards Institute (ANSI) > since 1989 (see ANSI C) and subsequently by the \r\nInternational Organization for Standardization (ISO).</p>\r\n</blockquote>\r\n\r\n<ul>\r\n<li>From: <a href=\"https://en.wikipedia.org/wiki/C_%28programming_language%29\">Wikipedia On C</a></li>\r\n</ul>\r\n\r\n<h2>Explain Types and their meanings</h2>\r\n\r\n<ul>\r\n<li><p><strong>SIGNED</strong>: It means it can hold either negative or positive values.</p></li>\r\n<li><p><strong>UNSIGNED</strong>: Unsigned means it can only hold positive values.</p></li>\r\n</ul>\r\n\r\n<p>Retrieved From: <a href=\"https://en.wikipedia.org/wiki/Signedness\">Wikipedia On Signedness</a></p>\r\n\r\n<h2>int:</h2>\r\n\r\n<ul>\r\n<li><p>An int is a variable that is at leas 16 bits in size.</p></li>\r\n<li><p>It is actually the most efficent for the processor itself.</p></li>\r\n<li><p>Capable of storing -32767 -> 32767</p></li>\r\n</ul>\r\n\r\n<h3>Int Specifiers</h3>\r\n\r\n<ul>\r\n<li><p><strong>short</strong>: 16 bits in size</p>\r\n\r\n<p>short int intThatIsAShort = 0;</p></li>\r\n<li><p><strong>long</strong>: 32 bits in size</p>\r\n\r\n<p>long intThatIsALong = 0; </p></li>\r\n<li><p><strong>long long</strong>: 64 bits in size</p>\r\n\r\n<p>long long reallyBigInteger = 0;</p></li>\r\n</ul>\r\n\r\n<h2>char</h2>\r\n\r\n<ul>\r\n<li><p>One byte in memory. (8 bits).</p></li>\r\n<li><p>Holds a character but can also hold a number</p>\r\n\r\n<p>char thisCanHoldALetter = \'x\';\r\nchar thisCanHoldANumber = 72;</p></li>\r\n</ul>\r\n\r\n<h3>Note about the ascii table</h3>\r\n\r\n<ul>\r\n<li><p>ASCII is just a number corresponding with a letter.</p></li>\r\n<li><p>Look here for more information.</p></li>\r\n</ul>\r\n\r\n<h2>float</h2>\r\n\r\n<ul>\r\n<li><p>Holds floating point numbers</p>\r\n\r\n<p>float thisIsAFloat = 72.2;</p></li>\r\n</ul>\r\n\r\n<h2>Double</h2>\r\n\r\n<ul>\r\n<li><p>Like a float but bigger.</p>\r\n\r\n<p>double thisIsADouble = 0;</p></li>\r\n</ul>\r\n\r\n<h2>Arrays</h2>\r\n\r\n<ul>\r\n<li><p>Arrays are collections of multiple things</p></li>\r\n<li><p>Have to be a set size.</p></li>\r\n<li><p>Use braces to initalize</p></li>\r\n<li><p>If you initalize one you initalize all. </p>\r\n\r\n<p>int arrayOfNums[100] = {0};</p></li>\r\n</ul>\r\n\r\n<h2>Strings</h2>\r\n\r\n<ul>\r\n<li><p>\"Strings\" are made up of mutliple chars. (Yes it does make sense! :))</p>\r\n\r\n<p>char arrayOfChars[81] = {0};</p></li>\r\n<li><p>Null termination is added to the end.</p>\r\n\r\n<p>\'&#92;0\'</p></li>\r\n</ul>\r\n',286,25,0,'CC-BY-SA','C, Programming',0,0,1),
(1794,'2015-06-18','12-Tone Music and My Random 12 Tone Row of the Day',841,'An Intro to 12-tone music and my \"Random 12-Tone Row of the Day\" bash script.','<h2>12-Tone Music (Dodecaphony) and My Random 12 Tone Row of the Day</h2>\r\n\r\n<p>In this episode I cover a bit of music theory as well as some bash scripting. The topic is the Twelve-Tone System of music composition and the scripting of a random 12-tone row to be generated daily. For a full transcript of the show click <a href=\"https://hackerpublicradio.org/eps/hpr1794/transcript.html\">here</a>.</p>\r\n\r\n\r\n<p>\r\n  <img src=\"https://hackerpublicradio.org/eps/hpr1794/tonerow.png\" alt=\"randomly generated 12-tone\r\n row\" title=\"randomly-generated 12-tone row\"/>\r\n</p>\r\n\r\n<div>\r\n	<audio controls>\r\n		<source src=\"https://hackerpublicradio.org/eps/hpr1794/tonerow.mp3\r\n\" type=\"audio/mpeg\">\r\n		<source src=\"https://hackerpublicradio.org/eps/hpr1794/tonerow.ogg\r\n\" type=\"audio/ogg\">\r\n	</audio>\r\n</div>\r\n\r\n<h2>Links</h2>\r\n\r\n\r\n<ul>\r\n	<li><a href=\"https://en.wikipedia.org/wiki/Twelve-tone_technique\">Twelve-tone technique</a></li>\r\n	<li><a href=\"https://en.wikipedia.org/wiki/Arnold_Schoenberg\">Arnold Schoenberg</a></li>\r\n		<li><a href=\"https://en.wikipedia.org/wiki/Alban_Berg\">Alban Berg</a></li>\r\n		<li><a href=\"https://en.wikipedia.org/wiki/Anton_Webern\">Anton Webern</a></li>\r\n		<li><a href=\"https://en.wikipedia.org/wiki/Anton_Webern\">Second Viennese School</a></li>\r\n	<li><a href=\"https://composertools.com/Tools/matrix/MatrixCalc.html\">12-Tone Matrix Calculator</a></li>\r\n	<li><a href=\"https://jonkulp.net/12tone.html\">Jon\'s Random 12-Tone Row of the Day</a></li>\r\n	<li><a href=\"https://lilypond.org/\">Lilypond</a> Music Notation Software</li>\r\n</ul>\r\n',238,0,0,'CC-BY-SA','bash, dodecaphony, music theory, 12-tone, twelve-tone, scripting, Lilypond',0,0,1),
(1783,'2015-06-03','Windows To Linux - Better Late Than Never.',604,'Long time Podcast listener finally gets off the fence and makes the switch.  Now he\'s hooked.','<p>\r\nThis is a story of my last days as a Windows Users at home and my eventual switch to Linux.  My name is Kevin and my online name is GNULinuxRTM.  The name GNULinuxRTM was recently created for a project I am working on.  But maybe Ill talk about that another time.\r\n</p>\r\n<p>\r\nAlthough I listened to every single episode of Linux Reality, many episodes of Linux Outlaws, Linux Link Tech Show, The Bad Apples aka GNU World Order, and other Podcast shows, I just recently listened to my first episode to Hacker Public Radio.  What caught my attention was the plea for content to keep Hacker Public Radio going.  So I have been HPR binging and I have to say that the fact that this kind of Podcast format exists, is amazing.\r\n</p>\r\n<p>\r\nYes, I had heard the words Hacker Public Radio before, but I just thought it meant that this was some kind of show for extreme Hacker types, which I didnt think described me.\r\n</p>\r\n<p>\r\nAnother confession, my day job is mostly in a Windows environment.  And although I kept myself up to date on the progress of Linux, I had very few opportunities to use Linux at work.  I had enough challenge keeping up to technology I had to know to do my job.  Although I heard and understood the significance of making a commitment to use Linux, I never did make the switch.  Sure I dabbled with Linux as a Server platform and maybe to get some use out of some old hardware.  But not on my most powerful and most used home machine.  The computer I use every day for my own personal projects was, until last Summer, a Windows PC.\r\n</p>\r\n<p>\r\nYou see I hate wasting effort and time, something we all have a limited amount of.  I remember after a particularly frustrating bout with Linux I turned to a Co-Worker and said \"Windows, because Lifes too short\".\r\n</p>\r\n<p>\r\nAlso, I am one of those weirdos who loves the little red Trackpoint on IBM Thinkpads.  Last Spring I traded in my old Thinkpad plus some cash for an off-lease Lenovo Thinkpad W510 Notebook.   I got it cheaper because they didnt have the original power supply, instead it came with a 3rd party power supply.  Eventually it got to me that it took more than twice as long to charge the notebook, so i spent the money to replace it with a higher wattage power supply.  \"In a for penny, in for a pound\", why not upgrade to 8Gb of RAM too.\r\n</p>\r\n<p>\r\nShortly after the 90 day warranty I started having weird lockup issues.  The hard drive light would go solid and the machine would just freeze.  Ive seen this before.  Suck it up and back to local computer store to replace the Hard Drive.  But \"In for a penny, in for a pound\", why not get one of those slick new SSD drives.  Got home, do a drive copy and I am back in business Or so I think.  After a while I realize I am still suffering from intermittent Lockups.  Time for a fresh install.\r\n</p>\r\n<p>\r\nInstall Windows 7, Windows Update, Reboot, Windows Update Reboot, Windows Update Reboot almost done. Blue-Screen-of-Death.  Reboot, Blue Screen of Death.  Start over, Re-install Windows 7, trickle install Updates, Save System State, Reboot, Repeat, Blue Screen, Ahhhhh!!@!!!  System Restore, its that update, Blue Screen, not its that update, Blue Screen, Blue Screen, Blue Screen  Ahhhhh!!##$\r\n</p>\r\n<p>\r\nIs it my new RAM, switch that out.  No difference.  Power Supply?  Nope.  Go back to Non-SSD drive?  Still No Change.  Different Windows Install Disc?  No, No and No.  \r\n</p>\r\n<p>\r\nNow Im really \"In for a Pound\" with this machine and I cant use it.  Deflated, I put the computer down in the corner of the room and try to forget about it.  The sleek black Thinkpad just sits there mocking me every time I walk by,  but I am determined to ignore it.  Weeks go by, now a month.  Ive gone back to my desktop, but its no use, I miss having a notebook.  Im an easy-chair Notebook guy now.  I dont want to regress down the evolutionary scale and hunch over my desktop anymore.  Im at home, I should be reclining!\r\n</p>\r\n<p>\r\nLike a bad hangover, time has numbed the memory of the pain.  I pick the Thinkpad, its time to drink again! Im back baby and Ive got that \"You cant beat me\" Techy Battle cry pumping through my veins.  \"LINUX! Ill try Linux!\"  At least that is the way I prefer to remember it.  But really, I was thinking that Ive spent sooo much money on the piece of Crap, Ill use it even i have to switch to Linux.\r\n</p>\r\n<p>\r\nLets see  Ive got to approach this logically.  Uhhh, choose a Distro, Desktop, hmmmm.  Video on Richard Stallman spanking Ubuntu on Amazon Deal, hmmm.  Ok, Linux Mint 17 is based on the LTS release of Ubuntu, 5 years Support, Cool!  Top of the Distrowatch charts.  Looks like a good start.\r\n</p>\r\n<p>\r\nI install Linux Mint 17 and it is up and running in no time.  Run the Update Manager and hold my breath.  Wow!  It updated 100%, no Crash Screen of Doom!\r\n</p>\r\n<p>\r\nNow what?  What do i do now?  Google \"First things to do after install Linux Mint 17\", wow Direct hit,  Yeehaw!  Oh cool, Steam Games, Yummy.  PlayOnLinux, Bonus!  What a blast.  But the fun of discovery was better than any game I played.\r\n</p>\r\n<p>\r\nAlas, my machine was running great but still had a locked up issue, just not as often.  But it was a victory nonetheless.  Besides, I had a mostly working machine and I would just ignore the problem.  An infrequent lockup didnt seem to bother Linux Mint, it just boot back up fine.\r\n</p>\r\n<p>\r\nAfter about a month on Linux Mint a little message popped up, I cant remember exactly what it said.  But it was like machine was talking to me.  \"Hey Buddy, this battery in your notebook, uhh it kinda sucks.  And you might want it replace because well I need steady power to you know, breath.  And it sure would be a lot easier if I could  Huh Huh Huh  AHHHHH count on some steady air flow\".\r\n</p>\r\n<p>\r\nYeah, you know I was elated, but even more so amazed!  I had installed no diagnostic software, I had spent no additional time troubleshooting, I had just installed Linux and started using it.  And my computer just told me what was wrong with it.\r\n</p>\r\n<p>\r\nNew battery arrived and now the machine is solid as rock.  Did I go back to Windows 7, Hell No!  I had kicked the habit once a for all and I was not missing Windows at all.\r\n</p>\r\n<p>\r\nI distinctly remember a standout moment when I was working on my brother-in-law\'s wedding video.   Circumstances were that the key family members could not be at the Wedding and the they were anxiously waiting for the Wedding Video.  I didnt want to delay finishing the project and was reluctant to do anything else with the computer during the Render process.  Rendering the Video took quite a bit of time and was very CPU intensive.  But I had broken the Wedding into several segments and there was lots of Rendering and getting feedback.  \r\n</p>\r\n<p>\r\nKdenlive lets you assign how many processors would be used during Rendering, and I had set that to four.  There were processors to spare, maybe I can do something else while I am waiting for the Render.\r\n</p>\r\n<p>\r\nIll read a few emails.  Hey, I dont notice any performance difference. \r\nMaybe Ill surf a bit.  Still fine.  Youtube Video, smooth, now in HD, wow! no problem or no slow down.  Multi-tasking as it should be!\r\n</p>\r\n<p>\r\nNext day at work, I cant help but talk about it with my Co-Workers.  \"Why not get a Mac?\" they say. it wasnt a question, it was a strong suggestion.  Most of them had written off Linux years ago.  I start talking about how great my system is working for me and how I have been able to get so much done with 100% open source applications.\r\n\"So what\", they say.  \"You can install most of those applications on the Mac and Windows as well\".  \r\n</p>\r\n<p>\r\nIts no use, I guess I am not much of an evangelist.  Or maybe I just work with cynical people.  But it does cause me to question.  Why am I so excited about Open Source Software now?  At this point in history.  Really most of the fundamental building blocks of Open Source Software have already happened.  It seems to me we are now in a fine tuning stage.\r\n</p>\r\n<p>\r\nI think it is that maturity that appeals to me.  No longer do you have to say, you can install Linux, BUT.  And word \"But\" lands with a thud.  There is very little creative work that you cannot do on Linux and Open Source software, right now.\r\n</p>\r\n<p>\r\nI dont regret a single moment I have invested in switching to and learning Linux.\r\n</p>\r\n<p>\r\nMy story continues, but well save that for another time.   I hope to tell you more about my project and the hurdles Ive gone through in a future HPR episode.\r\n</p>\r\n<p>\r\nBye for now,\r\nGNULinuxRTM signing off.\r\n</p>',306,0,0,'CC-BY-SA','Linux,Mint,GNU,RTM,Mac,Windows,Open Source,Distro,Richard Stallman,Thinkpad,PlayOnThis is a stoLinux',0,0,1),
(1776,'2015-05-25','Vim Hints 004',2840,'Hints and Tips for Vim users - part 4','<h2 id=\"joining-commands-together\">Joining commands together</h2>\r\n<p>In this episode I want to look at more movement commands and how to use them in conjunction with commands that change things in the file. I also want to add some more elements to the configuration file we have been building over the last few episodes.</p>\r\n<p>I have covered a lot of ground in this episode, introducing a number of new subjects. This is partly because I felt the series needed to get to the point where you could start to make full use of Vim if you are following along, and partly because the episodes up to this point have been moving a little too slowly! I hope the change in pace and length hasn\'t put you off.</p>\r\n<h2 id=\"full-notes\">Full Notes</h2>\r\n<p>Since the notes explaining this subject are particularly long, they have been placed here: <a href=\"https://hackerpublicradio.org/eps/hpr1776_full_shownotes.html\">https://hackerpublicradio.org/eps/hpr1776_full_shownotes.html</a> and an ePub version is also available here: <a href=\"https://hackerpublicradio.org/eps/hpr1776_full_shownotes.epub\">https://hackerpublicradio.org/eps/hpr1776_full_shownotes.epub</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ol type=\"1\">\r\n<li>Vim Help:\r\n<ul>\r\n<li>Using Help: <a href=\"https://vimdoc.sourceforge.net/htmldoc/helphelp.html\">https://vimdoc.sourceforge.net/htmldoc/helphelp.html</a></li>\r\n<li>Motion: <a href=\"https://vimdoc.sourceforge.net/htmldoc/motion.html\">https://vimdoc.sourceforge.net/htmldoc/motion.html</a></li>\r\n<li>Searching: <a href=\"https://vimdoc.sourceforge.net/htmldoc/pattern.html\">https://vimdoc.sourceforge.net/htmldoc/pattern.html</a></li>\r\n<li>Insertion: <a href=\"https://vimdoc.sourceforge.net/htmldoc/insert.html\">https://vimdoc.sourceforge.net/htmldoc/insert.html</a></li>\r\n<li>Changing: <a href=\"https://vimdoc.sourceforge.net/htmldoc/change.html\">https://vimdoc.sourceforge.net/htmldoc/change.html</a></li>\r\n<li>Options: <a href=\"https://vimdoc.sourceforge.net/htmldoc/options.html\">https://vimdoc.sourceforge.net/htmldoc/options.html</a></li>\r\n</ul></li>\r\n<li>Graphical Cheat Sheet: <a href=\"https://www.viemu.com/a_vi_vim_graphical_cheat_sheet_tutorial.html\">https://www.viemu.com/a_vi_vim_graphical_cheat_sheet_tutorial.html</a></li>\r\n<li>Vim Hints Episode 3 <a href=\"https://hackerpublicradio.org/eps.php?id=1734\">https://hackerpublicradio.org/eps.php?id=1734</a></li>\r\n</ol>\r\n',225,82,1,'CC-BY-SA','vim,gvim,editor,movement,editing,configuration',0,0,1),
(1780,'2015-05-29','16 - TrueCrypt and GnuPG - An Update',911,'GnuPG and TrueCrypt updated, and how we support free software.','<p>\r\nPreviously we looked at the issues around TrueCrypt and Heartbleed, and noted that a fundamental problem was that technologies we rely on to be safe are often developed and maintained by volunteers or people on a shoestring budget. There is now more news worth looking at in this respect, so it is time for an update.\r\nFor more go to <a href=\"https://www.zwilnik.com/?page_id=825\">https://www.zwilnik.com/?page_id=825</a>\r\n</p>\r\n<p>\r\nLinks:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.propublica.org/article/the-worlds-email-encryption-software-relies-on-one-guy-who-is-going-broke\">https://www.propublica.org/article/the-worlds-email-encryption-software-relies-on-one-guy-who-is-going-broke</a>\r\n</li>\r\n<li><a href=\"https://www.linuxfoundation.org/programs/core-infrastructure-initiative\">https://www.linuxfoundation.org/programs/core-infrastructure-initiative</a>\r\n</li>\r\n<li><a href=\"https://spar.isi.jhu.edu/~mgreen/\">https://spar.isi.jhu.edu/~mgreen/</a>\r\n</li>\r\n<li><a href=\"https://blog.cryptographyengineering.com/\">https://blog.cryptographyengineering.com/</a>\r\n</li>\r\n<li><a href=\"https://blog.cryptographyengineering.com/2015/04/truecrypt-report.html\">https://blog.cryptographyengineering.com/2015/04/truecrypt-report.html</a>\r\n</li>\r\n<li><a href=\"https://www.schneier.com/blog/archives/2015/04/truecrypt_secur.html\">https://www.schneier.com/blog/archives/2015/04/truecrypt_secur.html</a>\r\n</li>\r\n<li><a href=\"https://truecrypt.ch/\">https://truecrypt.ch/</a>\r\n</li>\r\n<li><a href=\"https://ciphershed.org/\">https://ciphershed.org/</a>\r\n</li>\r\n<li><a href=\"https://veracrypt.codeplex.com/\">https://veracrypt.codeplex.com/</a>\r\n</li>\r\n<li><a href=\"https://www.grc.com/misc/truecrypt/truecrypt.htm\">https://www.grc.com/misc/truecrypt/truecrypt.htm</a>\r\n</li>\r\n<li><a href=\"https://www.zwilnik.com/?page_id=825\">https://www.zwilnik.com/?page_id=825</a>\r\n</li>\r\n</ul>\r\n\r\n<p><small><em>Editor\'s Note 2022-03-27: Tag changed from GnuPGP to GnuPG</em></small></p>\r\n',198,74,0,'CC-BY-SA','TrueCrypt, GnuPG, support',0,0,1),
(1785,'2015-06-05','54 - LibreOffice Impress - Creating a Presentation',674,'The mechanics of creating a presentation in Impress','<p>\r\nHaving looked at the theory of building a good presentation, now we can look at the mechanics of how to build a presentation. This will take you step-by-step through the creation process and get you ready to create your own awesome presentations.\r\nFor more go to <a href=\"https://www.ahuka.com/?page_id=1188\">https://www.ahuka.com/?page_id=1188</a>\r\n</p>\r\n<p>\r\nLinks\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.ahuka.com/?page_id=1188\">https://www.ahuka.com/?page_id=1188</a>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','Libreoffice,Libreoffice impress,creating presentation',0,0,1),
(1790,'2015-06-12','Penguicon 2015 Report',830,'Penguicon 2015 happened on April 24-26, 2015 in Southfield, Michigan','<p>\r\nPenguicon 2015 is a combined technology and science fiction convention in Southfield, Michigan, a suburb of Detroit, and presented over 500 hours of programming over the entire weekend. Of this, around 100 hours were open source, tech-related. In this episode I give you my personal diary of my experience at this great event.\r\n</p>\r\n<p>\r\nLinks:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://2015.penguicon.org/\">https://2015.penguicon.org/</a>\r\n</li>\r\n<li><a href=\"https://www.zwilnik.com/?p=831\">https://www.zwilnik.com/?p=831</a>\r\n</li>\r\n<li><a href=\"https://ind.ie/\">https://ind.ie/</a>\r\n</li>\r\n<li><a href=\"https://www.amazon.com/Data-Goliath-Battles-Collect-Control/dp/0393244814\">https://www.amazon.com/Data-Goliath-Battles-Collect-Control/dp/0393244814</a>\r\n</li>\r\n<li><a href=\"https://commonplacebooks.com/\">https://commonplacebooks.com/</a>\r\n</li>\r\n</ul>',198,96,0,'CC-BY-SA','Penguicon 2015',0,0,1),
(1795,'2015-06-19','54 - LibreOffice Impress - Templates and Master Pages',1034,'Using and acquiring Templates in Impress','<p>\r\nThe terms Template and Master Pages refer to the same thing, but inside the Impress application they are referred to as Master Pages, and they are accessed on the right-hand side of the page. If you as the author do not choose a specific Template to use when creating a new presentation, Impress will base the presentation on the default Template that is built in to Impress. But you can create your own default Template if you like.\r\nFor more go to <a href=\"https://www.ahuka.com/?page_id=1188\">https://www.ahuka.com/?page_id=1188</a>\r\n</p>\r\n<p>\r\nLinks\r\n</p>\r\n\r\n<ul>\r\n<li><p><a href=\"https://www.ahuka.com/?page_id=1188\">https://www.ahuka.com/?page_id=1188</a></p>\r\n</li>\r\n</ul>\r\n',198,70,0,'CC-BY-SA','LibreOffice, Impress, Templates, Master Pages',0,0,1),
(1778,'2015-05-27','Nethack and Vi cursor keys',552,'More about vi,vim and my nethack virtual machine','Hi I\'m Steve Bickle and this episode is \"Nethack and Vi cursor keys\", its my contribution partially inspired by the recent series of vi/vim podcasts and Frank Bell\'s recent episode Introduction to Rogue Class Linux. <br />\r\n\r\nIn addition to my piece here, I also want to use this opportunity to point out an excellent podcast about vim, that\'s complementary to the series on HPR. <br />\r\nI was pleased to see recently that Thomas Gideon\'s The Command Line podcast is back from a hiatus and want to make sure that others are aware. His 12th of April podcast is an essay entitled \"Hope and Fear in the World of vim\" where he discusses his use of vim throughout his career as a programmer.  You can find this podcast at thecommandline.net<br />\r\n\r\nThe text editor vi was written long ago by Bill Joy in the late 70\'s before the advent of the PC keyboard and cursor keys, so the default key mappings for left/down/up/right being H,J,K and L are not immediately familiar to a pc keyboard user. <br />\r\n\r\n<img src=\"https://upload.wikimedia.org/wikipedia/commons/a/a0/KB_Terminal_ADM3A.svg\" alt=\"AD-M3A terminal keyboard\"/><br />\r\n\r\nThe original UNIX machine for which vi was written used the AD-M3A terminal    where H,J,K and L had the cursor arrows engraved.<br />\r\nVi is installed as a default choice on many distros, and where it is not, there is invariably a package available that can be easily added. <br />\r\n\r\nSome, if not most, distros come vim installed by default (vim by the way stands for vi improved). This does have the cursor keys mapped nicely for a modern PC keyboard as well as the original keys. Vim is always aliased as vi, so if it\'s been installed when you enter vi you get vim. <br />\r\n\r\nVi is a pretty light weight bit of code whereas VIM has more dependencies so sometimes vi is still preferred as the default install package. For instance Debian and many of its derivatives have vi rather than vim installed by default.<br />\r\nIf you are distro hopping or working on other peoples systems you can generally rely on having vi available, but you can\'t be sure to get vim so it is useful to be conversant with the vi key mappings, along with a working knowledge of some of the basic commands. Then you will never be at a loss for a text editor when needing to hack around in a Linux box.<br />\r\n\r\nFor me as an occasional user of vi the most challenging keys to remember to use are the H,J,K and L. cursor keys, since muscle memory has my fingers diving for the arrow keys. This is where the game Nethack comes in, which is what this article/episode is really about.<br />\r\n\r\nNethack is a terminal based dungeon adventure games which uses the same cursor keys as vi and other old UNIX programs. Play this game for a few hours and you will ever struggle with vi cursor keys again. <br />\r\n\r\nThe goal of the game is to retrieve the \'Amulet\' from the lowest level of the dungeon and return to the surface with it for your god.<br />\r\n\r\nNethack presents as a text based adventure with each level gradually being revealed to you in the on-screen character based level map. As you travel through the dungeon more of the level is revealed. As you play, your character gains more experience and levels up its capabilities.<br />\r\n\r\nYou play as one of a number of types of character, and race. These include many of the usual dungeons and dragons types, archaeologists most likely inspired by Indiana Jones and tourists which definitely owe much to Terry Pratchet. Each role and race has their own initial characteristics, default inventory items, levelsof resilience and ability to learn various skills. For instance a wizard will advance his spell making capabilities faster than a footpad.<br />\r\n\r\nAlthough seemingly a simplistic terminal based game there\'s more going on in Nethack than is at first apparent. Originally released in 1987 it was actively developed with improvements to game play features until 2003. Since then there have been minor updates and ports for different platforms have been added, however there is rumoured to be a release with further game play improvements some-time this year. <br />\r\n\r\nThe game has real depth and subtlety that is gradually revealed the more you play. It is not an easy game to win (from my experience to date that may not even be possible) but the more you play it the better strategies you will devise and the more rewarding the game becomes. There\'s more complexity to this game than almost any modern 3d HD graphic adventure.<br />\r\n\r\nAlthough there is a Nethack Wiki where information about how to play can be sought, the true elite apparently learn through playing. I\'d suggest having a go, then when you become familiar with YASDs (yet another stupid death), there\'s a lot of them, you will have enough experience to answer a few burning question with the Wiki in order to be able to play a more satisfying game.<br />\r\n\r\nAlthough a challenging game, it is not a difficult game to play once you have remembered a few keyboard commands. And this game can be played just about anywhere. Because the game has GPL license there are many ports and flavours available. It is possible to play on most platforms: I have tried it on Linux, Android and even as a Google Chrome app, although the IOS port was not usable on our old iPad or a colleague\'s new iPhone.<br />\r\n\r\nThere are various ports for the Windows platform, some of which replace the character based interface with Windows 3.1 style tile interface or a 3d isometric graphic interface. Personally I\'d prefer to stick with the traditional character interface since the graphics don\'t really add anything to the game play. In fact when I play the game on Windows laptop, I use a minimal Debian install running on VirtualBox. I have set it up to auto-run Nethack and shutdown when exiting the game. Then I launch the VM directly with a shortcut containing the virtualbox command on the desktop.<br />\r\n\r\nThis is how I set up my Nethack VM: <br />\r\nFirst I created a VirtualBox VM with 1 core 256M of RAM and an 8GB hard drive (I could have easily got away with 2GB actually). <br />\r\n\r\nThen I installed a minimal install of Debian, configured networking and installed nethack using apt-get install. <br />\r\n\r\nOnce nethack was installed I disabled networking so I don\'t have to wait for a network connection to time-out when if my machine is not online.<br />\r\n\r\nTo make Debian auto-start with a particular user account you can edit the /etc/inittab and alter one of the tty invocations. I changed the line:<br />\r\n\r\n<pre>1:2345:respawn:/sbin/mingetty tty1</pre><br />\r\n\r\nTo login my account \'steve\' <br />\r\n\r\n<pre>1:2345:respawn:/sbin/mingetty –autologin steve tty1</pre><br />\r\n\r\nTo get Nethack to run on start-up, and the vm to shutdown on exiting the game edit the user\'s .bashrc file and append these three commands to the end of the file<br />\r\n<pre><br />\r\nclear          # this ensures that the screen is clean prior to running the game<br />\r\nnethack    # to run the game<br />\r\nsudo shutdown -h now  # to close the VM when you exit the game<br />\r\n</pre><br />\r\n\r\nBecause Nethack is a terminal based game it doesn\'t hammer the battery in portable machines, making it an ideal travel game for a commuter.<br />\r\n\r\nEven if you are not a gamer its worth a look at Nethack, it might be the one computer game that really grabs your attention.<br />\r\n',240,82,1,'CC-BY-SA','vi, vim, nethack, debian',0,0,1),
(1800,'2015-06-26','YouTube Video Subscriptions',882,'How to subscribe to and watch YouTube Video series, with suggestions','<p>\r\nAlthough my wife and I have a Cable TV subscription, I have maintained I could give it up easily because so much of what I am interested in is online anyway. For many people that might mean Netflix or Hulu, but for me it means YouTube. This is the golden age of narrow-casting, as opposed to broadcasting, because YouTube gives so many creators the opportunity to find their own audience for things that dont appeal to the masses.\r\nFor more go to <a href=\"https://www.palain.com/?p=243\">https://www.palain.com/?p=243</a>\r\n</p>\r\n<p>\r\nLinks:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.patreon.com/\">https://www.patreon.com/</a>\r\n</li>\r\n<li><a href=\"https://vidcon.com/\">https://vidcon.com/</a>\r\n</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Crash_Course_%28YouTube%29\">https://en.wikipedia.org/wiki/Crash_Course_%28YouTube%29</a>\r\n</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/SciShow\">https://en.wikipedia.org/wiki/SciShow</a>\r\n</li>\r\n<li><a href=\"https://www.palain.com/?p=243\">https://www.palain.com/?p=243</a>\r\n</li>\r\n</ul>\r\n\r\n<h3>Links</h3>\r\n\r\n<p>\r\n(Added)\r\n</p>\r\n\r\n<ul>\r\n<li>Alton Brown: <a href=\"https://www.youtube.com/channel/UC7J0cDeX5eo02yAXwIvB1CQ\">https://www.youtube.com/channel/UC7J0cDeX5eo02yAXwIvB1CQ</a>\r\n</li>\r\n<li>Alton Brown Television: <a href=\"https://www.youtube.com/channel/UCfDNi1aEljAQ17mUrfUjkvg\">https://www.youtube.com/channel/UCfDNi1aEljAQ17mUrfUjkvg</a>\r\n</li>\r\n<li>BBC Earth Unplugged: <a href=\"https://www.youtube.com/channel/UCbwp5B-uDBy-fS4bDA0TEaw\">https://www.youtube.com/channel/UCbwp5B-uDBy-fS4bDA0TEaw</a>\r\n</li>\r\n<li>Braincraft: <a href=\"https://www.youtube.com/channel/UCt_t6FwNsqr3WWoL6dFqG9w\">https://www.youtube.com/channel/UCt_t6FwNsqr3WWoL6dFqG9w</a>\r\n</li>\r\n<li>Brain Stuff - How Stuff Works: <a href=\"https://www.youtube.com/channel/UCiefLm_nIz_gOH7XHbgpdCQ\">https://www.youtube.com/channel/UCiefLm_nIz_gOH7XHbgpdCQ</a>\r\n</li>\r\n<li>Candyrat Records: <a href=\"https://www.youtube.com/channel/UCMJecdKUslHToOEpeuRGwXg\">https://www.youtube.com/channel/UCMJecdKUslHToOEpeuRGwXg</a>\r\n</li>\r\n<li>David Brin: <a href=\"https://www.youtube.com/channel/UCtbMXq5siIn3l-u_HKbAmrw\">https://www.youtube.com/channel/UCtbMXq5siIn3l-u_HKbAmrw</a>\r\n</li>\r\n<li>Computerphile: <a href=\"https://www.youtube.com/channel/UC9-y-6csu5WGm29I7JiwpnA\">https://www.youtube.com/channel/UC9-y-6csu5WGm29I7JiwpnA</a>\r\n</li>\r\n<li>Crash Course: <a href=\"https://www.youtube.com/channel/UCX6b17PVsYBQ0ip5gyeme-Q\">https://www.youtube.com/channel/UCX6b17PVsYBQ0ip5gyeme-Q</a>\r\n</li>\r\n<li>Dan Carlin: <a href=\"https://www.youtube.com/channel/UC3RcjbuyF5M1U4R62zjE3hg\">https://www.youtube.com/channel/UC3RcjbuyF5M1U4R62zjE3hg</a>\r\n</li>\r\n<li>Deep Sky Videos: <a href=\"https://www.youtube.com/channel/UCo-3ThNQmPmQSQL_L6Lx1_w\">https://www.youtube.com/channel/UCo-3ThNQmPmQSQL_L6Lx1_w</a>\r\n</li>\r\n<li>Don Ross: <a href=\"https://www.youtube.com/channel/UCRd5EO6FvhIrqQnk0cscSDA\">https://www.youtube.com/channel/UCRd5EO6FvhIrqQnk0cscSDA</a>\r\n</li>\r\n<li>FW Thinking: <a href=\"https://www.youtube.com/channel/UCnf7ZZpBsuTxnQgy1TKbTIw\">https://www.youtube.com/channel/UCnf7ZZpBsuTxnQgy1TKbTIw</a>\r\n</li>\r\n<li>Hana Malhas: <a href=\"https://www.youtube.com/channel/UCpoMVaoVRf3Xvf10_EIZKrg\">https://www.youtube.com/channel/UCpoMVaoVRf3Xvf10_EIZKrg</a>\r\n</li>\r\n<li>Healthcare Triage: <a href=\"https://www.youtube.com/channel/UCabaQPYxxKepWUsEVQMT4Kw\">https://www.youtube.com/channel/UCabaQPYxxKepWUsEVQMT4Kw</a>\r\n</li>\r\n<li>How Stuff Works: <a href=\"https://www.youtube.com/channel/UCa35qyNpnlZ_u8n9qoAZbMQ\">https://www.youtube.com/channel/UCa35qyNpnlZ_u8n9qoAZbMQ</a>\r\n</li>\r\n<li>It\'s Okay To Be Smart: <a href=\"https://www.youtube.com/channel/UCH4BNI0-FOK2dMXoFtViWHw\">https://www.youtube.com/channel/UCH4BNI0-FOK2dMXoFtViWHw</a>\r\n</li>\r\n<li>Kurtz Gezagt - In A Nutshell: <a href=\"https://www.youtube.com/channel/UCsXVk37bltHxD1rDPwtNM8Q\">https://www.youtube.com/channel/UCsXVk37bltHxD1rDPwtNM8Q</a>\r\n</li>\r\n<li>Mental Floss: <a href=\"https://www.youtube.com/channel/UCpZ5qUqpW4hW4zdfuBxMSJA\">https://www.youtube.com/channel/UCpZ5qUqpW4hW4zdfuBxMSJA</a>\r\n</li>\r\n<li>Minute Earth: <a href=\"https://www.youtube.com/channel/UCeiYXex_fwgYDonaTcSIk6w\">https://www.youtube.com/channel/UCeiYXex_fwgYDonaTcSIk6w</a>\r\n</li>\r\n<li>Minute Physics: <a href=\"https://www.youtube.com/channel/UCUHW94eEFW7hkUMVaZz4eDg\">https://www.youtube.com/channel/UCUHW94eEFW7hkUMVaZz4eDg</a>\r\n</li>\r\n<li>Monty Python: <a href=\"https://www.youtube.com/channel/UCGm3CO6LPcN-Y7HIuyE0Rew\">https://www.youtube.com/channel/UCGm3CO6LPcN-Y7HIuyE0Rew</a>\r\n</li>\r\n<li>NASA eClips: <a href=\"https://www.youtube.com/channel/UClF3aQw6CLDObNG4T9VPPnw\">https://www.youtube.com/channel/UClF3aQw6CLDObNG4T9VPPnw</a>\r\n</li>\r\n<li>nature video: <a href=\"https://www.youtube.com/channel/UC7c8mE90qCtu11z47U0KErg\">https://www.youtube.com/channel/UC7c8mE90qCtu11z47U0KErg</a>\r\n</li>\r\n<li>Numberphile: <a href=\"https://www.youtube.com/channel/UCoxcjq-8xIDTYp3uz647V5A\">https://www.youtube.com/channel/UCoxcjq-8xIDTYp3uz647V5A</a>\r\n</li>\r\n<li>Objectivity: <a href=\"https://www.youtube.com/channel/UCtwKon9qMt5YLVgQt1tvJKg\">https://www.youtube.com/channel/UCtwKon9qMt5YLVgQt1tvJKg</a>\r\n</li>\r\n<li>Perioodic Videos: <a href=\"https://www.youtube.com/channel/UCtESv1e7ntJaLJYKIO1FoYw\">https://www.youtube.com/channel/UCtESv1e7ntJaLJYKIO1FoYw</a>\r\n</li>\r\n<li>Physics Girl: <a href=\"https://www.youtube.com/channel/UC7DdEm33SyaTDtWYGO2CwdA\">https://www.youtube.com/channel/UC7DdEm33SyaTDtWYGO2CwdA</a>\r\n</li>\r\n<li>Piled Higher and Deeper (PhD Comics): <a href=\"https://www.youtube.com/channel/UCUL-pmhmDcZDwsA4cX2HO5w\">https://www.youtube.com/channel/UCUL-pmhmDcZDwsA4cX2HO5w</a>\r\n</li>\r\n<li>Science News: <a href=\"https://www.youtube.com/channel/UCBX5er6E37_yWB3gCM32p3g\">https://www.youtube.com/channel/UCBX5er6E37_yWB3gCM32p3g</a>\r\n</li>\r\n<li>SciShow: <a href=\"https://www.youtube.com/channel/UCZYTClx2T1of7BRZ86-8fow\">https://www.youtube.com/channel/UCZYTClx2T1of7BRZ86-8fow</a>\r\n</li>\r\n<li>SciShow Space: <a href=\"https://www.youtube.com/channel/UCrMePiHCWG4Vwqv3t7W9EFg\">https://www.youtube.com/channel/UCrMePiHCWG4Vwqv3t7W9EFg</a>\r\n</li>\r\n<li>Sixty Symbols: <a href=\"https://www.youtube.com/channel/UCvBqzzvUBLCs8Y7Axb-jZew\">https://www.youtube.com/channel/UCvBqzzvUBLCs8Y7Axb-jZew</a>\r\n</li>\r\n<li>Smarter Every Day: <a href=\"https://www.youtube.com/channel/UC6107grRI4m0o2-emgoDnAA\">https://www.youtube.com/channel/UC6107grRI4m0o2-emgoDnAA</a>\r\n</li>\r\n<li>Space Frontier Org: <a href=\"https://www.youtube.com/channel/UCe_aC8RselByR6B2UMnprQA\">https://www.youtube.com/channel/UCe_aC8RselByR6B2UMnprQA</a>\r\n</li>\r\n<li>Stuff They Don\'t Want You To Know - How Stuff Works: <a href=\"https://www.youtube.com/channel/UCrrOic-og4HzhleZqOq4L-A\">https://www.youtube.com/channel/UCrrOic-og4HzhleZqOq4L-A</a>\r\n</li>\r\n<li>Takei\'s Take: <a href=\"https://www.youtube.com/channel/UCdU7LWHJbvi4QsIDoofsbNA\">https://www.youtube.com/channel/UCdU7LWHJbvi4QsIDoofsbNA</a>\r\n</li>\r\n<li>The Hillywood Show: <a href=\"https://www.youtube.com/channel/UCuYRxRuTAtmeE2AiR5WWWHQ\">https://www.youtube.com/channel/UCuYRxRuTAtmeE2AiR5WWWHQ</a>\r\n</li>\r\n<li>The Fab Faux: <a href=\"https://www.youtube.com/channel/UCsU8AeRj_497u2IMxVA6OcQ\">https://www.youtube.com/channel/UCsU8AeRj_497u2IMxVA6OcQ</a>\r\n</li>\r\n<li>The Frugal Computer Guy: <a href=\"https://www.youtube.com/channel/UCbZ8wD6pmGb9qHqvx9M4YBw\">https://www.youtube.com/channel/UCbZ8wD6pmGb9qHqvx9M4YBw</a>\r\n</li>\r\n<li>Veritasium: <a href=\"https://www.youtube.com/channel/UCHnyfMqiRRG1u-2MsSQLbXA\">https://www.youtube.com/channel/UCHnyfMqiRRG1u-2MsSQLbXA</a>\r\n</li>\r\n<li>Vlog Brothers: <a href=\"https://www.youtube.com/channel/UCGaVdbSav8xWuFWTadK6loA\">https://www.youtube.com/channel/UCGaVdbSav8xWuFWTadK6loA</a>\r\n</li>\r\n<li>Vsauce: <a href=\"https://www.youtube.com/channel/UC6nSFpj9HTCZ5t-N3Rm3-HA\">https://www.youtube.com/channel/UC6nSFpj9HTCZ5t-N3Rm3-HA</a>\r\n</li>\r\n<li>Welcome To Night Vale: <a href=\"https://www.youtube.com/channel/UCrvuY59InDI3iKvopKT8PEw\">https://www.youtube.com/channel/UCrvuY59InDI3iKvopKT8PEw</a> \r\n</li>\r\n</ul>',198,0,0,'CC-BY-SA','YouTube, online video, subscriptions, Patreon',0,0,1),
(1805,'2015-07-03','56 - LibreOffice Impress - Styles and Objects 1 - Presentation Styles',896,'Presentation Styles and their use in LibreOffice Impress','<p>\r\nWe have previously looked at Styles for Writer, and for Calc, and now it is time to look at them for Impress. You may recall from both Writer and Calc that we saw it is important to know that Styles live inside of Templates. So any time you change a Style you needed to make sure it was saved inside of a Template, and if you wanted it to be generally available in all documents or spreadsheets you needed to be sure to make the change inside the Default Template.\r\nFor more go to <a href=\"https://www.ahuka.com/?page_id=1125\">https://www.ahuka.com/?page_id=1125</a>\r\n</p>\r\n<p>\r\nLinks\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.ahuka.com/?page_id=1125\">https://www.ahuka.com/?page_id=1125</a>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','LibreOffice, Impress, Presentations, Styles',0,0,1),
(1782,'2015-06-02','ChorusText - a Non-visual Text Editor Open Assistive Device Project',1051,'Introducing ChorusText, a non-visual text editor open assistive device project','<h3>Links:</h3>\r\n\r\n<ul>\r\n<li>ChorusText project page: <a href=\"https://www.chorustext.org\">www.chorustext.org</a>\r\n</li>\r\n<li>eSpeak page: <a href=\"https://espeak.sourceforge.net/\">https://espeak.sourceforge.net/</a>\r\n</li>\r\n<li>MaryTTS page: <a href=\"https://mary.dfki.de/index.html\">https://mary.dfki.de/index.html</a>\r\n</li>\r\n<li>GNOME Asia Summit 2015 page: <a href=\"https://2015.gnome.asia/\">https://2015.gnome.asia/</a>\r\n</li>\r\n<li>Singapore Maker Faire 2015 page: <a href=\"https://makerfairesingapore.com/get-involved/makers-2/\">https://makerfairesingapore.com/get-involved/makers-2/</a>\r\n</li>\r\n</ul>\r\n',305,79,1,'CC-BY-SA','ChorusText, text editor, Arduino, pcDuino, eSpeak, Mary TTS, Maker Faire Singapore 2015',0,0,1),
(1777,'2015-05-26','Magnatune Favourites',4033,'Andrew and Dave talk about Magnatune and some of their favourite tracks','<h1 id=\"magnatune-favourites\">Magnatune Favourites</h1>\r\n<p>Andrew Conway and Dave Morriss, who each have a lifetime membership with Magnatune, talk about the label and share some favourite tracks.</p>\r\n<h2 id=\"about-magnatune\">About Magnatune</h2>\r\n<figure>\r\n<img src=\"https://magnatune.com/info/press/logos/img/magnatune3-logo-small.png\" alt=\"Magnatune Logo\" /><figcaption>Magnatune Logo</figcaption>\r\n</figure>\r\n<p><a href=\"https://magnatune.com/\" title=\"Magnatune\">Magnatune</a> is an American independent record label based in Berkeley, California. It was founded in 2003 by <a href=\"https://john.redmood.com/\" title=\"John Buckman\">John Buckman</a>.</p>\r\n<p>When first set up music could be bought from Magnatune through a download interface on the website with a &quot;pay what you like&quot; pricing model. Later it was possible to purchase physical CDs and in 2007 complete albums and individual tracks could be bought through Amazon.com.</p>\r\n<p>Magnatune moved to a membership plan in 2008 and in 2010 dropped the CD printing service. The subscription model offers monthly or lifetime membership. Members can download as much as they want, or with a streaming membership can stream as much as they want. Many download formats are available and all music is without DRM.</p>\r\n<p>Magnatune encourages buyers to share up to three copies with friends. All of the tracks downloaded free of charge are licensed under the <a href=\"https://en.wikipedia.org/wiki/Creative_Commons_license\" title=\"Creative Commons\">Creative Commons</a> Attribution-NonCommercial-ShareAlike (BY-NC-SA) License.</p>\r\n<p>It\'s legal to play Magnatune music on a non-commercial podcast without paying collecting society fees to organisations such as ASCAP, BMI or SoundExchange.</p>\r\n<h2 id=\"music-choices\">Music Choices</h2>\r\n<ul>\r\n<li>Dave #1:\r\n<ul>\r\n<li>Album: Mokhov, &quot;<em>Future Hope</em>&quot;</li>\r\n<li>Track: <em>Echo Love</em> (3:56)</li>\r\n<li>Genre: Electronica</li>\r\n<li>Link: <a href=\"https://magnatune.com/artists/albums/mokhov-futurehope\">https://magnatune.com/artists/albums/mokhov-futurehope</a></li>\r\n</ul></li>\r\n<li>Andrew #1:\r\n<ul>\r\n<li>Album: Mystic Crock, &quot;<em>Difference</em>&quot;</li>\r\n<li>Track: <em>The Difference (Calming Down)</em> (9:04)</li>\r\n<li>Genre: Ambient, Electronica</li>\r\n<li>Link: <a href=\"https://magnatune.com/artists/albums/mysticcrock-difference/\">https://magnatune.com/artists/albums/mysticcrock-difference/</a></li>\r\n</ul></li>\r\n<li>Dave #2:\r\n<ul>\r\n<li>Album: Yumi Kurosawa, &quot;<em>Beginning of a Journey</em>&quot;</li>\r\n<li>Track: <em>Inner Space</em> (2:30)</li>\r\n<li>Genre: World, Other</li>\r\n<li>Link: <a href=\"https://magnatune.com/artists/albums/yumi-beginning\">https://magnatune.com/artists/albums/yumi-beginning</a></li>\r\n</ul></li>\r\n<li>Andrew #2:\r\n<ul>\r\n<li>Album: Sandeep Bhandari, &quot;<em>Dive Volume 1</em>&quot;</li>\r\n<li>Track: <em>Rich In Loss</em> (5:27)</li>\r\n<li>Genre: Electronica</li>\r\n<li>Link: <a href=\"https://magnatune.com/artists/albums/sandeep-diveone/\">https://magnatune.com/artists/albums/sandeep-diveone/</a></li>\r\n</ul></li>\r\n<li>Dave #3:\r\n<ul>\r\n<li>Album: Kalabi, &quot;Music for Televisions Vol 2&quot;</li>\r\n<li>Track: <em>Organoid</em> (3:41)</li>\r\n<li>Genre: Electronica</li>\r\n<li>Link: <a href=\"https://magnatune.com/artists/albums/kalabi-mtvtwo/\">https://magnatune.com/artists/albums/kalabi-mtvtwo/</a></li>\r\n</ul></li>\r\n<li>Andrew #3:\r\n<ul>\r\n<li>Album: Robert Rich, &quot;<em>Due Acque - Live Archive Vol 2</em>&quot;</li>\r\n<li>Track: <em>Due Acque part 07</em> (7:08)</li>\r\n<li>Genre: Ambient, New Age</li>\r\n<li>Link: <a href=\"https://magnatune.com/artists/albums/rrich-due/\">https://magnatune.com/artists/albums/rrich-due/</a></li>\r\n</ul></li>\r\n</ul>\r\n<p>The picture we mentioned when discussing the artist <em>Kalabi</em><br /><img src=\"https://magnatune.com//artists/img/kalabi2.jpg\" alt=\"Picture from Kalabi&#39;s page on Magnatune\" /><br /><a href=\"https://magnatune.com//artists/img/kalabi2.jpg\">https://magnatune.com//artists/img/kalabi2.jpg</a></p>\r\n<p>See also <a href=\"https://www.museumwaalsdorp.nl/en/airacous.html\">https://www.museumwaalsdorp.nl/en/airacous.html</a> if you want more.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ol type=\"1\">\r\n<li>Wikipedia entry on Magnatune: <a href=\"https://en.wikipedia.org/wiki/Magnatune\">https://en.wikipedia.org/wiki/Magnatune</a></li>\r\n<li>Magnatune site: <a href=\"https://magnatune.com/\">https://magnatune.com/</a></li>\r\n<li>Wikipedia entry on Creative Commons: <a href=\"https://en.wikipedia.org/wiki/Creative_Commons_license\">https://en.wikipedia.org/wiki/Creative_Commons_license</a></li>\r\n<li>John Buckman\'s blog: <a href=\"https://john.redmood.com/\">https://john.redmood.com/</a></li>\r\n<li>Web-based Magnatune player: <a href=\"https://greattuneplayer.jit.su\">https://greattuneplayer.jit.su</a></li>\r\n</ol>\r\n',225,0,1,'CC-BY-NC-SA','Magnatune,music',0,0,1),
(1786,'2015-06-08','What is MapReduce?',2188,'Charles in NJ returns in his outdoor studio to explain a Big Data concept.','<p>\r\nShownotes in <a href=\"https://hackerpublicradio.org/eps/hpr1786.pdf\">pdf format</a><br />\r\nShownotes in <a href=\"https://hackerpublicradio.org/eps/hpr1786.docx\">docx format</a><br />\r\n</p>\r\n\r\n<h1>What is MapReduce, Anyway?</h1>\r\n\r\n<p>MapReduce is inspired by three approaches from\r\nfunctional programming for applying a function to each item of a\r\ncollection of data, namely, Map, Filter and Reduce.  That is pretty\r\nabstract, so I will try to bring some of these ideas down to Earth.  \r\nI\'ll use lists to represent the “data” in any examples, but the\r\nconcepts in MapReduce can apply equally well to any data source:\r\nmultiple streams from the Internet, a number of internal data stores\r\nfrom multiple sites, and even user keystrokes/mouse moves.  \r\n</p>\r\n<p>If a function (or operation) can be applied to\r\neach item in some kind of input data, you may be able to use map,\r\nfilter and reduce.</p>\r\n\r\n<h2>Defining Terms</h2>\r\n\r\n<h3>Map</h3>\r\n<p>When we use the expression\r\nMap(function: f, data: [1,2,3,4,5,6]), we are declaring that we want\r\nto apply the function \"f\" to each element in the data.  In\r\nthis case, we have a list of numbers, but the data could be names,\r\nemployee records, or URLs for Internet documents from the Internet\r\nthat we would like to parse to extract useful information.</p>\r\n<p>Example: function f is square(x) = x * x, and the\r\ndata is our list [1..6].</p>\r\n<pre>\r\nMap( square(x), [1,2,3,4,5,6]) = [square(1),square(2), ..., square(6)], or [1, 4, 9, 16, 25, 36]\r\n</pre>\r\n<h3>Filter</h3>\r\n<p>Filtering data is essentially a variation of Map. \r\nYou could think of it in two stages:</p>\r\n<ol>\r\n  <li><p>Apply a \"test\" function to Map each item to either True or False (\"In\" or \"Out\")</p></li>\r\n  <li><p>Use the results of that Map operation to drop any item that fails the test (False)</p></li>\r\n</ol>\r\n\r\n<p>Having said this, a Filter does not have to be implemented in this way.  By\r\ndeclaring that we want to use a Filter operation, we have specified WHAT we\r\nwant to do.  It really does not matter HOW it gets done.</p>\r\n\r\n<p>Most functional programming tutorials would illustrate a Filter by\r\nselecting prime numbers from a list of integers, or to isolate numbers that\r\nare not multiples of 3.  A more useful illustration of Filter is a search\r\nfilter that reviews documents in a repository, or a set of search engine\r\nresults, and returns only those that pass the \"relevance test\".  The test\r\nitself could be defined using a \"fuzzy\" criterion for relevance (0-20% Not,\r\n20-50% A Little, 50-75% Fairly, &gt; 75% Very -- or what have you), but the\r\nend result is that you\'ll choose some documents to accept, and omit the\r\nrest.</p>\r\n\r\n<p>In a filter operation on a large number of data items, you might want to\r\ndrop the items as early as possible.   There is no law that requires you to\r\nmake these decisions in advance when you offer Map or Filter operations on\r\na server.</p>\r\n\r\n<p>In a MapReduce context, Map and Filter will often end up lumped together.\r\nThis is fine, because you don\'t want to waste processing time to perform\r\npotentially expensive transformations on data or documents that you can rule\r\nout immediately with a less computationally expensive filter.</p>\r\n<h3>Reduce</h3>\r\n<p>A Reduce operation on a collection of data is any\r\nkind of aggregate operation that boils down all of the detail items\r\ninto one or more summary metrics computed on the (filtered) data. \r\nThe canonical examples of a Reduce operation would be a Sum or a\r\nCount, but there are other possibilities.</p>\r\n\r\n<p>Reduce is usually defined as an operation:  \r\n</p>\r\n\r\n<p>Reduce(function(accumulator, data item) -> new\r\naccumulator value;  initial value;  data).</p>\r\n\r\n<p>Sometimes, you may see the Reduce operation\r\ndefined recursively:</p>\r\n\r\n<pre>\r\nReduce( function: f, initial_value, data = {first_item, all_other_items} ) is equal to \r\nReduce ( function: f,  new_value = f(initial_value, first_item),  data: {all_other_items})</pre>\r\n\r\n<p>If you follow that script, you can just\r\nrinse-and-repeat until you\'ve processed all of the items.</p>\r\n\r\n\r\n<h2>Why is this some kind of technological advance?</h2>\r\n\r\n<p>If you look at this characterization of Map and\r\nReduce, you\'ll see that these operations are fairly abstract.  The\r\ndeclarations typically state only what needs to be done, and the\r\nimplementation steps that specify how it is to be done are left open.</p>\r\n\r\n<p>For operations on data items that are fairly\r\nindependent of each other, there are advantages in defining things in\r\nthis way.  If there are no dependencies between data items, in the\r\nsense of the two rules listed below, you can use distributed\r\nprocessing across several \"servers\" to get to the result\r\nfor the entire data collection much faster.  \r\n</p>\r\n\r\n<p>Basic ground rules for the simplest case \r\n(Exceptions and additional constraints will apply in real projects):</p>\r\n\r\n<ol>\r\n  <li><p>Computations for each data item do not depend on those for other data items, so no communication, coordination or shared memory is needed between \"worker\" machines.</p></li>\r\n  <li><p>The order of the computations does not matter.</p></li>\r\n</ol>\r\n\r\n<p>Under these conditions, Map and Reduce operations\r\ncould be outsourced from a MapReduce server installation to a fleet\r\nof \"worker\" computers that can take on pieces of the\r\noverall computation, and send their results back to the Aggregation\r\nServer (or \"Boss\" machine).  That could give you a\r\ntremendous speed-up over the alternative of running on a single\r\ncomputing cluster.  So there can be speed advantages that come from\r\nMapReduce.</p>\r\n\r\n<p>With the right infrastructure, you can relax these\r\nconstraints and still get many of the same benefits on data that\r\nneeds to be ordered or preprocessed into some kind of table\r\nstructure.  \r\n</p>\r\n\r\n<p>Another advantage of the Boss/Workers paradigm for\r\nMapReduce operations, which may be less obvious, is fault tolerance. \r\nComputers sometimes fail to complete their assigned tasks.  Network\r\nconnections can be lost.  In a Boss/Workers setup, a Worker could\r\nsend a status report back to the Boss machine (or a Supervisor, since\r\neven the Boss role can be shared) that either contains a SUCCESS\r\nstatus flag and the results of its assignment, or a FAILED flag.  \r\n</p>\r\n<p>If a Boss receives a FAILED message, that piece of\r\nthe overall computation could be re-assigned to other Worker(s).  In\r\nthe case of a network outage, the Boss could respond to a Timeout\r\nevent for the Worker, flush that assignment to that Worker, and\r\nre-assign the unfinished task to other resources with a new unique\r\nID.  Any homework that is turned in after the Timeout event can then\r\nbe ignored.</p>\r\n\r\n<p>Note: This is just one way to build in parallelism\r\nand fault tolerance. \r\n</p>\r\n\r\n<p>An additional advantage to this sort of vague\r\ndefinition of MapReduce tasks is the ability to work with distributed\r\ndata in a way that allows greater use of local processing.  A central\r\nserver (Hub) processing model forces remote sites to transmit all the\r\noriginal data to the Hub, wait for the Hub to do the processing, and\r\nthen possibly transfer the  processed results back from the Hub  to\r\nthe remote data repository.  That\'s a lot of network traffic, any\r\npart of which could be lost, corrupted or even intercepted by third\r\nparties.</p>\r\n\r\n<p>In a Reduce operation, where everything is boiled\r\ndown to some [set of] summary measures, the local site could do much\r\nof the processing work, and transmit only the needed intermediate\r\nresults to the Boss back at the Hub for inclusion in the final totals\r\nover all Worker machines.</p>\r\n\r\n<p>Summary: Leaving the implementation details out of\r\nthe MapReduce specification allows for flexibility and some degree of\r\noptimization in getting these operations done in the most beneficial\r\nway.  \r\n</p>\r\n<ul>\r\n  <li><p>You can optimize to save time, even if that means spending more on hardware and communications.</p></li>\r\n  <li><p>You can design to save money (local processing, servers that are easier to replace, etc.).</p></li>\r\n</ul>\r\n\r\n<p>Whatever your objectives, you can adjust your\r\nimplementation to get the best result for your application.</p>\r\n\r\n\r\n<h2>Enter Hadoop.</h2>\r\n\r\n<p>Hadoop is an open source project from the Apache\r\nFoundation that lets you set up massively parallel distributed\r\nprocessing schemes for computations that can be fit into the\r\nMapReduce paradigm.  The best part is that you can make Hadoop work\r\non varying types of hardware, so you don\'t need to run the pieces of\r\ncomputational work solely on high-end, expensive supercomputers or\r\ncomplex computing cluster installations.  \r\n</p>\r\n\r\n<p>Hadoop makes it possible to farm out the bits of\r\ncomputational \"homework\" to \"commodity hardware\"\r\n– whatever that may mean for your installation.  Commodity hardware\r\nis also an abstract term.  In practice, you can match the level of\r\ncomputing power for Workers to meet the requirements of the assigned\r\nwork.   The worker machines could be set up on computers that are\r\neasy to provision and replace, so you won\'t have to buy\r\nspecial-purpose servers that  require extended periods for setup and\r\nconfiguration.  \r\n</p>\r\n\r\n<p>MapReduce does NOT refer to the process of\r\nsplitting up a large data processing job into assignments.  The\r\nconcepts behind MapReduce help us to think about and plan classes of\r\nprocessing tasks that are frequently applied to large datasets, or to\r\na lot of data streams that are coming in from many sources and\r\nlocations.  \r\n</p>\r\n\r\n<p>So far, it sounds like MapReduce and Hadoop are a\r\nkind of silver bullet that can eliminate the time and expense\r\nrequired to solve “Big Data” problems.  As helpful as these ideas\r\nand their supporting technologies may be, not every potential\r\nMapReduce  job can be optimized as much as we might like.  Hadoop\r\nwill not offer a cure-all for every problem.  \r\n</p>\r\n\r\n<p>We still have to understand the problem, determine\r\nwhat is needed, and work hard to do the right thing.</p>\r\n\r\n<p>But when there is a good fit between the problem\r\nand this approach toward providing a solution, Hadoop and MapReduce\r\ncan be very helpful.</p>\r\n\r\n',229,0,1,'CC-BY-SA','map,reduce,hadoop',0,0,1),
(1799,'2015-06-25','Posting From the Command Line on Open Social Networks',764,'I explain how to post content from the command line on open social networks pump.io and GNU Social','<h2>Posting From the Command Line on Open Social Networks</h2>\r\n\r\n<p>You can post to your open social media timelines from the command line using <a href=\"https://en.wikipedia.org/wiki/Application_programming_interface\">API</a> access. Why would you want to do this?</p>\r\n\r\n<ul>\r\n	<li>Script automated postings.</li>\r\n	<li>Bots</li>\r\n	<li>Post from terminal environments.</li>\r\n	<li>Post from wherever else you are without having to go to the social media site or to the client that you use to access it.</li>\r\n	<li>Trigger postings via voice command (what I do).</li>\r\n</ul>\r\n\r\n<h2>On GNU Social</h2>\r\n\r\n<p>Here is the basic format for the command to post a message to a Statusnet / GNU Social timeline:</p>\r\n\r\n<p><code>curl -s --basic --user &lt;username:password&gt; --data status=\"Hello World\" --output /dev/null https://instance.domain.com/api/statuses/update.xml</code></p>\r\n\r\n<p>And here is the script I use to post a message to my timeline, launched by a blather voice command:</p>\r\n\r\n<pre>\r\n#!/bin/bash\r\n\r\n# SN account info\r\nuser=johndoe\r\npass=\'password123\'\r\n\r\n# a place to store the text message \r\ntext=/tmp/message.txt\r\n\r\n# Virtual keystrokes to copy selected text to the clipboard\r\nxdotool key Control+c\r\n\r\n# pipe text out of clipboard into the text file\r\nxclip -o > $text\r\n\r\n# rest for half a sec\r\nsleep .5\r\n\r\ncurl -s --basic \\\r\n--user $user:$pass \\\r\n--data status=\"$(cat \"$text\")\" \\\r\n--output /dev/null \\\r\nhttps://instance.domain.com/api/statuses/update.xml \r\n\r\nrm $text\r\n\r\nexit 0\r\n</pre>\r\n\r\n<h2>On Pump.io</h2>\r\n\r\n<p>On <strong>pump.io</strong> you have to install the <code>pump.io</code> software on your computer. You don\'t have to be running a server, you just have to have the binaries so that you can run the commands. I will not go into how this is done on this podcast, but there\'s a link to the pump.io website below and there should be installation instructions available there. Once you have the software installed, you also have to allow command-line access to your account and get the token for authentication, maybe authorize the user too:</p>\r\n\r\n<pre>\r\npump-register-app -s instance.domain.com -P 443 -t CLI\r\n</pre>\r\n\r\n<pre>\r\npump-authorize -s instance.domain.com -P 443 -u username\r\n</pre>\r\n\r\n<p>Finally you can post to your timeline from the command line:</p>\r\n\r\n<p><code>pump-post-note -s instance.domain.com -P 443 -p -u username -n \"Hello World.\"</code></p>\r\n\r\n<p>My script to post a message to the <code>pump.io</code> timeline, launched by a blather voice command:</p>\r\n\r\n<pre>\r\n#!/bin/bash\r\n\r\n# a place to put the text. \r\ntext=/tmp/message.txt\r\n\r\n# --------------------------------\r\n# Since markdown is possible, I run \r\n# the text through markdown to get\r\n# a bit of formatting and save it\r\n# as a separate file \r\n# --------------------------------\r\npump=/tmp/pump.txt\r\n\r\n# Virtual keystrokes to copy selected text to the clipboard\r\nxdotool key Control+c\r\n\r\n# pipe text out of clipboard into the text file\r\nxclip -o > $text\r\n\r\n# run Markdown\r\nmarkdown $text > $pump\r\n\r\n# Post message\r\npump-post-note -s instance.domain.com -P 443 -p -u username -n \"$(cat $pump)\"\r\n\r\nsleep 1\r\n\r\nrm $text\r\nrm $pump\r\n\r\nexit 0\r\n</pre>\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n<li>GNU social: <a href=\"https://gnu.io/\">https://gnu.io/</a></li>\r\n<li><a href=\"https://identi.ca/\">https://identi.ca/</a> (a <a href=\"https://pump.io/\">pump.io</a> network)</li>\r\n<li>pump.io Clients: <a href=\"https://github.com/e14n/pump.io/wiki/Clients\">https://github.com/e14n/pump.io/wiki/Clients</a></li>\r\n<li>My Screencast demonstrating the use of blather voice command to post to a timeline <a href=\"https://youtu.be/IJyzF_-6S2o\">https://youtu.be/IJyzF_-6S2o</a></li>\r\n</ul>\r\n',238,0,0,'CC-BY-SA','scripting, command-line, social media, GNU Social, pump.io',0,0,1),
(1787,'2015-06-09','A Beginner with a Wok',1025,'Frank Bell shares some of the things he\'s learned about cooking with a wok.','<p>\r\nMerriam-Websters defines \"stir-fry\" as \"to fry quickly over high heat in a lightly oiled pan (as a wok) while stirring continuously.\"\r\n(Source:  <a href=\"https://www.merriam-webster.com/dictionary/stir-fry\">https://www.merriam-webster.com/dictionary/stir-fry</a>)\r\n</p>\r\n<p>\r\nTalk about stir-frying.  Not an expert by any means, but think I\'ve learned enough to share a bit.\r\n</p>\r\n<p>\r\nFrank bought a wok, quite on impulse, and has been experimenting with stir-fry recipes and has found it surprisingly easy--much easier than, say, making a souffle or oysters Rockefeller.  In this podcast, he discusses what he has learned and in the context of narrating the preparation of a meal.\r\n</p>\r\n\r\n<h3>Some Links:</h3>\r\n\r\n<p>\r\nWok How-Tos:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.seriouseats.com/2010/06/wok-skills-101-stir-frying-basics.html\">https://www.seriouseats.com/2010/06/wok-skills-101-stir-frying-basics.html</a>\r\n</li>\r\n<li><a href=\"https://www.cookinglight.com/cooking-101/techniques/cooking-class-stir-frying\">https://www.cookinglight.com/cooking-101/techniques/cooking-class-stir-frying</a>\r\n</li>\r\n</ul>\r\n\r\n<h3>Two Recipes:</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://www.myrecipes.com/recipe/shrimp-vegetable-stir-fry\">https://www.myrecipes.com/recipe/shrimp-vegetable-stir-fry</a>\r\n(Note:  The first step in this recipe is to make your own teriyaki sauce.  You can use a commercial sauce instead.)\r\n</li>\r\n<li><a href=\"https://www.epicurious.com/recipes/food/views/spicy-shrimp-and-vegetable-stir-fry-238344\">https://www.epicurious.com/recipes/food/views/spicy-shrimp-and-vegetable-stir-fry-238344</a>\r\n</li>\r\n</ul>',195,93,0,'CC-BY-SA','cooking,stir-fry,wok',0,0,1),
(1788,'2015-06-10','Podcrawl Glasgow 2015',1950,'Dave Morriss and Kevie have a yarn about the upcoming event Podcrawl Glasgow 2015','<p>\r\nDave Morriss and Kevie have a yarn about the upcoming Glasgow Podcrawl.  The event takes place on the 10th of July 2015 and kicks off at 6pm in the State Bar, Holland Street.  The event is open to anybody with an interest in open source software or creative commons music.  Whether you\'re an enthusiast or just interest in finding out more, also if you\'re a member of a band then we would love to have you along for a yarn over a few pints.<br />\r\nCheck out <a href=\"https://kmacphail.blogspot.co.uk/2015/01/podcrawl-glasgow-2015.html\">https://kmacphail.blogspot.co.uk/2015/01/podcrawl-glasgow-2015.html</a> for more details and a map of how to get to the bar.\r\n</p>\r\n',296,0,1,'CC-BY-SA','Glasgow,Podcrawl,open source, ccmusic, podcast, Linux',0,0,1),
(1791,'2015-06-15','Organizing Photos with Bash',1875,'Use bash to simplify the process of organizing and backing up photographs.','<h2>Summary</h2>\r\n<p>In this episode I provide an overview of how I use bash to automate my process\r\n    for orgainizing photographs on my computer.</p>\r\n\r\n<p>There are two main objectives of this script:</p>\r\n<ol>\r\n    <li>Organize photographs in a folder structure that makes sense to me, e.g. 2015/2015-05-22</li>\r\n    <li>Allow me to back up my photographs using a variety of methods.</li>\r\n</ol>\r\n\r\n<h2>Download the Script</h2>\r\n\r\n<p>This script is hosted on Github and you can download the latest version using following command:</p>\r\n\r\n<code>git clone https://gist.github.com/81e489b2a7397bb17305.git</code>\r\n\r\n<h2>Script</h2>\r\n\r\n<pre>\r\n<code>\r\n#!/bin/bash\r\n\r\nshopt -s -o nounset\r\n\r\n# Create variables and configure script.\r\ndeclare -rx SCRIPT=${0##*/}\r\ndeclare TMPDIR=/tmp/photos\r\ndeclare -r CURRENTDIR=`pwd`\r\ndeclare FILES=$TMPDIR/*\r\ndeclare DESTINATION=/media/Tyr/Pictures/Photos\r\ndeclare -r GOOGLEUSER=\"tnyplz@gmail.com\"\r\ndeclare -r  OPTSTRING=\"-h, -d:\"\r\ndeclare -r  LONGOPTSTRING=\"help, destination-directory, no-google-backup, sd-card, tmp-dir, no-delete, backup\"\r\ndeclare RESULT\r\ndeclare GOOGLE_BACKUP=true\r\ndeclare SD=false\r\ndeclare SDDIR\r\ndeclare NODELETE=false\r\ndeclare S3=false\r\n\r\n# Executable dependencies\r\ndeclare -rx find=\"/usr/bin/find\"\r\ndeclare -rx gphoto2=\"/usr/bin/gphoto2\"\r\ndeclare -rx google=\"/usr/bin/google\"\r\ndeclare -rx dcraw=\"/usr/bin/dcraw\"\r\ndeclare -rx rsync=\"/usr/bin/rsync\"\r\ndeclare -rx rename=\"/usr/bin/rename\"\r\ndeclare -rx tar=\"/usr/bin/tar\"\r\ndeclare -rx s3cmd=\"/usr/bin/s3cmd\"\r\n\r\n# Sanity Checks\r\nif test -z $BASH; then\r\n    printf \"$SCRIPT:$LINENO: please run this script with the BASH shell\\n\" >&amp;2\r\n    exit 192\r\nfi\r\n# check for find\r\nif test ! -x $find; then\r\n    printf \"$SCRIPT:$LINENO: the $find command is not available -- \\\r\naborting\\n\" >&amp;2\r\n    exit 192\r\nfi\r\n# check for gphoto2\r\nif test ! -x $gphoto2; then\r\n    printf \"$SCRIPT:$LINENO: the $gphoto2 command is not available -- \\\r\naborting\\n\" >&amp;2\r\n    exit 192\r\nfi\r\n# check for google\r\nif test ! -x $google; then\r\n    printf \"$SCRIPT:$LINENO: the $google command is not available -- \\\r\naborting\\n\" >&amp;2\r\nfi\r\n# check for dcraw\r\nif test ! -x $dcraw; then\r\n    printf \"$SCRIPT:$LINENO: the $dcraw command is not available -- \\\r\naborting\\n\" >&amp;2\r\nfi\r\n# check for rename\r\nif test ! -x $rename; then\r\n    printf \"$SCRIPT:$LINENO: the $rename command is not available -- \\\r\naborting\\n\" >&amp;2\r\n    exit 192\r\nfi\r\n# check for rsync\r\nif test ! -x $rsync; then\r\n    printf \"$SCRIPT:$LINENO: the $rsync command is not available -- \\\r\naborting\\n\" >&amp;2\r\nfi\r\n# check for tar\r\nif test ! -x $tar; then\r\n    printf \"$SCRIPT:$LINENO: the $tar command is not available -- \\\r\naborting\\n\" >&amp;2\r\nfi\r\n# check for glacier-cmd\r\nif test ! -x $s3cmd; then\r\n    printf \"$SCRIPT:$LINENO: the $s3cmd command is not available -- \\\r\naborting\\n\" >&amp;2\r\nfi\r\n\r\n\r\n# Check for Options\r\n# =================\r\n\r\ngetopt -T\r\nif [ $? -ne 4 ]; then\r\n    printf \"$SCRIPT:$LINENO: %s\\n\" \"getopt is in compatibility mode\" >&amp;2\r\n    exit 192\r\nfi\r\n\r\nRESULT=$(getopt --name \"$SCRIPT\" --options \"$OPTSTRING\" --longoptions \"$LONGOPTSTRING\" -- \"$@\")\r\nif [ $? -gt 0 ]; then\r\n    exit 192\r\nfi\r\n\r\neval set -- \"$RESULT\"\r\n\r\nwhile [ $# -gt 0 ]; do\r\n    case \"$1\" in\r\n    -h | --help) # show help\r\n        printf \"%s\\n\" \"\r\nThis script helps you automate the process of downloading photos from\r\nyour camera, uploading backups to Google Picasa, and syncing the files\r\nwith a specified directory.\r\n\r\nDependendies:\r\n  gphoto2\r\n  dcraw\r\n  googlecl\r\n  rsync\r\n  s3cmd\r\n\r\nusage: $SCRIPT [options]\r\n\r\nOptions:\r\n  -h | --help                        Show help for $SCRIPT\r\n  --destination-directory {LOCATION} Set the location where the photos will be\r\n                                     copied to.\r\n  --tmp-dir {LOCATION}               Set the temporary directory where images\r\n                                     will be downloaded to initially. The\r\n                                     default is /tmp/photos.\r\n  --no-google-backup                 Disable uploading low rez copies to Google\r\n                                     Plus.\r\n  --sd-card {LOCATION}               Set the location of the sd card.\r\n  --no-delete                        Do not delete from temp file.\r\n  --backup {FOLDER} {S3 BUCKET}      Create archive from folder and upload to S3.\r\n  \"\r\n        exit 0\r\n        ;;\r\n    --destination-directory ) shift\r\n        if [ $# -eq 0 ]; then\r\n            printf \"$SCRIPT:$LINENO: %s\\n\" \"Invalid argument for destination. No destination given.\" >&amp;2\r\n            exit 192\r\n        fi\r\n        DESTINATION=\"$1\"\r\n        ;;\r\n    --tmp-dir ) shift\r\n        if [ $# -eq 0 ]; then\r\n            printf \"$SCRIPT:$LINENO: %s\\n\" \"Invalid argument for tmp-dir.  No temporary directory given.\" >&amp;2\r\n            exit 192\r\n        fi\r\n        TMPDIR=\"$1\"\r\n        FILES=$TMPDIR/*\r\n        ;;\r\n    --no-google-backup ) shift\r\n        GOOGLE_BACKUP=false\r\n        ;;\r\n    --sd-card ) shift\r\n        SD=true\r\n        if [ $# -eq 0 ]; then\r\n            printf \"$SCRIPT:$LINENO: %s\\n\" \"Invalid argument for sd directory. No sd card directory given.\" >&amp;2\r\n            exit 192\r\n        fi\r\n        SDDIR=\"$1\"\r\n        ;;\r\n    --no-delete ) shift\r\n	NODELETE=true\r\n	;;\r\n    --backup ) shift\r\n        if [ $# -eq 0 ]; then\r\n            printf \"$SCRIPT:$LINENO: %s\\n\" \"Invalid argument for AWS Glacier Backup. Backup folder and vault must be specified.\"\r\n        fi\r\n        S3=true\r\n        BACKUP_FOLDER=\"$1\"\r\n        BUCKET=\"$2\"\r\n        ;;\r\n    esac\r\n    shift\r\ndone\r\n\r\n# Functions\r\n# =========\r\n\r\n# function to convert a raw image to jpg.\r\n# input: requires the user to specify the file extention ($1).\r\nfunction convert_to_jpg () {\r\n  FILES2CONVERT=$TMPDIR/*\"$1\"\r\n  for FILE in $FILES2CONVERT\r\n  do\r\n    FILE2BACKUP=$TMPDIR/Backup/`basename \"$FILE\" \"$1\"`\'.jpg\'\r\n    if [ -e $FILE2BACKUP ]; then\r\n        printf \"$SCRIPT:$LINENO: Skipping $FILE, jpg file already exists\\n\"\r\n    elif [ -e $FILE ]; then\r\n        printf \"$SCRIPT:$LINENO: Converting $FILE to $FILE2BACKUP\\n\"\r\n        $dcraw -cvz -w -o 1 -q 3 \"$FILE\" | cjpeg -quality 80 -optimize > \"$FILE2BACKUP\"\r\n    else\r\n        printf \"Did not convert $FILE\\n\"\r\n    fi\r\n  done\r\n}\r\n\r\n# function to resize jpeg to upload to picasa\r\nfunction resize_to_thumb () {\r\n    FILES2RESIZE=$TMPDIR/Backup/* # TODO pass this in as argument along with destination directory\r\n    for FILE in $FILES2RESIZE\r\n    do\r\n        printf \"$SCRIPT:$LINENO: Creating thumbnail for $FILE...\"\r\n        convert $FILE -resize 2048x2048 $TMPDIR/Backup/Upload/`basename \"$FILE\" \".jpg\"`\'_thumb.jpg\'\r\n        printf \"done\\n\"\r\n    done\r\n}\r\n\r\n# function to import photos\r\nfunction import_photos () {\r\n    printf \"$SCRIPT:$LINENO: Importing Photos\\n\"\r\n    if $SD; then\r\n        cp -p \"$SDDIR\"/* .\r\n    else\r\n        $gphoto2 --quiet --get-all-files\r\n    fi\r\n}\r\n\r\n# function to remove spaces in file names\r\nfunction remove_spaces () {\r\n    $find $1 -depth -name \"* *\" -execdir $rename \'s/ /_/g\' \"{}\" \\;\r\n}\r\n\r\n# function to sort images into direcotries based on date.\r\n# input: directory to sort ($1)\r\n#        directory to sort into ($2)\r\nfunction sort_images () {\r\n    SORTDIR=$2\'/Sorted/\'\r\n    for FILE in $1\r\n    do\r\n        printf \"$SCRIPT:$LINENO: Sorting $FILE\\n\"\r\n        DATEDIR=$SORTDIR`date -r \"$FILE\" +%Y`\'/\'`date -r \"$FILE\" +%Y-%m-%d`\r\n        mkdir -p $DATEDIR\r\n        cp \"$FILE\" $DATEDIR/\r\n    done\r\n}\r\n\r\n# function create archive and upload to AWS S3\r\n# input: directory to create an archive for ($1)\r\n#        s3 bucket name ($2)\r\nfunction archive_folder () {\r\n    ARCHIVE=$TMPDIR/$(basename $1).tar.bz2\r\n    printf \"$SCRIPT:$LINENO: archiving $ARCHIVE\\n\"\r\n    $tar -cvjf $ARCHIVE $1\r\n    $s3cmd put $ARCHIVE $2\r\n}\r\n\r\n# Create temporary directory\r\nmkdir -p $TMPDIR\r\ncd $TMPDIR\r\n\r\n# Create AWS Glacier archive\r\nif $S3; then\r\n    archive_folder $BACKUP_FOLDER $BUCKET\r\n    cd $CURRENTDIR\r\n    if [ $NODELETE = false ]; then\r\n        rm -rf $TMPDIR\r\n    fi\r\n    exit 0\r\nfi\r\n\r\n# Import files from camera\r\nimport_photos\r\nprintf \"$SCRIPT:$LINENO: Importing Photos Done!\\n\"\r\n\r\n# Remove Spaces in Filenames\r\nremove_spaces $TMPDIR\r\n\r\n#Convert all files to lower case\r\nprintf \"$SCRIPT:$LINENO: Converting Photos to Lower Case.\\n\"\r\nfor FILE in *\r\ndo\r\n    f=`echo $FILE | tr \'[:upper:]\' \'[:lower:]\'`\r\n    mv \"$FILE\" \"$f\"\r\ndone\r\nprintf \"$SCRIPT:$LINENO: Converting Photos to Lower Case Done!\\n\"\r\n\r\n# Sort files\r\nsort_images \"$FILES\" \"$TMPDIR\"\r\nprintf \"$SCRIPT:$LINENO: Sorting Images Done!\\n\"\r\n\r\n# Create backup jpgs and upload them to Picassa\r\nmkdir -p $TMPDIR/Backup\r\ncp $TMPDIR/*.jpg $TMPDIR/Backup/\r\n\r\nconvert_to_jpg \".nef\"\r\nconvert_to_jpg \".nrw\"\r\nmkdir -p $TMPDIR/Backup/Upload\r\nresize_to_thumb\r\n\r\nif $GOOGLE_BACKUP; then\r\n    # Upload jpgs to Picassa\r\n    # Requires that you authorize googlecl through the web browser.\r\n    $google picasa create --user $GOOGLEUSER --title \"Backup \"`date +%Y-%m` $TMPDIR/Backup/Upload/*\r\nfi\r\n\r\n# Copy files to final locations\r\n$rsync -ravv $TMPDIR/Sorted/ $DESTINATION # TODO test to make sure destination works\r\n\r\ncd $CURRENTDIR\r\n\r\n# Remove temp folder\r\nif [ $NODELETE = false ]; then\r\n    rm -rf $TMPDIR\r\nfi\r\n\r\nprintf \"$SCRIPT:$LINENO: Processing Complete!\\n\"\r\nexit 0\r\n</code>\r\n</pre>\r\n',263,42,1,'CC-BY-SA','bash, photography, automation',0,0,1),
(1792,'2015-06-16','An Interview with Andrea Frost',607,'David Whitman interviews Andrea Frost during LinuxFest Northwest.','<p>\r\nI interview Andrea Frost at LinuxFest Northwest.\r\n</p>\r\n<h3>Andrea Frost</h3> \r\n<p>\r\nAndrea Frost holds a B.A. in German language and a concentration in mathematics from Western Washington University. A passionate advocate of youth and education, Frost has a wide spectrum of volunteer experience with youth organizations.\r\n</p>\r\n<p>\r\nShe is currently an office assistant for Kids Council Northwest and finishing a post-graduate degree in computer science from Western.\r\n</p>\r\n<p>\r\n<a href=\"https://awc.cs.wwu.edu/\">https://awc.cs.wwu.edu/</a>\r\nWestern Washington University\r\nAssociation for Women in Computing\r\n</p>\r\n<p>\r\n<!--\r\n<a href=\"https://www.bellinghamherald.com/2015/02/17/4137824_women-to-discuss-challenges-highlights.html?rh=1\">https://www.bellinghamherald.com/2015/02/17/4137824_women-to-discuss-challenges-highlights.html?rh=1</a>\r\n-->\r\n<a href=\"https://www.bellinghamherald.com/news/local/article22275924.html\">https://www.bellinghamherald.com/news/local/article22275924.html</a>\r\n</p>\r\n',209,78,1,'CC-BY-SA','LinuxFest Northwest, Andrea Frost, Women in Computing',0,0,1),
(1793,'2015-06-17','Some thoughts about the Go language',539,'I\'ve been learning Go recently. Here are my initial thoughts about the language and framework.','<p>\r\nShow_Notes:\r\n</p>\r\n<p>\r\nHere are some useful links when learning Go:\r\n</p>\r\n\r\n<ul>\r\n<li><p><a href=\"https://tour.golang.org/welcome/1\">https://tour.golang.org/welcome/1</a></p>\r\n</li>\r\n<li><p><a href=\"https://golang.org/doc/code.html\">https://golang.org/doc/code.html</a></p>\r\n</li>\r\n<li><p><a href=\"https://golang.org/doc/effective_go.html\">https://golang.org/doc/effective_go.html</a></p>\r\n</li>\r\n<li><p><a href=\"https://gobyexample.com/\">https://gobyexample.com/</a></p>\r\n</li>\r\n<li><p><a href=\"https://learnxinyminutes.com/docs/go/\">https://learnxinyminutes.com/docs/go/</a></p>\r\n</li>\r\n<li><p><a href=\"https://golang.org/ref/spec\">https://golang.org/ref/spec</a></p>\r\n</li>\r\n<li><p><a href=\"https://golang.org/ref/spec\">https://golang.org/ref/spec</a></p>\r\n</li>\r\n<li><p><a href=\"https://golang.org/pkg/\">https://golang.org/pkg/</a></p>\r\n</li>\r\n<li><p><a href=\"https://godoc.org/\">https://godoc.org/</a></p>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nAnd here are some links to things I mentioned during the show:\r\n</p>\r\n\r\n<ul>\r\n<li><p><a href=\"https://en.wikipedia.org/wiki/Mebibyte\">https://en.wikipedia.org/wiki/Mebibyte</a></p>\r\n</li>\r\n<li><p><a href=\"https://en.wikipedia.org/wiki/Heartbleed\">https://en.wikipedia.org/wiki/Heartbleed</a></p>\r\n</li>\r\n<li><p><a href=\"https://en.wikipedia.org/wiki/C_%28programming_language%29\">https://en.wikipedia.org/wiki/C_%28programming_language%29</a></p>\r\n</li>\r\n<li><p><a href=\"https://en.wikipedia.org/wiki/Python_%28programming_language%29\">https://en.wikipedia.org/wiki/Python_%28programming_language%29</a></p>\r\n</li>\r\n</ul>\r\n',302,0,0,'CC-BY-SA','Go language,programming language',0,0,1),
(1804,'2015-07-02','What\'s in my Bicycle Repair Tool Box',1454,'I describe what\'s in my bike repair tool box and what the tools do.','<h2>Tools Mentioned</h2>\r\n\r\n<p>Unless otherwise stated, all are made by Park Bicycle Tools: https://www.parktool.com/</p>\r\n\r\n<ul>\r\n<li>SPA-1: Pin Spanner: Green</li>\r\n<li>SPA-6: Adjustable Pin Spanner</li>\r\n<li>SW-7: Triple Spoke Wrench</li>\r\n<li>XLC bike tools crank tool TO-C02 (Crankarm removal tool): https://www.amazon.com/XLC-bike-tools-crank-tool/dp/B000NU2WAS/</li>\r\n<li>SCW-13, SCW-15: 13mm, 15mm Shop Cone Wrenches</li>\r\n<li>DCW-1: Double-Ended Cone Wrench</li>\r\n<li>FR-1, 2, 5, 6: Freewheel Remover tools</li>\r\n<li>BBT-22: Bottom Bracket Tool</li>\r\n<li>CN-10: Professional Cable and Housing Cutter</li>\r\n<li>Avenir \"Third Hand\" Cable Puller: 94-27-403 (https://www.avenirusa.com/parts-and-accessories/tools/cable-tools/third-hand-cable-puller.html)</li>\r\n<li>HCW-5: Crank and Bottom Bracket Wrench</li>\r\n<li>CT-3: Chain tool</li>\r\n<li>HCW-15: Headset Wrench</li>\r\n<li>Ferrules for cable housing</li>\r\n<li>Cable End Caps</li>\r\n<li>TW-1: Torque Wrench</li>\r\n<li>SR-1: Sprocket Remover / Chain Whip</li>\r\n<li>Vise Grips (small and large)</li>\r\n<li>Adjustable wrenches: 6\", 8\", 10\", 12\"</li>\r\n</ul>',238,23,0,'CC-BY-SA','bicycles, bicycle repair, DIY, tools',0,0,1),
(1797,'2015-06-23','An Interview with Aaron Wolf of the Snowdrift Co-op Project',875,'Aaron Wolf of the Snowdrift Co-op project is interviewed by David Whitman','<p>\r\nAn Interview with Aaron Wolf of the Snowdrift Co-op project by David Whitman during LinuxFest Northwest 2015\r\n</p>\r\n<p>\r\nAaron Wolf  <a href=\"https://blog.wolftune.com/\">https://blog.wolftune.com/</a>\r\n</p>\r\n<p>\r\nSnowdrift: <a href=\"https://snowdrift.coop\">https://snowdrift.coop</a>\r\nAbout:\r\nWe\'re building a sustainable funding platform for freely-licensed works. Our innovative matching pledge creates a network effect where we all work together to support these public goods.\r\n</p>\r\n<p>\r\nIntroducing Snowdrift.coop\r\n</p>\r\n<p>\r\nOur matching patronage system allows everyone to support FLO projects with minimal risk and maximum impact.\r\n</p>\r\n<p>\r\nUnlike the one-to-one matching used in traditional fundraising, we use a many-to-many matching pledge that creates a network effect (like the internet itself) so that we all reinforce one another. Unlike one-time fundraising campaigns that help projects get started, Snowdrift.coop pays out monthly to provide sustainability for ongoing work.\r\n</p>\r\n<p>\r\nBefore the times of modern market capitalism, creative workers were supported by wealthy patrons. With Snowdrift.coop, the global community becomes the patron. Instead of businesses deciding the options that we then merely choose from as consumers, we will support and actively work with projects that best serve the interests of the public.\r\n</p>\r\n<p>\r\nSnowdrift wiki: <a href=\"https://snowdrift.coop/p/snowdrift/w\">https://snowdrift.coop/p/snowdrift/w</a>\r\n</p>\r\n<p>\r\nIRC at: freenode.net at #snowdrift \r\n</p>',209,78,1,'CC-BY-SA','Free Software Support',0,0,1),
(1802,'2015-06-30','An Interview with Emily Hampton a LinuxFest Northwest Volunteer',415,'An Interview with Emily Hampton a LinuxFest Northwest Volunteer','<h3>Emily Hampton</h3>\r\n\r\n<ul>\r\n<li>Google Plus page admin for LFNW  <a href=\"https://plus.google.com/u/0/111293764782511971489\">https://plus.google.com/u/0/111293764782511971489</a>\r\n</li>\r\n<li>Find out more about LinuxFest Northwest at <a href=\"https://linuxfestnorthwest.org\">https://linuxfestnorthwest.org</a>\r\n</li>\r\n<li>5 years attending LinuxFest NorthWest\r\n</li>\r\n<li>3 Years as a Volunteer\r\n<p></p>\r\n</li>\r\n</ul>',209,78,1,'CC-BY-SA','LinuxFest Northwest, Volunteers',0,0,1),
(1796,'2015-06-22','Audacity - Chains, Notches and Labels',909,'Some more Tips and Tricks when using Audacity','<p>\r\nI expand some on Jon Kulp\'s  show on using Labels in Audacity. Specifically, I comment on importing a Label track from a Tab separated text file.\r\n</p>\r\n<p>\r\n\r\n<a href=\"https://wiki.audacityteam.org/wiki/Nyquist_Effect_Plug-ins#Notch_Filter\">I go on to talk about using Notch filters, a Nyquist-effect plugin for Audacity.</a> Notch filters work extremely well on certain frequency centered noise like mains hum.\r\n</p>\r\n<p>\r\n\r\nI follow up by talking about <a href=\"https://manual.audacityteam.org/o/man/chains_for_batch_processing_and_effects_automation.html\">chains</a>. A way of doing batch operations directly in Audacity.\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li><a href=\"https://wiki.audacityteam.org/wiki/Nyquist_Effect_Plug-ins#Notch_Filter\">https://wiki.audacityteam.org/wiki/Nyquist_Effect_Plug-ins#Notch_Filter</a> </li>\r\n<li><a href=\"https://manual.audacityteam.org/o/man/chains_for_batch_processing_and_effects_automation.html\">https://manual.audacityteam.org/o/man/chains_for_batch_processing_and_effects_automation.html</a></li>\r\n</ul>\r\n',307,45,0,'CC-BY-SA','Audacity, Recording, Editing, notch filter, chain',0,0,1),
(1798,'2015-06-24','Machine learning and service robots.',563,'Interview with Prof. Dr. Wolfgang Ertel at the 2014 MakerWorld in Germany','<p>\r\nLink to the videos of the crawling robots: <a href=\"https://iki.hs-weingarten.de/?lang=eng&amp;page=p_crawler\">https://iki.hs-weingarten.de/?lang=eng&amp;page=p_crawler</a>\r\n</p>\r\n<p>\r\nLink to the general Ravensburg-Weingarten University of Applied Sciences page, where you can also find videos of the service robots \"Kate\" and \"Marvin\": \r\n<a href=\"https://iki.hs-weingarten.de/?lang=eng&amp;page=aktuelles\">https://iki.hs-weingarten.de/?lang=eng&amp;page=aktuelles</a>\r\n</p>',271,78,0,'CC-BY-SA','machine learning, robots, maker',0,0,1),
(1801,'2015-06-29','How to tell your left earbud from your right',152,'Lowering the quality of shows, Ken provides a lifehack tip.','<h2>AMAZING LIFE HACK</h2>\r\n<p>\r\nTie a knot in your left ear bud lead, and you can feel which is which without looking.\r\n</p>',30,0,0,'CC-BY-SA','lifehack, earphones, knots, tips, hints, tricks',0,0,1),
(1956,'2016-02-01','HPR Community News for January 2016',2340,'HPR Community News for January 2016','\n<h2>New hosts</h2>\n<p>\nThere were no new hosts this month.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\">\n    <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Day</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1935\" target=\"_blank\">1935</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-01-01</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1935\" target=\"_blank\">Quick Bashpodder Fix</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0229.html\" target=\"_blank\">Charles in NJ</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1936\" target=\"_blank\">1936</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-01-04</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1936\" target=\"_blank\">HPR Community News for December 2015</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1937\" target=\"_blank\">1937</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-01-05</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1937\" target=\"_blank\">Klaatu talks to Cloudera about Hadoop and Big Data</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1938\" target=\"_blank\">1938</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-01-06</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1938\" target=\"_blank\">How I prepare HPR shows</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1939\" target=\"_blank\">1939</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-01-07</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1939\" target=\"_blank\">Collating Pages with pdftk</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1940\" target=\"_blank\">1940</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-01-08</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1940\" target=\"_blank\">WASHLUG Talk  on LastPass</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1941\" target=\"_blank\">1941</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-01-11</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1941\" target=\"_blank\">What\'s in my case</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1942\" target=\"_blank\">1942</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-01-12</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1942\" target=\"_blank\">Kobo Touch N-905 E-Reader</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1943\" target=\"_blank\">1943</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-01-13</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1943\" target=\"_blank\">HPR AudioBook Club 11.5 - Interview with David Collins-Rivera</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0157.html\" target=\"_blank\">HPR_AudioBookClub</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1944\" target=\"_blank\">1944</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-01-14</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1944\" target=\"_blank\">sshfs - Secure SHell FileSystem</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1945\" target=\"_blank\">1945</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-01-15</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1945\" target=\"_blank\">The Quassel IRC System</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1946\" target=\"_blank\">1946</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-01-18</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1946\" target=\"_blank\">Wok Cookery</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1947\" target=\"_blank\">1947</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-01-19</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1947\" target=\"_blank\">ocenaudio </a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1948\" target=\"_blank\">1948</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-01-20</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1948\" target=\"_blank\">Check Your Spelling in Vim</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1949\" target=\"_blank\">1949</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-01-21</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1949\" target=\"_blank\">The Kindle/Kobo Open Reader (KOReader)</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1950\" target=\"_blank\">1950</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-01-22</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1950\" target=\"_blank\">Kdenlive Part 2: Advanced Editing Technique</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0310.html\" target=\"_blank\">Geddes</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1951\" target=\"_blank\">1951</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-01-25</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1951\" target=\"_blank\">Some additional Bash tips</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1952\" target=\"_blank\">1952</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-01-26</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1952\" target=\"_blank\">Time now Ladies and Gents</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1953\" target=\"_blank\">1953</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-01-27</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1953\" target=\"_blank\">An Interview with David Willson of the Software Freedom School</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0209.html\" target=\"_blank\">David Whitman</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1954\" target=\"_blank\">1954</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-01-28</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1954\" target=\"_blank\">Grandpa Shows Us How to Turn Custom Pens</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1955\" target=\"_blank\">1955</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-01-29</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1955\" target=\"_blank\">Install Open Street Map on a Garmin 60CX</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0209.html\" target=\"_blank\">David Whitman</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes\nplace on the <a href=\"https://hackerpublicradio.org/maillist\" target=\"_blank\">Mail List</a> which is open to all\nHPR listeners and contributors. The discussions are open and available on the\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\narchive.\n</p>\n<p>The main threads this month were:</p>\n<ol>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-01-06 12:19:29 +0100<br/>\n        <em>Subject:</em> Call for shows ... soon.<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1101\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1101</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-01-07 15:16:34 +0100<br/>\n        <em>Subject:</em> Request to reserve slots for FOSDEM&#39;16 Interviews<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1102\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1102</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-01-09 20:19:25 +0100<br/>\n        <em>Subject:</em> Upload issue resolved<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1104\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1104</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2016-01-09 20:42:36 UTC<br/>\n        <em>Subject:</em> Mailing list software turned off my subscription<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1106\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1106</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-01-22 12:40:22 +0100<br/>\n        <em>Subject:</em> FOSDEM Send in your questions<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1108\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1108</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Joshua Knapp &lt;jknapp85@...&gt;<br/>\n        <em>Date:</em> 2016-01-22 06:58:11 -0800<br/>\n        <em>Subject:</em> Spam filters do not like mail-lists<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1109\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1109</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Lord Drachenblut &lt;lord.drachenblut@...&gt;<br/>\n        <em>Date:</em> 2016-01-22 17:17:38 UTC<br/>\n        <em>Subject:</em> SCALE14X keynote<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1112\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1112</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Nigel Verity &lt;nigelverity@...&gt;<br/>\n        <em>Date:</em> 2016-01-22 21:48:38 UTC<br/>\n        <em>Subject:</em> Re: FOSDEM Send in your questions<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1114\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1114</a><br/>\n        <em>Messages:</em> 2<br/></li>\n</ol>\nTotal messages this month: 16<br/>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.</p>\n<p>There are 55 comments:</p>\n<ul> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1933#comments\" target=\"_blank\">hpr1933</a></strong>\n(2015-12-30) \"<em>HPR AudioBookClub 11 Street Candles</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0157.html\" target=\"_blank\">HPR_AudioBookClub</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1933#2\" target=\"_blank\">Comment 2</a>:\nDavid L. Willson on 2016-01-05:\n\"dangit!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1934#comments\" target=\"_blank\">hpr1934</a></strong>\n(2015-12-31) \"<em>Experiencing the Meegopad T-02  Part two</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0308.html\" target=\"_blank\">A Shadowy Figure</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1934#2\" target=\"_blank\">Comment 2</a>:\nFrank on 2015-12-31:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1934#3\" target=\"_blank\">Comment 3</a>:\nJon Kulp  on 2016-01-01:\n\"$2 mic\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1934#4\" target=\"_blank\">Comment 4</a>:\nDennis on 2016-01-03:\n\"Love the subtle humor...\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1934#5\" target=\"_blank\">Comment 5</a>:\nElizabeth Chandler on 2016-01-03:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1934#6\" target=\"_blank\">Comment 6</a>:\nJane V. Blanchard on 2016-01-03:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1934#7\" target=\"_blank\">Comment 7</a>:\nA Shadowy Figure on 2016-01-04:\n\"Suitable for framing \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1934#8\" target=\"_blank\">Comment 8</a>:\nFrank on 2016-01-08:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1936#comments\" target=\"_blank\">hpr1936</a></strong>\n(2016-01-04) \"<em>HPR Community News for December 2015</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1936#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2016-01-06:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1936#2\" target=\"_blank\">Comment 2</a>:\nKevin O&#39;Brien on 2016-01-07:\n\"Farts\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1936#3\" target=\"_blank\">Comment 3</a>:\nFrank on 2016-01-07:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1936#4\" target=\"_blank\">Comment 4</a>:\nKen Fallon on 2016-01-07:\n\"Please do so\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1936#5\" target=\"_blank\">Comment 5</a>:\nDave Morriss on 2016-01-10:\n\"Le P&eacute;tomane\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1939#comments\" target=\"_blank\">hpr1939</a></strong>\n(2016-01-07) \"<em>Collating Pages with pdftk</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1939#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2016-01-10:\n\"Thanks\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1939#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2016-01-10:\n\"Very nice\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1939#3\" target=\"_blank\">Comment 3</a>:\nel Mussol on 2016-01-11:\n\"where is Dave\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1939#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2016-01-14:\n\"Donkeys\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1941#comments\" target=\"_blank\">hpr1941</a></strong>\n(2016-01-11) \"<em>What\'s in my case</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#1\" target=\"_blank\">Comment 1</a>:\nMagnus919 on 2016-01-11:\n\"Chronicles of a Cheap Geezer\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2016-01-11:\n\"Thanks\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#3\" target=\"_blank\">Comment 3</a>:\nFrank on 2016-01-11:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2016-01-12:\n\"What&#39;s a duplex check?\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#5\" target=\"_blank\">Comment 5</a>:\nFrank on 2016-01-12:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#6\" target=\"_blank\">Comment 6</a>:\nMike Ray on 2016-01-13:\n\"Nostalgia aint what it used to be\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#7\" target=\"_blank\">Comment 7</a>:\nJonas on 2016-01-14:\n\"Great Episode\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#8\" target=\"_blank\">Comment 8</a>:\nDave Morriss on 2016-01-14:\n\"Check vs Cheque\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#9\" target=\"_blank\">Comment 9</a>:\nDave Morriss on 2016-01-14:\n\"Re: Nostalgia\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#10\" target=\"_blank\">Comment 10</a>:\nDave Morriss on 2016-01-14:\n\"Thanks Jonas\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#11\" target=\"_blank\">Comment 11</a>:\nMike Ray on 2016-01-14:\n\"Leftpondian spelling\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#12\" target=\"_blank\">Comment 12</a>:\nDave Morriss on 2016-01-14:\n\"Re: Leftpondian spelling\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#13\" target=\"_blank\">Comment 13</a>:\nMike Ray on 2016-01-14:\n\"Rationalising languages\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#14\" target=\"_blank\">Comment 14</a>:\nJon Kulp  on 2016-01-14:\n\"Gotta try one now\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#15\" target=\"_blank\">Comment 15</a>:\nDave Morriss on 2016-01-15:\n\"Language rationalisation\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#16\" target=\"_blank\">Comment 16</a>:\nDave Morriss on 2016-01-15:\n\"Hope you enjoy your fountain pen\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#17\" target=\"_blank\">Comment 17</a>:\nJon Kulp  on 2016-01-15:\n\"Umm...probably not\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1942#comments\" target=\"_blank\">hpr1942</a></strong>\n(2016-01-12) \"<em>Kobo Touch N-905 E-Reader</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1942#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp  on 2016-01-13:\n\"KOReader uses normal directories\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1942#2\" target=\"_blank\">Comment 2</a>:\nKlaatu on 2016-01-20:\n\"KOReader\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1944#comments\" target=\"_blank\">hpr1944</a></strong>\n(2016-01-14) \"<em>sshfs - Secure SHell FileSystem</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1944#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2016-01-14:\n\"Using sshfs to mount Pi rootfs on faster machine for cross-compiles\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1944#2\" target=\"_blank\">Comment 2</a>:\nFrank on 2016-01-15:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1944#3\" target=\"_blank\">Comment 3</a>:\n0xf10e on 2016-01-16:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1944#4\" target=\"_blank\">Comment 4</a>:\nKen Fallon on 2016-01-18:\n\"no multiple users\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1944#5\" target=\"_blank\">Comment 5</a>:\nKevin O&#39;Brien on 2016-01-21:\n\"Great show\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://www.hackerpublicradio.org/eps.php?id=1946#comments\" target=\"_blank\">hpr1946</a></strong>\n(2016-01-18) \"<em>Wok Cookery</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=1946#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2016-01-18:\"[no title]\"</li>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=1946#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2016-01-18:\n\"String or no string\"</li>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=1946#3\" target=\"_blank\">Comment 3</a>:\nFrank on 2016-01-18:\"[no title]\"</li>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=1946#4\" target=\"_blank\">Comment 4</a>:\nMark Waters on 2016-01-19:\n\"Thanks\"</li>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=1946#5\" target=\"_blank\">Comment 5</a>:\nDave Morriss on 2016-01-20:\n\"Thanks Mark\"</li>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=1946#6\" target=\"_blank\">Comment 6</a>:\nFrank on 2016-01-20:\"[no title]\"</li>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=1946#7\" target=\"_blank\">Comment 7</a>:\nDave Morriss on 2016-01-21:\n\"Banana pepper\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1948#comments\" target=\"_blank\">hpr1948</a></strong>\n(2016-01-20) \"<em>Check Your Spelling in Vim</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1948#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2016-01-22:\n\"Thanks a lot\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1948#2\" target=\"_blank\">Comment 2</a>:\nFrank on 2016-01-23:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://www.hackerpublicradio.org/eps.php?id=1951#comments\" target=\"_blank\">hpr1951</a></strong>\n(2016-01-25) \"<em>Some additional Bash tips</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=1951#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2016-01-26:\"[no title]\"</li>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=1951#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2016-01-27:\n\"Thanks Frank\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1952#comments\" target=\"_blank\">hpr1952</a></strong>\n(2016-01-26) \"<em>Time now Ladies and Gents</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1952#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2016-01-28:\n\"Great show idea\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1954#comments\" target=\"_blank\">hpr1954</a></strong>\n(2016-01-28) \"<em>Grandpa Shows Us How to Turn Custom Pens</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1954#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2016-01-28:\n\"Most interesting and entertaining\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1954#2\" target=\"_blank\">Comment 2</a>:\nJon Kulp  on 2016-01-28:\n\"Acrylic smells\"</li></ul>\n</li>\n</ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1981,'2016-03-07','HPR Community News for February 2016',5248,'HPR Community News for February 2016','\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0324.html\" target=\"_blank\">Jon Doe</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\">\n    <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Day</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1956\" target=\"_blank\">1956</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-02-01</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1956\" target=\"_blank\">HPR Community News for January 2016</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1957\" target=\"_blank\">1957</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-02-02</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1957\" target=\"_blank\">FOSDEM 2016 K building level 1 Group B and C</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1958\" target=\"_blank\">1958</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-02-03</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1958\" target=\"_blank\">FOSDEM 2016 K building level 1 Group A</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1959\" target=\"_blank\">1959</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-02-04</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1959\" target=\"_blank\">FOSDEM 2016 K building level 2</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1960\" target=\"_blank\">1960</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-02-05</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1960\" target=\"_blank\">FOSDEM 2016 AW Building and more</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1961\" target=\"_blank\">1961</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-02-08</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1961\" target=\"_blank\">HPR New Years Show Episode 1</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1962\" target=\"_blank\">1962</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-02-09</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1962\" target=\"_blank\">HPR New Years Show Episode 2</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1963\" target=\"_blank\">1963</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-02-10</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1963\" target=\"_blank\">HPR New Years Show Episode 3</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1964\" target=\"_blank\">1964</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-02-11</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1964\" target=\"_blank\">HPR New Years Show Episode 4</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1965\" target=\"_blank\">1965</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-02-12</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1965\" target=\"_blank\">Adding SQLite as a datasource to SQLeo</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1966\" target=\"_blank\">1966</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-02-15</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1966\" target=\"_blank\">Whats in my bag</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0297.html\" target=\"_blank\">swift110</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1967\" target=\"_blank\">1967</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-02-16</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1967\" target=\"_blank\">How I saw the Linux Light at the end of the Windows tunnel</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1968\" target=\"_blank\">1968</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-02-17</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1968\" target=\"_blank\">Advanced Terminal Usage: byobu</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0324.html\" target=\"_blank\">Jon Doe</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1969\" target=\"_blank\">1969</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-02-18</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1969\" target=\"_blank\">Horrors of Spam (and the Greater Horror of filtering it)</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0174.html\" target=\"_blank\">Josh Knapp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1970\" target=\"_blank\">1970</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-02-19</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1970\" target=\"_blank\">How I got started withy Linux</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0297.html\" target=\"_blank\">swift110</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1971\" target=\"_blank\">1971</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-02-22</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1971\" target=\"_blank\">BlinkStick</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1972\" target=\"_blank\">1972</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-02-23</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1972\" target=\"_blank\">How I got into Linux</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1973\" target=\"_blank\">1973</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-02-24</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1973\" target=\"_blank\">Free/Libre/Vrije Software: The Goal and the Path</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1974\" target=\"_blank\">1974</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-02-25</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1974\" target=\"_blank\">Ubuntu Community donations, Governance and Hardware</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1975\" target=\"_blank\">1975</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-02-26</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1975\" target=\"_blank\">Interview With An Android App Developer</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0115.html\" target=\"_blank\">sigflup</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1976\" target=\"_blank\">1976</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-02-29</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1976\" target=\"_blank\">Introduction to sed - part 1</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes\nplace on the <a href=\"https://hackerpublicradio.org/maillist\" target=\"_blank\">Mail List</a> which is open to all\nHPR listeners and contributors. The discussions are open and available on the\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\narchive.\n</p>\n<p>The main threads this month were:</p>\n<ol>\n    <li><em>From:</em> Nigel Verity &lt;nigelverity@...&gt;<br/>\n        <em>Date:</em> 2016-01-22 21:48:38 UTC<br/>\n        <em>Subject:</em> Re: FOSDEM Send in your questions<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1114\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1114</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Joshua Knapp &lt;jknapp85@...&gt;<br/>\n        <em>Date:</em> 2016-02-02 15:45:25 -0800<br/>\n        <em>Subject:</em> Request.php giving 500 error?<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1118\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1118</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Charles Thayer &lt;catintp@...&gt;<br/>\n        <em>Date:</em> 2016-02-04 14:00:56 UTC<br/>\n        <em>Subject:</em> Re: HPR In the press<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1121\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1121</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> &quot;zwilnik@...&quot; &lt;zwilnik@...&gt;<br/>\n        <em>Date:</em> 2016-02-08 10:27:03 -0500<br/>\n        <em>Subject:</em> Re: HPR In the press<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1122\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1122</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> &quot;David L. Willson&quot; &lt;DLWillson@...&gt;<br/>\n        <em>Date:</em> 2016-02-11 09:11:59 -0700<br/>\n        <em>Subject:</em> speech synthesis during intro<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1124\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1124</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-02-11 17:18:23 +0100<br/>\n        <em>Subject:</em> Re: speech synthesis during intro<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1123\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1123</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> sigflup synasloble &lt;pantsbutt@...&gt;<br/>\n        <em>Date:</em> 2016-02-14 19:18:21 -0600<br/>\n        <em>Subject:</em> title<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1128\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1128</a><br/>\n        <em>Messages:</em> 3<br/></li>\n</ol>\nTotal messages this month: 13<br/>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.</p>\n<p>There are 17 comments:</p>\n<ul> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1896#comments\" target=\"_blank\">hpr1896</a></strong>\n(2015-11-09) \"<em>User Local Software</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0317.html\" target=\"_blank\">Eric Duhamel</a>.\n<ul>   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1896#2\" target=\"_blank\">Comment 2</a>:\nBoclodoa on 2016-02-01:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1919#comments\" target=\"_blank\">hpr1919</a></strong>\n(2015-12-10) \"<em>DerbyCon Interview with Paul Koblitz</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0079.html\" target=\"_blank\">Xoke</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1919#1\" target=\"_blank\">Comment 1</a>:\nOtto  Localhorst on 2016-02-17:\n\"a template for a &#39;loid&#39;\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1941#comments\" target=\"_blank\">hpr1941</a></strong>\n(2016-01-11) \"<em>What\'s in my case</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>                   <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#18\" target=\"_blank\">Comment 18</a>:\nNYbill on 2016-02-11:\n\"Its been a bit of an adventure...\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#19\" target=\"_blank\">Comment 19</a>:\nDave Morriss on 2016-02-15:\n\"Old fountain pen\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#20\" target=\"_blank\">Comment 20</a>:\nJonathan Kulp on 2016-02-15:\n\"Pilot Metro and Scheaffer\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1941#21\" target=\"_blank\">Comment 21</a>:\nDave Morriss on 2016-02-15:\n\"Sheaffer\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1954#comments\" target=\"_blank\">hpr1954</a></strong>\n(2016-01-28) \"<em>Grandpa Shows Us How to Turn Custom Pens</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>    <li><a href=\"https://hackerpublicradio.org/eps.php?id=1954#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2016-02-01:\n\"Old Sheaffer\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1956#comments\" target=\"_blank\">hpr1956</a></strong>\n(2016-02-01) \"<em>HPR Community News for January 2016</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1956#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2016-01-31:\n\"xmlstarlet, yes please\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1957#comments\" target=\"_blank\">hpr1957</a></strong>\n(2016-02-02) \"<em>FOSDEM 2016 K building level 1 Group B and C</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1957#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2016-02-01:\n\"Distros and Accessibility\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1957#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2016-02-02:\n\"It wasn&#39;t really fair\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1957#3\" target=\"_blank\">Comment 3</a>:\nMike Ray on 2016-02-02:\n\"A11y awareness\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1958#comments\" target=\"_blank\">hpr1958</a></strong>\n(2016-02-03) \"<em>FOSDEM 2016 K building level 1 Group A</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1958#1\" target=\"_blank\">Comment 1</a>:\nTrent Palmer on 2016-02-04:\n\"Awesome Episode!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1958#2\" target=\"_blank\">Comment 2</a>:\nMike Ray on 2016-02-05:\n\"Dazzling achievement\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1959#comments\" target=\"_blank\">hpr1959</a></strong>\n(2016-02-04) \"<em>FOSDEM 2016 K building level 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1959#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2016-02-03:\n\"More great interviews\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1972#comments\" target=\"_blank\">hpr1972</a></strong>\n(2016-02-23) \"<em>How I got into Linux</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1972#1\" target=\"_blank\">Comment 1</a>:\nTurtle on 2016-02-25:\n\"Nice show\"</li>  \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1973#comments\" target=\"_blank\">hpr1973</a></strong>\n(2016-02-24) \"<em>Free/Libre/Vrije Software: The Goal and the Path</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1973#1\" target=\"_blank\">Comment 1</a>:\nAndreas on 2016-02-24:\n\"there is something missing...\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1973#2\" target=\"_blank\">Comment 2</a>:\nJames Michael Du Pont on 2016-02-27:\n\"cut off\"</li></ul>\n</li>\n</ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2001,'2016-04-04','HPR Community News for March 2016',5317,'HPR Community News for March 2016','\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0326.html\" target=\"_blank\">Brian in Ohio</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0327.html\" target=\"_blank\">noplacelikeslashhome</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\">\n    <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Day</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1977\" target=\"_blank\">1977</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-03-01</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1977\" target=\"_blank\">What\'s In My Bag</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1978\" target=\"_blank\">1978</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-03-02</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1978\" target=\"_blank\">Ultra High Vacuum: loading samples</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0301.html\" target=\"_blank\">Amunizp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1979\" target=\"_blank\">1979</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-03-03</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1979\" target=\"_blank\">How to Make Perfect Steel-Cut Oats</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1980\" target=\"_blank\">1980</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-03-04</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1980\" target=\"_blank\">Fixing An Audio Problem while having a rant</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1981\" target=\"_blank\">1981</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-03-07</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1981\" target=\"_blank\">HPR Community News for February 2016</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1982\" target=\"_blank\">1982</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-03-08</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1982\" target=\"_blank\">Whats in my virtual bag</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1983\" target=\"_blank\">1983</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-03-09</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1983\" target=\"_blank\">Review of Sony Vaio VPC</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0297.html\" target=\"_blank\">swift110</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1984\" target=\"_blank\">1984</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-03-10</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1984\" target=\"_blank\">A Love Letter to linux.conf.au</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1985\" target=\"_blank\">1985</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-03-11</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1985\" target=\"_blank\">Fixing Bug 1092571</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1986\" target=\"_blank\">1986</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-03-14</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1986\" target=\"_blank\">Introduction to sed - part 2</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1987\" target=\"_blank\">1987</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-03-15</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1987\" target=\"_blank\">Pomodoro Timer - The Evolution of a Script (pt 1)</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1988\" target=\"_blank\">1988</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-03-16</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1988\" target=\"_blank\">Linux from Scratch</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0326.html\" target=\"_blank\">Brian in Ohio</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1989\" target=\"_blank\">1989</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-03-17</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1989\" target=\"_blank\">WDTV Makes Me Itch</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0182.html\" target=\"_blank\">Epicanis</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1990\" target=\"_blank\">1990</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-03-18</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1990\" target=\"_blank\">Pomodoro Timer - The Evolution of a Script part deux</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1991\" target=\"_blank\">1991</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-03-21</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1991\" target=\"_blank\">Adventures installing Linux on an Asus EeeBook X205A</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1992\" target=\"_blank\">1992</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-03-22</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1992\" target=\"_blank\">How I\'m handling my podcast-subscriptions and -listening</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0309.html\" target=\"_blank\">folky</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1993\" target=\"_blank\">1993</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-03-23</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1993\" target=\"_blank\">Can your window manager do this?</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1994\" target=\"_blank\">1994</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-03-24</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1994\" target=\"_blank\">Truck Repair: Serpentine Belt Replacement</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1995\" target=\"_blank\">1995</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-03-25</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1995\" target=\"_blank\">Cov\'s Jams</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0322.html\" target=\"_blank\">Cov</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1996\" target=\"_blank\">1996</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-03-28</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1996\" target=\"_blank\">Xdotool magic</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1997\" target=\"_blank\">1997</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-03-29</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1997\" target=\"_blank\">Introduction to sed - part 3</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1998\" target=\"_blank\">1998</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-03-30</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1998\" target=\"_blank\">Homebrewing</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1999\" target=\"_blank\">1999</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-03-31</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=1999\" target=\"_blank\">How I record a full band under Linux</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0327.html\" target=\"_blank\">noplacelikeslashhome</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes\nplace on the <a href=\"https://hackerpublicradio.org/maillist\" target=\"_blank\">Mail List</a> which is open to all\nHPR listeners and contributors. The discussions are open and available on the\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\narchive.\n</p>\n<p>The main threads this month were:</p>\n<ol>\n    <li><em>From:</em> Ivan Privaci &lt;epicanis+hpr@...&gt;<br/>\n        <em>Date:</em> 2016-03-03 14:08:46 -0500<br/>\n        <em>Subject:</em> The Robo-Summary Voice<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1131\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1131</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ivan Privaci &lt;epicanis+hpr@...&gt;<br/>\n        <em>Date:</em> 2016-03-03 14:18:39 -0500<br/>\n        <em>Subject:</em> (sigh) never mind (espeak voice question)<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1132\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1132</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2016-03-03 20:58:42 UTC<br/>\n        <em>Subject:</em> HPR Community News - next Saturday on 2016-03-05T18:00:00Z<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1133\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1133</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> &quot;Christopher \\&quot;Cov\\&quot; Covington&quot; &lt;cov@...&gt;<br/>\n        <em>Date:</em> 2016-03-11 13:49:41 +0700<br/>\n        <em>Subject:</em> libravatar<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1134\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1134</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-03-20 19:23:09 +0100<br/>\n        <em>Subject:</em> Help to fix audio<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1136\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1136</a><br/>\n        <em>Messages:</em> 5<br/><br/></li>\n    <li><em>From:</em> Nigel Verity &lt;nigelverity@...&gt;<br/>\n        <em>Date:</em> 2016-03-20 21:08:34 UTC<br/>\n        <em>Subject:</em> Re: Hpr Digest, Vol 90, Issue 5 - RMS Audio<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1137\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1137</a><br/>\n        <em>Messages:</em> 17<br/></li>\n</ol>\nTotal messages this month: 26<br/>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.</p>\n<p>There are 29 comments:</p>\n<ul> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1727#comments\" target=\"_blank\">hpr1727</a></strong>\n(2015-03-17) \"<em>Basic Mutt</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1727#4\" target=\"_blank\">Comment 4</a>:\nLeslie Satenstein on 2016-03-13:\n\"Retired \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1727#5\" target=\"_blank\">Comment 5</a>:\nFrank on 2016-03-14:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1934#comments\" target=\"_blank\">hpr1934</a></strong>\n(2015-12-31) \"<em>Experiencing the Meegopad T-02  Part two</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0308.html\" target=\"_blank\">A Shadowy Figure</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1934#9\" target=\"_blank\">Comment 9</a>:\nStilvoid on 2016-03-10:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://www.hobbypublicradio.org/eps.php?id=1943#comments\" target=\"_blank\">hpr1943</a></strong>\n(2016-01-13) \"<em>HPR AudioBook Club 11.5 - Interview with David Collins-Rivera</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0157.html\" target=\"_blank\">HPR_AudioBookClub</a>.\n<ul>  <li><a href=\"https://www.hobbypublicradio.org/eps.php?id=1943#1\" target=\"_blank\">Comment 1</a>:\nDavid L. Willson on 2016-03-15:\n\"Firefly\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1972#comments\" target=\"_blank\">hpr1972</a></strong>\n(2016-02-23) \"<em>How I got into Linux</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1972#2\" target=\"_blank\">Comment 2</a>:\nm1rr0r5h4d35 on 2016-03-02:\n\"Thanks\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1973#comments\" target=\"_blank\">hpr1973</a></strong>\n(2016-02-24) \"<em>Free/Libre/Vrije Software: The Goal and the Path</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1973#3\" target=\"_blank\">Comment 3</a>:\nCharles in NJ on 2016-03-21:\n\"Does FSF Have an Original?\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1973#4\" target=\"_blank\">Comment 4</a>:\nKen Fallon on 2016-03-22:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1976#comments\" target=\"_blank\">hpr1976</a></strong>\n(2016-02-29) \"<em>Introduction to sed - part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1976#1\" target=\"_blank\">Comment 1</a>:\nGan Ainm on 2016-03-18:\n\"Another great sed resource\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1976#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2016-03-21:\n\"Thanks for this\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1978#comments\" target=\"_blank\">hpr1978</a></strong>\n(2016-03-02) \"<em>Ultra High Vacuum: loading samples</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0301.html\" target=\"_blank\">Amunizp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1978#1\" target=\"_blank\">Comment 1</a>:\namunizp on 2016-02-26:\n\"Wrong audio\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1979#comments\" target=\"_blank\">hpr1979</a></strong>\n(2016-03-03) \"<em>How to Make Perfect Steel-Cut Oats</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1979#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2016-03-03:\n\"Interesting episode\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1979#2\" target=\"_blank\">Comment 2</a>:\nJon Kulp on 2016-03-03:\n\"Slow-Cooker Size\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1979#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2016-03-03:\n\"The way of the oat\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1981#comments\" target=\"_blank\">hpr1981</a></strong>\n(2016-03-07) \"<em>HPR Community News for February 2016</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1981#1\" target=\"_blank\">Comment 1</a>:\nfolky on 2016-03-08:\n\"Change the name\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1981#2\" target=\"_blank\">Comment 2</a>:\njezra on 2016-03-17:\n\"chicken coop?\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://www.hackerpublicradio.org/eps.php?id=1983#comments\" target=\"_blank\">hpr1983</a></strong>\n(2016-03-09) \"<em>Review of Sony Vaio VPC</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0297.html\" target=\"_blank\">swift110</a>.\n<ul>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=1983#1\" target=\"_blank\">Comment 1</a>:\naoskfla on 2016-03-10:\n\"Boop\"</li>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=1983#2\" target=\"_blank\">Comment 2</a>:\nm1rr0r5h4d35 on 2016-03-19:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1985#comments\" target=\"_blank\">hpr1985</a></strong>\n(2016-03-11) \"<em>Fixing Bug 1092571</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1985#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2016-03-11:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://www.hackerpublicradio.org/eps.php?id=1987#comments\" target=\"_blank\">hpr1987</a></strong>\n(2016-03-15) \"<em>Pomodoro Timer - The Evolution of a Script (pt 1)</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a>.\n<ul>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=1987#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2016-03-17:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1988#comments\" target=\"_blank\">hpr1988</a></strong>\n(2016-03-16) \"<em>Linux from Scratch</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0326.html\" target=\"_blank\">Brian in Ohio</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1988#1\" target=\"_blank\">Comment 1</a>:\nEpicanis on 2016-03-16:\n\"Great topic, thanks!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1989#comments\" target=\"_blank\">hpr1989</a></strong>\n(2016-03-17) \"<em>WDTV Makes Me Itch</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0182.html\" target=\"_blank\">Epicanis</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1989#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2016-03-17:\n\"Brilliant show\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1989#2\" target=\"_blank\">Comment 2</a>:\nJonathan Kulp on 2016-03-18:\n\"Nice kiosk idea\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1989#3\" target=\"_blank\">Comment 3</a>:\nEpicanis on 2016-03-21:\n\"Thanks, all!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1992#comments\" target=\"_blank\">hpr1992</a></strong>\n(2016-03-22) \"<em>How I\'m handling my podcast-subscriptions and -listening</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0309.html\" target=\"_blank\">folky</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1992#1\" target=\"_blank\">Comment 1</a>:\nbjorn again on 2016-03-25:\n\"thanks\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1994#comments\" target=\"_blank\">hpr1994</a></strong>\n(2016-03-24) \"<em>Truck Repair: Serpentine Belt Replacement</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1994#1\" target=\"_blank\">Comment 1</a>:\nbrian on 2016-03-25:\n\"two thoughts while still listening\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1994#2\" target=\"_blank\">Comment 2</a>:\nJonathan Kulp on 2016-03-25:\n\"Genius\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1997#comments\" target=\"_blank\">hpr1997</a></strong>\n(2016-03-29) \"<em>Introduction to sed - part 3</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1997#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2016-03-28:\n\"Knockout Episode\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1997#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2016-03-29:\n\"Careful what you wish for!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1998#comments\" target=\"_blank\">hpr1998</a></strong>\n(2016-03-30) \"<em>Homebrewing</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1998#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2016-03-30:\"[no title]\"</li></ul>\n</li>\n</ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2021,'2016-05-02','HPR Community News for April 2016',5521,'HPR Community News for April 2016','\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0328.html\" target=\"_blank\">Joe</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0329.html\" target=\"_blank\">brian</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\">\n    <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Day</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2000\" target=\"_blank\">2000</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-04-01</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2000\" target=\"_blank\">How to Point a Satellite Dish</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2001\" target=\"_blank\">2001</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-04-04</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2001\" target=\"_blank\">HPR Community News for March 2016</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2002\" target=\"_blank\">2002</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-04-05</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2002\" target=\"_blank\">Just got a Raspberry Pi Zero</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0297.html\" target=\"_blank\">swift110</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2003\" target=\"_blank\">2003</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-04-06</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2003\" target=\"_blank\">Using the Incron file watching daemon</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2004\" target=\"_blank\">2004</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-04-07</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2004\" target=\"_blank\">A First Look at the Owon B35T</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2005\" target=\"_blank\">2005</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-04-08</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2005\" target=\"_blank\">How I prepare and record my HPR Kdenlive voiceover shows.</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0310.html\" target=\"_blank\">Geddes</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2006\" target=\"_blank\">2006</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-04-11</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2006\" target=\"_blank\">Basic Audio Production - Compression</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2007\" target=\"_blank\">2007</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-04-12</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2007\" target=\"_blank\">My new laptop</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2008\" target=\"_blank\">2008</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-04-13</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2008\" target=\"_blank\">HPR needs shows to survive.</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2009\" target=\"_blank\">2009</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-04-14</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2009\" target=\"_blank\">Understanding the GNU/Screen Hardstatus line</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0252.html\" target=\"_blank\">Curtis Adkins (CPrompt^)</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2010\" target=\"_blank\">2010</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-04-15</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2010\" target=\"_blank\">Parsing JSON with Python</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2011\" target=\"_blank\">2011</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-04-18</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2011\" target=\"_blank\">Introduction to sed - part 4</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2012\" target=\"_blank\">2012</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-04-19</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2012\" target=\"_blank\">Parsing XML in Python with Untangle</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2013\" target=\"_blank\">2013</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-04-20</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2013\" target=\"_blank\">Parsing XML in Python with Xmltodict</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2014\" target=\"_blank\">2014</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-04-21</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2014\" target=\"_blank\">A first look at the Owon B35T Part 2</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2015\" target=\"_blank\">2015</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-04-22</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2015\" target=\"_blank\">Linux in the Church</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0328.html\" target=\"_blank\">Joe</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2016\" target=\"_blank\">2016</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-04-25</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2016\" target=\"_blank\">Echoprint</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0257.html\" target=\"_blank\">laindir</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2017\" target=\"_blank\">2017</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-04-26</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2017\" target=\"_blank\">Here are my thoughts on a 3D printer Kit.</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0307.html\" target=\"_blank\">cheeto4493</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2018\" target=\"_blank\">2018</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-04-27</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2018\" target=\"_blank\">How to make Komboucha Tea</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2019\" target=\"_blank\">2019</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-04-28</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2019\" target=\"_blank\">a pi project and an owncloud project</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0255.html\" target=\"_blank\">Matt McGraw (g33kdad)</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2020\" target=\"_blank\">2020</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-04-29</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2020\" target=\"_blank\">Automotive Billing</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0329.html\" target=\"_blank\">brian</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes\nplace on the <a href=\"https://hackerpublicradio.org/maillist\" target=\"_blank\">Mail List</a> which is open to all\nHPR listeners and contributors. The discussions are open and available on the\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\narchive.\n</p>\n<p>The main threads this month were:</p>\n<ol>\n    <li><em>From:</em> NYbill &lt;nybill@...&gt;<br/>\n        <em>Date:</em> 2016-04-04 17:08:54 -0400<br/>\n        <em>Subject:</em> Fwd: Re: Defaults...<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1159\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1159</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-04-05 20:20:08 +0200<br/>\n        <em>Subject:</em> Call for shows<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1160\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1160</a><br/>\n        <em>Messages:</em> 5<br/><br/></li>\n    <li><em>From:</em> Mike Ray &lt;mike@...&gt;<br/>\n        <em>Date:</em> 2016-04-06 13:45:38 +0100<br/>\n        <em>Subject:</em> HTML notes accessibility pointer<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1161\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1161</a><br/>\n        <em>Messages:</em> 7<br/><br/></li>\n    <li><em>From:</em> Curtis Adkins &lt;curtadkins@...&gt;<br/>\n        <em>Date:</em> 2016-04-09 21:26:57 -0400<br/>\n        <em>Subject:</em> Upload show issue<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1168\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1168</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-04-12 08:12:09 +0200<br/>\n        <em>Subject:</em> Fwd: CFP for Full Stack Fest 2016 has opened!<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1170\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1170</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-04-19 13:21:58 +0200<br/>\n        <em>Subject:</em> 11th Annual People&#39;s Podcast Awards<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1175\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1175</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-04-21 15:46:34 +0200<br/>\n        <em>Subject:</em> Fwd: for your podcast: interview about FOSS situation in	Russia<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1176\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1176</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Frank Bell &lt;frankwbell@...&gt;<br/>\n        <em>Date:</em> 2016-04-21 13:37:59 -0400<br/>\n        <em>Subject:</em> Proposed New Series<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1177\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1177</a><br/>\n        <em>Messages:</em> 8<br/><br/></li>\n    <li><em>From:</em> Carl D Hamann &lt;carl.hamann@...&gt;<br/>\n        <em>Date:</em> 2016-04-22 10:42:04 -0500<br/>\n        <em>Subject:</em> Re: Proposed New Series<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1184\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1184</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2016-04-25 15:27:13 +0100<br/>\n        <em>Subject:</em> HPR Community News - next Saturday on 2016-04-30T18:00:00Z<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1187\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1187</a><br/>\n        <em>Messages:</em> 5<br/><br/></li>\n    <li><em>From:</em> Fifty OneFifty &lt;fiftyonefifty@...&gt;<br/>\n        <em>Date:</em> 2016-04-25 21:56:10 -0500<br/>\n        <em>Subject:</em> Re: Hpr Digest, Vol 91, Issue 11<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1189\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1189</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Carl D Hamann &lt;carl.hamann@...&gt;<br/>\n        <em>Date:</em> 2016-04-25 23:01:41 -0500<br/>\n        <em>Subject:</em> Re: HPR Community News - next Saturday on 2016-04-30T18:00:00Z<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1191\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1191</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2016-04-30 18:21:57 +0100<br/>\n        <em>Subject:</em> Re: HPR Community News - next Saturday on 2016-04-30T18:00:00Z<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1196\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1196</a><br/>\n        <em>Messages:</em> 1<br/></li>\n</ol>\nTotal messages this month: 38<br/>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.</p>\n<p>There are 46 comments:</p>\n<ul> \n<li><strong><a href=\"https://www.hackerpublicradio.org/eps.php?id=1987#comments\" target=\"_blank\">hpr1987</a></strong>\n(2016-03-15) \"<em>Pomodoro Timer - The Evolution of a Script (pt 1)</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a>.\n<ul>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=1987#2\" target=\"_blank\">Comment 2</a>:\nDavid L. Willson on 2016-04-17:\n\"changed my life\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1990#comments\" target=\"_blank\">hpr1990</a></strong>\n(2016-03-18) \"<em>Pomodoro Timer - The Evolution of a Script part deux</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1990#1\" target=\"_blank\">Comment 1</a>:\nDavid L. Willson on 2016-04-17:\n\"found it!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1993#comments\" target=\"_blank\">hpr1993</a></strong>\n(2016-03-23) \"<em>Can your window manager do this?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1993#1\" target=\"_blank\">Comment 1</a>:\nsigflup on 2016-04-04:\n\"ratpoison\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hobbypublicradio.org/eps.php?id=1996#comments\" target=\"_blank\">hpr1996</a></strong>\n(2016-03-28) \"<em>Xdotool magic</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a>.\n<ul>  <li><a href=\"https://hobbypublicradio.org/eps.php?id=1996#1\" target=\"_blank\">Comment 1</a>:\nUrugami on 2016-04-18:\n\"File Naming\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1998#comments\" target=\"_blank\">hpr1998</a></strong>\n(2016-03-30) \"<em>Homebrewing</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1998#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2016-04-07:\n\"Would love to hear the full recoring\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1999#comments\" target=\"_blank\">hpr1999</a></strong>\n(2016-03-31) \"<em>How I record a full band under Linux</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0327.html\" target=\"_blank\">noplacelikeslashhome</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1999#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp on 2016-04-01:\n\"More on Ardour!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1999#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2016-04-06:\n\"More detail\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2000#comments\" target=\"_blank\">hpr2000</a></strong>\n(2016-04-01) \"<em>How to Point a Satellite Dish</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2000#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2016-04-04:\n\"I tried very hard...\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2000#2\" target=\"_blank\">Comment 2</a>:\ndroops on 2016-04-04:\n\"Very Good\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2000#3\" target=\"_blank\">Comment 3</a>:\nFrank on 2016-04-05:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2000#4\" target=\"_blank\">Comment 4</a>:\nKen Fallon on 2016-04-06:\n\"Beep\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2001#comments\" target=\"_blank\">hpr2001</a></strong>\n(2016-04-04) \"<em>HPR Community News for March 2016</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2001#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp on 2016-04-04:\n\"Not a Timing Belt\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2002#comments\" target=\"_blank\">hpr2002</a></strong>\n(2016-04-05) \"<em>Just got a Raspberry Pi Zero</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0297.html\" target=\"_blank\">swift110</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2002#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2016-04-06:\n\"I&#39;m so jealous\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2003#comments\" target=\"_blank\">hpr2003</a></strong>\n(2016-04-06) \"<em>Using the Incron file watching daemon</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2003#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2016-04-06:\n\"Installing this now\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2004#comments\" target=\"_blank\">hpr2004</a></strong>\n(2016-04-07) \"<em>A First Look at the Owon B35T</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2004#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2016-04-07:\n\"daisy chain\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2004#2\" target=\"_blank\">Comment 2</a>:\nNYbill on 2016-04-07:\n\"Americanism&#39;s?\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2004#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2016-04-07:\n\"Not an Americanism to my knowledge\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2004#4\" target=\"_blank\">Comment 4</a>:\nKen Fallon on 2016-04-08:\n\"Why not what\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2004#5\" target=\"_blank\">Comment 5</a>:\nNYbill on 2016-04-08:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2005#comments\" target=\"_blank\">hpr2005</a></strong>\n(2016-04-08) \"<em>How I prepare and record my HPR Kdenlive voiceover shows.</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0310.html\" target=\"_blank\">Geddes</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2005#1\" target=\"_blank\">Comment 1</a>:\nNYbill on 2016-04-10:\n\"Well done.\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2005#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2016-04-17:\n\"Such Effort\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2006#comments\" target=\"_blank\">hpr2006</a></strong>\n(2016-04-11) \"<em>Basic Audio Production - Compression</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2006#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2016-04-17:\n\"Great Addition\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2007#comments\" target=\"_blank\">hpr2007</a></strong>\n(2016-04-12) \"<em>My new laptop</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2007#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2016-04-17:\n\"Suspect\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2007#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2016-04-18:\n\"I dunno what you&#39;re talking about\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2007#3\" target=\"_blank\">Comment 3</a>:\nAlpha32 on 2016-04-26:\n\"Interesting show\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2008#comments\" target=\"_blank\">hpr2008</a></strong>\n(2016-04-13) \"<em>HPR needs shows to survive.</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2008#1\" target=\"_blank\">Comment 1</a>:\n0xf10e on 2016-04-13:\n\"But Ken, \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2008#2\" target=\"_blank\">Comment 2</a>:\nJonathan Kulp on 2016-04-14:\n\"sure you can!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2008#3\" target=\"_blank\">Comment 3</a>:\nKen Fallon on 2016-04-17:\n\"Thanks\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2009#comments\" target=\"_blank\">hpr2009</a></strong>\n(2016-04-14) \"<em>Understanding the GNU/Screen Hardstatus line</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0252.html\" target=\"_blank\">Curtis Adkins (CPrompt^)</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2009#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2016-04-22:\n\"Great show\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2010#comments\" target=\"_blank\">hpr2010</a></strong>\n(2016-04-15) \"<em>Parsing JSON with Python</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2010#1\" target=\"_blank\">Comment 1</a>:\nZen_Floater2 on 2016-04-14:\n\"squirrel\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2010#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2016-04-22:\n\"Don&#39;t like xpath !\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2011#comments\" target=\"_blank\">hpr2011</a></strong>\n(2016-04-18) \"<em>Introduction to sed - part 4</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2011#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2016-04-18:\n\"Wow\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2011#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2016-04-19:\n\"Thanks\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2011#3\" target=\"_blank\">Comment 3</a>:\nKen Fallon on 2016-04-22:\n\"Nice one\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2012#comments\" target=\"_blank\">hpr2012</a></strong>\n(2016-04-19) \"<em>Parsing XML in Python with Untangle</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2012#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2016-04-22:\n\"Normal Parsers\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2013#comments\" target=\"_blank\">hpr2013</a></strong>\n(2016-04-20) \"<em>Parsing XML in Python with Xmltodict</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2013#1\" target=\"_blank\">Comment 1</a>:\nsigflup on 2016-04-19:\n\"cool\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2013#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2016-04-22:\n\"large complex files \"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2014#comments\" target=\"_blank\">hpr2014</a></strong>\n(2016-04-21) \"<em>A first look at the Owon B35T Part 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2014#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2016-04-21:\n\"Great Show\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2014#2\" target=\"_blank\">Comment 2</a>:\nNYbill on 2016-04-21:\n\"Its a brand new bench! \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2014#3\" target=\"_blank\">Comment 3</a>:\nKen Fallon on 2016-04-25:\n\"Logging in android\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hobbypublicradio.com/eps.php?id=2015#comments\" target=\"_blank\">hpr2015</a></strong>\n(2016-04-22) \"<em>Linux in the Church</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0328.html\" target=\"_blank\">Joe</a>.\n<ul>  <li><a href=\"https://hobbypublicradio.com/eps.php?id=2015#1\" target=\"_blank\">Comment 1</a>:\njan on 2016-04-24:\"[no title]\"</li>  <li><a href=\"https://hobbypublicradio.com/eps.php?id=2015#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2016-04-25:\n\"Great episode\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2016#comments\" target=\"_blank\">hpr2016</a></strong>\n(2016-04-25) \"<em>Echoprint</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0257.html\" target=\"_blank\">laindir</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2016#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2016-04-25:\n\"Thank you Thank you Thank you Thank you \"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2019#comments\" target=\"_blank\">hpr2019</a></strong>\n(2016-04-28) \"<em>a pi project and an owncloud project</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0255.html\" target=\"_blank\">Matt McGraw (g33kdad)</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2019#1\" target=\"_blank\">Comment 1</a>:\nMatt (g33kdad) on 2016-04-23:\n\"Some photos\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2019#2\" target=\"_blank\">Comment 2</a>:\nJonathan Kulp on 2016-04-30:\n\"Muttonchop too\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2020#comments\" target=\"_blank\">hpr2020</a></strong>\n(2016-04-29) \"<em>Automotive Billing</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0329.html\" target=\"_blank\">brian</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2020#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2016-04-30:\"[no title]\"</li></ul>\n</li>\n</ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2046,'2016-06-06','HPR Community News for May 2016',4534,'HPR Community News for May 2016','<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0330.html\" target=\"_blank\">Bitbox</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0331.html\" target=\"_blank\">njulian</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0332.html\" target=\"_blank\">schism</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0333.html\" target=\"_blank\">pope523</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0334.html\" target=\"_blank\">Steve Saner</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0335.html\" target=\"_blank\">matthew</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0336.html\" target=\"_blank\">Lyle Lastinger</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\">\n    <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Day</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2021\" target=\"_blank\">2021</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-05-02</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2021\" target=\"_blank\">HPR Community News for April 2016</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2022\" target=\"_blank\">2022</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-05-03</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2022\" target=\"_blank\">Whats in my bag</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0330.html\" target=\"_blank\">Bitbox</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2023\" target=\"_blank\">2023</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-05-04</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2023\" target=\"_blank\">Setting up my Raspberry Pi 3</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2024\" target=\"_blank\">2024</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-05-05</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2024\" target=\"_blank\">Remapping Keys with xmodmap</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2025\" target=\"_blank\">2025</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-05-06</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2025\" target=\"_blank\">Using a Smarphone as a microphone</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0331.html\" target=\"_blank\">njulian</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2026\" target=\"_blank\">2026</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-05-09</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2026\" target=\"_blank\">What\'s in my Bag... Again!</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0241.html\" target=\"_blank\">Christopher M. Hobbs</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2027\" target=\"_blank\">2027</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-05-10</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2027\" target=\"_blank\">Old Engineers and New Engineers</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0259.html\" target=\"_blank\">Gabriel Evenfire</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2028\" target=\"_blank\">2028</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-05-11</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2028\" target=\"_blank\">Some basic info on alarm systems</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0332.html\" target=\"_blank\">schism</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2029\" target=\"_blank\">2029</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-05-12</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2029\" target=\"_blank\">The DSO138 Oscilloscope Kit</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2030\" target=\"_blank\">2030</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-05-13</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2030\" target=\"_blank\">Book Review: The Pocket Ref</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2031\" target=\"_blank\">2031</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-05-16</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2031\" target=\"_blank\">A quick intro to OBD2 with Android</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0333.html\" target=\"_blank\">pope523</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2032\" target=\"_blank\">2032</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-05-17</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2032\" target=\"_blank\">How I Came to Linux</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0334.html\" target=\"_blank\">Steve Saner</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2033\" target=\"_blank\">2033</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-05-18</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2033\" target=\"_blank\">Distro Review: Bodhi Linux</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2034\" target=\"_blank\">2034</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-05-19</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2034\" target=\"_blank\">Frank\'s Five Seed Bread</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2035\" target=\"_blank\">2035</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-05-20</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2035\" target=\"_blank\">Building Community</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0001.html\" target=\"_blank\">droops</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2036\" target=\"_blank\">2036</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-05-23</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2036\" target=\"_blank\">Glasgow Podcrawl 2016</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2037\" target=\"_blank\">2037</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-05-24</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2037\" target=\"_blank\">Alpha32\'s Pinhead Oats</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0303.html\" target=\"_blank\">Alpha32</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2038\" target=\"_blank\">2038</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-05-25</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2038\" target=\"_blank\">Attempting to fix a plastic boat</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0243.html\" target=\"_blank\">Jezra</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2039\" target=\"_blank\">2039</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-05-26</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2039\" target=\"_blank\">Blather Configuration Part 0: Initial Setup</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2040\" target=\"_blank\">2040</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-05-27</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2040\" target=\"_blank\">Why I Use Linux</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0335.html\" target=\"_blank\">matthew</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2041\" target=\"_blank\">2041</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-05-30</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2041\" target=\"_blank\">Router Antennas More = better ?</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0336.html\" target=\"_blank\">Lyle Lastinger</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2042\" target=\"_blank\">2042</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-05-31</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2042\" target=\"_blank\">My podcast list</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0116.html\" target=\"_blank\">janedoc</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes\nplace on the <a href=\"https://hackerpublicradio.org/maillist\" target=\"_blank\">Mail List</a> which is open to all\nHPR listeners and contributors. The discussions are open and available on the\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\narchive.\n</p>\n<p>The main threads this month were:</p>\n<ol>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-04-05 20:20:08 +0200<br/>\n        <em>Subject:</em> Call for shows<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1160\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1160</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-05-07 17:17:26 +0200<br/>\n        <em>Subject:</em> HPR Policy Change - HTML default in RSS Feed<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1197\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1197</a><br/>\n        <em>Messages:</em> 24<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-05-08 11:30:50 +0200<br/>\n        <em>Subject:</em> HPR On Goggle Play<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1205\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1205</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Mike Ray &lt;mike@...&gt;<br/>\n        <em>Date:</em> 2016-05-10 08:41:34 +0100<br/>\n        <em>Subject:</em> Libre Office Calc - closing the docked styles dialog with the keyboard<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1206\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1206</a><br/>\n        <em>Messages:</em> 4<br/><br/></li>\n    <li><em>From:</em> Venant &lt;venant@...&gt;<br/>\n        <em>Date:</em> 2016-05-10 23:07:52 -0400<br/>\n        <em>Subject:</em> Re: Libre Office Calc - closing the docked styles dialog with	the keyboard<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1217\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1217</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-05-24 14:20:42 +0200<br/>\n        <em>Subject:</em> HPR Short listed for the The People&#39;s Choice Podcast Awards<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1228\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1228</a><br/>\n        <em>Messages:</em> 6<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-05-25 15:56:03 +0200<br/>\n        <em>Subject:</em> Fwd: Ohio LinuxFest 2016 Call for Presentations<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1232\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1232</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-05-28 09:35:37 +0200<br/>\n        <em>Subject:</em> Site Changes to fix Navigation<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1235\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1235</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2016-05-30 09:48:04 +0100<br/>\n        <em>Subject:</em> HPR Community News - next Saturday on 2016-06-04T18:00:00Z<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1238\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1238</a><br/>\n        <em>Messages:</em> 1<br/></li>\n</ol>\nTotal messages this month: 42<br/>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.</p>\n<p>There are 57 comments:</p>\n<ul> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1580#comments\" target=\"_blank\">hpr1580</a></strong>\n(2014-08-22) \"<em>The FAT and NTFS File Systems</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1580#1\" target=\"_blank\">Comment 1</a>:\nRamiro on 2016-05-05:\n\"FAT, FAT32\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1580#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2016-05-06:\n\"Title change\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1580#3\" target=\"_blank\">Comment 3</a>:\nKen Fallon on 2016-05-08:\n\"Done\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1967#comments\" target=\"_blank\">hpr1967</a></strong>\n(2016-02-16) \"<em>How I saw the Linux Light at the end of the Windows tunnel</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1967#1\" target=\"_blank\">Comment 1</a>:\nWindigo on 2016-05-15:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1976#comments\" target=\"_blank\">hpr1976</a></strong>\n(2016-02-29) \"<em>Introduction to sed - part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1976#3\" target=\"_blank\">Comment 3</a>:\nFrank on 2016-05-26:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1976#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2016-05-26:\n\"Good luck with regex\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2007#comments\" target=\"_blank\">hpr2007</a></strong>\n(2016-04-12) \"<em>My new laptop</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2007#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2016-05-02:\n\"Thanks\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2008#comments\" target=\"_blank\">hpr2008</a></strong>\n(2016-04-13) \"<em>HPR needs shows to survive.</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2008#4\" target=\"_blank\">Comment 4</a>:\nFrank on 2016-05-01:\n\"I don&#39;t quite get it\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2008#5\" target=\"_blank\">Comment 5</a>:\nKen Fallon on 2016-05-02:\n\"Because it was\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2009#comments\" target=\"_blank\">hpr2009</a></strong>\n(2016-04-14) \"<em>Understanding the GNU/Screen Hardstatus line</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0252.html\" target=\"_blank\">Curtis Adkins (CPrompt^)</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2009#2\" target=\"_blank\">Comment 2</a>:\nEric Suess on 2016-05-03:\n\"Thank you.\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2010#comments\" target=\"_blank\">hpr2010</a></strong>\n(2016-04-15) \"<em>Parsing JSON with Python</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2010#3\" target=\"_blank\">Comment 3</a>:\nrstackhouse on 2016-05-24:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hobbypublicradio.com/eps.php?id=2015#comments\" target=\"_blank\">hpr2015</a></strong>\n(2016-04-22) \"<em>Linux in the Church</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0328.html\" target=\"_blank\">Joe</a>.\n<ul>  <li><a href=\"https://hobbypublicradio.com/eps.php?id=2015#3\" target=\"_blank\">Comment 3</a>:\nTodd on 2016-05-11:\n\"Great show!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2016#comments\" target=\"_blank\">hpr2016</a></strong>\n(2016-04-25) \"<em>Echoprint</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0257.html\" target=\"_blank\">laindir</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2016#2\" target=\"_blank\">Comment 2</a>:\nlaindir on 2016-05-23:\n\"Late\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2019#comments\" target=\"_blank\">hpr2019</a></strong>\n(2016-04-28) \"<em>a pi project and an owncloud project</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0255.html\" target=\"_blank\">Matt McGraw (g33kdad)</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2019#3\" target=\"_blank\">Comment 3</a>:\nMatt (g33kdad) on 2016-05-07:\n\"Thanks, John\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2020#comments\" target=\"_blank\">hpr2020</a></strong>\n(2016-04-29) \"<em>Automotive Billing</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0329.html\" target=\"_blank\">brian</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2020#2\" target=\"_blank\">Comment 2</a>:\nJon Kulp  on 2016-04-30:\n\"Awesome! \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2020#3\" target=\"_blank\">Comment 3</a>:\nJimZat on 2016-05-02:\n\"Honest Auto Mechanics\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2020#4\" target=\"_blank\">Comment 4</a>:\nmysterio2 on 2016-05-05:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2020#5\" target=\"_blank\">Comment 5</a>:\nTodd on 2016-05-25:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2021#comments\" target=\"_blank\">hpr2021</a></strong>\n(2016-05-02) \"<em>HPR Community News for April 2016</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2021#1\" target=\"_blank\">Comment 1</a>:\nMatt (g33kdad) on 2016-05-09:\n\"Thanks!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2021#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2016-05-11:\n\"Great!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2022#comments\" target=\"_blank\">hpr2022</a></strong>\n(2016-05-03) \"<em>Whats in my bag</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0330.html\" target=\"_blank\">Bitbox</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2022#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp on 2016-05-03:\n\"What&#39;s in your cab?\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2022#2\" target=\"_blank\">Comment 2</a>:\nJWP on 2016-05-04:\n\"Great Podcast\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2022#3\" target=\"_blank\">Comment 3</a>:\nChristopher M. Hobbs on 2016-05-07:\n\"Tell us about truckin&#39;!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2023#comments\" target=\"_blank\">hpr2023</a></strong>\n(2016-05-04) \"<em>Setting up my Raspberry Pi 3</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2023#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2016-05-04:\n\"Pi3 in a Metal Box\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2023#2\" target=\"_blank\">Comment 2</a>:\nJWP on 2016-05-04:\n\"GNU Nano Editor\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2023#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2016-05-04:\n\"Faraday cage, Pibow and Nano\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2023#4\" target=\"_blank\">Comment 4</a>:\nMike Ray on 2016-05-07:\n\"Metal boxes and Emacs\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2023#5\" target=\"_blank\">Comment 5</a>:\nBeeza on 2016-05-16:\n\"Alternative Pi Server Setup\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2023#6\" target=\"_blank\">Comment 6</a>:\nDave Morriss on 2016-05-16:\n\"SSHFS; SSD\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2024#comments\" target=\"_blank\">hpr2024</a></strong>\n(2016-05-05) \"<em>Remapping Keys with xmodmap</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2024#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2016-05-05:\n\"Interesting approach\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2024#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2016-05-30:\n\"Nice idea\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hobbypublicradio.org/eps.php?id=2027#comments\" target=\"_blank\">hpr2027</a></strong>\n(2016-05-10) \"<em>Old Engineers and New Engineers</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0259.html\" target=\"_blank\">Gabriel Evenfire</a>.\n<ul>  <li><a href=\"https://hobbypublicradio.org/eps.php?id=2027#1\" target=\"_blank\">Comment 1</a>:\nSteve Saner on 2016-05-10:\"[no title]\"</li>  <li><a href=\"https://hobbypublicradio.org/eps.php?id=2027#2\" target=\"_blank\">Comment 2</a>:\nGabriel Evenfire on 2016-05-13:\n\"Glad you liked it\"</li>  <li><a href=\"https://hobbypublicradio.org/eps.php?id=2027#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2016-05-30:\n\"A most interesting show\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2028#comments\" target=\"_blank\">hpr2028</a></strong>\n(2016-05-11) \"<em>Some basic info on alarm systems</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0332.html\" target=\"_blank\">schism</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2028#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2016-05-13:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2028#2\" target=\"_blank\">Comment 2</a>:\nBill on 2016-05-23:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2028#3\" target=\"_blank\">Comment 3</a>:\nFrank on 2016-05-24:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2028#4\" target=\"_blank\">Comment 4</a>:\nTodd on 2016-05-25:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2028#5\" target=\"_blank\">Comment 5</a>:\nDave Morriss on 2016-05-30:\n\"Interesting subject\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2029#comments\" target=\"_blank\">hpr2029</a></strong>\n(2016-05-12) \"<em>The DSO138 Oscilloscope Kit</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2029#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2016-05-30:\n\"Was tempted to get one\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://www.hackerpublicradio.org/eps.php?id=2030#comments\" target=\"_blank\">hpr2030</a></strong>\n(2016-05-13) \"<em>Book Review: The Pocket Ref</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a>.\n<ul>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=2030#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2016-05-13:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2032#comments\" target=\"_blank\">hpr2032</a></strong>\n(2016-05-17) \"<em>How I Came to Linux</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0334.html\" target=\"_blank\">Steve Saner</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2032#1\" target=\"_blank\">Comment 1</a>:\nPeri Saner on 2016-05-17:\n\"Wife\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2032#2\" target=\"_blank\">Comment 2</a>:\nJonathan Kulp on 2016-05-17:\n\"Bring on the rockets\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2032#3\" target=\"_blank\">Comment 3</a>:\nNYbill on 2016-05-18:\n\"The old gray beards in the basement.\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2032#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2016-05-30:\n\"Really enjoyed this\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://www.hackerpublicradio.org/eps.php?id=2034#comments\" target=\"_blank\">hpr2034</a></strong>\n(2016-05-19) \"<em>Frank\'s Five Seed Bread</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a>.\n<ul>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=2034#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2016-05-18:\"[no title]\"</li>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=2034#2\" target=\"_blank\">Comment 2</a>:\nFrank on 2016-05-20:\"[no title]\"</li>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=2034#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2016-05-30:\n\"Must try this, or a modification thereof\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2035#comments\" target=\"_blank\">hpr2035</a></strong>\n(2016-05-20) \"<em>Building Community</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0001.html\" target=\"_blank\">droops</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2035#1\" target=\"_blank\">Comment 1</a>:\nTony Hughes on 2016-05-20:\n\"building community\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2035#2\" target=\"_blank\">Comment 2</a>:\ndroops on 2016-05-20:\n\"Tech Podcasts\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2035#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2016-05-20:\n\"Show tags\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2035#4\" target=\"_blank\">Comment 4</a>:\nTony Hughes on 2016-05-20:\n\"Building Comunity\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2035#5\" target=\"_blank\">Comment 5</a>:\namunizp on 2016-05-22:\n\"app\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2037#comments\" target=\"_blank\">hpr2037</a></strong>\n(2016-05-24) \"<em>Alpha32\'s Pinhead Oats</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0303.html\" target=\"_blank\">Alpha32</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2037#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2016-05-26:\n\"Cooking! Yay!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2038#comments\" target=\"_blank\">hpr2038</a></strong>\n(2016-05-25) \"<em>Attempting to fix a plastic boat</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0243.html\" target=\"_blank\">Jezra</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2038#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp on 2016-05-24:\n\"Hilarious\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2038#2\" target=\"_blank\">Comment 2</a>:\nDennis New on 2016-05-27:\n\"Hilarious Indeed\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2038#3\" target=\"_blank\">Comment 3</a>:\nFiftyOneFifty on 2016-05-28:\n\"Good Times\"</li></ul>\n</li>\n</ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1813,'2015-07-15','Apt Spelunking: surf, lightyears, and fbterm',896,'Windigo introduces several applications he found by wandering around the debian repositories.','<p>\r\n\"Apt spelunking\" is a silly term I made up for the act of searching through the Debian package repositories with vague terms, and trying out random applications therein.\r\n</p>\r\n<p>\r\nToday, we will be covering three packages: surf, lightyears, fbterm\r\n</p>\r\n\r\n<h3>surf</h3>\r\n\r\n<p>\r\nSurf is a lightweight, graphical browser. It uses the webkit rendering engine, and is a GTK-based application (not that you can tell). It is extremely spartan. Part of the suckless project, surf takes the Unix philosophy to it\'s extreme.\r\n</p>\r\n<p>\r\nEssentially, you only get a single browser window. No tabs, bookmarks, or other interface to speak of. Any navigation is accomplished through links on the page, or some very rudimentary keyboard shortcuts. Ctrl+H goes forward in history, and Ctrl+L goes backwards. If you want to visit a URL, you can either send it as a command-line argument, or use Ctrl+G to bring up a drun-like text input. It is perfect for lightweight system configurations, surf does the bear minimum to qualify as a web browser.\r\n</p>\r\n<p>\r\nIf you\'re looking for zen simplicity, or want an easy way to embed a web app in its own window without a lot of overhead, surf is an excellent option.\r\n</p>\r\n\r\n<h3>lightyears</h3>\r\n\r\n<p>\r\n20,000 light years into space bills itself as a \"single player real-time strategy game with steampunk sci-fi\". In it, you are given a square of alien landscape, dotted with steam vents, and a small settlement at the center. This settlement runs on the steam so abundant on this alien world, and it\'s your job to keep the steam flowing.\r\n</p>\r\n<p>\r\nThe game consists of building steam nodes, which capture steam from the vents, and connecting them back to your settlement. Of course, you can\'t simply build a straight pipe back to your settlement; the length of the pipe is taken into account, and the longer the pipe, the harder it is to get steam to travel through it. You can get around this by daisy chaining nodes together in a web, and providing multiple routes back to your settlement. Running a steam-powered base on this alien planet isn\'t without its share of dangers, however! There are aliens, inclement weather, and seismic instability that can all damage your network of steam pipes and nodes. If your steam pressure falls below a certain threshold, you lose. \r\n</p>\r\n<p>\r\nThis game has an eerie similarity to network engineering, and I\'ve always enjoyed it a lot. It can get very frustrating, though, and the difficulty levels are steep steps. If you\'re interested in strategy games, I\'d highly recommend giving this one a try.\r\n</p>\r\n\r\n<h3>fbterm</h3>\r\n\r\n<p>\r\nAnother in the lightweight category, fbterm is a terminal emulator that\'s designed to be run with a framebuffer. A framebuffer is a low-level method for displaying text and/or graphics on a monitor, and is often used to run GUI applications without the overhead of an X server.\r\n</p>\r\n<p>\r\nYou can use fbterm to get an antialiased terminal, with freetype font support. That means you can use bitmap and vector fonts, just like most full-featured terminal emulators, without the extra weight of running an X session and window manager.\r\n</p>\r\n<p>\r\nIf you like window managers, you could also use fbterm as a replacement for one of your consoles, using a program called \"rungetty\". Here\'s the instructions: <a href=\"https://superuser.com/a/810655/21018\">https://superuser.com/a/810655/21018</a> I don\'t mind having fbterm as a backup terminal, in case I need to debug an X session or my window manager has locked up. Having an option that is more graphically pleasing than a bare getty TTY can be a lifesaver.\r\n</p>',196,98,0,'CC-BY-SA','games,debian,terminal,browser',0,0,1),
(1809,'2015-07-09','My \"New\" Used Kindle Touch',665,'I talk about why used stuff is often better than new stuff, with my new used Kindle Touch as example','<p>In this show I talk about why I like to buy stuff used whenever possible, whether it be printers, routers, shirts, books, or my latest acquisition, a used Kindle Touch, which in many ways is much better than my (much newer) Kindle paperwhite. Just for fun, I allow the Kindle Touch itself (using its built-in text-to-speech capabilities) to tell me the ways in which it\'s better than the Kindle Paperwhite. </p>',238,0,0,'CC-BY-SA','Kindle, eBook Readers, Used Stuff, Recycling, Thrifting',0,0,1),
(1814,'2015-07-16','Custom Context Menus in GNU/Linux GUI File Managers',763,'I describe how to add custom context menu items in the Nautilus and Thunar file managers.','<h3>On Nautilus</h3>\r\n\r\n<p>On Nautilus you have to put your scripts into the Nautilus <code>scripts</code> folder, which on my system is located here: </p>\r\n\r\n<pre>\r\n~/.local/share/nautilus/scripts\r\n</pre>\r\n\r\n<p>You can either put copies of the scripts in there, or you can do like I did and make <strong>symlinks</strong> from the Nautilus scripts folder to your <code>/home/bin</code> folder. (I prefer to make symlinks instead of copying the files in there, just in case I make any changes to my scripts. If I have made a symlink instead of copying the file, then I only have to change original script and the symlink will automatically use the updated version.) Once you\'ve done that, you right-click on a file and choose <code>scripts</code> then <code>&lt;yourscriptname&gt;</code> to run your script on the file.</p>\r\n\r\n<h3>Thunar</h3>\r\n\r\n<p>On Thunar you don\'t have to put your scripts anywhere special. It actually handles custom actions much better than Nautilus, in my opinion. What you do is go to the <code>Edit</code> menu and choose <code>Configure custom actions</code>. Then you get a dialog box with two tabs. The first tab is where you can give your custom action a name and then tell it what command to run, and also tell it whether to apply the custom action only to the selected file, to all files in the directory, or to all selected files. On the other tab you choose the context in which this custom action will appear. You can select categories of files—like images, audio files, or text files, and so forth—or you can specify filetypes by extension, so that your custom action will only appear if you right click on a file that has the extension. </p>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li>Thunar <a href=\"https://docs.xfce.org/xfce/thunar/custom-actions\">custom actions documentation</a>.</li>\r\n	<li>Auphonic: Automatic audio post production web service for podcasts, broadcasters, radio shows, movies, screencasts and more. <a href=\"https://auphonic.com/\">https://auphonic.com/</a></li>\r\n</ul>',238,0,0,'CC-BY-SA','Scripting, File Managers, Desktop Customization, GNU/Linux',0,0,1),
(1803,'2015-07-01','What\'s In My Bag?',758,'The geek dad describes his daily carry gear and bag','<p>\r\nThe blog on Knightwise.com which inspired/sourced this episode: <a href=\"https://knightwise.com/whats-in-your-bag-week-day-3-matt-mcgraw/\">https://knightwise.com/whats-in-your-bag-week-day-3-matt-mcgraw/</a>\r\n</p>\r\n<p>\r\nThe photo of my gear: <a href=\"https://cloud.thestrangeland.net/index.php/s/meDq3hozvgkay2W\">https://cloud.thestrangeland.net/index.php/s/meDq3hozvgkay2W</a><br />\r\n<img src=\"https://hackerpublicradio.org/eps/hpr1803_img.png\" alt=\"photo of gear\" />\r\n</p>\r\n',255,23,1,'CC-BY-SA','gear, daily carry, what\'s in my bag',0,0,1),
(1807,'2015-07-07','Arch Linux Development Environment: Ep1',2181,'A tour of how to setup a base Arch Linux environment.','<ul>\r\n<li>Checking the network\r\n</li>\r\n<li>Partitioning\r\n</li>\r\n<li>Making the filesystems\r\n</li>\r\n<li>Mounting the filesystems\r\n</li>\r\n<li>Installing the base packages\r\n</li>\r\n<li>Generate the fstab\r\n</li>\r\n<li>Chroot and Configuration\r\n</li>\r\n<li>Boot Loading\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nComplete show notes: <a href=\"https://hackerpublicradio.org/eps/hpr1807.html\">https://hackerpublicradio.org/eps/hpr1807.html</a>\r\n</p>',286,0,1,'CC-BY-SA','Arch Linux, dev, environment',0,0,1),
(1810,'2015-07-10','17 - LastPass Hacked - What Does It Mean?',1380,'LastPass was hacked, but how bad is it?','<p>\r\nOn June 15, LastPass disclosed that it had been hacked, and I think by now just about everyone has heard about it. I know I received questions because I have recommended LastPass often, and my advice has been to stay with them. What I want to do now is explain exactly why this was not quite the big deal it was made out to be in some quarters, and that anyone telling you to stop using password vaults is only asking you to lower your own security.\r\n</p>\r\n<p>\r\nFor more go to <a href=\"https://www.zwilnik.com/?page_id=841\">https://www.zwilnik.com/?page_id=841</a> \r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://blog.lastpass.com/2015/06/lastpass-security-notice.html/\">https://blog.lastpass.com/2015/06/lastpass-security-notice.html/</a>\r\n</li>\r\n<li><a href=\"https://www.zwilnik.com/?page_id=577\">https://www.zwilnik.com/?page_id=577</a>\r\n</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1581\">https://hackerpublicradio.org/eps.php?id=1581</a>\r\n</li>\r\n<li><a href=\"https://www.zwilnik.com/?page_id=841\">https://www.zwilnik.com/?page_id=841</a>\r\n</li>\r\n</ul>\r\n',198,74,0,'CC-BY-SA','LastPass, password vault',0,0,1),
(1811,'2015-07-13','Life and Times of a Geek part 2',2558,'Part 2 of my personal story of experiences with computers','<h2 id=\"introduction\">Introduction</h2>\r\n<p>In the last part I told you of my first encounter with a mainframe computer and the Algol60 language while an undergraduate student at Aberystwyth University.</p>\r\n<p>Today I want to talk about the next stage as a postgraduate student at the University of Manchester.</p>\r\n<p>It seems to have taken me over 6 months to prepare this episode of this series, for which I apologise. I seem to get distracted as I do my background research.</p>\r\n<h2 id=\"full-notes\">Full Notes</h2>\r\n<p>Since the notes explaining this subject are particularly long, they have been placed here: <a href=\"https://hackerpublicradio.org/eps/hpr1811_full_shownotes.html\">https://hackerpublicradio.org/eps/hpr1811_full_shownotes.html</a> and an ePub version is also available here: <a href=\"https://hackerpublicradio.org/eps/hpr1811_full_shownotes.epub\">https://hackerpublicradio.org/eps/hpr1811_full_shownotes.epub</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>University of Manchester:\r\n<ul>\r\n<li>Wikipedia entry: <a href=\"https://en.wikipedia.org/wiki/University_of_Manchester\">https://en.wikipedia.org/wiki/University_of_Manchester</a></li>\r\n<li>Prior to 2004: <a href=\"https://en.wikipedia.org/wiki/Victoria_University_of_Manchester\">https://en.wikipedia.org/wiki/Victoria_University_of_Manchester</a></li>\r\n<li>Manchester Museum: <a href=\"https://en.wikipedia.org/wiki/Manchester_Museum\">https://en.wikipedia.org/wiki/Manchester_Museum</a></li>\r\n<li>School of Computer Science: <a href=\"https://en.wikipedia.org/wiki/School_of_Computer_Science,_University_of_Manchester\">https://en.wikipedia.org/wiki/School_of_Computer_Science,_University_of_Manchester</a></li>\r\n</ul></li>\r\n<li>Behavioural Ecology: <a href=\"https://en.wikipedia.org/wiki/Behavioral_ecology\">https://en.wikipedia.org/wiki/Behavioral_ecology</a></li>\r\n<li>Experimental animals:\r\n<ul>\r\n<li>Barbary dove: <a href=\"https://en.wikipedia.org/wiki/Barbary_dove\">https://en.wikipedia.org/wiki/Barbary_dove</a></li>\r\n<li>Common Marmoset: <a href=\"https://en.wikipedia.org/wiki/Common_marmoset\">https://en.wikipedia.org/wiki/Common_marmoset</a></li>\r\n</ul></li>\r\n<li>Current Contents: <a href=\"https://en.wikipedia.org/wiki/Current_Contents\">https://en.wikipedia.org/wiki/Current_Contents</a></li>\r\n<li>Card systems:\r\n<ul>\r\n<li>Index cards: <a href=\"https://en.wikipedia.org/wiki/Index_card\">https://en.wikipedia.org/wiki/Index_card</a></li>\r\n<li>Edge-notched cards: <a href=\"https://en.wikipedia.org/wiki/Edge-notched_card\">https://en.wikipedia.org/wiki/Edge-notched_card</a></li>\r\n</ul></li>\r\n<li>Control Data Corporation CDC 7600: <a href=\"https://en.wikipedia.org/wiki/CDC_7600\">https://en.wikipedia.org/wiki/CDC_7600</a></li>\r\n<li>Seymour Cray: <a href=\"https://en.wikipedia.org/wiki/Seymour_Cray\">https://en.wikipedia.org/wiki/Seymour_Cray</a></li>\r\n<li>Cray-1 supercomputer: <a href=\"https://en.wikipedia.org/wiki/Cray-1\">https://en.wikipedia.org/wiki/Cray-1</a></li>\r\n<li>ICT (ICL) 1900 series: <a href=\"https://en.wikipedia.org/wiki/ICT_1900_series\">https://en.wikipedia.org/wiki/ICT_1900_series</a></li>\r\n<li>ICL GEORGE operating system: <a href=\"https://en.wikipedia.org/wiki/GEORGE_%28operating_system%29\">https://en.wikipedia.org/wiki/GEORGE_%28operating_system%29</a></li>\r\n<li>Card Punch: <a href=\"https://en.wikipedia.org/wiki/Keypunch\">https://en.wikipedia.org/wiki/Keypunch</a></li>\r\n<li>UMRCC videos on YouTube:\r\n<ul>\r\n<li><a href=\"https://www.youtube.com/watch?v=swpE9IS8rso\">https://www.youtube.com/watch?v=swpE9IS8rso</a></li>\r\n<li><a href=\"https://www.youtube.com/watch?v=G-ObR4Z6reY\">https://www.youtube.com/watch?v=G-ObR4Z6reY</a></li>\r\n</ul></li>\r\n<li>The three-day week: <a href=\"https://en.wikipedia.org/wiki/Three-Day_Week\">https://en.wikipedia.org/wiki/Three-Day_Week</a></li>\r\n<li>Fortran:\r\n<ul>\r\n<li>Wikipedia article: <a href=\"https://en.wikipedia.org/wiki/Fortran\">https://en.wikipedia.org/wiki/Fortran</a></li>\r\n<li>WikiBooks examples of Fortran: <a href=\"https://en.wikibooks.org/wiki/Fortran/Fortran_examples#Simple_Fortran_IV_program\">https://en.wikibooks.org/wiki/Fortran/Fortran_examples#Simple_Fortran_IV_program</a></li>\r\n</ul></li>\r\n<li>Graph plotter: <a href=\"https://en.wikipedia.org/wiki/Plotter\">https://en.wikipedia.org/wiki/Plotter</a></li>\r\n<li>NAG Library: <a href=\"https://en.wikipedia.org/wiki/NAG_Numerical_Library\">https://en.wikipedia.org/wiki/NAG_Numerical_Library</a></li>\r\n<li>The Pascal language:\r\n<ul>\r\n<li>Wikipedia article: <a href=\"https://en.wikipedia.org/wiki/Pascal_%28programming_language%29\">https://en.wikipedia.org/wiki/Pascal_%28programming_language%29</a></li>\r\n<li>&quot;<em>The Programming Language Pascal</em>&quot; 1973: <a href=\"https://www.standardpascal.com/The_Programming_Language_Pascal_1973.pdf\">https://www.standardpascal.com/The_Programming_Language_Pascal_1973.pdf</a></li>\r\n</ul></li>\r\n<li><em>Life and Times of a Geek</em> part 1: <a href=\"https://hackerpublicradio.org/eps.php?id=1664\">https://hackerpublicradio.org/eps.php?id=1664</a></li>\r\n</ul>\r\n',225,29,1,'CC-BY-SA','computer,programming,punched card,paper tape,teletype,graph plotter,Seymour Cray,CDC,Control Data Corporation,CDC 7600,Cray-1,ICL,ALGOL 60,FORTRAN,Pascal',0,0,1),
(1812,'2015-07-14','Headphones and a $2 Microphone',1180,'I talk about my various headphones as I walk to my office.','<p>In this episode I use a <a href=\"https://www.amazon.com/gp/product/B005DJOIHE\">https://www.amazon.com/gp/product/B005DJOIHE</a> $2 microphone to record as I walk from home to my office. The topic is the 5 pairs of headphones I have and their various features, qualities, drawbacks, etc.</p>\r\n\r\n<h2>Headphones Mentioned in Podcast</h2>\r\n\r\n<ul>\r\n	<li>Neewer 3.5mm Hands Free Computer Clip on <a href=\"https://www.amazon.com/gp/product/B005DJOIHE\">Mini Lapel Microphone</a></li>\r\n	<li>Bose Quiet Comfort 15</li>\r\n	<li>Sennheiser HD 550A</li>\r\n	<li>Aftershokz Sportz M2 Bone-Conduction Headphones</li>\r\n	<li>Sony MDR-J10 H ear headphones with non-slip design</li>\r\n	<li>Howard Leight 1030110 sync noise-blocking stereo earmuffs</li>\r\n</ul>\r\n',238,0,1,'CC-BY-SA','headphones, microphones, audio',0,0,1),
(1817,'2015-07-21','Gathering Parts',1395,'NYbill talks about the process he goes through while starting an electronics project.','<p>\r\nThe web site that started this all:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.gilmourish.com/\">https://www.gilmourish.com/</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nBig Muff Pi:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.bigmuffpage.com/Big_Muff_Pi_versions_schematics_part1.html\">https://www.bigmuffpage.com/Big_Muff_Pi_versions_schematics_part1.html</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nParts Distributors:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.digikey.com/\">https://www.digikey.com/</a>\r\n</li>\r\n<li><a href=\"https://www.mouser.com/\">https://www.mouser.com/</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nHammond Box:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://tinyurl.com/oqb55my\">https://tinyurl.com/oqb55my</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nJoe Knows:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://tinyurl.com/nmsb2v9\">https://tinyurl.com/nmsb2v9</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nPicture of the gathered parts:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://media.gunmonkeynet.net/u/nybill/m/a-pic-for-hpr-episode/\">https://media.gunmonkeynet.net/u/nybill/m/a-pic-for-hpr-episode/</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nWhen I made the reference to \"two red lips\" regarding resistor colors I didn\'t quite explain what that meant. It was a way I learned, way back when, to remember which color was which number on a resistor. I hadn\'t thought about it in years. It used rhyming and references scheme to line the colors up with values. \r\n</p>\r\n<pre>\r\n0- Black - It\'s a \"no\" color, a zero\r\n1- Brown - \'brow-one\'\r\n2- Red - Two red lips\r\n3- Orange - Orange tree\r\n4- Yellow - Yell for help\r\n5- Green - a five dollar bill is green\r\n6- Blue - Blue and sick\r\n7- Violet - Violet heaven\r\n8- Gray - Great\r\n9- White - White wine\r\n</pre>\r\n',235,103,0,'CC-BY-SA','electronics,guitar pedal,fuzzbox,resistor colours',0,0,1),
(1816,'2015-07-20','Visualising HPR tags',549,'Using GraphViz to visualise the tags on HPR episodes','<p>As you know, HPR asks for tags to be added to the episodes we contribute. These are intended to be used to produce some kind of improved topic search at some point in the future.</p>\r\n<p>I find it difficult to decide what tags to add to my shows, and I expect many people feel the same way about it. Should I use common tags like <em>Linux</em> or does that not differentiate it enough? How many tags should I add, should the words be plural or singular?</p>\r\n<p>We have recently been asked to contribute to the task of adding tags to previous shows, so it\'s very much a hot topic at the moment.</p>\r\n<p>In thinking about this I wondered if there was a way in which existing tags could be represented in a visual way to help with the process of choosing and rationalising tags. It was the type of thought that occurs to you in the shower or while out for a walk.</p>\r\n<p>In my last job I occasionally used a package called <a href=\"https://en.wikipedia.org/wiki/Graphviz\" title=\"GraphViz\">GraphViz</a> to generate graphical representations. I used it to generate a chart showing how the organisation (a university) was divided up into schools, departments, sections and so on in a hierarchical manner. I wondered if it could be used for this task.</p>\r\n<p>I decided to use my currently preferred scripting language, Perl, and found there was a module which let me access GraphViz. I started putting together a <a href=\"https://hackerpublicradio.org/eps/hpr1816_tag_visualise.html\" title=\"tag_visualise (HTML)\">script</a>.</p>\r\n<p>The script was created in an evening and is still rather rough. It performs a very simple query on the database to obtain the show numbers of shows with tags, their titles and their tags. It then uses a CSV parser to parse the tag list and builds a hash table indexed by tags, where the contents per tag are the show numbers that use this tag.</p>\r\n<p>Having built this hash table it is used to generate GraphViz data by making each tag and each show number a <em>node</em> and joining them together.</p>\r\n<p>Finally the script processes the graph to produce output in <a href=\"https://hackerpublicradio.org/eps/hpr1816_tag_visualise.svg\" title=\"SVG output\">SVG</a> format which is available to view.</p>\r\n<p>Bear in mind that this is not a finished project - it may never be finished! The script may not be ideal. My understanding of GraphViz may be insufficient, and the rendering of the SVG may not be good (I got various results on different browsers).</p>\r\n<p>However, you might find it interesting or even useful. Feedback on the idea is welcome.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>GraphViz Wikipedia entry: <a href=\"https://en.wikipedia.org/wiki/Graphviz\" class=\"uri\">https://en.wikipedia.org/wiki/Graphviz</a></li>\r\n<li>Graphviz website: <a href=\"https://graphviz.org/\" class=\"uri\">https://graphviz.org/</a></li>\r\n<li>Perl script to visualise tags (HTML version): <a href=\"https://hackerpublicradio.org/eps/hpr1816_tag_visualise.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1816_tag_visualise.html</a></li>\r\n<li>Output from the <code>tag_visualise</code> script as an SVG file: <a href=\"https://hackerpublicradio.org/eps/hpr1816_tag_visualise.svg\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1816_tag_visualise.svg</a></li>\r\n</ul>',225,0,1,'CC-BY-SA','Perl,GraphViz,tags,SVG',0,0,1),
(1819,'2015-07-23','LibreOffice Tips: Horizontal Lists and Headless Operation',675,'A workaround to create horizontal ordered lists in LibreOffice and run LO headless to convert files','<h2>LibreOffice Tips: Horizontal Lists</h2>\r\n\r\n<p>One of these things is how to create <strong>horizontal lists</strong> in LibreOffice. This is something that I wanted to do, I think it was maybe a year ago that I was really trying to find out how to do this. What I mean by that is I wanted to be able to do in LibreOffice the equivalent of an in-line list in HTML and CSS. There\'s a way in CSS to tell the browser to display a series of list items in-line rather than vertically—and this is used all the time for footers and headers and things of that sort—and  I wanted to be able to do that in LibreOffice because it would ease the process of creating the exams that I make in my classes, where I have a numbered list for all of the questions, and the answers for each question are also done in a numbered list but at the 2nd level—usually done with a, b, c and d, whereas the numbers of the questions are 1, 2, 3, 4, and so forth. What I wanted to be able to do was have the ordered list a, b, c, d spread out horizontally across the page without having to do it manually. So in other words I wanted to be able to type a word for an answer and then press <code>enter</code>, and instead of having it go into a new line, have it simply move over to the right a little bit with a new letter in place for the next item in the ordered list. I hope it\'s clear what I\'m after here. </p>\r\n\r\n<p>Anyway I never did find a way to do this. I searched online and there were a couple of other people who were interested in doing the same thing but they were all told this is impossible. Well, sort of. I found a workaround for this and it\'s not all that elegant but in a pinch it could work, and I don\'t think I would want to do it for an entire test but I thought it was kind of a cool way to do it. </p>\r\n\r\n<p>So what you do his make up the ordered list just like usual. I have here on my computer right now opened a document with a single question, question no. 1. And then it has at the 2nd level of ordered list a series of 4 options: red, purple, green, and blue. And each one of these is in a font color of the same name, so that the word \"Red\" is red, the word \"Purple\" is in purple, \"green\" is in green.  I do this because it makes it easier to see how these things move up and down. There are little buttons down at the bottom of the screen where if you click on the arrow up or the arrow down, it will move the list item up or down. So right now red is in the 1st position, but if I click the down arrow it will go down to the 2nd position and the one that was formally 2nd is now 1st. So purple and red have switched places. </p>\r\n\r\n<p>I want to have this kind of flexibility going horizontally as well, and the way I found to do this was to use columns. I select the 4 items and then under the <code>Format</code> menu choose <code>Columns</code> and tell it I want 4 columns because I have 4 items, and I click <code>OK</code> and suddenly these things are distributed across the screen horizontally. Now if I click the up arrow, the item moves left and right!</p>\r\n\r\n<p>The bad thing about using columns is that the columns are of uniform width, so they do not dynamically change according to the number of characters that are in the word the way it would do in HTML with CSS.</p>\r\n\r\n<h2>Headless Operation</h2>\r\n\r\n<p>To convert a Word <code>.docx</code> file to <code>HTML</code>, run the following command (LibreOffice must not be open in a graphical environment when you try to do this):</p>\r\n\r\n<pre>\r\nlibreoffice --headless --convert-to html foobar.docx\r\n</pre>\r\n\r\n<p>To convert the same document to <code>.odt</code> format, run this command. </p>\r\n\r\n<pre>\r\nlibreoffice --headless --convert-to odt foobar.docx\r\n</pre>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li>Convert Word documents to Clean HTML: <a href=\"https://word2cleanhtml.com/\">https://word2cleanhtml.com/</a></li>\r\n</ul>',238,70,0,'CC-BY-SA','LibreOffice,horizontal list,headless',0,0,1),
(1821,'2015-07-27','James Beard\'s Never-Fail Blender Hollandaise Sauce',413,'Frank describes how to make perfect Hollandaise Sauce every time.','<p>\r\nFrank describes James Beard\'s simple and almost infallible recipe for making Hollandaise sauce with a blender.\r\n<br />\r\nThe recipe from the _Theory_and_Practice_of_Good_Cooking_, used copies of which can be readily found via a web search.  According to Amazon.doc, new copies are also available.  Frank\'s copy is a first edition dating from 1977, though it\'s been used too much to be a collector\'s item.\r\n</p>\r\n\r\n<h3>\r\nLinks:\r\n</h3>\r\n<ul>\r\n<li>THe James Beard Foundation:  <a href=\"https://www.jamesbeard.org/\">https://www.jamesbeard.org/</a>\r\n</li>\r\n<li>James Beard Wikipedia article:  <a href=\"https://en.wikipedia.org/?title=James_Beard\">https://en.wikipedia.org/?title=James_Beard></a></li>\r\n<li>Hollandaise Wikipedia article:  <a href=\"https://en.wikipedia.org/wiki/Hollandaise_sauce\">https://en.wikipedia.org/wiki/Hollandaise_sauce</a></li>\r\n<li>Craig Claiborne Wikipedia article:  <a href=\"https://en.wikipedia.org/wiki/Craig_Claiborne\">https://en.wikipedia.org/wiki/Craig_Claiborne</a></li>\r\n</ul>\r\n',195,93,1,'CC-BY-SA','cooking,recipe,Hollandaise,sauce',0,0,1),
(1815,'2015-07-17','57 - LibreOffice Impress - Styles and Objects 2 - Drawing Object Styles',997,'Drawing Object Styles and their use in LibreOffice Impress','<p>\r\nIn the previous tutorial we looked at Presentation Styles, and I started with them because they were mostly similar to what we already covered in Writer when we looked at Paragraph styles. But Impress is a graphical product, so we need to wrap our heads around a different set of issues here. and that brings us to Drawing Object Styles.\r\n</p>\r\n<p>\r\nFor more go to <a href=\"https://www.ahuka.com/?page_id=1182\">https://www.ahuka.com/?page_id=1182</a>\r\n</p>\r\n',198,70,0,'CC-BY-SA','LibreOffice, Impress, Presentations, Styles',0,0,1),
(1825,'2015-07-31','58 - LibreOffice Impress - Creating a Template for Hacker Public Radio',850,'Creating a sample template illustrates these concepts','<p>\r\nThe idea in this tutorial is to tie together some of the concepts developed in the previous tutorials to create a Master Page, or Template, or Slide Master. (They all mean the same thing, but within Impress they are shown on the Sidebar as Master Pages, so I will stick with that terminology here.) I say we will use some of these concepts because trying to put everything into one Master Page would create a hideous end result. And since it helps to have a definite objective in mind I have decided to create one for Hacker Public Radio, where I record these tutorials as podcasts for the Internet.\r\nFor more go to <a href=\"https://www.ahuka.com/?page_id=1204\">https://www.ahuka.com/?page_id=1204</a>\r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://openfontlibrary.org/\">https://openfontlibrary.org/</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/wp-content/uploads/2015/07/Hacker-Public-Radio-Template.otp_.zip\">https://www.ahuka.com/wp-content/uploads/2015/07/Hacker-Public-Radio-Template.otp_.zip</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?page_id=1116\">https://www.ahuka.com/?page_id=1116</a>\r\n</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1795\">https://hackerpublicradio.org/eps.php?id=1795</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?page_id=1204\">https://www.ahuka.com/?page_id=1204</a>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','LibreOffice, Impress, Presentations, Template',0,0,1),
(1830,'2015-08-07','How Holland Works: GreenWheels',643,'A quick look at the Dutch short term car sharing service','<p>\r\nNo longer owning a car of our own, we use the car-sharing service GreenWheels, which for a subscription of €5 per month, we are allowed to rent any of the hundreds of cars confidentiality parked all around the Netherlands.\r\n</p>\r\n<h2>How it works</h2>\r\n<h3>Subscribe</h3>\r\n<p>\r\nOnce you subscribe you get mailed a credit card sized RFID card and a PIN code.</p>\r\n<h3>Booking</h3>\r\n<p>\r\nGo to the website and enter in your location using ZIP/postcode or town name. You specify the times range you want to use it for and then press find to list the available options. A Google Map will appear with the availability of the cars displayed green for available and red for booked. Pick the one you want, login and confirm.\r\n<p>\r\n<img width=\"90%\" src=\"https://hackerpublicradio.org/eps/hpr1830_booking.png\" alt=\"screen shot of website\">\r\n</p>\r\n<h3>Pickup</h3>\r\n<p>\r\nGo to the car location and then open the car by placing the RFID card next to the RFID reader located just above the steering wheel. The central locking will open the doors allowing you to get in.\r\n<p>\r\nTake the controller out of the glove compartment and enter your pin code to unlock the ignition system.\r\n<p>\r\nYou can confirm that there is no damage, or log any damage that has occurred. Take the regular key and use that to start the car.\r\n</p>\r\n<h3>Refueling</h3>\r\n<p>\r\nIf you need to refuel then go to any [gas|petrol] station and refuel. Make note of the current distance travelled on the Odometer, and take the fleet refuelling card from the glove compartment. Instead of paying yourself, the bill will be charged directly to GreenWheels. Return the refuelling card and receipt to the glove compartment.\r\n</p>\r\n<h3>Drive</h3>\r\n<p>Loads to see in the Netherlands.</p>\r\n\r\n<h3>Returning</h3>\r\n<p>\r\nWhen you are finished, return the car and after checking that you have all your stuff, answer yes to the question \"Have you returned to the start point ?\". Then leave and use the RFID card to lock the car.\r\n</p>\r\n\r\n<h2>Links</h2>\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Greenwheels\">https://en.wikipedia.org/wiki/Greenwheels</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Radio-frequency_identification\">https://en.wikipedia.org/wiki/Radio-frequency_identification</a></li>\r\n</ul>\r\n',30,0,1,'CC-BY-SA','How Holland Works, GreenWheels, Environment, integrated transport, car sharing',0,0,1),
(1835,'2015-08-14','59 - LibreOffice Impress - Pictures',1396,'Using and formatting pictures, and creating a photo album','<p>\r\nAs we pointed out previously, Impress is inherently a graphical, and even multimedia, way of communicating. In fact, we saw in the previous tutorials that Impress and Draw share a common set of Styles that apply to both programs, and I have often seen in documentation that Impress and Draw are often mentioned in the same breath, so to speak. So it is important that we start developing an understanding of the graphical elements in Impress.\r\nFor more go to <a href=\"https://www.ahuka.com/?page_id=1217\">https://www.ahuka.com/?page_id=1217</a>\r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://www.ahuka.com/wp-content/uploads/2015/07/Photo-Album.odp\">https://www.ahuka.com/wp-content/uploads/2015/07/Photo-Album.odp</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?page_id=1217\">https://www.ahuka.com/?page_id=1217</a>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','LibreOffice, Impress, Presentations, Pictures, Photo Album',0,0,1),
(1822,'2015-07-28','Some tips on using ImageMagick',1231,'ImageMagick is an amazing toolkit for manipulating images. Here\'s how I use it','<h1 id=\"some-tips-on-using-imagemagick\">Some tips on using ImageMagick</h1>\r\n<p>I like to use images in HPR shows if I can. I have experimented with various ways of preparing them since I first started contributing, but I\'m particularly impressed with what I am able to do using <a href=\"https://www.imagemagick.org/script/index.php\" title=\"ImageMagick\">ImageMagick</a>.</p>\r\n<p>The <code>ImageMagick</code> system contains an enormous range of capabilities, enough for a whole series of shows. I thought I would talk about some of the features I use when preparing episodes to give you a flavour of what can be done.</p>\r\n<p>I\'m the rawest amateur when it comes to this kind of image manipulation. Just reading some of the ImageMagick documentation (see <a href=\"#Links\">links</a>) will show you what an enormous number of possibilities there are. I am only using a few in this episode.</p>\r\n<p>I have prepared longer show notes and demonstrated some scripts to explain how I process images. These can be found <a href=\"https://hackerpublicradio.org/eps/hpr1822_full_shownotes.html\">here</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Full show notes: <a href=\"https://hackerpublicradio.org/eps/hpr1822_full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1822_full_shownotes.html</a></li>\r\n<li>EXIF Wikipedia page: <a href=\"https://en.wikipedia.org/wiki/Exchangeable_image_file_format\" class=\"uri\">https://en.wikipedia.org/wiki/Exchangeable_image_file_format</a></li>\r\n<li>exiftool: <a href=\"https://www.sno.phy.queensu.ca/~phil/exiftool\" class=\"uri\">https://www.sno.phy.queensu.ca/~phil/exiftool</a></li>\r\n<li>Krita: <a href=\"https://krita.org/\" class=\"uri\">https://krita.org/</a></li>\r\n<li>ImageMagick:\r\n<ul>\r\n<li>Main site: <a href=\"https://www.imagemagick.org/script/index.php\" class=\"uri\">https://www.imagemagick.org/script/index.php</a></li>\r\n<li>Crop: <a href=\"https://www.imagemagick.org/Usage/crop/\" class=\"uri\">https://www.imagemagick.org/Usage/crop/</a></li>\r\n<li>Resize: <a href=\"https://www.imagemagick.org/Usage/resize/\" class=\"uri\">https://www.imagemagick.org/Usage/resize/</a></li>\r\n<li>Thumbnails: <a href=\"https://www.imagemagick.org/Usage/thumbnails/\" class=\"uri\">https://www.imagemagick.org/Usage/thumbnails/</a></li>\r\n</ul></li>\r\n</ul>\r\n',225,0,1,'CC-BY-SA','images,ImageMagick,scripting,Krita',0,0,1),
(1845,'2015-08-28','60 - LibreOffice Impress - The Gallery and Themes',869,'LibreOffice Clip Art Gallery and Theme collections','<p>\r\nIn the last tutorial we looked at pictures and how they can be used in Impress. But I left out one area because the tutorial was already running a bit long, and I wanted to give the Gallery and Themes the full attention they deserve. I think this is something a lot of people have missed when working with Impress, at least I have not seen these elements includes much in peoples presentations. But they are a wonderful addition to your toolkit, and well-worth some attention.  Note that the Gallery is a common feature of all LibreOffice applications, and is available in applications like Writer and Calc, though there is less need for it there. It is when you get to applications like Impress and Draw that you really discover how useful it can be.\r\nFor more go to <a href=\"https://www.ahuka.com/?page_id=1222\">https://www.ahuka.com/?page_id=1222</a>\r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://www.ahuka.com/?page_id=1222\">https://www.ahuka.com/?page_id=1222</a>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','LibreOffice, Impress, Presentations, Clip Art, Gallery, Themes',0,0,1),
(1824,'2015-07-30','I\'m Learning Some Python',1920,'I discuss how I use Python and some of the cool modules and libraries that I\'ve found','<style type=\"text/css\">\r\ntd {vertical-align: top;}\r\n</style>\r\n\r\n<h2>I\'m Learning Some Python</h2>\r\n\r\n<p>Lately I\'m finally getting around to learning some Python. I wouldn\'t go as far as to say I\'m learning it properly&mdash;that\'s not really my way&mdash;I\'m kind of poking around in the dark learning things on an \"as-needed\" basis, but I\'m finding that it\'s incredibly powerful and making me much more efficient in my daily life. In this podcast I discuss some of my favorite ways of using it and some of the cool modules and libraries that I\'ve found that make things surprisingly easy in Python that used to be difficult for me in <code>bash</code>.</p>\r\n\r\n<h2>What I Use It For</h2>\r\n\r\n<ol type=\"1\">\r\n<li>Website build scripts, both for the School of Music and for my personal website. Converted from bash, tested and working fine on Windows and Mac.</li>\r\n<li>Text manipulation scripts, used in conjuction with blather. These do things like change text case, remove spaces, and so forth. </li>\r\n<li>Text entry. Voice commands insert various kinds of text templates or canned email responses for my classes. Also used in conjunction with blather.</li>\r\n<li>Adding or stripping HTML tags to/from selected text.</li>\r\n<li>Getting current weather conditions and forecasts, having results spoken back to me using system text-to-speech engine.</li>\r\n<li>Fun blather commands where I interact with my computer and have it talk back to me.</li>\r\n</ol>\r\n\r\n<h2>Favorite Python Modules/Libraries</h2>\r\n\r\n<table>\r\n	<tr><td><code>pyperclip</code></td><td>A cross-platform clipboard module for Python. (only handles plain text for now) <a href=\"https://pypi.python.org/pypi/pyperclip/1.5.11\">https://pypi.python.org/pypi/pyperclip/1.5.11</a></td></tr>\r\n	<tr><td><code>pyttsx</code></td><td>A Python package supporting common text-to-speech engines on Mac OS X, Windows, and Linux. <a href=\"https://pypi.python.org/pypi/pyttsx\">https://pypi.python.org/pypi/pyttsx</a></td></tr>\r\n	<tr><td><code>bs4</code></td><td>HTML parsing library. <a href=\"https://www.crummy.com/software/BeautifulSoup/bs4/doc/\">Beautiful Soup Documentation</a></td></tr>\r\n	<tr><td><code>htmlmin</code></td><td>A configurable HTML Minifier with safety features. <a href=\"https://pypi.python.org/pypi/htmlmin/\">https://pypi.python.org/pypi/htmlmin/</a></td></tr>\r\n	<tr><td><code>smartypants</code></td><td><a href=\"https://pypi.python.org/pypi/smartypants/1.8.3\">smartypants</a> is a Python fork of <a href=\"https://daringfireball.net/projects/smartypants/\">SmartyPants</a>, which easily translates &quot;plain&quot; ASCII punctuation characters into &ldquo;smart&rdquo; typographic punctuation HTML entities.</td></tr>\r\n	<tr><td><code>titlecase</code></td><td>Changes all words to Title Caps, and attempts to be clever about SMALL words like a/an/the in the input. <a href=\"https://pypi.python.org/pypi/titlecase\">https://pypi.python.org/pypi/titlecase</a></td></tr>\r\n	<tr><td><code>swnamer</code></td><td>A name generator that uses Star Wars characters, species and planets to create un fisique names. <a href=\"https://pypi.python.org/pypi/swnamer/0.1.0\">https://pypi.python.org/pypi/swnamer/0.1.0</a></td></tr>\r\n</table>\r\n\r\n\r\n<h2>Demo Screencasts</h2>\r\n\r\n<ul>\r\n\r\n<li>Blather + Python: Insert Text from Predefined Nested Lists Using Voice Commands: <a href=\"https://www.youtube.com/watch?v=6futHS4JLsU\">https://www.youtube.com/watch?v=6futHS4JLsU</a></li>\r\n\r\n<li>Blather: \"too much coffee?\" python script: <a href=\"https://www.youtube.com/watch?v=GTDMi1zF76c\">https://www.youtube.com/watch?v=GTDMi1zF76c</a></li>\r\n</ul>\r\n',238,0,1,'CC-BY-SA','python, scripting, programming',0,0,1),
(1829,'2015-08-06','My \"New\" Used Kindle DX',836,'I talk about my latest gadget, a used Kindle DX','<p>I talk about my latest gadget, a used Kindle DX, which is a discontinued model with a 9.7 inch epaper screen. I talk about its features, limitations, how to navigate it, and I demonstrate its text-to-speech capabilities. Incidentally I really low-balled the original price of the Kindle DX. Looking around a little bit, I find that the original retail price was $479, which was then reduced to just under $400. Mine now seems like a bargain at $128 used. </p>\r\n\r\n<p><img src=\"https://cdn.slashgear.com/wp-content/uploads/2010/07/Kindle-DX-graphite-2-Hands-469x500.jpg\" alt=\"Kindle DX\"></p>\r\n',238,0,0,'CC-BY-SA','ebooks, ereaders, kindle, gadgets, reviews',0,0,1),
(1827,'2015-08-04','How I make bread',1112,'I\'ve been making my own bread for nearly 40 years, and I thought I\'d share my methods','<p>Ken Fallon was asking for bread-making advice on a recent <em>Community News</em> recording. I\'ve been making my own bread since the 1970\'s and I thought I\'d share my methods in response. <a href=\"https://hackerpublicradio.org/correspondents/0195.html\">Frank Bell</a> also did an excellent <a href=\"https://hackerpublicradio.org/eps.php?id=1327\">bread-making episode</a> in 2013.</p>\r\n<p>I have prepared a long description of my bread-making process, with photographs and a recipe, and this is all available here: <a href=\"https://hackerpublicradio.org/eps/hpr1827/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1827/full_shownotes.html</a></p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Full notes: <a href=\"https://hackerpublicradio.org/eps/hpr1827/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1827/full_shownotes.html</a></li>\r\n<li>Frank Bell\'s HPR episode on bread making: <a href=\"https://hackerpublicradio.org/eps.php?id=1327\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1327</a></li>\r\n<li>Kenwood Chef: <a href=\"https://en.wikipedia.org/wiki/Kenwood_Chef\" class=\"uri\">https://en.wikipedia.org/wiki/Kenwood_Chef</a></li>\r\n<li>Panasonic SD255: <a href=\"https://www.chrisrand.com/panasonic-SD255-breadmaker-bread-maker/\" class=\"uri\">https://www.chrisrand.com/panasonic-SD255-breadmaker-bread-maker/</a></li>\r\n<li>Wholemeal bread recipe: <a href=\"https://hackerpublicradio.org/eps/hpr1827/Wholemeal_Bread_Recipe.pdf\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1827/Wholemeal_Bread_Recipe.pdf</a></li>\r\n</ul>',225,93,1,'CC-BY-SA','cooking,bread,yeast,baking,loaves,dough,gluten',0,0,1),
(1828,'2015-08-05','Multimeter Mod\'s Part 1',1162,'NYbill modifies his multimeter to add features he feels are lacking.','<p>\r\nNYbill talks about modifying his UNI-T UT61E multimeter to add two features he finds lacking. \r\n</p>\r\n<p>\r\nIn part one an LED back light gets installed for the LCD screen.  Part two will cover the second mod, a auto-time out feature to save the units battery. \r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>The UNI-T UT61E: <a href=\"https://tinyurl.com/ofz8hrk\">https://tinyurl.com/ofz8hrk</a>\r\n</li>\r\n<li>Pictures for the episode: <a href=\"https://media.gunmonkeynet.net/u/nybill/collection/multimeter-mod-s-part-one/\">https://media.gunmonkeynet.net/u/nybill/collection/multimeter-mod-s-part-one/</a>\r\n<p></p>\r\n</li>\r\n</ul>',235,103,0,'CC-BY-SA','multimeter,back light,LED,hardware hack',0,0,1),
(1836,'2015-08-17','The Statusnet Shuffle',2711,'Theru and NYbill talk about moving a Statusnet instance and converting it to GNU-Social','<p>\r\nTheru and NYbill talk about moving a Statusnet instance to a new server.  Also, upgrading an existing Statusnet instance to GNU-social.\r\n</p>\r\n\r\n<ul>\r\n<li>Theru\'s blog post: <a href=\"https://blog.theru.org/how-i-move-my-status-net-server-and-upgrade-it-to-gnu-social/\">https://blog.theru.org/how-i-move-my-status-net-server-and-upgrade-it-to-gnu-social/</a>\r\n</li>\r\n<li>Windigo\'s blog post on running SN/GS with nginx:\r\n<a href=\"https://fragdev.com/blog/gnusocial-on-nginx-with-php-fpm\">https://fragdev.com/blog/gnusocial-on-nginx-with-php-fpm</a>\r\n</li>\r\n</ul>',235,0,0,'CC-BY-SA','StatusNet,GNU social',0,0,1),
(1834,'2015-08-13','Password Cards',500,'How to hide a password using a password card','<h2>How to Hide a Password Using a Password Card</h2>\r\n\r\n<p>It\'s okay to write your password down and keep it in your wallet, but it\'s best to try to hide it as well. Here\'s how to keep your password secure and handy at the same time by embedding it in a password card.</p>\r\n\r\n<h3>Method 1</h3>\r\n\r\n<p>Generate a fancy symbol-and-color-coded password card at passwordcard.org: <a href=\"https://www.passwordcard.org/en\">https://www.passwordcard.org/en</a>. Follow the directions there on how to use it best.</p>\r\n\r\n<h3>Method 2</h3>\r\n<p>Make your own. Use the password generation package <code>pwgen</code> on Linux to generate a whole bunch of random passwords. In the following example, the <code>-s</code> flag tells it you want secure passwords that are generated randomly, not suitable for human memory. The <code>-y</code> flag tells it to include special characters, and <code>24</code> indicates how many characters each password should contain.</p>\r\n\r\n<pre>\r\npwgen -sy 24\r\n</pre>\r\n\r\n<p>Then either use one of the passwords that was generated from this command or embed your own existing password somewhere inside the giant block of gibberish such that only you will know where your password begins and ends. You can put a copy of this in your wallet. </p>\r\n\r\n<pre>\r\n4b$0&lt;k=#;?MJ^K:Uw\\6zmP5s<br/>Y;4T3G+jUwJ!R+DT{2=6-^$&quot;<br/>!]&quot;&quot;YmR%x.2uG&quot;MGhm)TLyJA<br/>}L)xpxG\\1n&quot;\\]bC#+/t&lt;a1*@<br/>\'3^B`&amp;mSHP@2p1s0;.Rrz_8k<br/>skXLD!YAq|Ic!Y9(?DZKD:Oq<br/>;#/)sCz7PEbly7&gt;/W|KlbveO<br/>a0}amC@^{+aKhnHMgc$qq$XX<br/>A#!o2FhIkD1Fu(K?nE!Szru4<br/>iDAw2=MIa~KE)q\'C&gt;S|`A*q.<br/>Y=g\'_0i{BOXr8O4N11f8&amp;yRf<br/>~+r^kB%#4o;zs:HWA/a\'4U#`<br/>3&quot;:6E$PQ:y%D=^ENM5;!q^n4<br/>i&quot;n~oy&quot;4KT/XYY2IV_A%3Sg\\<br/>/evf,L5NSX$2-5b;OvZuhN$_<br/>ds4ZD.t/!0yqcey.1?%P\'M!u<br/>\'GDS-jBN+\'NB}cr7~Wy=;JSE<br/>aI&amp;7Byy$79Yf#gU|&gt;@x_3IY2<br/>-jyziY2pZ5M*#iL?9p+^F%PO<br/>QUj&amp;|HVDw2#x+t`1&amp;zW&quot;\'Rp{<br/>\r\n</pre>\r\n\r\n<p>If you want extra security make two columns or increase the character count.</p>\r\n\r\n<pre>\r\nra;aH5v&quot;}2lF()\\;K0f-G;YT 3XGq&gt;wQ6&quot;)UvSU#NpYfr,M(h<br/>PCgM%L)O[mra3vgsX{&quot;0rV&quot;0 7&gt;qSluuegS&lt;#;V-nI&quot;uyc$bX<br/>JE+4MxT/[t&amp;i0\\(ndpE(z\\%@ }ZS\\3&lt;xdG1]G%wf9;k6*_94%<br/>FFZ}gR9hyZ=EsC6QgMz:n$=U h&amp;-O+Wz7L8LmehF&amp;znhF8#Ig<br/>p`4C3PN^1F&quot;AmlQe=[pkz&lt;EM /,FOfQtR|&quot;c8EzN8ug?i359=<br/>a%i;X3~g0SqbKM|]#{hReCmP }.#EOVPxCX)b!r_&gt;o@V9J_^9<br/>H-&lt;FAQ4I]SPlX!$o#I?~2ACy -&lt;JE82-\'YV@bl;O_&gt;(nxPgVH<br/>PNHYp2_[-q9G?$Z:m?yZiAH. Xj(mZ0,7EabI-TL4-7RWK]n9<br/>HCmiaZV{8EHREpS5Ppi_^SCl DTzK!CkZ#.c&lt;3I;#}A#D(n$c<br/>&lt;koQz[`F99&quot;{/vB~GcSt@n,* :J&amp;*}n~.#F%{ErSs7j:}eyly<br/>=!F:m65sA5utY,&lt;AU\\8~Omz2 @P&quot;*SIR/\\Ln0H;1JjM7P&quot;{[0<br/>8hk%p-)_3(P&gt;;p.ROtRevNX_ BbwP00-Vq-5:38O.Z9MGom-n<br/>9,txEI%j+\'7=7T@?X7^j^*`U ;!R&lt;$|r3(QuJmsZe6}C(7%&amp;s<br/>X]`(;_6S@@&lt;}Ia[&amp;fZ3*naG7 fij5f)Mkp;EDO.CP&quot;&quot;*~8{-^<br/>S2_\'(C8Fn&amp;[%nJ%`S3&amp;r.N2&lt; *$o\\Nrl*vJ0;zq7G3}wtMd0h<br/>%is{8%\'^[b$Cu;a5_RYpy]LM k-=7(&lt;\\uQ|hQH-m9.WYq6tx+<br/>Vmb&amp;c!$.@P&gt;\\`1;1@ln(B#GY eQu\\~&quot;L\'*xX%_)CTl*}8#2oD<br/>=6I\'&gt;(_nIsu=D2J{l4a4tf5x 3/7J1Rm.G.Hwo=Xm=Lv&quot;o}jF<br/>RYV/lC1|t&amp;;!]@4#2r-h&lt;88/ o[B[qZq@;=/MD8hX|nnZ-0$j<br/>5k`x|:.0G{sra@WiuhHr^aU&gt; Dy@Df^op.WCT)3jD(|T,I7E&quot;<br/>\r\n</pre>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li>Generate a fancy color-coded password card at passwordcard.org: <a href=\"https://www.passwordcard.org/en\">https://www.passwordcard.org/en</a>\r\n	</li>\r\n	<li><a href=\"https://keepass.info/\">KeePass Password Safe</a></li>\r\n</ul>\r\n',238,74,0,'CC-BY-SA','Privacy, security, passwords',0,0,1),
(1818,'2015-07-22','Review of HPR\'s Interview Recorder: Zoom H1',1578,'HPR has a digital recorder. You are welcome to use it for interviews at your next tech event.','<p>\r\nThe Hacker Public Radio network owns a Zoom H1 digital voice recorder.  If you are going to attend an open source event and think you would like to record interviews for Hacker Public Radio, make inquires to the mailing list and the correspondent with the recorder in their possession (currently FiftyOneFifty) will send it to you.  This episode is a review of the devices features and how to use them.\r\n</p>\r\n<p>\r\nManufacturer page: <a href=\"https://www.zoom-na.com/products/field-video-recording/field-recording/zoom-h1-handy-recorder\">https://www.zoom-na.com/products/field-video-recording/field-recording/zoom-h1-handy-recorder</a>\r\n</p>\r\n<p>\r\nHow to use the H1 as an USB Mic <a href=\"https://www.youtube.com/watch?v=GG8hZ6PvfrQ\">https://www.youtube.com/watch?v=GG8hZ6PvfrQ</a>\r\n</p>',131,78,0,'CC-BY-SA','Zoom H1, microphone, recording, review, DVR, digital voice recorder, tutorial, getting started, guide, howto, HPR',0,0,1),
(1820,'2015-07-24','Kansas Linux Fest 2015, March 21-22, Lawrence KS, Interview 1 of 2',1248,'Interview Alex Juarez Rackspace Principal Engineer','<p>\r\nFrom the LAMP Stack break-fix competition, to the breakfast buffet they funded on Sunday, the Rackspace crew presented their organization as the managed hosting company that puts the customer first, by making sure no customer has to wait in a long queue before taking to a human, and to staying on the line as long as it takes to make sure all problems are solved and all questions are answered.  This kind of commitment to service naturally requires are larger number of people working tech support, and by the end of the weekend I think it was clear to everyone Rackspace was in Kansas to recruit.  I was impressed when one of the Rackspace representatives told me, \"We can teach people tech.  We can\'t teach people to want to help other people\".  Rackspace dedicates a significant part of employee time to training and improving the skills of their help desk staff.  If there is a drawback it\'s that when one shift is training, the other two are expected to pull extra hours to cover the third shift.\r\n</p>',131,78,0,'CC-BY-SA','interview,Kansas Linux Fest,Rackspace',0,0,1),
(1823,'2015-07-29','Kansas Linux Fest 2015, March 21-22, Lawrence KS, Interview 2 of 2',1689,'Interview: Ryan Sipes, Organizer, Administrator, Coder, Innovator, Raconteur','<p>\r\nRyan Sipes: KLF Organizer; Systems Administrator, Northeast Kansas Library System; Organizer of Lawrence (KS) Linux User Group; with Ikey Doherty, Ryan is a developer for Solus (formerly Evolve OS); a contributor to Vulcan text editor, written in Vala (Ryan\'s KLF talk, \"How to Write a GTK/Gnome Application\", was pretty much a tutorial in Vala)\r\n</p>\r\n<p>\r\nRyan\'s projects and employer \r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.KansasLinuxFest.us\">https://www.KansasLinuxFest.us</a>\r\n</li>\r\n<li><a href=\"https://www.meetup.com/Lawrence-Linux-User-Group/\">https://www.meetup.com/Lawrence-Linux-User-Group/</a>\r\n</li>\r\n<li><a href=\"https://nekls.org/\">https://nekls.org/</a>\r\n</li>\r\n<li><a href=\"https://evolve-os.com/\">https://evolve-os.com/</a>\r\n</li>\r\n<li><a href=\"https://github.com/zesterer/vulcan\">https://github.com/zesterer/vulcan</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nKLF related interviews with Ryan Sipes \r\n</p>\r\n\r\n<ul>\r\n<li>Linux Unplugged <a href=\"https://www.jupiterbroadcasting.com/79412/give-the-kids-linux-lup-85/\">https://www.jupiterbroadcasting.com/79412/give-the-kids-linux-lup-85/</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nEvolve OS related interviews \r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.jupiterbroadcasting.com/79692/evolve-your-os-lup-86/\">https://www.jupiterbroadcasting.com/79692/evolve-your-os-lup-86/</a>\r\n</li>\r\n<li><a href=\"https://www.youtube.com/watch?v=Jc4g3iE5u-8\">https://www.youtube.com/watch?v=Jc4g3iE5u-8</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nKLF sponsors: \r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://Rackspace.com\">https://Rackspace.com</a>\r\n</li>\r\n<li><a href=\"https://Caltesting.org\">https://Caltesting.org</a>\r\n</li>\r\n<li><a href=\"https://www.lawrence.lib.ks.us/\">https://www.lawrence.lib.ks.us/</a>\r\n</li>\r\n<li><a href=\"https://www.lawrencefreenet.org/index.php\">https://www.lawrencefreenet.org/index.php</a>\r\n</li>\r\n<li>Lawrence Center for Entrepeneurship <a href=\"https://www.Larryville.com\">https://www.Larryville.com</a>\r\n</li>\r\n<li>Free/Libre Open Source and Open Knowledge Association of Kansas <a href=\"https://openkansas.us\">https://openkansas.us</a>\r\n</li>\r\n<li><a href=\"https://www.onitechnology.com\">https://www.onitechnology.com</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nThe beers: \r\n</p>\r\n\r\n<ul>\r\n<li>In an effort to reduce the inventory of loneley beers waiting in my refridgerator for review, I\'ve decided to add beer reviews to each of my tech episodes (hey, nobody complained when Dmitri did it).\r\n</li>\r\n<li><a href=\"https://www.boulevard.com/BoulevardBeers/irish-ale/\">https://www.boulevard.com/BoulevardBeers/irish-ale/</a>\r\n</li>\r\n<li><a href=\"https://travelerbeer.com/illusive-traveler/\">https://travelerbeer.com/illusive-traveler/</a>\r\n</li>\r\n</ul>',131,78,0,'CC-BY-SA','interview,Kansas Linux Fest,Solus,Vala',0,0,1),
(1831,'2015-08-10','Are speed listening and slow background music compatible?',412,'is there room for background music in podcasts for speed listeners?','<p>\r\nThis is A Shadowy Figure speaking to you from southwest Florida on Hacker Public Radio,\r\n</p>\r\n<p>\r\nBrought to you by An Honest Host Dot Com  where you can Get a 15% discount on all shared hosting with the offer code  HPR15 thats H P R one five. Better webhosting that honest and fair at An Honest Host Dot Com.\r\n</p>\r\n<p>\r\nNot only do I mention An Honest Host Dot Com out of commitment, but also out of respect. I\'ve listened to the interview by Ken Fallon of the man behind An Honest Host Dot Com Josh Knapp not long ago, and came away with a certain amount of appreciation for what Josh does. Which is basically keeping Hacker Public radio alive, along with the many other things he does. Thanks Josh, your generosity does not go unnoticed.\r\n</p>\r\n<p>\r\nI\'ve been listening to HPR for about a year now and just recently purchased a Blue Yeti Microphone off of Ebay which turned out to be misrepresented and not in the condition it was claimed. As a side note, the day I received the Blue Yeti in the mail, I found the same microphone brand spanking new on Amazon.com for the same price as the used one I purchased on ebay. At one time I would have been disappointed by such a situation, but if theres anything I\'ve learned from experience,  no matter how hard you punch the wall, the train still left at 4 o\'clock  \r\nIf I were to devote an emotion to every real or perceived injustice I come across, I wouldn\'t have time to devote any emotions to the things enjoy.\r\n</p>\r\n<p>\r\nAnyway, My computing background goes all the way back to the original TRS-80.\r\nThe experience of writing basic for 4 hours to create a pathetic facsimile of the game pong turned me away from computing until the graphical user interface of windows 3.11 came along.\r\nI was alright with the direction of where computing was moving along once windows matured, but I never had any love for microsoft products, Mac\'s were prettier, but a lot more expensive, and had great hardware to boot, but I never caught the mac addiction either. \r\n</p>\r\n<p>\r\nSlackware caught my interest, but wasn\'t ready for prime time, and red hat was a bit more complicated than I was comfortable with in the mid 90\'s\r\n</p>\r\n<p>\r\nsince 2006 I\'ve been using debian based operating systems exclusively, but still keep a macbook pro and a windows 8.1 laptop nearby for specific tasks I don\'t want to taint my linux box with.\r\n</p>\r\n<p>\r\nKDE plasma has been my desktop of choice since 2010, and I don\'t use google, facebook, twitter, or any other corporate tracking devices. Including cell phones.\r\nSmoke signals and email are about the best way to get a hold of me, and smoke signals have been notoriously ineffective in the past.\r\n</p>\r\n<p>\r\nMoving alone,\r\n</p>\r\n<p>\r\nMy day job includes leadership training, which was a big step up from my old job in one of the most reviled professions known to man, yes that\'s right, I used to be a used car salesman, (you thought I was going to say lawyer didn\'t ya?)  no, but I date a lawyer, but I try to keep that a secret. \r\n</p>\r\n<p>\r\nSo now that I\'ve tainted my reputation for good with the hacker public radio audience, I may as well plow forward and see what other damage to my reputation I can do. You can think of my handle A Shadowy Figure as damage control for all the stupid things I end up doing by mistake. (like buying things of ebay).\r\n</p>\r\n<p>\r\nAnyway, I thought I\'d share with the HPR audience my experience as a listener, and what I feel I can do to contribute. I love the mission statement behind HPR, and feel the need to do my part to see to it HPR continues to offer something of value to the hacker community.\r\n</p>\r\n<p>\r\nLike many listeners and contributers to HPR, I listen to dozens of podcasts each week. Many of which belong in their spot of most downloaded podcasts, but I find a certain amount of charm in the grass roots nature of HPR.\r\n</p>\r\n<p>\r\nMuch like the Norwegian trend of engaging in slow media content. As mentioned in a recent hpr episode, I actually found myself hypnotically engaged in 5150\'s whats in my pickup toolbox episode.\r\nI found myelf cheering on 5150 to come up with a pair of lugnuts to an unknown vehicle.\r\n</p>\r\n<p>\r\nI was looking for solidarity there, being as for some reason, my prior toolboxes always seemed to have a couple of unknown parts, or even  broken tools that should have been thrown out years ago, \r\nlike 5150\'s wire strippers.\r\n</p>\r\n<p>\r\nI have to admit, Ken Fallons Amazing life hack episode of how to tell your left earbud from your right, lived up to its claim of setting a low bar. Ken has given some terrific episodes in the past, but this one fell a bit short of his standard of excellence. But I must admit, his goal was achieved.\r\nAs I listened,  I said to myself, even I can top that! And thus, Ken inspired me to step over that low bar of quality he set, and record my own episode.\r\n</p>\r\n<p>\r\nAfter reading up on the procedures for contributing a show, I came across the advice to not use bedding or background music, due to the diverse listening style of many HPR listeners.\r\n</p>\r\n<p>\r\nOne of those listening styles Im vaguely familiar with was listening to podcasts speeded up.\r\nSomewhere I read about some people really really speeding up their recordings to the point most people can only hear a rapid fire series of blips and clicks. \r\nI don\'t know if that is typical, but I\'m inclined to think that is something found on the fring, and that most speed listeners fall in the range of 2 to 3 times normal rate.\r\n</p>\r\n<p>\r\nI\'m also aware of a trend of some people to listen to music slowed down to the point of being one long drone that changes pitch every now and then.\r\n</p>\r\n<p>\r\nPerhaps in the future, depending on what sort of feedback I receive, I\'d like to experiment with combining the two.\r\n</p>\r\n<p>\r\nBasically, recording Normally recorded vocal content, with an ultra slow music soundtrack that would balance out with speed listening.\r\nIn essence, hacking the audio, to provide speed listeners with a soundtrack.\r\n</p>\r\n<p>\r\nOn the flip side, one could hack the audio to appeal to slow listeners, speeding up the soundtrack, and changing the pitch of the vocals to account for slow listening.\r\nBut that would probably kill some speed listeners with weak hearts, so I\'ll steer away from that unless there is enough demand to justify that.\r\n</p>\r\n<p>\r\nIt seems like a concept that\'s destined to fail, but it\'s something I was pondering and would try if there were an audience for it.\r\n</p>\r\n<p>\r\nIf there were any interest, what I\'d need to know is how fast do speed listeners listen to their audio.\r\nWhich is probably all over the map, making any effort futile.\r\n</p>\r\n<p>\r\nBut it\'s just a thought I thought I\'d throw out there, along with introducing myself to the HPR audience, and saying thanks to all the people who make HPR possible.\r\n</p>\r\n<p>\r\nThis is a Shadowy Figure signing out.\r\n</p>\r\n',308,0,0,'CC-BY-SA','Speed Listening',0,0,1),
(1832,'2015-08-11','Simplify writing using markdown and pandoc',1288,'How I use Markdown and Pandoc in my writing workflow','<div id=\"header\">\r\n<h1 class=\"title\">My Document Creation workflow using Markdown and Pandoc</h1>\r\n<h2 class=\"author\">b-yeezi</h2>\r\n</div>\r\n<h1 id=\"show-notes\">Show Notes</h1>\r\n<p>I write almost exclusively in Markdown <a href=\"https://daringfireball.net/projects/markdown\">https://daringfireball.net/projects/markdown</a> when writing documents and taking notes. I use the program, Pandoc <a href=\"https://www.pandoc.org\">https://www.pandoc.org</a> to convert markdown to different formats, including odt, docx, and pdf.</p>\r\n<p>The original purpose of Markdown: <a href=\"#fn1\" class=\"footnoteRef\" id=\"fnref1\"><sup>1</sup></a> &gt; Markdown is a text-to-HTML conversion tool for web writers. Markdown allows you to write using an easy-to-read, easy-to-write plain text format, then convert it to structurally valid XHTML (or HTML).</p>\r\n<p>Markdown has since been extended to include more features and functionality. Extended versions include Github-flavored markdown <a href=\"https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet\">https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet</a> and multi-markdown <a href=\"https://fletcherpenney.net/multimarkdown\">https://fletcherpenney.net/multimarkdown</a>.</p>\r\n<p>Some of the basic syntax:</p>\r\n<ul>\r\n<li>Headings - use one or more <code>#</code> to make headings</li>\r\n<li>bold - use <code>__</code> or <code>**</code> for bold</li>\r\n<li>italics - use <code>_</code> or <code>*</code> for italics</li>\r\n<li>hyperlinks - use <code>[text](link)</code> for hyperlinks</li>\r\n<!-- <li>images - `<img src=\"link\" alt=\"alternative text\" /> for images</li> -->\r\n<li>images - <code>![text](link)</code> for images</li>\r\n<li>tables - <pre><code>Head1 | Head2 | Head3</code><br/><code>----- | ----- | -----</code><br/><code>stuff | stuff | stuff</code></pre></li>\r\n<li>lists - use <code>-</code> or <code>*</code> or <code>+</code> at the beginning of a line</li>\r\n<li>quotes and code - ` for single code item, <code>&gt;</code> for block quote, tab for block code, ``` for fenced code. Highlighting is available</li>\r\n</ul>\r\n<p>Pandoc: <a href=\"#fn2\" class=\"footnoteRef\" id=\"fnref2\"><sup>2</sup></a> Pandoc can convert documents in markdown, reStructuredText, textile, HTML, DocBook, LaTeX, MediaWiki markup, TWiki markup, OPML, Emacs Org-Mode, Txt2Tags, Microsoft Word docx, EPUB, or Haddock markup to</p>\r\n<ul>\r\n<li>HTML formats: XHTML, HTML5, and HTML slide shows using Slidy, reveal.js, Slideous, S5, or DZSlides.</li>\r\n<li>Word processor formats: Microsoft Word docx, OpenOffice/LibreOffice ODT, OpenDocument XML</li>\r\n<li>Ebooks: EPUB version 2 or 3, FictionBook2</li>\r\n<li>Documentation formats: DocBook, GNU TexInfo, Groff man pages, Haddock markup</li>\r\n<li>Page layout formats: InDesign ICML</li>\r\n<li>Outline formats: OPML</li>\r\n<li>TeX formats: LaTeX, ConTeXt, LaTeX Beamer slides</li>\r\n<li>PDF via LaTeX</li>\r\n<li>Lightweight markup formats: Markdown (including CommonMark), reStructuredText, AsciiDoc, MediaWiki markup, DokuWiki markup, Emacs Org-Mode, Textile</li>\r\n<li>Custom formats: custom writers can be written in lua</li>\r\n</ul>\r\n<p>I use Ubuntu because it is the only distro that does not bundle pandoc in the haskell libraries. With pandoc, you can specify the template that you are using, so that the same one document can be formatted quickly in many different ways and file formats.</p>\r\n<p>Workflow:</p>\r\n<ol style=\"list-style-type: decimal\">\r\n<li>Write using vim or other text editor. When I was starting, I used a markdown previewer</li>\r\n<li>Create the template for the client</li>\r\n<li>Convert document appropriately</li>\r\n</ol>\r\n<p>Use markdown for:</p>\r\n<ul>\r\n<li>taking notes</li>\r\n<li>creating SOPs</li>\r\n<li>Creating User guides (Image Magick mogrify)</li>\r\n<li>Creating things for my website</li>\r\n</ul>\r\n<p>Other programs and tools:</p>\r\n<ul>\r\n<li>Retext</li>\r\n<li>Haroopad</li>\r\n<li>discount</li>\r\n<li>stackedit.io</li>\r\n<li>atom</li>\r\n<li>texlive for going direct to pdf</li>\r\n</ul>\r\n<div class=\"footnotes\">\r\n<hr />\r\n<ol>\r\n<li id=\"fn1\"><p>from <a href=\"https://daringfireball.net/projects/markdown\">https://daringfireball.net/projects/markdown</a><a href=\"#fnref1\">↩</a></p></li>\r\n<li id=\"fn2\"><p>from <a href=\"https://www.pandoc.org\">https://www.pandoc.org</a><a href=\"#fnref2\">↩</a></p></li>\r\n</ol>\r\n</div>\r\n',300,0,0,'CC-BY-SA','markdown, writing, word processor',0,0,1),
(1840,'2015-08-21','Running external commands in Kate',242,'Using the text filter option in the kate text editor.','<p>\r\nKate is an excellent text editor. The \"Text Filter\"  - enables easy text filtering, which by pressing <strong>Alt + Backslash</strong> pops up a screen that allows you to enter commands.\r\n</p>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr1840_img.png\" alt=\"popup window showing the command\" />\r\n<p>\r\nSettings &gt; Configure Kate &gt; Plugins &gt; Text Filter\r\n</p>\r\n\r\n<blockquote>\r\nKate (short for KDE Advanced Text Editor) is a text editor developed by KDE. It has been a part of KDE Software Compilation since version 2.2, which was first released in 2001. Geared towards software developers, it features syntax highlighting, code folding, customizable layouts, regular expression support, and extensibility.\r\n</blockquote>\r\n<p>\r\nSource: <a href=\"https://en.wikipedia.org/wiki/Kate_(text_editor)\">https://en.wikipedia.org/wiki/Kate_(text_editor)</a>\r\n</p>\r\n',30,0,0,'CC-BY-SA','kate, plugins, Text Filter',0,0,1),
(1855,'2015-09-11','61 - LibreOffice Impress - Slide Layouts and AutoLayout Text Boxes',1066,'LibreOffice Impress Slide Layouts and components are explored','<p>\r\nWe have spent several tutorials on graphics, including the Themes and the Gallery, and that is all to the good since Impress is a graphical program to some degree. But it also is a way of presenting text content, and it worth a little time to develop that further. Impress does some things with text that resemble other programs like Writer, but it also does some things differently so it is worth a moment to discuss these specifics.\r\nFor more go to <a href=\"https://www.ahuka.com/?page_id=1245\">https://www.ahuka.com/?page_id=1245</a>\r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://www.ahuka.com/?page_id=1245\">https://www.ahuka.com/?page_id=1245</a>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','LibreOffice, Impress, Layouts, AutoLayout, Text Boxes',0,0,1),
(1865,'2015-09-25','62 - LibreOffice Impress - Working With Text Boxes',965,'The use of Text Boxes from the Drawing Toolbar is explored','<p>\r\nText Boxes are considered graphical objects, actually, so they are controlled by the Drawing Object Styles. These can be a little bit confusing because they are shared among different LibreOffice modules, so some of the things you see arent really meant for Impress. For example, there are three Title styles, but none of them are meant for putting titles on slides. They are actually meant for putting titles on drawings, such as engineering drawings. If you you wanted to have a slide title but use Text boxes, you should select the Title Only slide layout. The Title would be controlled by the Title Presentation Style.\r\nFor more go to <a href=\"https://www.ahuka.com/?page_id=1250\">https://www.ahuka.com/?page_id=1250</a>\r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://www.ahuka.com/?page_id=683\">https://www.ahuka.com/?page_id=683</a>\r\n</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1465\">https://hackerpublicradio.org/eps.php?id=1465</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?page_id=1250\">https://www.ahuka.com/?page_id=1250</a>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','LibreOffice, Impress, Layouts, Text Boxes',0,0,1),
(1850,'2015-09-04','18 - ssh Introduction',1022,'ssh is the secure way of connecting to a remote computer. This is an introduction to a mini-series.','<p>\r\nIn 1995 there was a password-sniffing attack on the network of the University of Helsinki in Finland, and this lead a researcher there, Tatu Ylönen, to create the first SSH implementation. SSH is an acronym for Secure Shell, and expresses the idea that you can securely log in and get a shell on a remote server. This was initially released as free software, but in later versions he took it proprietary. But the developers at OpenBSD decided that a free software implementation was needed, and they created OpenSSH, which is the basis for most implementations today. \r\nFor more go to <a href=\"https://www.zwilnik.com/?page_id=722\">https://www.zwilnik.com/?page_id=722</a> \r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Secure_Shell\">https://en.wikipedia.org/wiki/Secure_Shell</a>\r\n</li>\r\n<li><a href=\"https://www.windowsnetworking.com/articles-tutorials/windows-server-2008/install-SSH-Server-Windows-Server-2008.html\">https://www.windowsnetworking.com/articles-tutorials/windows-server-2008/install-SSH-Server-Windows-Server-2008.html</a>\r\n</li>\r\n<li><a href=\"https://www.chiark.greenend.org.uk/~sgtatham/putty/download.html\">https://www.chiark.greenend.org.uk/~sgtatham/putty/download.html</a>\r\n</li>\r\n<li><a href=\"https://www.openssh.com/manual.html\">https://www.openssh.com/manual.html</a>\r\n</li>\r\n<li><a href=\"https://www.tiltedwindmillpress.com/\">https://www.tiltedwindmillpress.com/</a>\r\n</li>\r\n<li><a href=\"https://vimeo.com/54505525\">https://vimeo.com/54505525</a>\r\n</li>\r\n<li><a href=\"https://hak5.org/category/episodes/season_11\">https://hak5.org/category/episodes/season_11</a>\r\n</li>\r\n<li><a href=\"https://www.zwilnik.com/?page_id=722\">https://www.zwilnik.com/?page_id=722</a>\r\n</li>\r\n</ul>\r\n',198,74,0,'CC-BY-SA','ssh, Telnet, shell, security',0,0,1),
(1841,'2015-08-24','My way into Linux',576,'From punch cards to Manjaro','<p>\r\nI let espeak describe my way through the world of bits and bytes from the punch cards of our Partnerbrigade to my Manjaro-laptop of today.\r\n</p>',309,29,1,'CC-BY-SA','espeak,East Germany,punched cards,Commodore 64,Atari Mega ST,Macintosh,iMAC,MAC OS,LaTex,Debian,Ubuntu,Mint,Bodhi,ArchBang',0,0,1),
(1837,'2015-08-18','Put an SSD in your Linux Box',1102,'What to check, read, and update if you want to upgrade your Linux PC with an Solid State Disk. ','<p>\r\nSome commands I mentioned that you should check out:\r\n</p>\r\n<p>\r\nCheck SSD disk specs: \r\n</p>\r\n<pre>\r\nsudo hdparm -I /dev/sdb\r\n</pre>\r\n<p>\r\nCheck for TRIM support: \r\n</p>\r\n<pre>\r\nsudo fstrim -v /\r\n</pre>\r\n<p>\r\nPerform TRIM support \r\n</p>\r\n<pre>\r\nsudo hdparm -I /dev/sdb | grep -i TRIM\r\n</pre>\r\n<h3>Detailed SSD Info</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Solid-state_drive#Linux_systems\">https://en.wikipedia.org/wiki/Solid-state_drive#Linux_systems</a>\r\n</li>\r\n<li><a href=\"https://wiki.archlinux.org/index.php/Solid_State_Drives\">https://wiki.archlinux.org/index.php/Solid_State_Drives</a>\r\n</li>\r\n</ul>',285,57,0,'CC-BY-SA','SSD, Linux, BIOS, Update',0,0,1),
(1846,'2015-08-31','UNI-T UT61E Review',1241,'NYbill does a quick review of his favourite multimeter for electronics, the UNI-T UT61E.','<p>\r\nNYbill does a quick review of his favourite multimeter for electronics, the UNI-T UT61E:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://tinyurl.com/oehy5lf\">https://tinyurl.com/oehy5lf</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nA photo of the inside and outside of the meter:<br />\r\n<a href=\"https://media.gunmonkeynet.net/u/nybill/m/uni-t-and-accessries/\"><img width=\"80%\" src=\"https://media.gunmonkeynet.net/mgoblin_media/media_entries/736/unit-t.jpg\" alt=\"picture of the inside of the meter\"/></a>\r\n</p>\r\n<p>\r\nI forgot to mention or show a picture of the data logging cable.  I never use this feature so I tend to forget its there. \r\n</p>\r\n',235,103,1,'CC-BY-SA','multimeter,RMS meter,diode test,auto range',0,0,1),
(1839,'2015-08-20','My \"New\" Used Pickup Truck',1320,'I talk about my pickup truck and doing some repairs and stuff','<h2>My \"New\" Used Pickup Truck</h2>\r\n\r\n<p>After 16 years my wife and I decided to become a 2-vehicle family, and as a result I got myself a 2004 Ford Ranger. In this episode I talk about the process of finding and purchasing the truck, and then about some repairs I did and some other stuff related to it. </p>\r\n\r\n<img width=\"600\" src=\"https://hackerpublicradio.org/eps/hpr1839/truck.jpg\">\r\n',238,0,0,'CC-BY-SA','DIY, automobile',0,0,1),
(1844,'2015-08-27','The Marantz PMD 660 Professional Solid State Recorder',886,'I talk about the recording device I inherited from my mother-in-law and use it to record the show','\r\n<h2>The Marantz PMD 660 Professional Solid State Recorder</h2>\r\n\r\n\r\n<img width=\"500\" src=\"https://hackerpublicradio.org/eps/hpr1844/marantz.jpeg\">\r\n\r\n<p>I inherited a really nice audio recorder and microphone from my mother-in-law recently and in this episode I talk all about it and use the new device to record the show. </p>\r\n\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li>Review of this device: <a href=\"https://www.fotografics.org/marantz-pmd660.html\">https://www.fotografics.org/marantz-pmd660.html</a>\r\n	</li>\r\n	<li>Audio Technica <a href=\"https://www.audio-technica.com/cms/wired_mics/55f41a58c7f17266/\">ATM710</a> cardioid condenser mic</li>\r\n</ul>\r\n\r\n<h2>Credits</h2>\r\n\r\n<ul>\r\n	<li>Music bumpers are from Kimiko Ishizaka\'s <em>The Open Goldberg Variations</em>: <a href=\"https://www.opengoldbergvariations.org/\">https://www.opengoldbergvariations.org/</a>, used by permission of their <a href=\"https://creativecommons.org/publicdomain/zero/1.0/\">CC0 1.0 Universal (CC0 1.0) Public Domain Dedication license</a>.</li>\r\n</ul>\r\n\r\n\r\n------------------------------------------------------------\r\n',238,0,0,'CC-BY-SA','Digital recorders, audio gear, microphones, podcasting ',0,0,1),
(1833,'2015-08-12','Resurrecting an IBM T40',1248,'I make an attempt to bring a 13 year old laptop back to life','<p>\r\n<img src=\"https://www.thinkwiki.org/w/images/0/0d/ThinkPadT40.jpg\" alt=\"laptop image\" />\r\n</p>\r\n<p>\r\n<a href=\"https://www.thinkwiki.org/wiki/Category:T40\">https://www.thinkwiki.org/wiki/Category:T40</a>\r\n</p>',297,0,0,'CC-BY-SA','ThinkPad T40,PCLinuxOS',0,0,1),
(1838,'2015-08-19','Waking up with Windigo',925,'An overview of a terrible, hacky method of waking up.','This is a quick summary of my alarm clock system, written in bash and highly\r\nunreliable.\r\n\r\n<h3>Hardware</h3>\r\n\r\n<p>\r\nMy preferred hardware platform is a Dell Mini 9.\r\n</p>\r\n\r\n<h3>Software</h3>\r\n\r\n<p>\r\nMy alarm clock is an embarrassing combination of bash scripts and Audacious, my\r\nfavorite media player. Any media player will do, as long as it\'s scriptable.\r\n</p>\r\n\r\n<h3>How It Works</h3>\r\n\r\n<p>\r\nThere are currently two bash scripts in my crappy alarm setup. One script is\r\ncalled \"wakeup\" and the other is called \"wakeup-at\".\r\n</p>\r\n<p>\r\nwakeup is simply a wrapper that adds some error handling around audacious. It\r\nlaunches audacious if it can\'t find an instance running already, waits five\r\nseconds for it to get itself together, and then causes it to play. It is also\r\ncurrently broken, so the \'launching audacious\' part doesn\'t work. I have to\r\nmanually start audacious myself. FAILURE.\r\n</p>\r\n\r\n<h3>wakeup script:</h3>\r\n\r\n<pre>\r\n#!/bin/bash\r\naudacious &amp;\r\n\r\nsleep 5s\r\n\r\naudacious -p &amp;\r\n</pre>\r\n\r\n<p>\r\nYou\'ve noticed that the \"wakeup\" script doesn\'t actually have any timing\r\ninvolved; If you want to use it as an alarm, you get to combine it with the bash\r\n\"sleep\" command. This is not a failure, this is by design! An example alarm:\r\n</p>\r\n\r\n<pre>\r\nsleep 8h; wakeup\r\n</pre>\r\n\r\n<p>\r\nOne problem with this methodology is that it requires math, and is prone to\r\nerrors. If I\'m going to sleep at 10:46:33 PM and need to wake up at 7:00 AM, I\r\nneed to chain sleep commands together for each unit of time:\r\n</p>\r\n\r\n<pre>\r\nsleep 7h; sleep 14m; sleep 27s; wakeup\r\n</pre>\r\n\r\n<p>\r\nGet some of that math wrong, and you wake up at the wrong time. FAILURE.\r\n</p>\r\n<p>\r\n\"wakeup-at\" is a wrapper around \"wakeup\" that uses the \"at\" utility to schedule\r\nthe wakeup script. So, instead of using multiple sleep commands, it accepts any\r\nof the time formats that at accepts:\r\n</p>\r\n\r\n<pre>\r\nwakeup-at 7:00 AM\r\nwakeup-at 6:00AM 2018-02-02\r\nwakeup-at teatime\r\n</pre>\r\n\r\n<p>\r\nHere is the wakeup-at script:\r\n</p>\r\n\r\n<pre>\r\n#!/bin/bash\r\n\r\n## Make sure we have enough arguments\r\nif [ $# -lt 1 ]\r\nthen\r\n  echo \"Usage: `basename $0` &lt;time&gt;\"\r\n  exit 1\r\nfi\r\n\r\necho \"$@\"\r\n\r\n## Add custom time keywords\r\ncase \"$1\" in\r\n\"eternaldarkness\")\r\n	echo wakeup | at 3:33 AM\r\n	;;\r\n\r\n## Catch-all; send all arguments to at\r\n*)\r\n	echo wakeup | at $@\r\n	;;\r\nesac\r\n</pre>\r\n<p>\r\nIf you make a syntax error, \"at\" tells you about it immediately. Its only\r\nfailings are what it inherits from the original \"wakeup\" script.\r\n</p>\r\n',196,42,0,'CC-BY-SA','bash, scripting, terrible',0,0,1),
(1842,'2015-08-25','TiT Radio 20 You\'ve Been Pwned (probably)',7543,'While Peter is on walkabout, TiT Radio returns for a very short engagement','<p>\r\nLongtime listeners of Hacker Public Radio will remember \'TiT Radio\', a semi-weekly FOSS \"news\" and commentary show that appeared on HPR, recorded by the cast of \"Linux Cranks\" on the off schedule weeks.  \"Linux Cranks\" eventually morphed into the \"Kernel Panic Oggcast\".  While Peter is on walkabout, the cast of KPO has resurrected \"Tit Radio\" on a temporary basis.  The listener is cautioned, while KPO is family friendly, \"TiT Radio\" makes no such commitment. Please join netminer, FiftyOneFifty, and pegwole as they drag you down the rabbit hole that has always been \"TiT Radio\".\r\n</p>\r\n<p>\r\nOur show topics were drawn from these links.  Not all these topics made it into the show, but feel free to browse anyway:\r\n</p>\r\n\r\n<ul>\r\n<li>Jeep remotely pwned, 5150 feels vindicated <a href=\"https://www.wired.com/2015/07/hackers-remotely-kill-jeep-highway\">https://www.wired.com/2015/07/hackers-remotely-kill-jeep-highway</a> <a href=\"https://www.zdnet.com/article/chrysler-recalls-1-4m-vehicles-at-risk-of-remote-hack/\">https://www.zdnet.com/article/chrysler-recalls-1-4m-vehicles-at-risk-of-remote-hack/</a>\r\n</li>\r\n<li>Mac users plagued by pop-up urging them to call a fake tech support number <a href=\"https://blog.malwarebytes.org/fraud-scam/2014/12/mac-users-beware-of-increased-tech-support-scam-pop-ups/\">https://blog.malwarebytes.org/fraud-scam/2014/12/mac-users-beware-of-increased-tech-support-scam-pop-ups/</a>\r\n</li>\r\n<li>Use an RPi to block ads <a href=\"https://jacobsalmela.com/block-millions-ads-network-wide-with-a-raspberry-pi-hole-2-0\">https://jacobsalmela.com/block-millions-ads-network-wide-with-a-raspberry-pi-hole-2-0</a>\r\n</li>\r\n<li>Networked monkey brains <a href=\"https://www.livescience.com/51496-animal-brains-linked-into-networks.html\">https://www.livescience.com/51496-animal-brains-linked-into-networks.html</a>\r\n</li>\r\n<li>Bacteria controlled robots <a href=\"https://www.youtube.com/watch?v=NDnXv6rqj2Q&amp;index=21&amp;list=WL\">https://www.youtube.com/watch?v=NDnXv6rqj2Q&amp;index=21&amp;list=WL</a>\r\n</li>\r\n<li>Psensor monitors your hardware temps <a href=\"https://www.tecmint.com/psensor-monitors-hardware-temperature-in-linux/\">https://www.tecmint.com/psensor-monitors-hardware-temperature-in-linux/</a>\r\n</li>\r\n<li>Facebook asks for a date to kill Flash <a href=\"https://www.theverge.com/2015/7/13/8948459/adobe-flash-insecure-says-facebook-cso\">https://www.theverge.com/2015/7/13/8948459/adobe-flash-insecure-says-facebook-cso</a>\r\n</li>\r\n<li>Details of second Flash zero day leaked by Cyberteam <a href=\"https://thehackernews.com/2015/07/hacking-flash-player-exploit.html\">https://thehackernews.com/2015/07/hacking-flash-player-exploit.html</a>\r\n</li>\r\n<li>Mozilla blocks Flash in FF <a href=\"https://www.theverge.com/2015/7/14/8957177/mozilla-blocks-flash-as-facebook-security-chief-calls-for-its-death\">https://www.theverge.com/2015/7/14/8957177/mozilla-blocks-flash-as-facebook-security-chief-calls-for-its-death</a>\r\n</li>\r\n<li>Did the U.S. Government Kill ProxyHam <a href=\"https://www.businessinsider.com/proxyham-anonymising-router-project-mysteriously-closed-down-government-rhino-caudill-2015-7\">https://www.businessinsider.com/proxyham-anonymising-router-project-mysteriously-closed-down-government-rhino-caudill-2015-7</a>\r\n</li>\r\n<li>NSA releases open-source network protection tools <a href=\"https://www.itnews.com.au/News/406509,nsa-releases-linux-based-open-source-infosec-tool.aspx\">https://www.itnews.com.au/News/406509,nsa-releases-linux-based-open-source-infosec-tool.aspx</a>\r\n</li>\r\n<li>Drones banned above All-Star game, also talk about CA wildfire <a href=\"https://arstechnica.com/tech-policy/2015/07/cincinnati-tells-fans-no-drones-at-tonights-all-star-game/\">https://arstechnica.com/tech-policy/2015/07/cincinnati-tells-fans-no-drones-at-tonights-all-star-game/</a>\r\n</li>\r\n<li>MS fixes Windows and IE zero days <a href=\"https://arstechnica.com/security/2015/07/ms-kills-critical-ie-11-bug-after-exploit-was-shopped-to-hacking-team/\">https://arstechnica.com/security/2015/07/ms-kills-critical-ie-11-bug-after-exploit-was-shopped-to-hacking-team/</a>\r\n</li>\r\n<li>92% of all smart phone profits go to Apple <a href=\"https://arstechnica.com/apple/2015/07/apple-makes-92-percent-of-all-smartphone-profits/\">https://arstechnica.com/apple/2015/07/apple-makes-92-percent-of-all-smartphone-profits/</a>\r\n</li>\r\n<li>Commodore phone <a href=\"https://www.engadget.com/2015/07/14/commodore-phone/\">https://www.engadget.com/2015/07/14/commodore-phone/</a>\r\n</li>\r\n<li>Natron is a new open source compositor <a href=\"https://opensource.com/life/15/7/getting-started-with-natron\">https://opensource.com/life/15/7/getting-started-with-natron</a>\r\n</li>\r\n<li>Real life Mechwarrior <a href=\"https://www.zdnet.com/article/giant-man-piloted-robots-to-slug-it-out-in-international-grudge-match/\">https://www.zdnet.com/article/giant-man-piloted-robots-to-slug-it-out-in-international-grudge-match/</a>\r\n</li>\r\n<li>SUSE to deliver ARM servers <a href=\"https://www.zdnet.com/article/suse-to-deliver-suse-linux-for-arm-servers/\">https://www.zdnet.com/article/suse-to-deliver-suse-linux-for-arm-servers/</a>\r\n</li>\r\n<li>CERN discovers new sub atomic particle <a href=\"https://gizmodo.com/the-lhc-has-discovered-a-new-exotic-particle-called-a-p-1717676181?utm_campaign=socialflow_gizmodo_facebook&amp;utm_source=gizmodo_facebook&amp;utm_medium=socialflow\">https://gizmodo.com/the-lhc-has-discovered-a-new-exotic-particle-called-a-p-1717676181?utm_campaign=socialflow_gizmodo_facebook&amp;utm_source=gizmodo_facebook&amp;utm_medium=socialflow</a>\r\n</li>\r\n<li>team of volunteers from Reddit are crowdsourcing the development of the worlds first medical-grade open source prosthesis <a href=\"https://all3dp.com/wevolver-crowdsources-hackberry-3d-printed-prosthesis/\">https://all3dp.com/wevolver-crowdsources-hackberry-3d-printed-prosthesis/</a>\r\n</li>\r\n<li>Let\'s see if we can get pewole to say \"Siri, charge 100%\" <a href=\"https://www.theverge.com/2015/7/16/8976281/siri-charge-100-percent-emergency-services\">https://www.theverge.com/2015/7/16/8976281/siri-charge-100-percent-emergency-services</a>\r\n</li>\r\n<li>Linux creator not afraid of AI <a href=\"https://nakedsecurity.sophos.com/2015/07/13/linux-creator-linus-torvalds-pooh-poohs-fears-over-artificial-intelligence/?utm_source=Naked%2520Security%2520-%2520Feed&amp;utm_medium=feed&amp;utm_content=rss2&amp;utm_campaign=Feed\">https://nakedsecurity.sophos.com/2015/07/13/linux-creator-linus-torvalds-pooh-poohs-fears-over-artificial-intelligence/?utm_source=Naked%2520Security%2520-%2520Feed&amp;utm_medium=feed&amp;utm_content=rss2&amp;utm_campaign=Feed</a>\r\n</li>\r\n<li>FBI used Hack-Team to find TOR user <a href=\"https://www.zdnet.com/article/fbi-used-hacking-team-services-to-unmask-tor-user/\">https://www.zdnet.com/article/fbi-used-hacking-team-services-to-unmask-tor-user/</a>\r\n</li>\r\n<li>Updates can\'t be disabled in Windows 10 Home <a href=\"https://lifehacker.com/windows-10-home-updates-will-be-automatic-and-mandatory-1718476904\">https://lifehacker.com/windows-10-home-updates-will-be-automatic-and-mandatory-1718476904</a>\r\n</li>\r\n<li>Apple pushes targeted advertising based on credit balance <a href=\"https://www.forbes.com/sites/theopriestley/2015/07/18/apple-ads-based-on-your-credit-balance-pushes-privacy-beyond-the-limit/\">https://www.forbes.com/sites/theopriestley/2015/07/18/apple-ads-based-on-your-credit-balance-pushes-privacy-beyond-the-limit/</a>\r\n</li>\r\n<li>Google still uploads the pics you\'ve deleted <a href=\"https://www.engadget.com/2015/07/13/deleting-google-photos-wont-stop-your-phone-from-uploading-pict\">https://www.engadget.com/2015/07/13/deleting-google-photos-wont-stop-your-phone-from-uploading-pict</a>\r\n</li>\r\n<li>But it\'s OK, since Google Photos is going away <a href=\"https://techcrunch.com/2015/07/20/google-photos-is-shutting-down-on-august-1st\">https://techcrunch.com/2015/07/20/google-photos-is-shutting-down-on-august-1st</a>\r\n</li>\r\n<li>Shockingly, Red Star Linux contains content trackers <a href=\"https://www.theregister.co.uk/2015/07/20/north_korea_red_star_linux_inserts_sneaky_serial_content_tracker\">https://www.theregister.co.uk/2015/07/20/north_korea_red_star_linux_inserts_sneaky_serial_content_tracker</a>\r\n</li>\r\n<li>Israeli court finds Google responsible for misinterpreted search results\r\n</li>\r\n<li><a href=\"https://www.timesofisrael.com/court-mks-google-responsible-for-preventing-trash-talk/\">https://www.timesofisrael.com/court-mks-google-responsible-for-preventing-trash-talk/</a>\r\n</li>\r\n<li>Adultery site pwned <a href=\"https://bigstory.ap.org/article/f9f502126fd845fdba191e5e11c55b52/cheating-website-ashley-madison-hacked-personal-info-posted\">https://bigstory.ap.org/article/f9f502126fd845fdba191e5e11c55b52/cheating-website-ashley-madison-hacked-personal-info-posted</a>\r\n</li>\r\n<li>FTC says LifeLock still inadequately protecting customer data <a href=\"https://www.wired.com/2015/07/lifelock-failed-one-job-protecting-data/\">https://www.wired.com/2015/07/lifelock-failed-one-job-protecting-data/</a>\r\n</li>\r\n<li>Bug found in SSH <a href=\"https://arstechnica.com/security/2015/07/bug-in-widely-used-openssh-opens-servers-to-password-cracking/\">https://arstechnica.com/security/2015/07/bug-in-widely-used-openssh-opens-servers-to-password-cracking/</a>\r\n</li>\r\n<li>Future personal devices may be human powered <a href=\"https://arstechnica.com/science/2015/07/your-body-the-battery-powering-gadgets-from-human-biofuel\">https://arstechnica.com/science/2015/07/your-body-the-battery-powering-gadgets-from-human-biofuel</a>\r\n</li>\r\n<li>Google to release a container management system <a href=\"https://www.zdnet.com/article/google-releases-kubernetes-1-0/?adSession=g\">https://www.zdnet.com/article/google-releases-kubernetes-1-0/?adSession=g</a>\r\n</li>\r\n<li>Docker implemented in 100 lines of bash <a href=\"https://github.com/p8952/bocker\">https://github.com/p8952/bocker</a>\r\n</li>\r\n<li>Man receives first bionic eye <a href=\"https://arstechnica.com/science/2015/07/british-man-receives-worlds-first-bionic-eye-implant-for-macular-degeneration/\">https://arstechnica.com/science/2015/07/british-man-receives-worlds-first-bionic-eye-implant-for-macular-degeneration/</a>\r\n</li>\r\n<li>Is a cheap Nexus Fi Phone on the way? <a href=\"https://phandroid.com/2015/04/24/google-nexus-fi-budget/\">https://phandroid.com/2015/04/24/google-nexus-fi-budget/</a>\r\n</li>\r\n<li>Bug that allows attacker root access to Mac requires local access <a href=\"https://arstechnica.com/security/2015/07/bug-in-latest-version-of-os-x-gives-attackers-unfettered-root-privileges/\">https://arstechnica.com/security/2015/07/bug-in-latest-version-of-os-x-gives-attackers-unfettered-root-privileges/</a>\r\n</li>\r\n<li>Movie makers asking Yahoo for take down notices against their own computers <a href=\"https://thenextweb.com/insider/2015/07/23/hahahahahahahaha\">https://thenextweb.com/insider/2015/07/23/hahahahahahahaha</a>\r\n</li>\r\n<li>Wichita LUG teaches Linux to children <a href=\"https://www.kansas.com/news/local/article28346635.html\">https://www.kansas.com/news/local/article28346635.html</a>\r\n</li>\r\n<li>Australian security agency wants audits on Telcos security measures <a href=\"https://www.zdnet.com/article/telcos-hit-back-against-national-security-law-proposal/\">https://www.zdnet.com/article/telcos-hit-back-against-national-security-law-proposal/</a>\r\n</li>\r\n<li>Replace your car\'s infotainment system with an Android ap <a href=\"https://arstechnica.com/cars/2015/07/android-auto-review-a-beautiful-but-beta-alternative-to-awful-oem-solutions/\">https://arstechnica.com/cars/2015/07/android-auto-review-a-beautiful-but-beta-alternative-to-awful-oem-solutions/</a>\r\n</li>\r\n<li>Flaw in Intel CPUs allows rootkit that bypasses Secure Boot <a href=\"https://www.itworld.com/article/2965875/security/design-flaw-in-intel-processors-opens-door-to-rootkits-researcher-says.html\">https://www.itworld.com/article/2965875/security/design-flaw-in-intel-processors-opens-door-to-rootkits-researcher-says.html</a>\r\n</li>\r\n<li>Malware can trap Android into endless reboot loop <a href=\"https://thehackernews.com/2015/08/android-endless-reboot-bug.html\">https://thehackernews.com/2015/08/android-endless-reboot-bug.html</a>\r\n</li>\r\n<li>Drone delivers drugs to an Ohio prison  <a href=\"https://www.cnn.com/2015/08/04/us/prison-yard-drone-drugs-ohio/\">https://www.cnn.com/2015/08/04/us/prison-yard-drone-drugs-ohio/</a>\r\n</li>\r\n<li>Self targeting rifles running Linux have poor security <a href=\"https://thenextweb.com/gadgets/2015/07/29/i-shot-the-sheriff-my-hacked-rifle-shot-the-deputy/\">https://thenextweb.com/gadgets/2015/07/29/i-shot-the-sheriff-my-hacked-rifle-shot-the-deputy/</a>\r\n</li>\r\n<li>FCC bans use of FOSS software on routers <a href=\"https://www.infoq.com/news/2015/07/FCC-Blocks-Open-Source\">https://www.infoq.com/news/2015/07/FCC-Blocks-Open-Source</a>\r\n</li>\r\n<li>Android vulnerable to attack from a malicious MMS <a href=\"https://www.linuxinsider.com/story/82315.html?rss=1\">https://www.linuxinsider.com/story/82315.html?rss=1</a>\r\n</li>\r\n<li>naturally occurring reactor found in African mine <a href=\"https://interestingengineering.com/naturally-occurring-nuclear-reactor-found-in-oklo-africa\">https://interestingengineering.com/naturally-occurring-nuclear-reactor-found-in-oklo-africa</a>\r\n</li>\r\n<li>Unpatched versions of Firefox allow attackers access to your passwords <a href=\"https://blog.mozilla.org/security/2015/08/06/firefox-exploit-found-in-the-wild/\">https://blog.mozilla.org/security/2015/08/06/firefox-exploit-found-in-the-wild/</a>\r\n</li>\r\n</ul>',131,30,1,'CC-BY-SA','TiT Radio,news,commentary',0,0,1),
(1858,'2015-09-16','Multimeter Mod\'s Part 2',1379,'NYbill finishes modification two to his multimeter. ','<p>\r\nNYbill talks about the second modification to his UNI-T UT61E multimeter. In this episode the switch and auto-timeout circuitry is installed.\r\n</p>\r\n<p>\r\nThis is a follow up to Multimeter Mod\'s Part 1:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1828\">https://hackerpublicradio.org/eps.php?id=1828</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nA video of Asphere\'s 3D printer in action: \r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://tinyurl.com/qxqmhwm\">https://tinyurl.com/qxqmhwm</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nPictures for the episode:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://media.gunmonkeynet.net/u/nybill/collection/hpr-multimeter-mod-s-part-2/\">https://media.gunmonkeynet.net/u/nybill/collection/hpr-multimeter-mod-s-part-2/</a>\r\n</li>\r\n<li><a href=\"https://media.gunmonkeynet.net/u/nybill/m/quick-sketch/\">https://media.gunmonkeynet.net/u/nybill/m/quick-sketch/</a>\r\n</li>\r\n</ul>',235,103,1,'CC-BY-SA','multimeter,hack,maker,mod,modification,improve,electronics,blender,3D printing',0,0,1),
(1869,'2015-10-01','Irssi Connectbot',848,'NYbill talks about setting up Irssi Connectbot on a Android phone to access IRC.','<p>\r\nNYbill talks about setting up Irssi Connectbot on a Android phone to access IRC.\r\n</p>\r\n<p>\r\n<a href=\"https://f-droid.org/repository/browse/?fdid=org.woltage.irssiconnectbot\">https://f-droid.org/repository/browse/?fdid=org.woltage.irssiconnectbot</a>\r\n</p>\r\n<p>\r\nI don\'t know him. But, thanks for this handy guide on setting up key pairs with Connectbot, Michael:\r\n</p>\r\n<p>\r\n<a href=\"https://michaelchelen.net/0f3e/android-connectbot-ssh-key-auth-howto/\">https://michaelchelen.net/0f3e/android-connectbot-ssh-key-auth-howto/</a>\r\n</p>',235,0,0,'CC-BY-SA','Android,phone,IRC,Irssi,Irssi ConnectBot,ssh',0,0,1),
(2066,'2016-07-04','HPR Community News for June 2016',5832,'Dave and Ken review the last month without talking about brexit much','\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0337.html\" target=\"_blank\">handsome_pirate</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0339.html\" target=\"_blank\">Todd Mitchell</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\">\n    <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Day</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2043\" target=\"_blank\">2043</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-06-01</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2043\" target=\"_blank\">My First Beer Podcast</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0313.html\" target=\"_blank\">JustMe</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2044\" target=\"_blank\">2044</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-06-02</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2044\" target=\"_blank\">Bring on the Power!</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2045\" target=\"_blank\">2045</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-06-03</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2045\" target=\"_blank\">Some other Bash tips</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2046\" target=\"_blank\">2046</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-06-06</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2046\" target=\"_blank\">HPR Community News for May 2016</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2047\" target=\"_blank\">2047</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-06-07</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2047\" target=\"_blank\">Neo Fetch 1.5</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2048\" target=\"_blank\">2048</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-06-08</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2048\" target=\"_blank\">The Hubot chat-bot</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0277.html\" target=\"_blank\">John Duarte</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2049\" target=\"_blank\">2049</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-06-09</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2049\" target=\"_blank\">My Raspberry Pi Home Server</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">Knightwise</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2050\" target=\"_blank\">2050</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-06-10</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2050\" target=\"_blank\">Developing Black &amp; White Film</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0337.html\" target=\"_blank\">handsome_pirate</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2051\" target=\"_blank\">2051</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-06-13</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2051\" target=\"_blank\">My Linux Journey</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2052\" target=\"_blank\">2052</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-06-14</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2052\" target=\"_blank\">A Nerdy Conversation With Linden About Technology</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0115.html\" target=\"_blank\">sigflup</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2053\" target=\"_blank\">2053</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-06-15</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2053\" target=\"_blank\">My 2nd HPR Beer Podcast</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0313.html\" target=\"_blank\">JustMe</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2054\" target=\"_blank\">2054</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-06-16</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2054\" target=\"_blank\">Blather Configuration Part 1: Desktop Management</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2055\" target=\"_blank\">2055</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-06-17</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2055\" target=\"_blank\">GNU Nano Editor</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2056\" target=\"_blank\">2056</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-06-20</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2056\" target=\"_blank\">Interview with a young hacker</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2057\" target=\"_blank\">2057</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-06-21</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2057\" target=\"_blank\">dodddummy on oats</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2058\" target=\"_blank\">2058</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-06-22</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2058\" target=\"_blank\">My 14th Beer Podcast</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0313.html\" target=\"_blank\">JustMe</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2059\" target=\"_blank\">2059</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-06-23</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2059\" target=\"_blank\">More Tech, Less Magic</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0339.html\" target=\"_blank\">Todd Mitchell</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2060\" target=\"_blank\">2060</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-06-24</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2060\" target=\"_blank\">Introduction to sed - part 5</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2061\" target=\"_blank\">2061</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-06-27</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2061\" target=\"_blank\">Handwriting</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0001.html\" target=\"_blank\">droops</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2062\" target=\"_blank\">2062</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-06-28</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2062\" target=\"_blank\">Now The Chips Are Definitely Down</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2063\" target=\"_blank\">2063</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-06-29</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2063\" target=\"_blank\">My 3rd HPR Beer Podcast</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0313.html\" target=\"_blank\">JustMe</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2064\" target=\"_blank\">2064</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-06-30</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2064\" target=\"_blank\">Test-Driving Devuan</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes\nplace on the <a href=\"https://hackerpublicradio.org/maillist\" target=\"_blank\">Mail List</a> which is open to all\nHPR listeners and contributors. The discussions are open and available on the\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\narchive.\n</p>\n<p>The main threads this month were:</p>\n<ol>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-05-07 17:17:26 +0200<br/>\n        <em>Subject:</em> HPR Policy Change - HTML default in RSS Feed<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1197\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1197</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-06-08 21:58:35 +0200<br/>\n        <em>Subject:</em> HPR on Google Play Podcast<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1239\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1239</a><br/>\n        <em>Messages:</em> 6<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-06-11 12:07:35 +0200<br/>\n        <em>Subject:</em> Fwd: Just hit 1000 IA uploads<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1245\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1245</a><br/>\n        <em>Messages:</em> 3<br/><br/></li>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2016-06-11 19:52:08 +0100<br/>\n        <em>Subject:</em> Changes to series and the series.php page<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1248\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1248</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-06-13 11:41:35 +0200<br/>\n        <em>Subject:</em> Book Club<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1250\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1250</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> sigflup synasloble &lt;pantsbutt@...&gt;<br/>\n        <em>Date:</em> 2016-06-13 08:30:58 -0500<br/>\n        <em>Subject:</em> dos?<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1251\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1251</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-06-15 16:23:59 +0200<br/>\n        <em>Subject:</em> Changes to the website<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1253\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1253</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> &quot;Thaj A. Sara&quot; &lt;thajasara@...&gt;<br/>\n        <em>Date:</em> 2016-06-15 15:17:37 -0400<br/>\n        <em>Subject:</em> Re: Hpr Digest, Vol 93, Issue 5<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1255\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1255</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-06-16 08:52:53 +0200<br/>\n        <em>Subject:</em> Re: Changes to the website<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1256\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1256</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Clinton Roy &lt;clinton.roy@...&gt;<br/>\n        <em>Date:</em> 2016-06-17 09:37:15 +1000<br/>\n        <em>Subject:</em> comments rss feed<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1257\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1257</a><br/>\n        <em>Messages:</em> 5<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-06-20 12:37:02 +0200<br/>\n        <em>Subject:</em> Live @ PodcastAwards.com on June 26th @ 8pm EST<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1262\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1262</a><br/>\n        <em>Messages:</em> 7<br/><br/></li>\n    <li><em>From:</em> Dave Morriss &lt;perloid@...&gt;<br/>\n        <em>Date:</em> 2016-06-27 19:40:22 +0100<br/>\n        <em>Subject:</em> HPR Community News - next Saturday on 2016-07-02T18:00:00Z<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1269\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1269</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> &quot;Kevin O&#39;Brien&quot; &lt;zwilnik@...&gt;<br/>\n        <em>Date:</em> 2016-06-27 19:17:27 -0400<br/>\n        <em>Subject:</em> Uploading not working?<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1270\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1270</a><br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-06-28 16:04:08 +0200<br/>\n        <em>Subject:</em> Upload not possible<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1271\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1271</a><br/>\n        <em>Messages:</em> 2<br/><br/></li>\n    <li><em>From:</em> Clinton Roy &lt;clinton.roy@...&gt;<br/>\n        <em>Date:</em> 2016-06-30 14:09:02 +1000<br/>\n        <em>Subject:</em> World map of contributors?<br/>\n        <em>Link:</em> <a href=\"https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1273\" target=\"_blank\">https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1273</a><br/>\n        <em>Messages:</em> 4<br/></li>\n</ol>\nTotal messages this month: 38<br/>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.</p>\n<p>There are 38 comments:</p>\n<ul> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1976#comments\" target=\"_blank\">hpr1976</a></strong>\n(2016-02-29) \"<em>Introduction to sed - part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1976#5\" target=\"_blank\">Comment 5</a>:\nFrank on 2016-06-01:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1976#6\" target=\"_blank\">Comment 6</a>:\nFrank on 2016-06-03:\n\"LO and SED\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=1976#7\" target=\"_blank\">Comment 7</a>:\nDave Morriss on 2016-06-05:\n\"Regex in Libre Office\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2013#comments\" target=\"_blank\">hpr2013</a></strong>\n(2016-04-20) \"<em>Parsing XML in Python with Xmltodict</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2013#3\" target=\"_blank\">Comment 3</a>:\nLuiz Rodrigo on 2016-06-28:\n\"THANKS!\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2028#comments\" target=\"_blank\">hpr2028</a></strong>\n(2016-05-11) \"<em>Some basic info on alarm systems</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0332.html\" target=\"_blank\">schism</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2028#6\" target=\"_blank\">Comment 6</a>:\nBill on 2016-06-03:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2028#7\" target=\"_blank\">Comment 7</a>:\nFrank on 2016-06-03:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2029#comments\" target=\"_blank\">hpr2029</a></strong>\n(2016-05-12) \"<em>The DSO138 Oscilloscope Kit</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2029#2\" target=\"_blank\">Comment 2</a>:\nNYbill on 2016-06-04:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2029#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2016-06-05:\n\"Pre-built kit\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://www.hackerpublicradio.org/eps.php?id=2034#comments\" target=\"_blank\">hpr2034</a></strong>\n(2016-05-19) \"<em>Frank\'s Five Seed Bread</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a>.\n<ul>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=2034#4\" target=\"_blank\">Comment 4</a>:\nFrank on 2016-06-01:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2035#comments\" target=\"_blank\">hpr2035</a></strong>\n(2016-05-20) \"<em>Building Community</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0001.html\" target=\"_blank\">droops</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2035#6\" target=\"_blank\">Comment 6</a>:\nFiftyOneFifty on 2016-06-17:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2038#comments\" target=\"_blank\">hpr2038</a></strong>\n(2016-05-25) \"<em>Attempting to fix a plastic boat</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0243.html\" target=\"_blank\">Jezra</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2038#4\" target=\"_blank\">Comment 4</a>:\nKathy scogna on 2016-06-03:\n\"Director\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2042#comments\" target=\"_blank\">hpr2042</a></strong>\n(2016-05-31) \"<em>My podcast list</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0116.html\" target=\"_blank\">janedoc</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2042#1\" target=\"_blank\">Comment 1</a>:\nKevin O&#39;Brien on 2016-05-31:\n\"Dan Carlin\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2042#2\" target=\"_blank\">Comment 2</a>:\nJon Kulp  on 2016-06-01:\n\"Ask Me Another \"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2042#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2016-06-01:\n\"Frank Delaney et al\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2044#comments\" target=\"_blank\">hpr2044</a></strong>\n(2016-06-02) \"<em>Bring on the Power!</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2044#1\" target=\"_blank\">Comment 1</a>:\nrocket-dog on 2016-06-07:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2044#2\" target=\"_blank\">Comment 2</a>:\nNYbill on 2016-06-11:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2047#comments\" target=\"_blank\">hpr2047</a></strong>\n(2016-06-07) \"<em>Neo Fetch 1.5</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2047#1\" target=\"_blank\">Comment 1</a>:\nFiftyOneFifty on 2016-06-07:\n\"Neat little app, thanks\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2049#comments\" target=\"_blank\">hpr2049</a></strong>\n(2016-06-09) \"<em>My Raspberry Pi Home Server</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">Knightwise</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2049#1\" target=\"_blank\">Comment 1</a>:\npitfd on 2016-06-09:\n\"Server Setup\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2049#2\" target=\"_blank\">Comment 2</a>:\nJon Kulp on 2016-06-10:\n\"CenterIM\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2049#3\" target=\"_blank\">Comment 3</a>:\nJon Kulp on 2016-06-11:\n\"CLI word processing\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2049#4\" target=\"_blank\">Comment 4</a>:\nlaindir on 2016-06-16:\n\"Me too\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2050#comments\" target=\"_blank\">hpr2050</a></strong>\n(2016-06-10) \"<em>Developing Black &amp; White Film</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0337.html\" target=\"_blank\">handsome_pirate</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2050#1\" target=\"_blank\">Comment 1</a>:\nClinton Roy on 2016-06-21:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2052#comments\" target=\"_blank\">hpr2052</a></strong>\n(2016-06-14) \"<em>A Nerdy Conversation With Linden About Technology</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0115.html\" target=\"_blank\">sigflup</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2052#1\" target=\"_blank\">Comment 1</a>:\ngurdonark on 2016-06-20:\n\"Good listen\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://www.hackerpublicradio.org/eps.php?id=2053#comments\" target=\"_blank\">hpr2053</a></strong>\n(2016-06-15) \"<em>My 2nd HPR Beer Podcast</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0313.html\" target=\"_blank\">JustMe</a>.\n<ul>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=2053#1\" target=\"_blank\">Comment 1</a>:\nFiftyOneFifty on 2016-06-17:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2054#comments\" target=\"_blank\">hpr2054</a></strong>\n(2016-06-16) \"<em>Blather Configuration Part 1: Desktop Management</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2054#1\" target=\"_blank\">Comment 1</a>:\namunizp on 2016-06-17:\n\"Headless?\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2054#2\" target=\"_blank\">Comment 2</a>:\nJon Kulp on 2016-06-17:\n\"Probably\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2055#comments\" target=\"_blank\">hpr2055</a></strong>\n(2016-06-17) \"<em>GNU Nano Editor</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2055#1\" target=\"_blank\">Comment 1</a>:\namunizp on 2016-06-17:\n\"+1 for nano\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2055#2\" target=\"_blank\">Comment 2</a>:\n0xf10e on 2016-06-18:\n\"-1 for facebook, too\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2056#comments\" target=\"_blank\">hpr2056</a></strong>\n(2016-06-20) \"<em>Interview with a young hacker</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2056#1\" target=\"_blank\">Comment 1</a>:\nTony Hughes on 2016-05-16:\n\"Links to Blackpool Makerspace and Jam\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2056#2\" target=\"_blank\">Comment 2</a>:\nTony Hughes on 2016-05-17:\n\"Interview with a young hacker\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2056#3\" target=\"_blank\">Comment 3</a>:\nJon Kulp  on 2016-06-21:\n\"Excellent! \"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2057#comments\" target=\"_blank\">hpr2057</a></strong>\n(2016-06-21) \"<em>dodddummy on oats</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2057#1\" target=\"_blank\">Comment 1</a>:\nLuke on 2016-06-30:\n\"Steel cut oats\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2059#comments\" target=\"_blank\">hpr2059</a></strong>\n(2016-06-23) \"<em>More Tech, Less Magic</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0339.html\" target=\"_blank\">Todd Mitchell</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2059#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp on 2016-06-23:\n\"More!\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2059#2\" target=\"_blank\">Comment 2</a>:\nTodd Mitchell on 2016-06-24:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2061#comments\" target=\"_blank\">hpr2061</a></strong>\n(2016-06-27) \"<em>Handwriting</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0001.html\" target=\"_blank\">droops</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2061#1\" target=\"_blank\">Comment 1</a>:\nBrian on 2016-06-27:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2061#2\" target=\"_blank\">Comment 2</a>:\njezra on 2016-06-28:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2061#3\" target=\"_blank\">Comment 3</a>:\nFrank on 2016-06-28:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2062#comments\" target=\"_blank\">hpr2062</a></strong>\n(2016-06-28) \"<em>Now The Chips Are Definitely Down</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2062#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2016-06-28:\n\"Baofeng UV5R\"</li></ul>\n</li>\n</ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2086,'2016-08-01','HPR Community News for July 2016',4160,'Dave and Ken miss the regular recording slot but still get in the show','\n<h2>New hosts</h2>\n<p>\nThere were no new hosts this month.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Day</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2065\" target=\"_blank\">2065</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-07-01</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2065\" target=\"_blank\">Whats in My Bag</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2066\" target=\"_blank\">2066</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-07-04</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2066\" target=\"_blank\">HPR Community News for June 2016</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2067\" target=\"_blank\">2067</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-07-05</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2067\" target=\"_blank\">Haste - the pastebin alternative</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0277.html\" target=\"_blank\">John Duarte</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2068\" target=\"_blank\">2068</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-07-06</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2068\" target=\"_blank\">Podcasts I listen to and how I fetch them.</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0241.html\" target=\"_blank\">Christopher M. Hobbs</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2069\" target=\"_blank\">2069</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-07-07</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2069\" target=\"_blank\">Counting Stuff in LibreOffice Calc</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2070\" target=\"_blank\">2070</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-07-08</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2070\" target=\"_blank\">Adventures with Jonathan Slocum</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0209.html\" target=\"_blank\">David Whitman</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2071\" target=\"_blank\">2071</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-07-11</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2071\" target=\"_blank\">Undocumented features of Baofeng UV-5R Radio</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2072\" target=\"_blank\">2072</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-07-12</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2072\" target=\"_blank\">That Awesome Time I Deleted My Home Directory</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0115.html\" target=\"_blank\">sigflup</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2073\" target=\"_blank\">2073</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-07-13</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2073\" target=\"_blank\">The power of GNU Readline - part 1</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2074\" target=\"_blank\">2074</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-07-14</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2074\" target=\"_blank\">Experience With A Neighborhood Cat</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0329.html\" target=\"_blank\">brian</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2075\" target=\"_blank\">2075</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-07-15</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2075\" target=\"_blank\">Skin cancer</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2076\" target=\"_blank\">2076</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-07-18</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2076\" target=\"_blank\">What Magazines I read Part 1</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2077\" target=\"_blank\">2077</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-07-19</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2077\" target=\"_blank\">libernil.net and self hosting for friends and family</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0241.html\" target=\"_blank\">Christopher M. Hobbs</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2078\" target=\"_blank\">2078</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-07-20</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2078\" target=\"_blank\">What\'s in my bag?</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0215.html\" target=\"_blank\">Windigo</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2079\" target=\"_blank\">2079</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-07-21</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2079\" target=\"_blank\">Everyone Loves Some Acid House</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0115.html\" target=\"_blank\">sigflup</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2080\" target=\"_blank\">2080</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-07-22</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2080\" target=\"_blank\">Kdenlive Part 3: Effects and Transitions</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0310.html\" target=\"_blank\">Geddes</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2081\" target=\"_blank\">2081</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-07-25</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2081\" target=\"_blank\">Fixing my daughter\'s laptop</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2082\" target=\"_blank\">2082</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-07-26</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2082\" target=\"_blank\">Basic Audio Production - Equalization</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2083\" target=\"_blank\">2083</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-07-27</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2083\" target=\"_blank\">My 18th HPR Beer Podcast</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0313.html\" target=\"_blank\">JustMe</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2084\" target=\"_blank\">2084</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-07-28</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2084\" target=\"_blank\">Cleaning the Throttle Body on My Pickup Truck</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2085\" target=\"_blank\">2085</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-07-29</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2085\" target=\"_blank\">Penguicon 2016 Report</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes\nplace on the <a href=\"https://hackerpublicradio.org/maillist\" target=\"_blank\">Mail List</a> which is open to all\nHPR listeners and contributors. The discussions are open and available on the\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\narchive.\n</p>\n<p>The main threads this month were:</p>\n<ol>\n    <li><em>From:</em> Clinton Roy &lt;clinton.roy@...&gt;<br/>\n        <em>Date:</em> 2016-06-30 14:09:02 +1000<br/>\n        <em>Subject:</em> World map of contributors?<br/>\n        <em>Link:</em> https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1273<br/>\n        <em>Messages:</em> 5<br/><br/></li>\n    <li><em>From:</em> Venant &lt;venant@...&gt;<br/>\n        <em>Date:</em> 2016-07-01 19:31:57 -0400<br/>\n        <em>Subject:</em> Re: World map of contributors?<br/>\n        <em>Link:</em> https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1282<br/>\n        <em>Messages:</em> 11<br/><br/></li>\n    <li><em>From:</em> Ken Fallon &lt;ken@...&gt;<br/>\n        <em>Date:</em> 2016-07-20 09:42:36 +0200<br/>\n        <em>Subject:</em> Earth-friendly EOMA68 Computing Devices | Crowd Supply<br/>\n        <em>Link:</em> https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1293<br/>\n        <em>Messages:</em> 1<br/><br/></li>\n    <li><em>From:</em> Fifty OneFifty &lt;fiftyonefifty@...&gt;<br/>\n        <em>Date:</em> 2016-07-20 15:59:53 -0500<br/>\n        <em>Subject:</em> Earth-friendly EOMA68 Computing Devices | Crowd Supply<br/>\n        <em>Link:</em> https://comments.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1294<br/>\n        <em>Messages:</em> 1<br/></li>\n</ol>\nTotal messages this month: 18<br/>\n\n<small>\n<p><b><em>Editor\'s Note:</em></b></p>\n<p>The list of mail threads above date from a time when HPR mailing list\nmessages were copied to Gmane. At that time the Mailman mailing list software\nused to run the list seemed not to be able to archive messages, or possibly\ncouldn\'t make them visible. We built lists of threads by reading the Gmane\ndata and showed them here.</p>\n<p>Since then Gmane has failed, and been restored, but the HPR lists have been\nlost. However, a later version of Mailman made these messages available as\nthey should have been, so nothing was actually lost!</p>\n<p>The above thread links have been disabled, but the threaded list for the month in question can be seen at:<br/>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2016-July/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2016-July/thread.html</a>\n<p>\n</small>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.</p>\n<p>There are 17 comments:</p>\n<ul> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2062#comments\" target=\"_blank\">hpr2062</a></strong>\n(2016-06-28) \"<em>Now The Chips Are Definitely Down</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2062#2\" target=\"_blank\">Comment 2</a>:\nMrX on 2016-07-03:\n\"Re Baofeng UV5R\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2062#3\" target=\"_blank\">Comment 3</a>:\nMrX on 2016-07-04:\n\"Re Re Baofeng UV5R\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2064#comments\" target=\"_blank\">hpr2064</a></strong>\n(2016-06-30) \"<em>Test-Driving Devuan</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2064#1\" target=\"_blank\">Comment 1</a>:\nKrayon on 2016-07-19:\n\"SLiM\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2066#comments\" target=\"_blank\">hpr2066</a></strong>\n(2016-07-04) \"<em>HPR Community News for June 2016</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2066#1\" target=\"_blank\">Comment 1</a>:\nIvan &quot;Epicanis&quot; Privaci on 2016-07-04:\n\"This is a thing of beauty\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2066#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2016-07-08:\n\"Series page\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2068#comments\" target=\"_blank\">hpr2068</a></strong>\n(2016-07-06) \"<em>Podcasts I listen to and how I fetch them.</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0241.html\" target=\"_blank\">Christopher M. Hobbs</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2068#1\" target=\"_blank\">Comment 1</a>:\ncybergrue on 2016-07-06:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2068#2\" target=\"_blank\">Comment 2</a>:\nFrank on 2016-07-07:\"[no title]\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2068#3\" target=\"_blank\">Comment 3</a>:\nfolky on 2016-07-21:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2069#comments\" target=\"_blank\">hpr2069</a></strong>\n(2016-07-07) \"<em>Counting Stuff in LibreOffice Calc</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2069#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2016-07-07:\n\"Thanks for the quick tips\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2070#comments\" target=\"_blank\">hpr2070</a></strong>\n(2016-07-08) \"<em>Adventures with Jonathan Slocum</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0209.html\" target=\"_blank\">David Whitman</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2070#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2016-07-09:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://www.hackerpublicradio.org/eps.php?id=2072#comments\" target=\"_blank\">hpr2072</a></strong>\n(2016-07-12) \"<em>That Awesome Time I Deleted My Home Directory</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0115.html\" target=\"_blank\">sigflup</a>.\n<ul>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=2072#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2016-07-15:\"[no title]\"</li>  <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=2072#2\" target=\"_blank\">Comment 2</a>:\nbrian on 2016-07-17:\n\"great info\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2074#comments\" target=\"_blank\">hpr2074</a></strong>\n(2016-07-14) \"<em>Experience With A Neighborhood Cat</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0329.html\" target=\"_blank\">brian</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2074#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2016-07-14:\n\"This show is of interest to hackers\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2074#2\" target=\"_blank\">Comment 2</a>:\nFrank on 2016-07-15:\"[no title]\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2078#comments\" target=\"_blank\">hpr2078</a></strong>\n(2016-07-20) \"<em>What\'s in my bag?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0215.html\" target=\"_blank\">Windigo</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2078#1\" target=\"_blank\">Comment 1</a>:\nNYbill on 2016-07-26:\n\"Mini9\"</li>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2078#2\" target=\"_blank\">Comment 2</a>:\nWindigo on 2016-07-28:\n\"My favorite\"</li> \n</ul><br/></li> \n<li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2081#comments\" target=\"_blank\">hpr2081</a></strong>\n(2016-07-25) \"<em>Fixing my daughter\'s laptop</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.\n<ul>  <li><a href=\"https://hackerpublicradio.org/eps.php?id=2081#1\" target=\"_blank\">Comment 1</a>:\n0xf10e on 2016-07-26:\n\"Nice work!\"</li></ul>\n</li>\n</ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2111,'2016-09-05','HPR Community News for August 2016',5495,'Dave and Ken discuss the last month, why we need shows and the correct way to hang toilet paper.','\n<h2>New hosts</h2>\n<p>\nWelcome to our new host: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0340.html\" target=\"_blank\">mattkingusa</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th align=\"left\">Id</th>\n    <th align=\"left\">Day</th>\n    <th align=\"left\">Date</th>\n    <th align=\"left\">Title</th>\n    <th align=\"left\">Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2086\" target=\"_blank\">2086</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-08-01</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2086\" target=\"_blank\">HPR Community News for July 2016</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2087\" target=\"_blank\">2087</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-08-02</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2087\" target=\"_blank\">Magazines I read Part 2</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2088\" target=\"_blank\">2088</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-08-03</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2088\" target=\"_blank\">How my wife\'s grandma got me into linux.</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">Knightwise</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2089\" target=\"_blank\">2089</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-08-04</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2089\" target=\"_blank\">Solving a blinkstick python problem</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2090\" target=\"_blank\">2090</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-08-05</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2090\" target=\"_blank\">A Docker Dialog</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0270.html\" target=\"_blank\">Thaj Sara</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2091\" target=\"_blank\">2091</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-08-08</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2091\" target=\"_blank\">Everyday Unix/Linux Tools for data processing</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2092\" target=\"_blank\">2092</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-08-09</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2092\" target=\"_blank\">My new love</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0297.html\" target=\"_blank\">swift110</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2093\" target=\"_blank\">2093</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-08-10</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2093\" target=\"_blank\">GNU Health</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2094\" target=\"_blank\">2094</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-08-11</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2094\" target=\"_blank\">Custom Keystrokes for Desktop Navigation on Gnome</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2095\" target=\"_blank\">2095</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-08-12</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2095\" target=\"_blank\">23 - SSL Certificates - How They Work</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2096\" target=\"_blank\">2096</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-08-15</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2096\" target=\"_blank\">Useful Bash functions - part 2</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2097\" target=\"_blank\">2097</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-08-16</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2097\" target=\"_blank\">New Toys</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2098\" target=\"_blank\">2098</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-08-17</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2098\" target=\"_blank\">Minimal Music Site?</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0340.html\" target=\"_blank\">mattkingusa</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2099\" target=\"_blank\">2099</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-08-18</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2099\" target=\"_blank\">Dat Muzak Showz</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0276.html\" target=\"_blank\">x1101</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2100\" target=\"_blank\">2100</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-08-19</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2100\" target=\"_blank\">Re-Enable Copy and Paste in Browsers</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2101\" target=\"_blank\">2101</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-08-22</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2101\" target=\"_blank\">What\'s on my podcatcher</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2102\" target=\"_blank\">2102</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-08-23</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2102\" target=\"_blank\">AngularJS\'s ng-repeat, and the browser that shall not be named</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0293.html\" target=\"_blank\">Rho`n</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2103\" target=\"_blank\">2103</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-08-24</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2103\" target=\"_blank\">DIY Book Binding</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2104\" target=\"_blank\">2104</a></strong></td>\n    <td align=\"left\">Thu</td>\n    <td align=\"left\">2016-08-25</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2104\" target=\"_blank\">Basic Audio Production: Reverb</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2105\" target=\"_blank\">2105</a></strong></td>\n    <td align=\"left\">Fri</td>\n    <td align=\"left\">2016-08-26</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2105\" target=\"_blank\">24 - SSL Certificates - Problems</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2106\" target=\"_blank\">2106</a></strong></td>\n    <td align=\"left\">Mon</td>\n    <td align=\"left\">2016-08-29</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2106\" target=\"_blank\">My Podcast Client</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2107\" target=\"_blank\">2107</a></strong></td>\n    <td align=\"left\">Tue</td>\n    <td align=\"left\">2016-08-30</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2107\" target=\"_blank\">Makefiles for Everyday Use</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td align=\"left\"><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2108\" target=\"_blank\">2108</a></strong></td>\n    <td align=\"left\">Wed</td>\n    <td align=\"left\">2016-08-31</td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/eps.php?id=2108\" target=\"_blank\">Changing the Oil on My Wife\'s Car</a></td>\n    <td align=\"left\"><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This discussion takes\nplace on the <a href=\"https://hackerpublicradio.org/maillist\" target=\"_blank\">Mail List</a> which is open to all\nHPR listeners and contributors. The discussions are open and available on the\n<a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\narchive and the <a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a> archive.\n</p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2016-August/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2016-August/thread.html</a>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 32 comments in total.</p>\n<p>There are 8 comments on 4 previous shows:</p>\n      <ul>\n        <li><strong><a href=\"https://hobbypublicradio.org/eps.php?id=2027#comments\" target=\"_blank\">hpr2027</a></strong> (2016-05-10) \"<em>Old Engineers and New Engineers</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0259.html\" target=\"_blank\">Gabriel Evenfire</a>.</li>\n\n        <li style=\"list-style: none; display: inline\">\n          <ul>\n            <li><a href=\"https://hobbypublicradio.org/eps.php?id=2027#4\" target=\"_blank\">Comment 4</a>: Alpha32 on 2016-08-03: \"Excellent show\"</li>\n          </ul><br />\n        </li>\n\n        <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2066#comments\" target=\"_blank\">hpr2066</a></strong> (2016-07-04) \"<em>HPR Community News for June 2016</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n\n        <li style=\"list-style: none; display: inline\">\n          <ul>\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2066#3\" target=\"_blank\">Comment 3</a>: Alpha32 on 2016-08-04: \"World oat domination\"</li>\n\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2066#4\" target=\"_blank\">Comment 4</a>: Dave Morriss on 2016-08-06: \"Made in Scotland\"</li>\n          </ul><br />\n        </li>\n\n        <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2081#comments\" target=\"_blank\">hpr2081</a></strong> (2016-07-25) \"<em>Fixing my daughter\'s laptop</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n\n        <li style=\"list-style: none; display: inline\">\n          <ul>\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2081#2\" target=\"_blank\">Comment 2</a>: Alpha32 on 2016-08-07: \"Brilliant!\"</li>\n\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2081#3\" target=\"_blank\">Comment 3</a>: Dave Morriss on 2016-08-07: \"I hope it never happens to you!\"</li>\n\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2081#4\" target=\"_blank\">Comment 4</a>: Jonathan Kulp on 2016-08-07: \"I\'m in the Same Boat\"</li>\n\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2081#5\" target=\"_blank\">Comment 5</a>: Dave Morriss on 2016-08-07: \"Thanks for the hint Jon!\"</li>\n          </ul><br />\n        </li>\n\n        <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2082#comments\" target=\"_blank\">hpr2082</a></strong> (2016-07-26) \"<em>Basic Audio Production - Equalization</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a>.</li>\n\n        <li style=\"list-style: none; display: inline\">\n          <ul>\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2082#1\" target=\"_blank\">Comment 1</a>: Jonas on 2016-08-13: \"New perspective.\"</li>\n          </ul><br />\n        </li>\n      </ul>\n\n<p>There are 24 comments on 12 of this month\'s shows:</p>\n      <ul>\n        <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2086#comments\" target=\"_blank\">hpr2086</a></strong> (2016-08-01) \"<em>HPR Community News for July 2016</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n\n        <li style=\"list-style: none; display: inline\">\n          <ul>\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2086#1\" target=\"_blank\">Comment 1</a>: Tony Hughes on 2016-08-03: \"Whats in My Bag\"</li>\n          </ul><br />\n        </li>\n\n        <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2088#comments\" target=\"_blank\">hpr2088</a></strong> (2016-08-03) \"<em>How my wife\'s grandma got me into linux.</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">Knightwise</a>.</li>\n\n        <li style=\"list-style: none; display: inline\">\n          <ul>\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2088#1\" target=\"_blank\">Comment 1</a>: Tony Hughes on 2016-08-03: \"HPR 2088\"</li>\n\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2088#2\" target=\"_blank\">Comment 2</a>: Steve on 2016-08-03: \"HPR 2088\"</li>\n\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2088#3\" target=\"_blank\">Comment 3</a>: knightwise on 2016-08-04: \"Yeey Steve ! \"</li>\n\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2088#4\" target=\"_blank\">Comment 4</a>: other_Steve on 2016-08-24:\"[no title]\"</li>\n          </ul><br />\n        </li>\n\n        <li><strong><a href=\"https://www.hackerpublicradio.org/eps.php?id=2089#comments\" target=\"_blank\">hpr2089</a></strong> (2016-08-04) \"<em>Solving a blinkstick python problem</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.</li>\n\n        <li style=\"list-style: none; display: inline\">\n          <ul>\n            <li><a href=\"https://www.hackerpublicradio.org/eps.php?id=2089#1\" target=\"_blank\">Comment 1</a>: Dave Morriss on 2016-08-13: \"Great show\"</li>\n          </ul><br />\n        </li>\n\n        <li><strong><a href=\"https://hobbypublicradio.org/eps.php?id=2090#comments\" target=\"_blank\">hpr2090</a></strong> (2016-08-05) \"<em>A Docker Dialog</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0270.html\" target=\"_blank\">Thaj Sara</a>.</li>\n\n        <li style=\"list-style: none; display: inline\">\n          <ul>\n            <li><a href=\"https://hobbypublicradio.org/eps.php?id=2090#1\" target=\"_blank\">Comment 1</a>: b-yeezi on 2016-08-08: \"More interviews\"</li>\n\n            <li><a href=\"https://hobbypublicradio.org/eps.php?id=2090#2\" target=\"_blank\">Comment 2</a>: Thaj on 2016-08-17: \"Thanks!\"</li>\n          </ul><br />\n        </li>\n\n        <li><strong><a href=\"https://hobbypublicradio.org/eps.php?id=2091#comments\" target=\"_blank\">hpr2091</a></strong> (2016-08-08) \"<em>Everyday Unix/Linux Tools for data processing</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.</li>\n\n\n        <li style=\"list-style: none; display: inline\">\n          <ul>\n            <li><a href=\"https://hobbypublicradio.org/eps.php?id=2091#1\" target=\"_blank\">Comment 1</a>: Jonathan Kulp on 2016-08-08: \"Ack!\"</li>\n\n            <li><a href=\"https://hobbypublicradio.org/eps.php?id=2091#2\" target=\"_blank\">Comment 2</a>: Ken Fallon on 2016-08-17: \"I love detox \"</li>\n\n            <li><a href=\"https://hobbypublicradio.org/eps.php?id=2091#3\" target=\"_blank\">Comment 3</a>: Dave Morriss on 2016-08-19: \"Thanks for mentioning \'ack\'\"</li>\n\n            <li><a href=\"https://hobbypublicradio.org/eps.php?id=2091#4\" target=\"_blank\">Comment 4</a>: ivor on 2016-08-21: \"Interesting\"</li>\n          </ul><br />\n        </li>\n\n        <li><strong><a href=\"https://hobbypublicradio.org/eps.php?id=2093#comments\" target=\"_blank\">hpr2093</a></strong> (2016-08-10) \"<em>GNU Health</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n\n        <li style=\"list-style: none; display: inline\">\n          <ul>\n            <li><a href=\"https://hobbypublicradio.org/eps.php?id=2093#1\" target=\"_blank\">Comment 1</a>: Clinton Roy on 2016-08-09:\"[no title]\"</li>\n          </ul><br />\n        </li>\n\n        <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2094#comments\" target=\"_blank\">hpr2094</a></strong> (2016-08-11) \"<em>Custom Keystrokes for Desktop Navigation on Gnome</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n\n        <li style=\"list-style: none; display: inline\">\n          <ul>\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2094#1\" target=\"_blank\">Comment 1</a>: Dave Morriss on 2016-08-24: \"Using grep in a script\"</li>\n\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2094#2\" target=\"_blank\">Comment 2</a>: Jon Kulp on 2016-08-25: \"Good tip\"</li>\n\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2094#3\" target=\"_blank\">Comment 3</a>: Dave Morriss on 2016-08-25: \"grep -q\"</li>\n          </ul><br />\n        </li>\n\n        <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2095#comments\" target=\"_blank\">hpr2095</a></strong> (2016-08-12) \"<em>23 - SSL Certificates - How They Work</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n\n        <li style=\"list-style: none; display: inline\">\n          <ul>\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2095#1\" target=\"_blank\">Comment 1</a>: Ken Fallon on 2016-08-18: \"Not allowed in the EU\"</li>\n\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2095#2\" target=\"_blank\">Comment 2</a>: Kevin O\'Brien on 2016-08-19: \"Different in EU\"</li>\n          </ul><br />\n        </li>\n\n        <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2096#comments\" target=\"_blank\">hpr2096</a></strong> (2016-08-15) \"<em>Useful Bash functions - part 2</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n\n        <li style=\"list-style: none; display: inline\">\n          <ul>\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2096#1\" target=\"_blank\">Comment 1</a>: Ken Fallon on 2016-08-18: \"Here\'s me with the questions\"</li>\n\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2096#2\" target=\"_blank\">Comment 2</a>: Dave Morriss on 2016-08-18: \"Some answers for you...\"</li>\n          </ul><br />\n        </li>\n\n        <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2097#comments\" target=\"_blank\">hpr2097</a></strong> (2016-08-16) \"<em>New Toys</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n\n        <li style=\"list-style: none; display: inline\">\n          <ul>\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2097#1\" target=\"_blank\">Comment 1</a>: Tony Hughes on 2016-08-05: \"New Toys\"</li>\n\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2097#2\" target=\"_blank\">Comment 2</a>: Frank on 2016-08-19:\"[no title]\"</li>\n          </ul><br />\n        </li>\n\n        <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2106#comments\" target=\"_blank\">hpr2106</a></strong> (2016-08-29) \"<em>My Podcast Client</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.</li>\n\n        <li style=\"list-style: none; display: inline\">\n          <ul>\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2106#1\" target=\"_blank\">Comment 1</a>: Dave Morriss on 2016-08-31: \"I had forgotten hpodder\"</li>\n          </ul><br />\n        </li>\n\n        <li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2107#comments\" target=\"_blank\">hpr2107</a></strong> (2016-08-30) \"<em>Makefiles for Everyday Use</em>\" by <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n\n        <li style=\"list-style: none; display: inline\">\n          <ul>\n            <li><a href=\"https://hackerpublicradio.org/eps.php?id=2107#1\" target=\"_blank\">Comment 1</a>: Fweeb on 2016-08-31: \".PHONY\"</li>\n          </ul><br />\n        </li>\n      </ul>\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(3962,'2023-10-10','It\'s your data',442,'Ken shows a safer way to get episodes from HPR','<p>This is a response show to\n<a href=\"https://hackerpublicradio.org/eps/hpr3959/index.html\">hpr3959\n:: Download any HPR series with english file names</a> \"A dir with the\nseries name will be created and all shows will be renamed to\nShowTitle.mp3 inside it\"</p>\n<p>This was the first show by gemlog and he used Bash, sed, grep, wget,\nto scrape the HPR site. This is great but as he points out any change to\nthe site will break the script.</p>\n<p>A safer way to get the episodes is by scraping the rss feed, and the\nfollowing is an example of how you might do that</p>\n<pre><code>#!/bin/bash\n\nseries_url=&quot;https://hackerpublicradio.org/hpr_mp3_rss.php?series=42&amp;full=1&amp;gomax=1&quot;\ndownload_dir=&quot;./&quot;\n\nwget &quot;${series_url}&quot; -O - | xmlstarlet sel -T -t -m &#39;rss/channel/item&#39; -v &#39;concat(enclosure/@url, &quot;&#x2192;&quot;, title)&#39; -n - | sort | while read episode\ndo\n  url=&quot;$( echo ${episode} | awk -F &#39;&#x2192;&#39; &#39;{print $1}&#39; )&quot;\n  ext=&quot;$( basename &quot;${url}&quot; )&quot;\n  title=&quot;$( echo ${episode} | awk -F &#39;&#x2192;&#39; &#39;{print $2}&#39; | sed -e &#39;s/[^A-Za-z0-9]/_/g&#39; )&quot;\n  wget &quot;${url}&quot; -O &quot;${download_dir}/${title}.${ext}&quot;\ndone</code></pre>\n',30,42,0,'CC-BY-SA','response, bash, rss, xml, xmlstarlet',0,0,1),
(1847,'2015-09-01','Client Side C- WTF Is Wrong With You?',640,'In this episode of hackerpublicradio sigflup talks about her efforts porting stuff with emscripten','<p>\r\nThis is the link to the emulator: <a href=\"https://theadesilva.com/web_nes\">https://theadesilva.com/web_nes</a> \r\n</p>\r\n<p>\r\nemscripten\'s website is here <a href=\"https://kripken.github.io/emscripten-site\">https://kripken.github.io/emscripten-site</a>\r\n</p>',115,0,1,'CC-BY-SA','emscripten,c,c++,browser, javascript',0,0,1),
(1848,'2015-09-02','Introduction to w3m, a Command Line Web Browser',901,'A brief introduction to using w3m, a command line web browser with tab and image support.','<p>W3M is a text browser with image and tab support which supports both keyboard and mouse navigation. (Image support is not available in some terminals, but does work in Xterm and rxvt, but images may be opened in a external viewer)). Mouse and keyboard navigation are supported, but I recommend learning the keybindings. Keybindings are case sensitive.</p>\r\n<p>The manual is 12 pages long and quite exhaustive. Here are some useful keybindings to get started with.</p>\r\n<ul>\r\n<li>Open new tab: SHIFT-T</li>\r\n<li><p>Close tab: CTRL-Q</p></li>\r\n<li>Open URL: U (opens text dialog at bottom of window)</li>\r\n<li>See URL of current page: u (displays current URL at bottom of window)</li>\r\n<li><p>Close tab: CTRL Q</p></li>\r\n<li>Go left one tab: {</li>\r\n<li><p>Go right one tab: }</p></li>\r\n<li><p>Back in the same page: b</p></li>\r\n<li>Page Up: - (hyphen) or PG UP</li>\r\n<li><p>Page Down: SPACE or PG DOWN</p></li>\r\n<li>Previous page (&quot;Buffer&quot;): B</li>\r\n<li><p>There is no &quot;forward&quot; button, but you can use view History: CTRL-h</p></li>\r\n<li><p>Search in page: / (opens search dialog at bottom of window)</p></li>\r\n<li><p>Help: H</p></li>\r\n<li>Add bookmark: ESC-a</li>\r\n<li><p>View bookmarks: ESC-v</p></li>\r\n<li><p>Run shell command: # (Opens a dialog at the bottom of the window. Exit with B.)</p></li>\r\n<li><p>Paste into dialogs (e. g., passwords): Middle mouse button.</p></li>\r\n<li>Scroll left: . (period)</li>\r\n<li><p>Scroll right: , (comma)</p></li>\r\n</ul>\r\n<h2 id=\"useful-links\">Useful Links:</h2>\r\n<ul>\r\n<li>W3M homepage: <a href=\"https://w3m.sourceforge.net/\">https://w3m.sourceforge.net/</a></li>\r\n<li><p>W3M Manual: <a href=\"https://w3m.sourceforge.net/MANUAL\">https://w3m.sourceforge.net/MANUAL</a> Note: If you want to use W3M, I recommend having the manual handy.</p></li>\r\n<li><p>How-To Geek Intro to W3M: <a href=\"https://www.howtogeek.com/103574/how-to-browse-from-the-linux-terminal-with-w3m/\">https://www.howtogeek.com/103574/how-to-browse-from-the-linux-terminal-with-w3m/</a></p></li>\r\n<li><p>gotbletu\'s Youtube w3m tutorial: <a href=\"https://www.youtube.com/watch?v=Z22cFTB-uqg&list=PLzp-Yldf70WnwhVP-7CsgWkpLXY_pSLtu\">https://www.youtube.com/watch?v=Z22cFTB-uqg&amp;list=PLzp-Yldf70WnwhVP-7CsgWkpLXY_pSLtu</a></p></li>\r\n<li><p>Stack Exchange article on how to configure W3M to enable copying URLs (not tested). <a href=\"https://unix.stackexchange.com/questions/12497/yanking-urls-in-w3m\">https://unix.stackexchange.com/questions/12497/yanking-urls-in-w3m</a></p></li>\r\n<li><p>Xterm configuration menus: <a\r\nhref=\"https://scarygliders.net/2011/12/01/customize-xterm-the-original-and-best-terminal/?PageSpeed=noscript\">https://scarygliders.net/2011/12/01/customize-xterm-the-original-and-best-terminal/</a></p></li>\r\n</ul>\r\n',195,0,1,'CC-BY-SA','web browser, text web browser, tabs',0,0,1),
(1849,'2015-09-03','LinuxLugCast Episode-004 Outtakes',547,'Preshow &amp; aftershow banter that does not get published through our normal feeds.','<p>\r\nSome good content that we do not publish to the show <a href=\"https://linuxlugcast.com/?p=197\">https://linuxlugcast.com/?p=197</a>\r\n</p>\r\n',265,0,1,'CC-BY-SA','linuxlugcast,outtakes',0,0,1),
(1852,'2015-09-08','Operation Wallacea',1769,'I talk to my daughter about her recent trip to Indonesia','<h1 id=\"operation-wallacea\">Operation Wallacea</h1>\r\n<p>This summer my daughter Clara spent a month as a volunteer Research Assistant on Hoga Island in Indonesia learning to dive and helping to survey the coral reef and other habitats.</p>\r\n<p>In this episode we talk about Clara\'s experiences with <em>Operation Wallacea</em>.</p>\r\n<h1 id=\"photos\">Photos</h1>\r\n<figure>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr1852_img001.png\" alt=\"1 Welcome to Hoga Island\" /><figcaption>1 Welcome to Hoga Island</figcaption>\r\n</figure>\r\n<figure>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr1852_img002.png\" alt=\"2 Relaxing near the Lodge\" /><figcaption>2 Relaxing near the Lodge</figcaption>\r\n</figure>\r\n<figure>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr1852_img003.png\" alt=\"3 Beach\" /><figcaption>3 Beach</figcaption>\r\n</figure>\r\n<figure>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr1852_img004.png\" alt=\"4 Soft and hard corals\" /><figcaption>4 Soft and hard corals</figcaption>\r\n</figure>\r\n<figure>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr1852_img005.png\" alt=\"5 Divers and soft corals\" /><figcaption>5 Divers and soft corals</figcaption>\r\n</figure>\r\n<figure>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr1852_img006.png\" alt=\"6 Upside-down jellyfish\" /><figcaption>6 Upside-down jellyfish</figcaption>\r\n</figure>\r\n<figure>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr1852_img007.png\" alt=\"7 Mangroves\" /><figcaption>7 Mangroves</figcaption>\r\n</figure>\r\n<figure>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr1852_img008.png\" alt=\"8 Humbug Damselfish\" /><figcaption>8 Humbug Damselfish</figcaption>\r\n</figure>\r\n<figure>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr1852_img009.png\" alt=\"9 Blue Damselfish\" /><figcaption>9 Blue Damselfish</figcaption>\r\n</figure>\r\n<figure>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr1852_img010.png\" alt=\"10 The hut from inside\" /><figcaption>10 The hut from inside</figcaption>\r\n</figure>\r\n<figure>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr1852_img011.png\" alt=\"11 The hut&#39;s verandah\" /><figcaption>11 The hut\'s verandah</figcaption>\r\n</figure>\r\n<figure>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr1852_img012.png\" alt=\"12 The Shop\" /><figcaption>12 The Shop</figcaption>\r\n</figure>\r\n<h1 id=\"links\">Links</h1>\r\n<ul>\r\n<li>Operation Wallacea (OpWall): <a href=\"https://opwall.com/\" class=\"uri\">https://opwall.com/</a>\r\n<ul>\r\n<li>OpWall in Indonesia: <a href=\"https://opwall.com/expeditions/indonesia/indonesia-site-facilities/\" class=\"uri\">https://opwall.com/expeditions/indonesia/indonesia-site-facilities/</a></li>\r\n</ul></li>\r\n<li>Professional Association of Diving Instructors (PADI): <a href=\"https://www.padi.com/Scuba-Diving/\" class=\"uri\">https://www.padi.com/Scuba-Diving/</a></li>\r\n<li>Cone Shell (genus <em>Conus</em>): <a href=\"https://en.wikipedia.org/wiki/Conus\" class=\"uri\">https://en.wikipedia.org/wiki/Conus</a></li>\r\n<li>Upside-down jellyfish (genus <em>Cassiopea</em>): <a href=\"https://en.wikipedia.org/wiki/Cassiopea\" class=\"uri\">https://en.wikipedia.org/wiki/Cassiopea</a></li>\r\n<li>Damselfish: <a href=\"https://en.wikipedia.org/wiki/Damselfish\" class=\"uri\">https://en.wikipedia.org/wiki/Damselfish</a></li>\r\n</ul>\r\n',225,0,1,'CC-BY-SA','operation wallacea,hoga island,diving,padi,scuba,snorkel,coral,reef',0,0,1),
(1875,'2015-10-09','63 - LibreOffice Impress - Formatting Text',1050,'Text formatting options are explored','<p>\r\nI know we have focused a lot on using Styles to control the formatting of text, and there is a reason for that. As I have said so often, uniformity of appearance is an important part of a professional-looking presentation, and that is best done by using the Presentation and Drawing Object styles appropriately. But there is a place for all of the other tools Impress has, and I want to go over some of them now before we move on to other topics.\r\nFor more go to <a href=\"https://www.ahuka.com/?page_id=1262\">https://www.ahuka.com/?page_id=1262</a>\r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://www.ahuka.com/?page_id=300\">https://www.ahuka.com/?page_id=300</a>\r\n</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1267\">https://hackerpublicradio.org/eps.php?id=1267</a>\r\n</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1275\">https://hackerpublicradio.org/eps.php?id=1275</a>\r\n</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1285\">https://hackerpublicradio.org/eps.php?id=1285</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?page_id=1262\">https://www.ahuka.com/?page_id=1262</a>\r\n</li>\r\n</ul>',198,70,1,'CC-BY-SA','LibreOffice, Impress, Text',0,0,1),
(1885,'2015-10-23','64 - LibreOffice Impress - Multimedia',853,'Using Audio and Video files in Impress','<p>\r\nOne thing that Impress lets you do that can be kind of fun is to use Multimedia files in your presentations in various ways. Now, there are some interesting limitations here. First of all, any time you want sounds, whether from an audio file or as part of a movie file, you need to have the right hardware. This means a little planning ahead. In many of the places where I do presentations the video is all I have. But most modern projectors, particularly in corporate meeting rooms, have the capability of playing audio as well as video. \r\nFor more go to <a href=\"https://www.ahuka.com/?page_id=1271\">https://www.ahuka.com/?page_id=1271</a>\r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1845\">https://hackerpublicradio.org/eps.php?id=1845</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?page_id=1222\">https://www.ahuka.com/?page_id=1222</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?page_id=1271\">https://www.ahuka.com/?page_id=1271</a>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','LibreOffice, Impress, Multimedia, Audio, Video',0,0,1),
(1895,'2015-11-06','65 - LibreOffice Impress - OLE Objects, Spreadsheets, and Charts',966,'Using Calc modules and data in a presentation','<p>\r\nThe next topic we want to cover involves something called OLE, which stands for Object Linking and Embedding. This was developed by Microsoft, but has spread to the free software world as well. What it means is that you can use data from two different programs together, and changes made in place are automatically reflected in the other place. A great example comes with spreadsheets, since you create them in a spreadsheet program like Calc, but you might want to take a table created there and put it into a slide to display. \r\nFor more go to <a href=\"https://www.ahuka.com/?page_id=1275\">https://www.ahuka.com/?page_id=1275</a>\r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://www.ahuka.com/?page_id=1275\">https://www.ahuka.com/?page_id=1275</a>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','LibreOffice, Impress, OLE, Spreadsheets, Charts',0,0,1),
(1905,'2015-11-20','66 - LibreOffice Impress - Built-In Charts',861,'Creating charts from inside Impress','<p>\r\nIn the last tutorial we looked at OLE objects, and saw that Charts could be brought into Impress from Calc via OLE. But you can create the Charts directly in Impress. Bear in mind that due to the modular nature of LibreOffice you will be using the same tools to do this as Calc uses: LibreOffice developers never reinvent the wheel if they can avoid it.\r\n</p>\r\n<p>\r\nThere is a lot to know about Charts if you are going to use them effectively, and we covered all of this in our Calc tutorials.\r\nFor more go to <a href=\"https://www.ahuka.com/?page_id=1291\">https://www.ahuka.com/?page_id=1291</a>\r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://www.ahuka.com/?page_id=772\">https://www.ahuka.com/?page_id=772</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?page_id=780\">https://www.ahuka.com/?page_id=780</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?page_id=809\">https://www.ahuka.com/?page_id=809</a>\r\n</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1545\">https://hackerpublicradio.org/eps.php?id=1545</a>\r\n</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1555\">https://hackerpublicradio.org/eps.php?id=1555</a>\r\n</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1565\">https://hackerpublicradio.org/eps.php?id=1565</a>\r\n</li>\r\n<li><a href=\"https://www.ahuka.com/?page_id=9\">https://www.ahuka.com/?page_id=9</a>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','LibreOffice, Impress, Charts',0,0,1),
(1915,'2015-12-04','67 - LibreOffice Impress - Tables',937,'Impress tables and how to format them','<p>\r\nWe now have looked at three of the four objects that are offered to you on a new slide: Charts, Pictures, and Movies. So now it is time to take a look at Tables. You have options here, such as embedding a table from Calc or Writer, and there are times when you need that degree of power. But most of the time you can do what you need inside of Impress using its own functionality. As we saw last time with Charts, you can just click the button in the middle of a new slide and insert a Table that way, but that may not always be feasible, so you have the alternative option of going to the Insert menu and selecting Table. \r\nFor more go to <a href=\"https://www.ahuka.com/?page_id=1285\">https://www.ahuka.com/?page_id=1285</a>\r\n</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://www.ahuka.com/?page_id=1285\">https://www.ahuka.com/?page_id=1285</a>\r\n</li>\r\n</ul>',198,70,0,'CC-BY-SA','LibreOffice, Impress, Tables',0,0,1),
(1854,'2015-09-10','Installing Ubuntu on the Asus TP500L',927,'I talk about the process of getting Ubuntu onto my son\'s UEFI-secured laptop.','<ol>\r\n	<li>Getting to BIOS\r\n		<ol type=\"1\">\r\n			<li>In Windows, go to Settings </li>\r\n			<li>Search for advanced startup options</li>\r\n			<li>Follow your nose to Boot to UEFI settings</li>\r\n			<li>Can also get there by doing <code>Shift+click</code> on the <code>Restart</code> or <code>Shutdown</code> buttons then clicking through to advanced options until you find \"enter setup.\" Pressing <code>F2</code> never worked for me</li>\r\n		</ol></li>\r\n	<li>In the BIOS\r\n		<ol type=\"1\">\r\n			<li>Security tab: disable \"Secure Boot Control\"</li>\r\n			<li>Boot tab: disable \"Fast Boot\"</li>\r\n			<li>Boot tab: Here Asus support says to enable \"launch CSM\" (Compatibility Support Mode) but it wouldn\'t boot from the Ubuntu USB image this way. It worked when I left CSM disabled. I bet CSM works with a Windows or DOS USB.</li>\r\n		</ol></li>\r\n	<li>Plug in USB with Ubuntu image on it</li>\r\n	<li>Restart computer and hold ESC key down, forcing windows boot menu to appear</li>\r\n	<li>Choose the USB drive to boot from, off you go!</li>\r\n</ol>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li>The Asus TP500LA: <a href=\"https://www.asus.com/US/Notebooks_Ultrabooks/ASUS_Transformer_Book_Flip_TP500LA/\">https://www.asus.com/US/Notebooks_Ultrabooks/ASUS_Transformer_Book_Flip_TP500LA/</a></li>\r\n	<li>The page with the wireless solution: <a href=\"https://community.linuxmint.com/tutorial/view/1796\">https://community.linuxmint.com/tutorial/view/1796</a></li>\r\n</ul>\r\n',238,0,0,'CC-BY-SA','UEFI, Ubuntu, Dual-Booting, Windows 10, Privacy',0,0,1),
(1853,'2015-09-09','I &lt;3 Vista',400,'How I got into Linux','<p>\r\nI talk about how Vista got me into Linux, and my computing experience in general.\r\n</p>',303,0,0,'CC-BY-SA','Windows Vista,Ubuntu,Macintosh,Acer,Debian',0,0,1),
(1856,'2015-09-14','ssh config',747,'Klaatu talks about ssh config.','<p>Put a file called \'config\' into ~/.ssh and you can define any option you would normally provide as part of the command as an automatically-detected configuration.</p>\r\n\r\n<p>\r\nFor example:\r\n</p>\r\n<pre>\r\nhost foo\r\n    hostname foo.org\r\n    identityfile /home/klaatu/.ssh/foo_rsa\r\n    port 2740\r\n    protocol 2\r\n</pre>\r\n<p>\r\nMakes the command \'ssh klaatu@foo\' look like this to SSH:\r\n</p>\r\n<pre>\r\nssh -p2740 -i ~/.ssh/foo_rsa klaatu@foo.org\r\n</pre>',78,0,0,'CC-BY-SA','ssh,configuration,tutorial,hints and tips',0,0,1),
(1857,'2015-09-15','Adventures In Coffee',1131,'CPrompt talks about his adventures in coffee making and how he finally realized that the French Pres','<ol>\r\n<li>CPrompts French Press: <a href=\"https://www.amazon.com/Bodum-Chambord-French-Coffee-Chrome/dp/B00008XEWG\">https://www.amazon.com/Bodum-Chambord-French-Coffee-Chrome/dp/B00008XEWG</a>\r\n</li>\r\n<li>Grocer that has some great coffee: <a href=\"https://www.thefreshmarket.com/\">https://www.thefreshmarket.com/</a>\r\n</li>\r\n<li>The only creamer that will go in CPrompt\'s coffee: <a href=\"https://www.califiafarms.com/products/coffee-creamer/\">https://www.califiafarms.com/products/coffee-creamer/</a> \r\n</li>\r\n</ol>',252,88,1,'CC-BY-SA','coffee,fresh,coffee pots,french press,cafetiere,coffee plunger',0,0,1),
(1859,'2015-09-17','A Mouse in a Maze on the Raspberry PI',2389,'This podcast describes a little game that I learned in my first programming class.','<p>This podcast is about a little programming exercise I learned in my first programming class. The idea is to generate a random text-based maze and make mouse (\'@\') search the maze systematically to find the cheese (\'V\'). If it does so before it runs out of energy (moves) it wins (\'$\' == happy mouse). Otherwise it starves (\'%\' == dead mouse).</p>\r\n<p>You can find my git repos for the Raspberry PI code including this program at these locations:</p>\r\n<ul>\r\n<li><a href=\"https://gitlab.com/catrpi/catrpi.git\" class=\"uri\">https://gitlab.com/catrpi/catrpi.git</a></li>\r\n<li><a href=\"https://github.com/ctelfer/catrpi.git\" class=\"uri\">https://github.com/ctelfer/catrpi.git</a></li>\r\n</ul>\r\n<p>The Mouse-in-a-maze program also requires the catlib library as well which is at:</p>\r\n<ul>\r\n<li><a href=\"https://gitlab.com/catlib/catlib.git\" class=\"uri\">https://gitlab.com/catlib/catlib.git</a></li>\r\n<li><a href=\"https://github.com/ctelfer/catlib.git\" class=\"uri\">https://github.com/ctelfer/catlib.git</a></li>\r\n</ul>\r\n<p>You may note that these directories are different from those in my previous RPI episodes. The repositories used to be on gitorious. However since gitlab acquired gitorious, I have migrated the repositories. They currently live on both github and gitlab and I have pushing updates to both for the time being. So I have been waffling about which one will be the ultimate master for these projects. But since, I am doing most all the work on this code myself, it doesn\'t much matter for the time being.</p>\r\n<p>If this is your first time playing with bare metal programming in the RPI you can get more info and tips from HPR episodes 1619, 1630 and 1666. Note that the gitorious links in those episodes are outdated as mentioned above. The github links therein should still be fine though.</p>\r\n<p>The mouse code itself is in the <code>apps/mouse0</code> directory. If you haven\'t played with this environment before you\'ll need to do the following:</p>\r\n<ul>\r\n<li>Get a compatible ARM toolchain up and running to build for the RPI. I recommend using: <a href=\"https://github.com/dwelch67/build_gcc/blob/master/build_arm\" class=\"uri\">https://github.com/dwelch67/build_gcc/blob/master/build_arm</a></li>\r\n<li>You\'ll need a USB-to-TTL serial cable to hook up to the RPI. I use: <a href=\"https://www.adafruit.com/products/954\" class=\"uri\">https://www.adafruit.com/products/954</a></li>\r\n<li>You\'ll also need a small SD card to boot from.</li>\r\n<li>Follow the steps in catrpi/README.txt to\r\n<ul>\r\n<li>create an SD-card with a loader on it.</li>\r\n<li>build catlib for the RPI locally (a prereq for building mouse0.bin)</li>\r\n<li>set up your serial connection to the RPI</li>\r\n<li>start up a minicom instance to connect to the RPI</li>\r\n</ul></li>\r\n</ul>\r\n<p>Once those prerequisites are taken care of you can:</p>\r\n<ul>\r\n<li>change directory to <code>/path/to/catrpi/apps/mouse0</code> type <code>make</code> to build</li>\r\n<li>mouse0.bin power on the RPI at the loader prompt, type \'x\' in the</li>\r\n<li>serial console to start X-modem reception on the RPI</li>\r\n<li>use your terminal program to send the mouse0.bin file via X-modem. In minicom you do this by CTRL-A followed by \'s\'. You then select \'xmodem\' as the protocol and navigate to and select the file <code>mouse0.bin</code> to send.</li>\r\n<li>when the transfer completes type \'s\' to start the program</li>\r\n</ul>\r\n<p>These pages describe VT100 Terminal codes:</p>\r\n<ul>\r\n<li><a href=\"https://ascii-table.com/ansi-escape-sequences-vt-100.php\" class=\"uri\">https://ascii-table.com/ansi-escape-sequences-vt-100.php</a></li>\r\n<li><a href=\"https://www.termsys.demon.co.uk/vtansi.htm\" class=\"uri\">https://www.termsys.demon.co.uk/vtansi.htm</a></li>\r\n</ul>\r\n<p>Sample traversal:</p>\r\n<pre><code>  ########################################\r\n  #+0****## #+#...###...#..$ ##  #  #    #\r\n  ##+###+## #+++......#...# ##       #   #\r\n  # #.+++++#....#   #      #    #      # #\r\n  #  #+++++#+.+..#  #  #          #      #\r\n  #  #.##.+++#+.### #     #   #   ##     #\r\n  #  ###.+.##++.##     #   ###     #   # #\r\n  ####+.#..#++#.##   #      #####   ##   #\r\n  #++#.#.###+.##    ##       ##    #   # #\r\n  #++++++.##.++.#   #  ##     #  # #  # ##\r\n  #+++++#..##.##      ## #  #### # #    ##\r\n  #+.....#..#.  ##   #      #     ##  ## #\r\n  #+..+.......   # #      #      #  ##   #\r\n  #+...#..###       # #  #          ##  ##\r\n  #.#..#.........# # # # ##### # #    ## #\r\n  #.......##  ##....  #        ###   ##  #\r\n  ##......# ##   ##..#  #####          # #\r\n  #.+.#...###    ###. ##          ##  # ##\r\n  ##.+...#  #      ####      #   ##    # #\r\n  ########################################\r\n  Mouse found the cheese!  :)  Press any key to restart!</code></pre>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://gitlab.com/catrpi/catrpi.git\" class=\"uri\">https://gitlab.com/catrpi/catrpi.git</a></li>\r\n<li><a href=\"https://github.com/ctelfer/catrpi.git\" class=\"uri\">https://github.com/ctelfer/catrpi.git</a></li>\r\n<li><a href=\"https://gitlab.com/catlib/catlib.git\" class=\"uri\">https://gitlab.com/catlib/catlib.git</a></li>\r\n<li><a href=\"https://github.com/ctelfer/catlib.git\" class=\"uri\">https://github.com/ctelfer/catlib.git</a></li>\r\n<li><a href=\"https://github.com/dwelch67/build_gcc/blob/master/build_arm\" class=\"uri\">https://github.com/dwelch67/build_gcc/blob/master/build_arm</a></li>\r\n<li><a href=\"https://www.adafruit.com/products/954\" class=\"uri\">https://www.adafruit.com/products/954</a></li>\r\n<li><a href=\"https://ascii-table.com/ansi-escape-sequences-vt-100.php\" class=\"uri\">https://ascii-table.com/ansi-escape-sequences-vt-100.php</a></li>\r\n<li><a href=\"https://www.termsys.demon.co.uk/vtansi.htm\" class=\"uri\">https://www.termsys.demon.co.uk/vtansi.htm</a></li>\r\n</ul>\r\n',259,25,0,'CC-BY-SA','Raspberry PI, Bare metal programming',0,0,1),
(1867,'2015-09-29','The Lafayette Public Library Maker Space',2733,'My son and I visit the Lafayette Public Library to try out the 3d printer in the maker space.','<h2>The Lafayette Public Library Maker Space</h2>\n\n<img width=\"600\" src=\"https://lafayettepubliclibrary.org/wp-content/uploads/2009/08/main-5-cropped.jpg\" alt=\"Exterior photograph of the downtown Lafayette Public Library\">\n\n<p>The Renovated Main Library</p>\n\n<img width=\"600\" src=\"https://hackerpublicradio.org/eps/hpr1867/02_LPLmakerSpace.jpeg\" alt=\"Large table with sewing machine\">\n\n<p>Sewing Area</p>\n\n<img width=\"600\" src=\"https://hackerpublicradio.org/eps/hpr1867/01_LPLmakerSpace.jpeg\" alt=\"Display case in maker area with laser etched rolling pin\">\n\n<p>Rolling pin with laser-etched &pi; symbols </p>\n\n\n<img width=\"600\" src=\"https://hackerpublicradio.org/eps/hpr1867/07_LPLmakerSpace.jpeg\" alt=\"Array of comfy chairs in a circle with a basket of knitting materials nearby\">\n\n<p>Knitting Area</p>\n\n\n<img width=\"600\" src=\"https://hackerpublicradio.org/eps/hpr1867/06_LPLmakerSpace.jpeg\" alt=\"Triangular table with laptops and tubs of Lego robotics parts\">\n<p>Lego Robotics Space</p>\n\n<img width=\"600\" src=\"https://hackerpublicradio.org/eps/hpr1867/03_LPLmakerSpace.jpeg\" alt=\"One of the 3d printers in the maker space\">\n\n<p>The <a href=\"https://ultimaker.com/en/products/ultimaker-2-family/ultimaker-2\">Ultimaker<sup>2</sup></a></p>\n\n<img width=\"600\" src=\"https://hackerpublicradio.org/eps/hpr1867/05_LPLmakerSpace.jpeg\" alt=\"Close up image of the display panel on 3d printer\">\n\n<p>Trying to print my Kindle paperwhite stand.</p>\n\n<img width=\"600\" src=\"https://hackerpublicradio.org/eps/hpr1867/04_LPLmakerSpace.jpeg\" alt=\"The other 3d printer in the maker space\">\n\n<p>The <a href=\"https://www.lulzbot.com/products/lulzbot-taz-5-3d-printer\">Taz 3D printer</a> by Lulzbot</p>\n\n<p>The finished Kindle stand:</p>\n\n<img width=\"600\" src=\"https://hackerpublicradio.org/eps/hpr1867/08_LPLmakerSpace.jpeg\" alt=\"My new Kindle stand printed using blue filament\">\n\n<p>It worked! Bad part of this design is that it does not accommodate the case that I have on my Kindle, so to use the stand with the Kindle I\'ll have to remove the case. The next photo shows my son\'s nook color sitting sideways on it. I might try to modify the design so that it will accommodate the Kindle with its case and also prop it up a bit more vertically. Still, this was a really fun experiment with my first 3d printout. </p>\n\n<img width=\"600\" src=\"https://hackerpublicradio.org/eps/hpr1867/09_LPLmakerSpace.jpeg\"  alt=\"Kindle stand holding a Nook Color in landscape position\">\n\n\n<h2>Links</h2>\n\n<ul>\n	<li><a href=\"https://lafayettepubliclibrary.org/?page_id=118\">Lafayette Public Library Downtown Branch</a></li>\n\n</ul>\n\n<h2>Credits</h2>\n\n<ul>\n	<li>Music bumpers are from Kimiko Ishizaka\'s <em>The Open Goldberg Variations</em>: <a href=\"https://www.opengoldbergvariations.org/\">https://www.opengoldbergvariations.org/</a>, used by permission of their <a href=\"https://creativecommons.org/publicdomain/zero/1.0/\">CC0 1.0 Universal (CC0 1.0) Public Domain Dedication license</a>.</li>\n</ul>\n',238,0,0,'CC-BY-SA','3d printing, DIY, makers, libraries',0,0,1),
(1861,'2015-09-21','Cool Stuff pt. 4',1032,'CPrompt talks about some more cool stuff for you to enjoy!','<h3>CMUS</h3>\r\n\r\n<p>\r\nA great command line music player\r\n</p>\r\n<p>\r\nCMUS Home Page: <a href=\"https://cmus.github.io/\">https://cmus.github.io/</a>\r\n</p>\r\n<p>\r\nA good guide: <a href=\"https://www.tuxarena.com/static/cmus_guide.php\">https://www.tuxarena.com/static/cmus_guide.php</a>\r\n</p>\r\n\r\n<h3>Song Exploder</h3>\r\n\r\n<p>\r\nPodcast where musicians take apart their songs bit by bit\r\n</p>\r\n<p>\r\n<a href=\"https://songexploder.net/\">https://songexploder.net/</a>\r\n</p>\r\n\r\n<h3>Mr. Robot</h3>\r\n\r\n<p>\r\n<a href=\"https://www.imdb.com/title/tt4158110/\">https://www.imdb.com/title/tt4158110/</a>\r\n</p>\r\n<p>\r\n\"Follows a young computer programmer (Malek) who suffers from social anxiety disorder and forms connections through hacking. He\'s recruited by a mysterious anarchist, \r\nwho calls himself Mr. Robot.\"\r\n</p>\r\n<p>\r\nThe pilot for Mr. Robot was directed by Niels Arden Oplev (The Girl With The Dragon Tattoo) \r\n</p>\r\n<p>\r\nDirected by: \r\n</p>\r\n\r\n<ul>\r\n<li>Sam Esmail\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nStarring:\r\n</p>\r\n\r\n<ul>\r\n<li>Rami Malek\r\n</li>\r\n<li>Christian Slater\r\n</li>\r\n<li>Carly Chaikin\r\n</li>\r\n<li>Portia Doubleday\r\n</li>\r\n<li>Martin Wallstrm\r\n</li>\r\n</ul>',252,0,0,'CC-BY-SA','CMUS,Mr Robot',0,0,1),
(1862,'2015-09-22','The Awesomely Epic Guide To KDE Part 1',1307,'A tutorial of the KDE Desktop','<p>\r\nHello my name is Geddes and this is my first HPR Episode. Its part 1 of an audio voice recording of an  article entitled THE AWESOMELY EPIC GUIDE TO KDE. This is a tutorial on the KDE Desktop,  which I did for Linux Voice Magazine back at the start of 2015. Its primarily in response to the call from HPR for more shows, but in my introduction I\'ve also mentioned a few other reasons which I hope listeners will find interesting, a couple are around the issues of diversity and accessibility. \r\n</p>\r\n\r\n<ul>\r\n<li>All Linux Voice Creative Commons Issues\r\n<a href=\"https://www.linuxvoice.com/creative-commons-issues/\">https://www.linuxvoice.com/creative-commons-issues/</a>\r\n<p></p>\r\n</li>\r\n<li>PDF version of the THE AWESOMELY EPIC GUIDE TO KDE\r\n<a href=\"https://www.linuxvoice.com/issues/002/02kde.pdf\">https://www.linuxvoice.com/issues/002/02kde.pdf</a>\r\n<p></p>\r\n</li>\r\n<li>HTML version THE AWESOMELY EPIC GUIDE TO KDE\r\n<a href=\"https://www.linuxvoice.com/desktops/\">https://www.linuxvoice.com/desktops/</a>\r\n<p></p>\r\n</li>\r\n<li>My Google+ Link\r\n<a href=\"https://plus.google.com/100383969073428986317/posts\">https://plus.google.com/100383969073428986317/posts</a>\r\n<p></p>\r\n</li>\r\n</ul>',310,0,0,'CC-BY-SA','Linux Voice,KDE,desktop',0,0,1),
(1870,'2015-10-02','19 - Home SSH Server',1115,'To learn ssh it helps to experiment, so this explains setting up a simple home server.','<p>\r\nThe best way to get familiarity with the concepts we will discuss is by experimentation. I think that it is becoming more common these days for people to own more than one computer and set them up in a network. And with cheap computers like Raspberry Pi it is really easy to get started. In this tutorial I want to discuss how you can set up such a server for your experiments in ssh. I encourage you to do this even though I dont intend this series to focus on server administration. The idea is that by practising these these techniques behind a good firewall you can get some familiarity with them before you get out on the Internet where it matters. For most Linux users, at least, installing and setting up a server is really simple, and you can do it minutes.\r\nFor more go to <a href=\"https://www.zwilnik.com/?page_id=847\">https://www.zwilnik.com/?page_id=847</a> \r\n</p>\r\n\r\n<h3>Links:</h3>\r\n\r\n <ul>\r\n <li><a href=\"https://www.openssh.com/manual.html\">https://www.openssh.com/manual.html</a>\r\n </li>\r\n <li><a href=\"https://help.ubuntu.com/community/SSH\">https://help.ubuntu.com/community/SSH</a>\r\n </li>\r\n <li><a href=\"https://linuxconfig.org/how-to-install-start-and-connect-to-ssh-server-on-fedora-linux\">https://linuxconfig.org/how-to-install-start-and-connect-to-ssh-server-on-fedora-linux</a>\r\n </li>\r\n <li><a href=\"https://en.opensuse.org/OpenSSH\">https://en.opensuse.org/OpenSSH</a>\r\n </li>\r\n <li><a href=\"https://blogs.msdn.com/b/powershell/archive/2015/06/03/looking-forward-microsoft-support-for-secure-shell-ssh.aspx\">https://blogs.msdn.com/b/powershell/archive/2015/06/03/looking-forward-microsoft-support-for-secure-shell-ssh.aspx</a>\r\n </li>\r\n <li><a href=\"https://www.raspberrypi.org/documentation/remote-access/ssh/\">https://www.raspberrypi.org/documentation/remote-access/ssh/</a>\r\n </li>\r\n <li><a href=\"https://www.openbsd.org/cgi-bin/man.cgi?query=sshd&amp;sec=8\">https://www.openbsd.org/cgi-bin/man.cgi?query=sshd&amp;sec=8</a>\r\n </li>\r\n <li><a href=\"https://www.zwilnik.com/?page_id=847\">https://www.zwilnik.com/?page_id=847</a>\r\n <p></p>\r\n </li>\r\n </ul>',198,74,0,'CC-BY-SA','ssh, Telnet, server',0,0,1),
(1900,'2015-11-13','20 - SSH Basics',1009,'In this we tutorial explore the basics of making an ssh connection.','<p>\r\nSo as we saw in the introductory tutorial, SSH uses the Client-Server model. Now, technically a server is just the machine you are connecting to, and there is no reason in principle that it could not be another desktop, a laptop, or even a telephone if it has the appropriate software. and in the previous tutorial we showed how you can easily install and set up an ssh server on your home network using another computer or a Raspberry Pi so that you can experiment with these commands. The model really reduces to you as the client, and the other machine as the server. As with all Internet connections there are standards and protocols involved. The original Telnet communicated over TCP through port 23. Because SSH was conceived as a replacement, it used the same TCP protocols, and was assigned the adjacent port number of 22. \r\nFor more go to <a href=\"https://www.zwilnik.com/?page_id=726\">https://www.zwilnik.com/?page_id=726</a> \r\n</p>\r\n\r\n<h3>Links:</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://tools.ietf.org/html/rfc4253\">https://tools.ietf.org/html/rfc4253</a>\r\n</li>\r\n<!--\r\nChanged to a Wayback Macine address 2019-01-31\r\n<li><a href=\"https://www.tiltedwindmillpress.com/?product=ssh-mastery-openssh-putty-tunnels-and-keys-ebook\">https://www.tiltedwindmillpress.com/?product=ssh-mastery-openssh-putty-tunnels-and-keys-ebook</a>\r\n-->\r\n<li><a href=\"https://web.archive.org/web/20161022185248/https://www.tiltedwindmillpress.com/?product=ssh-mastery-openssh-putty-tunnels-and-keys-ebook\">https://www.tiltedwindmillpress.com/?product=ssh-mastery-openssh-putty-tunnels-and-keys-ebook</a>\r\n</li>\r\n<li><a href=\"https://www.zwilnik.com/?page_id=726\">https://www.zwilnik.com/?page_id=726</a>\r\n<p></p>\r\n</li>\r\n</ul>\r\n',198,74,0,'CC-BY-SA','ssh, client, basics',0,0,1);
INSERT INTO `eps` (`id`, `date`, `title`, `duration`, `summary`, `notes`, `hostid`, `series`, `explicit`, `license`, `tags`, `version`, `downloads`, `valid`) VALUES (1863,'2015-09-23','The Awesomely Epic Guide To KDE Part 2',1307,'The Awesomely Epic Guide To KDE Part 2','<p>\r\nHello my name is Geddes and this is my second HPR Episode. Its part 2 of an audio voice recording of an article entitled THE AWESOMELY EPIC GUIDE TO KDE. This is a tutorial on the KDE Desktop,  which I did for Linux Voice Magazine back at the start of 2015. In this half the topics I cover are - Upgrade Launch Menu, File Management, Window Management, and Visual Effects.\r\n</p>\r\n\r\n<ul>\r\n<li>All Linux Voice Creative Commons Issues\r\n<a href=\"https://www.linuxvoice.com/creative-commons-issues/\">https://www.linuxvoice.com/creative-commons-issues/</a>\r\n<p></p>\r\n</li>\r\n<li>PDF version of the THE AWESOMELY EPIC GUIDE TO KDE\r\n<a href=\"https://www.linuxvoice.com/issues/002/02kde.pdf\">https://www.linuxvoice.com/issues/002/02kde.pdf</a>\r\n<p></p>\r\n</li>\r\n<li>HTML version THE AWESOMELY EPIC GUIDE TO KDE\r\n<a href=\"https://www.linuxvoice.com/desktops/\">https://www.linuxvoice.com/desktops/</a>\r\n<p></p>\r\n</li>\r\n<li>My Google+ Link\r\n<a href=\"https://plus.google.com/100383969073428986317/posts\">https://plus.google.com/100383969073428986317/posts</a>\r\n</li>\r\n</ul>',310,0,0,'CC-BY-SA','Linux Voice,KDE,desktop',0,0,1),
(1920,'2015-12-11','21 - SSH Authentication - Keys',1119,'We introduce the idea of using public/private key pairs for authentication','<p>\r\nWhen you first try to login to a remote server you need to authenticate yourself, which means you have to demonstrate that you have rights to be on that server.  You can do this in several ways:\r\n</p>\r\n\r\n<ul>\r\n<li>Password  You authenticate to the server by typing in your password. This is easy because you can generally remember your password, and it means you can easily login from any computer with that knowledge. This is still the most common authentication mechanism for SSH. It is also the least secure.\r\n</li>\r\n<li>Public Key  This is much more secure. It involves the creation of a key pair, of course. It is possible to use a key pair generated by PGP or GPG in the most current versions (version 2.0.13 introduced support for this). But there is a long established method using the Unix program ssh-keygen. This is very similar to generating a key pair as we discussed earlier. You run the program ssh-keygen, harvest some entropy, generate a passphrase to protect it, and so on.\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nFor more go to <a href=\"https://www.zwilnik.com/?page_id=733\">https://www.zwilnik.com/?page_id=733</a> \r\n</p>\r\n\r\n<h3>Links:</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://www.zwilnik.com/?page_id=650\">https://www.zwilnik.com/?page_id=650</a>\r\n</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1640\">https://hackerpublicradio.org/eps.php?id=1640</a>\r\n</li>\r\n<li><a href=\"https://linux.die.net/man/1/ssh-keygen\">https://linux.die.net/man/1/ssh-keygen</a>\r\n</li>\r\n<li><a href=\"https://csrc.nist.gov/publications/drafts/nistir-7966/nistir_7966_draft.pdf\">https://csrc.nist.gov/publications/drafts/nistir-7966/nistir_7966_draft.pdf</a>\r\n</li>\r\n<li><a href=\"https://kb.siteground.com/how_to_generate_an_ssh_key_on_windows_using_putty/\">https://kb.siteground.com/how_to_generate_an_ssh_key_on_windows_using_putty/</a>\r\n</li>\r\n<li><a href=\"https://www.zwilnik.com/?page_id=733\">https://www.zwilnik.com/?page_id=733</a>\r\n</li>\r\n</ul>',198,74,0,'CC-BY-SA','ssh, client, encryption, keys',0,0,1),
(1864,'2015-09-24','Turning an old printer into a network printer',1261,'Using a Raspberry Pi as a print spooler for an old USB printer','<h2 id=\"overview\">Overview</h2>\r\n<p>I have a USB printer I bought back in 2005 when I bought a Windows PC for the family. It\'s an <a href=\"https://h10025.www1.hp.com/ewfrf/wc/product?cc=uk&amp;lc=en&amp;product=303753\">HP PSC 2410 PhotoSmart All-in-One printer</a>. This device is a colour inkjet printer, with a scanner, FAX and card-reading facilities. It has been left unused in a corner for many years, and I recently decided to to see if I could make use of it again, so I cleaned it up and bought some new ink cartridges for it.</p>\r\n<p>It is possible to use this printer on Linux using <a href=\"https://www.cups.org/\" title=\"CUPS\">CUPS</a> for the printing and <a href=\"https://en.wikipedia.org/wiki/Scanner_Access_Now_Easy\" title=\"SANE\">SANE</a> for scanning. I connected it to my Linux desktop for a while to prove that it was usable. However, rather than leaving it connected in this way, I wanted to turn it into a network printer that could be used by the rest of the family. My kids are mostly away at university these days but invariably need to print stuff when they pass through. I searched the Internet and found an <a href=\"https://www.raspberry-pi-geek.com/Archive/2013/01/Converting-the-Raspberry-Pi-to-a-wireless-print-server\" title=\"Raspberry Pi Geek\">article</a> in the <em>Raspberry Pi Geek</em> magazine which helped with this project.</p>\r\n<h2 id=\"full-notes\">Full Notes</h2>\r\n<p>Since the notes explaining this subject are long, they have been placed here: <a href=\"https://hackerpublicradio.org/eps/hpr1864_full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1864_full_shownotes.html</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ol>\r\n<li>HP PSC 2410 PhotoSmart All-in-One printer: <a href=\"https://h10025.www1.hp.com/ewfrf/wc/product?cc=uk&amp;lc=en&amp;product=303753\" class=\"uri\">https://h10025.www1.hp.com/ewfrf/wc/product?cc=uk&amp;lc=en&amp;product=303753</a></li>\r\n<li><code>CUPS.org</code> main web site: <a href=\"https://www.cups.org/\" class=\"uri\">https://www.cups.org/</a></li>\r\n<li>CUPS Wikipedia entry: <a href=\"https://en.wikipedia.org/wiki/CUPS\" class=\"uri\">https://en.wikipedia.org/wiki/CUPS</a></li>\r\n<li>HP Linux Imaging and Printing (HPLIP): <a href=\"https://hplipopensource.com/hplip-web/index.html\" class=\"uri\">https://hplipopensource.com/hplip-web/index.html</a></li>\r\n<li><em>Scanner Access Now Easy</em> (SANE): <a href=\"https://en.wikipedia.org/wiki/Scanner_Access_Now_Easy\" class=\"uri\">https://en.wikipedia.org/wiki/Scanner_Access_Now_Easy</a></li>\r\n<li>&quot;<em>Converting the Raspberry Pi to a wireless print server</em>&quot; from the Raspberry Pi Geek magazine: <a href=\"https://www.raspberry-pi-geek.com/Archive/2013/01/Converting-the-Raspberry-Pi-to-a-wireless-print-server\" class=\"uri\">https://www.raspberry-pi-geek.com/Archive/2013/01/Converting-the-Raspberry-Pi-to-a-wireless-print-server</a></li>\r\n<li>Linux Foundation <em>OpenPrinting</em> work group: <a href=\"https://www.linuxfoundation.org/collaborate/workgroups/openprinting/\" class=\"uri\">https://www.linuxfoundation.org/collaborate/workgroups/openprinting/</a>\r\n<ul>\r\n<li>HP PSC 2400 series details: <a href=\"https://www.openprinting.org/printer/HP/HP-PSC_2400\" class=\"uri\">https://www.openprinting.org/printer/HP/HP-PSC_2400</a></li>\r\n</ul></li>\r\n<li>Arch Wiki on CUPS - Linux Server Windows Client: <a href=\"https://wiki.archlinux.org/index.php/CUPS_printer_sharing#Linux_server_-_Windows_client\" class=\"uri\">https://wiki.archlinux.org/index.php/CUPS_printer_sharing#Linux_server_-_Windows_client</a></li>\r\n<li>Internet Printing Protocol (IPP): <a href=\"https://en.wikipedia.org/wiki/Internet_Printing_Protocol\" class=\"uri\">https://en.wikipedia.org/wiki/Internet_Printing_Protocol</a></li>\r\n</ol>',225,0,1,'CC-BY-SA','printer,network,raspberry pi,CUPS,SANE',0,0,1),
(1866,'2015-09-28','An awkward talk with two young computer users',327,'Eric and Emily discuss operating systems, school and fun uses of computers.','<p>\r\nQuvmoh speaks with Eric 15 and Emily 10 about their computer usage and implore others to contribute to HPR\r\n</p>',110,0,0,'CC-BY-SA','young computer users',0,0,1),
(1873,'2015-10-07','TiT Radio 21 - I Thought I Had Better Links',4183,'TiT Radio rides again, again','<p>\r\nAnother installment of TiT Radio with Kevin Wisher, pegwole, netminer, and FiftyOneFifty\r\n</p>\r\n<p>\r\nSome of these links may have bee discussed during the show:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.androidpolice.com/2015/07/28/microsoft-releases-standalone-android-emulator-with-easy-instructions-to-use-it-with-android-studio-and-eclipse-with-adt/?v=1\">https://www.androidpolice.com/2015/07/28/microsoft-releases-standalone-android-emulator-with-easy-instructions-to-use-it-with-android-studio-and-eclipse-with-adt/?v=1</a>\r\n</li>\r\n<li><a href=\"https://ow.ly/31XnPC\">https://ow.ly/31XnPC</a>\r\n</li>\r\n<li><a href=\"https://www.linuxinsider.com/story/82315.html?rss=1\">https://www.linuxinsider.com/story/82315.html?rss=1</a>\r\n</li>\r\n<li><a href=\"https://ow.ly/QbXxn\">https://ow.ly/QbXxn</a>\r\n</li>\r\n<li><a href=\"https://www.tomshardware.com/news/google-accounts-disconnected-from-youtube,29684.html#xtor=RSS-997\">https://www.tomshardware.com/news/google-accounts-disconnected-from-youtube,29684.html#xtor=RSS-997</a>\r\n</li>\r\n<li><a href=\"https://www.theregister.co.uk/2015/07/27/debian_kills_sparc_support/\">https://www.theregister.co.uk/2015/07/27/debian_kills_sparc_support/</a>\r\n</li>\r\n<li><a href=\"https://ow.ly/31YMWs\">https://ow.ly/31YMWs</a>\r\n</li>\r\n<li><a href=\"https://thenextweb.com/microsoft/2015/07/29/wind-nos/\">https://thenextweb.com/microsoft/2015/07/29/wind-nos/</a>\r\n</li>\r\n<li><a href=\"https://www.techradar.com/news/software/operating-systems/windows-10-has-a-start-menu-bug-1300603\">https://www.techradar.com/news/software/operating-systems/windows-10-has-a-start-menu-bug-1300603</a>\r\n</li>\r\n<li><a href=\"https://ow.ly/QfNLz\">https://ow.ly/QfNLz</a>\r\n</li>\r\n<li><a href=\"https://hackaday.com/2015/07/29/operation-drone-rescue/\">https://hackaday.com/2015/07/29/operation-drone-rescue/</a>\r\n</li>\r\n<li><a href=\"https://www.streamingmedia.com/Articles/News/Online-Video-News/An-Unhappy-Surprise-MPEG-LA-Is-Forming-a-Patent-Pool-for-DASH-105419.aspx\">https://www.streamingmedia.com/Articles/News/Online-Video-News/An-Unhappy-Surprise-MPEG-LA-Is-Forming-a-Patent-Pool-for-DASH-105419.aspx</a>\r\n</li>\r\n<li><a href=\"https://www.infoq.com/news/2015/07/FCC-Blocks-Open-Source\">https://www.infoq.com/news/2015/07/FCC-Blocks-Open-Source</a>\r\n</li>\r\n<li><a href=\"https://thenextweb.com/apple/2015/08/04/macs-are-no-longer-immune-to-attacks-as-a-new-self-replicating-firmware-worm-demonstrates/\">https://thenextweb.com/apple/2015/08/04/macs-are-no-longer-immune-to-attacks-as-a-new-self-replicating-firmware-worm-demonstrates/</a>\r\n</li>\r\n<li><a href=\"https://thenextweb.com/gadgets/2015/07/29/i-shot-the-sheriff-my-hacked-rifle-shot-the-deputy/\">https://thenextweb.com/gadgets/2015/07/29/i-shot-the-sheriff-my-hacked-rifle-shot-the-deputy/</a>\r\n</li>\r\n<li><a href=\"https://techrights.org/2015/08/05/windows-as-malware/\">https://techrights.org/2015/08/05/windows-as-malware/</a>\r\n</li>\r\n<li><a href=\"https://engt.co/1DvClhP\">https://engt.co/1DvClhP</a>\r\n</li>\r\n<li><a href=\"https://www.cnn.com/2015/08/04/us/prison-yard-drone-drugs-ohio/\">https://www.cnn.com/2015/08/04/us/prison-yard-drone-drugs-ohio/</a>\r\n</li>\r\n<li><a href=\"https://www.openrightsgroup.org/blog/2015/should-file-sharers-face-ten-years-in-gaol\">https://www.openrightsgroup.org/blog/2015/should-file-sharers-face-ten-years-in-gaol</a>\r\n</li>\r\n<li><a href=\"https://ow.ly/32jVzk\">https://ow.ly/32jVzk</a>\r\n</li>\r\n<li><a href=\"https://www.techpowerup.com/209925/nsa-hides-spying-backdoors-into-hard-drive-firmware.html\">https://www.techpowerup.com/209925/nsa-hides-spying-backdoors-into-hard-drive-firmware.html</a>\r\n</li>\r\n<li><a href=\"https://thehackernews.com/2015/08/android-endless-reboot-bug.html\">https://thehackernews.com/2015/08/android-endless-reboot-bug.html</a>\r\n</li>\r\n<li><a href=\"https://www.zdnet.com/article/no-a-windows-10-cloudbook-isnt-a-chromebook-killer/\">https://www.zdnet.com/article/no-a-windows-10-cloudbook-isnt-a-chromebook-killer/</a>\r\n</li>\r\n<li><a href=\"https://blog.mozilla.org/security/2015/08/06/firefox-exploit-found-in-the-wild/\">https://blog.mozilla.org/security/2015/08/06/firefox-exploit-found-in-the-wild/</a>\r\n</li>\r\n<li><a href=\"https://krebsonsecurity.com/2015/08/tech-firm-ubiquiti-suffers-46m-cyberheist/\">https://krebsonsecurity.com/2015/08/tech-firm-ubiquiti-suffers-46m-cyberheist/</a>\r\n</li>\r\n<li><a href=\"https://blogs.csc.com/2015/08/02/alibaba-wants-to-challenge-amazon-web-services-good-luck-with-that/\">https://blogs.csc.com/2015/08/02/alibaba-wants-to-challenge-amazon-web-services-good-luck-with-that/</a>\r\n</li>\r\n<li><a href=\"https://www.abc.net.au/news/2015-08-09/first-space-grown-vegetables-on-the-menu-for-nasa-astronauts/6683530\">https://www.abc.net.au/news/2015-08-09/first-space-grown-vegetables-on-the-menu-for-nasa-astronauts/6683530</a>\r\n</li>\r\n<li><a href=\"https://www.gamengadgets.com/smartphone-3d-hologram-viewer-in-action-video/\">https://www.gamengadgets.com/smartphone-3d-hologram-viewer-in-action-video/</a>\r\n</li>\r\n<li><a href=\"https://www.androidheadlines.com/2015/08/google-is-now-part-of-alphabet-inc.html\">https://www.androidheadlines.com/2015/08/google-is-now-part-of-alphabet-inc.html</a>\r\n</li>\r\n<li><a href=\"https://ow.ly/32vesZ\">https://ow.ly/32vesZ</a>\r\n</li>\r\n<li><a href=\"https://www.itworld.com/article/2969215/blackberry-denies-its-os-was-to-blame-in-jeep-cherokee-hack.html\">https://www.itworld.com/article/2969215/blackberry-denies-its-os-was-to-blame-in-jeep-cherokee-hack.html</a>\r\n</li>\r\n<li><a href=\"https://arstechnica.co.uk/gaming/2015/08/smach-zero-a-portable-x86-steam-machine-for-e300/\">https://arstechnica.co.uk/gaming/2015/08/smach-zero-a-portable-x86-steam-machine-for-e300/</a>\r\n</li>\r\n<li><a href=\"https://www.engadget.com/2015/08/11/google-alphabet\">https://www.engadget.com/2015/08/11/google-alphabet</a>\r\n</li>\r\n<li><a href=\"https://www.engadget.com/2015/08/11/pixar-open-sources-scene-description-tool\">https://www.engadget.com/2015/08/11/pixar-open-sources-scene-description-tool</a>\r\n</li>\r\n<li><a href=\"https://support.lenovo.com/us/en/product_security/lse_bios_notebook\">https://support.lenovo.com/us/en/product_security/lse_bios_notebook</a>\r\n</li>\r\n<li><a href=\"https://www.theregister.co.uk/2015/08/11/windows_10_download_bricks_pcs_kb3081424/\">https://www.theregister.co.uk/2015/08/11/windows_10_download_bricks_pcs_kb3081424/</a>\r\n</li>\r\n<li><a href=\"https://thenextweb.com/insider/2015/08/12/lenovo-used-a-hidden-windows-feature-to-ensure-its-software-could-not-be-deleted/\">https://thenextweb.com/insider/2015/08/12/lenovo-used-a-hidden-windows-feature-to-ensure-its-software-could-not-be-deleted/</a>\r\n</li>\r\n<li><a href=\"https://xiphmont.livejournal.com/67534.html\">https://xiphmont.livejournal.com/67534.html</a>\r\n</li>\r\n<li><a href=\"https://www.zdnet.com/article/oracle-to-sinner-customers-reverse-engineering-is-a-sin-youd-better-pack-it-in/\">https://www.zdnet.com/article/oracle-to-sinner-customers-reverse-engineering-is-a-sin-youd-better-pack-it-in/</a>\r\n</li>\r\n<li><a href=\"https://zd.net/1NrgHLR\">https://zd.net/1NrgHLR</a>\r\n</li>\r\n<li><a href=\"https://flip.it/w7ALS\">https://flip.it/w7ALS</a>\r\n</li>\r\n<li><a href=\"https://www.ifextechnologies.de/eng/what_is.php\">https://www.ifextechnologies.de/eng/what_is.php</a>\r\n</li>\r\n<li><a href=\"https://www.itworld.com/article/2971034/mobile/oracle-google-has-destroyed-the-market-for-java.html\">https://www.itworld.com/article/2971034/mobile/oracle-google-has-destroyed-the-market-for-java.html</a>\r\n</li>\r\n<li><a href=\"https://gizmodo.com/wow-samsungs-new-16-terabyte-ssd-is-the-worlds-largest-1723884725\">https://gizmodo.com/wow-samsungs-new-16-terabyte-ssd-is-the-worlds-largest-1723884725</a>\r\n</li>\r\n<li><a href=\"https://3dprint.com/88907/e-nable-1000-3d-hands\">https://3dprint.com/88907/e-nable-1000-3d-hands</a>\r\n</li>\r\n<li><a href=\"https://danwalsh.livejournal.com/72697.html\">https://danwalsh.livejournal.com/72697.html</a>\r\n</li>\r\n<li><a href=\"https://www.gizmag.com/bionic-sight-simulation/38823/\">https://www.gizmag.com/bionic-sight-simulation/38823/</a>\r\n</li>\r\n<li><a href=\"https://www.gizmag.com/astronauts-first-space-harvest-veggie-lettuce/38836/\">https://www.gizmag.com/astronauts-first-space-harvest-veggie-lettuce/38836/</a>\r\n</li>\r\n<li><a href=\"https://www.gizmag.com/hublot-antikythera-mechanism-first-computer-watch/20517/\">https://www.gizmag.com/hublot-antikythera-mechanism-first-computer-watch/20517/</a>\r\n</li>\r\n<li><a href=\"https://www.dailydot.com/technology/fcc-robot-lawnmower-roomba-irobot-wireless-signals\">https://www.dailydot.com/technology/fcc-robot-lawnmower-roomba-irobot-wireless-signals</a>\r\n</li>\r\n<li><a href=\"https://ow.ly/QLhSn\">https://ow.ly/QLhSn</a>\r\n</li>\r\n<li><a href=\"https://www.gizmodo.co.uk/2015/08/lord-of-the-rings-minas-tirith-city-will-be-built-in-the-uk-if-1-85-billion-can-be-raised/\">https://www.gizmodo.co.uk/2015/08/lord-of-the-rings-minas-tirith-city-will-be-built-in-the-uk-if-1-85-billion-can-be-raised/</a>\r\n</li>\r\n<li><a href=\"https://www.androidheadlines.com/2015/08/google-x-now-free-grow-alphabet.html\">https://www.androidheadlines.com/2015/08/google-x-now-free-grow-alphabet.html</a>\r\n</li>\r\n<li><a href=\"https://techaeris.com/2015/08/14/latest-android-security-patch-said-flawed/\">https://techaeris.com/2015/08/14/latest-android-security-patch-said-flawed/</a>\r\n</li>\r\n<li><a href=\"https://www.techdirt.com/articles/20150813/06165631927/lmfao-band-sends-cease-desist-over-lmfao-beer.shtml\">https://www.techdirt.com/articles/20150813/06165631927/lmfao-band-sends-cease-desist-over-lmfao-beer.shtml</a>\r\n</li>\r\n<li><a href=\"https://trib.al/69Kqjig\">https://trib.al/69Kqjig</a>\r\n</li>\r\n<li><a href=\"https://www.boston.com/news/nation/2015/08/12/harvard-student-loses-facebook-internship-after-pointing-out-privacy-flaws/zASZFdUjn6PoliUiR9kVHJ/story.html\">https://www.boston.com/news/nation/2015/08/12/harvard-student-loses-facebook-internship-after-pointing-out-privacy-flaws/zASZFdUjn6PoliUiR9kVHJ/story.html</a>\r\n</li>\r\n<li><a href=\"https://interestingengineering.com/harvard-participates-in-telepathy-research\">https://interestingengineering.com/harvard-participates-in-telepathy-research</a>\r\n</li>\r\n<li><a href=\"https://www.npr.org/sections/alltechconsidered/2015/08/17/432601480/diy-tractor-repair-runs-afoul-of-copyright-law\">https://www.npr.org/sections/alltechconsidered/2015/08/17/432601480/diy-tractor-repair-runs-afoul-of-copyright-law</a>\r\n</li>\r\n<li><a href=\"https://www.theverge.com/2015/8/18/9172523/google-router-announced-onhub\">https://www.theverge.com/2015/8/18/9172523/google-router-announced-onhub</a>\r\n</li>\r\n<li><a href=\"https://www.buzzfeed.com/beimengfu/chinese-internet-is-very-very-quiet-after-china-arrested-150#.sd4kj3M3Q\">https://www.buzzfeed.com/beimengfu/chinese-internet-is-very-very-quiet-after-china-arrested-150#.sd4kj3M3Q</a>\r\n</li>\r\n<li><a href=\"https://ct.zdnet.com/clicks?t=1775481597-b8c17a26963072c724fcd782087ab8da-bf&amp;brand=ZDNET&amp;s=5\">https://ct.zdnet.com/clicks?t=1775481597-b8c17a26963072c724fcd782087ab8da-bf&amp;brand=ZDNET&amp;s=5</a>\r\n</li>\r\n<li><a href=\"https://arstechnica.co.uk/tech-policy/2015/08/google-ordered-to-remove-links-to-stories-about-google-removing-links-to-stories/\">https://arstechnica.co.uk/tech-policy/2015/08/google-ordered-to-remove-links-to-stories-about-google-removing-links-to-stories/</a>\r\n</li>\r\n<li><a href=\"https://www.google.com/url?sa=t&amp;rct=j&amp;q=&amp;esrc=s&amp;source=web&amp;cd=3&amp;cad=rja&amp;uact=8&amp;ved=0CCwQFjACahUKEwiz76mVgbvHAhWJF5IKHWgABOk&amp;url=-http%3A%2F%2Fwiki.openwrt.org%2Fdoc%2Fhowto%2Fwireless.tool.kismet&amp;ei=SonXVbOiNImvyATogJDIDg&amp;usg=AFQjCNFdw-OpYNJQs0-MT2klqwX60Q0SbA\">https://www.google.com/url?sa=t&amp;rct=j&amp;q=&amp;esrc=s&amp;source=web&amp;cd=3&amp;cad=rja&amp;uact=8&amp;ved=0CCwQFjACahUKEwiz76mVgbvHAhWJF5IKHWgABOk&amp;url=-http%3A%2F%2Fwiki.openwrt.org%2Fdoc%2Fhowto%2Fwireless.tool.kismet&amp;ei=SonXVbOiNImvyATogJDIDg&amp;usg=AFQjCNFdw-OpYNJQs0-MT2klqwX60Q0SbA</a> \r\n</li>\r\n<li><a href=\"https://www.theverge.com/2015/8/19/9179413/google-explains-project-ara-delay\">https://www.theverge.com/2015/8/19/9179413/google-explains-project-ara-delay</a>\r\n</li>\r\n<li><a href=\"https://l.facebook.com/l.php?u=-https%3A%2F%2Ftorrentfreak.com%2Fpolice-arrest-men-for-spreading-popcorn-time-information-150819%2F&amp;h=iAQFPFZzB\">https://l.facebook.com/l.php?u=-https%3A%2F%2Ftorrentfreak.com%2Fpolice-arrest-men-for-spreading-popcorn-time-information-150819%2F&amp;h=iAQFPFZzB</a> \r\n</li>\r\n<li><a href=\"https://www.schneier.com/blog/archives/2015/08/nasty_cisco_att.html\">https://www.schneier.com/blog/archives/2015/08/nasty_cisco_att.html</a>\r\n</li>\r\n<li><a href=\"https://www.theverge.com/2015/8/21/9187131/google-life-sciences-becomes-first-alphabet-company?utm_campaign=theverge&amp;utm_content=chorus&amp;utm_medium=social&amp;utm_source=twitter\">https://www.theverge.com/2015/8/21/9187131/google-life-sciences-becomes-first-alphabet-company?utm_campaign=theverge&amp;utm_content=chorus&amp;utm_medium=social&amp;utm_source=twitter</a>\r\n</li>\r\n<li><a href=\"https://news.mit.edu/2015/solid-state-rechargeable-batteries-safer-longer-lasting-0817\">https://news.mit.edu/2015/solid-state-rechargeable-batteries-safer-longer-lasting-0817</a>\r\n</li>\r\n<li><a href=\"https://www.wired.co.uk/news/archive/2014-12/02/stephen-hawking-intel-communication-system\">https://www.wired.co.uk/news/archive/2014-12/02/stephen-hawking-intel-communication-system</a>\r\n</li>\r\n<li><a href=\"https://www.extremetech.com/extreme/181284-human-consciousness-is-simply-a-state-of-matter-like-a-solid-or-liquid-but-quantum\">https://www.extremetech.com/extreme/181284-human-consciousness-is-simply-a-state-of-matter-like-a-solid-or-liquid-but-quantum</a>\r\n</li>\r\n<li><a href=\"https://www.bleepingcomputer.com/forums/t/588383/sites-using-drwebs-torrentlocker-decryption-taking-advantage-of-victims\">https://www.bleepingcomputer.com/forums/t/588383/sites-using-drwebs-torrentlocker-decryption-taking-advantage-of-victims</a>\r\n</li>\r\n<li><a href=\"https://linux.slashdot.org/story/15/08/29/1526217/systemd-absorbs-su-command-functionality\">https://linux.slashdot.org/story/15/08/29/1526217/systemd-absorbs-su-command-functionality</a>\r\n</li>\r\n<li><a href=\"https://bgr.com/2015/08/27/ashley-madison-hack-man-responsible/\">https://bgr.com/2015/08/27/ashley-madison-hack-man-responsible/</a>\r\n</li>\r\n<li><a href=\"https://www.cnbc.com/2015/08/28/how-one-small-business-makes-electrical-engineering-easy.html\">https://www.cnbc.com/2015/08/28/how-one-small-business-makes-electrical-engineering-easy.html</a>\r\n</li>\r\n<li><a href=\"https://arstechnica.com/tech-policy/2015/08/op-ed-lexmarks-war-against-a-man-who-recycles-toner-cartridges/\">https://arstechnica.com/tech-policy/2015/08/op-ed-lexmarks-war-against-a-man-who-recycles-toner-cartridges/</a>\r\n</li>\r\n<li><a href=\"https://ow.ly/33p83A\">https://ow.ly/33p83A</a>\r\n</li>\r\n<li><a href=\"https://nextbsd.org/\">https://nextbsd.org/</a>\r\n</li>\r\n<li><a href=\"https://arstechnica.com/security/2015/08/fake-eff-site-serving-espionage-malware-was-likely-active-for-3-weeks/\">https://arstechnica.com/security/2015/08/fake-eff-site-serving-espionage-malware-was-likely-active-for-3-weeks/</a>\r\n</li>\r\n<li><a href=\"https://ow.ly/3y9UkP\">https://ow.ly/3y9UkP</a>\r\n</li>\r\n<li><a href=\"https://www.phoronix.com/scan.php?page=news_item&amp;px=LILO-Bootloader-EOY\">https://www.phoronix.com/scan.php?page=news_item&amp;px=LILO-Bootloader-EOY</a>\r\n</li>\r\n<li><a href=\"https://www.danablankenhorn.com/2015/09/the-public-interest.html\">https://www.danablankenhorn.com/2015/09/the-public-interest.html</a>\r\n</li>\r\n<li><a href=\"https://n0where.net/quick-android-review-kit-qark\">https://n0where.net/quick-android-review-kit-qark</a>\r\n</li>\r\n<li><a href=\"https://www.techdirt.com/blog/wireless/articles/20150831/07164532118/no-fcc-is-not-intentionally-trying-to-kill-third-party-wi-fi-router-firmware.shtml\">https://www.techdirt.com/blog/wireless/articles/20150831/07164532118/no-fcc-is-not-intentionally-trying-to-kill-third-party-wi-fi-router-firmware.shtml</a>\r\n<p></p>\r\n</li>\r\n</ul>\r\n',131,30,1,'CC-BY-SA','TiT Radio',0,0,1),
(1860,'2015-09-18','FiftyOneFifty interviews Chris Waid of Save WiFi',8226,'This could be the most important podcast you listen to this year','<p>\r\nThe Save WiFi program has been instituted to combat the greatest threat the open source movement has faced from government over regulation.  If you have listened to LinuxLUGCast.com, The Linux Link Tech Show, Linux for the Rest od US,or HPR recently, you may already be aware that recent decisions by the FCC have already forced router manufactures to lock down their equipment against the installation of non factory firmware.  My guest, Chris Waid, CEO of Think Penguin and a leader in the Save WiFi project, joins me to explain how Linux on the desktop may also become subject to FCC regulation.  As manufacturers incorporate more Software Defined Radio into PC\'s, the FCC may feel it has no choice but to lock down (or lock out), not only open source software, but any software that is not pre vetted and pre certified, even on proprietery OS\'s.\r\n</p>\r\n<p>\r\nRight now, there is a narrow window where the FCC has invited comment from the public, and Hacker Public Radio invites all our listeners to add their voices against this ill advised course of action.\r\n</p>\r\n<ul>\r\n<li>The Save WiFi program: <a href=\"https://libreplanet.org/wiki/Save_WiFi/Individual_Comments\">https://libreplanet.org/wiki/Save_WiFi/Individual_Comments</a>\r\n</li>\r\n<li>FCC comentary link: <a href=\"https://www.federalregister.gov/articles/2015/09/01/2015-21634/extension-of-time-for-comments-on-equipment-authorization\">https://www.federalregister.gov/articles/2015/09/01/2015-21634/extension-of-time-for-comments-on-equipment-authorization</a>\r\n</li>\r\n</ul>\r\n<p>\r\nThere is one small saving grace.  Kevin Wisher found an Ars Technica article where an unnamed FFC spokesman seems to be saying locking open source firmware out of routers was not the intended consequence (even though Open-WRT was mentioned by name in the updated rules).  I think the FCC might prefer manuafacturers avoid incorporating radio hardware that is so easily manipulated:\r\n<a href=\"https://arstechnica.com/information-technology/2015/09/fcc-accused-of-locking-down-wi-fi-routers-but-the-truth-is-a-bit-murkier/\">https://arstechnica.com/information-technology/2015/09/fcc-accused-of-locking-down-wi-fi-routers-but-the-truth-is-a-bit-murkier/</a>\r\n</p>\r\n<p>\r\nI want to give special thanks to Chris Waid for going above and beyond for recording our conversation because I was having ISP problems.  I want to appologize in advance for any audio problems, I was way low and had to fix it in post.\r\n</p>\r\n\r\n',131,78,1,'CC-BY-SA','Save WiFi,router,FCC',0,0,1),
(1868,'2015-09-30','Glasgow Podcrawl review',2908,'The intrepid Glasgow Podcrawlers meet to discuss their experiences back in July','<h2 id=\"glasgow-podcrawl-review\">Glasgow Podcrawl review</h2>\r\n<p>The second <a href=\"https://hackerpublicradio.org/eps.php?id=1788\">Glasgow Podcrawl</a> took place on the 10th of July 2015. The participants were:</p>\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/correspondents/0296.html\">Kevie</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/correspondents/0268.html\">Andrew Conway (aka mcnalu)</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/correspondents/0225.html\">Dave Morriss</a></li>\r\n<li><a href=\"https://www.linuxvoice.com/about-2/\">Andrew Gregory</a></li>\r\n</ul>\r\n<p>The event started at 6pm in the <em>State Bar</em> on Holland Street, moved on to the <em>Bon Accord</em>, the <em>Inn Deep</em> and finally to the <em>Three Judges</em>.</p>\r\n<p>Dave Morriss departed after visiting the second bar to head back to Edinburgh, but everyone else lasted to the very end!</p>\r\n<p>In this episode hear the details of this singular event, and a whole lot about many other things.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><a href=\"https://kmacphail.blogspot.co.uk/2015/01/podcrawl-glasgow-2015.html\" class=\"uri\">https://kmacphail.blogspot.co.uk/2015/01/podcrawl-glasgow-2015.html</a></li>\r\n</ul>',225,0,1,'CC-BY-SA','Glasgow,Podcrawl,review',0,0,1),
(1872,'2015-10-06','Sim City BuildIt September 2015',1417,'I talk about one of my favorite games sim city buildit','<p>\r\nDefinately focus on getting enough golden keys as it allows you to get some very good buildings\r\n</p>',297,0,0,'CC-BY-SA','games, iPad, android, google play',0,0,1),
(1876,'2015-10-12','MicrobeLog, or: On Shaving Yaks and Doing Things',561,'Why I\'m making an HPR episode, and why I\'m making a vaporware social network engine','<p>\r\nThe MicrobeLog overview: <a href=\"https://gitlab.com/microbelog/manifest\">https://gitlab.com/microbelog/manifest</a>\r\n</p>\r\n<p>\r\nhpr1726 :: 15 Excuses not to Record a show for HPR:\r\n<a href=\"https://hackerpublicradio.org/eps.php?id=1726\">https://hackerpublicradio.org/eps.php?id=1726</a>\r\n</p>\r\n<p>\r\nI think I\'ve pretty much had to fight excuses 5, 7, 10 and 12. :-)\r\n</p>',311,0,0,'CC-BY-SA','federation, python, microservices, gtd, yakshaving',0,0,1),
(1877,'2015-10-13','Recording HPR on the fly on your Android phone',378,'How quickly can you get an HPR recording done? 10 minutes including app install! Sort of.','<p>This episode was produced entirely on my phone, including upload.</p>\r\n\r\n<p>Apologies for the atrocious sound quality and the low volume. Consider it performance art. I know I need to speak closer to the phone next time. There\'s DroidGain, but I guess it only accepts mp3.</p>\r\n\r\n<p>TL;DL: Install Urecord from F-Droid, choose 44.1 kHz, RECORD!</p>\r\n\r\n\r\n<p>I estimate the total amount of time spent on this episode at:</p>\r\n<ul>\r\n<li>20 mins &ndash; installing apps on two phones</li>\r\n<li>20 mins &ndash; evaluate apps on two phones (while cooking!)</li>\r\n<li>6 mins &ndash; record episode</li>\r\n<li>10 mins &ndash; update HPR user profile</li>\r\n<li>30 mins &ndash; write show notes (while having dinner!)</li>\r\n<li>15 mins &ndash; figure out how to upload this thing from a phone</li>\r\n<li>?? &ndash; upload episode</li>\r\n</ul>\r\n\r\n<p>A large part of the typing time was angle brackets. HATE screen input. I want a modern phone with sliding QWERTY like the good old X10 Mini Pro, or maybe the slightly larger HTC Desire Z. Apparently the market doesn\'t. :-(</p>\r\n\r\n<p>Wow, turns out the difficult part was to upload the file. Had to use a file manager as a \"provider\" for Firefox to get the \"document\" from.</p>\r\n',311,0,1,'CC-BY-SA','android, hpr, audio, recording',0,0,1),
(1881,'2015-10-19','My road to Linux',912,'I\'m so old I actually installed Watchtower on an Amiga and I review 22 years of Linux distributions','<p>I went against my own recommendations from <a \r\nhref=\"https://hackerpublicradio.org/eps.php?id=1877\">my previous episode</a> \r\nand used Rehearsal Assistant, because it can rename files inside the app. \r\nWell, turns out it records at 8 kHz and encodes it as 3GPP.</p>\r\n\r\n<p>Sound quality: Yes, it\'s at a terrible sample rate, but you can \r\nhear what I\'m saying and at least I\'m Holding It Right.\r\nThere\'s no problem with sudden drops in \r\nlevel.</p>\r\n\r\n<p>Do as I say, don\'t do as I do. Use\r\n<a href=\"https://f-droid.org/repository/browse/?fdfilter=urecord&fdid=cc.co.eurdev.urecorder\">Urecord</a>,\r\nwhich is obviously \r\npronounced <q>you record</q> as in telling someone to record something, not \r\n<q>you record!</q> as in insulting someone by comparing them to a vinyl disc. \r\nDon\'t say as I say.</p>\r\n\r\n<p><a href=\"https://slirp.sourceforge.net/\">Slirp</a> can use either SLIP or \r\nPPP. I think I used Slirp with SLIP, and there was some other connection \r\nmethod that provided PPP directly without logging in and running a command. \r\nMaybe their getty even understood the PPP blurb and just went directly to \r\npppd. Anyway, my Amiga-side software didn\'t support it. When I switched to \r\nLinux I was able to use the other method and just talk PPP directly and \r\nauthorize using CHAP.</p>\r\n\r\n<p>Debian <a href=\"https://www.linux-m68k.org/dists.html\">didn\'t support Amiga\r\nuntil Debian Hamm</a>, which was released in 1998. So I didn\'t have much\r\nchoice but to run Watchtower and compile my own stuff. By 1998 the Amiga was\r\nalready gathering dust in my wardrobe back at my parents\' place, while my PC\r\nand I were preparing to travel the seas with the Swedish Royal Navy and\r\nhang out (not really) with David Letterman on Saint Barths.</p>\r\n\r\n<p><a href=\"https://en.wikipedia.org/wiki/UserLinux\">Wikipedia</a> says that \r\nyes, it was Bruce Perens who tried to get UserLinux going, but they claim \r\nUbuntu killed it. I don\'t remember UserLinux getting any traction at all. I \r\nthink it\'s more accurate to say that Ubuntu put the last nail in its coffin. \r\nLWN <a href=\"https://lwn.net/Articles/151642/\">seems to agree</a>: <em><q>The \r\nimmediate cause of death was an inability to deliver software. Today there \r\nstill is no real delivered product, over three months after the release of \r\nDebian Sarge.</q></em></p>\r\n\r\n<p>But the same article reveals that I was completely wrong about Bruce \r\ntrying to gather existing vendors together: <em><q>It was occasionally \r\nconfused with UnitedLinux by people familiar with the Linux market. \r\nUnitedLinux is the old Caldera, Conectiva, SUSE and Turbolinux \r\ninitiative.</q></em> Yeah, I was thinking of the one with Turbolinux in it. \r\nThat name rings a bell. But I thought Turbolinux was Finnish. Apparently they \r\nwere Japanese. Or <a href=\"https://www.turbolinux.com/\">actually</a>, \r\napparently they <em>are</em> Japanese.</p>\r\n\r\n<p>Ah yes, <a \r\nhref=\"https://wayback.archive.org/web/20020201162513/https://www.bestlinux.net/en/\">Best Linux</a>, that was the Finnish one.</p>\r\n\r\n<p>I know that <a \r\nhref=\"https://www.gnu.org/software/guix/manual/html_node/Introduction.html\">guix\r\nis pronounced <q>geeks</q></a>. I just don\'t know it in my heart. Just \r\nlike I actually think GNU/Linux is the better descriptive term, but I keep \r\ntalking about the <q>Linux ecosystem</q>* etc, where 95% of that ecosystem is \r\nabstracted away from Linux by glibc and runs just as well on \r\nFreeBSD.</p>\r\n\r\n<p>* Yes, you may hate the term <q>ecosystem</q>. I happen to think it\'s an \r\napt** analogy.</p>\r\n<p>** You see what I did there.</p>\r\n\r\n<h3>Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.linux-m68k.org/faq/saynotowatchtower.html\">https://www.linux-m68k.org/faq/saynotowatchtower.html</a></li>\r\n<li><a href=\"https://microca.st/clacke\">https://microca.st/clacke</a></li>\r\n<li><a href=\"https://quitter.se/clacke\">https://quitter.se/clacke</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1877\">https://hackerpublicradio.org/eps.php?id=1877</a></li>\r\n<li><a\r\nhref=\"https://f-droid.org/repository/browse/?fdfilter=urecord&fdid=cc.co.eurdev.urecorder\">https://f-droid.org/repository/browse/?fdfilter=urecord&amp;fdid=cc.co.eurdev.urecorder</a></li>\r\n<li><a href=\"https://slirp.sourceforge.net/\">https://slirp.sourceforge.net/</a></li>\r\n<li><a href=\"https://www.linux-m68k.org/dists.html\">https://www.linux-m68k.org/dists.html</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/UserLinux\">https://en.wikipedia.org/wiki/UserLinux</a></li>\r\n<li><a href=\"https://lwn.net/Articles/151642/\">https://lwn.net/Articles/151642/</a></li>\r\n<li><a href=\"https://www.turbolinux.com/\">https://www.turbolinux.com/</a></li>\r\n<li><a href=\"https://wayback.archive.org/web/20020201162513/https://www.bestlinux.net/en/\">https://wayback.archive.org/web/20020201162513/https://www.bestlinux.net/en/</a></li>\r\n<li><a href=\"https://www.gnu.org/software/guix/manual/html_node/Introduction.html\">https://www.gnu.org/software/guix/manual/html_node/Introduction.html</a></li>\r\n</ul>\r\n',311,29,0,'CC-BY-SA','Urecord,Slirp,Amiga,turbolinux,guix',0,0,1),
(1878,'2015-10-14','What\'s In My Bag',548,'What\'s in my travel bag for my upcoming client trip','<h3 id=\"whats-in-my-bag-show-notes\">What\'s in My Bag Show Notes</h3>\r\n<p>Here are some links from the highlights of the episode</p>\r\n<ul>\r\n<li>Aegis Apricorn Encrypted USB:<br />\r\n<a href=\"https://www.newegg.com/Product/Product.aspx?Item=N82E16820461005&cm_re=aegis_apricorn-_-20-461-005-_-Product\">https://www.newegg.com/Product/Product.aspx?Item=N82E16820461005&amp;cm_re=aegis_apricorn-_-20-461-005-_-Product</a></li>\r\n<li><code>fallocate -l 3G myimage.img</code>. Then I mount it and created a luks encrypted partition on the img file.</li>\r\n<li>Logitech Ultrathin Mouse: <br />\r\n<a href=\"https://www.newegg.com/Product/Product.aspx?Item=9SIA4A02WA7207&cm_re=logitech_ultrathin_mouse-_-26-104-913-_-Product\">https://www.newegg.com/Product/Product.aspx?Item=9SIA4A02WA7207&amp;cm_re=logitech_ultrathin_mouse-_-26-104-913-_-Product</a></li>\r\n<li>Klipsche earbuds: <br />\r\n<a href=\"https://www.amazon.com/Klipsch-Image-S4--II-Black/dp/B008X9Q0JK/ref=sr_1_9?ie=UTF8&qid=1443056756&sr=8-9\">https://www.amazon.com/Klipsch-Image-S4--II-Black/dp/B008X9Q0JK/ref=sr_1_9?ie=UTF8&amp;qid=1443056756&amp;sr=8-9</a></li>\r\n</ul>\r\n',300,23,0,'CC-BY-SA','Consulting, travel',0,0,1),
(1886,'2015-10-26','Moral Volcano\'s Linux Tips &amp; Tricks podcast for Hacker Public Radio',3884,'A collection of Linux tips and tricks that may be useful new users.','<p>\r\nWelcome to my first podcast for Hacker Public Radio. \r\n</p>\r\n<ol>\r\n<li>Like Gnome 3? Good for you.\r\n</li>\r\n<li>Don\'t like Gnome 3 or like Gnome 2 more? Then, get a Linux distro with the Mate desktop. Mate desktop was forked from Gnome 2. Gnome 2 development was stopped by the Gnome 3 team.</li>\r\n<li>After installing the Mate desktop, install the Nimbus theme and Compiz desktop effects.<br />\r\n   <a href=\"https://www.dropbox.com/s/47579lbgjsqgazz/nimbus-icon-theme_0.1.4-2_all.deb?dl=0\">https://www.dropbox.com/s/47579lbgjsqgazz/nimbus-icon-theme_0.1.4-2_all.deb?dl=0</a><br />\r\n   <a href=\"https://www.dropbox.com/s/ndei6yi4lj2zmid/gtk2-engines-nimbus_0.1.4-2_amd64.deb?dl=0\">https://www.dropbox.com/s/ndei6yi4lj2zmid/gtk2-engines-nimbus_0.1.4-2_amd64.deb?dl=0</a><br />\r\n   I don\'t have the 32-bit edition.\r\n</li>\r\n<li>Have a USB wireless modem? Use wvdial or gnome-ppp with \"stupid mode\" enabled.</li>\r\n<li>Change gnome-terminal color scheme to Green-On-Black and the the following line to your .bashrc for a colorful and usable terminal window.\r\n   <pre>PS1=\"\\a\\n\\n\\e[31;1m\\u@\\h on \\d at \\@\\n\\e[33;1m\\w\\e[0m\\n$ \"</pre>\r\n   <a href=\"https://www.vsubhash.com/article.asp?id=13&info=Ubuntu_and_Gnome_Diary#change_terminal_prompt\">https://www.vsubhash.com/article.asp?id=13&amp;info=Ubuntu_and_Gnome_Diary#change_terminal_prompt</a></li>\r\n<li>Install CMU fonts from<br />\r\n   <a href=\"https://canopus.iacp.dvo.ru/~panov/cm-unicode/\">https://canopus.iacp.dvo.ru/~panov/cm-unicode/</a></li>\r\n<li>Download Google fonts using this bash script\r\n   <pre>wget https://googlefontdirectory.googlecode.com/hg/ofl/ -r -nc -nd -np -A.ttf</pre>\r\n   This command takes a while to parse all the pages and find the fonts that need to be downloaded.<br />\r\n   <a href=\"https://www.youtube.com/watch?v=Cj6zhjW7ZS0\">https://www.youtube.com/watch?v=Cj6zhjW7ZS0</a></li>\r\n<li>Good Artists Copy, Great Artists Steal; Jonathan Schwartz; March 2010<br />\r\n   <a href=\"https://jonathanischwartz.wordpress.com/2010/03/09/good-artists-copy-great-artists-steal/\">https://jonathanischwartz.wordpress.com/2010/03/09/good-artists-copy-great-artists-steal/</a></li>\r\n<li>Undead Myths In The Wake Of iDead Steve Jobs; V. Subhash; November 2011<br />\r\n   <a href=\"https://www.vsubhash.com/article.asp?id=112&info=Undead_Myths_In_The_Wake_Of_iDead_Steve_Jobs\">https://www.vsubhash.com/article.asp?id=112&amp;info=Undead_Myths_In_The_Wake_Of_iDead_Steve_Jobs</a></li>\r\n<li>Support free software<br />\r\n   <a href=\"https://my.fsf.org/donate\">https://my.fsf.org/donate</a><br />\r\n   <a href=\"https://mate-desktop.org/donate/\">https://mate-desktop.org/donate/</a><br />\r\n   <a href=\"https://www.linuxmint.com/donors.php\">https://www.linuxmint.com/donors.php</a>\r\n</li>\r\n<li>Firestarter firewall - I think it needs only a little attention from Linux developers before it can be extremely useful again. Most of it still works.<br />\r\n   <a href=\"https://fs-security.com/\">https://fs-security.com/</a></li>\r\n</ol>\r\n',312,0,0,'CC-BY-SA','desktop,Mate,wvdial,gnome-ppp,fonts,Firestarter firewall ',0,0,1),
(1874,'2015-10-08','Interview with Droops',3239,'To mark the 10 year anniversary of HPR we talk to droops one of the founders of Today with a Techie.','<p>\r\nWe started producing shows as Today with a Techie 10 years ago this weekend. To mark the project we track down <a href=\"https://hackerpublicradio.org/correspondents/0001.html\">droops</a> one of the founders and ask him about the early days.\r\n</p>\r\n<h1>About HPR.</h1>\r\n  <p>Hacker Public Radio (HPR) is an Internet Radio show (podcast) that releases shows every weekday Monday through Friday. HPR has a long lineage going back to <a href=\"https://www.oldskoolphreak.com\" target=\"_blank\">Radio FreeK America</a>, <a href=\"https://www.binrev.com\" target=\"_blank\">Binary Revolution Radio</a> &amp; <a href=\"https://nomicon.info\" target=\"_blank\">Infonomicon</a>, and it is a direct continuation of <a href=\"https://twatech.org/\" target=\"_blank\">Twatech</a> radio. Please listen to StankDawg\'s \"<a href=\"https://hackerpublicradio.org/eps/hpr0001.mp3\" target=\"_blank\">Introduction to HPR</a>\" for more information.</p>\r\n  \r\n  <p>What differentiates HPR from other podcasts is that the shows are produced by the community - fellow listeners like <strong><a href=\"https://hackerpublicradio.org/contact.php\" target=\"_blank\">you</a></strong>. There is no restrictions on how long the show can be, nor on the topic you can cover as long as they <em>\"are of interest to <a href=\"https://en.wikipedia.org/wiki/Hacker_(hobbyist)\" target=\"_blank\">Hackers</a>\"</em>. If you want to see what topics have been covered so far just have a look at our <a href=\"https://hackerpublicradio.org/index_full.php\" target=\"_blank\">Archive</a>. We also allow for a <a href=\"https://hackerpublicradio.org/series.php\" target=\"_blank\">series</a> of shows so that host(s) can go into more detail on a topic.<p>\r\n\r\n  <p>You can download/listen to the show <a href=\"https://hackerpublicradio.org/index_full.php\" target=\"_blank\">here</a> or you can <a href=\"https://hackerpublicradio.org/hpr_rss.php\" target=\"_blank\">subscribe</a> to the show in your favorite podcatching client (like <a href=\"https://lincgeek.org/bashpodder\" target=\"_blank\">BashPodder</a>) to automatically get our new shows as soon as they are available. You can copy and redistribute the shows for free provided you adhere to the <a href=\"https://creativecommons.org/licenses/by-sa/3.0/\" target=\"_blank\">Creative Commons Attribution<wbr>ShareAlike 3.0 License</a>.</p>\r\n  \r\n  <p>We do not filter the shows in any way other than to check if they are audible and not blatant attempts at spam.</p>\r\n  \r\n  <p id=\"you_owe_me_a_show\">\r\n  Hacker Public Radio is dedicated to sharing knowledge. We do not accept donations, but if you listen to HPR, then we would love you to <a href=\"contribute.php\">contribute</a> one show a year.\r\n  </p>\r\n  \r\n  <h2>In the Press.</h2>\r\n  <ul>\r\n  <li>2014-12-09: <a href=\"https://joeyh.name/blog/entry/podcasts_that_dont_suck_2014/\">podcasts that don\'t suck, 2014 edition (Joey Hess)</a>(<a href=\"press/podcasts_that_dont_suck_2014_edition.pdf\">Archived</a>)</li>\r\n  <li>2014-06-30: <a href=\"https://opensource.com/life/14/6/hacker-public-radio\">Free software on Hacker Public Radio</a> by Bryan Behrenshausen (Red Hat)(<a href=\"press/Free_software_on_Hacker_Public_Radio.pdf\">Archived</a>)</li>\r\n  <li>2014-04-19: <a href=\"https://www.efytimes.com/e1/fullnews.asp?edid=136312\">10 Useful Places Hosting Informative Podcasts On Linux</a> (<a href=\"press/10_Useful_Places_Hosting_Informative_Podcasts_On_Linux.pdf\">Archived</a>)\r\n  <li>2014-04-11: <a href=\"https://blog.sleeplessbeastie.eu/2014/04/11/hand-picked-audio-podcasts-for-linux-users/\">Hand-picked audio podcasts for Linux users</a> by Milosz Galazka (<a href=\"press/hand-picked-audio-podcasts-for-linux-users.pdf\">Archive</a>)</li>\r\n  <li>2013-10-11: <a href=\"https://www.linuxlinks.com/article/20130706190339587/LinuxPodcasts-Page1.html\">Illuminating Linux Podcasts</a> by Dan Petersen (<a href=\"press/Illuminating_Linux_Podcasts.pdf\">Archive</a>)</li>\r\n  <li>2012-12-24: <a href=\"https://www.maketecheasier.com/10-great-podcasts-for-linux-open-source-geeks/\">10 Great Podcasts for Linux &amp; Open Source Geeks</a> by Rebecca \"Ruji\" Chapnik (<a href=\"press/10-great-podcasts-for-linux-open-source-geeks.pdf\">Archived</a>)</li>\r\n  <li>2011-08-01: <a href=\"https://www.linuxformat.com/archives?issue=147\">Linux Format: Pick the perfect geek podcast in our roundup</a> by Mayank Sharma in Linux Format Magazine(<a href=\"press/hpr-linux-format.png\">Archive</a>)</li>\r\n  </ul>\r\n\r\n<h3>Links</h3>                                                                                                                                               \r\n<ul>                                                                                                                                                         \r\n<li><a href=\"https://hackerpublicradio.org/correspondents/0001.html\">https://hackerpublicradio.org/correspondents/0001.html</a></li>                     \r\n<li><a href=\"https://www.oldskoolphreak.com\">https://www.oldskoolphreak.com</a></li>                                                                           \r\n<li><a href=\"https://www.binrev.com\">https://www.binrev.com</a></li>                                                                                           \r\n<li><a href=\"https://nomicon.info\">https://nomicon.info</a></li>                                                                                               \r\n<li><a href=\"https://twatech.org/\">https://twatech.org/</a></li>                                                                                               \r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr0001.mp3\">https://hackerpublicradio.org/eps/hpr0001.mp3</a></li>                                             \r\n<li><a href=\"https://hackerpublicradio.org/contact.php\">https://hackerpublicradio.org/contact.php</a></li>                                                     \r\n<li><a href=\"https://en.wikipedia.org/wiki/Hacker_(hobbyist)\">https://en.wikipedia.org/wiki/Hacker_(hobbyist)</a></li>                                         \r\n<li><a href=\"https://hackerpublicradio.org/index_full.php\">https://hackerpublicradio.org/index_full.php</a></li>                                               \r\n<li><a href=\"https://hackerpublicradio.org/series.php\">https://hackerpublicradio.org/series.php</a></li>                                                       \r\n<li><a href=\"https://hackerpublicradio.org/index_full.php\">https://hackerpublicradio.org/index_full.php</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/hpr_rss.php\">https://hackerpublicradio.org/hpr_rss.php</a></li>\r\n<li><a href=\"https://lincgeek.org/bashpodder\">https://lincgeek.org/bashpodder</a></li>\r\n<li><a href=\"https://creativecommons.org/licenses/by-sa/3.0/\">https://creativecommons.org/licenses/by-sa/3.0/</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/contribute.php\">https://hackerpublicradio.org/contribute.php</a></li>\r\n<li><a href=\"https://joeyh.name/blog/entry/podcasts_that_dont_suck_2014/\">https://joeyh.name/blog/entry/podcasts_that_dont_suck_2014/</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/press/podcasts_that_dont_suck_2014_edition.pdf\">https://hackerpublicradio.org/press/podcasts_that_dont_suck_2014_edition.pdf</a></li>\r\n<li><a href=\"https://opensource.com/life/14/6/hacker-public-radio\">https://opensource.com/life/14/6/hacker-public-radio</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/press/Free_software_on_Hacker_Public_Radio.pdf\">https://hackerpublicradio.org/press/Free_software_on_Hacker_Public_Radio.pdf</a></li>\r\n<li><a href=\"https://www.efytimes.com/e1/fullnews.asp?edid=136312\">https://www.efytimes.com/e1/fullnews.asp?edid=136312</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/press/10_Useful_Places_Hosting_Informative_Podcasts_On_Linux.pdf\">https://hackerpublicradio.org/press/10_Useful_Places_Hosting_Informative_Podcasts_On_Linux.pdf</a></li>\r\n<li><a href=\"https://blog.sleeplessbeastie.eu/2014/04/11/hand-picked-audio-podcasts-for-linux-users/\">https://blog.sleeplessbeastie.eu/2014/04/11/hand-picked-audio-podcasts-for-linux-users/</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/press/hand-picked-audio-podcasts-for-linux-users.pdf\">https://hackerpublicradio.org/press/hand-picked-audio-podcasts-for-linux-users.pdf</a></li>\r\n<li><a href=\"https://www.linuxlinks.com/article/20130706190339587/LinuxPodcasts-Page1.html\">https://www.linuxlinks.com/article/20130706190339587/LinuxPodcasts-Page1.html</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/press/Illuminating_Linux_Podcasts.pdf\">https://hackerpublicradio.org/press/Illuminating_Linux_Podcasts.pdf</a></li>\r\n<li><a href=\"https://www.maketecheasier.com/10-great-podcasts-for-linux-open-source-geeks/\">https://www.maketecheasier.com/10-great-podcasts-for-linux-open-source-geeks/</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/press/10-great-podcasts-for-linux-open-source-geeks.pdf\">https://hackerpublicradio.org/press/10-great-podcasts-for-linux-open-source-geeks.pdf</a></li>\r\n<li><a href=\"https://www.linuxformat.com/archives?issue=147\">https://www.linuxformat.com/archives?issue=147</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/press/hpr-linux-format.png\">https://hackerpublicradio.org/press/hpr-linux-format.png</a></li>\r\n</ul>\r\n',30,78,1,'CC-BY-SA','TWaTech, RFA, Radio FreeK America, BinRev, Binary Revolution Radio, Infonomicon',0,0,1),
(1879,'2015-10-15','Hacking a Belt to Make it Fit',906,'I record a show while hacking a belt to make it fit.','<p>In this episode I talk while I\'m performing a belt hack. I bought a belt at Goodwill that is in excellent condition but does not fit me. To make it fit I need to cut off 6.25 inches and then put it back together.</p>\r\n<p>This is the belt as I got it. Notice the very small screws holding the buckle to the belt.</p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr1879/01_belt.jpeg\" alt=\"The Buckle\" /></p>\r\n<p>The screws are out, the belt removed from the buckle. You can see here the two holes that accommodate the screws as well as the rectangular notch.</p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr1879/02_belt.jpeg\" alt=\"Buckle detached from belt\" /></p>\r\n<p>I\'ve cut off 6.25&quot; from the belt, ready to make the holes and notch in the remaining part.</p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr1879/03_belt.jpeg\" alt=\"6.25&quot; cut off\" /></p>\r\n<p>Here I\'ve clamped the part of the belt that I cut off to the remaining part to use as a template for making the holes and the notch.</p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr1879/04_belt.jpeg\" alt=\"Hole-and-notch template clamped to the belt\" /></p>\r\n<p>Holes and notch cut in the remaining part of the belt. Doesn\'t look as nice as the original but it should work.</p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr1879/05_belt.jpeg\" alt=\"Holes and notch are cut\" /></p>\r\n<p>All done. Belt is reassembled and I\'m wearing it, fits just right!</p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr1879/06_belt.jpeg\" alt=\"Perfect fit\" /></p>\r\n\r\n',238,0,0,'CC-BY-SA','DIY, belts, dressing spiffily',0,0,1),
(1880,'2015-10-16','Arduino Bluetooth HOWTO',2494,'Klaatu talks about getting a bluetooth module for an arduino, and how to make it work','<p>\r\nKlaatu talks about the HC-05 and -06 series of bluetooth modules and how to use them with an Arduino, including some basic code on the Arduino to get it to respond to signals over bluetooth, and some basic PyQt code on how to send signals to the bluetooth device. PLUS, he talks about configuring the bluetooth so that it is connected to the serial port of your system (so that Python can use it).\r\n</p>\r\n<p>\r\nA super basic bluetooth controller app can be found here:\r\n<a href=\"https://gitlab.com/makerbox/rovcon\">https://gitlab.com/makerbox/rovcon</a> \r\n(it\'s Klaatu\'s code, and it\'s not quite finished, so if you have improvements or questions, feel free to comment or merge or email)\r\n</p>',78,91,0,'CC-BY-SA','arduino,python,qt',0,0,1),
(1882,'2015-10-20','How I Compute Away From My Computer',1666,'Thaj explains his setup for computing outside of the house, without his laptop.','<p>Here is a list of the stuff I bought, as well as the apps I list in the episode:</p>\r\n<ul>\r\n<li><p>NVIDIA SHIELD Tablet (WiFi) - <a href=\"https://www.amazon.com/NVIDIA-940-81761-2505-000-SHIELD-Tablet-WiFi/dp/B00LM6KF7O/ref=sr_1_1?ie=UTF8&amp;qid=1444100607&amp;sr=8-1&amp;keywords=nvidia+shield+tablet\" class=\"uri\">https://www.amazon.com/NVIDIA-940-81761-2505-000-SHIELD-Tablet-WiFi/dp/B00LM6KF7O/ref=sr_1_1?ie=UTF8&amp;qid=1444100607&amp;sr=8-1&amp;keywords=nvidia+shield+tablet</a></p></li>\r\n<li><p>Fintie NVIDIA SHIELD Tablet SmartShell Case - <a href=\"https://www.amazon.com/Fintie-NVIDIA-SHIELD-Tablet-SmartShell/dp/B00MN98ATE/ref=sr_1_1?ie=UTF8&amp;qid=1444100658&amp;sr=8-1&amp;keywords=fintie+nvidia+shield+cover\" class=\"uri\">https://www.amazon.com/Fintie-NVIDIA-SHIELD-Tablet-SmartShell/dp/B00MN98ATE/ref=sr_1_1?ie=UTF8&amp;qid=1444100658&amp;sr=8-1&amp;keywords=fintie+nvidia+shield+cover</a></p></li>\r\n<li><p>Tonor® Rechargeable Bluetooth Wireless Mouse - <a href=\"https://www.amazon.com/gp/product/B00XN20U5W?psc=1&amp;redirect=true&amp;ref_=oh_aui_detailpage_o00_s00\" class=\"uri\">https://www.amazon.com/gp/product/B00XN20U5W?psc=1&amp;redirect=true&amp;ref_=oh_aui_detailpage_o00_s00</a></p></li>\r\n<li><p>iKross Bluetooth 3.0 Wireless Folding Compact Size Keyboard - <a href=\"https://www.amazon.com/iKross-Bluetooth-Wireless-Keyboard-Smartphone/dp/B00JJ39YPG/ref=sr_1_1?ie=UTF8&amp;qid=1444100697&amp;sr=8-1&amp;keywords=ikross+bluetooth+keyboard\" class=\"uri\">https://www.amazon.com/iKross-Bluetooth-Wireless-Keyboard-Smartphone/dp/B00JJ39YPG/ref=sr_1_1?ie=UTF8&amp;qid=1444100697&amp;sr=8-1&amp;keywords=ikross+bluetooth+keyboard</a></p></li>\r\n<li><p>Anker PowerPort 5 - <a href=\"https://www.amazon.com/Anker-PowerPort-Charging-Multi-Port-Charger/dp/B00VH8ZW02/ref=sr_1_1?ie=UTF8&amp;qid=1444100730&amp;sr=8-1&amp;keywords=anker+powerport+5\" class=\"uri\">https://www.amazon.com/Anker-PowerPort-Charging-Multi-Port-Charger/dp/B00VH8ZW02/ref=sr_1_1?ie=UTF8&amp;qid=1444100730&amp;sr=8-1&amp;keywords=anker+powerport+5</a></p></li>\r\n</ul>\r\n<h3 id=\"freeopen-source-android-apps\">Free/Open Source Android Apps:</h3>\r\n<ul>\r\n<li>AntennaPod</li>\r\n<li>Atomic</li>\r\n<li>ChatSecure</li>\r\n<li>Connectbot (honorable mention to Irissi Connectbot)</li>\r\n<li>FB Reader</li>\r\n<li>F-Droid</li>\r\n<li>HN</li>\r\n<li>NewPipe</li>\r\n<li>K9 Mail</li>\r\n<li>Orbot</li>\r\n<li>Orweb</li>\r\n<li>Owncloud</li>\r\n<li>OwnNote</li>\r\n<li>Pixel Dungeon</li>\r\n<li>Plumble</li>\r\n<li>RedReader</li>\r\n<li>Termux</li>\r\n<li>Twidere</li>\r\n<li>VLC</li>\r\n</ul>\r\n<h3 id=\"not-so-freeopen-source-android-apps\">Not so Free/Open Source Android Apps:</h3>\r\n<ul>\r\n<li>LastPass</li>\r\n<li>ezPDF Reader</li>\r\n<li>News+</li>\r\n</ul>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.amazon.com/NVIDIA-940-81761-2505-000-SHIELD-Tablet-WiFi/dp/B00LM6KF7O/ref=sr_1_1?ie=UTF8&amp;qid=1444100607&amp;sr=8-1&amp;keywords=nvidia+shield+tablet\" class=\"uri\">https://www.amazon.com/NVIDIA-940-81761-2505-000-SHIELD-Tablet-WiFi/dp/B00LM6KF7O/ref=sr_1_1?ie=UTF8&amp;qid=1444100607&amp;sr=8-1&amp;keywords=nvidia+shield+tablet</a></li>\r\n<li><a href=\"https://www.amazon.com/Fintie-NVIDIA-SHIELD-Tablet-SmartShell/dp/B00MN98ATE/ref=sr_1_1?ie=UTF8&amp;qid=1444100658&amp;sr=8-1&amp;keywords=fintie+nvidia+shield+cover\" class=\"uri\">https://www.amazon.com/Fintie-NVIDIA-SHIELD-Tablet-SmartShell/dp/B00MN98ATE/ref=sr_1_1?ie=UTF8&amp;qid=1444100658&amp;sr=8-1&amp;keywords=fintie+nvidia+shield+cover</a></li>\r\n<li><a href=\"https://www.amazon.com/gp/product/B00XN20U5W?psc=1&amp;redirect=true&amp;ref_=oh_aui_detailpage_o00_s00\" class=\"uri\">https://www.amazon.com/gp/product/B00XN20U5W?psc=1&amp;redirect=true&amp;ref_=oh_aui_detailpage_o00_s00</a></li>\r\n<li><a href=\"https://www.amazon.com/iKross-Bluetooth-Wireless-Keyboard-Smartphone/dp/B00JJ39YPG/ref=sr_1_1?ie=UTF8&amp;qid=1444100697&amp;sr=8-1&amp;keywords=ikross+bluetooth+keyboard\" class=\"uri\">https://www.amazon.com/iKross-Bluetooth-Wireless-Keyboard-Smartphone/dp/B00JJ39YPG/ref=sr_1_1?ie=UTF8&amp;qid=1444100697&amp;sr=8-1&amp;keywords=ikross+bluetooth+keyboard</a></li>\r\n<li><a href=\"https://www.amazon.com/Anker-PowerPort-Charging-Multi-Port-Charger/dp/B00VH8ZW02/ref=sr_1_1?ie=UTF8&amp;qid=1444100730&amp;sr=8-1&amp;keywords=anker+powerport+5\" class=\"uri\">https://www.amazon.com/Anker-PowerPort-Charging-Multi-Port-Charger/dp/B00VH8ZW02/ref=sr_1_1?ie=UTF8&amp;qid=1444100730&amp;sr=8-1&amp;keywords=anker+powerport+5</a></li>\r\n</ul>\r\n',270,0,0,'CC-BY-SA','android, tablet, on the go, portable, apps, free software, open source software',0,0,1),
(1883,'2015-10-21','Don\'t Get Locked In',1080,'Knightwise discusses how he uses tools from several major software platforms to get his work done','<p>\r\nIn this episode Knightwise talks about the cross-platform tools he uses for\r\nhis day job as a freelance IT consultant. All three of the major OS platforms\r\n(Linux, OS X and Windows) have their strengths, so by leveraging systems from\r\nacross all ecosystems Knightwise can use what he feels is the best tool for\r\nany individual task.\r\n</p>\r\n<p>\r\nUse the tool that\'s right for you without letting the fanboys or the zealots get in your way.\r\n</p>\r\n',111,0,0,'CC-BY-SA','cross-platform tools ',0,0,1),
(1884,'2015-10-22','Some more Bash tips',949,'Some information about brace expansion in Bash that you might not know','<h1 id=\"some-more-bash-tips\">Some more Bash tips</h1>\r\n<p>We looked at <em>Parameter Expansion</em> back in HPR episode <a href=\"https://hackerpublicradio.org/eps.php?id=1648\" title=\"Bash parameter manipulation\">1648</a> where we saw how Bash variables could be used, checked and edited. There are other sorts of expansions within Bash, and we\'ll look at one called &quot;<em>Brace Expansion</em>&quot; in this episode, which follows on from episode <a href=\"https://hackerpublicradio.org/eps.php?id=1843\" title=\"Some Bash tips\">1843</a> &quot;<em>Some Bash tips</em>&quot;.</p>\r\n<p>I have written out a moderately long set of notes about this subject and these are available here <a href=\"https://hackerpublicradio.org/eps/hpr1884_full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1884_full_shownotes.html</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>HPR episode 1648 &quot;<em>Bash parameter manipulation</em>&quot;: <a href=\"https://hackerpublicradio.org/eps.php?id=1648\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1648</a></li>\r\n<li>HPR episode 1843 &quot;<em>Some Bash tips</em>&quot;: <a href=\"https://hackerpublicradio.org/eps.php?id=1843\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1843</a></li>\r\n</ul>\r\n',225,42,1,'CC-BY-SA','Bash,brace expansion,seq',0,0,1),
(1887,'2015-10-27','Coffee Making Basics',642,'Reply to HPR Episode 1871 &amp; Coffee Making','<p>Hi. This is &quot;JustMe&quot;. I\'ve been in &amp; out of computing since the late 70s. I\'m currently running the latest version of Linux Mint LMDE Mate on this Intel Core2 Q8300 CPU running @ 2.50GHz, on an ASRock motherboard with 8G of memory. Storage is provided by a 120Gb Samsung 850 EVO SSD for the OS and a Western Digital WD20 2T HD as home &amp; swap. Video is provided by nVidia. My monitor is an LG E2441 wide screen. I built this box a few years ago and haven\'t seen a need to modernize it beyond upgrading the OS because it suits my purposes well. Although I\'m seriously contemplating switch my desk top to XFCE because Mate is still too buggy.</p>\r\n<p>\'nught about me. Let\'s get on to the subject at hand.</p>\r\n<p>I just finished listening to the HPR Community News for September 2015 episode 1871 a couple of days ago. I listened to the two volunteer hosts talking about coffee, coffee preparation and how hard it was to get water to the correct temperature for that optimal cup of coffee. I\'d like to ask the two of them a couple of questions before I continue elucidating on this topic.</p>\r\n<p>The first question is, can you blind taste test the difference between Nescaf&eacute; Instant and a cup of, let\'s say, Starbucks brewed coffee? (a blind taste test is where someone prepares cups of coffee without you knowing which cup has which coffee.) Also notice, I didn\'t say cappuccino or latte. I said, good ol\' fashioned brewed coffee, drunk black.</p>\r\n<p>Don\'t be ashamed if you can\'t because many people don\'t have the taste buds for it. But if you can\'t, I\'d say forget making your own and stay with the crappy, Nescaf&eacute; instant. You\'ll save yourself a lot of time, money.</p>\r\n<p>On the other hand, if you can taste the difference, and you live in the San Francisco area of California, then I\'d like to ask another question. Can you taste the difference between Starbucks and Pete\'s Brewed coffee?</p>\r\n<p>If you can, then I propose one more question. Can you taste the difference between a cup of coffee made with Columbian beans and one made with Brazilian beans or Ethiopian beans or Costa Rica Beans?</p>\r\n<p>If you can answer yes to all of these questions, then I\'d say you should take the time to learn how to make a proper cup of coffee. You will be rewarded a thousand times over with each cup.</p>\r\n<p>Now, providing you have answered all in the affirmative or you\'re just interested in listening to the rest of this podcast, let\'s digress no further and proceed to the heart of the matter.</p>\r\n<p>Making a cup of good coffee, just like making a bottle of good wine or a good omelet, takes understanding of the basics and practice in preparation.</p>\r\n<p>The basics of coffee making are simple: Freshly roasted whole beans, a good grinder &amp; proper grind for the type of coffee preparation method, water, water temperature, and brew time.</p>\r\n<p>I\'m not going to go into a step-by-step dissertation on each brewing method. Suffice it to say, you can take the time for that later. I\'ll only discuss the essentials here.</p>\r\n<p>Let me dally a moment longer. Do you drink wine or beer? When you do or if you do, do you add ice to it? Do you want watered down beer or wine? NO!!! Then why in the hell would you add milk or sugar to your coffee?????? \'nough said on that subject.</p>\r\n<p>Let\'s proceed:</p>\r\n<ol type=\"1\">\r\n<li><p>By freshly roasted whole beans, I mean just that. Whole beans that have been roasted in the past couple of days. NOT two, three, four, five or more months ago. Beans lose their flavor, go stale, with time. Just like day-old bread. Ground beans lose their flavor even faster, so use only whole beans and grind them as you need them just before brewing. In addition, to maintain their freshness, keep whole beans in an air-tight bag or container, out of direct sunlight and in a cool, dry place (NOT refrigerated). Beans hate time, temperature, sunlight, and air.</p>\r\n<p>Another side note here. How much ground coffee per cup? General rule of thumb - 10 grams of ground coffee per 6 ounces of water. The average American cup/mug holds 8-14 ounces of water. So adjust the amount of ground coffee accordingly - experiment. Keep all the other factors the same and only vary the quantity of ground coffee until you get that &quot;just right&quot; cup. But, of course, if you like Nescaf&eacute; instant, you\'ll like stale coffee beans and add extra just for fun.</p></li>\r\n<li><p>Grinder. A good grinder is imperative. The greatest cost is going to be the grinder. Not all grinders are equal, nor do they grind beans equally well. So don\'t be afraid to spend good money for a good grinder. Look for a conical or burr grinder. No damn blade grinders. Blade grinders are for spices and grinding dog food. And I don\'t mean Kitchen Aid or Sunbeam or Cuisinart or Mr. Coffee or such. Look for brand names like Mazzer, Rancilio, Gaggia, Bunn, Macap, or Baratza. Spend good money now, it\'ll save you money and ensure years of good service.</p>\r\n<p>Note that each brewing method needs a different &quot;grind&quot; - coarseness/fineness. Experiment. Keep all the other factors the same and only vary the grind until you get that &quot;just right&quot; cup. But, of course, if you like Nescaf&eacute; instant, don\'t worry about the grind.</p>\r\n<p>Another side note here. If you answered yes to all of the above questions, I\'ll guarantee that if I were to prepare two cups of coffee where all of the factors are the same except for the grinder (one cheap &amp; one quality), that you would most definitely swear that different beans were used to make each cup. No Joke. That\'s the difference a good grinder makes. It, more than any other factor, will change the flavor of your coffee. And you\'ll more likely than not be missing out on a great cup and be constantly plagued with shit coffee if you cheap out.</p>\r\n<p>I can personally attest to this fact. I cheaped out in the beginning. Then I spent the money to buy a great grinder. My first sip of my first cup using the great grinder knocked my socks off. Night and day! I discovered the great taste of coffee that a great grinder provides. So don\'t cheap out. But, of course, if you like Nescaf&eacute; instant, you\'ll like the cheap blade grinder. Or, hell, do it caveman style, just use a hammer to smash the beans.</p></li>\r\n<li><p>Water. Mountain spring water is a MUST. The minerals in it help extract the delicate flavors of the coffee giving it a much more fuller, richer flavor. Distilled water leaves coffee tasting flat and lifeless. But, of course, if you like Nescaf&eacute; instant, you\'ll like distilled water.</p></li>\r\n<li><p>Water temp. Yes. Water temp makes a difference. It\'s like the difference between scalding milk and burning milk. Coffee\'s delicate flavors require a temp between 195-200 degrees F or 90-94 degrees C. Too cold, no flavor extraction - flat coffee. Too hot and the oils are extruded - bitter coffee.</p>\r\n<p>First bring water to a rolling boil. This airiates the water. Once the water comes to a full boil, remove from the heat. Wait 30-40 seconds then pour into or over your freshly ground coffee beans and stir. For an even more accurate temp reading, use a thermometer. If you make espresso, the espresso maker will take care of the temp, provided you bought a GOOD espresso maker and not a cheap Cuisinart or the likes thereof. But, of course, if you like Nescaf&eacute; instant, use boiling hot water.</p></li>\r\n<li><p>Brew time. Each brewing method\'s brew time varies (French Press, espresso, pour over, drip, Aero Press, etc.). As little as 30 seconds (espresso) to between three to four minutes for the others is needed. So, experiment. Keep all the other factors the same and only vary the brew time until you get that &quot;just right&quot; cup. But, of course, if you like Nescaf&eacute; instant, let it steep for 10 minutes.</p></li>\r\n</ol>\r\n<p>Does all of this seem like a lot of time and bother just for a cup of coffee? Hell, yes!! But didn\'t it seem like a lot of time and bother to make that first perfect omelet? And wasn\'t it worth it, once you got the hang of it. It was no fuss at all. It\'s just like putting your pants on or brushing your teeth. You no longer have to think about it. You just do it.</p>\r\n<p>And once you get the hang of it, the timing and flow to making that &quot;Just right&quot; cup of coffee, you\'ll be able to enjoy a perfect cup every time without breaking a sweat or furrowing a brow.</p>\r\n<p>So, here\'s to ya. Enjoy. And maybe next time we\'ll look at blending beans to create a euphoric cacophany of mouth flavors.</p>\r\n<p>Bye bye</p>',313,88,1,'CC-BY-SA','coffee,coffee making ',0,0,1),
(1888,'2015-10-28','Diceware Passphrase',758,'Demonstration of using the diceware method of passphrase generation','<p>A walk through of how to use diceware (<a href=\"https://world.std.com/~reinhold/diceware.html\">https://world.std.com/~reinhold/diceware.html</a>) to create a passphrase and update your GPG key to use it.</p>',277,74,1,'CC-BY-SA','security, gpg',0,0,1),
(1889,'2015-10-29','experiencing the meegopad T-02  part one',789,'And now for something completely different','<p>This is HPR episode <span class=\"math\">${1889r) entitled &quot;$</span>{experiencing the meegopad T-02 part one}&quot;. It is hosted by ${A Shadowy Figure} and is <span class=\"math\">${13} minutes long. The Summary: &quot;$</span>{And now for something completely different}&quot;</p>\r\n<p>Apologies to speed listeners. I just couldn\'t make this episode speed-listener-friendly.</p>\r\n<p>This episode was made out of respect and admiration for the HPR contributers mentioned throughout the show.</p>\r\n<h3 id=\"disclaimer\">Disclaimer:</h3>\r\n<p>I barely have a clue of what I am doing. And there are mistakes all over the place in this episode. It\'s just something I wanted to through out there to change things up a little, and pay homage to those I admire, and with a little luck, inspire others to use their creativity to record an episode of their own.</p>\r\n<p>You can do better. And I want to hear what you have to offer.</p>\r\n<p>The meegopad T-02 turned out to be something I wouldn\'t recommend to others, and the follow-up episode to this one will be a walk through of what it takes to &quot;hack&quot; the T-02 into being something that is usable.</p>\r\n<p>Depending on the feedback to this episode, I can either follow the theme I started with this show, or do a more traditional HPR episode with a no frills walk through of the process of hacking the T-02 to work as advertised. So let me know what you prefer.</p>\r\n<p>Apologies to listeners from outside North America. The many slang terms used throughout the episode are representative of the hard boiled genre of noir to give this episode a certain &quot;feel&quot;.</p>\r\n<ul>\r\n<li>Dames = women</li>\r\n<li>lucky strikes = cigarettes</li>\r\n<li>Barbies = women</li>\r\n<li>Kung fu grip = a GI jo action figure feature from the 70\'s</li>\r\n<li>70 Roadrunner = High performance American Muscle car by Plymouth</li>\r\n<li>Posi traction = both rear wheels turn at the same rate at all times</li>\r\n<li>Thermoquad = High performance carburetor</li>\r\n<li>The elusive split tail blond fox = a pretty woman</li>\r\n<li>Dough = money</li>\r\n<li>Fence = seller of stolen goods</li>\r\n<li>Capt\'n Crunch = an American brand of breakfast cereal</li>\r\n<li>Multimeter modifier = NYBill an HPR contributers</li>\r\n<li>Rig = computer</li>\r\n<li>Telnet = the way we used to communicate digitally before the world wide web was developed</li>\r\n<li>TRS-80 = an early personal computer</li>\r\n<li>clams = American dollars</li>\r\n<li>Jacksons = $20 dollar bill</li>\r\n<li>sega master system = the predecessor to the sega genesis gaming console (circa 1986)</li>\r\n<li>Sony Trinitron = discontinued telivision set</li>\r\n<li>Netgear 600= wifi router</li>\r\n</ul>\r\n<h3 id=\"products-mentioned-in-this-episode\">Products mentioned in this episode</h3>\r\n<ul>\r\n<li><p>70 roadrunner (not for sale.) <a href=\"https://drive.google.com/file/d/0B84o-HiBbf8mNzY0YlZYYjdKSHc/view?usp=sharing\" class=\"uri\">https://drive.google.com/file/d/0B84o-HiBbf8mNzY0YlZYYjdKSHc/view?usp=sharing</a></p></li>\r\n<li><p>Meegopad T-02 <a href=\"https://www.aliexpress.com/item/Meegopad-T02-Ubuntu-Linux-Version-2GB-RAM-32GB-Intel-Atom-Z3735F-Quad-Core-Internal-Wifi-Mini/32401756810.html?ws_ab_test=searchweb201556_7,searchweb201527_3_71_72_73_74_75,searchweb201560_2\" class=\"uri\">https://www.aliexpress.com/item/Meegopad-T02-Ubuntu-Linux-Version-2GB-RAM-32GB-Intel-Atom-Z3735F-Quad-Core-Internal-Wifi-Mini/32401756810.html?ws_ab_test=searchweb201556_7,searchweb201527_3_71_72_73_74_75,searchweb201560_2</a></p></li>\r\n<li><p>Blue Yeti Microphone <a href=\"https://www.amazon.com/gp/product/B002VA464S?keywords=blue%20yeti&amp;qid=1444928224&amp;ref_=sr_1_1&amp;sr=8-1\">https://www.amazon.com/gp/product/B002VA464S?keywords=blue%20yeti&amp;qid=1444928224&amp;ref_=sr_1_1&amp;sr=8-1</a></p></li>\r\n</ul>\r\n<p>All music contained within, courtesy Kevin MacLeod of Incompitech.com <a href=\"https://incompetech.com/wordpress/\" class=\"uri\">https://incompetech.com/wordpress/</a></p>\r\n<p>Sound effects courtesy</p>\r\n<ul>\r\n<li>Lonemonk</li>\r\n<li>Rutgermuller</li>\r\n<li>dhoy42</li>\r\n<li>henaway</li>\r\n<li>tuben</li>\r\n<li>soundmary</li>\r\n<li>knankbeeld</li>\r\n<li>inchadney</li>\r\n<li>kraftwerk2k1</li>\r\n<li>elonen</li>\r\n<li>gurdonark</li>\r\n<li>cubic-archon</li>\r\n<li>confusion music</li>\r\n<li>zachfbstudios</li>\r\n<li>husky70</li>\r\n<li>solis2</li>\r\n<li>magixmusic</li>\r\n<li>dapperdaniel</li>\r\n<li>robinhood76</li>\r\n<li>djfroyd</li>\r\n<li>boilingsand</li>\r\n</ul>\r\n<p>of Freesound.org. <a href=\"https://freesound.org\" class=\"uri\">https://freesound.org</a></p>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://drive.google.com/file/d/0B84o-HiBbf8mNzY0YlZYYjdKSHc/view?usp=sharing\" class=\"uri\">https://drive.google.com/file/d/0B84o-HiBbf8mNzY0YlZYYjdKSHc/view?usp=sharing</a></li>\r\n<li><a href=\"https://www.aliexpress.com/item/Meegopad-T02-Ubuntu-Linux-Version-2GB-RAM-32GB-Intel-Atom-Z3735F-Quad-Core-Internal-Wifi-Mini/32401756810.html?ws_ab_test=searchweb201556_7,searchweb201527_3_71_72_73_74_75,searchweb201560_2\" class=\"uri\">https://www.aliexpress.com/item/Meegopad-T02-Ubuntu-Linux-Version-2GB-RAM-32GB-Intel-Atom-Z3735F-Quad-Core-Internal-Wifi-Mini/32401756810.html?ws_ab_test=searchweb201556_7,searchweb201527_3_71_72_73_74_75,searchweb201560_2</a></li>\r\n<li><a href=\"https://www.amazon.com/gp/product/B002VA464S?keywords=blue%20yeti&amp;qid=1444928224&amp;ref_=sr_1_1&amp;sr=8-1\">https://www.amazon.com/gp/product/B002VA464S?keywords=blue%20yeti&amp;qid=1444928224&amp;ref_=sr_1_1&amp;sr=8-1</a></li>\r\n<li><a href=\"https://incompetech.com/wordpress/\" class=\"uri\">https://incompetech.com/wordpress/</a></li>\r\n<li><a href=\"https://freesound.org\" class=\"uri\">https://freesound.org</a></li>\r\n</ul>\r\n',308,0,0,'CC-BY-SA','MeeGoPad T02 ',0,0,1),
(1890,'2015-10-30','A short walk with my son',1122,'Dave takes a walk with his son Alex and spouts a bunch of random guff about things','<p>We start the show by saying ta-ra to the wife and daughters and starting on our walk.</p>\r\n<p>Note to self: record an HPR episode about coffee</p>\r\n<p>This episode inspired by jonkulp\'s emergency HPR episode entitled &quot;biking2work&quot;, as mentioned on his GNUsocial post: <a href=\"https://micro.fragdev.com/notice/1425116\" class=\"uri\">https://micro.fragdev.com/notice/1425116</a></p>\r\n<p>I give a brief introduction to who I am, and where I live.</p>\r\n<hr />\r\n<p>Neewer Lapel Microphones from Amazon UK <a href=\"https://www.amazon.co.uk/dp/B005DOTSM4/\" class=\"uri\">https://www.amazon.co.uk/dp/B005DOTSM4/</a></p>\r\n<p>The lapel mic issue at our church. £1.50 a piece, rather than £25+ for an official replacement.</p>\r\n<hr />\r\n<p>Background to my 7½ year podcasting history:</p>\r\n<ul>\r\n<li><p>The Bugcast <a href=\"https://thebugcast.org/\" class=\"uri\">https://thebugcast.org/</a></p></li>\r\n<li><p>Duffercast <a href=\"https://duffercast.org/\" class=\"uri\">https://duffercast.org/</a></p></li>\r\n</ul>\r\n<p>Other music podcasts too</p>\r\n<p>Note to self: record an HPR episode on my journey into podcasting<br />Note to self: record an HPR episode on my journey into Linux</p>\r\n<hr />\r\n<p>Metric vs Imperial measurements</p>\r\n<p>Note to self: record an HPR episode on variances between different measurement systems</p>\r\n<p>A comparison between my Nexus 7 and my Olympus DM-3 recorder, both with and without the lapel mic. <a href=\"https://media.thelovebug.org/u/thelovebug/m/lapel-microphone-comparisons/\" class=\"uri\">https://media.thelovebug.org/u/thelovebug/m/lapel-microphone-comparisons/</a></p>\r\n<p>Small glitch in the recording resulted in about 5 seconds being dropped, so it sounds a little disjointed at one point</p>\r\n<hr />\r\n<p>Opinion around acceptable audio quality.<br />&quot;If you can hear it, it\'s good enough.&quot;</p>\r\n<p>Note to self: record an HPR episode on Auphonic and how to improve audio quality with very little effort</p>\r\n<p><a href=\"https://auphonic.com/\" class=\"uri\">https://auphonic.com/</a></p>\r\n<hr />\r\n<p>What would happen if Alex slipped and rolled down the hill.<br />Alex gives a quick introduction to himself.<br />He\'s also the slowest human in history.</p>\r\n<hr />\r\n<p>I did run this episode through Auphonic, which didn\'t do a bad job in the slightest.<br />Settings used: Adaptive Leveler, Filtering, Noise and hum reduction set to Auto.<br />According to the processing results, hum reduction wasn\'t needed.</p>\r\n<p>It would appear as though I\'ve promised Ken 5 new shows - no pressure, eh.</p>\r\n<hr />\r\n<p>Contact me:</p>\r\n<ul>\r\n<li>GNUsocial: thelovebug@micro.thelovebug.org</li>\r\n<li>XMPP/Jabber: thelovebug@im.thelovebug.org</li>\r\n<li>Telegram: <a href=\"https://telegram.me/thelovebug\" class=\"uri\">https://telegram.me/thelovebug</a></li>\r\n</ul>\r\n<hr />\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://micro.fragdev.com/notice/1425116\" class=\"uri\">https://micro.fragdev.com/notice/1425116</a></li>\r\n<li><a href=\"https://www.amazon.co.uk/dp/B005DOTSM4/\" class=\"uri\">https://www.amazon.co.uk/dp/B005DOTSM4/</a></li>\r\n<li><a href=\"https://thebugcast.org/\" class=\"uri\">https://thebugcast.org/</a></li>\r\n<li><a href=\"https://duffercast.org/\" class=\"uri\">https://duffercast.org/</a></li>\r\n<li><a href=\"https://media.thelovebug.org/u/thelovebug/m/lapel-microphone-comparisons/\" class=\"uri\">https://media.thelovebug.org/u/thelovebug/m/lapel-microphone-comparisons/</a></li>\r\n<li><a href=\"https://auphonic.com/\" class=\"uri\">https://auphonic.com/</a></li>\r\n<li><a href=\"https://telegram.me/thelovebug\" class=\"uri\">https://telegram.me/thelovebug</a></li>\r\n</ul>\r\n',314,0,0,'CC-BY-SA','microphone,audio quality,auphonic.com,The Bugcast,Duffercast  ',0,0,1),
(1892,'2015-11-03','my chicken coop',610,'jezra blabs about the brok brok brok house','<p>\r\nDoor hardware build: <a href=\"https://www.jezra.net/blog/GNU_Linux_chicken_coop_door_hardware.html\">https://www.jezra.net/blog/GNU_Linux_chicken_coop_door_hardware.html</a>\r\n</p>\r\n<p>\r\nThe twilight checker: <a href=\"https://www.jezra.net/blog/The_magic_starts_at_330AM_a_coop_story.html\">https://www.jezra.net/blog/The_magic_starts_at_330AM_a_coop_story.html</a>\r\n</p>',243,103,1,'CC-BY-SA','chicken',0,0,1),
(1940,'2016-01-08','WASHLUG Talk  on LastPass',3446,'An expanded discussion of the LastPass intrusion as delivered at our LUG.','<p>\r\nI had the opportunity to present a talk on the LastPass intrusion at our local LUG, the Washtenaw Linux Users Group, which expanded on a previous HPR episode and added some additional material that I think might be of interest to our listeners. I still stand by my claim that LastPass was not seriously affected by the intrusion and is still an excellent security solution for most computer users.\r\nFor more go to <a href=\"https://www.zwilnik.com/?page_id=841\">https://www.zwilnik.com/?page_id=841</a> \r\n</p>\r\n\r\n<h3>Links:</h3>\r\n\r\n <ul>\r\n <li><a href=\"https://www.washlug.org/\">https://www.washlug.org/</a>\r\n </li>\r\n <li><a href=\"https://www.zwilnik.com/?page_id=841\">https://www.zwilnik.com/?page_id=841</a>\r\n </li>\r\n </ul>',198,74,0,'CC-BY-SA','LastPass, passwords, password vaults',0,0,1),
(1893,'2015-11-04','My LastPass Alternative',225,'How I do password management among my devices.','<p>\r\nMy LastPass Alternative\r\n</p>\r\n\r\n<ul>\r\n<li>Password Database: KeePass <a href=\"https://keepass.info/\">https://keepass.info/</a>\r\nKeePass client is in the fedora repos.\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nSave file to a location that will be synced between devices.  Im my case Owncloud.   Desktop Client syncs available for Linux, Windows and Mac. Mobile clients for Android, IOS, and even blackberry. Syncing note:  I do not launch the desktop client on login. This allows the owncloud client to sync files before launching keepass. Also, I exit keypass before logging out for the same reason.\r\n</p>\r\n<p>\r\nFor integration with browser, there are\r\n</p>\r\n\r\n<ul>\r\n<li>Firefox: Passifox <a href=\"https://addons.mozilla.org/en-US/firefox/addon/passifox/\">https://addons.mozilla.org/en-US/firefox/addon/passifox/</a>\r\n</li>\r\n<li>Chrome: chromeIPass <a href=\"https://chrome.google.com/webstore/detail/chromeipass/ompiailgknfdndiefoaoiligalphfdae?hl=en\">https://chrome.google.com/webstore/detail/chromeipass/ompiailgknfdndiefoaoiligalphfdae?hl=en</a>\r\n</li>\r\n<li>Android: <a href=\"https://f-droid.org/repository/browse/?fdfilter=keepass&amp;fdid=com.android.keepass\">https://f-droid.org/repository/browse/?fdfilter=keepass&amp;fdid=com.android.keepass</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nAnd finally when on machines I don\'t control:\r\n</p>\r\n\r\n<ul>\r\n<li>Remote Access: Browser Pass <a href=\"https://bitbucket.org/namn/browsepass/\">https://bitbucket.org/namn/browsepass/</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nOn same server with ownlcloud, can open files\r\n</p>',273,74,0,'CC-BY-SA','Lastpass, keepass, password management',0,0,1),
(1894,'2015-11-05','Interview with Davide Zilli and Dr Marianne Sinka of the HumBug Project',3648,'Mosquito Detection and Habitat Mapping for Improved Malaria Modelling','<p>\r\nBack in 2012 I put up a <a href=\"https://kenfallon.com/open-source-mosquito-locator/\">blog post</a> on my site related to the need for an Open Source Mosquito Locator. Mosquitoes are the <a href=\"https://www.telegraph.co.uk/news/worldnews/11644785/Which-animal-kills-the-most-humans.html\">greatest killer</a> of humans per year.\r\n</p>\r\n<img src=\"https://pbs.twimg.com/media/BmZPa_gIYAERm4r.jpg:large\" width=\"80%\" />\r\n<p>\r\nRecently Alexandre Azzalini left a comment pointing me to the <a href=\"https://humbug.robots.ox.ac.uk/\">HumBug project</a> which is dedicated to <em>Mosquito Detection and Habitat Mapping for Improved Malaria Modelling</em>. I got in touch, and so today I talk to <a href=\"https://davide.zillis.net/\">Davide Zilli</a>, and <a href=\"https://seeg.zoo.ox.ac.uk/members/dr-marianne-sinka\">Dr. Marianne Sinka</a> who were winners of the <a href=\"https://impactchallenge.withgoogle.com/uk2014\">Google Impact Challenge UK 2014</a>.\r\n</p>\r\n<p>\r\n<h3>Royal Botanic Gardens Kew: Crowdsourcing data to help prevent mosquito-borne diseases</h3>\r\n<p>\r\nMosquitoes are responsible for the spread of some of the most deadly and costly diseases, with more than half the world\'s population living in areas where they are routinely exposed to disease carrying mosquitoes. One of the most deadly diseases that they transmit is malaria, that kills over 600,000 people every year. The Royal Botanic Gardens Kew will equip villagers in rural Indonesia with wearable acoustic sensors to detect the sound of mosquitoes. Each species has its own wing beat allowing the research team to record the occurrence of different species, as well as daily readings of critical environmental conditions. Combined with detailed vegetation maps, this will be able to track disease-bearing mosquitoes. Over the next three years, Kew Gardens will work with Oxford University to turn this project into a reality, creating a downloadable smartphone app and a range of wearable acoustic detectors. This novel technology will be trialled in 150 rural households in Indonesia with the aim of preventing and managing outbreaks of mosquito-borne disease. This prototype technology has the potential ultimately to be rolled out in every region of the world where mosquito-borne diseases pose a threat to life.<br />\r\n<a href=\"https://impactchallenge.withgoogle.com/uk2014\">https://impactchallenge.withgoogle.com/uk2014</a>\r\n</p>\r\n<p>\r\nTheir <a href=\"https://humbug.robots.ox.ac.uk/research/sensing/\">approach</a> is to use a <a href=\"https://en.wikipedia.org/wiki/Goertzel_algorithm\">Goertzel algorithm</a> running on either a <a href=\"https://soundtrap.io/\">dedicated device</a> or on a <a href=\"https://shop.ee.co.uk/mobile-phones/pay-as-you-go/alcatel-pixi-3-(4.5)/details\">smart phone</a> to identify species. This data will then be used for <a href=\"https://humbug.robots.ox.ac.uk/research/mapping/\">Habitat Mapping</a> and <a href=\"https://humbug.robots.ox.ac.uk/research/modelling/\">Vector modeling</a> to try and target only species that are a danger to Humans.\r\n</p>\r\n<img src=\"https://soundtrap.io/logger_small.jpg\" width=\"80%\" />\r\n<p>\r\nReach them on Twitter <a href=\"https://twitter.com/humbugmozz\">@humbugmozz</a>\r\n</p>\r\n\r\n<h3>Links</h3>\r\n<ul>\r\n<li><a href=\"https://kenfallon.com/open-source-mosquito-locator/\">https://kenfallon.com/open-source-mosquito-locator/</a></li>\r\n<li><a href=\"https://www.telegraph.co.uk/news/worldnews/11644785/Which-animal-kills-the-most-humans.html\">https://www.telegraph.co.uk/news/worldnews/11644785/Which-animal-kills-the-most-humans.html</a>\r\n<li><a href=\"https://humbug.robots.ox.ac.uk/\">https://humbug.robots.ox.ac.uk/</a></li>\r\n<li><a href=\"https://davide.zillis.net/\">https://davide.zillis.net/</a></li>\r\n<li><a href=\"https://seeg.zoo.ox.ac.uk/members/dr-marianne-sinka\">https://seeg.zoo.ox.ac.uk/members/dr-marianne-sinka</a></li>\r\n<li><a href=\"https://impactchallenge.withgoogle.com/uk2014\">https://impactchallenge.withgoogle.com/uk2014</a></li>\r\n<li><a href=\"https://twitter.com/humbugmozz\">https://twitter.com/humbugmozz</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Goertzel_algorithm\">https://en.wikipedia.org/wiki/Goertzel_algorithm</a></li>\r\n<li><a href=\"https://soundtrap.io/\">https://soundtrap.io/</a></li>\r\n<li><a href=\"https://shop.ee.co.uk/mobile-phones/pay-as-you-go/alcatel-pixi-3-(4.5)/details\">https://shop.ee.co.uk/mobile-phones/pay-as-you-go/alcatel-pixi-3-(4.5)/details</a></li>\r\n<li><a href=\"https://www.gsmarena.com/alcatel_pixi_3_(4)-6933.php\">https://www.gsmarena.com/alcatel_pixi_3_(4)-6933.php</a></li>\r\n<li><a href=\"https://humbug.robots.ox.ac.uk/research/sensing/\">https://humbug.robots.ox.ac.uk/research/sensing/</a></li>\r\n<li><a href=\"https://humbug.robots.ox.ac.uk/research/mapping/\">https://humbug.robots.ox.ac.uk/research/mapping/</a></li>\r\n<li><a href=\"https://humbug.robots.ox.ac.uk/research/modelling/\">https://humbug.robots.ox.ac.uk/research/modelling/</a></li>\r\n\r\n</ul>\r\n\r\n',30,78,0,'CC-BY-SA','mosquito, humbug, Google Impact Challenge, Hardware',0,0,1),
(2131,'2016-10-03','HPR Community News for September 2016',5065,'HPR Community News for September 2016','\n<h2>New hosts</h2>\n<p>\nWelcome to our new host: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0342.html\" target=\"_blank\">norrist</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2109\" target=\"_blank\">2109</a></strong></td>\n    <td>Thu</td>\n    <td>2016-09-01</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2109\" target=\"_blank\">Hacking my inner ear</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2110\" target=\"_blank\">2110</a></strong></td>\n    <td>Fri</td>\n    <td>2016-09-02</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2110\" target=\"_blank\">Overhauling a Bicycle Hub</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2111\" target=\"_blank\">2111</a></strong></td>\n    <td>Mon</td>\n    <td>2016-09-05</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2111\" target=\"_blank\">HPR Community News for August 2016</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2112\" target=\"_blank\">2112</a></strong></td>\n    <td>Tue</td>\n    <td>2016-09-06</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2112\" target=\"_blank\">My old home server</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2113\" target=\"_blank\">2113</a></strong></td>\n    <td>Wed</td>\n    <td>2016-09-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2113\" target=\"_blank\">sqlite and bash</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0342.html\" target=\"_blank\">norrist</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2114\" target=\"_blank\">2114</a></strong></td>\n    <td>Thu</td>\n    <td>2016-09-08</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2114\" target=\"_blank\">Gnu Awk - Part 1</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2115\" target=\"_blank\">2115</a></strong></td>\n    <td>Fri</td>\n    <td>2016-09-09</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2115\" target=\"_blank\">Apt Spelunking 3: nodm, cmus, and parecord</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0215.html\" target=\"_blank\">Windigo</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2116\" target=\"_blank\">2116</a></strong></td>\n    <td>Mon</td>\n    <td>2016-09-12</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2116\" target=\"_blank\">Duffer Gardening</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2117\" target=\"_blank\">2117</a></strong></td>\n    <td>Tue</td>\n    <td>2016-09-13</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2117\" target=\"_blank\">What\'s in my bag for Podcrawl?</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0314.html\" target=\"_blank\">thelovebug</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2118\" target=\"_blank\">2118</a></strong></td>\n    <td>Wed</td>\n    <td>2016-09-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2118\" target=\"_blank\">What is App Inventor?</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0323.html\" target=\"_blank\">Nacho Jordi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2119\" target=\"_blank\">2119</a></strong></td>\n    <td>Thu</td>\n    <td>2016-09-15</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2119\" target=\"_blank\">Making Chocolate Chip Cookies</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2120\" target=\"_blank\">2120</a></strong></td>\n    <td>Fri</td>\n    <td>2016-09-16</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2120\" target=\"_blank\">WEBDUMP wmap EyeWitness phantomjs selenium</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2121\" target=\"_blank\">2121</a></strong></td>\n    <td>Mon</td>\n    <td>2016-09-19</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2121\" target=\"_blank\">Dark Cults Tabletop Game</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2122\" target=\"_blank\">2122</a></strong></td>\n    <td>Tue</td>\n    <td>2016-09-20</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2122\" target=\"_blank\">Alpha32\'s new machine</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0303.html\" target=\"_blank\">Alpha32</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2123\" target=\"_blank\">2123</a></strong></td>\n    <td>Wed</td>\n    <td>2016-09-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2123\" target=\"_blank\">How I make coffee</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0303.html\" target=\"_blank\">Alpha32</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2124\" target=\"_blank\">2124</a></strong></td>\n    <td>Thu</td>\n    <td>2016-09-22</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2124\" target=\"_blank\">Repairing a Cloth Shopping Bag with a Sewing Machine</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2125\" target=\"_blank\">2125</a></strong></td>\n    <td>Fri</td>\n    <td>2016-09-23</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2125\" target=\"_blank\">My mobile recording solution</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0303.html\" target=\"_blank\">Alpha32</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2126\" target=\"_blank\">2126</a></strong></td>\n    <td>Mon</td>\n    <td>2016-09-26</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2126\" target=\"_blank\">My new (old) tablet</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0303.html\" target=\"_blank\">Alpha32</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2127\" target=\"_blank\">2127</a></strong></td>\n    <td>Tue</td>\n    <td>2016-09-27</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2127\" target=\"_blank\">Tabletop Gaming</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2128\" target=\"_blank\">2128</a></strong></td>\n    <td>Wed</td>\n    <td>2016-09-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2128\" target=\"_blank\">Various glass bottle cutting methods</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2129\" target=\"_blank\">2129</a></strong></td>\n    <td>Thu</td>\n    <td>2016-09-29</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2129\" target=\"_blank\">Gnu Awk - Part 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2130\" target=\"_blank\">2130</a></strong></td>\n    <td>Fri</td>\n    <td>2016-09-30</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2130\" target=\"_blank\">Git push to two repositories at once</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available in the archives run\nexternally by <a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\n(see below) and on the HPR server under <a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p><em>Note: since the summer of 2016 Gmane has changed location and is currently\nbeing reestablished. At the moment the HPR archive is not available there.</em></p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2016-September/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2016-September/thread.html</a>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 26 comments in total.</p>\n<p>There are 4 comments on\n3 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2059#comments\" target=\"_blank\">hpr2059</a></strong>\n(2016-06-23) \"<em>More Tech, Less Magic</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0339.html\" target=\"_blank\">Todd Mitchell</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2059#3\" target=\"_blank\">Comment 3</a>:\nStilvoid on 2016-09-07:\n\"Seconded!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2095#comments\" target=\"_blank\">hpr2095</a></strong>\n(2016-08-12) \"<em>23 - SSL Certificates - How They Work</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2095#3\" target=\"_blank\">Comment 3</a>:\nclacke on 2016-09-21:\n\"Different within EU\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2107#comments\" target=\"_blank\">hpr2107</a></strong>\n(2016-08-30) \"<em>Makefiles for Everyday Use</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2107#2\" target=\"_blank\">Comment 2</a>:\nJonathan Kulp on 2016-09-01:\n\".REAL\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2107#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2016-09-01:\n\"&quot;Copy and paste programming&quot;\"</li></ul><br/>\n</li></ul>\n<p>There are 22 comments on 9 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2111#comments\" target=\"_blank\">hpr2111</a></strong>\n(2016-09-05) \"<em>HPR Community News for August 2016</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2111#1\" target=\"_blank\">Comment 1</a>:\nTony Hughes on 2016-09-05:\n\"Show 2111\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2111#2\" target=\"_blank\">Comment 2</a>:\nkdmurray on 2016-09-07:\n\"Audio tours\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2111#3\" target=\"_blank\">Comment 3</a>:\nKen Fallon on 2016-09-07:\n\"Love It\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2113#comments\" target=\"_blank\">hpr2113</a></strong>\n(2016-09-07) \"<em>sqlite and bash</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0342.html\" target=\"_blank\">norrist</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2113#1\" target=\"_blank\">Comment 1</a>:\nmackrackit on 2016-09-06:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2113#2\" target=\"_blank\">Comment 2</a>:\nJONATHAN KULP on 2016-09-08:\n\"Worst ever?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2113#3\" target=\"_blank\">Comment 3</a>:\nGumnos on 2016-09-08:\n\"Cleaning up the script\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2113#4\" target=\"_blank\">Comment 4</a>:\nKevin O&#39;Brien on 2016-09-08:\n\"Excellent show!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2113#5\" target=\"_blank\">Comment 5</a>:\nnorrist on 2016-09-08:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2113#6\" target=\"_blank\">Comment 6</a>:\nDave Morriss on 2016-09-10:\n\"I enjoyed this\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2115#comments\" target=\"_blank\">hpr2115</a></strong>\n(2016-09-09) \"<em>Apt Spelunking 3: nodm, cmus, and parecord</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0215.html\" target=\"_blank\">Windigo</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2115#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2016-09-10:\n\"Thanks for parecord\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2116#comments\" target=\"_blank\">hpr2116</a></strong>\n(2016-09-12) \"<em>Duffer Gardening</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2116#1\" target=\"_blank\">Comment 1</a>:\nCol on 2016-09-24:\n\"Info\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2116#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2016-09-24:\n\"Re: Info\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2119#comments\" target=\"_blank\">hpr2119</a></strong>\n(2016-09-15) \"<em>Making Chocolate Chip Cookies</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2119#1\" target=\"_blank\">Comment 1</a>:\nSteve on 2016-09-15:\n\"How about some cajun cooking?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2119#2\" target=\"_blank\">Comment 2</a>:\nJonathan Kulp on 2016-09-16:\n\"cajun cooking\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2119#3\" target=\"_blank\">Comment 3</a>:\nMrsXoke on 2016-09-19:\n\"You Learn Something New Everyday\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2119#4\" target=\"_blank\">Comment 4</a>:\nJonathan Kulp on 2016-09-20:\n\"Mom&#39;s wisdom\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2119#5\" target=\"_blank\">Comment 5</a>:\nguitarman on 2016-09-27:\n\"Yum!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2120#comments\" target=\"_blank\">hpr2120</a></strong>\n(2016-09-16) \"<em>WEBDUMP wmap EyeWitness phantomjs selenium</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2120#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2016-09-23:\n\"Nice\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2121#comments\" target=\"_blank\">hpr2121</a></strong>\n(2016-09-19) \"<em>Dark Cults Tabletop Game</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2121#1\" target=\"_blank\">Comment 1</a>:\nJoe on 2016-09-22:\n\"Great Show\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2127#comments\" target=\"_blank\">hpr2127</a></strong>\n(2016-09-27) \"<em>Tabletop Gaming</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2127#1\" target=\"_blank\">Comment 1</a>:\nJohn on 2016-09-27:\n\"Game Inspiring\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2129#comments\" target=\"_blank\">hpr2129</a></strong>\n(2016-09-29) \"<em>Gnu Awk - Part 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2129#1\" target=\"_blank\">Comment 1</a>:\nalpha32 on 2016-09-29:\n\"textbook?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2129#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2016-09-29:\n\"Re: textbook?\"</li></ul><br/>\n</li></ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2156,'2016-11-07','HPR Community News for October 2016',4628,'HPR Community News for October 2016','\n<h2>New hosts</h2>\n<p>\nWelcome to our new host: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0343.html\" target=\"_blank\">The Bishop</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2131\" target=\"_blank\">2131</a></strong></td>\n    <td>Mon</td>\n    <td>2016-10-03</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2131\" target=\"_blank\">HPR Community News for September 2016</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2132\" target=\"_blank\">2132</a></strong></td>\n    <td>Tue</td>\n    <td>2016-10-04</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2132\" target=\"_blank\">Gloom Tabletop Game</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2133\" target=\"_blank\">2133</a></strong></td>\n    <td>Wed</td>\n    <td>2016-10-05</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2133\" target=\"_blank\">Compression technology part 1</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0343.html\" target=\"_blank\">The Bishop</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2134\" target=\"_blank\">2134</a></strong></td>\n    <td>Thu</td>\n    <td>2016-10-06</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2134\" target=\"_blank\">Shutdown Sequence Systemd</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2135\" target=\"_blank\">2135</a></strong></td>\n    <td>Fri</td>\n    <td>2016-10-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2135\" target=\"_blank\">Audio speedup script</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2136\" target=\"_blank\">2136</a></strong></td>\n    <td>Mon</td>\n    <td>2016-10-10</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2136\" target=\"_blank\">Fluxx Tabletop Game</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2137\" target=\"_blank\">2137</a></strong></td>\n    <td>Tue</td>\n    <td>2016-10-11</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2137\" target=\"_blank\">Pause All The Things, Sega Genesis</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0115.html\" target=\"_blank\">sigflup</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2138\" target=\"_blank\">2138</a></strong></td>\n    <td>Wed</td>\n    <td>2016-10-12</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2138\" target=\"_blank\">Hack the Box with Bandit</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2139\" target=\"_blank\">2139</a></strong></td>\n    <td>Thu</td>\n    <td>2016-10-13</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2139\" target=\"_blank\">From Org Mode to LaTeX Beamer to PDF</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2140\" target=\"_blank\">2140</a></strong></td>\n    <td>Fri</td>\n    <td>2016-10-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2140\" target=\"_blank\">Vim Plugins I Use</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2141\" target=\"_blank\">2141</a></strong></td>\n    <td>Mon</td>\n    <td>2016-10-17</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2141\" target=\"_blank\">Make Web Python with Flask</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2142\" target=\"_blank\">2142</a></strong></td>\n    <td>Tue</td>\n    <td>2016-10-18</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2142\" target=\"_blank\">Book Reviews</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2143\" target=\"_blank\">2143</a></strong></td>\n    <td>Wed</td>\n    <td>2016-10-19</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2143\" target=\"_blank\">Gnu Awk - Part 3</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2144\" target=\"_blank\">2144</a></strong></td>\n    <td>Thu</td>\n    <td>2016-10-20</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2144\" target=\"_blank\">An Interview with All About Code at Manchester BarCamp</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2145\" target=\"_blank\">2145</a></strong></td>\n    <td>Fri</td>\n    <td>2016-10-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2145\" target=\"_blank\">Daily notes and todo list with markdown</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0342.html\" target=\"_blank\">norrist</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2146\" target=\"_blank\">2146</a></strong></td>\n    <td>Mon</td>\n    <td>2016-10-24</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2146\" target=\"_blank\">Cards Against Humanity Tabletop Game</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2147\" target=\"_blank\">2147</a></strong></td>\n    <td>Tue</td>\n    <td>2016-10-25</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2147\" target=\"_blank\">Glass cutting bottles</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2148\" target=\"_blank\">2148</a></strong></td>\n    <td>Wed</td>\n    <td>2016-10-26</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2148\" target=\"_blank\">The DSO138 Oscilloscope Kit Part 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2149\" target=\"_blank\">2149</a></strong></td>\n    <td>Thu</td>\n    <td>2016-10-27</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2149\" target=\"_blank\">What is in my Pentesting Bag?</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2150\" target=\"_blank\">2150</a></strong></td>\n    <td>Fri</td>\n    <td>2016-10-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2150\" target=\"_blank\">Apollo Guidance Computer</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2151\" target=\"_blank\">2151</a></strong></td>\n    <td>Mon</td>\n    <td>2016-10-31</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2151\" target=\"_blank\">BarCamp Manchester part 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available in the archives run\nexternally by <a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\n(see below) and on the HPR server under <a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p><em>Note: since the summer of 2016 Gmane has changed location and is currently\nbeing reestablished. At the moment the HPR archive is not available there.</em></p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2016-October/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2016-October/thread.html</a>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 30 comments in total.</p>\n<p>There are 10 comments on\n7 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2042#comments\" target=\"_blank\">hpr2042</a></strong>\n(2016-05-31) \"<em>My podcast list</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0116.html\" target=\"_blank\">janedoc</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2042#4\" target=\"_blank\">Comment 4</a>:\nelmussol on 2016-10-04:\n\"Re: Joyce\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2074#comments\" target=\"_blank\">hpr2074</a></strong>\n(2016-07-14) \"<em>Experience With A Neighborhood Cat</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0329.html\" target=\"_blank\">brian</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2074#3\" target=\"_blank\">Comment 3</a>:\nAnother Frank on 2016-10-08:\n\"Touching\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2121#comments\" target=\"_blank\">hpr2121</a></strong>\n(2016-09-19) \"<em>Dark Cults Tabletop Game</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2121#2\" target=\"_blank\">Comment 2</a>:\nnotklaatu on 2016-10-02:\n\"Re: Great Show\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2121#3\" target=\"_blank\">Comment 3</a>:\nrtsn on 2016-10-12:\n\"!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2125#comments\" target=\"_blank\">hpr2125</a></strong>\n(2016-09-23) \"<em>My mobile recording solution</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0303.html\" target=\"_blank\">Alpha32</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2125#1\" target=\"_blank\">Comment 1</a>:\nalpha32 on 2016-10-06:\n\"creeper van\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2126#comments\" target=\"_blank\">hpr2126</a></strong>\n(2016-09-26) \"<em>My new (old) tablet</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0303.html\" target=\"_blank\">Alpha32</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2126#1\" target=\"_blank\">Comment 1</a>:\nkendal on 2016-10-19:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2127#comments\" target=\"_blank\">hpr2127</a></strong>\n(2016-09-27) \"<em>Tabletop Gaming</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2127#2\" target=\"_blank\">Comment 2</a>:\nnotklaatu on 2016-10-02:\n\"Re: Game Inspiring\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2130#comments\" target=\"_blank\">hpr2130</a></strong>\n(2016-09-30) \"<em>Git push to two repositories at once</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2130#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2016-10-02:\n\"I figured :-)\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2130#2\" target=\"_blank\">Comment 2</a>:\nclacke on 2016-10-02:\n\"explicit push\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2130#3\" target=\"_blank\">Comment 3</a>:\nklaatu on 2016-10-08:\n\"explicit push\"</li></ul><br/>\n</li></ul>\n<p>There are 20 comments on 10 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2133#comments\" target=\"_blank\">hpr2133</a></strong>\n(2016-10-05) \"<em>Compression technology part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0343.html\" target=\"_blank\">The Bishop</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2133#1\" target=\"_blank\">Comment 1</a>:\nrtsn on 2016-10-12:\n\"Good episode!\"</li></ul><br/>\n</li><li><strong><a href=\"https://www.hackerpublicradio.org/eps.php?id=2136#comments\" target=\"_blank\">hpr2136</a></strong>\n(2016-10-10) \"<em>Fluxx Tabletop Game</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://www.hackerpublicradio.org/eps.php?id=2136#1\" target=\"_blank\">Comment 1</a>:\nJohn on 2016-10-30:\n\"Fluxx synchronicity \"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2138#comments\" target=\"_blank\">hpr2138</a></strong>\n(2016-10-12) \"<em>Hack the Box with Bandit</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2138#1\" target=\"_blank\">Comment 1</a>:\nKrayon on 2016-10-24:\n\"Good fun!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hobbypublicradio.org/eps.php?id=2139#comments\" target=\"_blank\">hpr2139</a></strong>\n(2016-10-13) \"<em>From Org Mode to LaTeX Beamer to PDF</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hobbypublicradio.org/eps.php?id=2139#1\" target=\"_blank\">Comment 1</a>:\nKlaatu on 2016-10-20:\n\"cool!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2140#comments\" target=\"_blank\">hpr2140</a></strong>\n(2016-10-14) \"<em>Vim Plugins I Use</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2140#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2016-10-19:\n\"Very interesting show\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2141#comments\" target=\"_blank\">hpr2141</a></strong>\n(2016-10-17) \"<em>Make Web Python with Flask</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2141#1\" target=\"_blank\">Comment 1</a>:\nShortFatBaldGuy on 2016-10-17:\n\"Great podcast\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2141#2\" target=\"_blank\">Comment 2</a>:\nJonathan Kulp on 2016-10-17:\n\"No Thanks \"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2141#3\" target=\"_blank\">Comment 3</a>:\nJONATHAN KULP on 2016-10-17:\n\"Seriously though...\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2141#4\" target=\"_blank\">Comment 4</a>:\nb-yeezi on 2016-10-18:\n\"Give bottle a try\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2141#5\" target=\"_blank\">Comment 5</a>:\nKlaatu on 2016-10-20:\n\"Cheers\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2143#comments\" target=\"_blank\">hpr2143</a></strong>\n(2016-10-19) \"<em>Gnu Awk - Part 3</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2143#1\" target=\"_blank\">Comment 1</a>:\nBambiker on 2016-10-25:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2143#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2016-10-26:\n\"grep and awk\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2145#comments\" target=\"_blank\">hpr2145</a></strong>\n(2016-10-21) \"<em>Daily notes and todo list with markdown</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0342.html\" target=\"_blank\">norrist</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2145#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2016-10-20:\n\"Love this Idea\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2145#2\" target=\"_blank\">Comment 2</a>:\nFin on 2016-10-24:\n\"Nice! Licence?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2145#3\" target=\"_blank\">Comment 3</a>:\nnorrist on 2016-10-25:\n\"Version with copyright notice\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2146#comments\" target=\"_blank\">hpr2146</a></strong>\n(2016-10-24) \"<em>Cards Against Humanity Tabletop Game</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2146#1\" target=\"_blank\">Comment 1</a>:\nspaceman on 2016-10-24:\n\"lulz\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2146#2\" target=\"_blank\">Comment 2</a>:\nWindigo on 2016-10-25:\n\"Bees?\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2150#comments\" target=\"_blank\">hpr2150</a></strong>\n(2016-10-28) \"<em>Apollo Guidance Computer</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2150#1\" target=\"_blank\">Comment 1</a>:\nMikael on 2016-10-29:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2150#2\" target=\"_blank\">Comment 2</a>:\nWindigo on 2016-10-30:\n\"Superb interview\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2150#3\" target=\"_blank\">Comment 3</a>:\nKevin O&#39;Brien on 2016-10-30:\n\"Fantastic Interview!!\"</li></ul><br/>\n</li></ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2176,'2016-12-05','HPR Community News for November 2016',4692,'HPR Community News for November 2016','\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0346.html\" target=\"_blank\">Bill \"NFMZ1\" Miller</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0344.html\" target=\"_blank\">spaceman</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2152\" target=\"_blank\">2152</a></strong></td>\n    <td>Tue</td>\n    <td>2016-11-01</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2152\" target=\"_blank\">Apples to Apples Tabletop Game</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2153\" target=\"_blank\">2153</a></strong></td>\n    <td>Wed</td>\n    <td>2016-11-02</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2153\" target=\"_blank\">Splitting a Block of Bees Wax</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0329.html\" target=\"_blank\">brian</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2154\" target=\"_blank\">2154</a></strong></td>\n    <td>Thu</td>\n    <td>2016-11-03</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2154\" target=\"_blank\">Replacing a Bicycle Brake Cable</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2155\" target=\"_blank\">2155</a></strong></td>\n    <td>Fri</td>\n    <td>2016-11-04</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2155\" target=\"_blank\">Ohio LinuxFest 2016</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2156\" target=\"_blank\">2156</a></strong></td>\n    <td>Mon</td>\n    <td>2016-11-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2156\" target=\"_blank\">HPR Community News for October 2016</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2157\" target=\"_blank\">2157</a></strong></td>\n    <td>Tue</td>\n    <td>2016-11-08</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2157\" target=\"_blank\">BarCamp Manchester part 3</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2158\" target=\"_blank\">2158</a></strong></td>\n    <td>Wed</td>\n    <td>2016-11-09</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2158\" target=\"_blank\">Art Club</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0326.html\" target=\"_blank\">Brian in Ohio</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2159\" target=\"_blank\">2159</a></strong></td>\n    <td>Thu</td>\n    <td>2016-11-10</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2159\" target=\"_blank\">Coup Tabletop Game</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2160\" target=\"_blank\">2160</a></strong></td>\n    <td>Fri</td>\n    <td>2016-11-11</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2160\" target=\"_blank\">An Audio Illustration Tying the Bowline Knot</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0209.html\" target=\"_blank\">David Whitman</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2161\" target=\"_blank\">2161</a></strong></td>\n    <td>Mon</td>\n    <td>2016-11-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2161\" target=\"_blank\">What\'s in my freezer?</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0283.html\" target=\"_blank\">Inscius</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2162\" target=\"_blank\">2162</a></strong></td>\n    <td>Tue</td>\n    <td>2016-11-15</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2162\" target=\"_blank\">Review/Criticism of Hipp\'s \"Git: Just Say No\"</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2163\" target=\"_blank\">2163</a></strong></td>\n    <td>Wed</td>\n    <td>2016-11-16</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2163\" target=\"_blank\">Gnu Awk - Part 4</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2164\" target=\"_blank\">2164</a></strong></td>\n    <td>Thu</td>\n    <td>2016-11-17</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2164\" target=\"_blank\">Skipbo Tabletop Game</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2165\" target=\"_blank\">2165</a></strong></td>\n    <td>Fri</td>\n    <td>2016-11-18</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2165\" target=\"_blank\">Get the most out of your commute with these great audio suggestions.</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">knightwise</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2166\" target=\"_blank\">2166</a></strong></td>\n    <td>Mon</td>\n    <td>2016-11-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2166\" target=\"_blank\">How to use a Slide Rule</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2167\" target=\"_blank\">2167</a></strong></td>\n    <td>Tue</td>\n    <td>2016-11-22</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2167\" target=\"_blank\">Google It</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0346.html\" target=\"_blank\">Bill &quot;NFMZ1&quot; Miller</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2168\" target=\"_blank\">2168</a></strong></td>\n    <td>Wed</td>\n    <td>2016-11-23</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2168\" target=\"_blank\">Analogue Random Number Generation</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2169\" target=\"_blank\">2169</a></strong></td>\n    <td>Thu</td>\n    <td>2016-11-24</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2169\" target=\"_blank\">How I connect to the awesome #oggcastplanet on mobile</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2170\" target=\"_blank\">2170</a></strong></td>\n    <td>Fri</td>\n    <td>2016-11-25</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2170\" target=\"_blank\">soundtrap.io</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2171\" target=\"_blank\">2171</a></strong></td>\n    <td>Mon</td>\n    <td>2016-11-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2171\" target=\"_blank\">hello world</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0344.html\" target=\"_blank\">spaceman</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2172\" target=\"_blank\">2172</a></strong></td>\n    <td>Tue</td>\n    <td>2016-11-29</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2172\" target=\"_blank\">Dutch Blitz Table Top Game</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0334.html\" target=\"_blank\">Steve Saner</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2173\" target=\"_blank\">2173</a></strong></td>\n    <td>Wed</td>\n    <td>2016-11-30</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2173\" target=\"_blank\">Driving a Blinkt! as an IoT device</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available in the archives run\nexternally by <a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\n(see below) and on the HPR server under <a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p><em>Note: since the summer of 2016 Gmane has changed location and is currently\nbeing reestablished. At the moment the HPR archive is not available there.</em></p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2016-November/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2016-November/thread.html</a>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 21 comments in total.</p>\n<p>There are 5 comments on\n5 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2130#comments\" target=\"_blank\">hpr2130</a></strong>\n(2016-09-30) \"<em>Git push to two repositories at once</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2130#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2016-11-02:\n\"Thought I&#39;d never use this\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2140#comments\" target=\"_blank\">hpr2140</a></strong>\n(2016-10-14) \"<em>Vim Plugins I Use</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2140#2\" target=\"_blank\">Comment 2</a>:\nb-yeezi on 2016-11-07:\n\"ack.vim\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2145#comments\" target=\"_blank\">hpr2145</a></strong>\n(2016-10-21) \"<em>Daily notes and todo list with markdown</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0342.html\" target=\"_blank\">norrist</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2145#4\" target=\"_blank\">Comment 4</a>:\nMatt on 2016-11-30:\n\"question about the script\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2148#comments\" target=\"_blank\">hpr2148</a></strong>\n(2016-10-26) \"<em>The DSO138 Oscilloscope Kit Part 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2148#1\" target=\"_blank\">Comment 1</a>:\nNYbill on 2016-11-02:\n\"The real JYE Tech kit\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2150#comments\" target=\"_blank\">hpr2150</a></strong>\n(2016-10-28) \"<em>Apollo Guidance Computer</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2150#4\" target=\"_blank\">Comment 4</a>:\nFrank on 2016-11-18:\"[no title]\"</li></ul><br/>\n</li></ul>\n<p>There are 16 comments on 9 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2154#comments\" target=\"_blank\">hpr2154</a></strong>\n(2016-11-03) \"<em>Replacing a Bicycle Brake Cable</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2154#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2016-11-13:\n\"&quot;Sound-seeing&quot;\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2156#comments\" target=\"_blank\">hpr2156</a></strong>\n(2016-11-07) \"<em>HPR Community News for October 2016</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2156#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2016-11-09:\n\"Ear candy\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2156#2\" target=\"_blank\">Comment 2</a>:\nJonathan Kulp on 2016-11-09:\n\"Talkin&#39; Purty\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2161#comments\" target=\"_blank\">hpr2161</a></strong>\n(2016-11-14) \"<em>What\'s in my freezer?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0283.html\" target=\"_blank\">Inscius</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2161#1\" target=\"_blank\">Comment 1</a>:\nthelovebug on 2016-11-14:\n\"Nice!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2161#2\" target=\"_blank\">Comment 2</a>:\nclacke on 2016-11-15:\n\"Green beans\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2163#comments\" target=\"_blank\">hpr2163</a></strong>\n(2016-11-16) \"<em>Gnu Awk - Part 4</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2163#1\" target=\"_blank\">Comment 1</a>:\nOtto on 2016-11-23:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2163#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2016-11-27:\n\"Thanks\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2164#comments\" target=\"_blank\">hpr2164</a></strong>\n(2016-11-17) \"<em>Skipbo Tabletop Game</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2164#1\" target=\"_blank\">Comment 1</a>:\nfolky on 2016-11-18:\n\"Crapette\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2164#2\" target=\"_blank\">Comment 2</a>:\nKlaatu on 2016-11-18:\n\"Re: Crapette\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2166#comments\" target=\"_blank\">hpr2166</a></strong>\n(2016-11-21) \"<em>How to use a Slide Rule</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2166#1\" target=\"_blank\">Comment 1</a>:\nchalkahlom on 2016-11-25:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2166#2\" target=\"_blank\">Comment 2</a>:\nSteve Smethurst on 2016-11-25:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2166#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2016-11-27:\n\"Thanks!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2169#comments\" target=\"_blank\">hpr2169</a></strong>\n(2016-11-24) \"<em>How I connect to the awesome #oggcastplanet on mobile</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2169#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2016-11-06:\n\"More discussion and XMPP\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2170#comments\" target=\"_blank\">hpr2170</a></strong>\n(2016-11-25) \"<em>soundtrap.io</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2170#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2016-11-25:\n\"Sound trap IO, a different application?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2170#2\" target=\"_blank\">Comment 2</a>:\nb-yeezi on 2016-11-30:\n\"Very Interesting\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2171#comments\" target=\"_blank\">hpr2171</a></strong>\n(2016-11-28) \"<em>hello world</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0344.html\" target=\"_blank\">spaceman</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2171#1\" target=\"_blank\">Comment 1</a>:\nAmy on 2016-11-28:\n\"HACK\"</li></ul><br/>\n</li></ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2196,'2017-01-02','HPR Community News for December 2016',5343,'HPR Volunteers talk about shows released and comments posted in December 2016','\n<h2>New hosts</h2>\n<p>\nThere were no new hosts this month.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2174\" target=\"_blank\">2174</a></strong></td>\n    <td>Thu</td>\n    <td>2016-12-01</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2174\" target=\"_blank\">Dungeoneer Tabletop Game</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2175\" target=\"_blank\">2175</a></strong></td>\n    <td>Fri</td>\n    <td>2016-12-02</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2175\" target=\"_blank\">Kdenlive Part 4 Colour Correction</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0310.html\" target=\"_blank\">Geddes</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2176\" target=\"_blank\">2176</a></strong></td>\n    <td>Mon</td>\n    <td>2016-12-05</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2176\" target=\"_blank\">HPR Community News for November 2016</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2177\" target=\"_blank\">2177</a></strong></td>\n    <td>Tue</td>\n    <td>2016-12-06</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2177\" target=\"_blank\">Knowledge Interconnection, the thai express hack</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0344.html\" target=\"_blank\">spaceman</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2178\" target=\"_blank\">2178</a></strong></td>\n    <td>Wed</td>\n    <td>2016-12-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2178\" target=\"_blank\">Dice Mixer</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2179\" target=\"_blank\">2179</a></strong></td>\n    <td>Thu</td>\n    <td>2016-12-08</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2179\" target=\"_blank\">Mail to myself@myfirstemployment, Part 1</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2180\" target=\"_blank\">2180</a></strong></td>\n    <td>Fri</td>\n    <td>2016-12-09</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2180\" target=\"_blank\">Mail to myself@myfirstemployment, Part 2 of 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2181\" target=\"_blank\">2181</a></strong></td>\n    <td>Mon</td>\n    <td>2016-12-12</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2181\" target=\"_blank\">Install OpenBSD from Linux using Grub</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0342.html\" target=\"_blank\">norrist</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2182\" target=\"_blank\">2182</a></strong></td>\n    <td>Tue</td>\n    <td>2016-12-13</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2182\" target=\"_blank\">why say GNU/Linux ?</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0344.html\" target=\"_blank\">spaceman</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2183\" target=\"_blank\">2183</a></strong></td>\n    <td>Wed</td>\n    <td>2016-12-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2183\" target=\"_blank\">Data Privacy: Farlands or bust</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0346.html\" target=\"_blank\">Bill &quot;NFMZ1&quot; Miller</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2184\" target=\"_blank\">2184</a></strong></td>\n    <td>Thu</td>\n    <td>2016-12-15</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2184\" target=\"_blank\">Gnu Awk - Part 5</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2185\" target=\"_blank\">2185</a></strong></td>\n    <td>Fri</td>\n    <td>2016-12-16</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2185\" target=\"_blank\">Soldering a Soldering Fan</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2186\" target=\"_blank\">2186</a></strong></td>\n    <td>Mon</td>\n    <td>2016-12-19</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2186\" target=\"_blank\">Baking Yule Bread</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0283.html\" target=\"_blank\">Inscius</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2187\" target=\"_blank\">2187</a></strong></td>\n    <td>Tue</td>\n    <td>2016-12-20</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2187\" target=\"_blank\">The Toshiba Libretto 100ct</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2188\" target=\"_blank\">2188</a></strong></td>\n    <td>Wed</td>\n    <td>2016-12-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2188\" target=\"_blank\">Art Appreciation</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0329.html\" target=\"_blank\">brian</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2189\" target=\"_blank\">2189</a></strong></td>\n    <td>Thu</td>\n    <td>2016-12-22</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2189\" target=\"_blank\">Working Amateur Radio Satellites</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0241.html\" target=\"_blank\">Christopher M. Hobbs</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2190\" target=\"_blank\">2190</a></strong></td>\n    <td>Fri</td>\n    <td>2016-12-23</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2190\" target=\"_blank\">fucking botnets how do they work?</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0344.html\" target=\"_blank\">spaceman</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2191\" target=\"_blank\">2191</a></strong></td>\n    <td>Mon</td>\n    <td>2016-12-26</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2191\" target=\"_blank\">Building a Soundboard Android App with App Inventor</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0001.html\" target=\"_blank\">droops</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2192\" target=\"_blank\">2192</a></strong></td>\n    <td>Tue</td>\n    <td>2016-12-27</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2192\" target=\"_blank\">Fun with Oscilloscopes</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2193\" target=\"_blank\">2193</a></strong></td>\n    <td>Wed</td>\n    <td>2016-12-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2193\" target=\"_blank\">a clean podcast with no swearing</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0344.html\" target=\"_blank\">spaceman</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2194\" target=\"_blank\">2194</a></strong></td>\n    <td>Thu</td>\n    <td>2016-12-29</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2194\" target=\"_blank\">The low-down on what\'s up in the Taiwan Strait.</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2195\" target=\"_blank\">2195</a></strong></td>\n    <td>Fri</td>\n    <td>2016-12-30</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2195\" target=\"_blank\">All you need to know when uploading a show</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available in the archives run\nexternally by <a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\n(see below) and on the HPR server under <a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p><em>Note: since the summer of 2016 Gmane has changed location and is currently\nbeing reestablished. At the moment the HPR archive is not available there.</em></p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2016-December/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2016-December/thread.html</a>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 68 comments in total.</p>\n<p>There are 16 comments on\n9 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1998#comments\" target=\"_blank\">hpr1998</a></strong>\n(2016-03-30) \"<em>Homebrewing</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=1998#3\" target=\"_blank\">Comment 3</a>:\nm1rr0r5h4d35 on 2016-12-27:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2121#comments\" target=\"_blank\">hpr2121</a></strong>\n(2016-09-19) \"<em>Dark Cults Tabletop Game</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2121#4\" target=\"_blank\">Comment 4</a>:\nm1rr0r5h4d35 on 2016-12-04:\n\"Loved This\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2134#comments\" target=\"_blank\">hpr2134</a></strong>\n(2016-10-06) \"<em>Shutdown Sequence Systemd</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2134#1\" target=\"_blank\">Comment 1</a>:\nCPrompt^ on 2016-12-18:\n\"Great explanation!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hobbypublicradio.org/eps.php?id=2139#comments\" target=\"_blank\">hpr2139</a></strong>\n(2016-10-13) \"<em>From Org Mode to LaTeX Beamer to PDF</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hobbypublicradio.org/eps.php?id=2139#2\" target=\"_blank\">Comment 2</a>:\nMichael on 2016-12-20:\n\"&quot;Beamer&quot; vs. Projektor\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2145#comments\" target=\"_blank\">hpr2145</a></strong>\n(2016-10-21) \"<em>Daily notes and todo list with markdown</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0342.html\" target=\"_blank\">norrist</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2145#5\" target=\"_blank\">Comment 5</a>:\nnorrist on 2016-12-01:\n\"&quot;2*/md&quot;\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2145#6\" target=\"_blank\">Comment 6</a>:\nMatt on 2016-12-03:\n\"of course!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2161#comments\" target=\"_blank\">hpr2161</a></strong>\n(2016-11-14) \"<em>What\'s in my freezer?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0283.html\" target=\"_blank\">Inscius</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2161#3\" target=\"_blank\">Comment 3</a>:\nInscius on 2016-12-06:\n\"Thanks\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2165#comments\" target=\"_blank\">hpr2165</a></strong>\n(2016-11-18) \"<em>Get the most out of your commute with these great audio suggestions.</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">knightwise</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2165#1\" target=\"_blank\">Comment 1</a>:\nnjulian on 2016-12-29:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2172#comments\" target=\"_blank\">hpr2172</a></strong>\n(2016-11-29) \"<em>Dutch Blitz Table Top Game</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0334.html\" target=\"_blank\">Steve Saner</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2172#1\" target=\"_blank\">Comment 1</a>:\nnorrist on 2016-12-05:\n\"Great show\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2172#2\" target=\"_blank\">Comment 2</a>:\nSteve on 2016-12-06:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2173#comments\" target=\"_blank\">hpr2173</a></strong>\n(2016-11-30) \"<em>Driving a Blinkt! as an IoT device</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2173#1\" target=\"_blank\">Comment 1</a>:\nJonathan Kulp on 2016-12-01:\n\"You light up your life\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2173#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2016-12-01:\n\"It worked!!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2173#3\" target=\"_blank\">Comment 3</a>:\nMike Ray on 2016-12-03:\n\"Twinkly Lights and MQTT\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2173#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2016-12-03:\n\"Re: Twinkly Lights and MQTT\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2173#5\" target=\"_blank\">Comment 5</a>:\nMike Ray on 2016-12-03:\n\"MQTT and hardware monitoring\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2173#6\" target=\"_blank\">Comment 6</a>:\nDave Morriss on 2016-12-04:\n\"MQTT uses\"</li></ul><br/>\n</li></ul>\n<p>There are 52 comments on 14 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2176#comments\" target=\"_blank\">hpr2176</a></strong>\n(2016-12-05) \"<em>HPR Community News for November 2016</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2176#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2016-12-05:\n\"Dioder\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2176#2\" target=\"_blank\">Comment 2</a>:\nclacke on 2016-12-05:\n\"On the purpose of those XEPs\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2176#3\" target=\"_blank\">Comment 3</a>:\nclacke on 2016-12-05:\n\"Arousing regular expressions\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2176#4\" target=\"_blank\">Comment 4</a>:\nSteve on 2016-12-06:\n\"Ham Radio Topics\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2177#comments\" target=\"_blank\">hpr2177</a></strong>\n(2016-12-06) \"<em>Knowledge Interconnection, the thai express hack</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0344.html\" target=\"_blank\">spaceman</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2177#1\" target=\"_blank\">Comment 1</a>:\nClinton Roy on 2016-12-05:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2177#2\" target=\"_blank\">Comment 2</a>:\nShortFatBaldGuy on 2016-12-06:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2177#3\" target=\"_blank\">Comment 3</a>:\nKen Fallon on 2016-12-06:\n\"This show is correctly flagged as Explicit\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2177#4\" target=\"_blank\">Comment 4</a>:\nShortFatBaldGuy on 2016-12-06:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2177#5\" target=\"_blank\">Comment 5</a>:\nKen Fallon on 2016-12-06:\n\"Tags are not visable\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2177#6\" target=\"_blank\">Comment 6</a>:\nKen Fallon on 2016-12-06:\n\"Complaints are welcome\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2177#7\" target=\"_blank\">Comment 7</a>:\nKen Fallon on 2016-12-07:\n\"Site and Feeds updated\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2177#8\" target=\"_blank\">Comment 8</a>:\nCheeto4493 on 2016-12-08:\n\"Add explicit to title?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2177#9\" target=\"_blank\">Comment 9</a>:\nKen Fallon Janitor  on 2016-12-08:\n\"Technically yes\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2177#10\" target=\"_blank\">Comment 10</a>:\nKen Fallon Host 30 on 2016-12-08:\n\"I object \"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2179#comments\" target=\"_blank\">hpr2179</a></strong>\n(2016-12-08) \"<em>Mail to myself@myfirstemployment, Part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2179#1\" target=\"_blank\">Comment 1</a>:\ndodddummy on 2016-12-13:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2179#2\" target=\"_blank\">Comment 2</a>:\nclacke on 2016-12-15:\n\"Re: protos in production\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2181#comments\" target=\"_blank\">hpr2181</a></strong>\n(2016-12-12) \"<em>Install OpenBSD from Linux using Grub</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0342.html\" target=\"_blank\">norrist</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2181#1\" target=\"_blank\">Comment 1</a>:\nsigflup on 2016-11-19:\n\"openbsd!!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2182#comments\" target=\"_blank\">hpr2182</a></strong>\n(2016-12-13) \"<em>why say GNU/Linux ?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0344.html\" target=\"_blank\">spaceman</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2182#1\" target=\"_blank\">Comment 1</a>:\nmackrackit on 2016-12-12:\n\"Family Friendly \"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2182#2\" target=\"_blank\">Comment 2</a>:\nClinton Roy on 2016-12-12:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2182#3\" target=\"_blank\">Comment 3</a>:\n0xf10e on 2016-12-12:\n\"Three minutes of obscenities necessary?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2182#4\" target=\"_blank\">Comment 4</a>:\nKen Fallon on 2016-12-13:\n\"HPR is not family frendly but ....\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2182#5\" target=\"_blank\">Comment 5</a>:\nKen Fallon on 2016-12-13:\n\"He will reply later\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2182#6\" target=\"_blank\">Comment 6</a>:\npd on 2016-12-13:\n\"Waste of Time\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2182#7\" target=\"_blank\">Comment 7</a>:\ngmail blocking on 2016-12-13:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2182#8\" target=\"_blank\">Comment 8</a>:\nspaceman on 2016-12-13:\n\"reply from spaceman\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2182#9\" target=\"_blank\">Comment 9</a>:\ndavidWHITMAN on 2016-12-14:\n\"Spaceman!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2182#10\" target=\"_blank\">Comment 10</a>:\nFrank on 2016-12-14:\n\"Just Rude for the Sake of Rude\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2182#11\" target=\"_blank\">Comment 11</a>:\nDavid L. Willson on 2016-12-14:\n\"hilarious\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2182#12\" target=\"_blank\">Comment 12</a>:\nKen Fallon on 2016-12-14:\n\"Reposting from fragdev\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2182#13\" target=\"_blank\">Comment 13</a>:\nspaceman on 2016-12-16:\n\"RE: Just Rude for the Sake of Rude\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2182#14\" target=\"_blank\">Comment 14</a>:\nKen Fallon on 2016-12-17:\n\"HPR About page\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2182#15\" target=\"_blank\">Comment 15</a>:\nspaceman on 2016-12-18:\n\"re:re:\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2183#comments\" target=\"_blank\">hpr2183</a></strong>\n(2016-12-14) \"<em>Data Privacy: Farlands or bust</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0346.html\" target=\"_blank\">Bill \"NFMZ1\" Miller</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2183#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2016-12-15:\n\"I have to disagree\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2184#comments\" target=\"_blank\">hpr2184</a></strong>\n(2016-12-15) \"<em>Gnu Awk - Part 5</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2184#1\" target=\"_blank\">Comment 1</a>:\nClinton Roy on 2016-12-14:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2184#2\" target=\"_blank\">Comment 2</a>:\nb-yeezi on 2016-12-15:\n\":re Lots of useful info\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2187#comments\" target=\"_blank\">hpr2187</a></strong>\n(2016-12-20) \"<em>The Toshiba Libretto 100ct</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2187#1\" target=\"_blank\">Comment 1</a>:\nSteve on 2016-12-21:\n\"Windows 98 Updates\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2187#2\" target=\"_blank\">Comment 2</a>:\nm1rr0r5h4d35 on 2016-12-27:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2187#3\" target=\"_blank\">Comment 3</a>:\nSteve on 2016-12-28:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2189#comments\" target=\"_blank\">hpr2189</a></strong>\n(2016-12-22) \"<em>Working Amateur Radio Satellites</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0241.html\" target=\"_blank\">Christopher M. Hobbs</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2189#1\" target=\"_blank\">Comment 1</a>:\nspaceman on 2016-12-24:\n\"i love your kid\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2191#comments\" target=\"_blank\">hpr2191</a></strong>\n(2016-12-26) \"<em>Building a Soundboard Android App with App Inventor</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0001.html\" target=\"_blank\">droops</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2191#1\" target=\"_blank\">Comment 1</a>:\nspaceman on 2016-12-26:\n\"free software\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2191#2\" target=\"_blank\">Comment 2</a>:\ndroops on 2016-12-30:\n\"Best Tool\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2192#comments\" target=\"_blank\">hpr2192</a></strong>\n(2016-12-27) \"<em>Fun with Oscilloscopes</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2192#1\" target=\"_blank\">Comment 1</a>:\nNYbill on 2016-12-28:\n\"Ha!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2193#comments\" target=\"_blank\">hpr2193</a></strong>\n(2016-12-28) \"<em>a clean podcast with no swearing</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0344.html\" target=\"_blank\">spaceman</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2193#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2016-12-27:\n\"HPR About Page\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2193#2\" target=\"_blank\">Comment 2</a>:\nMike Ray on 2016-12-28:\n\"Points\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2193#3\" target=\"_blank\">Comment 3</a>:\nMatthew Jones on 2016-12-28:\n\"Wtf? \"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2194#comments\" target=\"_blank\">hpr2194</a></strong>\n(2016-12-29) \"<em>The low-down on what\'s up in the Taiwan Strait.</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2194#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2016-12-16:\n\"First repercussions?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2194#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2016-12-29:\n\"Fantastic\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2194#3\" target=\"_blank\">Comment 3</a>:\nClinton Roy on 2016-12-29:\n\"Outstanding!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2194#4\" target=\"_blank\">Comment 4</a>:\nb-yeezi on 2016-12-29:\n\"Informative history lesson\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2194#5\" target=\"_blank\">Comment 5</a>:\nclacke on 2016-12-31:\n\"Wow\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2195#comments\" target=\"_blank\">hpr2195</a></strong>\n(2016-12-30) \"<em>All you need to know when uploading a show</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2195#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2016-12-29:\n\"Text source\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2195#2\" target=\"_blank\">Comment 2</a>:\nclacke on 2016-12-29:\n\"Correction: Text source\"</li></ul><br/>\n</li></ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1906,'2015-11-23','Apt Spelunking 2: tvtime, phatch, and xstarfish',1068,'Windigo digs through his software repositories and finds another couple of gems','<p>\r\n	Welcome to the another episode of apt spelunking! If you missed the first\r\n	episode, I should explain. Apt spelunking is the act of aimlessly searching\r\n	through your distribution\'s software repositories, and picking out the gems\r\n	that you find. I call it apt spelunking because I use Debian, which uses the\r\n	apt packaging format.\r\n</p>\r\n<p>\r\n	Let\'s jump into the first package: tvtime.\r\n</p>\r\n<h2>\r\n	tvtime\r\n</h2>\r\n<p><a href=\"https://tvtime.sourceforge.net/\">https://tvtime.sourceforge.net/</a></p>\r\n\r\n<p>\r\n	The package tvtime is a simple one, but it does what it does very well. tvtime\r\n	interfaces with a TV tuner - specialized hardware that allows your computer to\r\n	process analog television signals, via coaxial or RCA video cables. If you have\r\n	this hardware, usually an expansion card or USB peripheral, tvtime allows you to\r\n	use your computer as an analog television.\r\n</p>\r\n<p>\r\n	tvtime binds to the card of your choosing, allows you to switch between NTSC and\r\n	PAL modes (NTSC is what I use, that being the American standard), and shows you\r\n	a wonderfully grainy video. It has filters that can help smooth out the image a\r\n	bit, but it\'s still an analog video.\r\n</p>\r\n<p>\r\n	tvtime is video only, so you need to use something else to handle the audio of\r\n	whatever you are hooking up. Often this is done by the hardware tv tuner\r\n	somehow; my PCI card tuner has a 3.5mm jack that offloads any sound received\r\n	over the coaxial wire, and I patch that into my sound card. RCA cables have\r\n	separate wires for audio, and I plug those into my sound card via a converter\r\n	cable.\r\n</p>\r\n<p>\r\n	I have used tvtime to hook up videogame consoles, VCRs, and older computers like\r\n	the TRS-80. It\'s helped me to defeat Eternal Darkness, an old GameCube game that\r\n	is still worth a look, and it\'s allowed me to digitize old VHS tapes we have\r\n	lying around. More on that in another episode.\r\n</p>\r\n<p>\r\n	It is a fantastic alternative to keeping an older analog TV around. If you have\r\n	older equipment that needs to dump analog video somewhere, tvtime and a hardware\r\n	tuner makes for a great setup.\r\n</p>\r\n<h2>\r\n	phatch</h2>\r\n<p><a href=\"https://en.wikipedia.org/wiki/Phatch\">https://en.wikipedia.org/wiki/Phatch</a></p>\r\n\r\n<p>\r\n	This absurdly spelled program is incredibly good at what it does. Phatch, some\r\n	sort of unholy combination of \"photo\" and \"batch\", is a GUI interface for\r\n	assembling chains of actions to manipulate image files.\r\n</p>\r\n<p>\r\n	I use this program for web development to save time when creating static photo\r\n	galleries or other types of images with similar constraints.\r\n</p>\r\n<p>\r\n	To use phatch, you assemble a set of operations (phatch refers to these as\r\n	\"actions\") in an ordered \"action list\". I\'ll use my gallery thumbnail action\r\n	list as an example.\r\n</p>\r\n<p>\r\n	There are only two actions in my thumbnail action list: \"fit\", and \"save\". Each\r\n	action has a set of predefined parameters and options that let you tweak what\r\n	happens to your files. The \"fit\" action resizes an image without goofing up the\r\n	aspect ratio. You give it a box to fit the image in, and it fits it fully into\r\n	that box and cuts off any extra edges. The most important parameters for this\r\n	action are canvas width, and canvas height - which tells phatch how big the box\r\n	is. The save action has parameters that let you set which image format to use,\r\n	which folder to save to, and even what to name the file. For my thumbnails, I\r\n	have it use the original filename, and append a \"_t\".\r\n</p>\r\n<p>\r\n	Once you have your action list together, you can tell phatch to run on an entire\r\n	directory and include or exclude different file types.\r\n</p>\r\n<p>\r\n	There is much, much more to phatch than just resizing images. Sounds like\r\n	another episode idea… anyhow, moving on!\r\n</p>\r\n<h2>\r\n	xstarfish\r\n</h2>\r\n<p>\r\n<a href=\"https://packages.debian.org/hu/jessie/xstarfish\">https://packages.debian.org/hu/jessie/xstarfish</a>\r\n</p>\r\n<p>\r\n	I left xstarfish until the end, because it\'s so much fun and so very, very\r\n	weird. xstarfish generates a random, tileable background that can be dumped to\r\n	a file, or assigned directly to the X display of your choice.\r\n</p>\r\n<p>\r\n	It uses some sort of magic randomsauce to pick a color palette, some patterns,\r\n	and some other distortions to that you get a brand-new, unique background every\r\n	time you run it.\r\n</p>\r\n<p>\r\n	It can also be started in daemon mode, with a timer, to automatically change\r\n	your wallpaper periodically.\r\n</p>\r\n<p>\r\n	There are at least two problems with this.\r\n</p>\r\n<p>\r\n	First of all, let\'s start with the practical. You can set the size of the image\r\n	xstarfish generates, by either using the -g flag and manually setting the\r\n	geometry with a pixel width and/or height, or you can use the -s flag and set a\r\n	general size like \"small\", \"large\", or \"full\". If you use \"full\", xstarfish\r\n	automatically generates a full wallpaper for your display.\r\n</p>\r\n<p>\r\n	Since xstarfish generates randomness (which is often CPU intensive) and uses\r\n	that to generate random filters (which can be hard on your CPU) and can be set\r\n	to do it periodically (which, depending on frequency, could keep your CPU busy),\r\n	this utility can be a resource hog. I have two monitors, each running 1280x1024\r\n	resolution, and when I set it to generate a new background every 10 seconds...\r\n	well, it didn\'t. It just maxed out one of my CPU cores, and spit out a\r\n	background every once and a while. Cutting it down to only generate a single\r\n	monitor-sized image every 60 seconds made things much more reasonable.\r\n</p>\r\n<p>\r\n	The second, more pertinent issue with xstarfish is that it randomly picks colors\r\n	and patterns. It is exceptionally random about it. Imagine for a moment that you\r\n	needed to paint a room, and you wanted to pick random colors and patterns for a\r\n	room in your house. You would begin by blindfolding a friend and pushing them\r\n	into the paint isle at your nearest hardware store. Whatever three buckets of\r\n	paint they bump into first, well, that\'s your color palette. What do you mean\r\n	you don\'t like orange, sea foam and gunmetal grey? \r\n</p>\r\n<p>\r\n	Then, you take those paint cans and proceed to tie one to your ceiling fan, one\r\n	to your eight-year-old child and swing the third around your head at a 35 degree\r\n	angle. Fairly quickly, you\'ll have your own xstarfish-inspired decor.\r\n</p>\r\n<p>\r\n	With all of the potentially awful things that can happen, I really do like\r\n	xstarfish. It\'s not something I keep running all the time, and a lot of the\r\n	options remind me of early 90s Encino Man fashion and school photo backdrops\r\n	with lasers. But sometimes the patterns are actually quite pleasing, and if I\r\n	keep the tile size small, it reminds me of 90s web design.\r\n</p>\r\n<hr>\r\n<p>\r\n	That concludes the second installment of apt spelunking. Please don\'t let me\r\n	take all the glory; take a tour through your package manager, whatever distro\r\n	you use, and tell us about some cool stuff you find!\r\n</p>',196,98,0,'CC-BY-SA','apt,tvtime,xstarfish,phatch,images,batch,video,wallpaper,terrible',0,0,1),
(1899,'2015-11-12','MyTinyTodo List',752,'Introduction to one of my favorite productivity tools, the web-based todo list called MyTinyTodo','<p>This show is about my favorite tool to keep track of stuff I have to do, stuff I want to do, gift ideas for my family, books I want to read, HPR topics to record, etc. It\'s called <a href=\"https://www.mytinytodo.net\">MyTinyTodo</a>. It\'s a web app that you can host on your own server and access from any device that has a web browser.</p>\r\n<p>The website claims that it is already mobile friendly, but I did not like the mobile interface they had, and also did not like the fact that I had to use a different URL to get the mobile interface, so I hacked the stylesheet and the index.html file in the code to make it a responsive design. Now it looks great on all of my devices.</p>\r\n<h2 id=\"features\">Features</h2>\r\n<ul>\r\n<li>Multiple lists</li>\r\n<li>Task notes</li>\r\n<li>Tags (and tag cloud)</li>\r\n<li>Due dates (input format: y-m-d, m/d/y, d.m.y, m/d, d.m)</li>\r\n<li>Priority (-1, 0, +1, +2)</li>\r\n<li>Different sortings including sort by drag-and-drop</li>\r\n<li>Search</li>\r\n<li>Password protection</li>\r\n</ul>\r\n<h2 id=\"system-requirements\">System requirements</h2>\r\n<ul>\r\n<li>PHP 5.2.0 or greater;</li>\r\n<li>PHP extensions: php_mysql (MySQL version), php_pdo and php_pdo_sqlite (SQLite version).</li>\r\n</ul>\r\n<h2 id=\"installation\">Installation</h2>\r\n<p>Setup is very easy as these things go. Check out the <a href=\"https://www.mytinytodo.net/faq.php#install\">installation instructions</a> at their website.</p>',238,0,0,'CC-BY-SA','productivity, organization, web apps, self-hosting',0,0,1),
(1911,'2015-11-30','Thoughts on GUI v CLI and the best distro',909,'Thoughts on which desktop to use, and which GUI to use','<h3>Promotion of GUI to new users</h3>\r\n<p>\r\nDeciding which GUI to present to a non techie, is simply a non issue as they can and do use different OS\'s all the time. We all have family and friends who have managed to operate phones, TV\'s and tablets as they iterate through their UI changes. Think about the changes in phones from Symbian to Android, iOS. The move from up and down channel tv\'s to DVR\'s, STB\'s and smart TV\'s. An then they all managed to get the hang of iPads and tablets without even calling you.\r\n</p>\r\n\r\n<h3>Promotion of GUI to tech savvy users.</h3>\r\n<p>\r\nTeach someone to use a GUI and they can use that computer.<br />\r\nTeach someone the command line and they can use any computer.\r\n</p>\r\n\r\n<p>\r\nGUI\'s change and do so all the time. This happens across the board. On all OS\'s Windows, Mac, KDE, Android, Gnome, Nokia.<br />\r\n<a href=\"https://en.wikipedia.org/wiki/History_of_the_graphical_user_interface\">https://en.wikipedia.org/wiki/History_of_the_graphical_user_interface</a>\r\n</p>\r\n<p>\r\nOn the other hand, if you learn to computer via the command line ONCE, then you know how to operate computers from 46 years ago, and most likely in 46 years. If you plans involve a career in the tech industry, you need to be using the command line.\r\n</p>\r\n<p>\r\nMost of the issues are the fear of not been the expert any more.\r\n</p>\r\n\r\n<h3>Is Linux is ready for the Desktop ?</h3>\r\n<p>\r\nYes. Android<br />\r\n<a href=\"https://www.businessinsider.com/iphone-v-android-market-share-2014-5?IR=T\">https://www.businessinsider.com/iphone-v-android-market-share-2014-5?IR=T</a>\r\n</p>\r\n<img src=\"https://static1.businessinsider.com/image/537b72f169bedd1e04384fab-1200-924/smartphoneosmarketshare.png\" width=\"80%\" />\r\n\r\n\r\n<h3>IS GNU/Linux is ready for the Desktop ?</h3>\r\n<p>\r\nBut you cry \"Android isn\'t Linux\".\r\n</p>\r\n<p>\r\nYes. ChromeOS is now shipping more units to educational market than Apple.<br />\r\n<a href=\"https://www.forbes.com/sites/anthonykosner/2014/12/01/google-unseats-apple-in-u-s-classrooms-as-chromebooks-beat-ipads/\">https://www.forbes.com/sites/anthonykosner/2014/12/01/google-unseats-apple-in-u-s-classrooms-as-chromebooks-beat-ipads/</a><br />\r\n<a href=\"https://events.linuxfoundation.org/sites/events/files/slides/chrome.pdf\">https://events.linuxfoundation.org/sites/events/files/slides/chrome.pdf</a>\r\n</p>\r\n\r\n<h3>Summary</h3>\r\n<p>\r\nDon\'t worry about it. Find what works for you and use it. Try and learn as much as you can. Learning stuff that will be around in 5 years is a good investment, but that is your choice.\r\n</p>\r\n',30,0,0,'CC-BY-SA','GUI,Graphical User Interface,CLI,Command Line Interface',0,0,1),
(1897,'2015-11-10','Installing Windows 7 Ultimate',1357,'I talk about installing Windows 7 Ultimate on a 320 GB HDD I got from a friend','<p>\r\n<a href=\"https://anthonyvenable110.wordpress.com\">https://anthonyvenable110.wordpress.com</a> is my blog so feel free to check me out there.\r\n</p>\r\n',297,0,0,'CC-BY-SA','windows, operating system installation, windows 7 Ultimate, windows 7',0,0,1),
(1901,'2015-11-16','Instaling Linux programs without internet',294,'I install supertuxkart at home on my PC','<p>\r\n<a href=\"https://www.supertuxkart,net/downloads\">https://www.supertuxkart,net/downloads</a>  to get your copy of the game\r\n</p>',297,0,0,'CC-BY-SA','linux, open source games, free',0,0,1),
(1921,'2015-12-14','How to run a conference',700,'How to organise and run a conference, and what can go wrong.','<p>\r\nThe slides that this podcast are based upon can be found here:\r\n</p>\r\n<p>\r\n<a href=\"https://docs.google.com/presentation/d/1_fkpXmW7ruYXOZBzXG5wGuNeFV_JPCA7G2A7qTMlN8g/edit?usp=sharing\">https://docs.google.com/presentation/d/1_fkpXmW7ruYXOZBzXG5wGuNeFV_JPCA7G2A7qTMlN8g/edit?usp=sharing\r\n</a>\r\n</p>\r\n',315,0,0,'CC-BY-SA','conference,PyCon Australia,linux.conf.au',0,0,1),
(1898,'2015-11-11','Free my music!',392,'How I got my music off my Mac and ended my iDependence.','<p>\r\nHow I got my music library transferred from my Mac to my Linux box, thereby allowing me to fully switch to Linux. This is a problem I\'ve been neglecting for a while that has been keeping me tethered to iTunes whenever I want to hear my music. This probably isn\'t the best or simplest solution, but it\'s how I felt comfortable doing it.\r\n</p>',303,0,1,'CC-BY-SA','Linux, Mac, music, iTunes, switch',0,0,1),
(1902,'2015-11-17','My Linux Tool Box',1411,'Fin talks about his digital box of Linux tools.','<p>\r\nTools I use:\r\n</p>\r\n<ol>\r\n<li>Htop - Command line system monitor</li>\r\n<li>Firefox - The best web browser</li>\r\n<li>Pluma or Gedit - Great gui text editors</li>\r\n<li>Yaourt or Synaptic - Simple yet powerful package managers</li>\r\n<li>Gucharmap - Character map for all your unicode needs</li>\r\n<li>Markdown - Distraction free, simple document writing.</li>\r\n<li>VLC - The one true media player.</li>\r\n<li>Cinnamon Desktop Environment - My favorite desktop environment.</li>\r\n<li>LibreOffice - For my limited office application needs.</li>\r\n<li>Evince or Atril - Simple, effective, reliable PDF readers.</li>\r\n<li>mtPaint - Pixel art programme.</li>\r\n<li>Inkscape - Vector graphics tool. Great for drawing.</li>\r\n<li>GIMP - The Gnu Image Manipulation Programme.</li>\r\n<li>Gnome Terminal or Mate Terminal - My preferred GUI terminals.</li>\r\n<li>Redshift - Ease your screen viewing when the sun goes down.</li>\r\n<li>Alarm Clock Applet - Used for the Pomodoro time management technique.</li>\r\n<li>Gparted - My preferred partition management tool.</li>\r\n<li>Steam - Lots of freedom hating games.</li>\r\n<li>Play on Linux - Tool to play other freedom hating games.</li>\r\n<li>Gpick - Simple colour picker and colour scheme generator.</li>\r\n<li>Thunderbird - My preferred email client. The best of a boring bunch.</li>\r\n<li>Skype - My nessecessity for human contact.</li>\r\n<li>Transmission - Torrent client. Great for downloading lots of Linux Distros!</li>\r\n<li>Uget - For when I need a large file that doesn\'t have a torrent.</li>\r\n<li>Java - I use OpenJDK and OpenJRE as java is my first language.</li>\r\n<li>Asunder CD Ripper - For ripping audio CD collections.</li>\r\n<li>Audacity - For recording this podcast!</li>\r\n<li>Music Brainz Picard - Tag, accurately, all those freshly ripped CDs.</li>\r\n<li>Virtualbox - Try all those .iso Linux distributions you just downloaded!</li>\r\n<li>GUFW - GUI Uncomplicated Fire Wall. Does exactly what it says on the tin.</li>\r\n<li>Numix Theme - A very complete theme with a lovely icon set. Flat style, very modern.</li>\r\n</ol>',299,23,1,'CC-BY-SA','Linux, GNU, Operating System, Tools, Utilities, Software',0,0,1),
(1896,'2015-11-09','User Local Software',251,'Eric describes a technique for organizing and working on user-installed source code and binaries','<p>In this recording I describe how I decided where to store software that I downloaded manually, as opposed to software that is installed and organized automatically by GNU/Linux systems.</p>\r\n<p><strong>SPOILER</strong>: I settled on <code>~/local/src/</code> and <code>~/local/opt/</code></p>\r\n<p>Happy Halloween.</p>\r\n<p>This is my first time recording a podcast. I recorded this in an afternoon when no one else was around except the furry kids and the neighbors outside. I\'ve had the idea for this episode for a while, but having never recorded before didn\'t really know when/where/how to do it until just now.</p>\r\n<p>The perspective of this episode comes from a GNU/Linux user since Sept. 2012, and a little bit of experience from 2002-2004. I\'m interested in easy, simple solutions that everyone can use to solve problems or use new things.</p>\r\n<p>Special thanks to Clacke for recommending in his recent episode the free/open-source Android recording application uRecord available from F-Droid. The resulting audio sounds great and uRecord is very easy to use. I recorded several separate paragraphs and concatenated them with Audacity.</p>\r\n',317,0,0,'CC-BY-SA','linux, gnulinux, freesoftware, sourcecode',0,0,1),
(1922,'2015-12-15','The case to backup Google email.',57,'A quick example of how I imported a backup of Gmail.','<p>\r\nGoogle Takeout, good for backup of gmail, or anything else from the Google-verse.\r\n</p>\r\n<ul>\r\n<li><a href=\"https://www.google.com/takeout/\">https://www.google.com/takeout/</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nThunderbird email client\r\n</p>\r\n<ul>\r\n<li><a href=\"https://www.mozilla.org/en-US/thunderbird/\">https://www.mozilla.org/en-US/thunderbird/</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nImportExportTools for Thunderbird\r\n</p>\r\n<ul>\r\n<li><a href=\"https://addons.mozilla.org/en-US/thunderbird/addon/importexporttools/\">https://addons.mozilla.org/en-US/thunderbird/addon/importexporttools/</a>\r\n</li>\r\n</ul>',318,0,0,'CC-BY-SA','google, email, thunderbird, backup, export',0,0,1),
(1903,'2015-11-18','Some further Bash tips',1758,'Some more information about types of expansion in Bash','<h1 id=\"some-further-bash-tips\">Some further Bash tips</h1>\r\n<h2 id=\"expansion\">Expansion</h2>\r\n<p>There are seven types of expansion applied to the command line in the following order:</p>\r\n<ul>\r\n<li>Brace expansion (we looked at this subject in the last episode <a href=\"https://hackerpublicradio.org/eps.php?id=1884\" title=\"Some more Bash tips\">1884</a>)</li>\r\n<li>Tilde expansion</li>\r\n<li>Parameter and variable expansion (this was covered in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1648\" title=\"Bash parameter manipulation\">1648</a>)</li>\r\n<li>Command substitution</li>\r\n<li>Arithmetic expansion</li>\r\n<li>Word splitting</li>\r\n<li>Pathname expansion</li>\r\n</ul>\r\n<p>We will look at some more of these in this episode but since there is a lot to cover, we\'ll continue in a later episode.</p>\r\n<p>I have written out a moderately long set of notes about this subject and these are available here <a href=\"https://hackerpublicradio.org/eps/hpr1903_full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1903_full_shownotes.html</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Bash Reference Manual:\r\n<ul>\r\n<li>Tilde Expansion: <a href=\"https://www.gnu.org/software/bash/manual/html_node/Tilde-Expansion.html\" class=\"uri\">https://www.gnu.org/software/bash/manual/html_node/Tilde-Expansion.html</a></li>\r\n<li>Command Substitution: <a href=\"https://www.gnu.org/software/bash/manual/html_node/Command-Substitution.html\" class=\"uri\">https://www.gnu.org/software/bash/manual/html_node/Command-Substitution.html</a></li>\r\n</ul></li>\r\n<li>HPR episode 1648 &quot;<em>Bash parameter manipulation</em>&quot;: <a href=\"https://hackerpublicradio.org/eps.php?id=1648\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1648</a></li>\r\n<li>HPR episode 1843 &quot;<em>Some Bash tips</em>&quot;: <a href=\"https://hackerpublicradio.org/eps.php?id=1843\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1843</a></li>\r\n<li>HPR episode 1884 &quot;<em>Some more Bash tips</em>&quot;: <a href=\"https://hackerpublicradio.org/eps.php?id=1884\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1884</a></li>\r\n</ul>\r\n',225,42,1,'CC-BY-SA','Bash,expansion,tilde expansion,command substitution',0,0,1),
(1904,'2015-11-19','Windows Command Line Tips and Tricks',441,'Some tips to make you feel more comfortable on the Windows side of things.','<p>Hello, HPR. I am OnlyHalfTheTime, the Reluctant Windows Admin. I am a Linux user at home and at heart. I run VPSs on Digital Ocean, host websites all in Linux, mostly Ubuntu. By day, however, I work for an Managed Services Provider which deals with all Windows boxes.</p>\r\n<p>Today, I would like to talk about some tips and tricks I have come across while being forced to make the best out of a Windows environment. Being a Linux user, I find that many functions are more quickly completed if you drop to a Command Line Interface. This holds true for many Windows functions as well.</p>\r\n<p>First, let\'s establish the kind of environment you will need.</p>\r\n<p>Unfortunately, there is no sudo command built in to Windows. What we will need to do is run a command prompt as an administrator. On Windows 7, you can accomplish this by clicking the start menu, typing cmd, then rightclicking the command prompt program and choosing \'run as administrator\'. In Windows 8 and 10, you can right click the start menu directly and click Command Prompt Admin.</p>\r\n<p>This is almost the equivalent to running as root. You can affect almost anything except some system protected files. No rm -rf /* for you! The windows user most like root would be SYSTEM. Running a command prompt as SYSTEM is possible to accomplish a few ways, but is very very rarely needed. I can make another podcast about that later, but it is out-of-scope here.</p>\r\n<p>Lets get into our first example: User creation is so much easier at the Windows command line. For example, I want to add a local user to a system with administrative rights. From an admin command prompt, I type:</p>\r\n<pre><code>net user john hunter2  /add</code></pre>\r\n<p>this creates the user john with the password hunter2. Then I type:</p>\r\n<pre><code>net localgroup administrators john /add</code></pre>\r\n<p>This adds john to the local group administrators. This group has admin rights on this local machine. Say john abuses this privilege and needs to have his permissions revoked.</p>\r\n<pre><code>net localgroup administrators john /delete</code></pre>\r\n<p>This is much easier than going to the control panel, searching for users, adding a user, defining a password, choosing to make it an admin user. For me at least.</p>\r\n<p>Another thing the net command is used for is restarting services. Does that sounds silly to you? I agree! Regardless, let say you want to restart the print spooler on a troubled workstation. You could open a run prompt by hitting Windowskey+R and type &quot;services.msc&quot;. This opens up the services window where you can find the service &quot;print spooler&quot; and right click it to restart. or you could just type:</p>\r\n<pre><code>net stop spooler\r\nnet start spooler</code></pre>\r\n<p>This is easier to script as well, in case a user is always having trouble printing. Provide a simple batch file (the equivalent of a shell script) to resolve and get on with your day.</p>\r\n<p>Affecting files can be a pain in Windows as the paths tend to be esoteric and alien to a Linux user. For example. Let\'s say I want to copy file foo.bar in the openVPN programs folder to my desktop. I could type:</p>\r\n<pre><code>copy &quot;C:\\Program Files (x86)\\OpenVPN Technologies\\OpenVPN Client\\etc\\profile\\foo.bar&quot; &quot;C:\\Users\\john\\desktop\\foo.bar&quot;</code></pre>\r\n<p>Gotta remember those doublequotes since Windows has spaces AND parentheses in the full path. Wow. Even with tab completion, that\'s a lot of work. I have a better solution if you have access to the GUI. Find the file you wish to copy and drag and drop it into the command window. Windows will enter the full path into the prompt. If the files does not already exist where you want it you can\'t drag it into the prompt. There are variables that can speed up this process. It may not be as elegant and simple as ~, but Windows does have a variable for the local user\'s home directory. You can type:</p>\r\n<pre><code>%HOMEPATH%\\desktop\\foo.bar</code></pre>\r\n<p>But you are saying, wait OnlyHalfTheTime, this doesn\'t save me any time or keystrokes! This is true in this specific case, but in scripting, it becomes important to use variables instead of full paths. I may not have Windows installed in the &quot;C&quot; drive for example. Also, some are real time-savers. if you use %APPDATA% for example, it maps to C:{username}.</p>\r\n<p>Now, let\'s say I am going to be doing a lot of work in a specific directory. I could keep entering the full path, but come on, no one likes that guy. I could open a command prompt and <code>cd</code> or change directory, just like in Linux. or I could find the directory in the file explorer and right click in the folder while holding down shift. This gives you and extra option in the context menu named \'open command windows here\' which does exactly that. You will get a command window opened with the working directory set as the folder in which you right clicked.</p>\r\n<p>Hopefully some of these methods will help folks like me: Windows admin by day, Linux enthusiast by night. This is OnlyHalfTheTime, the Reluctant Windows Admin, signing off.</p>\r\n',319,0,0,'CC-BY-SA','Windows, command line',0,0,1),
(1912,'2015-12-01','OpenNMS at All Things Open Conference',476,'Klaatu talks to the OpenNMS project at the All Things Open Conference','<p>\r\nKlaatu talks to Jessie the OpenNMS project at the All Things Open Conference.\r\n</p>',78,78,0,'CC-BY-SA','interview,OpenNMS',0,0,1),
(1907,'2015-11-24','Charlie Reisinger and Penn Manor',366,'Klaatu interviews Charlie Reisinger of Penn Manor school district','<p>\r\nKlaatu interviews Charlie Reisinger about how Penn Manor school district uses of open source...on every student\'s laptop.\r\n</p>',78,78,0,'CC-BY-SA','linux,laptop,school',0,0,1),
(1917,'2015-12-08','OpenSource.com',888,'Klaatu interviews Rikki Endsley from opensource.com','<p>\r\nKlaatu interviews Rikki Endsley from <a href=\"https://opensource.com\">https://opensource.com</a>, a community-driven website covering news and events in the open source world. Klaatu sometimes contributes to <a href=\"https://opensource.com\">https://opensource.com</a>, so this interview is tainted and biased. Beware!\r\n</p>',78,78,0,'CC-BY-SA','open source, journalism',0,0,1),
(1923,'2015-12-16',' Klaatu and System76',479,'Klaatu interviews Sam about kjd newest line of System76 computers','<p>\r\nKlaatu interviews Sam about kjd newest line of System76 computers, now with an all metal body! (the computers, not Klaatu, or Sam)\r\n</p>\r\n<p>\r\n<a href=\"https://system76.com/\">https://system76.com/</a>\r\n</p>',78,78,0,'CC-BY-SA','laptop, heavy metal, apple, mac, ubuntu, system76',0,0,1),
(1927,'2015-12-22','Ansible Interview',480,'Klaatu talks to Ansible at All Things Open conference','<p>\r\nKlaatu talks to Ansible at All Things Open conference.\r\n</p>\r\n',78,78,0,'CC-BY-SA','ansible,automation,chef,puppet',0,0,1),
(1908,'2015-11-25','Arduino Pumpkin',448,'droops talks about how his class built a pumpkin that comes alive for halloween.','<h3>Code for Pumpkin</h3>\r\n\r\n\r\n<a href=\"https://hackerpublicradio.org/eps/hpr1908/hpr1908_1_circuit.jpg\">\r\n	<img src=\"https://hackerpublicradio.org/eps/hpr1908/hpr1908_1_circuit_small.jpg\"/>\r\n</a>\r\n\r\n<a href=\"https://hackerpublicradio.org/eps/hpr1908/hpr1908_2_mechanism.jpg\">\r\n	<img src=\"https://hackerpublicradio.org/eps/hpr1908/hpr1908_2_mechanism_small.jpg\"/>\r\n</a>\r\n\r\n<a href=\"https://hackerpublicradio.org/eps/hpr1908/hpr1908_Schematic.png\">\r\n	<img src=\"https://hackerpublicradio.org/eps/hpr1908/hpr1908_Schematic_small.png\"/>\r\n</a>\r\n\r\n<video controls>\r\n	<source src=\"https://hackerpublicradio.org/eps/hpr1908/hpr1908.webm\" type=\'video/webm;codecs=\"vp8, vorbis\"\'/>\r\n</video>\r\n\r\n\r\n<pre>\r\nint ledPin1 = 5;\r\nint ledPin2 = 6;\r\nint motorPin = 8;\r\nint lightPin = 3;\r\nint lightVal;\r\nint potPin = 0;\r\nint potVal;\r\n\r\nvoid setup(){\r\n  Serial.begin(9600);\r\n  pinMode(ledPin1, OUTPUT);\r\n  pinMode(ledPin2, OUTPUT);\r\n  pinMode(motorPin, OUTPUT);\r\n  pinMode(potPin, INPUT);\r\n  pinMode(lightPin, INPUT);\r\n  digitalWrite(ledPin1, LOW);\r\n  digitalWrite(ledPin2, LOW);\r\n  digitalWrite(motorPin, LOW);\r\n}\r\n\r\nvoid loop(){\r\n  potVal = analogRead(potPin);\r\n  lightVal = analogRead(lightPin);\r\n  Serial.println(lightVal);\r\n  if (lightVal < potVal){\r\n    animate();\r\n  }\r\n}\r\n\r\nvoid animate(){\r\n  digitalWrite(ledPin1, HIGH);\r\n  digitalWrite(ledPin2, HIGH);\r\n  digitalWrite(motorPin, HIGH);\r\n  delay(100);\r\n  digitalWrite(ledPin1, LOW);\r\n  digitalWrite(ledPin2, LOW);\r\n  digitalWrite(motorPin, LOW);\r\n}\r\n</pre>\r\n',1,91,0,'CC-BY-NC-SA','Arduino,Arduino Uno,LED,pumpkin,Halloween',0,0,1),
(1909,'2015-11-26','Creating an Open, Embedded-Media Music Textbook',1795,'This is a recording of my presentation at the recent national joint CMS/ATMI meeting in Indianapolis','<h2>Re-Invigorating the Wheel: Creating an Open, Embedded-Media Music Textbook for the Digital Age</h2>\r\n\r\n<p class=\"right info\">\r\nThis is a recording of a presentation I gave on November 7th, 2015, at the national joint meeting of the College Music Society (CMS) and the Association for Technology in Music Instruction (ATMI) in Indianapolis, Indiana. I even have some action photos! Click on the first image below to visit the Flickr photo album, which also includes the slides from my presentation.\r\n</p>\r\n\r\n<a data-flickr-embed=\"true\"  href=\"https://www.flickr.com/photos/137675441@N05/albums/72157658661593523\" title=\"ATMI 2015 photo Album on Flickr\"><img src=\"https://farm1.staticflickr.com/597/22867790552_5b324d4189_z.jpg\" width=\"640\" height=\"480\" alt=\"ATMI 2015 photo Album on Flickr\"/></a>\r\n\r\n<h2>Books</h2>\r\n\r\n<ul>\r\n<li>Percy Goetschius. <em>Counterpoint Applied in the Invention, Fugue, Canon and Other Polyphonic Forms</em>. New York: G. Schirmer, 1902. <a href=\"https://jonathankulp.org/gratis.html\">Download</a></li>\r\n	<li>________. <em>Exercises in Elementary Counterpoint</em>. New York: G Schirmer, 1910.  <a href=\"https://jonathankulp.org/gratis.html\">Download</a></li>\r\n	<li>Kent Kennan. <em>Counterpoint</em>, 4th ed. Englewood Cliffs, NJ: Prentice-Hall, 1999.</li>\r\n<li>Jonathan Kulp, <em><a href=\"https://jonathankulp.org/gratis.html\" title=\"Read about Gratis ad Parnassum at https://jonathankulp.org\">Gratis ad Parnassum</a>: A Free Workbook for 18th-Century Counterpoint</em>. Lafayette, LA: [no publisher] 2009. <span class=\"more\"><a href=\"https://jonathankulp.org/docs/GratisAdParnassum.pdf\" target=\"_blank\">view pdf</a></span></li>\r\n<li>Friedrich J. Lehmann. <em>A Treatise on Simple Counterpoint in Forty Lessons</em>. New York: G Schirmer, 1907. (This is the one I <a href=\"https://www.gutenberg.org/ebooks/16342\">found on Project Gutenberg</a> that I did not think was suitable as a textbook for my class)</li>\r\n</ul>\r\n\r\n\r\n<h2>Resources Mentioned</h2>\r\n\r\n<ul>\r\n<li>\r\n	<a href=\"https://calibre-ebook.com/\">Calibre</a>: eBook Management software. See also <a href=\"https://manual.calibre-ebook.com/cli/cli-index.html\">documentation for the Calibre command-line interface</a>, which is what I use to create these counterpoint books.\r\n</li>\r\n\r\n<li>\r\n<a href=\"https://www.gimp.org/\">GIMP</a>: the GNU Image Manipulation Program (a robust free alternative to Photoshop)\r\n</li>\r\n\r\n<li>\r\n    <a href=\"https://archive.org/\">Internet Archive</a>: a non-profit library of millions of free books, movies, software, music, and more.\r\n</li>\r\n\r\n<li>\r\n    Kimiko Ishizaka\'s <a href=\"https://www.opengoldbergvariations.org/\">The Open Goldberg Variations</a> and <a href=\"https://music.kimiko-piano.com/album/bach-well-tempered-clavier-book-1\">The Open Well Tempered Clavier</a>, released under a <a href=\"https://creativecommons.org/publicdomain/zero/1.0/\">CC0 1.0 Universal (CC0 1.0) Public Domain Dedication license</a>.</li>\r\n\r\n<li>\r\n    <a href=\"https://www.lilypond.org/\">Lilypond</a>: Music Notation software for Windows, Mac, and Linux. \r\n</li>\r\n\r\n<li>\r\n    <a href=\"https://itunes.apple.com/us/app/marvin-ebook-reader-for-epub/id667361209?mt=8\">Marvin</a>: iOS eBook reader app $3.99 in Apple store\r\n</li>\r\n\r\n<li>\r\n    <a href=\"https://www.gutenberg.org/\">Project Gutenberg</a>: over 50,000 free ebooks: choose among free epub books, free kindle books, download them or read them online.\r\n</li>\r\n\r\n<li>\r\n    <a href=\"https://www.symphonypro.net/static/SP4/index.html\">Symphony Pro</a>: iOS Notation app $12.99 in Apple store\r\n</li>\r\n\r\n<li>\r\n    <a href=\"https://jonathankulp.org/ereader_compatibility_tables.html\">E-Reader App Compatibility Chart</a>: see which apps are best suited for reading these counterpoint books\r\n</li>\r\n\r\n<li>\r\n   <a href=\"https://trinket.io/\">Trinkets</a>: Share Code from any Device. Trinket lets you run and write code in any browser, on any device. Terrific for embedding counterpoint exercises on web pages or learning management systems.</li>\r\n</ul>\r\n\r\n<h2>Watch My Workflow:</h2>\r\n\r\n<iframe width=\"300\" height=\"169\" src=\"https://www.youtube.com/embed/JWlKNe2nEE0\" frameborder=\"0\" allowfullscreen></iframe>\r\n\r\n<h2>Serious Nerds Only</h2>\r\n\r\n<p>Many of the tedious repetitive processes I had to do on image files and audio files are done by bash scripts that are launched by voice commands, as demonstrated in the YouTube video above. The processes I\'m talking about are things like renaming files according to my filenaming conventions, putting the files in the right place, resizing images, converting images to different formats, optimizing them for file size, converting audio from MIDI to ogg and mp3, and reducing audio from two channels to one in order to reduce file size. Below are the main tools I use for this, apart from the Linux bash shell itself. If you\'re interested in actually seeing the scripts I wrote to perform the magic, I am happy to share. Just drop me an email.</p>\r\n\r\n<ul>\r\n<li>\r\n    <a href=\"https://manual.calibre-ebook.com/cli/cli-index.html\">Calibre command-line tools</a>: these were <strong>essential</strong> to automate the process of converting the source HTML file into the various versions and eBook formats of the book. Without this I might have thrown up my hands in defeat long ago.\r\n</li>\r\n\r\n<li>\r\n    <a href=\"https://www.imagemagick.org/\">ImageMagick</a>: command-line image-manipulation tools\r\n</li>\r\n\r\n<li>\r\n<a href=\"https://sox.sourceforge.net/\">sox</a>: command-line audio-manipulation tool, \"the Swiss Army knife of sound processing programs.\"\r\n</li>\r\n\r\n<li>\r\n<a href=\"https://optipng.sourceforge.net/\">optipng</a>: command-line png optimizer. This is important to keep the book\'s file size as small as possible.\r\n</li>\r\n\r\n<li>\r\n<a href=\"https://github.com/tjko/jpegoptim\">jpegoptim</a>: command-line jpeg optimizer.\r\n</li>\r\n\r\n<li>\r\n    <a href=\"https://sourceforge.net/projects/timidity/\">TiMidity++</a>: an open-source, command-line MIDI-to-WAVE converter and player.\r\n</li>\r\n\r\n<li>\r\n    <a href=\"https://lame.sourceforge.net/\">LAME</a>: high quality MPEG Audio Layer III (MP3) encoder licensed under the LGPL.\r\n</li>\r\n<li>\r\n    <a href=\"https://wiki.xiph.org/Vorbis-tools\">oggenc (part of vorbis-tools)</a>: Several tools to use, manipulate and create Vorbis files (vorbis is a free audio codec).\r\n</li>\r\n\r\n</ul>\r\n',238,0,0,'CC-BY-SA','open learning materials, counterpoint, music theory, html, ebooks, epub, public domain',0,0,1),
(1913,'2015-12-02','The Linux Experiment',209,'Help us take The Linux Experiment to the next level!','<p>\r\nIs free software ready for the mainstream? Has Linux progressed far enough in its evolution to be a practical desktop environment for those who dont have degrees in computer science? Can a user really just switch off Windows or Mac and be as productive on a completely open source operating system?\r\n</p>\r\n<p>\r\nThe Linux Experiment is relatively simple in its goals. Friends, all with varying degrees of experience with Linux in general (even some with zero experience and others who have experience with multiple distributions), will install some distribution or another of Linux on their home computers for four months.\r\n</p>\r\n<p>\r\nOver the course of these four months, the users will administrate, tinker with, and use Linux as their primary home operating system, utilizing the power of open-source operating systems and applications to see just how productive they can be. Updates will be made on this very site along the way, providing an in-depth look into how each user is adapting to their new environment. The trials, tribulations, triumphs, and other nouns beginning with t will all be laid out here, bare for everyone to see.\r\n</p>\r\n<p>\r\nBy the end of the four month cycle, each user has imposed their own goals as to where they want to be with Linux; running a server environment? Comfortable to tinker with bash commands?  Time will tell.\r\n</p>\r\n<p>\r\nFor now, sit back, relax, and enjoy  this isnt your normal experiment. We are the guinea pigs.\r\n</p>\r\n\r\n<ul>\r\n<li>Website: <a href=\"https://thelinuxexperiment.com\">https://thelinuxexperiment.com</a>\r\n</li>\r\n<li>Twitter: @linuxexperiment\r\n</li>\r\n<li>E-mail: <a href=\"mailto:editor@thelinuxexperiment.com\">editor@thelinuxexperiment.com</a> \r\n</li>\r\n</ul>',320,0,0,'CC-BY-SA','linux, the linux experiment, community',0,0,1),
(1910,'2015-11-27','QMMP--The Qt-based MultiMedia Player',691,'QMMP is a simple media player inspired by Winamp and XMMS.','<p>Qmmp is an audio and video player for Linux, BSD, and Windows that\'s similar in appearance and functionality to Wimamp and XMMS. The Linux and BSD version are capable of playing video as well, through an mplayer plugin.</p>\r\n<p>If you like eye candy, it\'s skinnable; a library of skins is available from the maintainer.  In addition, it works nicely with legacy XMMS and Winamp skins. </p>\r\n<h3>Screenshots:</h3>\r\n<p>Qmmp interface.<br/>\r\n<img src=\"https://www.pineviewfarm.net/weblog/wp-content/uploads/2015/10/qmmp.jpg\"/></p>\r\n<p>Qmmp video play:<br/>\r\n<img src=\"https://www.pineviewfarm.net/weblog/wp-content/uploads/2015/10/qmmp_vid.jpg\"/></p>\r\n<p>Qmmp settings dialog:<br/>\r\n<img src=\"https://www.pineviewfarm.net/weblog/wp-content/uploads/2015/10/qmmp_settings.jpg\"/></p>\r\n<h3>Links:</h3>\r\n<p>Homepage:  <a href=\"https://qmmp.ylsoftware.com/\">https://qmmp.ylsoftware.com/</a></p>\r\n<p>Slackbuilds links:\r\nQmmp:  <a href=\"https://slackbuilds.org/repository/14.1/audio/qmmp/\">https://slackbuilds.org/repository/14.1/audio/qmmp/</a>\r\nQmmp Plugins: <a href=\"https://slackbuilds.org/repository/14.1/audio/qmmp-plugin-pack/\"> https://slackbuilds.org/repository/14.1/audio/qmmp-plugin-pack/</a></p>\r\n<p>Wikipedia article:  <a href=\"https://en.wikipedia.org/wiki/Qmmp\">https://en.wikipedia.org/wiki/Qmmp</a></p>\r\n<p>Playlist (*.m3u) specification:\r\n<a href=\"https://tools.ietf.org/html/draft-pantos-http-live-streaming-17\">https://tools.ietf.org/html/draft-pantos-http-live-streaming-17</a></p>\r\n<p>Skinamp:  <a href=\"https://www.saschahlusiak.de/skinamp/\">https://www.saschahlusiak.de/skinamp/</a></p>\r\n<p>Librivox:  <a href=\"https://www.saschahlusiak.de/skinamp/\">https://librivox.org/</a></p>\r\n',195,0,0,'CC-BY-SA','Audio,Video,Player,Playlist',0,0,1),
(1925,'2015-12-18','Kdenlive Part 1: Introduction to Kdenlive',1085,'Geddes narrates the first part of Seth Kenlon\'s <em>An Introduction to Kdenlive</em>','<p>\r\nThis article has been written by Seth Kenlon and is narrated for you by Geddes. It was first published on 2011-11-16 and some of the commands may have changed slightly. Please see <a href=\"https://opensource.com/life/11/11/introduction-kdenlive\">https://opensource.com/life/11/11/introduction-kdenlive</a> for the complete text.\r\n</p>\r\n\r\n<p>\r\nSeth Kenlon is an independent multimedia artist, free culture advocate, and UNIX geek. He is one of the maintainers of the Slackware-based multimedia production project, <a href=\"https://slackermedia.ml\">https://slackermedia.ml</a>\r\n</p>\r\n\r\n<p>\r\nGNU/Linux has infamously been wanting for a good, solid, professional-level free video editor for years. There have been glimpses of hope here and there, but mostly the editors that have the look and feel of a professional application are prone to blockbuster-worthy crashes, and those that have been stable have mostly been stable because they don\'t actually do anything beyond very basic editing. Kdenlive changes all of that.\r\n</p>\r\n<p>\r\nAt the film production facility at which I work, Kdenlive is the Linux editor in production use, and it performs (and frequently out-performs) the Mac boxes in cost, upkeep, flexibility, speed, and stability. This article series seeks to illuminate for professional editors how Kdenlive can replace proprietary tools, nearly as a drop-in replacement.\r\n</p>\r\n<p>\r\nA good video editor is one that is suitable for anyone wanting to edit video, with powerful features that enable the video professional to do any task required of the job, yet with the simplicity that allows a hobbyist to quickly cut together footage off of a phone or point-and-click camera. Kdenlive can be both of those things, but regardless of the scope of your video project, there are right and wrong ways of doing things. Over the course of five articles, we will review the practical usage and the common set of best practices that will ensure your projects are successful.\r\n</p>\r\n',310,0,0,'CC-BY-SA','Kdenlive,opensource.com,Slackermedia',0,0,1),
(1932,'2015-12-29','Klaatu interviews Grafana',478,'An interview with the Grafana project at All Things Open Conference 2015','<p>\r\nGrafana provides a powerful and elegant way to create, explore, and share dashboards and data with your team and the world.\r\n</p>\r\n<p>\r\nGrafana is most commonly used for visualizing time series data for Internet infrastructure and application analytics but many use it in other domains including industrial sensors, home automation, weather, and process control.\r\n</p>\r\n<p>\r\n<a href=\"https://grafana.org\">https://grafana.org</a>\r\n</p>\r\n\r\n',78,78,0,'CC-BY-SA','go,graph,monitor,devop,admin,server',0,0,1),
(1937,'2016-01-05','Klaatu talks to Cloudera about Hadoop and Big Data',647,'Klaatu talks to Cloudera about Hadoop and Big Data','<p>\r\nCloudera delivers the modern platform for data management and analytics. We provide the world’s fastest, easiest, and most secure Apache Hadoop platform to help you solve your most challenging business problems with data.\r\n</p>\r\n<p>\r\n<a href=\"https://www.cloudera.com/\">https://www.cloudera.com/</a><br />\r\n<a href=\"https://hadoop.apache.org/\">https://hadoop.apache.org/</a>\r\n</p>',78,78,0,'CC-BY-SA','interview,Cloudera,Hadoop',0,0,1),
(1942,'2016-01-12','Kobo Touch N-905 E-Reader',2600,'Klaatu reviews the Kobo Touch e-reader','<p>Klaatu reviews the Kobo Touch N-905 e-reader.</p>\r\n<p>Too Long; Didn\'t Listen: it\'s a positive review and the device mostly works well with Linux. There are some exceptions, such as the need to hack around the registration process; luckily, that\'s easy:</p>\r\n<p><a href=\"https://gedakc.users.sourceforge.net/display-doc.php?name=kobo-desktop-ereader-setup\">https://gedakc.users.sourceforge.net/display-doc.php?name=kobo-desktop-ereader-setup</a></p>\r\n<p>That being \"the ugly\", here are the Good and the Bad:</p>\r\n<h3>Good:</h3>\r\n<ul>\r\n<li>works with Linux, after one initial hack</li>\r\n<li>uses file manager or calibre</li>\r\n<li>great format support (EPUB, EPUB3, PDF, MOBI, JPEG, GIF, PNG, BMP, TIFF, TXT, HTML, RTF, CBZ, CBR)</li>\r\n<li>e-ink </li>\r\n<li>great battery life (lasts a month on one charge, with every evening and weekend filled with reading)</li>\r\n<li>a little more interactive and configurable than expected</li>\r\n<li>one device, one app, one purpose</li>\r\n<li>small, lightweight, convenient</li>\r\n<li>cheap ($60 USD)</li>\r\n<li>expansion up to 32gb</li>\r\n</ul>\r\n<h3>Negative</h3>\r\n<ul>\r\n<li>requires registration (or a rego hack)</li>\r\n<li>rearranges your books by meta data; no override to respect your dirs</li>\r\n<li>touch screen</li>\r\n<li>slow (though not annoyingly slow)</li>\r\n<li>long time to index books</li>\r\n<li>hard to keep track of books you are currently reading</li>\r\n<li>sleep/off screen should be more configurable</li>\r\n</ul>\r\n',78,0,0,'CC-BY-SA','book,ebook,kobo',0,0,1),
(1930,'2015-12-25','A systemd primer',511,'An introduction to the modern linux init system','<h2>1 What is systemd?</h2>\r\n<p>A dependency system for unix services.<br />\r\nAnd, a set of basic unix services to make a unix system usable.<br />\r\nAnd, a growing list of not quite so basic services</p>\r\n<ul>\r\n<li>NTP, networkd, timers (crond/atd)\r\n</li></ul>\r\n<p>From a programmers perspective, it\'s the mainloop phenomenon.</p>\r\n<h2>2 Alternatives</h2>\r\n<p>Solaris: Service Management Facility<br />\r\nMac OSX: launchd<br />\r\nUbuntu: upstart (until recently)</p>\r\n<h2>3 Replaces</h2>\r\n<p>SYSV<br />\r\nLSB (actually implements LSB deps)</p>\r\n<h2>4 Terminology</h2>\r\n<p>units</p>\r\n<ul>\r\n<li>[auto]mount</li>\r\n<li>swap</li>\r\n<li>path (inotify triggers)</li>\r\n<li>socket</li>\r\n<li>timer (crond/atd)</li>\r\n<li>service</li>\r\n<li>slice (cgroup)</li>\r\n<li>pseudo<ul>\r\n<li>device</li>\r\n<li>snapshot</li>\r\n<li>scope</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n<p>targets</p>\r\n<ul>\r\n<li>replace run levels</li>\r\n<li>default target at boot</li>\r\n<li>can isolate to just one target</li>\r\n</ul>\r\n<h2>5 Advantages - Design</h2>\r\n<p>Proper, explicit dependencies between system compontents<br />\r\nStarts components in parallel<br />\r\nA proper separation of concerns, lots of situations covered.</p>\r\n<ul>\r\n<li>configuration files are regular, simple to understand generally small</li>\r\n<li>OTOH, there are LOTS of options</li>\r\n</ul>\r\n<p>Configuration is not runnable shell.</p>\r\n<pre><code>[Unit]\r\nDescription=CUPS Scheduler\r\nDocumentation=man:cupsd(8)\r\n\r\n[Service]\r\nExecStart=/usr/sbin/cupsd -l\r\nType=simple\r\n\r\n[Install]\r\nAlso=cups.socket cups.path\r\nWantedBy=printer.target\r\n</code></pre>\r\n<p>Separate system and user daemons.</p>\r\n<h2>6 Advantages - Sysadmins</h2>\r\n<p>Modify configuration without modifying upstream configuration<br />\r\nService watching (startup, watchdog, failure modes)<br />\r\nsystemd-delta</p>\r\n<pre><code>[EXTENDED]   /lib/systemd/system/rc-local.service → /lib/systemd/system/rc-local.service.d/debian.conf\r\n[EXTENDED]   /lib/systemd/system/systemd-timesyncd.service → /lib/systemd/system/systemd-timesyncd.service.d/disable-with-time-daemon.conf\r\n[EQUIVALENT] /etc/systemd/system/default.target → /lib/systemd/system/default.target\r\n\r\n3 overridden configuration files found.\r\n</code></pre>\r\n<h2>7 Advantages - Programming</h2>\r\n<p>Removal of some error and security prone code</p>\r\n<ul>\r\n<li>socket activation (e.g. privileged ports)</li>\r\n<li>user/group changing</li>\r\n</ul>\r\n<h2>8 Advantages - Provisioning</h2>\r\n<p>standardized cgroup controls<br />\r\ncontainers<br />\r\ndebootstrap ; systemd-spawn-boot\r\n* systemd takes care of all pseudo file systems for you</p>\r\n<h2>9 Advantages - Users</h2>\r\n<p>quick to boot<br />\r\ncan reduce load later on (services start & stop as required)<br /></p>\r\n<h2>10 Examples</h2>\r\n<p>Color legend:</p>\r\n<ul>\r\n<li>black = Requires</li>\r\n<li>dark blue = Requisite</li>\r\n<li>dark grey = Wants</li>\r\n<li>red = Conflicts</li>\r\n<li>green = After</li>\r\n</ul>\r\n<p><a href=\"https://clintonroy.wordpress.com/a-systemd-primer/loom_boot.svg\">systemd-analyze blame</a></p>\r\n<p><a href=\"https://clintonroy.wordpress.com/a-systemd-primer/loom.svg\">systemd-analyze plot</a></p>\r\n<p><a href=\"https://clintonroy.wordpress.com/a-systemd-primer/loom_gdm.svg\">systemd-analyze plot gdm.service</a></p>\r\n<h2>11 Disadvantages</h2>\r\n<p>Journald</p>\r\n<ul>\r\n<li>It’s really nice in theory, but in practice I’ve found it to be slow and buggy</li>\r\n</ul>\r\n<p>It’s a little new, so LTS distros necessarily have older versions</p>\r\n<ul>\r\n<li>el7 has something like 200 patches</li>\r\n</ul>\r\n<p>network-online.target is a bit flakey<br />\r\nDBUS</p>\r\n<ul>\r\n<li>Unix is a graveyard of IPC, I don\'t feel DBUS is much better</li>\r\n<li>KDBUS means it will probably be around for ever.</li>\r\n</ul>\r\n<h2>12 Quandries</h2>\r\n<p>Deeply hooked into linux specific details, not portable</p>\r\n<ul>\r\n<li>kernel api, cgroups, udev etc.</li>\r\n</ul>\r\n<p>Some cool features relient on file system e.g. btrfs for snapshot</p>\r\n<h2>13 Future</h2>\r\n<p>I haven’t had a chance to play with networkd yet, but it sounds like it’s going to be very good.</p>\r\n<h2>14 Questions</h2>\r\n<p>Migrating</p>\r\n<ul>\r\n<li>It depends…</li>\r\n<li>systemd only supports start/stop/reload</li>\r\n<li>work with the daemon: oneshot/simple/forking/inetd</li>\r\n<li>integrate with systemd: notify, watchdog</li>\r\n</ul>\r\n<p>Userspace</p>\r\n<ul>\r\n<li>Every login, a separate systemd -> user is spawned</li>\r\n<li>Can override with .config/systemd files</li>\r\n</ul>\r\n',315,0,0,'CC-BY-SA','systemd,linux',0,0,1),
(1914,'2015-12-03','Waking up',462,'A follow up episode in response to Windigo\'s episode about waking up','<p>\r\nWhen I first heard Windigo\'s episode about waking up, I literally uttered \"Windigo, yer fucking killing me, man\".\r\n</p>\r\n<p>\r\n<a href=\"https://hackerpublicradio.org/eps.php?id=1838\">https://hackerpublicradio.org/eps.php?id=1838</a>\r\n</p>\r\n',243,0,1,'CC-BY-SA','computer-based alarm system,media player,LED',0,0,1),
(1918,'2015-12-09','DerbyCon Interview with Dave Kennedy',197,'Dave Kennedy talks about a capture the flag contest','<p>\r\nDavid Kennedy (ReL1K) is a security ninja and penetration tester that likes to write code, break things, and develop exploits. Dave is a Chief Information Security Officer (CISO) for a Fortune 1000. Dave is on the Back|Track and Exploit-Database development team and a core member of the Social-Engineer podcast and framework. David continues to contribute to a variety of open-source projects. David had the privilege in speaking at some of the nations largest conferences on a number of occasions including BlackHat, Defcon and Shmoocon. David is the creator of the Social-Engineer Toolkit (SET), Fast-Track, modules/attacks for Metasploit, and has released a number of public exploits. David heavily co-authored the Metasploit Unleashed course available online and has a number of security related white-papers in the field of exploitation. David has a book soon to be released in June from NoStarch Press, “Metasploit: A Penetration Testers Guide”. David is one of the founders of DerbyCon, a hacker con located in Louisville, Kentucky. Lastly, David worked for three letter agencies during his U.S Marine Corp career in the intelligence field specializing in red teaming and computer forensics.\r\n</p>\r\n<p>\r\n<a href=\"https://www.derbycon.com/talks-2011/\">https://www.derbycon.com/talks-2011/</a>\r\n</p>',79,78,1,'CC-BY-SA','interview,penetration testing,metasploit,DerbyCon',0,0,1),
(1919,'2015-12-10','DerbyCon Interview with Paul Koblitz',284,'A brief interview with a pen tester','<p>\r\nXoke interviews Paul Koblitz (@ph4que), Senior Security Consultant at TrustedSec focusing on physical penetration. Also in the shownotes is a template for a \'loid\' which Paul discusses in the interview as his favourite tool.\r\n</p>\r\n',79,78,1,'CC-BY-SA','interview,penetration testing,loid',0,0,1),
(1924,'2015-12-17','Port Forwarding',1366,'In HPR 1900, Ahuka suggests changing the default ssh port, I ask why not employ port forwarding?','<h2 id=\"port-forwarding\">Port Forwarding</h2>\r\n<p>In Episode 1900, Ahuka advised you not to expose the ssh service to the Internet on the default port 22, there we agree. This is called &quot;Security Through Obscurity&quot;. Whenever possible, server functions exposed to the Internet should be on non-default port numbers (the exception being HTTP on a public web server). I disagree however, in Ahuka\'s method of changing the port. He said you should change the port on the server itself:</p>\r\n<p>From <a href=\"https://www.cyberciti.biz/tips/setup-ssh-to-run-on-a-non-standard-port.html\" class=\"uri\">https://www.cyberciti.biz/tips/setup-ssh-to-run-on-a-non-standard-port.html</a></p>\r\n<p>Open /etc/ssh/sshd_config file and look for line Port 22 and change line to Port 2222. Restart sshd server. systemctl restart sshd</p>\r\n<p>Sshd is running on a non-standard port, connection attempts to the system will fail. You need to connect using following command:</p>\r\n<pre><code>$ ssh -p 2222 user@your-ip OR $ ssh -p 2222 user@you.homenetwork.org</code></pre>\r\n<p>This could make sense if you manage a business or school network, where you have numerous users within your network with whom you share varying levels of trust. Still, I don\'t think anyone who can brute force your shh logon or shared keys would be stymied by a simple change of ports. But Ahuka also mentioned home networks, and I think we would rather keep things simple. I would humbly suggest keep ssh servers set to port 22 internally, and using a technology called &quot;port forwarding&quot; available on most consumer routers. Port forwarding is simply an administrator configured table that redirects incoming traffic on one IP port to a specific internal IP address and IP port on your internal network. In fact, unless you have only one PC connected directly to you ISP with no router or firewall, you will still need to setup port forwarding to tell the router which machine on your network the for which incoming communication is intended.</p>\r\n<p>In other words, let\'s say you\'ve enabled ssh on port 40001 of a machine with an internal address of 192.168.1.5. You try to login remotely via ssh on port 40001 using the external IP assigned to you by your ISP (which is taken from a range assigned to them by the IANA). The external IP of your router should be displayed on your router\'s status page, or you could type &quot;what is my IP&quot; into Google. Instead of an IP in the range 192.168.x.y, like you are probably using internally, your external address will be in the Class A or B range, for instance 73.149.12.124.</p>\r\n<p>So let\'s say you have ssh server running on port 40001 on a machine with IP adddress 192.168.1.5 on your home network. Your server has an external address of 73.149.12.124. You are at work or on vaction or whatever and you want to ssh into that machine on your home network, i.e,</p>\r\n<pre><code>ssh -p 40001 you@73.149.12.124</code></pre>\r\n<p>Unless the router itself supports ssh server (entirely possible with third party Linux based firmwares like Open-WRT and DD-WRT), if you haven\'t configured port fowarding, the router won\'t have any idea what to do with an incoming request on port 40001. You need to set up your port forwarding table in your router (don\'t worry, it\'s all point and click). IP forwarding may be under Advanced, in the menus, or Security, or Firewall, or a combination of the above.</p>\r\n<p>You will be asked to enter the external port number (in our example, 40001), TCP or UDP or both (in our case, ssh is both, so you may have to create two separate entries), the internal IP address (in our example 192.168.1.5) and the internal port number (if you changed it internally as Ahuka recommended, in our example 40001, but, and this is the whole point of this podcast, you are going to have to set up port forwarding anyway, so why change the port number locally in the first place? If the terms TCP (Transport Control Protocol) and UDP (User Data Protocol) are unfamiliar to you, the difference can easily be explained. Using TCP, the computer transmitting data stops every few packets (I think the default is three, but don\'t hold me to it) until it gets an acknowledgment from the receiver that the packets were successfully received, then the sender continues. With UDP, the sender blurts out the whole transmission without caring whether the receiver go it or not.</p>\r\n<p>Wikipedia has a great article on official and unofficial standardized port numbers. Once you get into five digits, conflicts to already assigned ports are rare, but it\'s still best to consult the Wiki. The higher numbers are generally not officially assigned, some particular software product is just &quot;squatting&quot; on the number. In fact, using the port number for a technology you are certain will never be used on your network may further obfuscate the service for which you are actually using it. You may think port 40001 is surely high enough to be free of conflict, but the Wiki says 40000 is used by &quot;SafetyNET p Real-time Industrial Ethernet protocol&quot;.</p>\r\n<p>Another advantage of port redirection is you could use a different external port number with every host on your network, i.e., 40001 redirects to you server, 40002 redirects to your desktop, 40003 redirects to the old laptop in the kid\'s room, etc. Personally, I\'d only have port redirection into a single machine that is connected persistently (like a server), and the ssh from it into other hosts on the network (yes, this would be a connection of at least three nested shells). You can even run graphical programs over ssh with the -X argument, but I\'m leaving that on for later discussion. Of course, we will loose that functionality when we move from x-server to Wayland, so if you need a GUI you may have to investigate technologies like VNC or VPN.</p>\r\n<p>Of course, everything depends on having a static IP locally on the ssh server (either set on host itself or manual assignment of IP on the router, if possible). You either need a static external address on the WAN (i.e., external address as seen from the Internet) side or employ a domain forwarding service. Also keep in mind, once we get Ivp6, everything above goes out the window.</p>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.cyberciti.biz/tips/setup-ssh-to-run-on-a-non-standard-port.html\" class=\"uri\">https://www.cyberciti.biz/tips/setup-ssh-to-run-on-a-non-standard-port.html</a></li>\r\n</ul>',131,74,0,'CC-BY-SA','ssh,port forwarding,router',0,0,1),
(1926,'2015-12-21','National Measurements Institutes',657,'A short overview of what these institutes do.','<p>I give a short personal view on what are National Measurements Institutes. More info can be found here:</p>\r\n<ul>\r\n<li><p><a href=\"https://en.wikipedia.org/wiki/Measurement_uncertainty\" class=\"uri\">https://en.wikipedia.org/wiki/Measurement_uncertainty</a></p></li>\r\n<li><p><a href=\"https://en.wikipedia.org/wiki/Metrology\" class=\"uri\">https://en.wikipedia.org/wiki/Metrology</a></p></li>\r\n<li><p><a href=\"https://en.wikipedia.org/wiki/International_Bureau_of_Weights_and_Measures\" class=\"uri\">https://en.wikipedia.org/wiki/International_Bureau_of_Weights_and_Measures</a></p></li>\r\n<li><p><a href=\"https://en.wikipedia.org/wiki/National_Physical_Laboratory_%28United_Kingdom%29\">https://en.wikipedia.org/wiki/National_Physical_Laboratory_%28United_Kingdom%29</a></p></li>\r\n<li><p><a href=\"https://en.wikipedia.org/wiki/Physikalisch-Technische_Bundesanstalt\" class=\"uri\">https://en.wikipedia.org/wiki/Physikalisch-Technische_Bundesanstalt</a></p></li>\r\n<li><p><a href=\"https://en.wikipedia.org/wiki/National_Institute_of_Standards_and_Technology\" class=\"uri\">https://en.wikipedia.org/wiki/National_Institute_of_Standards_and_Technology</a></p></li>\r\n</ul>\r\n<p>One thing not mentioned but related is ISO:</p>\r\n<p><a href=\"https://en.wikipedia.org/wiki/International_Organization_for_Standardization\" class=\"uri\">https://en.wikipedia.org/wiki/International_Organization_for_Standardization</a></p>',301,0,1,'CC-BY-SA','science, measurement, NMI, national measurement institute',0,0,1),
(1931,'2015-12-28','Atomic force microscopy',1566,'General view of the nanoscale tools. Special interest with Atomic force microscopes AFM','<p>I give a quick overview of what is nanotechnology. go over some of the tools used to view the small scale. I go a bit more in depth with atomic force microscopy.</p>\r\n<p>I left many things out that I would like to have said but mostly you can get further information here:</p>\r\n<p><a href=\"https://en.wikipedia.org/wiki/Atomic_force_microscopy\" class=\"uri\">https://en.wikipedia.org/wiki/Atomic_force_microscopy</a></p>',301,0,1,'CC-BY-SA','science, measurement, nanotechnology, small scale',0,0,1),
(1929,'2015-12-24','I Found a Flashlight',820,'I talk about an amazing flashlight I found while walking to work one day recently','<h2>I Found a Flashlight</h2>\r\n\r\n<p>A couple of weeks ago on the way to work I found a flashlight (or a \"torch,\" for those folks across the pond). It was rolling around on the street getting run over by cars and seemingly not suffering any damage as result. As soon as it was safe, I walked out into the street and grabbed it and took it with me. A little poking around online showed me that this was no ordinary device, but a police-grade flashlight.</p>\r\n\r\n<img width=\"auto\" src=\"https://hackerpublicradio.org/eps/hpr1929/hpr1929_SL-20L.jpeg\">\r\n\r\n<p>I contacted the Lafayette Police Department to find out what kind of flashlights they used and whether anyone had reported one missing. Ordinarily when I find something I don\'t worry about this, but I discovered that this thing cost quite a lot of money—around $125 on Amazon with a retail price of $225—and if a police officer had lost it I certainly didn\'t want him going into his own pocket to replace it if I could just give it back to him. The police department wrote back to me saying, yes, this was the kind of flashlight that they issued to their officers but no one was missing one. I also asked the University Police and they said they don\'t normally issue flashlights but that sometimes officers bought their own and no one had reported missing one. </p>\r\n\r\n<p>After seeing the amazing build quality and absolutely unbelievable light quality this thing produced, I decided to keep it and so I had to buy a charger to recharge the battery. This cost about $28 and now I\'m the proud owner of a Streamlight SL-20L flashlight. This is truly one of the greatest tools I\'ve ever had. Listen to the show to hear me sing its praises!</p>\r\n\r\n<img width=\"auto\" src=\"https://hackerpublicradio.org/eps/hpr1929/hpr1929_SL-20L_charging.jpeg\">\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li><a href=\"https://www.streamlight.com/en-ca/product/product.html?pid=248\">Streamlight SL-20L LED Rechargeable Flashlight Series</a></li>\r\n</ul>',238,0,0,'CC-BY-SA','tools, flashlights, safety',0,0,1),
(1928,'2015-12-23','Cov&apos;s Jams',2028,'A compilation of libre licensed music that Cov enjoyed listening to','<p>\r\nThe playlist can be found at <a href=\"https://www.jamendo.com/playlist/500146000/cov-s-jams-001\">https://www.jamendo.com/playlist/500146000/cov-s-jams-001</a>\r\n</p>\r\n\r\n<ol>\r\n<li>Cedric Share-The Awakening Part.II (DerFilm Cut Edition) CEDRIC SHARE #piano #technominimal #techno 02:39</li>\r\n<li>VENTO SUL 1 JURA #happy 03:19</li>\r\n<li>Satisfied MAURO DEL MAR (A.K.A. SCÁNDALI) #soundscapes #rock #song 02:06 </li> \r\n<li>Deva Dasis TASTE OF DREAM #keyboard #synthesizer #lounge 04:21 </li>\r\n<li>Im In Love With A Man ( I Can\'t Stand) ROCC NOBLES 03:36 </li> \r\n<li>We Have A Problem BILLY KORG #rock 05:35 </li>\r\n<li>Libera Me MARIO SALIS #strings #sad #soundtrack 04:53 </li>\r\n<li>Кокарда ДЕВЯТЬ #vocal 05:08 </li>\r\n</ol>',322,22,1,'CC-BY-SA','music',0,0,1),
(1933,'2015-12-30','HPR AudioBookClub 11 Street Candles',8011,'In this episode, the HPR AudioBookClub reviews Street Candles by David Collins-Rivera.','<h3>SUMMARY</h3>\r\n<p>In this episode, the HPR_AudioBookClub reviews Street Candles by David Collins-Rivera. You can download this AudioBook for free from <a href=\"https://www.cavalcadeaudio.com/\">https://www.cavalcadeaudio.com/</a>.</p>\r\n<p>If you liked this book, or are a fan of David Collins-Rivera, you can purchase it from <a href=\"https://www.amazon.com/s?ie=UTF8&page=1&rh=n%3A283155%2Cp_27%3ADavid%20Collins-Rivera\">https://www.amazon.com/s?ie=UTF8&amp;page=1&amp;rh=n%3A283155%2Cp_27%3ADavid%20Collins-Rivera</a>.</p>\r\n<h3>Pre-Spoilers</h3>\r\n<ul>\r\n <li>Thaj: Great book. Makes me want to go back and re-read the previous book.  I wonder how well some of the commentary  present in this book will resonate in the future.  The story is good enough I have no doubt that it will still be a good read, but I\'m not sure if it might loose a bit. </li>\r\n <li>x1101: I Loved this book. So much so that I listened to it twice. Every chapter is a cliff hanger.</li>\r\n <li>pokey: I LOVE this AudioBook! The author (Lostinbronx) really made me care about each of the characters. Every chapter is a cliff hanger, and that WORKS precisely because I do care about the characters.</li>\r\n <li>pegwole: It was a fantastic post modern essay on life. Even though I listened to the wrong AudioBook.</li>\r\n <li>CrispyoneFifty: Speaking for all of humanity, to all of humanity\'s future, I say \"you should go download and listen to this AudioBook!\"</li>\r\n</ul>\r\n<p>(summary)</p>\r\n<h3>BEVERAGE REVIEWS</h3>\r\n<p>As  usual, the HPR_AudioBookClub took some time to review the beverages that each of us were drinking during the episode</p>\r\n<ul>\r\n <li>Thaj: Running late, just drinking water.  I know LAME!</li>\r\n <li>x1101: Black Isle Organic Oatmeal Stout. Very little head, a cholate/coffee nose, as well as chocolate/coffee malt notes. Not overly fizzy, but not sudsy at all. Excellent. <a href=\"https://www.blackislebrewery.com/beer/Hibernator-Oatmeal-Stout.html\">https://www.blackislebrewery.com/beer/Hibernator-Oatmeal-Stout.html</a></li>\r\n <li>pokey: I drank a Six Star Creatine fruit punch because I\'m tired of looking like Ejoq. I have to go to the gym after the show, and this stuff seems to help with muscle recovery. It tastes pretty good. There\'s no funny artificial sweetener after taste, for which I\'m very grateful. <a href=\"https://www.sixstarpro.com/products/creatinex3/\">https://www.sixstarpro.com/products/creatinex3/</a></li>\r\n <li>pegwole: It\'s coffee. Its not a special one either, now shut up.</li>\r\n <li>CrispyoneFifty: Newcastle Werewolf Blood-Red Ale It\'s sweet up front, and leaves a sweet after taste, with a punch of bitter in between. You can definitely taste the rye in there too. <a href=\"https://www.beeradvocate.com/beer/profile/342/71106/\">https://www.beeradvocate.com/beer/profile/342/71106/</a></li>\r\n</ul>\r\n<h3>Spoilers Notes</h3>\r\nx1101\'s mental image of Bin Ragensten <a href=\"https://4.bp.blogspot.com/-tBCFYZpXFTE/ULLWzqZ0X9I/AAAAAAAAAQ4/-w4FEX8atL8/s1600/Santa-Claus-Rise-Of-The-Guardians-600x375.jpg\">https://4.bp.blogspot.com/-tBCFYZpXFTE/ULLWzqZ0X9I/AAAAAAAAAQ4/-w4FEX8atL8/s1600/Santa-Claus-Rise-Of-The-Guardians-600x375.jpg</a> \r\n<h3>OUR NEXT AUDIOBOOK</h3>\r\n<p><strong>The Call of Cthulhu</strong> by H. P. Lovecraft\r\n <br><a href=\"https://hppodcraft.com/podcasts/TheCallofCthulhu-hppodcraft.mp3\">https://hppodcraft.com/podcasts/TheCallofCthulhu-hppodcraft.mp3</a></p>\r\n<p>pegwole suggested this AudioBook, and we all thought that horror was a pretty good selection for our October recording.</p>\r\n<h3>NEXT RECORDING</h3>\r\n<p>We record the second Tuesday of every month at 20:00 Eastern US time Which = the second Wednesday of each month at 01:00z (unless its daylight saving time, then its the second Tuesday 24:00z<a href=\"https://en.wikipedia.org/wiki/ISO_8601#Times\">https://en.wikipedia.org/wiki/ISO_8601#Times</a>  If you\'d like a Google calendar invite, or if you\'d like to be on the  HPR_AudioBookClub mailing list, please get in contact with us on the HPR  mailing list \'hpr at hackerpublicradio dot org.\' We\'re way behind on publishing, so if you want to join us, get in contact one of these ways and we\'ll let you know what the current book is.</p>\r\n<h3>FEEDBACK</h3>\r\n<p>Thank  you very much for listening to this episode of the HPR_AudioBookClub.  We had a great time recording this show, and we hope you enjoyed it as  well. We also hope you\'ll consider joining us next time. Please leave a few words in the episode\'s comment section.\r\n <br>As always; remember to visit the HPR contribution page HPR could really use your help right now.</p>\r\n<p><a href=\"https://hackerpublicradio.org/contribute.php\">https://hackerpublicradio.org/contribute.php</a></p>\r\n<p>Sincerely,\r\n <br>The HPR_AudioBookClub</p>\r\n<p>P.S. Some people really like finding mistakes. For their enjoyment, we always include a few.</p>\r\n',157,53,1,'CC-BY-SA','HPR AudioBookClub',0,0,1),
(1934,'2015-12-31','Experiencing the Meegopad T-02  Part two',901,'Part 2 of the saga of the meegopad T-02','<p>\r\nPart 2 of \"Experiencing the Meegopad T-02.\r\n</p>\r\n<p>\r\nMany thanks to all the HPR contributers that inspire such great stories.\r\n</p>\r\n<p>\r\nGlossary of slang terms to be updated upon show release, along with the list of sound effects contributers.\r\n</p>\r\n\r\nSpecial thanks to the following individuals from freesound.org for their sound effects used throughout this episode.<br />\r\n\r\nRutgermuller <br />\r\njaredi<br />\r\nhybrid34<br />\r\nlintphishx<br />\r\ntimbre<br />\r\ncameronmusic<br />\r\ncr4sht3st<br />\r\nhusky70<br />\r\nmojomills<br />\r\nultradust<br />\r\nconleec<br />\r\ningolyrio<br />\r\ndapperdanial<br />\r\nrobinhood76<br />\r\nunfa<br />\r\nkwahma-02<br />\r\nstephsinger22<br />\r\nlonemonk<br />\r\nreg7783<br />\r\n\r\nHigher quality stereo copies of this episode in .Flac, Ogg, and MP3 format can be found at the following link.<br />\r\n<a href=\"https://drive.google.com/folderview?id=0B6BAm4vn8c7QWnZLbnFib0JPc2M&usp=sharing\">https://drive.google.com/folderview?id=0B6BAm4vn8c7QWnZLbnFib0JPc2M&amp;usp=sharing</a><br />\r\n\r\nGlossary of slang terms used in this episode:<br />\r\n\r\n\"Came unglued\" = going berzerk<br />\r\n\"Sang a little song\" = provided information to law enforcement<br />\r\n\"Still\" = whiskey making apparatus <br />\r\n\"Scoring Barbies\" = Picking up women<br />\r\n\"G-Men\" = Government employees. (Federal agents)<br />\r\n\"Makerspace\" = 3-D Printing facility<br />\r\n\"Johnny Law\" = Law Enforcement<br />\r\n\"C-Note\" = $100.00 bill<br />\r\n\"Speakeasy\" = illegal drinking establishment in prohibition era United States<br />\r\n\"68 Chevelle\" = 1968 Chevrolet 2-door automobile<br />\r\n\"Ratting me out\" = informing on someone<br />\r\n\"Frank Nitty\" = 30\'s era Gangster, Al Capon\'s right hand man (Enforcer)<br />\r\n\r\nDisclaimer:<br />\r\n\r\nAll characters are fictitious renditions of HPR contributers.<br />\r\nNothing about any individuals character is based on anything other than my personal convenience of using their likenesses in fictitious storytelling.<br />\r\nNo disrespect is intended in any way.<br />\r\n\r\nThe genre that the character A Shadowy Figure lives in is hard boiled Noir.<br />\r\nNoir reflects a past history that had different standards than we do now.<br />\r\nI do not personally hold those antiquated world views. Nor do I promote them through this work of fiction. I would like to think this artistic creation does provide an opportunity to see how far we\'ve come as a society.<br />\r\n\r\nBut most of all, I\'d like to think that you the listener, are entertained and/or inspired by this presentation.<br />\r\n\r\nThank you all for your support.<br />\r\n\r\nA Shadowy Figure\r\n',308,0,0,'CC-BY-SA','Meegopad',0,0,1),
(1945,'2016-01-15','The Quassel IRC System',1395,'Quassel is an IRC client that routes your open chat windows into one connection to the IRC server','<p>Quassel is a centralized IRC hub that allows several client computers to appear as only one connection to the IRC server, i.e. Freenode. About the same time NYBill posted Episode 1869 &quot;IRSSI Connectbot&quot;, I was wondering how to merge all my simultaneous IRC connections from multiple hosts to the same channel on the same server into one connection. I did a search on &quot;GUI front end IRSSI&quot; and came up with Quassel instead. I think NYBill and I are trying to solve pretty much the same problem. I\'m not trying to say my solution is better than NYBill\'s, I\'m just saying it\'s the one that appeals the most to me.</p>\r\n<p><strong>Problem</strong>: IRC servers (or at least Freenode) do not allow simultaneous connection from multiple hosts using the same user identifier. I.E., if I was logged in on the PC on my desk via XChat as FiftyOneFifty, if at the same time I was connected to IRC via a PC on the kitchen counter, I would have to use &quot;Kitchen5150&quot; as my identifier. If I was away from home, but left a computer connected to IRC back home, if I connected againover Android I\'d have to be Andro5150. I could adopt all these other personas as aliases, which protected them from theft and allowed me to still have admin rights on channels where I was admin depite using a different login. These multiple versions of me running in IRC inevitably lead to confusion about which was the &quot;real&quot; FiftyOneFifty, a situation which MrJackson is all too familiar with, I\'m sure.</p>\r\n<p><strong>IRSSI Solution</strong>: Connect to a server via ssh, then login into IRC using the IRSSI terminal client inside a GNU screen or TMUX session. When moving between local hosts, disconnect from the current screen or tmux session, ssh into the server from the new host, and reconnect to the session running irssi. The irssi ncurses interface may not be as pretty or easy for some users as a GUI, but I understand it is quite functional.</p>\r\n<p><strong>Quassel Solution</strong>: Connect to IRC server via a single host running quassel-core. Connect multiple simultaneous clients to the core via quassel-client. All clients share the same IRC display at the same time, all the while transparent to the server (i.e. Freenode), which only sees the one login from the host running quassel-core.</p>\r\n<p>There are two components two this system, quassel-core and quassel-client. You want to install quassel-core on to a system with a persistent Internet connection, say a home or cloud server. I first used Arch on and RPI model 2, so quassle-core setup for Arch may be found here: <a href=\"https://wiki.archlinux.org/index.php/Quassel\" class=\"uri\">https://wiki.archlinux.org/index.php/Quassel</a> .</p>\r\n<p>A. Install the core</p>\r\n<ol type=\"1\">\r\n<li><p>Install quassel-core on the server [sudo pacman -S quassel-core]</p></li>\r\n<li><p>Generate a certificate</p></li>\r\n<li><p>Start core (i.e. sudo systemctl start quassel)</p></li>\r\n<li><p>Enable quassel on every startup (sudo systemctl enable quassel)</p>\r\n<ul>\r\n<li>There is something in the wiki about a but preventing the enable fundction from working. &quot;systemctl enable&quot; just creates a sysmlink into the proper startup directory, so the wiki replaces it with a copy command &quot;cp /usr/lib/systemd/system/quassel.service /etc/systemd/system/&quot;</li>\r\n</ul></li>\r\n<li><p>Set up Port Forwarding on your router. I suggest you use an external port other than the default 4242 (Security Through Obscurity, see my Port Forwarding episode).</p></li>\r\n</ol>\r\n<p>All the configuration is done by the client!</p>\r\n<p>B. Install quassel-client</p>\r\n<ol type=\"1\">\r\n<li><p>All you need to connect is an IP address and the external port number. The first account you create will be master and the only account with the ability to create other users. In other words, if someone else had your server\'s IP address and the port Quassel-core is listening on, they could beat you to establishing a master account and controll Quassel on your server.</p></li>\r\n<li><p>Once you have established a connection to a core and set your password, you can set up the default IRC servers and channels. It\'s a GUI interface, so I\'m not going to walk you through the menus and various inputs. I only had success setting up one IRC server (Freenode) in the initial setup on the first client (as you connect addition clients, you will find your channels are already configured), and then only if I avoided ssl connections. Channels are entered into a list in the normal way (#channel_1, #channel_2, etc), but once you connect to a server, /join commands become persistant. I added a second IRC server, tllts, once I finished the initial setup.</p></li>\r\n</ol>\r\n<p>The user interface is similar to XChat,but not quite as polished.</p>\r\n<ol type=\"1\">\r\n<li><p>You get popup notifications when someone uses your handle in a chat, but scrolling back to find it, rather than being in a different color, it shows up in a garish reverse text. Easier to spot, but not as eligant.</p></li>\r\n<li><p>No way to search back posts for your handle or anything else.</p></li>\r\n<li><p>Links posted by others only have &quot;copy this link function&quot;, not &quot;open this link in default browser&quot;</p></li>\r\n<li><p>I don\'t seem to have spellchecking enabled in my IRC client. I discovered spell checkwas central in Linux, rather than every app having it\'s own version (i.e. I assume FireFox under Windows has it\'s own spellcheck libraries as Office has it\'s own library). I wonder if I installed hunspell on the Quassel core server, if I would suddenly get spellcheck ( <a href=\"https://hackerpublicradio.org/eps.php?id=1356\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1356</a> ).</p></li>\r\n</ol>\r\n<p>There is a perfectly adequate Android client for Quassel. Like AndChat, YAAIC, and the others, it seems to drop the connection unless you actively participating, but since the server is persistent, you never miss out on what was said while your client was disconnected.</p>\r\n<p>The last time I was awy for the weekend, I shut off all my PC\'s and network devices. One drawback of a local Quassel server would be my LAN and Quassel Core server would need to be up even when I was away from home.</p>\r\n<p>Migrating Quassel from my local server to the cloud: About a week after I\'d set up Quassel, a buddy anounced he had secured a Digital Ocean Droplet ($5 a month, limited storage, limited bandwidth). He was open to letting his friends use the service, as long as their requirements were low impact. I jumped on the oppurtunity to move my quassel-core over to the &quot;cloud&quot;. Remember the five and a half steps to setting up quassel-core under Arch? According to my friend who manages the Digital Ocean Droplet running Ubuntu Server, it was pretty much &quot;sudo aptitude install quassel-core&quot;. Once the core was running I then configured the new core from one of the clients (i.e., pointed quassel-client to a new IP and port number, then created an account and password). Since I was on a new server, I had to set up connections my IRC channels again. After that, every client I migrated to the new core inherited those channels from the server. A week or so after moving the core to the cloud, I came home to find my Internet had been down for a few hours. Cycling the power on the ISPs tranceiver and my router fixed my Internet connection, and since Digital Ocean had experienced no interruption, I was still able to scroll back to the five hours of IRC I missed.</p>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://wiki.archlinux.org/index.php/Quassel\" class=\"uri\">https://wiki.archlinux.org/index.php/Quassel</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1356\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1356</a></li>\r\n</ul>',131,0,0,'CC-BY-SA','Quassel,IRC quassel-client,quassel-core',0,0,1),
(1941,'2016-01-11','What\'s in my case',1976,'I\'m a fountain pen enthusiast; here\'s what\'s in my pen case','<h1 id=\"whats-in-my-case\">What\'s in my case</h1>\r\n<p>I\'m a fountain pen geek and I thought I\'d share my geekiness on HPR in case there are any other <em>FPGeeks</em> out there.</p>\r\n<p>I have a pen case which I bought from China through eBay, and so I felt that this allowed me to add this show to the \'<em>What\'s in my ...</em>\' series.</p>\r\n<p>I have written out a long set of notes to accompany this episode and these are available here <a href=\"https://hackerpublicradio.org/eps/hpr1941/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1941/full_shownotes.html</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Wikipedia article on the <em>Dip pen</em>: <a href=\"https://en.wikipedia.org/wiki/Dip_pen\" class=\"uri\">https://en.wikipedia.org/wiki/Dip_pen</a></li>\r\n<li>Wikipedia article on <em>Blotting paper</em>: <a href=\"https://en.wikipedia.org/wiki/Blotting_paper\" class=\"uri\">https://en.wikipedia.org/wiki/Blotting_paper</a></li>\r\n<li>Wikipedia article on the <em>Inkwell</em>: <a href=\"https://en.wikipedia.org/wiki/Inkwell\" class=\"uri\">https://en.wikipedia.org/wiki/Inkwell</a></li>\r\n<li>Marion Richardson: <a href=\"https://en.wikipedia.org/wiki/Marion_Richardson\" class=\"uri\">https://en.wikipedia.org/wiki/Marion_Richardson</a></li>\r\n<li><em>The return of the fountain pen</em> from The Spectator: <a href=\"https://new.spectator.co.uk/2015/03/the-return-of-the-fountain-pen/\" class=\"uri\">https://new.spectator.co.uk/2015/03/the-return-of-the-fountain-pen/</a></li>\r\n<li>BBC News 2006 &quot;<em>Fountain pens boost \'self-esteem\'</em>&quot;: <a href=\"https://news.bbc.co.uk/1/hi/scotland/edinburgh_and_east/6143844.stm\" class=\"uri\">https://news.bbc.co.uk/1/hi/scotland/edinburgh_and_east/6143844.stm</a></li>\r\n<li>Glossary of fountain pen terminology - <em>Goulet Pens</em>: <a href=\"https://blog.gouletpens.com/2014/01/glossary-of-fountain-pen-terminology.html\" class=\"uri\">https://blog.gouletpens.com/2014/01/glossary-of-fountain-pen-terminology.html</a></li>\r\n<li><em>Glossopedia of Pen Terms</em> - RichardsPens: <a href=\"https://www.richardspens.com/ref/glossary/00_gls.htm\" class=\"uri\">https://www.richardspens.com/ref/glossary/00_gls.htm</a></li>\r\n<li>Pelikan 215: <a href=\"https://www.pelikan.com/pulse/Pulsar/en_SG.FWI.displayShop.107252./classic-215-rhomb\" class=\"uri\">https://www.pelikan.com/pulse/Pulsar/en_SG.FWI.displayShop.107252./classic-215-rhomb</a></li>\r\n<li>Wikipedia article on the <em>Pelikan</em> company: <a href=\"https://en.wikipedia.org/wiki/Pelikan\" class=\"uri\">https://en.wikipedia.org/wiki/Pelikan</a></li>\r\n<li>TWSBI Inc. website: <a href=\"https://www.twsbi.com/\" class=\"uri\">https://www.twsbi.com/</a></li>\r\n<li>Noodler\'s Ink website: <a href=\"https://noodlersink.com/\" class=\"uri\">https://noodlersink.com/</a></li>\r\n<li>Review of Reform 1745 by S.B.R.E.Brown: <a href=\"https://www.youtube.com/watch?v=Dxbn3DwxfDg\" class=\"uri\">https://www.youtube.com/watch?v=Dxbn3DwxfDg</a></li>\r\n<li>Wikipedia article on the <em>Pilot</em> pen company: <a href=\"https://en.wikipedia.org/wiki/Pilot_%28pen_company%29\">https://en.wikipedia.org/wiki/Pilot_%28pen_company%29</a></li>\r\n<li>J. Herbin website: <a href=\"https://www.jherbin.com/\" class=\"uri\">https://www.jherbin.com/</a></li>\r\n<li><em>Fountain Pen Paper Recommendations</em> from JetPens: <a href=\"https://www.jetpens.com/blog/fountain-pen-paper-recommendations/pt/730\" class=\"uri\">https://www.jetpens.com/blog/fountain-pen-paper-recommendations/pt/730</a></li>\r\n<li>Wikipedia article on <em>Fountain pen ink</em>: <a href=\"https://en.wikipedia.org/wiki/Fountain_pen_ink\" class=\"uri\">https://en.wikipedia.org/wiki/Fountain_pen_ink</a></li>\r\n</ul>',225,23,1,'CC-BY-SA','fountain pen,nib,ink,cartridge,piston fill,penmanship',0,0,1),
(1946,'2016-01-18','Wok Cookery',1237,'I prepare a vegetarian version of Chow Mein for my son\'s visit','<h1 id=\"wok-cookery\">Wok Cookery</h1>\r\n<p>Not for the first time I\'m following in the footsteps of Frank Bell. Frank did an HPR episode entitled &quot;<em><a href=\"https://hackerpublicradio.org/eps.php?id=1787\" title=\"A Beginner with a Wok (Frank Bell)\">A Beginner with a Wok</a></em>&quot;, episode number 1787, on 2015-06-09. On it he spoke about his experiences stir-fry cooking using a wok.</p>\r\n<p>Frank got a lot of comments about his episode and there seemed to be an interest in the subject. I have been interested in Chinese, Indonesian and other Far Eastern cookery styles for some time, and do a lot of cooking, so I thought I\'d record a show about one of the recipes I use.</p>\r\n<p>My son visits around once a week and eats dinner with me. I offered to cook him my version of Chow Mein, which since he is vegetarian, needed to use no meat. This is my description of the recipe I used.</p>\r\n<p>I loosely based this version of Chow Mein on <a href=\"https://en.wikipedia.org/wiki/Ken_Hom\" title=\"Ken Hom\">Ken Hom\'s</a> recipe in his book <em>Chinese Cookery</em>, page 226. This is from his 1984 BBC TV series, which I watched. I also learnt many of my preparation techniques from Ken Hom\'s books and TV shows.</p>\r\n<p>I have written out a long set of notes to accompany this episode and these are available here <a href=\"https://hackerpublicradio.org/eps/hpr1946/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1946/full_shownotes.html</a>.</p>\r\n<h2 id=\"note\">Note</h2>\r\n<p>Apologies for the sounds of a mouse scroll wheel in the audio. I was trying a new microphone position and didn\'t realise how sensitive it was to these sounds.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>HPR episode 1787, &quot;<em>A Beginner with a Wok</em>&quot;, by <em>Frank Bell</em>: <a href=\"https://hackerpublicradio.org/eps.php?id=1787\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1787</a></li>\r\n<li>Wikipedia article on <em>Ken Hom</em>: <a href=\"https://en.wikipedia.org/wiki/Ken_Hom\" class=\"uri\">https://en.wikipedia.org/wiki/Ken_Hom</a></li>\r\n<li><em>Ken Hom\'s Chinese Cookery</em>:\r\n<ul>\r\n<li>1986 edition (ISBN-13: 978-0060960599): <a href=\"https://www.amazon.com/Ken-Homs-Chinese-Cookery-Hom/dp/0060960590\" class=\"uri\">https://www.amazon.com/Ken-Homs-Chinese-Cookery-Hom/dp/0060960590</a></li>\r\n<li>2009 edition (ISBN-13: 978-1846076053): <a href=\"https://www.amazon.co.uk/Chinese-Cookery-Ken-Hom/dp/1846076056/ref=tmm_pap_swatch_0?_encoding=UTF8&amp;qid=1450957458&amp;sr=1-15\" class=\"uri\">https://www.amazon.co.uk/Chinese-Cookery-Ken-Hom/dp/1846076056/ref=tmm_pap_swatch_0?_encoding=UTF8&amp;qid=1450957458&amp;sr=1-15</a></li>\r\n</ul></li>\r\n<li>Wikipedia article on the <em>Green bean</em>: <a href=\"https://en.wikipedia.org/wiki/Green_bean\" class=\"uri\">https://en.wikipedia.org/wiki/Green_bean</a></li>\r\n<li>Wikipedia page on <em>Mange tout</em>: <a href=\"https://en.wikipedia.org/wiki/Mange_tout\" class=\"uri\">https://en.wikipedia.org/wiki/Mange_tout</a></li>\r\n<li>Wikipedia page on the <em>Snow pea</em>: <a href=\"https://en.wikipedia.org/wiki/Snow_pea\" class=\"uri\">https://en.wikipedia.org/wiki/Snow_pea</a></li>\r\n<li>Wikipedia article on <em>Agaricus bisporus</em>, the <em>Chestnut mushroom</em>: <a href=\"https://en.wikipedia.org/wiki/Agaricus_bisporus\" class=\"uri\">https://en.wikipedia.org/wiki/Agaricus_bisporus</a></li>\r\n<li>Wikipedia article on the <em>Bean sprout</em>: <a href=\"https://en.wikipedia.org/wiki/Bean_sprout\" class=\"uri\">https://en.wikipedia.org/wiki/Bean_sprout</a></li>\r\n<li>Wikipedia article on <em>Quorn</em>: <a href=\"https://en.wikipedia.org/wiki/Quorn\" class=\"uri\">https://en.wikipedia.org/wiki/Quorn</a></li>\r\n<li>Lao Gan Ma website: <a href=\"https://m.laoganma.com.cn/product.aspx\" class=\"uri\">https://m.laoganma.com.cn/product.aspx</a></li>\r\n<li>Wikipedia page for <em>Lao Gan Ma</em>: <a href=\"https://en.wikipedia.org/wiki/Lao_Gan_Ma\" class=\"uri\">https://en.wikipedia.org/wiki/Lao_Gan_Ma</a></li>\r\n</ul>\r\n',225,93,1,'CC-BY-SA','cooking,wok,stir-fry,chow mein,noodles,Quorn',0,0,1),
(1935,'2016-01-01','Quick Bashpodder Fix',578,'Charles in NJ returns with a short show to discuss a fix he made to Bashpodder.','<p>\r\nBashpodder is a great Bash script for downloading the latest episodes of podcasts and other media from their feeds.\r\n</p>\r\n<p>\r\nThere are a few feeds that are not handled properly by Bashpodder, namely, the TED Talks podcast feed and the NPR digest show called the TED Radio Hour.\r\n</p>\r\n<p>\r\nThe URLs for the audio files have a number of additional fields at the end of the string after the media file name, and Bashpodder picks up the last field as if it were the media file name for the show. So every TED Radio Hour episode is called \"510298\". If you download more than one episode at a time, only the last episode to be saved will survive. Each new file clobbers the last one, because they all get the same filename.\r\n</p>\r\n<p>\r\nCharles in NJ made a simple fix to Bashpodder.shell to correct this problem, and he shares it in this episode.\r\n</p>\r\n\r\n<h3>Links:</h3>\r\n\r\n<ul>\r\n<li>Bashpodder: <a href=\"https://lincgeek.org/bashpodder\">https://lincgeek.org/bashpodder</a>\r\n</li>\r\n<li>TED Talks: <a href=\"https://blog.ted.com/audio_podcasts/\">https://blog.ted.com/audio_podcasts/</a>\r\n</li>\r\n<li>TED Radio Hour:  <a href=\"https://www.npr.org/podcasts/510298/ted-radio-hour\">https://www.npr.org/podcasts/510298/ted-radio-hour</a>\r\n</li>\r\n</ul>\r\n\r\n<h3>Additional Resources:</h3>\r\n\r\n<ol>\r\n<li>Original version of Bashpodder.shell <br />\r\n<a href=\"https://hackerpublicradio.org/eps/hpr1935-bashpodder_original.shell\">https://hackerpublicradio.org/eps/hpr1935-bashpodder_original.shell</a>\r\n</li>\r\n<li>Revised version with fixes to pick up TED-related podcast files <br />\r\n<a href=\"https://hackerpublicradio.org/eps/hpr1935-bashpodder.shell\">https://hackerpublicradio.org/eps/hpr1935-bashpodder.shell</a>\r\n</li>\r\n<li>Abbreviated example of bp.conf configuration file that tells Bashpodder what resources to fetch <br />\r\n<a href=\"https://hackerpublicradio.org/eps/hpr1935-bp.conf\">https://hackerpublicradio.org/eps/hpr1935-bp.conf</a>\r\n</li>\r\n<li>Abbreviated example of podcast.log that shows how Bashpodder stores its history, including some sample TED links.<br />\r\n<a href=\"https://hackerpublicradio.org/eps/hpr1935-podcast.log\">https://hackerpublicradio.org/eps/hpr1935-podcast.log</a>\r\n</li>\r\n</ol>\r\n\r\n<p>\r\nHappy New Year from Charles in NJ. \r\n</p>',229,0,1,'CC-BY-SA','Bashpodder, podcast, bash, awk',0,0,1),
(1939,'2016-01-07','Collating Pages with pdftk',934,'I describe how to collate the pages of two separate PDF files using pdftk','<p>I\'m moving into my new office at work, and among many things I had to move are file boxes full of old class notes from graduate school. The academic hoarder in me doesn\'t want to recycle them&mdash;I might need these things again! I\'m scanning.</p>\r\n\r\n<p>I\'ve inherited an excellent scanner/copier with a feeder that lets you scan stacks of pages with one click. This works great for single-sided documents, but most of my handwritten notes are double-sided. I scan one side, then turn the stack over and scan the other side, and I end up with two PDFs for a single stack of pages&mdash;one with the front pages and the other with back pages in reverse order. The difficulty is to collate the pages of those two files so that the front and back sides appear in a single PDF in the correct order. Sounds like a job for a shell script!</p>\r\n\r\n<p>The script takes two CLI arguments. The first argument is the PDF containing front pages, and the second is the PDF of the back pages.</p>\r\n\r\n<p>The first job is take the backsides and reverse the page order, because they were scanned in last-page-to-first. This is very easy with <code>pdftk</code>:</p>\r\n\r\n<pre>pdftk back.pdf cat end-1 output backfix.pdf</pre>\r\n\r\n<p>Now that the pages are all in the correct order it\'s time to collate them. We\'re going to use the <code>burst</code> function of the PDF toolkit to explode each of the two PDFs into separate pages. After that, we recombine the separate pages in the correct order. The trick is finding a way to do this efficiently. In concept, it\'s not hard to collate pages in whatever order you want after they\'ve been burst. You simply keep giving <code>pdftk</code> CLI arguments for all of the files you want to combine and then output them as a single file. However, if you have 40 or 50 pages, it\'s extremely tedious to provide that many CLI args one at a time. This must be automated!</p>\r\n\r\n<p>The way I figured out how to do this was to ensure that the <code>burst</code> command would output files that would appear in the correct order automatically when using the <code>ls</code> command inside the working directory. The <code>burst</code> command automatically numbers the output files, but you can specify certain filename formatting parameters if you want to. I chose a format that would begin the filename with the numerical page count in at least three digits with leading zeros (001, 002, etc), followed by an underscore and either the word \"front\" for the front pages or \"reverse\" for the back pages.</p>\r\n\r\n<p>So here are the <code>burst</code> commands:</p>\r\n\r\n<pre>\r\npdftk front.pdf burst output %03d_front.pdf\r\npdftk backfix.pdf burst output %03d_reverse.pdf\r\n</pre>\r\n\r\n<p>At this point a bunch of new files appear, looking something like this: </p>\r\n\r\n<pre>\r\n001_front.pdf\r\n001_reverse.pdf\r\n002_front.pdf\r\n002_reverse.pdf\r\n003_front.pdf\r\n003_reverse.pdf\r\n...\r\n</pre>\r\n\r\n<p>Notice how the front and back pages all appear in the correct order? Now, instead of typing in the filename for every page, we can use the output of the <code>ls</code> command, filtering out any files not beginning with numbers.</p>\r\n\r\n<pre>pdftk $(ls |grep ^[0-9]) cat output collated.pdf</pre>\r\n\r\n<p>And it\'s done. The entire script loks like this:</p>\r\n\r\n<pre>\r\n#!/bin/bash\r\n\r\n# Requires: pdftk\r\n\r\nfront=$(readlink -f &quot;$1&quot;)\r\nback=$(readlink -f &quot;$2&quot;)\r\nbasedir=$(dirname $front) \r\nstem=$(basename $back .pdf)\r\nbackfix=&quot;$stem&quot;-fixed.pdf\r\nnew=$(basename $front .pdf | sed -e \'s/[Ff]ront/Combined/\')\r\n\r\ncd $basedir\r\npdftk $back cat end-1 output $backfix &amp;&gt; /dev/null\r\npdftk $front burst output %03d_front.pdf &amp;&gt; /dev/null\r\npdftk $backfix burst output %03d_reverse.pdf &amp;&gt; /dev/null\r\npdftk $(ls |grep ^[0-9]) cat output &quot;$new&quot;.pdf\r\n</pre>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li><code>pdftk</code> man page: <a href=\"https://www.pdflabs.com/docs/pdftk-man-page/\" rel=\"nofollow\">https://www.pdflabs.com/docs/pdftk-man-page/</a></li>\r\n	<li>My earlier HPR episode about <code>pdftk</code>: <a href=\"https://hackerpublicradio.org/eps.php?id=1760\">hpr1760</a></li>\r\n</ul>',238,0,0,'CC-BY-SA','pdftk, scripting, productivity, scanning, document management, pdf',0,0,1),
(1951,'2016-01-25','Some additional Bash tips',2424,'More about expansion in Bash: this time arithmetic expansion','<h1 id=\"some-additional-bash-tips\">Some additional Bash tips</h1>\r\n<h2 id=\"expansion\">Expansion</h2>\r\n<p>As we saw in the last episode <a href=\"https://hackerpublicradio.org/eps.php?id=1903\" title=\"Some further Bash tips\">1903</a> there are seven types of expansion applied to the command line in the following order:</p>\r\n<ul>\r\n<li>Brace expansion (we looked at this subject in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1884\" title=\"Some more Bash tips\">1884</a>)</li>\r\n<li>Tilde expansion (seen in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1903\" title=\"Some further Bash tips\">1903</a>)</li>\r\n<li>Parameter and variable expansion (this was covered in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1648\" title=\"Bash parameter manipulation\">1648</a>)</li>\r\n<li>Command substitution (seen in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1903\" title=\"Some further Bash tips\">1903</a>)</li>\r\n<li>Arithmetic expansion</li>\r\n<li>Word splitting</li>\r\n<li>Pathname expansion</li>\r\n</ul>\r\n<p>There is also another, <em>process substitution</em>, which occurs after <em>arithmetic expansion</em> on systems that can implement it.</p>\r\n<p>We will look at one more of these expansion types in this episode but since there is a lot to cover, we\'ll continue in a later episode.</p>\r\n<p>I have written out a moderately long set of notes about this subject and these are available here <a href=\"https://hackerpublicradio.org/eps/hpr1951_full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1951_full_shownotes.html</a>.</p>\r\n<h3 id=\"audio-note\">Audio Note</h3>\r\n<p>This time, in the spirit of experimentation and as a way of learning Audacity I processed my audio thus:</p>\r\n<ul>\r\n<li><p>Turned the stereo tracks to mono</p></li>\r\n<li><p>Used a Noise Gate plug-in to reduce background noise (after &quot;training&quot; it on some silence)</p></li>\r\n<li><p>Performed a Truncate Silence pass to reduce the length of pauses</p></li>\r\n<li><p>Applied a small amount of amplification</p></li>\r\n</ul>\r\n<p>Let me know if this had any positive or negative effects on the end product.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Bash Reference Manual:\r\n<ul>\r\n<li>Arithmetic Expansion: <a href=\"https://www.gnu.org/software/bash/manual/html_node/Arithmetic-Expansion.html#Arithmetic-Expansion\" class=\"uri\">https://www.gnu.org/software/bash/manual/html_node/Arithmetic-Expansion.html#Arithmetic-Expansion</a></li>\r\n<li>Shell Arithmetic: <a href=\"https://www.gnu.org/software/bash/manual/html_node/Shell-Arithmetic.html#Shell-Arithmetic\" class=\"uri\">https://www.gnu.org/software/bash/manual/html_node/Shell-Arithmetic.html#Shell-Arithmetic</a></li>\r\n</ul></li>\r\n<li>HPR episode 1202 &quot;LiTS 025: bc&quot; hosted by <a href=\"https://hackerpublicradio.org/correspondents/0007.html\">Dann Washko</a>: <a href=\"https://hackerpublicradio.org/eps.php?id=1202\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1202</a></li>\r\n<li>HPR episode 1648 &quot;<em>Bash parameter manipulation</em>&quot;: <a href=\"https://hackerpublicradio.org/eps.php?id=1648\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1648</a></li>\r\n<li>HPR episode 1843 &quot;<em>Some Bash tips</em>&quot;: <a href=\"https://hackerpublicradio.org/eps.php?id=1843\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1843</a></li>\r\n<li>HPR episode 1884 &quot;<em>Some more Bash tips</em>&quot;: <a href=\"https://hackerpublicradio.org/eps.php?id=1884\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1884</a></li>\r\n<li>HPR episode 1903 &quot;<em>Some further Bash tips</em>&quot;: <a href=\"https://hackerpublicradio.org/eps.php?id=1903\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1903</a></li>\r\n</ul>\r\n',225,42,1,'CC-BY-SA','Bash,expansion,arithmetic expansion,shell arithmetic,number base',0,0,1),
(1949,'2016-01-21','The Kindle/Kobo Open Reader (KOReader)',1638,'I talk about installing an alternate ebook reader app on a jailbroken Kindle','<p>In this episode I talk about installing an alternate ebook reader app on your Kindle paperwhite. The one I\'m using is called the <a href=\"https://github.com/koreader/koreader/wiki\">Kindle/Kobo Open Reader</a> (KOReader), and it has many features that the stock Kindle reader does not have:</p>\r\n\r\n<ul>\r\n<li>Epub support</li>\r\n<li>Word-breaking hyphenation</li>\r\n<li>PDF reflow</li>\r\n<li>Take screenshot with diagonal swipe</li>\r\n<li>Export highlights to Evernote</li>\r\n<li>Fills more screen space</li>\r\n<li>User-installed fonts</li>\r\n</ul>\r\n\r\n<p>How to get it running:</p>\r\n\r\n<ul>\r\n<li>Jailbreak your Kindle, refer to <a href=\"https://www.mobileread.com/forums/showthread.php?t=186645\">this post</a>. Jailbreaking doesn\'t give you any new programs. What it does is unlock the potential of the device and allows you to install different launchers and applications.</li>\r\n<li>Install alternate launcher, such as <a href=\"https://www.mobileread.com/forums/showthread.php?t=203326\">KUAL</a>, the Kindle Unified Application Launcher. This is a framework that allows developers to create menu items that will launch applications on a jailbroken Kindle.</li>\r\n<li>Install KOreader. <a href=\"https://github.com/koreader/koreader/wiki/Installation-on-Kindle-devices\">Instructions</a></li>\r\n	<li>Install <a href=\"https://github.com/koreader/koreader/wiki/Dictionary-support\">Dictionary files</a> for whatever languages you want to have (optional)</li>\r\n	<li>install <a href=\"https://code.google.com/p/tesseract-ocr/downloads/list\">Tesseract language data</a> (optional)</li>\r\n</ul>\r\n\r\n<p>You can allow KOreader to take over styling of whatever book you\'re reading. If you don\'t like the style rules it applies, you can hack the epub CSS file located here: <code>/koreader/data/epub.css</code></p>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li><a href=\"https://github.com/koreader/koreader/wiki\">KOreader Docs</a></li>\r\n</ul>\r\n',238,0,0,'CC-BY-SA','kindle, kobo, ebooks, epub, jailbreaking, rooting, ebook readers',0,0,1),
(1938,'2016-01-06','How I prepare HPR shows',1574,'I use my own tools for preparing my HPR shows. I talk about them in this episode','<h1 id=\"how-i-prepare-hpr-shows\">How I prepare HPR shows</h1>\r\n<h2 id=\"introduction\">Introduction</h2>\r\n<p>I have been contributing shows to Hacker Public Radio since 2012. In those far off days (!) we sent everything in via FTP, and had to name the files with a combination of our host id, our name, the slot number and the title. The show notes had to contain a chunk of metadata in a defined format to signal all of the various attributes of the show. I found myself making numerous mistakes with this naming and metadata formatting and so started designing and writing some tools to protect myself from my own errors.</p>\r\n<p>I started developing a Bash script in mid-2013 which I called <code>hpr_talk</code>. I used Bash since I thought I might be able to make something with a small footprint that I could share, which might be useful to others. The script grew and grew and became increasingly complex and I found I needed to add other scripts to the toolkit and to resort to Perl and various Perl modules to perform some actions.</p>\r\n<p>Then in 2014 Ken changed the upload procedure to what it is now. This is a much better design and does away with the need to name files in odd ways and add metadata to them. However, this left my toolkit a bit high and dry, so I shelved the plans to release it.</p>\r\n<p>Since then I have been enhancing the <code>hpr_talk</code> toolkit, adding features that I found useful and removing bugs, until the present time. Now it is probably far too complex and idiosyncratic to be of direct use to others, and is rather too personalised to my needs to be easily shared. Nevertheless, it is available on <a href=\"https://gitlab.com/davmo/hpr-talk\" title=\"hpr_talk on GitLab\">GitLab</a> and I am going to describe it here in case it (or the methods used) might be of interest to anyone.</p>\r\n<p>I have written out a moderately long set of notes about this subject and these are available here <a href=\"https://hackerpublicradio.org/eps/hpr1938_full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1938_full_shownotes.html</a>.</p>\r\n<h2 id=\"audio-notes\">Audio Notes</h2>\r\n<p>I had to record this in two parts. In the second part there was a constant background hum which I tried to remove. My removal process was not particularly successful I\'m afraid, so it cuts in and out. I\'m still learning how to do this sort of thing in Audacity!</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>My <em>hpr_talk</em> toolkit on GitLab: <a href=\"https://gitlab.com/davmo/hpr-talk\" class=\"uri\">https://gitlab.com/davmo/hpr-talk</a></li>\r\n<li>The <em>Template Toolkit</em> for Perl and Python: <a href=\"https://template-toolkit.org/about.html\" class=\"uri\">https://template-toolkit.org/about.html</a></li>\r\n</ul>\r\n',225,0,1,'CC-BY-SA','Markdown,Pandoc,ePub,Bash,Perl,FTP',0,0,1),
(1943,'2016-01-13','HPR AudioBook Club 11.5 - Interview with David Collins-Rivera',8866,'The HPR Audiobook Club interviews the author of the latest book we reviewed.','<h3>SUMMARY</h3>\r\n<p>In  this episode, the HPR_AudioBookClub interviews David  Collins-Rivera.</p>\r\n<h3>David\'s Writing</h3>\r\n<ul>\r\n <li> </li>\r\n <li> </li>\r\n</ul>\r\n<h3>David\'s Voice work and Acting</h3>\r\n<ul>\r\n <li> </li>\r\n <li> </li>\r\n</ul>\r\n<p>(summary)</p>\r\n<h3>BEVERAGE REVIEWS</h3>\r\n<p>As   usual, the HPR_AudioBookClub took some time to review the beverages  that each of us were drinking during the episode</p>\r\n<ul>\r\n <li>x1101: Green &amp; Mint tea. Very mellow and refreshing</li>\r\n<li>Thaj: Typical homemade lemonade.  Teeth rotting good :) </li>\r\n <li>pokey: I was drinking a can of Polar Lime Seltzer. I love seltzer, and lime is my favorite flavor. I think that seltzer feels (not tastes!) like cheap beer, and I once used it to help me quit drinking beer. I have since quit quitting beer, but I now I can\'t quit seltzer</li>\r\n <li>lostinbronx: </li>\r\n <li></li>\r\n</ul>\r\n<h3>Things We Talked About</h3>\r\n<p> </p>\r\n<h3>OUR NEXT AUDIOBOOK</h3>\r\n<p><strong>The Call of Cthulhu</strong> by H. P. Lovecraft\r\n <br><a href=\"https://hppodcraft.com/podcasts/TheCallofCthulhu-hppodcraft.mp3\">https://hppodcraft.com/podcasts/TheCallofCthulhu-hppodcraft.mp3</a></p>\r\n<p>pegwole  suggested this AudioBook, and we all thought that horror was a pretty  good selection for our October episode.</p>\r\n<h3>NEXT RECORDING</h3>\r\n<p>Our next book club recording will be 2014/10/14T23:00:00+00:00. <a href=\"https://en.wikipedia.org/wiki/ISO_8601#Times\">https://en.wikipedia.org/wiki/ISO_8601#Times</a>   If you\'d like a Google calendar invite, or if you\'d like to be on the   HPR_AudioBookClub mailing list, please get in contact with us on the  HPR  mailing list \'hpr at hackerpublicradio dot org\'</p>\r\n<h3>OUR AUDIO</h3>\r\n<p>This episode was processed using Audacity <a href=\"https://audacity.sourceforge.net/\">https://audacity.sourceforge.net/</a>.   We\'ve been making small adjustments to our audio mix each month in   order to get the best possible sound. It\'s been especially challenging   getting all of our voices relatively level, because everyone has their   own unique setup. Mumble is great for bringing us all together, and for   recording, but it\'s not good at making everyone\'s voice the same  volume.  We\'re pretty happy with the way this month\'s show turned out,  so we\'d  like to share our editing process and settings with you and our  future  selves (who, of course, will have forgotten all this by  then).</p>\r\n<p>Mumble   uses a sample rate of 48kHz, but HPR requires a sample rate of 44.1kHz   so the first step in our audio process is to resample the file at   44.1kHz. Resampeling can take a long time if you don\'t have a powerful   computer, and sometimes even if you do. If you record late at night,   like we do, you may want to start the task before you go to bed, and   save it first thing in the morning, so that the file is ready to go the   next time you are.</p>\r\n<p>Next we use the \"Compressor\" effect with the following settings:</P>\r\n <ul>\r\n  <li>Threshold: -30db</li>\r\n  <li>Noise Floor: -50db</li>\r\n  <li>Ratio: 3:1</li>\r\n  <li>Attack Time: 0.2sec</li>\r\n  <li>Decay Time: 1.0 sec</li>\r\n  <li>\"Make-up Gain for 0db after compressing\" and \"compress based on peaks\" were both left un-checked.</li>\r\n </ul>\r\n<p>After   compressing the audio we cut any pre-show and post-show chatter from   the file and save them in a separate file for possible use as outtakes   after the closing music.</p>\r\n<p>At   this point we listen back to the whole file and we work on the   shownotes. This is when we can cut out anything that needs to be cut,   and we can also make sure that we put any links in the shownotes that   were talked about during the recording of the show. We finish the   shownotes before exporting the .aup file to .FLAC so that we can paste  a  copy of the shownotes into the audio file\'s metadata. We use the   \"Truncate Silence\" effect with it\'s default settings to minimize the   silence between people speaking. When used with it\'s default (or at   least reasonable) settings, Truncate Silence is extreemly effective and   satisfying. It makes everyone sound smarter, it makes the file shorter   without destroying actual content, and it makes a conversations sound  as  easy and fluid during playback as it was while it was recorded. It  can  be even more effective if you can train yourself to remain silent   instead of saying \"uuuuummmm.\" Just remember to ONLY pass the file   through Truncate Silence ONCE. If you pass it through a second time, or   if you set it too agressively your audio may sound sped up and   choppy.</p>\r\n<p>At   this point we add new, empty audio tracks into which we paste the   intro, outro and possibly outtakes, and we rename each track   accordingly.</p>\r\n<p>We   adjust the Gain so that the VU meter in Audacity hovers around -12db   while people are speaking, and we try to keep the peaks under -6db, and   we adjust the Gain on each of the new tracks so that all volumes are   similar, and more importantly comfortable. Once this is done we can  \"Mix  and Render\" all of our tracks into a single track for export to  the  .FLAC file which is uploaded to the HPR FTP server.</p>\r\n<p>Remember   to save often when using Audacity. We like to save after each of these   steps. Audacity has a reputation for being \"crashy\" but if you  remember  save after every major transform, you will wonder how it ever  got that  reputation.</p>\r\n<h3>FURTHER RECOMMENDATIONS</h3>\r\n<h3>FEEDBACK</h3>\r\n<p>Thank   you very much for listening to this episode of the HPR_AudioBookClub.   We had a great time recording this show, and we hope you enjoyed it as   well. We also hope you\'ll consider joining us next time. Please leave a   few words in the episode\'s comment section.\r\n <br>As always; remember to visit the HPR contribution page HPR could really use your help right now.</p>\r\n<p><a href=\"https://hackerpublicradio.org/contribute.php\">https://hackerpublicradio.org/contribute.php</a></p>\r\n<p>Sincerely,\r\n <br>The HPR_AudioBookClub</p>\r\n<p>P.S. Some people really like finding mistakes. For their enjoyment, we always include a few.</p>\r\n',157,53,1,'CC-BY-SA','HPR AudioBookClub, Pokey, Thaj, lostnbronx, David Collins-Rivera, X1101, Street Candles',0,0,1),
(1944,'2016-01-14','sshfs - Secure SHell FileSystem',1861,'How to mount remote storage using sshfs','<p>\r\nThis is a topic Ken Fallon has been wanting someone to do for some time, but I didn\'t want to talk about sshfs until the groundwork for ssh in general was laid.  Fortunately, other hosts have recently covered the basics of ssh, so I don\'t have to record a series of episodes just to get to sshfs.\r\n</p>\r\n<p>\r\nFrom the sshfs man page:   SSHFS (Secure SHell FileSystem) is a file system for Linux (and other operating systems with a FUSE implementation, such as Mac OS X  or  FreeBSD)  capable  of operating  on files on a remote computer using just a secure shell login on the remote computer. On the local computer where the SSHFS is mounted,  the  implementation  makes  use  of the FUSE (Filesystem in Userspace) kernel module. The practical effect of this is that the end  user  can  seamlessly  interact  with remote files being securely served over SSH just as if they were local files on his/her computer. On the remote computer the SFTP subsystem of SSH is used.\r\n</p>\r\n<p>\r\nIn short, sshfs offers a dead simple way of mounting remote network volumes from another system on at a specified mount point on your local host, with encrypted data communications.  It\'s perfect for at hoc connections on mobile computers or more permanent links.  This is tutorial is going to be about how I use sshfs, rather than covering every conceivable option. I really think my experience will cover the vast majority of use cases without making things complicated, besides, I don\'t like to discuss options I haven\'t used personally.\r\n</p>\r\n<p>\r\nThere are other ways to mount remote storage, most noteably SAMBA,  but unless you are trying to connect to a Windows share, sshfs is far less trouble to set up, escpecially since most distros come with ssh-server already installed.\r\n</p>\r\n<p>\r\nThe first thing to do when preparing to use sshfs is to create a mountpoint on your local computer.  For most purposes, you should create a folder inside your home folder.  You should plan to leave this folder empty, because sshfs won\'t mount inside a folder that already has files in it.   If I was configuring sshfs on a machine that had multiple users, I might set up a mount point under /media, then put symlinks in every user\'s home folder.\r\n</p>\r\n<p>\r\nThe sshfs command syntax reminds me of many of the other extended commands based ssh, like scp. The basic format is:\r\n<code>sshfs username@&lt;remote_host&gt;:  mountpoint</code>\r\n</p>\r\n<p>\r\nTo put things in a better  perspective, I\'ll use my situation as an example.   My home server is on 192.168.2.153.   If you have a hostname set up,you can use that instead of an IP. For the sake of arguement, my mountpoint for network storage is /home/fifty/storage .  So, I can mount the storage folder on my server using:\r\n</p>\r\n<p>\r\n<code>sshfs fifty@192.168.2.153: /home/fifty/storage</code>\r\n</p>\r\n<p>\r\nBy default, your whole home directory on the remote system will be mounted at your mountpoint.  You may have noticed the colon after the IP address, it is a necessary part of the syntax.  Lets say you don\'t wish to mount your whole remote home folder, perhaps just the subdirectory containing shared storage.  In my case, my server is an Raspberry Pi 2 with a 5Tb external USB drive which is mounted under /home/fifty/storage .  Say, I only want to mount my shared storage, not everything in my home folder, I modify my command to be:\r\n</p>\r\n<p>\r\n<code>sshfs fifty@192.168.2.153:storage /home/fifty/storage</code>\r\n  .or.\r\n<code>sshfs fifty@192.168.2.153:/home/fifty/storage /home/fifty/storage</code>\r\n</p>\r\n<p>\r\nExcept that generally doesn\'t work for me, and I\'ll come to that presently.  The 5Tb USB drive on the server isn\'t actually mounted in my home folder, it automounts under /media.  The directory /home/fifty/storage on the server is actually a symlink to the actual mountpoint under /media.  To make sshfs follow symlinks, you need to add the option \'-o follow_symlinks\', so now my sshfs command looks like:\r\n</p>\r\n<p>\r\n<code>sshfs fifty@192.168.2.153: /home/fifty/storage -o follow_symlinks</code>\r\n</p>\r\n<p>\r\nYou may have noticed, the \"-o\" switch comes at end the end of the command.  Usually switches come right after the command, and before the arguements.  \r\n</p>\r\n<p>\r\nThis will allow sshfs to navigate symlinks, but I\'ve discovered not all distros are comfortable using a symlink as the top levelfolder in a sshfs connection.  For example, in Debian Wheezy, I could do:\r\n</p>\r\n<p>\r\n<code>sshfs fifty@192.168.2.153:storage /home/fifty/storage -o follow_symlinks</code>\r\n</p>\r\n<p>\r\nOther distros, Ubuntu, Mint, Fedora so far don\'t like to connect to a symlink at the top level.  For those distros, I need to use:\r\n</p>\r\n<p>\r\n<code>sshfs fifty@192.168.2.153: /home/fifty/storage -o follow_symlinks</code>\r\n</p>\r\n<p>\r\nand walk my way down to storage.\r\n</p>\r\n<p>\r\nOther related options and commands I haven\'t used but you may be interested in include -p , for Port.  Lets say the remote server you want to mount is not on your local network, but a server out on the Internet, it probably won\'t be on the default ssh port.  Syntax in this case might look like:\r\n</p>\r\n<p>\r\n<code>sshfs -p 1022 fifty@142.168.2.153:storage /home/fifty/storage -o follow_symlinks</code>\r\n</p>\r\n<p>\r\nReading the man page, I also find \"-o allow_root\" which is described as \"allow access to root\" .  I would expect, combined with a root login, this would mount all of the storage on the remote system, not just a user\'s home directory, but without direct expertience, Iwouldn\'t care to speculate further. \r\n</p>\r\n<p>\r\nThe mount can be broken with <code>\'fusermount -u &lt;mountpoint&gt;\'</code>. \r\n</p>\r\n<p>\r\nAt this point, I could explain to you how to modify /etc/fstab to automatically mount a sshfs partition. The trouble is, /etc/fstab is processed for local storage before any network connections are made.   Unless you want to modify the order in which services are enabled, no remote storage will ever be available when /etc/fstab is processed.  It makes far more sense to encapsulate your sshfs command inside a script file and either have it autoloaded with your desktop manager or manually loaded when needed from a terminal.\r\n</p>\r\n<p>\r\nOne thing to watch out for, is saving files to the mountpoint when the remote storage is not actually mounted, i.e., you save to a default path under a mountpoint you expect to be mounted and is not, so all the sudden you have files in a folder that is supposed to be empty.  To remount the remote storage, you have to delete/move the paths created at your designated mountpoint, to leave a pristeen, empty folder again.\r\n</p>\r\n<p>\r\nWeihenstephaner Vitus - The label says it\'s a Weizenbock, so we know its a strong, wheat based lager\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://us.weihenstephaner.com/en/our-beers/?slide=Vitus#slider-beer-main\">https://us.weihenstephaner.com/en/our-beers/?slide=Vitus#slider-beer-main</a>\r\n</li>\r\n<li><a href=\"https://www.beeradvocate.com/beer/profile/252/35625/\">https://www.beeradvocate.com/beer/profile/252/35625/</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nIBU 17  ABV 7.7%\r\n</p>',131,0,1,'CC-BY-SA','sshfs, shell commands',0,0,1),
(1947,'2016-01-19','ocenaudio ',691,'ocenaudio is a cross-platform, easy to use, fast and functional audio editor.','<p>\r\nocenaudio is a cross-platform, easy to use, fast and functional audio editor. It is the ideal software for people who need to edit and analyze audio files without complications. ocenaudio also has powerful features that will please more advanced users.\r\n</p>\r\n<p>\r\nocenaudio supports VST (Virtual Studio Technology) plugins, giving its users access to numerous effects. Like the native effects, VST effects can use real-time preview to aide configuration.\r\n</p>\r\n\r\n<h3>LOSTNBRONX</h3>\r\n\r\n<p>\r\n<a href=\"https://www.cavalcadeaudio.com\">https://www.cavalcadeaudio.com</a>\r\n</p>\r\n\r\n<h3>OCENAUDIO</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://ocenaudio.com.br/\">https://ocenaudio.com.br/</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nThere\'s not much documentation out there for Ocenaudio. Here are a couple links to articles that might help:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://nathanghall.wordpress.com/2015/02/10/audacity-vs-ocenaudio-comparing-free-audio-editor-programs/\">https://nathanghall.wordpress.com/2015/02/10/audacity-vs-ocenaudio-comparing-free-audio-editor-programs/</a>\r\n</li>\r\n<li><a href=\"https://www.addictivetips.com/windows-tips/ocenaudio-analyze-and-edit-audio-files-across-different-platforms/\">https://www.addictivetips.com/windows-tips/ocenaudio-analyze-and-edit-audio-files-across-different-platforms/</a>\r\n</li>\r\n<li><a href=\"https://www.ghacks.net/2014/06/30/ocenaudio-easy-use-audacity-audio-editor-alternative/\">https://www.ghacks.net/2014/06/30/ocenaudio-easy-use-audacity-audio-editor-alternative/</a>\r\n</li>\r\n</ul>',107,0,1,'CC-BY-SA','audio editor,ocenaudio,VST',0,0,1),
(1955,'2016-01-29','Install Open Street Map on a Garmin 60CX',1238,'David Whitman installs an Open Street Map of Hawaii on a Garmin 60CX. Yipee for Free.','<ol>\r\n<li>First go to this site:  <a href=\"https://garmin.openstreetmap.nl/\">https://garmin.openstreetmap.nl/</a>\r\n</li>\r\n<li>Then select your map type\r\n</li>\r\n<li>Select and download the predefined area or tiles you want. You can download it directly or have the web page build it for you by entering your email address and pushing the button BUILD MY MAP.\r\n<br />\r\na) If you choose the email option then you get an email that the map is being built and another (later on) that the map is ready.\r\n</li>\r\n<li>Unzip the file\r\n</li>\r\n<li>Rename the downloaded map to gmapsupp.img \r\n</li>\r\n<li>Save your old map (that\'s on your device) entitled  to a different name and then backup\r\n</li>\r\n<li>Put the map you unzipped and renamed in its place and make sure it is renamed to \'gmapsupp.img\' (omit the single quotes I have used in these show notes)\r\n</li>\r\n<li>Use your device and thank OSM\r\n</li>\r\n</ol>\r\n\r\n<p>\r\nReasons why I like OSM for use on my Garmin 60CX and Garmin E-trex Vista\r\n</p>\r\n<p>\r\nOSM maps have more data for my area than the Garmin supplied map World Wide maps are available. See where Peter64, Ken Fallon or even 5150 lives. It\'s cheaper than buying a commercial map Trails, points and other improvements I put on OSM can be on my map I like the OSM concept and community.\r\n</p>\r\n<p>\r\nThese older GPS\'s can be purchased for bargain prices. Apparently the suction cup receiver - Garmin Windshield devices can also use OSM maps with other free software.\r\n</p>\r\n',209,0,1,'CC-BY-SA','Open Street Map, OSM, Navigation, Fun',0,0,1),
(1948,'2016-01-20','Check Your Spelling in Vim',699,'Frank summarizes how to use spellcheck in VIM','<p>\r\nFrank Bell describes how to check your spelling in the Vim editor and to create\r\nyour own wordlist.\r\n</p>\r\n<p>\r\nFrank\'s ~/.vimrc file:\r\n</p>\r\n<pre>\r\nset ruler laststatus=2 number title hlsearch\r\nsyntax on\r\nset textwidth=80\r\nset spell spelllang=en_us\r\nset spellfile=$HOME/.Vim/spell/en.utf-8.add\r\n</pre>\r\n\r\n<h3>Illustrations:</h3>\r\n\r\n<p>\r\nText file in Vim with spellcheck enabled:\r\n</p>\r\n\r\n<a href=\"https://www.pineviewfarm.net/weblog/wp-content/uploads/2015/12/Vim-hilite.png\" >\r\n<img src=\"https://www.pineviewfarm.net/weblog/wp-content/uploads/2015/12/Vim-hilite.png\" alt=\"A screen shot of a text document opened in VIM with mis-spelled words highlighted in a different color\" />\r\n</a>\r\n\r\n<p>\r\nVim \"choose the right word\" list:\r\n</p>\r\n<a href=\"https://www.pineviewfarm.net/weblog/wp-content/uploads/2015/12/Vim-wordlist.png\">\r\n<img src=\"https://www.pineviewfarm.net/weblog/wp-content/uploads/2015/12/Vim-wordlist.png\" \r\nalt=\"Vim options showing the text change ESC to and then providing a long list of alternatives. At the bottom you are asked to fill in the number of the alternative you wish to use\"/>\r\n</a>\r\n\r\n<h3>Links:</h3>\r\n<ul>\r\n<li>Excellent introductory tutorial:  <a href=\"https://thejakeharding.com/tutorial/2012/06/13/using-spell-check-in-vim.html\">https://thejakeharding.com/tutorial/2012/06/13/using-spell-check-in-vim.html</a></li>\r\n<li>Vim\'s own documentation: <a href=\"https://Vimdoc.sourceforge.net/htmldoc/spell.html\">https://Vimdoc.sourceforge.net/htmldoc/spell.html</a></li>\r\n<li>Linux Voice Vim tutorial (PDF):  <a href=\"https://www.linuxvoice.com/issues/001/vim.pdf\">https://www.linuxvoice.com/issues/001/vim.pdf</a></li>\r\n<li>Linux Voice Vim video:  <a href=\"https://www.linuxvoice.com/learn-to-love-vim/\">https://www.linuxvoice.com/learn-to-love-vim/</a></li>\r\n</ul>',195,82,1,'CC-BY-SA','Vim,spellcheck',0,0,1),
(1957,'2016-02-02','FOSDEM 2016 K building level 1 Group B and C',7735,'CAcert DRLM Gluster oVirt OpenVZ FSFE ReactOS BAREOS Debian PostgreSQL OpenMandriva Mageia Gentoo ','<h1>Table of Contents</h1>\r\n\r\n<ul>\r\n<li><a href=\"#CAcert\">CAcert</a></li>\r\n<li><a href=\"#DRLM\">DRLM</a></li>\r\n<li><a href=\"#Gluster\">Gluster</a></li>\r\n<li><a href=\"#oVirt\">oVirt</a></li>\r\n<li><a href=\"#OpenVZ\">OpenVZ</a></li>\r\n<li><a href=\"#FSFE\">FSFE</a></li>\r\n<li><a href=\"#ReactOS\">ReactOS</a></li>\r\n<li><a href=\"#BAREOS\">BAREOS</a></li>\r\n<li><a href=\"#Debian\">Debian</a></li>\r\n<li><a href=\"#PostgreSQL\">PostgreSQL</a></li>\r\n<li><a href=\"#OpenMandriva\">OpenMandriva</a></li>\r\n<li><a href=\"#Mageia\">Mageia</a></li>\r\n<li><a href=\"#Gentoo\">Gentoo</a></li>\r\n</ul>\r\n<h2 id=\"CAcert\" >CAcert</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://www.cacert.org/images/cacert4.png\" /></p>\r\n<blockquote cite=\"https://www.cacert.org/\">\r\nCAcert.org is a community driven Certificate Authority that issues certificates to the public at large for free. CAcert\'s goal is to promote awareness and education on computer security through the use of encryption, specifically with the X.509 family of standards. We have compiled a document base (Wiki) that has helpful hints and tips on setting up encryption with common software, and general information about Public Key Infrastructures (PKI). CAcert Inc. is a non-profit association, incorporated in New South Wales, Australia.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Reinhard Mutz Organisation Assurer</h3>\r\n\r\n<p><audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.ogg#t=76.679813,765.893564\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.ogg#t=76.679813,765.893564\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.cacert.org/\">https://www.cacert.org/</a></li>\r\n<li>Personal Website: <a href=\"https://wiki.cacert.org/ReinhardMutz\">https://wiki.cacert.org/ReinhardMutz</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/CAcert_News\">@CAcert_News</a></li>\r\n<li>email: <a href=\"mailto:reinhard.nospam@nospam.cacert.org\">reinhard.nospam@nospam.cacert.org</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/CAcert/\">https://www.facebook.com/CAcert/</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/u/0/117081703972254991731/posts\">https://plus.google.com/u/0/117081703972254991731/posts</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/CAcert.org\">https://en.wikipedia.org/wiki/CAcert.org</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/groups/89248/profile\">https://www.linkedin.com/groups/89248/profile</a></li>\r\n<li>Michael Tänzer <a href=\"https://hackerpublicradio.org/eps.php?id=1447\">hpr1447 :: HPR Coverage at FOSDEM 2014 Part 1/5</a></li>\r\n</ul>\r\n<h2 id=\"DRLM\" >DRLM</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://drlm.org/wp-content/uploads/2014/12/logo-e1419852348704.png\"/></p>\r\n<blockquote cite=\"https://drlm.org/about/\">\r\nDRLM  (Disaster Recovery Linux Manager). DRLM is a Centralized Management Open Source solution for small-to-large Disaster Recovery implementations using ReaR. Is an easy-to-use software to manage your growing ReaR infrastructure. Is written in the bash language (like ReaR) and offers all needed tools to efficiently manage your GNU/Linux disaster recovery backups, reducing Disaster Recovery management costs. ReaR is great solution, but when we’re dealing with hundreds of systems, could be complex to manage well all ReaR deployments.\r\n<br />\r\nWith DRLM you can, easily and centrally, deploy and manage ReaR installations for all your GNU/Linux systems in your DataCenter(s). DRLM is able to manage all required services (TFTP, DHCP-PXE, NFS, …) with no need of manual services configuration. Only with few easy commands, the users will be able to create, modify and delete ReaR clients and networks, providing an easy way to boot and recover your GNU/Linux systems through network with ReaR. Furthermore DRLM acts as a central scheduling system for all ReaR installations. Is able to start rear backups remotely and store the rescue-boot/backup in DR images easily managed by DRLM.\r\n<br />\r\nYou can easily enable or disable the last or any previous backups to restore any client with a single command line. Currently DRLM supports PXE and NETFS(nfs) OUTPUT/BACKUP methods of ReaR, but the Development of DRLM non stops here, we are working on new 2.0 version with new features to improve performance, usability and more ReaR methods, in order to become, together with ReaR, the reference when talking about Disaster Recovery of GNU/Linux systems.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Ruben Carbonell Perez</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrinknp_400_400/p/2/005/072/1cc/295c6fd.jpg\"/></p>\r\n<p><audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.ogg#t=765.893564,1063.706269\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.mp3#t=765.893564,1063.706269\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://drlm.org/\">https://drlm.org/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/drlm_org\">@drlm_org</a></li>\r\n<li>email: <a href=\"mailto:ruben.nospam@nospam.brainupdaters.net\">ruben.nospam@nospam.brainupdaters.net</a>, <a href=\"mailto:ruben.carbonell.nospam@nospam.gmail.com\">ruben.carbonell.nospam@nospam.gmail.com</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/ruben-carbonell-perez-6b04a174\">https://www.linkedin.com/in/ruben-carbonell-perez-6b04a174</a></li>\r\n<li>Relax and Recover: <a href=\"https://relax-and-recover.org/\">https://relax-and-recover.org/</a></li>\r\n</ul>\r\n<h2 id=\"Gluster\" >Gluster</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://www.gluster.org/images/antmascot.png?1432254431\"/></p>\r\n<blockquote cite=\"https://www.gluster.org/\">\r\nGlusterFS is a scalable network filesystem. Using common off-the-shelf hardware, you can create large, distributed storage solutions for media streaming, data analysis, and other data- and bandwidth-intensive tasks. GlusterFS is free and open source software.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Niels de Vos, and Humble Devassy Chirammal</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrinknp_400_400/p/7/000/278/252/2f40ab7.jpg\"/>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrinknp_400_400/p/6/000/2af/3a9/0cca281.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.ogg#t=1063.706269,1836.836403\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.mp3#t=1063.706269,1836.836403\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.gluster.org/\">https://www.gluster.org/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/gluster\">@gluster</a></li>\r\n<li>email: <a href=\"mailto:ndevos.nospam@nospam.redhat.com\">ndevos.nospam@nospam.redhat.com</a> (Niels de Vos)</li>\r\n<li>email: <a href=\"mailto:hchiramm.nospam@nospam.redhat.com\">hchiramm.nospam@nospam.redhat.com</a> (Humble Devassy Chirammal)</li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/GlusterInc\">https://www.facebook.com/GlusterInc</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/communities/110022816028412595292\">https://plus.google.com/communities/110022816028412595292</a></li>\r\n<li>Freenode: <a href=\"irc://irc.freenode.net/#gluster\">irc://irc.freenode.net/#gluster</a></li>\r\n</ul>\r\n<h2 id=\"oVirt\" >oVirt</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://upload.wikimedia.org/wikipedia/commons/7/7d/OVirt-logo-highres.png\"/></p>\r\n<blockquote cite=\"https://www.ovirt.org/Home\">\r\noVirt manages virtual machines, storage and virtualized networks. oVirt is a virtualization platform with an easy-to-use web interface. oVirt is powered by the Open Source you know - KVM on Linux.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Yaniv Kaul</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrinknp_400_400/p/2/000/0ab/2dc/1b792ac.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.ogg#t=1836.836403,2087.402654\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.mp3#t=1836.836403,2087.402654\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.ovirt.org/Home\">https://www.ovirt.org/Home</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/YanivKaul\">@YanivKaul</a>, <a href=\"https://twitter.com/ovirt\">@ovirt</a></li>\r\n<li>email: <a href=\"mailto:ykaul.nospam@nospam.redhat.com\">ykaul.nospam@nospam.redhat.com</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/OVirt\">https://en.wikipedia.org/wiki/OVirt</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/ykaul\">https://www.linkedin.com/in/ykaul</a></li>\r\n<li>Daniel Lobato and Doran Fedu <a href=\"https://hackerpublicradio.org/eps.php?id=1452\">hpr1452 :: HPR Coverage at FOSDEM 2014 Part 3</a></li>\r\n</ul>\r\n<h2 id=\"OpenVZ\" >OpenVZ</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/b/bb/OpenVZ-logo.png/800px-OpenVZ-logo.png\"/></p>\r\n<blockquote cite=\"https://openvz.org/Main_Page\">\r\nOpenVZ is a container-based virtualization for Linux. OpenVZ creates multiple secure, isolated Linux containers (otherwise known as VEs or VPSs) on a single physical server enabling better server utilization and ensuring that applications do not conflict. Each container performs and executes exactly like a stand-alone server; a container can be rebooted independently and have root access, users, IP addresses, memory, processes, files, applications, system libraries and configuration files.\r\n<br />\r\nOpenVZ is free open source software, available under GNU GPL.\r\n<br />\r\nOpenVZ is the basis of Virtuozzo, a virtualization solution offered by Virtuozzo company. Virtuozzo is optimized for hosters and offers hypervisor (VMs in addition to containers), distributed cloud storage, dedicated support, management tools, and easy installation.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Pavel Emelyanov</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://avatars1.githubusercontent.com/u/4498177?v=3&s=460\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.ogg#t=2087.402654,2802.083565\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.mp3#t=2087.402654,2802.083565\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://openvz.org/Main_Page\">https://openvz.org/Main_Page</a></li>\r\n<li>email: <a href=\"mailto:xemul.nospam@nospam.parallels.com\">xemul.nospam@nospam.parallels.com</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/OpenVZ\">https://en.wikipedia.org/wiki/OpenVZ</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/pavel-emelyanov-24773a5\">https://www.linkedin.com/in/pavel-emelyanov-24773a5</a></li>\r\n</ul>\r\n<h2 id=\"FSFE\" >FSFE</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://upload.wikimedia.org/wikipedia/en/thumb/f/fc/Free_Software_Foundation_Europe%2C_logo.svg/320px-Free_Software_Foundation_Europe%2C_logo.svg.png\"/></p>\r\n<blockquote cite=\"https://fsfe.org/about/about.en.html\">\r\nFree Software Foundation Europe is a charity that empowers users to control technology. Software is deeply involved in all aspects of our lives; and it is important that this technology empowers rather than restricts us. Free Software gives everybody the rights to use, understand, adapt and share software. These rights help support other fundamental freedoms like freedom of speech, press and privacy.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Matthias Kirschner</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://fsfe.org/about/kirschner/kirschner.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.ogg#t=2802.083565,4047.817414\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.mp3#t=2802.083565,4047.817414\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://fsfe.org/\">https://fsfe.org/</a></li>\r\n<li>Personal Website: <a href=\"https://fsfe.org/about/kirschner\">https://fsfe.org/about/kirschner</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/fsfe\">@fsfe</a>, <a href=\"https://twitter.com/kirschner\">@kirschner</a></li>\r\n<li>email: <a href=\"mailto:mk.nospam@nospam.fsfe.org\">mk.nospam@nospam.fsfe.org</a></li>\r\n<li>Facebook: <a href=\"https://facebook.com/thefsfe\">https://facebook.com/thefsfe</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Free_Software_Foundation_Europe\">https://en.wikipedia.org/wiki/Free_Software_Foundation_Europe</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/matthiaskirschner\"></a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=fsfe\">#fsfe</a></li>\r\n<li>Mailinglist: <a href=\"https://fsfe.org/contact/community.html\">https://fsfe.org/contact/community.html</a></li>\r\n<li>RSS: <a href=\"https://fsfe.org/news/news.rss\">https://fsfe.org/news/news.rss</a></li>\r\n<li>Mathias Kirschner <a href=\"https://hackerpublicradio.org/eps.php?id=1713\">hpr1713 :: Fosdem 2015: Surveillance vs. Free Software</a></li>\r\n</ul>\r\n<h2 id=\"ReactOS\" >ReactOS</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://www.reactos.org/sites/all/themes/zen_reactos/images/reactos-logo.png\"/></p>\r\n<blockquote cite=\"https://www.reactos.org/\">\r\nReactOS® is a free open source operating system based on the best design principles found in the Windows NT® architecture (Windows versions such as Windows XP, Windows 7, Windows Server 2012 are built on Windows NT architecture). Written completely from scratch, ReactOS is not a Linux based system, and shares none of the UNIX architecture. The main goal of the ReactOS® project is to provide an operating system which is binary compatible with Windows. This will allow your Windows® applications and drivers to run as they would on your Windows system. Additionally, the look and feel of the Windows operating system is used, such that people accustomed to the familiar user interface of Windows® would find using ReactOS straightforward. The ultimate goal of ReactOS® is to allow you to use it as alternative to Windows® without the need to change software you are used to.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Hermès Bélusca-Maïto</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrinknp_400_400/p/1/005/03f/09a/070ee47.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.ogg#t=4047.817414,4489.178627\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.mp3#t=4047.817414,4489.178627\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.reactos.org\">https://www.reactos.org</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/reactos\">@reactos</a></li>\r\n<li>email: <a href=\"mailto:hermes.belusca.nospam@nospam.reactos.org\">hermes.belusca.nospam@nospam.reactos.org</a>, <a href=\"mailto:victor.martinez.nospam@nospam.reactos.org\">victor.martinez.nospam@nospam.reactos.org</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/pages/ReactOS/19143619259\">https://www.facebook.com/pages/ReactOS/19143619259</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/100586191925430460947/posts\">https://plus.google.com/100586191925430460947/posts</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/ReactOS\">https://en.wikipedia.org/wiki/ReactOS</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/herm%C3%A8s-b%C3%A9lusca-ma%C3%AFto-518a1b8a\">https://www.linkedin.com/in/herm%C3%A8s-b%C3%A9lusca-ma%C3%AFto-518a1b8a</a></li>\r\n<li>Youtube channel: <a href=\"https://www.youtube.com/channel/UCMo8NP-2oP35rauon-Duc9Q\">https://www.youtube.com/channel/UCMo8NP-2oP35rauon-Duc9Q</a></li>\r\n<li>Shop: <a href=\"https://reactos.spreadshirt.net/\">https://reactos.spreadshirt.net/</a></li>\r\n<li>Project Coordinator: Aleksey Bragin <a href=\"https://hackerpublicradio.org/eps.php?id=1702\">hpr1702 :: FOSDEM 2015 Part 5 of 5</a></li>\r\n</ul>\r\n<h2 id=\"BAREOS\" >BAREOS - Backup Archiving Recovery Open Sourced</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://www.bareos.org/files/themes/bareos_org/Logo_signet_64x64.png\"/></p>\r\n<blockquote cite=\"https://www.bareos.org/en/\">\r\nBareos is a 100% open source fork of the backup project from bacula.org. The fork is in development since late 2010, it has a lot of new features. The source has been published on github, licensed AGPLv3.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Daniel Neuberger</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://www.opensourceschool.de/images/portraits/daniel-neuberger-sw.png\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.ogg#t=4489.178627,5156.265171\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.mp3#t=4489.178627,5156.265171\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://bareos.org\">https://bareos.org</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/bareos_backup\">@bareos_backup</a></li>\r\n<li>email: <a href=\"mailto:daniel.neuberger.nospam@nospam.dass-it.de\">daniel.neuberger.nospam@nospam.dass-it.de</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/bareosbackup\">https://www.facebook.com/bareosbackup</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/+BareosBackup\">https://plus.google.com/+BareosBackup</a></li>\r\n<li>Linkedin: <a href=\"https://de.linkedin.com/in/daniel-neuberger-24259668/en\">https://de.linkedin.com/in/daniel-neuberger-24259668/en</a></li>\r\n<li>RSS: <a href=\"https://www.bareos.org/share/bareos-project-feed.xml\">https://www.bareos.org/share/bareos-project-feed.xml</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/channel/UCqvssYFRX17N3_Tuke7Raug\">https://www.youtube.com/channel/UCqvssYFRX17N3_Tuke7Raug</a></li>\r\n<li>Jörg Steffens <a href=\"https://hackerpublicradio.org/eps.php?id=1454\">hpr1454 :: HPR Coverage at FOSDEM 2014 Part 5</a></li>\r\n</ul>\r\n<h2 id=\"Debian\" >Debian</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://www.debian.org/Pics/openlogo-50_blackribbon.png\"/></p>\r\n<blockquote cite=\"https://www.debian.org/intro/about\">\r\nThe Debian Project is an association of individuals who have made common cause to create a free operating system. This operating system that we have created is called Debian. An operating system is the set of basic programs and utilities that make your computer run. At the core of an operating system is the kernel. The kernel is the most fundamental program on the computer and does all the basic housekeeping and lets you start other programs. Debian systems currently use the Linux kernel or the FreeBSD kernel. Linux is a piece of software started by Linus Torvalds and supported by thousands of programmers worldwide. FreeBSD is an operating system including a kernel and other software.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Sebastiaan Couwenberg</h3>\r\n\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.ogg#t=5156.265171,5575.707926\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.mp3#t=5156.265171,5575.707926\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.debian.org/\">https://www.debian.org/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/debian\">@debian</a></li>\r\n<li>Fediverse: <a href=\"https://identi.ca/debian\">@debian</a></li>\r\n<li>email: <a href=\"mailto:sebastic.nospam@nospam.debian.org\">sebastic.nospam@nospam.debian.org</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/debian\">https://www.facebook.com/debian</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/111711190057359692089\">https://plus.google.com/111711190057359692089</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Debian\">https://en.wikipedia.org/wiki/Debian</a></li>\r\n<li>Joost van Baal-Ilić <a href=\"https://hackerpublicradio.org/eps.php?id=1447\">hpr1447 :: HPR Coverage at FOSDEM 2014 Part 1/5</a></li>\r\n<li>David Bremner <a href=\"https://hackerpublicradio.org/eps.php?id=1698\">hpr1698 :: FOSDEM 2015 Part 2 of 5</a></li>\r\n</ul>\r\n<h2 id=\"PostgreSQL\" >PostgreSQL</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/2/29/Postgresql_elephant.svg/540px-Postgresql_elephant.svg.png\"/></p>\r\n<blockquote cite=\"https://www.postgresql.org/about/\">\r\nPostgreSQL is a powerful, open source object-relational database system. It has more than 15 years of active development and a proven architecture that has earned it a strong reputation for reliability, data integrity, and correctness. It runs on all major operating systems, including Linux, UNIX (AIX, BSD, HP-UX, SGI IRIX, Mac OS X, Solaris, Tru64), and Windows. It is fully ACID compliant, has full support for foreign keys, joins, views, triggers, and stored procedures (in multiple languages). It includes most SQL:2008 data types, including INTEGER, NUMERIC, BOOLEAN, CHAR, VARCHAR, DATE, INTERVAL, and TIMESTAMP. It also supports storage of binary large objects, including pictures, sounds, or video. It has native programming interfaces for C/C++, Java, .Net, Perl, Python, Ruby, Tcl, ODBC, among others, and exceptional documentation.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Christoph Berg</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://avatars0.githubusercontent.com/u/1021828?v=3&s=400\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.ogg#t=5575.707926,5948.043391\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.mp3#t=5575.707926,5948.043391\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.postgresql.org/\">https://www.postgresql.org/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/planetpostgres\">@planetpostgres</a></li>\r\n<li>email: <a href=\"mailto:myon.nospam@nospam.debian.org\">myon.nospam@nospam.debian.org</a> <a href=\"mailto:christoph.berg.nospam@nospam.credativ.de\">christoph.berg.nospam@nospam.credativ.de</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/PostgreSQL\">https://en.wikipedia.org/wiki/PostgreSQL</a></li>\r\n<li>GitHub: <a href=\"https://github.com/ChristophBerg\">https://github.com/ChristophBerg</a></li>\r\n</ul>\r\n<h2 id=\"OpenMandriva\" >OpenMandriva</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://upload.wikimedia.org/wikipedia/commons/6/60/Oma-logo-22042013_300pp.png\"/></p>\r\n<blockquote cite=\"https://openmandriva.org/en/about\">\r\n<p>We are a <strong>100% community-driven association</strong> that believes in the values of free software &amp; collaboration. We fight to protect these values and promote solutions anyone can use, change and distribute. OpenMandriva believes in <em>creating, improving, promoting and distributing free software</em> in general, and its projects in particular. We also crave for <em>promoting free exchange of knowledge and equality of opportunity in software access and development, as well as in education, science and research</em>. Our products are <em>developed with passion</em> by the community and aim to be flexible in use by all.</p>\r\n\r\n<p>OpenMandriva represents the paradigm: <strong>from community to community, with passion, fun and dedication</strong>.</p>\r\n\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Colin Close, President OpenMandriva</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://blog.openmandriva.org/wp-content/uploads/2015/06/2015-06-03_17-05-43-e1434124164880-225x300.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.ogg#t=5948.043391,6523.768233\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.mp3#t=5948.043391,6523.768233\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://openmandriva.org\">https://openmandriva.org</a></li>\r\n<li>email: <a href=\"mailto:itchka.nospam@nospam.compuserve.com\">itchka.nospam@nospam.compuserve.com</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/OpenMandriva_Lx\">https://en.wikipedia.org/wiki/OpenMandriva_Lx</a></li>\r\n<li>Bernhard Rosenkränzer <a href=\"https://hackerpublicradio.org/eps.php?id=1698\">hpr1698 :: FOSDEM 2015 Part 2 of 5</a></li>\r\n</ul>\r\n<h2 id=\"Mageia\" >Mageia</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/9/93/Mageia_logo.svg/800px-Mageia_logo.svg.png\"/></p>\r\n<blockquote cite=\"\">\r\nMageia is a GNU/Linux-based, Free Software operating system. It is a community project, supported by a nonprofit organisation of elected contributors. Our mission: to build great tools for people.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Chris Denice (eatdirt)</h3>\r\n\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.ogg#t=6523.768233,7006.391815\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.mp3#t=6523.768233,7006.391815\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.mageia.org/en/\">https://www.mageia.org/en/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/mageia_org\">@mageia_org</a></li>\r\n<li>email: <a href=\"mailto:eatdirt.nospam@nospam.mageia.org\">eatdirt.nospam@nospam.mageia.org</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Mageia\">https://en.wikipedia.org/wiki/Mageia</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company/1365705\">https://www.linkedin.com/company/1365705</a></li>\r\n<li>Anne Nicolas <a href=\"https://hackerpublicradio.org/eps.php?id=1698\">hpr1698 :: FOSDEM 2015 Part 2 of 5</a></li>\r\n</ul>\r\n<h2 id=\"Gentoo\" >Gentoo</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/4/48/Gentoo_Linux_logo_matte.svg/229px-Gentoo_Linux_logo_matte.svg.png\"/></p>\r\n<blockquote cite=\"https://www.gentoo.org/get-started/about/\">\r\nGentoo is a free operating system based on either Linux or FreeBSD that can be automatically optimized and customized for just about any application or need. \r\nExtreme configurability, performance and a top-notch user and developer community are all hallmarks of the Gentoo experience.\r\n<br />\r\nThanks to a technology called Portage, Gentoo can become an ideal secure server, development workstation, professional desktop, gaming system, embedded solution or something else—whatever you need it to be. Because of its near-unlimited adaptability, we call Gentoo a metadistribution.\r\n<br />\r\nOf course, Gentoo is more than just the software it provides. It is a community built around a distribution which is driven by more than 300 developers and thousands of users. The distribution project provides the means for the users to enjoy Gentoo: documentation, infrastructure, release engineering, software porting, quality assurance, security followup, hardening and more.\r\n<br />\r\nTo advise on and help with Gentoo\'s global development, a 7-member council is elected on a yearly basis which decides on global issues, policies and advancements in the Gentoo project.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Kristian Fiskerstrand</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://pbs.twimg.com/profile_images/378800000133158807/c75d0bb95cc363de36121c57bb837856_400x400.jpeg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.ogg#t=7006.391815,7812.364845\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1957.mp3#t=7006.391815,7812.364845\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.gentoo.org/\">https://www.gentoo.org/</a></li>\r\n<li>Personal Website: <a href=\"https://blog.sumptuouscapital.com/\">https://blog.sumptuouscapital.com/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/krifisk\">@krifisk</a></li>\r\n<li>email: <a href=\"mailto:k_f.nospam@nospam.gentoo.org\">k_f.nospam@nospam.gentoo.org</a> OpenPGP fingerprint: 94CB AFDD 3034 5109 5618  35AA 0B7F 8B60 E3ED FAE3</li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/gentoo.org\">https://www.facebook.com/gentoo.org</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/communities/100146718762350759856\">https://plus.google.com/communities/100146718762350759856</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Gentoo_Linux\">https://en.wikipedia.org/wiki/Gentoo_Linux</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company/16350\">https://www.linkedin.com/company/16350</a></li>\r\n</ul>\r\n',30,78,0,'CC-BY-SA','FOSDEM, CAcert, DRLM, Gluster, oVirt, OpenVZ, FSFE, ReactOS, BAREOS, Debian, PostgreSQL, OpenMandriva, Mageia, Gentoo',0,0,1),
(1958,'2016-02-03','FOSDEM 2016 K building level 1 Group A',6665,'Fedora, OpenSuse, illumos, ownCloud, Enlightenment, Tizen, Kolab, KDE, LibreOffice','<h1>Table of Contents</h1>\r\n\r\n<ul>\r\n<li><a href=\"#Fedora\">Fedora</a></li>\r\n<li><a href=\"#OpenSuse\">OpenSuse</a></li>\r\n<li><a href=\"#illumos\">illumos</a></li>\r\n<li><a href=\"#ownCloud\">ownCloud</a></li>\r\n<li><a href=\"#Enlightenment\">Enlightenment</a></li>\r\n<li><a href=\"#Tizen\">Tizen</a></li>\r\n<li><a href=\"#Kolab\">Kolab</a></li>\r\n<li><a href=\"#KDE\">KDE</a></li>\r\n<li><a href=\"#LibreOffice\">LibreOffice</a></li>\r\n</ul>\r\n<h2 id=\"Fedora\" >Fedora</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://getfedora.org/static/images/fedora-logotext.png\"/></p>\r\n<blockquote cite=\"https://fedoraproject.org/wiki/Overview\">\r\nThe Fedora Project is a partnership of free software community members from around the globe. The Fedora Project builds open source software communities and produces a Linux distribution called \"Fedora.\" The Fedora Project\'s mission is to lead the advancement of free and open source software and content as a collaborative community.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Jiří Eischmann</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://fedoraproject.org/w/uploads/8/82/Eischmann.JPG\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1958.ogg#t=70.682294,673.735085\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1958.mp3#t=70.682294,673.735085\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://getfedora.org/en/\">https://getfedora.org/en/</a></li>\r\n<li>Personal Website: <a href=\"https://fedoraproject.org/wiki/User:Eischmann\">https://fedoraproject.org/wiki/User:Eischmann</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/Sesivany\">@Sesivany</a> <a href=\"https://twitter.com/fedora_linux\">@fedora_linux</a></li>\r\n<li>email: <a href=\"mailto:eischmann.nospam@nospam.redhat.com\">eischmann.nospam@nospam.redhat.com</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Fedora_(operating_system)\">https://en.wikipedia.org/wiki/Fedora_(operating_system)</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/eischmann\">https://www.linkedin.com/in/eischmann</a></li>\r\n<li>Jiří Eischmann and Jaroslav Řezník <a href=\"https://hackerpublicradio.org/eps.php?id=1452\">hpr1452 :: HPR Coverage at FOSDEM 2014 Part 3</a></li>\r\n<li>Matthew Miller <a href=\"https://hackerpublicradio.org/eps.php?id=1697\">hpr1697 :: FOSDEM 2015 Friday Night and Saturday Morning 1 of 5</a> </li>\r\n</ul>\r\n<h2 id=\"OpenSuse\" >OpenSuse</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://upload.wikimedia.org/wikipedia/en/thumb/9/98/OpenSUSE_official-logo-color.svg/248px-OpenSUSE_official-logo-color.svg.png\"/></p>\r\n<blockquote>\r\n<!-- quote provided by Sarah Julia Kriesch -->\r\nopenSUSE, formerly openSUSE Leap 42.1 and openSUSE Tumbleweed, is a international Linux project with different distributions sponsored by SUSE Linux GmbH and other companies. It is widely used throughout the world, particularly in Germany. The focus of its development is creating usable open-source tools for software developers and system administrators, while providing  user-friendly desktops, and a feature-rich server environment.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Sarah Julia Kriesch</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrinknp_400_400/AAEAAQAAAAAAAAPJAAAAJDhhODllMGE1LWE4MDMtNDdiNS04ZjhjLTg3MDM4ZDFiZDI2Ng.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1958.ogg#t=673.735085,1025.664123\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1958.mp3#t=673.735085,1025.664123\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.opensuse.org/\">https://www.opensuse.org/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/opensuse\">@opensuse</a></li>\r\n<li>email: <a href=\"mailto:Sarah.Kriesch.nospam@nospam.brandmaker.com\">Sarah.Kriesch.nospam@nospam.brandmaker.com</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/en.openSUSE\">https://www.facebook.com/en.openSUSE</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/+openSUSE/posts\">https://plus.google.com/+openSUSE/posts</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/OpenSUSE\">https://en.wikipedia.org/wiki/OpenSUSE</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/sarah-julia-kriesch-16874b82\">https://www.linkedin.com/in/sarah-julia-kriesch-16874b82</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/user/opensusetv\">https://www.youtube.com/user/opensusetv</a></li>\r\n<li>Richard Brown <a href=\"https://hackerpublicradio.org/eps.php?id=1447\">hpr1447 :: HPR Coverage at FOSDEM 2014 Part 1/5</a></li>\r\n</ul>\r\n<h2 id=\"illumos\" >illumos</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://upload.wikimedia.org/wikipedia/en/8/89/IllumosPhoenixRGB.png\"/></p>\r\n<blockquote cite=\"https://wiki.illumos.org/display/illumos/About+illumos\">\r\nThis is the home of the illumos project, the open source fork of Sun\'s OpenSolaris. Launched in 2010, the project enjoys financial and technical support from several key companies which rely on the illumos kernel as the technological foundation for their own products, as well as the backing of a growing developer community.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Dan McDonald</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://pbs.twimg.com/profile_images/656689622206951424/C-MmntV5_400x400.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1958.ogg#t=1025.664123,1241.980405\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1958.mp3#t=1025.664123,1241.980405\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://illumos.org/\">https://illumos.org/</a></li>\r\n<li>Personal Website: <a href=\"https://omniti.com/\">https://omniti.com/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/kebesays\">@kebesays</a></li>\r\n<li>email: <a href=\"mailto:danmcd.nospam@nospam.omniti.com\">danmcd.nospam@nospam.omniti.com</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Illumos\">https://en.wikipedia.org/wiki/Illumos</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/danmcd\">https://www.linkedin.com/in/danmcd</a></li>\r\n<li><a href=\"https://fosdem.org/2016/schedule/event/illumos_overview/\">https://fosdem.org/2016/schedule/event/illumos_overview/</a></li>\r\n</ul>\r\n<h2 id=\"ownCloud\" >ownCloud</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/b/b6/OwnCloud2-Logo.svg/595px-OwnCloud2-Logo.svg.png\"/></p>\r\n<blockquote cite=\"https://owncloud.org/features/\">\r\nAccess, Sync and Share your data, under your control! ownCloud provides access to your data through a web interface or WebDAV while providing a platform to view, sync and share across devices easily, all under your control. ownCloud\'s open architecture is extensible via a simple but powerful API for applications and plugins and works with any storage.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Jos Poortvliet, Community Manager/ Chief Geek Herder at ownCloud</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://pbs.twimg.com/profile_images/463234146299432960/it92oKXV_400x400.jpeg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1958.ogg#t=1241.980405,1641.465818\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1958.mp3#t=1241.980405,1641.465818\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://owncloud.org\">https://owncloud.org</a></li>\r\n<li>Personal Website: <a href=\"\"></a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/jospoortvliet\">@jospoortvliet</a></li>\r\n<li>email: <a href=\"mailto:jos.nospam@nospam.owncloud.com\">jos.nospam@nospam.owncloud.com</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/OwnCloud\">https://en.wikipedia.org/wiki/OwnCloud</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/jospoortvliet\">https://www.linkedin.com/in/jospoortvliet</a></li>\r\n<li>Jan-Christoph Borchardt <a href=\"https://hackerpublicradio.org/eps.php?id=1698\">hpr1698 :: FOSDEM 2015 Part 2 of 5</a></li>\r\n</ul>\r\n<h2 id=\"Enlightenment\" >Enlightenment</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/9/9e/E17_enlightenment_logo_shiny_black_curved.svg/174px-E17_enlightenment_logo_shiny_black_curved.svg.png\"/></p>\r\n<blockquote cite=\"https://www.enlightenment.org/about\">\r\nThe original reason Enlightenment exists - The Window Manager. From here everything else spawned. This is really the flagship product, closely followed by EFL itself. The window manager is a lean, fast, modular and very extensible window manager for X11 and Linux. It is classed as a “desktop shell” providing the things you need to operate your desktop (or laptop), but is not a whole application suite. This covers launching applications, managing their windows and doing other system tasks like suspending, reboots, managing files etc.\r\n<br />\r\nWe are moving towards Wayland as the base display system where Enlightenment is being worked on to become a full Wayland compositor on its own. This of course takes time and has its rough edges along the way, but we are not standing still, and one day will leave X11 behind.\r\n<br />\r\nOf course Enlightenment is built on top of EFL, using the libraries we wrote for it to do its UI as well as to run the entire compositor itself. This means that any improvements to EFL turn up in the compositor as well.\r\n<br />\r\nEnlightenment also is the Window Manager and Compositor for Tizen due in part to its efficiency and feature-set.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Philippe Caseiro</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrinknp_400_400/p/8/005/060/196/103c7bf.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1958.ogg#t=1641.465818,2049.667924\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1958.mp3#t=1641.465818,2049.667924\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.enlightenment.org\">https://www.enlightenment.org</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/_Enlightenment_\">@<em>Enlightenment</em></a></li>\r\n<li>email: <a href=\"mailto:pcaseiro.nospam@nospam.cadoles.com\">pcaseiro.nospam@nospam.cadoles.com</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/enlightenment.org\">https://www.facebook.com/enlightenment.org</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/118426816251488376359\">https://plus.google.com/118426816251488376359</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/philippecaseiro\">https://www.linkedin.com/in/philippecaseiro</a></li>\r\n<li>Youtube: <a href=\"https://www.youtube.com/channel/UCs9Xcw4TwJ1_A8QI8PxCNNA\">https://www.youtube.com/channel/UCs9Xcw4TwJ1_A8QI8PxCNNA</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Enlightenment_(software)\">https://en.wikipedia.org/wiki/Enlightenment_(software)</a></li>\r\n</ul>\r\n<h2 id=\"Tizen\" >Tizen</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://www.tizen.org/sites/all/themes/tizen_theme/logo.png\"/></p>\r\n<blockquote cite=\"https://www.tizen.org/about\">\r\nTizen is an open and flexible operating system built from the ground up to address the needs of all stakeholders of the mobile and connected device ecosystem, including device manufacturers, mobile operators, application developers and independent software vendors (ISVs). Tizen is developed by a community of developers, under open source governance, and is open to all members who wish to participate.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Pawel Wieczorek</h3>\r\n\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1958.ogg#t=2049.667924,3177.619763\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1958.mp3#t=2049.667924,3177.619763\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.tizen.org/\">https://www.tizen.org/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/TizenProject\">@TizenProject</a></li>\r\n<li>email: <a href=\"mailto:p.wieczorek2.nospam@nospam.samsung.com\">p.wieczorek2.nospam@nospam.samsung.com</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Tizen\">https://en.wikipedia.org/wiki/Tizen</a></li>\r\n</ul>\r\n<h2 id=\"Kolab\" >Kolab</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://kolab.org/sites/kolab.org/themes/kolab/images/logo.png\"/></p>\r\n<blockquote cite=\"https://kolab.org/overview\">\r\nThe Kolab Groupware Solution offers Personal Information Management for deployments of any size. It runs on a Rasberry Pi and in clouds spread over multiple data centres. Kolab provides a secure, scalable and reliable collaboration server. Since it is Free Software, it is not only used by large companies and organisation, but also by many individuals who care about being in control of their personal information.\r\n</blockquote>\r\n\r\n<blockquote cite=\"https://en.wikipedia.org/wiki/Kolab\">\r\nKolab is a free and open source groupware suite. It consists of the Kolab server and a wide variety of Kolab clients, including KDE PIM-Suite Kontact, Horde Webfrontend, Mozilla Thunderbird and Mozilla Lightning with SyncKolab extension and Microsoft Outlook with proprietary Kolab-Connector PlugIns.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Aaron Seigo</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrinknp_400_400/p/3/005/06d/0d3/2676f0c.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1958.ogg#t=3177.619763,5279.291355\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1958.mp3#t=3177.619763,5279.291355\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://kolab.org/\">https://kolab.org/</a>, <a href=\"https://kolabsystems.com\">https://kolabsystems.com</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/kolaborg\">@kolaborg</a></li>\r\n<li>email: <a href=\"mailto:seigo.nospam@nospam.kolabsystems.com\">seigo.nospam@nospam.kolabsystems.com</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Kolab\">https://en.wikipedia.org/wiki/Kolab</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/aaronseigo\">https://www.linkedin.com/in/aaronseigo</a></li>\r\n<li>Wikipedia: <a href=\"https://kolab.org/overview\">https://kolab.org/overview</a></li>\r\n<li>Robin Edgar <a href=\"https://hackerpublicradio.org/eps.php?id=1699\">hpr1699 :: FOSDEM 2015 Part 3 of 5</a></li>\r\n</ul>\r\n<h2 id=\"KDE\" >KDE</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/8/8d/KDE_logo.svg/128px-KDE_logo.svg.png\"/></p>\r\n<blockquote cite=\"https://www.kde.org/\">\r\nThe KDE Community is an international technology team dedicated to creating a free and user-friendly computing experience, offering an advanced graphical desktop, a wide variety of applications for communication, work, education and entertainment and a platform to easily build new applications upon. We have a strong focus on finding innovative solutions to old and new problems, creating a vibrant atmosphere open for experimentation.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Jonathan Riddell</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://media.licdn.com/media/p/5/005/01f/3b1/0fd5fe5.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1958.ogg#t=5279.291355,5736.591564\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1958.mp3#t=5279.291355,5736.591564\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.kde.org\">https://www.kde.org</a></li>\r\n<li>Twitter: <a href=\"hhttps://twitter.com/KdeNeon\">@KdeNeon</a></li>\r\n<li>email: <a href=\"mailto:jr.nospam@nospam.jriddell.org\">jr.nospam@nospam.jriddell.org</a></li>\r\n<li>Facebook: <a href=\"https://facebook.com/kdeneon\">https://facebook.com/kdeneon</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/113043070111945110583\">https://plus.google.com/113043070111945110583</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/KDE\">https://en.wikipedia.org/wiki/KDE</a></li>\r\n<li>Linkedin: <a href=\"https://uk.linkedin.com/in/jonathanriddell\">https://uk.linkedin.com/in/jonathanriddell</a></li>\r\n<li>Jonathan Riddell <a href=\"https://hackerpublicradio.org/eps.php?id=1452\">hpr1452 :: HPR Coverage at FOSDEM 2014 Part 3</a></li>\r\n<li>Jonathan Riddell <a href=\"https://hackerpublicradio.org/eps.php?id=1698\">hpr1698 :: FOSDEM 2015 Part 2 of 5</a></li>\r\n</ul>\r\n<h2 id=\"LibreOffice\" >LibreOffice</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/0/02/LibreOffice_Logo_Flat.svg/200px-LibreOffice_Logo_Flat.svg.png\"/></p>\r\n<blockquote cite=\"https://www.libreoffice.org/about-us/who-are-we/\">\r\nLibreOffice is the most widely used free open source office software. It is a community-driven project of The Document Foundation. LibreOffice is developed by professionals and by users, just like you, who believe in the principles of free software and in sharing their work with the world in a non-restrictive way. At the core of these principles is the promise of better-quality, highly-reliable and secure software that gives you greater flexibility at zero cost and no end-user lock-in. LibreOffice works natively with the Open Document Format, but also brings you support for by far the most file types for office-documents. It comes with support for over 80 languages and with a whole amount of other unique features to work with your texts, spreadsheets, presentations, drawings and data.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Italo Vignoli, Director Marketing and Communications</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrinknp_400_400/p/4/000/151/11f/101c183.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1958.ogg#t=5736.591564,6641.882318\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1958.mp3#t=5736.591564,6641.882318\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.libreoffice.org/\">https://www.libreoffice.org/</a>, <a href=\"https://www.documentfoundation.org/\">https://www.documentfoundation.org/</a></li>\r\n<li>Personal Website: <a href=\"\"></a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/tdforg\">@tdforg</a> <a href=\"https://twitter.com/libreoffice\">@libreoffice</a></li>\r\n<li>email: <a href=\"italo.vignoli.nospam@nospam.documentationfoundation.org\">italo.vignoli.nospam@nospam.documentationfoundation.org</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/libreoffice.org\">https://www.facebook.com/libreoffice.org</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/+libreoffice/\">https://plus.google.com/+libreoffice/</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/LibreOffice\">https://en.wikipedia.org/wiki/LibreOffice</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/italovignoli\">https://www.linkedin.com/in/italovignoli</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/channel/UCQAClQkZEm2rkWvU5bvCAXQ\">https://www.youtube.com/channel/UCQAClQkZEm2rkWvU5bvCAXQ</a></li>\r\n<li>Cor Nouws <a href=\"https://hackerpublicradio.org/eps.php?id=1454\">hpr1454 :: HPR Coverage at FOSDEM 2014 Part 5</a></li>\r\n</ul>\r\n',30,78,0,'CC-BY-SA','FOSDEM, Fedora, OpenSuse, illumos, ownCloud, Enlightenment, Tizen, Kolab, KDE, LibreOffice',0,0,1),
(1959,'2016-02-04','FOSDEM 2016 K building level 2',6241,'Mozilla,Apache,Jenkins,x doku tiki and MediaWiki,LFS,Perl,Barghest,Coala,Google SOC,Ultimaker','<h1>Table of Contents</h1>\r\n\r\n<ul>\r\n<li><a href=\"#Mozilla\">Mozilla</a></li>\r\n<li><a href=\"#Apache_Software_Foundation\">Apache_Software_Foundation</a></li>\r\n<li><a href=\"#Jenkins\">Jenkins</a></li>\r\n<li><a href=\"#XWiki\">XWiki</a></li>\r\n<li><a href=\"#DokuWiki\">DokuWiki</a></li>\r\n<li><a href=\"#Tiki\">Tiki</a></li>\r\n<li><a href=\"#MediaWiki\">MediaWiki</a></li>\r\n<li><a href=\"#Linux_from_scratch\">Linux_from_scratch</a></li>\r\n<li><a href=\"#Perl\">Perl</a></li>\r\n<li><a href=\"#Barghest\">Barghest</a></li>\r\n<li><a href=\"#Coala\">Coala</a></li>\r\n<li><a href=\"#Google_Summer_of_Code\">Google_Summer_of_Code</a></li>\r\n<li><a href=\"#Ultimaker\">Ultimaker</a></li>\r\n</ul>\r\n<h2 id=\"Mozilla\" >Mozilla</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Mozilla_Wordmark.svg/501px-Mozilla_Wordmark.svg.png\"/></p>\r\n<blockquote cite=\"https://www.mozilla.org/en-US/mission/\">\r\nAt Mozilla, we’re a global community of technologists, thinkers and builders working together to keep the Internet alive and accessible, so people worldwide can be informed contributors and creators of the Web. We believe this act of human collaboration across an open platform is essential to individual growth and our collective future.\r\n</blockquote>\r\n\r\n<blockquote cite=\"https://en.wikipedia.org/wiki/Mozilla\">\r\nMozilla is a free-software community, created in 1998 by members of Netscape. The Mozilla community uses, develops, spreads and supports Mozilla products, thereby promoting exclusively free software and open standards, with only minor exceptions. The community is supported institutionally by the Mozilla Foundation and its tax-paying subsidiary, the Mozilla Corporation.\r\n<br />\r\nMozilla produces many products such as the Firefox web browser, Thunderbird e-mail client, Firefox Mobile web browser, Firefox OS mobile operating system, Bugzilla bug tracking system and other projects.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Francisco Picolini, Community Events Manager</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrinknp_400_400/p/3/005/07d/10b/1045fdd.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.ogg#t=73.449329,585.902252\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.mp3#t=73.449329,585.902252\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.mozilla.org/en-US/\">https://www.mozilla.org/en-US/</a></li>\r\n<li>Personal Website: <a href=\"https://francjp.net/wp\">https://francjp.net/wp</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/mozilla\">@mozilla</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/francjp\">@francjp</a></li>\r\n<li>email: <a href=\"mailto:franc.nospam@nospam.mozilla.com\">franc.nospam@nospam.mozilla.com</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/mozilla\">https://www.facebook.com/mozilla</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Mozilla\">https://en.wikipedia.org/wiki/Mozilla</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/francjp\">https://www.linkedin.com/in/francjp</a></li>\r\n<li>Brian King <a href=\"https://hackerpublicradio.org/eps.php?id=1452\">hpr1452 :: HPR Coverage at FOSDEM 2014 Part 3</a></li>\r\n</ul>\r\n<h2 id=\"Apache_Software_Foundation\" >Apache Software Foundation</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://www.apache.org/img/asf_logo.png\"/></p>\r\n<blockquote cite=\"https://www.apache.org/foundation/\">\r\nThe mission of the Apache Software Foundation (ASF) is to provide software for the public good. We do this by providing services and support for many like-minded software project communities of individuals who choose to join the ASF.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Lars Eilebrecht</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrinknp_400_400/p/2/000/07c/3e2/17bc8ff.jpg\"/></p>\r\n<p><audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.ogg#t=585.902252,1122.838285\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.mp3#t=585.902252,1122.838285\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.apache.org/\">https://www.apache.org/</a></li>\r\n<li>History of the ASF:  <a href=\"https://www.apache.org/history/\">https://www.apache.org/history/</a></li>\r\n<li>Apache Projects Directory:  <a href=\"https://projects.apache.org/\">https://projects.apache.org/</a></li>\r\n<li>ASF Mailing Lists:  <a href=\"https://www.apache.org/foundation/mailinglists.html#foundation-wide-mailing-lists\">https://www.apache.org/foundation/mailinglists.html#foundation-wide-mailing-lists</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/TheASF\">@TheASF</a></li>\r\n<li>email: <a href=\"mailto:lars.nospam@nospam.apache.org\">lars.nospam@nospam.apache.org</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Apache_Software_Foundation\">https://en.wikipedia.org/wiki/Apache_Software_Foundation</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/eilebrecht\">https://www.linkedin.com/in/eilebrecht</a></li>\r\n</ul>\r\n<h2 id=\"Jenkins\" >Jenkins</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://jenkins-ci.org/images/header_logo.png\"/></p>\r\n<blockquote cite=\"https://wiki.jenkins-ci.org/display/JENKINS/Meet+Jenkins\">\r\nIn a nutshell, Jenkins is the leading open source automation server. Built with Java, it provides hundreds of plugins to support building, testing, deploying and automation for virtually any project. \r\n<br />\r\nJenkins is an award-winning, cross-platform, continuous integration and continuous delivery application that increases your productivity. Use Jenkins to build and test your software projects continuously making it easier for developers to integrate changes to the project, and making it easier for users to obtain a fresh build. It also allows you to continuously deliver your software by providing powerful ways to define your build pipelines and integrating with a large number of testing and deployment technologies.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Kohsuke Kawaguchi</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://www.hackerpublicradio.org/eps/fosdem2014/t0131968.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.ogg#t=1122.838285,1547.625879\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.mp3#t=1122.838285,1547.625879\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://jenkins-ci.org/\">https://jenkins-ci.org/</a></li>\r\n<li>Personal Website: <a href=\"https://kohsuke.org/\">https://kohsuke.org/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/kohsukekawa\">@kohsukekawa</a></li>\r\n<li>email: <a href=\"mailto:kk.nospam@nospam.kohsuke.org\">kk.nospam@nospam.kohsuke.org</a> <a href=\"https://kohsuke.org/about/pgp/\">https://kohsuke.org/about/pgp/</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Jenkins_(software)\">https://en.wikipedia.org/wiki/Jenkins_(software)</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/kohsukekawaguchi\">https://www.linkedin.com/in/kohsukekawaguchi</a></li>\r\n<li>Kohsuke Kawaguchi <a href=\"https://hackerpublicradio.org/eps.php?id=1453\">hpr1453 :: HPR Coverage at FOSDEM 2014 Part 4</a></li>\r\n</ul>\r\n<h2 id=\"XWiki\" >XWiki</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://www.xwiki.org/xwiki/bin/view/Main/Logo?xpage=plain&act=svg&finput=logo-xwikiorange.svg&foutput=logo-xwikiorange.png&width=200\"/></p>\r\n<blockquote>\r\nXWiki Enterprise is a professional wiki with enterprise features such as Blog, strong rights management, LDAP authentication, PDF export, full skining and more. It also includes an advanced Form and scripting engine making it a development environment for data-based applications. It has powerful extensibility features such as scripting in pages, plugins and a highly modular architecture.\r\n<br />\r\nSee the full feature list for more: <a href=\"https://enterprise.xwiki.org/xwiki/bin/view/Main/Features\">https://enterprise.xwiki.org/xwiki/bin/view/Main/Features</a>.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Anca Luca</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://media.licdn.com/media/AAEAAQAAAAAAAAKNAAAAJGUzZDMzZjQ2LTY3NjAtNGI3ZS05MWZhLTFkMWY2NmNhMGY2Mw.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.ogg#t=1547.625879,1985.614044\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.mp3#t=1547.625879,1985.614044\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://xwiki.org\">https://xwiki.org</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/lucaa\">@lucaa</a>, <a href=\"https://twitter.com/xwiki\">@xwiki</a></li>\r\n<li>email: <a href=\"mailto:lucaa.nospam@nospam.xwiki.com\">lucaa.nospam@nospam.xwiki.com</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/XWiki\">https://en.wikipedia.org/wiki/XWiki</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/lucaa\">https://www.linkedin.com/in/lucaa</a></li>\r\n</ul>\r\n<h2 id=\"DokuWiki\" >DokuWiki</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://www.dokuwiki.org/_media/wiki:dokuwiki-64.png?cache=&w=64&h=64&tok=3e153b\"/></p>\r\n<blockquote cite=\"https://www.dokuwiki.org/dokuwiki#\">\r\nDokuWiki is a simple to use and highly versatile Open Source wiki software that doesn\'t require a database. It is loved by users for its clean and readable syntax. The ease of maintenance, backup and integration makes it an administrator\'s favorite. Built in access controls and authentication connectors make DokuWiki especially useful in the enterprise context and the large number of plugins contributed by its vibrant community allow for a broad range of use cases beyond a traditional wiki.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Michael Hamann</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://pbs.twimg.com/profile_images/52981474/quadrat_2007-07-30_400x400.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.ogg#t=1985.614044,2261.020822\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.mp3#t=1985.614044,2261.020822\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.dokuwiki.org/\">https://www.dokuwiki.org/</a></li>\r\n<li>Personal Website: <a href=\"https://www.content-space.de/\">https://www.content-space.de/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/dokuwiki\">@dokuwiki</a>, <a href=\"https://twitter.com/Michitux\">@Michitux</a></li>\r\n<li>email: <a href=\"mailto:michael.nospam@nospam.content-space.de\">michael.nospam@nospam.content-space.de</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/dokuwiki/\">https://www.facebook.com/dokuwiki/</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/+dokuwiki/posts\">https://plus.google.com/+dokuwiki/posts</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/DokuWiki\">https://en.wikipedia.org/wiki/DokuWiki</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/michael-hamann-3079992a\">https://www.linkedin.com/in/michael-hamann-3079992a</a></li>\r\n<li>GitHub: <a href=\"https://github.com/splitbrain/dokuwiki\">https://github.com/splitbrain/dokuwiki</a></li>\r\n</ul>\r\n<h2 id=\"Tiki\" >Tiki</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://upload.wikimedia.org/wikipedia/en/0/0a/Tiki_Wiki_CMS_Groupware_Logo.gif\"/></p>\r\n<blockquote cite=\"https://tiki.org/tiki-index.php\">\r\nTiki is the Free / Libre / Open Source Web Application Platform with the most built-in features. Whatever feature you can imagine running in a browser window, chances are Tiki does it.\r\n</blockquote>\r\n\r\n<blockquote>\r\nTiki Wiki CMS Groupware or simply Tiki, originally known as TikiWiki, is a free and open source Wiki-based content management system and online office suite written primarily in PHP and distributed under the GNU Lesser General Public License (LGPL) license. In addition to enabling websites and portals on the internet and on intranets and extranets, Tiki contains a number of collaboration features allowing it to operate as a Geospatial Content Management System (GeoCMS) and Groupware web application.\r\n</blockquote>\r\n\r\n<!-- From Wikipedia page https://en.wikipedia.org/wiki/Tiki_Wiki_CMS_Groupware modified by Jean-Marc Libs -->\r\n\r\n<h3>Listen to the interview with Jean-Marc Libs</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://hackerpublicradio.org/eps/fosdem2016/tete_P1030700_500x500.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.ogg#t=2261.020822,2645.755403\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.mp3#t=2261.020822,2645.755403\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://tiki.org\">https://tiki.org</a></li>\r\n<li>Personal Website: <a href=\"https://alsawiki.com/HomePage?no_bl=y\">https://alsawiki.com/HomePage?no_bl=y</a></li>\r\n<li>IRC: <a href=\"https://tiki.org/Connecting+To+IRC\">https://tiki.org/Connecting+To+IRC</a></li>\r\n<li>Mailing-Lists: <a href=\"https://tiki.org/Mailing+Lists\">https://tiki.org/Mailing+Lists</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/jml67\">@jml67</a>, <a href=\"https://twitter.com/tikiwiki\">@tikiwiki</a></li>\r\n<li>Fediverse: <a href=\"https://identi.ca/group/tikiwiki\">https://identi.ca/group/tikiwiki</a></li>\r\n<li>email: <a href=\"mailto:jyhem.nospam@nospam.tiki.org\">mailto:jyhem.nospam@nospam.tiki.org</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/groups/6607687318/\">https://www.facebook.com/groups/6607687318/</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/100068718540627516168/\">https://plus.google.com/100068718540627516168/</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Tiki_Wiki_CMS_Groupware\">https://en.wikipedia.org/wiki/Tiki_Wiki_CMS_Groupware</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/groups/Tiki-Wiki-CMS-Groupware-118987\">https://www.linkedin.com/groups/Tiki-Wiki-CMS-Groupware-118987</a></li>\r\n<li>Ohloh: <a href=\"https://www.ohloh.net/projects/39\">https://www.ohloh.net/projects/39</a></li>\r\n<li>Last.fm: <a href=\"https://www.last.fm/group/Tikiwiki\">https://www.last.fm/group/Tikiwiki</a></li>\r\n<li>SlideShare: <a href=\"https://www.slideshare.net/search/slideshow?q=tikiwiki\">https://www.slideshare.net/search/slideshow?q=tikiwiki</a></li>\r\n<li>Ustream: <a href=\"https://www.ustream.tv/channel/tikifests\">https://www.ustream.tv/channel/tikifests</a></li>\r\n<li>Flickr: <a href=\"https://www.flickr.com/search/show/?q=tikiwiki\">https://www.flickr.com/search/show/?q=tikiwiki</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/results?search_query=tikiwiki\">https://www.youtube.com/results?search_query=tikiwiki</a></li>\r\n<li>Delicious: <a href=\"https://delicious.com/search?p=tikiwiki\">https://delicious.com/search?p=tikiwiki</a></li>\r\n</ul>\r\n<h2 id=\"MediaWiki\" >MediaWiki</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://www.mediawiki.org/static/images/project-logos/mediawikiwiki.png\"/></p>\r\n<blockquote cite=\"https://wikimediafoundation.org/wiki/Home\">\r\nThe Wikimedia Foundation, Inc. is a nonprofit charitable organization dedicated to encouraging the growth, development and distribution of free, multilingual, educational content, and to providing the full content of these wiki-based projects to the public free of charge. The Wikimedia Foundation operates some of the largest collaboratively edited reference projects in the world, including Wikipedia, a top-ten internet property.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Marius Hoch</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/8/8e/Marius_Hoch_Wikimedia_Deutschland.jpg/640px-Marius_Hoch_Wikimedia_Deutschland.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.ogg#t=2645.755403,3072.912331\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.mp3#t=2645.755403,3072.912331\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.mediawiki.org\">https://www.mediawiki.org</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/Wikimedia/\">@Wikimedia</a></li>\r\n<li>email: <a href=\"mailto:hoo.nospam@nospam.online.de\">hoo.nospam@nospam.online.de</a>, <a href=\"mailto:mflaschen.nospam@nospam.wikimedia.org\">mflaschen.nospam@nospam.wikimedia.org</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/MediaWiki\">https://en.wikipedia.org/wiki/MediaWiki</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/marius-hoch-337467105\">https://www.linkedin.com/in/marius-hoch-337467105</a></li>\r\n<li>Wikibase: <a href=\"https://wikiba.se/\">https://wikiba.se/</a></li>\r\n<li>Wikidata: <a href=\"https://wikidata.org/\">https://wikidata.org/</a></li>\r\n<li>Flow: <a href=\"https://www.mediawiki.org/wiki/Extension:Flow\">https://www.mediawiki.org/wiki/Extension:Flow</a></li>\r\n<li>Echo: <a href=\"https://www.mediawiki.org/wiki/Extension:Echo\">https://www.mediawiki.org/wiki/Extension:Echo</a></li>\r\n<li>Quim Gil <a href=\"https://hackerpublicradio.org/eps.php?id=1699\">hpr1699 :: FOSDEM 2015 Part 3 of 5</a></li>\r\n</ul>\r\n<h2 id=\"Linux_from_scratch\" >Linux from scratch</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://www.linuxfromscratch.org/images/lfs-logo.png\"/></p>\r\n<blockquote cite=\"https://en.wikipedia.org/wiki/Linux_From_Scratch\">\r\nLinux From Scratch (LFS) is a type of a Linux installation and the name of a book written by Gerard Beekmans, among others. The book gives readers instructions on how to build a Linux system from source. The book is available freely from the Linux From Scratch site and is currently in version 7.8.\r\n<br />\r\nLinux From Scratch is a way to install a working Linux system by building all components of it manually. This is, naturally, a longer process than installing a pre-compiled Linux distribution. According to the Linux From Scratch site, the advantages to this method are a compact, flexible and secure system and a greater understanding of the internal workings of the Linux-based operating systems.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Jean-Philippe Mengual</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://hypra.fr/IMG/auton4.jpg?1433429877\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.ogg#t=3072.912331,3598.791475\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.mp3#t=3072.912331,3598.791475\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.linuxfromscratch.org/\">https://www.linuxfromscratch.org/</a>, <a href=\"https://lists.linuxfromscratch.org\">https://lists.linuxfromscratch.org</a></li>\r\n<li>email: <a href=\"mailto:jmengual.nospam@nospam.linuxfromscratch.org\">jmengual.nospam@nospam.linuxfromscratch.org</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Linux_From_Scratch\">https://en.wikipedia.org/wiki/Linux_From_Scratch</a></li>\r\n</ul>\r\n<h2 id=\"Perl\" >Perl</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://st.pimg.net/perlweb/images/camel_head.v25e738a.png\"/></p>\r\n<blockquote cite=\"https://www.perl.org/about.html\">\r\nPowerful, stable, mature, portable\r\n<br />\r\nPerl 5 is a highly capable, feature-rich programming language with over 27 years of development. Perl 5 runs on over 100 platforms from portables to mainframes and is suitable for both rapid prototyping and large scale development projects.\r\n<br />\r\n\"Perl\" is a family of languages, \"Perl 6\" is part of the family, but it is a separate language which has its own development team. Its existence has no significant impact on the continuing development of \"Perl 5\".\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Wendy G.A. van Dijk, Mark \"shadowcat\" Keating, and Curtis \"Ovid\" Poe</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://www.wendy.org/foto/wendy-2000-200x271.jpg\"/>\r\n<img alt=\"headshot\" src=\"https://pbs.twimg.com/profile_images/458853763315281920/jA073LgW_400x400.jpeg\"/>\r\n<img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrinknp_400_400/p/5/000/1dd/09c/3eb9d52.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.ogg#t=3598.791475,4677.515032\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.mp3#t=3598.791475,4677.515032\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.perl.org\">https://www.perl.org</a></li>\r\n<li>Personal Website Wendy G.A. van Dijk: <a href=\"https://www.wendy.org/\">https://www.wendy.org/</a></li>\r\n<li>Personal Website Mark Keating: <a href=\"https://shadowcat.co.uk\">https://shadowcat.co.uk</a></li>\r\n<li>Personal Website Curtis \"Ovid\" Poe: <a href=\"https://allaroundtheworld.fr\">https://allaroundtheworld.fr</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/perlfoundation\">@perlfoundation</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/shadowcat_mdk\">@shadowcat_mdk</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/OvidPerl\">@OvidPerl</a></li>\r\n<li>email: <a href=\"mailto:site.nospam@nospam.wendy.org\">site.nospam@nospam.wendy.org</a></li>\r\n<li>email: <a href=\"mailto:m.keating.nospam@nospam.shadowcat.co.uk\">m.keating.nospam@nospam.shadowcat.co.uk</a></li>\r\n<li>email: <a href=\"mailto:ovid.nospam@nospam.allaroundtheworld.fr\">ovid.nospam@nospam.allaroundtheworld.fr</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Perl\">https://en.wikipedia.org/wiki/Perl</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/wendyga\">https://www.linkedin.com/in/wendyga</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/markkeating\">https://www.linkedin.com/in/markkeating</a></li>\r\n<li>Linkedin: <a href=\"https://fr.linkedin.com/in/curtispoe\">https://fr.linkedin.com/in/curtispoe</a></li>\r\n<li>Wendy G.A. van Dijk <a href=\"https://hackerpublicradio.org/eps.php?id=1454\">hpr1454 :: HPR Coverage at FOSDEM 2014 Part 5</a></li>\r\n</ul>\r\n<h2 id=\"Barghest\" >Barghest</h2>\r\n\r\n<h3>Listen to the interview with Jean-Baptiste Laurent and Kevin Gruber</h3>\r\n\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.ogg#t=4677.515032,5101.964150\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.mp3#t=4677.515032,5101.964150\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://barghest.org\">https://barghest.org</a></li>\r\n<li>email: <a href=\"mailto:jeanbaptiste.laurent.nospam@nospam.protonmail.com\">jeanbaptiste.laurent.nospam@nospam.protonmail.com</a></li>\r\n<li>email: <a href=\"mailto:kevin.gruber.kg.nospam@nospam.gmail.com\">kevin.gruber.kg.nospam@nospam.gmail.com</a></li>\r\n</ul>\r\n<h2 id=\"Coala\" >Coala</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://github.com/coala-analyzer/coala-artwork/blob/master/artwork/logo/coala_color.svg\"/></p>\r\n<blockquote cite=\"https://fosdem.org/2016/schedule/event/coala/\">\r\nA Language Independent Code Analysis Application. coala is an application that makes it very easy, writing analysis for any programming language or even arbitrary textual data. It is a useful abstraction that provides a convenient user interface and takes away a lot of common tasks from the algorithm developer, effectively making bare research available for production use.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Lasse Schuirmann</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://pbs.twimg.com/profile_images/670553185501782016/o1yxolKe.png\"/></p>\r\n<p><audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.ogg#t=5101.964150,5432.881020\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.mp3#t=5101.964150,5432.881020\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://coala-analyzer.org/\">https://coala-analyzer.org/</a></li>\r\n<li>Personal Website: <a href=\"https://schuirmann.net\">https://schuirmann.net</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/LSchuirmann\">@LSchuirmann</a></li>\r\n<li>email: <a href=\"mailto:Lasse.nospam@nospam.Schuirmann.net\">Lasse.nospam@nospam.Schuirmann.net</a></li>\r\n<li>coala Documentation: <a href=\"https://docs.coala-analyzer.org/\">https://docs.coala-analyzer.org/</a></li>\r\n<li>coala Core Repository: <a href=\"https://github.com/coala-analyzer/coala/\">https://github.com/coala-analyzer/coala/</a></li>\r\n</ul>\r\n<h2 id=\"Google_Summer_of_Code\" >Google Summer of Code</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://developers.google.com/open-source/gsoc/images/gsoc2016-sun-alpha-97x97.png\"/></p>\r\n<blockquote cite=\"https://en.wikipedia.org/wiki/Google_Summer_of_Code\">\r\nThe Google Summer of Code (GSoC) is an international annual program, first held from May to August 2005, in which Google awards stipends (of US$5,500, as of 2015) to all students who successfully complete a requested free and open-source software coding project during the summer. The program is open to students aged 18 or over – the closely related Google Code-In is intended for students under the age of 18.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Mary Radomile</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrinknp_400_400/AAEAAQAAAAAAAALfAAAAJDIzN2EzYzcyLWE1ZTYtNGVhNC04ZDI4LWNlNDAzYzhhNDY2Yg.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.ogg#t=5432.881020,5590.836567\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.mp3#t=5432.881020,5590.836567\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://developers.google.com/open-source/gsoc/\">https://developers.google.com/open-source/gsoc/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/gsoc\">@gsoc</a></li>\r\n<li>email: <a href=\"mailto:maryr.nospam@nospam.google.com\">maryr.nospam@nospam.google.com</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/pages/Google-Developers/967415219957038\">https://www.facebook.com/pages/Google-Developers/967415219957038</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/+GoogleDevelopers/posts\">https://plus.google.com/+GoogleDevelopers/posts</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Google_Summer_of_Code\">https://en.wikipedia.org/wiki/Google_Summer_of_Code</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/maryradomile\">https://www.linkedin.com/in/maryradomile</a></li>\r\n<li>GSOC: <a href=\"https://www.google-melange.com/\">https://www.google-melange.com/</a></li>\r\n<li>Blog: <a href=\"https://googledevelopers.blogspot.com/\">https://googledevelopers.blogspot.com/</a></li>\r\n<li>Medium: <a href=\"https://medium.com/google-developers\">https://medium.com/google-developers</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/user/GoogleDevelopers\">https://www.youtube.com/user/GoogleDevelopers</a></li>\r\n</ul>\r\n<h2 id=\"Ultimaker\" >Ultimaker</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://ultimaker.com/img/logo-textblue.svg\"/></p>\r\n<blockquote cite=\"https://www.ultimaker.com/\">\r\nWe wanted everyone to be able to enjoy the experience of making. Whether it was a cat dressed as an astronaut or a mechanical masterpiece. We set it as our goal to enable you to make those things. So we built a pioneering device that everyone could use and enjoy. We made it open source so everyone really could pitch in. And we started to grow.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Olliver Schinagl</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://avatars0.githubusercontent.com/u/1245341?v=3&s=400\"/></p>\r\n<p><audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.ogg#t=5590.836567,6314.949922\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1959.mp3#t=5590.836567,6314.949922\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.ultimaker.com/\">https://www.ultimaker.com/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/Ultimaker\">@Ultimaker</a></li>\r\n<li>email: <a href=\"mailto:o.schinagl.nospam@nospam.ultimaker.com\">o.schinagl.nospam@nospam.ultimaker.com</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Ultimaker\">https://en.wikipedia.org/wiki/Ultimaker</a></li>\r\n</ul>\r\n',30,78,0,'CC-BY-SA','FOSDEM, Mozilla, Apache, Jenkins, xwiki, dokuwiki, tikiwiki, MediaWiki, Linux from scratch, Perl, Barghest, Coala, Google Summer of Code, Ultimaker',0,0,1),
(1960,'2016-02-05','FOSDEM 2016 AW Building and more',6952,'FreeBSD,Matrix,Brainduino,Butterknife,pyhurdy,Coreboot,OpenEmbedded, PicoTCP,PTXdist,JavaCardPro','<h1>Table of Contents</h1>\r\n\r\n<ul>\r\n<li><a href=\"#FreeBSD\">FreeBSD</a></li>\r\n<li><a href=\"#Matrix\">Matrix</a></li>\r\n<li><a href=\"#Brainduino\">Brainduino</a></li>\r\n<li><a href=\"#Butterknife\">Butterknife</a></li>\r\n<li><a href=\"#pyhurdy\">pyhurdy</a></li>\r\n<li><a href=\"#Coreboot\">Coreboot</a></li>\r\n<li><a href=\"#OpenEmbedded\">OpenEmbedded</a></li>\r\n<li><a href=\"#PicoTCP\">PicoTCP</a></li>\r\n<li><a href=\"#PTXdist\">PTXdist</a></li>\r\n<li><a href=\"#JavaCard\">JavaCard Pro</a></li>\r\n<li><a href=\"#Knitting\">Knitting</a></li>\r\n<li><a href=\"#Fenster\">Fenster</a></li>\r\n</ul>\r\n<h2 id=\"FreeBSD\" >FreeBSD Foundation</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://www.freebsdfoundation.org/assets/logo_freebsdfoundation_small.png\"/></p>\r\n<blockquote cite=\"https://www.freebsdfoundation.org/about\">\r\nThe FreeBSD Foundation is a 501(c)(3), US based, non-profit organization dedicated to supporting and building the FreeBSD Project and community worldwide. The Foundation gratefully accepts donations from individuals and businesses, using them to fund and manage projects, sponsor FreeBSD events, Developer Summits and provide travel grants to FreeBSD developers.\r\n<br />\r\nIn addition, the Foundation represents the FreeBSD Project in executing contracts, license agreements, copyrights, trademarks, and other legal arrangements which require a recognized legal entity. The FreeBSD Foundation is entirely supported by donations.\r\n<\r\nThe FreeBSD Foundation will support both the development and the popularization of FreeBSD, the world\'s best open source operating system.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Ed Maste, Director of Project Development</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://pbs.twimg.com/profile_images/532647779634405376/a36U_YLE_400x400.jpeg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.ogg#t=75.900956,1090.903738\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.mp3#t=75.900956,1090.903738\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.freebsdfoundation.org\">https://www.freebsdfoundation.org</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/ed_maste\">@ed_maste</a>, <a href=\"https://twitter.com/freebsdfndation\">@freebsdfndation</a></li>\r\n<li>email: <a href=\"mailto:emaste.nospam@nospam.FreeBSD.org\">emaste.nospam@nospam.FreeBSD.org</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/FreeBSDFoundation\">https://www.facebook.com/FreeBSDFoundation</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/b/102140999376014320527/\">https://plus.google.com/b/102140999376014320527/</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/FreeBSD_Foundation\">https://en.wikipedia.org/wiki/FreeBSD_Foundation</a></li>\r\n<li>Linkedin: <a href=\"https://ca.linkedin.com/in/edmaste\">https://ca.linkedin.com/in/edmaste</a></li>\r\n<li>Blog: <a href=\"https://freebsdfoundation.blogspot.com/\">https://freebsdfoundation.blogspot.com/</a></li>\r\n<li>RSS: <a href=\"https://feeds.feedburner.com/FreebsdFoundation\">https://feeds.feedburner.com/FreebsdFoundation</a></li>\r\n</ul>\r\n<h2 id=\"Matrix\" >Matrix</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://matrix.org/blog/wp-content/uploads/2015/01/logo1.png\"/></p>\r\n<blockquote>\r\nMatrix is an open standard for decentralised persistent communication over IP. It provides simple HTTP APIs and open source reference implementations for securely distributing and persisting JSON over an open federation of servers. Matrix can be used for decentralised group chat, WebRTC signaling, Internet of Things data transfer, and anywhere you need a common data fabric to link together fragmented silos of communication. Our focus is on simplicity and security.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Oddvar Lovaas</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://avatars1.githubusercontent.com/u/1705873?v=3&s=460\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.ogg#t=1090.903738,1605.775676\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.mp3#t=1090.903738,1605.775676\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://matrix.org/\">https://matrix.org/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/matrixdotorg\">@matrixdotorg</a></li>\r\n<li>email: <a href=\"mailto:oddvar.nospam@nospam.matrix.org\">oddvar.nospam@nospam.matrix.org</a></li>\r\n<li>GitHub: <a href=\"https://github.com/matrix-org\">https://github.com/matrix-org</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Matrix_(communication_protocol)\">https://en.wikipedia.org/wiki/Matrix_(communication_protocol)</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company/5312995\">https://www.linkedin.com/company/5312995</a></li>\r\n<li>RSS: <a href=\"https://matrix.org/blog/feed/\">https://matrix.org/blog/feed/</a></li>\r\n</ul>\r\n<h2 id=\"Brainduino\" >Brainduino Open Source Brain Computer Interface</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://avatars2.githubusercontent.com/u/7516825?v=3&s=200\"/></p>\r\n<blockquote cite=\"https://fosdem.org/2016/schedule/event/brainduino/\">\r\nIn the recent years, affordable Brain-Computer Interfaces are becoming more accessible for consumers. Applications range from controlling computers / machines, biofeedback and Quantified Self. At first sight, the current generation of commercial devices seem to be decent in their functionality, and various use cases are suggested. However, neurophysiological signal quality, as well as limitations of software and hardware hackability are among the greatest issues and hurdles towards advancement in user experience. This is why we started to work on Brain-Duino, an open-source brainwave amplifier shield for the Arduino and other microcontrollers. Brain-Duino is a high quality, low noise and affordable EEG / BCI for hackers, makers, researchers, artists and other enthusiasts. \r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Konrad Willi Döring</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://neurofox.com/wp-content/uploads/2015/10/willi.jpg\"/></p>\r\n<p><audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.ogg#t=1605.775676,2512.196181\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.mp3#t=1605.775676,2512.196181\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Personal Website: <a href=\"https://www.neurofox.com\">https://www.neurofox.com</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/brainduino\">@brainduino</a></li>\r\n<li>email: <a href=\"mailto:willi.nospam@nospam.neurofox.com\">willi.nospam@nospam.neurofox.com</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/brainduino\">https://www.facebook.com/brainduino</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/101207001631950617142\">https://plus.google.com/101207001631950617142</a></li>\r\n<li>info &amp; buy: <a href=\"https://www.psychiclab.net/IBVA/kit1.html\">https://www.psychiclab.net/IBVA/kit1.html</a></li>\r\n<li>album: <a href=\"https://plus.google.com/photos/101207001631950617142/albums/6129602618741270977\"> https://plus.google.com/photos/101207001631950617142/albums/6129602618741270977</a></li>\r\n<li>github: <a href=\"https://github.com/brain-duino\">https://github.com/brain-duino</a></li>\r\n<li><a href=\"https://fosdem.org/2016/schedule/event/brainduino/\">https://fosdem.org/2016/schedule/event/brainduino/</a></li>\r\n</ul>\r\n<h2 id=\"Butterknife\" >Butterknife</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://hackerpublicradio.org/eps/fosdem2016/butter_raster.png\"/></p>\r\n<blockquote>\r\nButterknife is the last missing piece of the puzzle that makes Linux-based desktop OS deployment a breeze. Butterknife complements your Puppet or Salt infrastructure and reduces the time you spend setting up Linux-based desktop machines. Lauri developed Butterknife as part of his MSc thesis at KTH while preparing for deployment of 4000+ dual-boot desktops and laptops of Tallinn Education Board. Butterknife is released under MIT license, feel free to share and improve.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Lauri Võsandi</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://avatars0.githubusercontent.com/u/194685?v=3&s=460\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.ogg#t=2512.196181,2865.104262\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.mp3#t=2512.196181,2865.104262\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://butterknife.rocks\">https://butterknife.rocks</a></li>\r\n<li>Personal Website: <a href=\"https://lauri.vosandi.com\">https://lauri.vosandi.com</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/laurivosandi\">@laurivosandi</a></li>\r\n<li>GitHub: <a href=\"https://github.com/laurivosandi/butterknife\">https://github.com/laurivosandi/butterknife</a></li>\r\n<li>email: <a href=\"mailto:lauri.vosandi.nospam@nospam.gmail.com\">lauri.vosandi.nospam@nospam.gmail.com</a></li>\r\n</ul>\r\n<h2 id=\"pyhurdy\" >pyhurdy meta-hurdy yocto project open embedded</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://hackerpublicradio.org/eps/fosdem2016/pyhurdy3.jpg\"/></p>\r\n<blockquote cite=\"https://events.linuxfoundation.org/sites/events/files/slides/hurdy.pdf\">\r\nEine Kliene Eingebettete Musik\r\n<br />\r\n(A little embedded music)\r\n<br />\r\nReplicating 12th Century Musical Instruments Using Embedded Linux\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Beth \'pidge\' Flanagan</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://pbs.twimg.com/profile_images/459162665655361538/Gac-tiaJ.jpeg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.ogg#t=2865.104262,3393.776374\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.mp3#t=2865.104262,3393.776374\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://github.com/yoctopidge/pyhurdy\">https://github.com/yoctopidge/pyhurdy</a>, <a href=\"https://www.yoctoproject.org/\">https://www.yoctoproject.org/</a></li>\r\n<li>Personal Website: <a href=\"https://hacklikeagirl.wordpress.com/\">https://hacklikeagirl.wordpress.com/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/yoctopidge\">@yoctopidge</a>, <a href=\"https://www.twitter.com/yoctoproject\">@yoctoproject</a></li>\r\n<li>email: <a href=\"mailto:elizabeth.flanagan.nospam@nospam.intel.com\">elizabeth.flanagan.nospam@nospam.intel.com</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/pages/Yocto-Project/155601504475740?fref=ts\">https://www.facebook.com/pages/Yocto-Project/155601504475740?fref=ts</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/107524829985806817965\">https://plus.google.com/107524829985806817965</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/groups?gid=3636272&trk=hb_side_g\">https://www.linkedin.com/groups?gid=3636272&amp;trk=hb_side_g</a> <a href=\"https://www.linkedin.com/in/bethflanagan\">https://www.linkedin.com/in/bethflanagan</a></li>\r\n<li>ELCE Dublin 2015: <a href=\"https://events.linuxfoundation.org/sites/events/files/slides/hurdy.pdf\">https://events.linuxfoundation.org/sites/events/files/slides/hurdy.pdf</a></li>\r\n</ul>\r\n<h2 id=\"Coreboot\" >Coreboot and Flashrom</h2>\r\n\r\n<p><img src=\"https://www.coreboot.org/coreboot.png\" alt=\"logo\" height=\"80\"></p>\r\n<blockquote cite=\"https://www.coreboot.org/\">\r\ncoreboot is an extended firmware platform for delivering lightning fast and ultra secure boot experience on modern computers and embedded systems. As an Open Source project it provides auditability and helps regaining control over technology.\r\n</blockquote>\r\n\r\n<blockquote cite=\"https://www.flashrom.org/Flashrom\">\r\nflashrom is a utility for identifying, reading, writing, verifying and erasing flash chips. It is designed to flash BIOS/EFI/coreboot/firmware/optionROM images on mainboards, network/graphics/storage controller cards, and various other programmer devices.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Carl-Daniel Hailfinger</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://www.irill.org/media/fosdem2012/maintracks/Coreboot.webm-1-1.jpg\"/></p>\r\n<p><audio controls preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.ogg#t=3393.776374,4266.637366\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.mp3#t=3393.776374,4266.637366\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.coreboot.org/\">https://www.coreboot.org/</a> <a href=\"https://www.flashrom.org\">https://www.flashrom.org</a></li>\r\n<li>Personal Website: <a href=\"https://blogs.coreboot.org/blog/author/carldanielhailfinger/\">https://blogs.coreboot.org/blog/author/carldanielhailfinger/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/coreboot_org\">@coreboot_org</a>, <a href=\"https://twitter.com/flashrom_org\">@flashrom_org</a></li>\r\n<li>email: <a href=\"mailto:c-d.hailfinger.devel.2006.nospam@nospam.gmx.net\">c-d.hailfinger.devel.2006.nospam@nospam.gmx.net</a></li>\r\n<li>Wikipedia: <a href=\"\"https://en.wikipedia.org/wiki/Coreboot>https://en.wikipedia.org/wiki/Coreboot</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Flashrom\">https://en.wikipedia.org/wiki/Flashrom</a></li>\r\n<li>Carl-Daniel Hailfinger: <a href=\"https://hackerpublicradio.org/eps.php?id=1702\">hpr1702 :: FOSDEM 2015 Part 5 of 5</a></li>\r\n</ul>\r\n<h2 id=\"OpenEmbedded\" >OpenEmbedded</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://www.openembedded.org/skins/common/images/logo.png\"/></p>\r\n<blockquote cite=\"https://www.openembedded.org/wiki/Main_Page\">\r\nWelcome to OpenEmbedded, the build framework for embedded Linux. OpenEmbedded offers a best-in-class cross-compile environment. It allows developers to create a complete Linux Distribution for embedded systems.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Florian Boor</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrinknp_400_400/p/3/000/005/399/3f98af0.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.ogg#t=4266.637366,4667.720598\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.mp3#t=4266.637366,4667.720598\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.openembedded.org/\">https://www.openembedded.org/</a></li>\r\n<li>email: <a href=\"mailto:Florian.Boor.nospam@nospam.kernelconcepts.de\">Florian.Boor.nospam@nospam.kernelconcepts.de</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/OpenEmbedded\">https://en.wikipedia.org/wiki/OpenEmbedded</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/florianboor\">https://www.linkedin.com/in/florianboor</a></li>\r\n<li>Paul Eggleton and Apelete Seketeli <a href=\"https://hackerpublicradio.org/eps.php?id=1453\">hpr1453 :: HPR Coverage at FOSDEM 2014 Part 4</a></li>\r\n<li>Ulf Samuelsson <a href=\"https://hackerpublicradio.org/eps.php?id=1701\">hpr1701 :: FOSDEM 2015 Part 4 of 5</a></li>\r\n</ul>\r\n<h2 id=\"PicoTCP\" >PicoTCP</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://static1.squarespace.com/static/530e4682e4b0984e87ed0fee/t/56a0b295b20943ce9189f22b/1453737867088/?format=1500w\"/></p>\r\n<blockquote cite=\"https://www.picotcp.com/\">\r\npicoTCP is the answer for a size, speed and feature conscious open source TCP/IP stack for embedded devices.\r\n<br />\r\nEach component of the stack is deployed in a separate module, allowing the user to select at compile time what needs to be included for any specific platform. This allows you to free up memory and resources, which are often mission-critical for a project.\r\n<br />\r\nThe provided API\'s are small, well documented and give you access to the library facilities, both from the applications and from the device drivers. The library facilitates the integration with the surroundings and minimizes the time needed to combine the stack with existing code. The support required to port to a new architecture is reduced to a set of macros defined in a header file specific for the platform.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Toon Peters, Embedded Software Engineer at Intelligent Systems Belux by Altran</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrinknp_400_400/p/1/000/251/37a/2c87c11.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.ogg#t=4667.720598,5414.310000\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.mp3#t=4667.720598,5414.310000\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.picotcp.com/\">https://www.picotcp.com/</a></li>\r\n<li>Company Website: <a href=\"https://intelligent-systems.altran.com/\">https://intelligent-systems.altran.com/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/phalox\">@phalox</a> <a href=\"https://twitter.com/picoTCP\">@picoTCP</a></li>\r\n<li>email: <a href=\"mailto:toon.peters.nospam@nospam.tass.be\">toon.peters.nospam@nospam.tass.be</a></li>\r\n<li>Linkedin: <a href=\"https://be.linkedin.com/in/toonpeters\">https://be.linkedin.com/in/toonpeters</a></li>\r\n<li>Maarten Vandersteegen <a href=\"https://hackerpublicradio.org/eps.php?id=1702\">hpr1702 :: FOSDEM 2015 Part 5 of 5</a></li>\r\n</ul>\r\n<h2 id=\"PTXdist\" >PTXdist and Barebox</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/5/50/Barebox_bootloader_logo.svg/800px-Barebox_bootloader_logo.svg.png\"/><img alt=\"Logo\" height=\"80\" src=\"https://www.pengutronix.de/images/ptx_logo_200.png\"/></p>\r\n<blockquote cite=\"https://www.pengutronix.de/software/ptxdist/index_en.html\">\r\nWhat is the best way to build a Linux distribution for an embedded system in a reproducible way, caring about long term maintenance and small footprint? PTXdist is a GPL licensed build system for userlands, started by Pengutronix. It uses the Kconfig configuration system from the Linux kernel. Although PTXdist (without patches) still fits on one disc, a whole root filesystem can be built as easy as \"ptxdist go\".\r\n</blockquote>\r\n\r\n<blockquote cite=\"https://www.barebox.org/\">\r\nbarebox is a bootloader designed for embedded systems. It runs on a variety of architectures including x86, ARM, MIPS, PowerPC and others. barebox aims to be a versatile and flexible bootloader, not only for booting embedded Linux systems, but also for initial hardware bringup and development. barebox is highly configurable to be suitable as a full-featured development binary as well as for lean production systems. Just like busybox is the Swiss Army Knife for embedded Linux, barebox is the Swiss Army Knife for bare metal, hence the name.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Alexander Aring</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://avatars0.githubusercontent.com/u/232518?v=3&s=400\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.ogg#t=5414.310000,6126.398967\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.mp3#t=5414.310000,6126.398967\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://www.pengutronix.de/software/ptxdist/index_en.html\">https://www.pengutronix.de/software/ptxdist/index_en.html</a></li>\r\n<li>Project Website: <a href=\"https://www.barebox.org/\">https://www.barebox.org/</a></li>\r\n<li>email: <a href=\"mailto:aar.nospam@nospam.pengutronix.de\">aar.nospam@nospam.pengutronix.de</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/117647873289646969223\">https://plus.google.com/117647873289646969223</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Barebox\">https://en.wikipedia.org/wiki/Barebox</a></li>\r\n<li>GitHub: <a href=\"https://github.com/alexaring\">https://github.com/alexaring</a></li>\r\n</ul>\r\n<h2 id=\"JavaCard\" >JavaCard Pro</h2>\r\n\r\n<p><img alt=\"photo\" height=\"400\" src=\"https://hackerpublicradio.org/eps/fosdem2016/JavaCard_Pro1.jpg\"/></p>\r\n<blockquote cite=\"https://en.wikipedia.org/wiki/Java_Card_OpenPlatform\">\r\nJava Card OpenPlatform (JCOP) is a smart card operating system for the Java Card platform developed by IBM Zürich Research Laboratory. On 31 January 2006 the development and support responsibilities transferred to the IBM Smart Card Technology team in Böblingen, Germany. Since July 2007 support and development activities for the JCOP operating system on NXP / Philips silicon are serviced by NXP Semiconductors.\r\n</blockquote>\r\n\r\n<h3>Listen to the interview with Martin Paljak</h3>\r\n\r\n<p><img alt=\"headshot\" src=\"https://media.licdn.com/mpr/mpr/shrinknp_400_400/p/2/005/050/0cc/2a25952.jpg\"/></p>\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.ogg#t=6126.398967,6646.351878\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.mp3#t=6126.398967,6646.351878\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>Project Website: <a href=\"https://javacard.pro/\">https://javacard.pro/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/martinpaljak\">@martinpaljak</a></li>\r\n<li>email: <a href=\"martin.nospam@nospam.martinpaljak.net\">martin.nospam@nospam.martinpaljak.net</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Java_Card_OpenPlatform\">https://en.wikipedia.org/wiki/Java_Card_OpenPlatform</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/in/martinpaljak\">https://www.linkedin.com/in/martinpaljak</a></li>\r\n<li>GitHub: <a href=\"https://github.com/martinpaljak\">https://github.com/martinpaljak</a></li>\r\n<li>Skype: <a href=\"skype:martinpaljak?add\">martinpaljak</a></li>\r\n</ul>\r\n<h2 id=\"Knitting\" >Knitting</h2>\r\n\r\n<p><img alt=\"Logo\" height=\"80\" src=\"https://images4.ravelrycache.com/uploads/jewelandarlin/302521746/equal4_small2.JPG\"/></p>\r\n<h3>Listen to the interview with Siobhån Cottell</h3>\r\n\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.ogg#t=6646.351878,6849.339889\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.mp3#t=6646.351878,6849.339889\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li><a href=\"https://www.ravelry.com/patterns/library/equal\">https://www.ravelry.com/patterns/library/equal</a></li>\r\n<li><a href=\"https://www.ravelry.com\">https://www.ravelry.com</a></li>\r\n<li><a href=\"www.knittinghelp.com\">www.knittinghelp.com</a></li>\r\n<li>email: <a href=\"mailto:jewelandarlin.nospam@nospam.gmail.com\">jewelandarlin.nospam@nospam.gmail.com</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Knitting\">https://en.wikipedia.org/wiki/Knitting</a></li>\r\n</ul>\r\n<h2 id=\"Fenster\" >Music By Fenster</h2>\r\n\r\n<p><audio controls=\"\" preload=\"none\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.ogg#t=6849.339889,7027.487587\" type=\"audio/ogg\">\r\n<source src=\"https://hackerpublicradio.org/eps/hpr1960.mp3#t=6849.339889,7027.487587\" type=\"audio/mpeg\">\r\n</audio></p>\r\n<h3>Links</h3>\r\n\r\n<ul>\r\n<li>SoundCloud: <a href=\"https://soundcloud.com/lapsusone/fenster-free-software-song\">https://soundcloud.com/lapsusone/fenster-free-software-song</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Free_Software_Song\">https://en.wikipedia.org/wiki/Free_Software_Song</a></li>\r\n<li>Official: <a href=\"https://www.gnu.org/music/free-software-song.html\">https://www.gnu.org/music/free-software-song.html</a></li>\r\n<li>Remix: <a href=\"https://freesoft.potlatch20.net/\">https://freesoft.potlatch20.net/</a></li>\r\n<li>RMS sings: <a href=\"https://www.youtube.com/watch?v=1BH7poMtPVU\">https://www.youtube.com/watch?v=1BH7poMtPVU</a></li>\r\n<li>GNU: <a href=\"https://audio-video.gnu.org/audio\">https://audio-video.gnu.org/audio</a></li>\r\n</ul>\r\n<pre>\r\nTrack name : Free Software Song\r\nPerformer : Fenster\r\nRecorded date : 2002\r\nCopyright : Copyright (C) 2002, \r\nFenster LLC. Verbatim copying of this entire recording is permitted in any medium, \r\nprovided this notice is preserved. \r\nPerformers: \r\nPaul Robinson (vocals), \r\nRoman Kravec (guitar), \r\nEd D\'Angelo (bass), \r\nDave Newman (drums), \r\nBrian Yarbrough (trumpet), \r\nTony Moore (trumpet). \r\n</pre>\r\n',30,78,0,'CC-BY-SA','FOSDEM, FreeBSD, Matrix, Brainduino, Butterknife, pyhurdy, Coreboot, OpenEmbedded, PicoTCP, PTXdist, JavaCardPro, Knitting',0,0,1),
(1950,'2016-01-22','Kdenlive Part 2: Advanced Editing Technique',1057,'We discuss advanced editing techniques and review the tools you\'ll be using as a video editor.','<p>\r\nHello again HPR listeners this is Geddes back with Part  2 in the series covering the video editing application KdenLive.\r\n</p>\r\n<p>\r\nLast time in part one we looked at Installing, First launch, Your workspace, Importing footage, Three-point editing, and lastly The basic tools. <br />\r\n<a href=\"https://hackerpublicradio.org/eps.php?id=1925\">https://hackerpublicradio.org/eps.php?id=1925</a>\r\n</p>\r\n<p>\r\nThis time round we’ll be looking at advanced editing technique and Part 2 covers the following topics:  \r\n</p>\r\n<ul>\r\n<li>A Brief History of the Editing Workflow</li>\r\n<li>Editing in the Timeline,</li>\r\n<li>Audio Splits and Grouping Clips, </li>\r\n<li>Basic Navigation in the Timeline, </li>\r\n<li>Notes on Video Formats.  </li>\r\n</ul>\r\n<p>\r\nHere’s the link to the original article.<br />\r\n<a href=\"https://opensource.com/life/11/11/advanced-editing-kdenlive\">https://opensource.com/life/11/11/advanced-editing-kdenlive</a>\r\n</p>',310,0,0,'CC-BY-SA','video editing,Kdenlive',0,0,1),
(1952,'2016-01-26','Time now Ladies and Gents',1860,'How to get the total duration of a lot of media files.','<p>In the show \"<a href=\"https://hackerpublicradio.org/eps.php?id=1943\">hpr1943 :: HPR AudioBook Club 11.5 - Interview with David Collins-Rivera</a>\" <a href=\"https://hackerpublicradio.org/correspondents/0128.html\">pokey</a> asked if there was a way to get the duration for media. The following three options springs to mind immediately.</p>\r\n<p>The first option is <a href=\"https://gitlab.anhonesthost.com/davmo/fix_tags\">fix_tags</a> and was written by our own <a href=\"https://hackerpublicradio.org/correspondents/0225.html\">Dave Morriss</a>.</p>\r\n<pre><code>$ date --utc --date=\"@$(echo $(fix_tags *mp3 *ogg 2&gt;/dev/null | \\\r\nawk -F \'\\\\(|\\\\)\' \'/length/ {print $2}\' | \\\r\nsed \'s/ sec//g\' ) | \\\r\nsed \'s/ /+/g\' | bc )\"  +\"%T\"\r\n03:09:49\r\n</code></pre>\r\n<p>Next up is <a href=\"https://mediaarea.net/en/MediaInfo\">mediainfo</a> which provides a lot of information on media files.</p>\r\n<pre><code>$ date -ud @$(echo $(mediainfo --full --Output=XML *mp3 *ogg | \\\r\nxmlstarlet sel -T -t -m \"Mediainfo/File/track[@type=\'Audio\']/Duration[1]\" -v \".\" -n - | \\\r\nsed \'s/.\\{3\\}$//\') | \\\r\nsed \'s/ /+/g\' | bc)  +\"%T\"\r\n03:09:49\r\n</code></pre>\r\n<p>The last option is to use <a href=\"https://ffmpeg.org/ffprobe.html\">ffprobe</a> from the ffmpeg team.</p>\r\n<pre><code>$ date -ud @$(echo $(for i in *mp3 *ogg;\\\r\ndo  \\date -ud 1970-01-01T$(ffprobe -i $i 2&gt;&amp;1 | \\\r\ngrep Duration | awk \'{print $2}\'| \\\r\nsed \'s/,//g\' ) +%s;done) | \\\r\nsed \'s/ /+/g\' | bc)  +\"%T\"\r\n03:09:49\r\n</code></pre>\r\n<p>For complete shownote please visit <a href=\"https://hackerpublicradio.org/eps/hpr1952.html\">https://hackerpublicradio.org/eps/hpr1952.html</a></p>\r\n',30,42,0,'CC-BY-SA','fix_tags,ffprobe,ffmpeg,bc,sed,awk,grep,time,iso8601,date,mediainfo,xmlstarlet',0,0,1),
(1965,'2016-02-12','Adding SQLite as a datasource to SQLeo',601,'Using the graphical query builders from SQLeo with SQLite','<p>I have been looking for a tool that will graphically and programmatically track identifiers as they pass through systems. I could have done this in Inkscape after following the excellent tutorials on <a href=\"https://screencasters.heathenx.org/\" target=\"_blank\">https://screencasters.heathenx.org/</a>, however I also wanted to be able to describe the relationships programmatically.</p>\r\n<p>This got me to thinking about <em>graphical query builders</em> for databases. The idea is to show each system as a table block and then draw lines between them to show how \"Field_X\" in \"System_A\" will map to \"Field_Y\" in \"System_B\". Many of the proprietary and some free database solutions allow this type of view. However I also want to easily package the entire thing up, so that someone else could access it without needing to pay for or install any specialized software. That limited the choice of database to <a href=\"https://www.sqlite.org/\" target=\"_blank\">SQLite</a>, which is small, supported on many platforms and is released into the Public Domain.\r\n<blockquote>SQLite is an in-process library that implements a self-contained, serverless, zero-configuration, transactional SQL database engine. The code for SQLite is in the public domain and is thus free for use for any purpose, commercial or private. SQLite is the most widely deployed database in the world with more applications than we can count, including several high-profile projects.</blockquote>\r\nPlease follow the instructions on the SQLite site for information on how you can install it on your system. For me on Fedora it\'s simple to install via dnf/yum. You might also want to install some GUI managers if that\'s your thing.\r\n<pre>dnf install sqlite sqlitebrowser sqliteman\r\n</pre>\r\nI created a small database for demonstration purposes, consisting of two tables and one field in each.</p>\r\n<p>Next step is to download <a href=\"https://sqleo.sourceforge.net/index.html\" target=\"_blank\">SQLeo Visual Query Builder</a> which has support for a graphical query builder.\r\n<blockquote>A powerful SQL tool to transform or reverse complex queries (generated by OBIEE, Microstrategy, Cognos, Hyperion, Pentaho ...) into diagrams to ease visualization and analysis. A graphical query builder that permits to create complex SQL queries easily. The GUI with multi-connections supports virtually all JDBC drivers, including ODBC bridge, Oracle, MySQL, PostgreSQL, Firebird, HSQLDB, H2, CsvJdbc, SQLite. And top of that, everything is open-source!</blockquote>\r\nSQLeo is a Java Tool and there is a limited version available on the web site which is limited to 3 tables per graph and 100 rows. Now as the program is released under the GPLv2.0, you could download the code and remove the restrictions. You can also support the project to the tune of <a href=\"https://sqleo.sourceforge.net/support.htm\" target=\"_blank\">€10</a> and you will get the full version ready to rock.</p>\r\n<p>Unzip the file and enter the newly created directory, and run the program as follows:\r\n<pre>java -Dfile.encoding=UTF-8 -jar SQLeoVQB.jar\r\n</pre>\r\nOne slightly confusing thing, and the reason for this post, is that I could not find support for SQLite listed in the list of databases to connect to. A quick search on the support forum and I found the question \"<a href=\"https://sourceforge.net/p/sqleo/discussion/general/thread/462168e0/\" target=\"_blank\">Connection to SQLite DB</a>\". I found the answer a bit cryptic until I read the manual related to <a href=\"https://sqleo.sourceforge.net/guide/index.html#_Toc327875410\" target=\"_blank\">JDBC Drivers</a>, which told me how to add the sqlite library.</p>\r\n<p>SQLeo uses a standard Java sqlite library that is released under the Apache Software License, Version 2.0. You can download it from the <a href=\"https://mvnrepository.com/artifact/org.xerial/sqlite-jdbc\" target=\"_blank\">SQLite JDBC MVNRepository</a> and save it into the same directory as SQLeo.</p>\r\n<p>Right Click in the Metadata explorer window and select <em>new driver.</em></p>\r\n<p>For step by step instructions please see <a href=\"https://hackerpublicradio.org/eps/hpr1965.html\">https://hackerpublicradio.org/eps/hpr1965.html</a></p>\r\n',30,0,0,'CC-BY-SA','SQLite, JDBC, SQLeo',0,0,1),
(1961,'2016-02-08','2015-2016 HPR New Years Show Episode 1',9946,'Education, Podcasts, Trains and Bikes','<p>HPR NEW YEARS EVE SHOW EPISODE: 1</p>\r\n<ul>\r\n<li><p>FiftyOneFifty and Thaj Sara discuss modern education</p></li>\r\n<li><p>Ken Fallon teaches us how to publish a show</p></li>\r\n<li><p>Talking about podcasts and radio shows we listen to <a href=\"https://hackerpublicradio.org/series/0075.html\" class=\"uri\">https://hackerpublicradio.org/series/0075.html</a></p></li>\r\n<li>Other shows:\r\n<ul>\r\n<li><p>Thaj\'s Podcast - <a href=\"https://openedtechpodcast.com/\" class=\"uri\">https://openedtechpodcast.com/</a></p></li>\r\n<li><p>WXPN <a href=\"https://xpn.org/\" class=\"uri\">https://xpn.org/</a></p></li>\r\n<li><p>Art Bell: Midnight in the Desert <a href=\"https://midnightinthedesert.com/\" class=\"uri\">https://midnightinthedesert.com/</a></p></li>\r\n<li><p>The Cerebral Rift #00radio <a href=\"https://www.cerebralrift.org/oo-radio-2/\" class=\"uri\">https://www.cerebralrift.org/oo-radio-2/</a></p></li>\r\n</ul></li>\r\n<li><p>Television and movies today....get off my lawn</p></li>\r\n<li><p>handsome_pirate model trains: 2 foot gauge HO:</p></li>\r\n</ul>\r\n<p><a href=\"https://photos.jdulaney.com/train/models/hon30/GEDC0157.JPG\" class=\"uri\">https://photos.jdulaney.com/train/models/hon30/GEDC0157.JPG</a></p>\r\n<p><a href=\"https://photos.jdulaney.com/train/models/hon30/GEDC0158.JPG\" class=\"uri\">https://photos.jdulaney.com/train/models/hon30/GEDC0158.JPG</a> Standard gauge N scale:</p>\r\n<p><a href=\"https://photos.jdulaney.com/train/models/n/GEDC1995.JPG\" class=\"uri\">https://photos.jdulaney.com/train/models/n/GEDC1995.JPG</a></p>\r\n<p><a href=\"https://photos.jdulaney.com/train/models/n/GEDC0145.JPG\" class=\"uri\">https://photos.jdulaney.com/train/models/n/GEDC0145.JPG</a></p>\r\n<p><a href=\"https://photos.jdulaney.com/train/models/n/GEDC0137.JPG\" class=\"uri\">https://photos.jdulaney.com/train/models/n/GEDC0137.JPG</a></p>\r\n<p><a href=\"https://photos.jdulaney.com/train/models/n/GEDC0013.JPG\" class=\"uri\">https://photos.jdulaney.com/train/models/n/GEDC0013.JPG</a></p>\r\n<p><a href=\"https://photos.jdulaney.com/train/models/n/GEDC0010.JPG\" class=\"uri\">https://photos.jdulaney.com/train/models/n/GEDC0010.JPG</a> 3D printed N scale:</p>\r\n<p><a href=\"https://photos.jdulaney.com/train/models/n/3d_printed_lima_0.jpg\" class=\"uri\">https://photos.jdulaney.com/train/models/n/3d_printed_lima_0.jpg</a></p>\r\n<p><a href=\"https://photos.jdulaney.com/train/models/n/3d_printed_lima_1.jpg\" class=\"uri\">https://photos.jdulaney.com/train/models/n/3d_printed_lima_1.jpg</a></p>\r\n<ul>\r\n<li>My Recumbent bike episode <a href=\"https://hackerpublicradio.org/eps.php?id=1282\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1282</a></li>\r\n</ul>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/series/0075.html\" class=\"uri\">https://hackerpublicradio.org/series/0075.html</a></li>\r\n<li><a href=\"https://openedtechpodcast.com/\" class=\"uri\">https://openedtechpodcast.com/</a></li>\r\n<li><a href=\"https://xpn.org/\" class=\"uri\">https://xpn.org/</a></li>\r\n<li><a href=\"https://midnightinthedesert.com/\" class=\"uri\">https://midnightinthedesert.com/</a></li>\r\n<li><a href=\"https://www.cerebralrift.org/oo-radio-2/\" class=\"uri\">https://www.cerebralrift.org/oo-radio-2/</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1282\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1282</a></li>\r\n</ul>\r\n',159,121,1,'CC-BY-SA','New Year,2016',0,0,1),
(1962,'2016-02-09','2015-2016 HPR New Years Show Episode 2',12011,'distros, Wearable, distros, RIP Ian Murdock, Chromebooks, Samsung, WW1, Libre Planet, TTS, and more','<p>HPR NEW YEARS EVE SHOW EPISODE: 2</p>\r\n<ul>\r\n<li><p>Talk on Linux distros</p></li>\r\n<li><p>Wearable computing</p></li>\r\n<li><p>qtile <a href=\"https://www.qtile.org\" class=\"uri\">https://www.qtile.org</a></p></li>\r\n<li><p>Ian Murdock <a href=\"https://arstechnica.com/information-technology/2015/12/ian-murdock-father-of-debian-dead-at-42/\" class=\"uri\">https://arstechnica.com/information-technology/2015/12/ian-murdock-father-of-debian-dead-at-42/</a></p></li>\r\n<li><p>Chromebooks!</p></li>\r\n<li><p>Older Fedora image for 11&quot; Samsung ARM Chromebook: <a href=\"https://jdulaney.fedorapeople.org/chromebook-kvm.img.xz\" class=\"uri\">https://jdulaney.fedorapeople.org/chromebook-kvm.img.xz</a></p></li>\r\n<li><p>Samsung makes tanks</p></li>\r\n<li><p>WWI shipboard communications <a href=\"https://dreadnoughtproject.org/tfs/index.php/Main_Page\" class=\"uri\">https://dreadnoughtproject.org/tfs/index.php/Main_Page</a></p></li>\r\n<li><p>Libre Planet <a href=\"https://libreplanet.org/wiki/LibrePlanet:Conference\" class=\"uri\">https://libreplanet.org/wiki/LibrePlanet:Conference</a></p></li>\r\n<li><p>The current state of TTS</p></li>\r\n<li><p>Travel</p></li>\r\n<li><p>Linux and open source conferences</p></li>\r\n<li><p>What crowd funded devices did we back?</p></li>\r\n<li><p>Hacking media devices: <a href=\"https://kodi.wiki/view/HOW-TO:Install_Kodi_on_Fire_TV\" class=\"uri\">https://kodi.wiki/view/HOW-TO:Install_Kodi_on_Fire_TV</a></p></li>\r\n<li><p>Comics based TV shows &amp; movies</p></li>\r\n<li><p>StarWars (No spoilers)</p></li>\r\n</ul>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.qtile.org\" class=\"uri\">https://www.qtile.org</a></li>\r\n<li><a href=\"https://arstechnica.com/information-technology/2015/12/ian-murdock-father-of-debian-dead-at-42/\" class=\"uri\">https://arstechnica.com/information-technology/2015/12/ian-murdock-father-of-debian-dead-at-42/</a></li>\r\n<li><a href=\"https://jdulaney.fedorapeople.org/chromebook-kvm.img.xz\" class=\"uri\">https://jdulaney.fedorapeople.org/chromebook-kvm.img.xz</a></li>\r\n<li><a href=\"https://dreadnoughtproject.org/tfs/index.php/Main_Page\" class=\"uri\">https://dreadnoughtproject.org/tfs/index.php/Main_Page</a></li>\r\n<li><a href=\"https://libreplanet.org/wiki/LibrePlanet:Conference\" class=\"uri\">https://libreplanet.org/wiki/LibrePlanet:Conference</a></li>\r\n<li><a href=\"https://kodi.wiki/view/HOW-TO:Install_Kodi_on_Fire_TV\" class=\"uri\">https://kodi.wiki/view/HOW-TO:Install_Kodi_on_Fire_TV</a></li>\r\n</ul>',159,121,1,'CC-BY-SA','New Year,2016',0,0,1),
(1963,'2016-02-10','2015-2016 HPR New Years Show Episode 3',10762,'Dyson Sphere, Star Wars, spammers, Tizen, Kevie, TV, Security, Single board PC\'s in general','<p>HPR NEW YEARS EVE SHOW EPISODE: 3</p>\r\n<ul>\r\n<li><p>Is Game of Thrones a Dyson Sphere?</p></li>\r\n<li><p>More Star Wars</p></li>\r\n<li><p>Punking tech support spammers</p></li>\r\n<li><p>Microsoft fail, Tizen phone</p></li>\r\n<li><p>Kevie\'s blog: <a href=\"https://kmacphail.blogspot.co.uk/2013/04/ccjam-community-podcast.html\" class=\"uri\">https://kmacphail.blogspot.co.uk/2013/04/ccjam-community-podcast.html</a></p></li>\r\n<li><p>Fancy TVs</p></li>\r\n<li><p>Security</p></li>\r\n<li><p>Single board PC\'s in general</p></li>\r\n<li><p>More Ian Murdock</p></li>\r\n<li><p>Linux distros</p></li>\r\n</ul>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://kmacphail.blogspot.co.uk/2013/04/ccjam-community-podcast.html\" class=\"uri\">https://kmacphail.blogspot.co.uk/2013/04/ccjam-community-podcast.html</a></li>\r\n</ul>\r\n',159,121,1,'CC-BY-SA','New Year,2016',0,0,1),
(1964,'2016-02-11','2015-2016 HPR New Years Show Episode 4',11108,'Cheap computers, ARM, Audio Book Club, Lights, Living, Orlando, Etching, Pronunciation, Pranks','<p>HPR NEW YEARS EVE SHOW EPISODE: 4</p>\r\n<ul>\r\n<li><p>Can you buy a NEW CHEAP computer that can run GNU Linux?</p></li>\r\n<li><p>Is ARM the future</p></li>\r\n<li><p>The HPR audio book club</p></li>\r\n<li><p>After hours fun at Linux conferences</p></li>\r\n<li><p>Christmas light displays</p></li>\r\n<li><p>Southern living and booze</p></li>\r\n<li><p>Visit Orlando</p></li>\r\n<li><p>Fun with etching</p></li>\r\n<li><p>Pronunciation of town names</p></li>\r\n<li><p>Pranks</p></li>\r\n<li><p>Naval warfare</p></li>\r\n<li><p>Some of TwoD\'s background story</p></li>\r\n<li><p>Scanning photos and kids\' art</p></li>\r\n<li><p>Strange Steam badge: <a href=\"https://gj.reddit.com/r/&#39;/comments/3yyju8/how_to_get_the_red_herring_steam_badge_holiday/\" class=\"uri\">https://gj.reddit.com/r/\'/comments/3yyju8/how_to_get_the_red_herring_steam_badge_holiday/</a></p></li>\r\n<li><p>Happy 2016 to everyone</p></li>\r\n</ul>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://gj.reddit.com/r/&#39;/comments/3yyju8/how_to_get_the_red_herring_steam_badge_holiday/\" class=\"uri\">https://gj.reddit.com/r/\'/comments/3yyju8/how_to_get_the_red_herring_steam_badge_holiday/</a></li>\r\n</ul>\r\n',159,121,1,'CC-BY-SA','New Year,2016',0,0,1),
(1954,'2016-01-28','Grandpa Shows Us How to Turn Custom Pens',4014,'Live action audio of my dad teaching us how to turn pens on a mini lathe','<h2>Grandpa Shows Us How to Turn Custom Pens on a Lathe</h2>\r\n\r\n<p>Warning: this show is kind of long, even though I cut out about half of the original raw audio. While my parents were visiting during the holidays, my dad taught me, the wife, and the kids how to turn pens on his mini lathe. We made a few mechanical pencils, a pen and I also made a giant workshop pencil. Click on the image below to look at the gallery of photos on Flickr. </p>\r\n\r\n<p><a data-flickr-embed=\"true\"  href=\"https://www.flickr.com/photos/137675441@N05/albums/72157662263915159\" title=\"Pen Turning\"><img src=\"https://farm6.staticflickr.com/5660/23768140150_0d10ecd6db_z.jpg\" width=\"640\" height=\"360\" alt=\"Pen Turning\"></a><script async src=\"https://embedr.flickr.com/assets/client-code.js\" charset=\"utf-8\"></script></p>\r\n\r\n<p>[my wife\'s lovely mechanical pencil]</p>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li><a href=\"https://flic.kr/s/aHskqVXsCx\">Photo Slideshow of our pen making</a></li>\r\n	<li><a href=\"https://www.pennstateind.com/\">Penn State Industries | Pen Turning | Pen Kits</a></li>\r\n	<li>My dad\'s lathe: <a href=\"https://www.cpojettools.com/jet-708375vs-10-in--x-14-in--1-2-hp-variable-speed-indexing-mini-lathe/jetn708375vs,default,pd.html?start=4&q=1014\">JET JML-1014VSI 10 in. x 14 in. 1/2 HP Variable Speed Indexing Mini Lathe</a></li>\r\n	<li><a href=\"https://www.pennstateind.com/store/PENPRESS4.html\">Spring Loaded Heavy-Duty Pen Assembly Press</a></li>\r\n	<li>My Cousin\'s online pen store: <a href=\"https://robertkulpcreations.storenvy.com/\">Robert Kulp Creations</a></li>\r\n</ul>\r\n\r\n<h2>Credits</h2>\r\n\r\n<ul>\r\n	<li>Music bumpers are from Kimiko Ishizaka\'s <em>The Open Goldberg Variations</em>: <a href=\"https://www.opengoldbergvariations.org/\">https://www.opengoldbergvariations.org/</a>, used by permission of their <a href=\"https://creativecommons.org/publicdomain/zero/1.0/\">CC0 1.0 Universal (CC0 1.0) Public Domain Dedication license</a>.</li>\r\n</ul>\r\n',238,0,1,'CC-BY-SA','DIY, pens, woodworking, lathe, writing instruments',0,0,1),
(1953,'2016-01-27','An Interview with David Willson of the Software Freedom School',3286,'Starting with an out take, David Whitman talks to David Willson about Software Freedom School.','<h2 id=\"david-whitman-interviews-david-willson-of-software-freedom-school\">David Whitman interviews David Willson of Software Freedom School</h2>\r\n<ul>\r\n<li>David Willson, founder of Software Freedom School, Denver, Colorado\r\n<ul>\r\n<li>Email Contact: dlwillson<span class=\"citation\" data-cites=\"thegeek.nu\">@thegeek.nu</span></li>\r\n</ul></li>\r\n<li>SFS Website: <a href=\"https://www.sofree.us\" class=\"uri\">https://www.sofree.us</a> has updates for 6 months in advance</li>\r\n<li>Linux Camp targets Linux Foundation Training <a href=\"https://training.linuxfoundation.org/\" class=\"uri\">https://training.linuxfoundation.org/</a></li>\r\n<li>Oct 21, 2013 HPR 1361 - SFS and Linux Camp <a href=\"https://hackerpublicradio.org/eps.php?id=1361\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1361</a></li>\r\n<li><a href=\"https://zimbra.thegeek.nu/home/dlwillson@thegeek.nu/Shared/SFS/Linux%20Camp%202013/SFS%20Linux%20Camp.odt\">https://zimbra.thegeek.nu/home/dlwillson@thegeek.nu/Shared/SFS/Linux%20Camp%202013/SFS%20Linux%20Camp.odt</a></li>\r\n<li>SFS Method = Show and tell, then students work in pairs re-teaching the subject to each other.</li>\r\n<li>Stuff is at <a href=\"https://www.gitlab.com/sofrees\" class=\"uri\">https://www.gitlab.com/sofrees</a></li>\r\n<li>Google Plus Community can be found here: <a href=\"https://plus.google.com/u/0/+SofreeUs\" class=\"uri\">https://plus.google.com/u/0/+SofreeUs</a></li>\r\n<li>Find SFS at Twitter, Meetup, and Facebook</li>\r\n<li>Mail list link and IRC link on <a href=\"https://www.sofree.us\" class=\"uri\">https://www.sofree.us</a></li>\r\n</ul>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.sofree.us\" class=\"uri\">https://www.sofree.us</a></li>\r\n<li><a href=\"https://training.linuxfoundation.org/\" class=\"uri\">https://training.linuxfoundation.org/</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1361\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1361</a></li>\r\n<li><a href=\"https://zimbra.thegeek.nu/home/dlwillson@thegeek.nu/Shared/SFS/Linux%20Camp%202013/SFS%20Linux%20Camp.odt\">https://zimbra.thegeek.nu/home/dlwillson@thegeek.nu/Shared/SFS/Linux%20Camp%202013/SFS%20Linux%20Camp.odt</a></li>\r\n<li><a href=\"https://www.gitlab.com/sofrees\" class=\"uri\">https://www.gitlab.com/sofrees</a></li>\r\n<li><a href=\"https://plus.google.com/u/0/+SofreeUs\" class=\"uri\">https://plus.google.com/u/0/+SofreeUs</a></li>\r\n<li><a href=\"https://www.sofree.us\" class=\"uri\">https://www.sofree.us</a></li>\r\n</ul>\r\n',209,78,1,'CC-BY-SA','Learning, Linux, School, Freedom, SFS, Software Freedom',0,0,1),
(1966,'2016-02-15','Whats in my bag',420,'I talk about what I have in my bag today','<p>I describe the contents of my timbuk2 messenger bag today</p>\r\n<ol type=\"1\">\r\n<li>Sony Vaio VPCEB42FM 6 pounds weight</li>\r\n<li>Lenovo x201 3 lbs</li>\r\n<li>iPad 3</li>\r\n<li>Galaxy Tab 3 lite</li>\r\n<li>charging cable for android phone</li>\r\n<li>charging cable for iPad 3</li>\r\n<li>Usb wall adapter to use with either iPad 3 or phone</li>\r\n<li>Ipod classic 6</li>\r\n<li>6 usb drives ranging in size from 4 gb to 26 gb but mostly 8 or 16\'s</li>\r\n<li>screen cleaning cloth</li>\r\n<li>mini phillips head screwdriver</li>\r\n<li>Charging cable for laptop (has multiple heads that can be switched around to use for a variety of laptops)</li>\r\n<li>One thing that I forgot is to mention is a usb mouse.</li>\r\n</ol>\r\n<p>Also I got the bag in January 2014</p>',297,23,1,'CC-BY-SA','timbuk2 bag,x201,sony vaio,laptops',0,0,1),
(1967,'2016-02-16','How I saw the Linux Light at the end of the Windows tunnel',859,'My personal story of discovery of Linux','<p>\r\nJust a regular story of a Linux power user, or how I loved computers, then I hated computers, then I loved computers again, and then I moved to a love/hate kind of thing...\r\n</p>',323,29,0,'CC-BY-SA','Linux, Beginners, Computing history, Gaming',0,0,1),
(1968,'2016-02-17','Advanced Terminal Usage: byobu',196,'Use this screen multiplexer wrapper to optimize your usage of the terminal, locally, and abroad.','<p>\r\nLong time listener, first time caller, here! My name is Jon Doe, but you can call me Jon.\r\n</p>\r\n<p>\r\nToday, I am going to be talking about a more advanced usage of the terminal in linux. This basic tutorial assumes that you have a basic knowledge of getting to the terminal, and installing software, so we can skip that, and make my job easier.\r\n</p>\r\n<p>\r\nFirst, you have software that you may want to run, and keep running, even if we disconnect, or even if we walk to another machine. Classically, there was \'screen\' for this, but times change, and needs advance. My current favorite is byobu, a wrapper for the screen or tmux terminal multiplexers, tmux by default, now, which is a change since featured on episode 770 of HPR.\r\n</p>\r\n<p>\r\nTo run byobu, simply type it\'s name at the terminal, and watch it\'s magic. When we say it is a wrapper, this is in double context. It encapsulates the tmux or screen binary in script, and it provides some useful enhancements to the already awesome capabilities of a basic multiplexer, including a nice bar at the bottom, detailing the system stats, configurable to whatever stats you need to display.\r\n</p>\r\n<p>\r\nA screen multiplexer is an application that allows the running of multiple terminals, and their applications, within a single remote or local window, allowing you to change tasks with relative ease, similar to a window manager in X, but with no mouse needed.\r\n</p>\r\n<p>\r\nFor a basic test, go ahead and hit F2, and you will get a second terminal, the textual task tray at the bottom indicating your current and available terminals. F3 and F4 allow you to cycle between tasks, and F2 spawns additional.\r\n</p>\r\n<p>\r\nFor those following along, go ahead and hit F6, you will drop back to a shell, with byobu running everything in the background, and you can exit the terminal, or run whatever else you need to, outside of byobu\'s control. Use the byobu command again to reconnect, note that your session has remained open, and all terminal sessions are available for you to peruse. Also note that you can open byobu again, as the same user, both remotely and locally, and keep all of your terminals going, even on multiple systems and screens, at the same time. You can even share the session with others, assuming their ability to login, and cross code, or monitor usage of their session, for educational purposes, or group coding.\r\n</p>\r\n<p>\r\nA popular and useful feature of terminal windows is the ability to maintain a scroll back buffer, and using a multiplexer, ostensibly, destroys this ability on the graphical side, assuming you are using it in a graphical environment, keeping the text for itself. Fear not, good hacker, for the simple application of F7 will activate scroll back mode, and allow your cursor (or arrow) and page keys to scroll up and down the text buffer. Enter settles you back to the end, allowing quick access to whatever just happened in that specific task windows while you were away.\r\n</p>\r\n<p>\r\nThis has been an introduction to advanced terminal usage, brought to you by Jon Doe.\r\n</p>\r\n<p>\r\nAnd for those NPR nerds out there, \"This is HPR, Hacker Public Radio\"\r\n</p>\r\n<p>\r\n<a href=\"https://byobu.co/\">https://byobu.co/</a>\r\n</p>',324,0,1,'CC-BY-SA','byobu, bash, terminal, ssh, remote, linux',0,0,1),
(1971,'2016-02-22','BlinkStick',1080,'The BlinkStick is a small USB device with an RGB LED which you can build yourself','<h1 id=\"blinkstick\">BlinkStick</h1>\r\n<h2 id=\"introduction\">Introduction</h2>\r\n<p>In late 2013 I noticed the local <a href=\"https://edinburghhacklab.com/\" title=\"Edinburgh Hacklab\">Edinburgh Hacklab</a> were offering soldering courses building a <a href=\"https://www.blinkstick.com/\" title=\"BlinkStick\"><em>BlinkStick</em></a>. I offered to sign my son Tim up to the next course since he wanted to learn to solder. He couldn\'t afford the time at that point, but we agreed to buy some <em>BlinkStick</em>s to build at home.</p>\r\n<p>This episode describes some of our experiences with building and using the device.</p>\r\n<p>The version we bought and built was the v1.0 release, since that and the <a href=\"https://www.blinkstick.com/products/blinkstick-pro\" title=\"BlinkStick Pro\"><em>BlinkStick Pro</em></a> were all that was available. The base version now available is v1.1, and there are several other products available from the manufacturer in addition to these. The company is called Agile Innovative Ltd, based in the UK.</p>\r\n<p>I have written out a moderately long set of notes about this subject and these are available here <a href=\"https://hackerpublicradio.org/eps/hpr1971/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1971/full_shownotes.html</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Edinburgh Hacklab: <a href=\"https://edinburghhacklab.com/\" class=\"uri\">https://edinburghhacklab.com/</a></li>\r\n<li>BlinkStick website: <a href=\"https://www.blinkstick.com/\" class=\"uri\">https://www.blinkstick.com/</a></li>\r\n<li>BlinkStick Pro: <a href=\"https://www.blinkstick.com/products/blinkstick-pro\" class=\"uri\">https://www.blinkstick.com/products/blinkstick-pro</a></li>\r\n<li>Build instructions for BlinkStick v1.0: <a href=\"https://www.blinkstick.com/help/build-1-0\" class=\"uri\">https://www.blinkstick.com/help/build-1-0</a></li>\r\n<li>BlinkStick Software: <a href=\"https://github.com/arvydas\" class=\"uri\">https://github.com/arvydas</a></li>\r\n<li>BlinkStick Tutorials: <a href=\"https://www.blinkstick.com/help/tutorials\" class=\"uri\">https://www.blinkstick.com/help/tutorials</a></li>\r\n<li>BlinkStick Python Wiki: <a href=\"https://github.com/arvydas/blinkstick-python/wiki\" class=\"uri\">https://github.com/arvydas/blinkstick-python/wiki</a></li>\r\n<li>My <code>cronjob_scrape</code> script: <a href=\"https://gitlab.com/davmo/hprmisc/blob/master/cronjob_scrape\" class=\"uri\">https://gitlab.com/davmo/hprmisc/blob/master/cronjob_scrape</a></li>\r\n<li>Adafruit NeoPixel ring: <a href=\"https://www.adafruit.com/products/1586\" class=\"uri\">https://www.adafruit.com/products/1586</a></li>\r\n</ul>\r\n',225,103,1,'CC-BY-SA','BlinkStick,electronics,soldering,RGB LED,Integrated circuit',0,0,1),
(1969,'2016-02-18','Horrors of Spam (and the Greater Horror of filtering it)',917,'In this Episode we will cover the Horror that is spam, and the great horror of filtering it.','<p>\r\nSpam Filtering isn\'t magic.  A lot of work goes into helping keep your inbox clean, but there is still more hosting providers could do.</p>\r\n',174,0,0,'CC-BY-SA','Spam, Spam Filtering, Hosting Providers',0,0,1),
(1972,'2016-02-23','How I got into Linux',1224,'My first podcast. Me rambling about how I got into Linux.','<p>\r\nI will apologize now for some of the rough sound. This was recorded on a very old Sony tape recorder (all I had at the time). Hopefully, the tape hiss will cover up some of my Kentucky accent. Or vice versa. Whatever. This is the saga of me. And Linux. \r\n</p>',325,29,1,'CC-BY-SA','Sony tape recorder,RedHat Linux,Enlightenment E16,dial-up,Mandrake,Debian,Icepack Linux,Slackware,Linux Mint,CrunchBang,OpenBSD',0,0,1),
(1977,'2016-03-01','What\'s In My Bag',914,'EDC/Gear I carry/use','<p>Links to the gear I mention -</p>\r\n<ul>\r\n<li><p>3V Velox II - <a href=\"https://3vgear.com/index.php/packs-and-bags/3v-gear-velox-ii-tactical-assault-pack.html\" class=\"uri\">https://3vgear.com/index.php/packs-and-bags/3v-gear-velox-ii-tactical-assault-pack.html</a></p></li>\r\n<li><p>SOG Powerlock EOD - <a href=\"https://www.sogknives.com/everyday-carry/multi-tools/powerlock-eod-black-oxide.html\" class=\"uri\">https://www.sogknives.com/everyday-carry/multi-tools/powerlock-eod-black-oxide.html</a></p></li>\r\n<li><p>Mini ALICE Pack - <a href=\"https://www.amazon.com/G-I-TYPE-CANVAS-ALICE-PACKS/dp/B000Q7E698/ref=sr_1_1?ie=UTF8&amp;qid=1454647425&amp;sr=8-1&amp;keywords=mini+ALICE+pack\" class=\"uri\">https://www.amazon.com/G-I-TYPE-CANVAS-ALICE-PACKS/dp/B000Q7E698/ref=sr_1_1?ie=UTF8&amp;qid=1454647425&amp;sr=8-1&amp;keywords=mini+ALICE+pack</a></p></li>\r\n<li><p>Engineers Field Bag - <a href=\"https://www.amazon.com/Rothco-Black-M-51-Engineers-Bag/dp/B000YV6Q58/ref=sr_1_1?ie=UTF8&amp;qid=1454647462&amp;sr=8-1&amp;keywords=engineers+field+bag\" class=\"uri\">https://www.amazon.com/Rothco-Black-M-51-Engineers-Bag/dp/B000YV6Q58/ref=sr_1_1?ie=UTF8&amp;qid=1454647462&amp;sr=8-1&amp;keywords=engineers+field+bag</a></p></li>\r\n<li><p>The Pocket Ref - <a href=\"https://www.amazon.com/Pocket-Reference-Thomas-J-Glover/dp/1885071000\" class=\"uri\">https://www.amazon.com/Pocket-Reference-Thomas-J-Glover/dp/1885071000</a></p></li>\r\n<li><p>Stanley Pocket Screwdriver - <a href=\"https://www.amazon.com/Stanley-66-344-4-in-1-Pocket-Screwdriver/dp/B0014KMDZ0\" class=\"uri\">https://www.amazon.com/Stanley-66-344-4-in-1-Pocket-Screwdriver/dp/B0014KMDZ0</a></p></li>\r\n<li><p>Dell Latitude E6500 - <a href=\"https://www.dell.com/us/dfb/p/latitude-e6500/pd\" class=\"uri\">https://www.dell.com/us/dfb/p/latitude-e6500/pd</a></p></li>\r\n<li><p>Motorola Nexus 6 - <a href=\"https://www.motorola.com/us/smartphones/nexus-6/nexus-6-motorola-us.html\" class=\"uri\">https://www.motorola.com/us/smartphones/nexus-6/nexus-6-motorola-us.html</a></p></li>\r\n<li><p>Thermos - <a href=\"https://www.thermos.com/products/vacuum-insulated-40-oz-stainless-king-beverage-bottle.aspx\" class=\"uri\">https://www.thermos.com/products/vacuum-insulated-40-oz-stainless-king-beverage-bottle.aspx</a></p></li>\r\n</ul>',325,23,1,'CC-BY-SA','Velox,multi-tool,Pocket Reference,screwdriver,Thermos',0,0,1),
(1970,'2016-02-19','How I got started with Linux',1665,'I talk at length about how I got started with Linux','<p>\r\nThis story begins at the beginning of 2010.&nbsp; I was broke at the time so I was trying to find a free operating system. I needed something I could run on my PC’s at home. I had searched on the Internet, but found nothing useful for a long time. But one day &nbsp;I was at Barnes and Noble and I saw a magazine for <a class=\"zem_slink\" title=\"Linux\" href=\"https://www.zdnet.com/topics/linux?tag=header;header-sec\" rel=\"zdnet\" target=\"_blank\">Linux</a>. (While I had heard of linux before I never thought of it as something I would ever be able to use.) When I asked people who I knew were computer professionals, I was told it was for people that were experts, and difficult to use. I never heard anything positive about it. I am so amazed that I hadn’t came across it sooner.</p>\r\n<p>When I read the magazine I became exposed to <a class=\"zem_slink\" title=\"Ubuntu (operating system)\" href=\"https://www.ubuntu.com\" rel=\"homepage\" target=\"_blank\">Ubuntu</a> 9.10. &nbsp;Karmic Koala. It sounded so good, as if it was exactly what I was looking for. As a result, I got very excited took it home, and to my surprise had such an easy time installing it to my PC that I decided to run it&nbsp;along with&nbsp;Windows&nbsp;XP as a <a class=\"zem_slink\" title=\"Multi boot\" href=\"https://en.wikipedia.org/wiki/Multi_boot\" rel=\"wikipedia\" target=\"_blank\">dual boot</a> system. All I did was put the <a class=\"zem_slink\" title=\"Live CD\" href=\"https://en.wikipedia.org/wiki/Live_CD\" rel=\"wikipedia\" target=\"_blank\">live CD</a> in the drive and the&nbsp;instructions&nbsp;were step by step you would have to be pretty slow to not get how to set things up.</p>\r\n<p>Since then I have been very satisfied with Ubuntu in general and I have been able to check out later versions of it such as 10.04 (Maverick Meerkat) and 10.10 Lucid Lynx. I am looking forward to 11.04 Natty Narwhal for how it integrates multi-touch even more than 10.04.&nbsp; This experience just goes to show once again how I&nbsp; manage to find the coolest&nbsp;stuff&nbsp;by&nbsp;accident.</p>\r\n<p>I will keep you posted on how I learn and grow with the different distros available so keep posted.</p>\r\n<p>Read more:&nbsp;<a href=\"https://computersight.com/operating-systems/windows/how-i-got-started-with-linux/#ixzz1aPlfhqoa\">https://computersight.com/operating-systems/windows/how-i-got-started-with-linux/#ixzz1aPlfhqoa</a>\r\n</p>',297,29,0,'CC-BY-SA','linux',0,0,1),
(1973,'2016-02-24','Free/Libre/Vrije Software: The Goal and the Path',6929,'A presentation given by Richard Stallman as part of FOSDEM fringe.','<p>\r\n<strong>NOTE for mp3 subscribers:</strong> On the request of RMS, we are not distributing this show in mp3 format. \r\n</p>\r\n\r\n<p>\r\nThis is a live recording of the presentation given by Richard Stallman as part of FOSDEM fringe. It was recorded at Auditorium D0.03, Campus Etterbeek, Vrije Universiteit Brussel, Pleinlaan 2, 1050 Ixelles, Belgium on Jan 29, 2016. You may remember that <a href=\"https://hackerpublicradio.org/correspondents/0128.html\">pokey</a> interviewed Richard Stallman in episode hpr1116 (<a href=\"https://hackerpublicradio.org/eps.php?id=1116\">https://hackerpublicradio.org/eps.php?id=1116</a>)\r\n</p>\r\n\r\n<p>\r\nThe slides for the presentation are available at <a href=\"https://static.fsf.org/nosvn/RMS_Intro_to_FS_TEDx_Slideshow.odp\">https://static.fsf.org/nosvn/RMS_Intro_to_FS_TEDx_Slideshow.odp</a>\r\n</p>\r\n\r\n\r\n<blockquote cite=\"https://en.wikipedia.org/wiki/Richard_Stallman\">\r\nRichard Matthew Stallman (born March 16, 1953), often known by his initials, rms,[1] is a software freedom activist and computer programmer. He campaigns for software to be distributed in a manner such that its users receive the freedoms to use, study, distribute and modify that software. Software that ensures these freedoms is termed free software. Stallman launched the GNU Project, founded the Free Software Foundation, developed the GNU Compiler Collection and GNU Emacs, and wrote the GNU General Public License.\r\n<br />\r\nStallman launched the GNU Project in September 1983 to create a Unix-like computer operating system composed entirely of free software. With this, he also launched the free software movement. He has been the GNU project\'s lead architect and organizer, and developed a number of pieces of widely used GNU software including, among others, the GNU Compiler Collection, the GNU Debugger and the GNU Emacs text editor. In October 1985 he founded the Free Software Foundation.\r\n<br />\r\nStallman pioneered the concept of copyleft, which uses the principles of copyright law to preserve the right to use, modify and distribute free software, and is the main author of free software licenses which describe those terms, most notably the GNU General Public License (GPL), the most widely used free software license.\r\n<br />\r\nIn 1989 he co-founded the League for Programming Freedom. Since the mid-1990s, Stallman has spent most of his time advocating for free software, as well as campaigning against software patents, digital rights management, and other legal and technical systems which he sees as taking away users\' freedoms, including software license agreements, non-disclosure agreements, activation keys, dongles, copy restriction, proprietary formats and binary executables without source code.\r\n<br />\r\nAs of 2014, he has received fifteen honorary doctorates and professorships.\r\n\r\n</blockquote>',30,0,0,'CC-BY-SA','RMS, GNU, Four freedoms',0,0,1),
(1974,'2016-02-25','Ubuntu Community donations, Governance and Hardware',1598,'In general I was feeling bad about how donations work with Ubuntu','<p>\r\nI went to <a href=\"https://Ubuntu.com\">https://Ubuntu.com</a> - <a href=\"https://Xubuntu.org\">https://Xubuntu.org</a>, <a href=\"https://getfedora.org/\">https://getfedora.org/</a> and <a href=\"https://www.opensuse.org/\">https://www.opensuse.org/</a> to see how donations with the linux vendors worked.\r\n</p>\r\n<p>\r\nThe only one that I found was non profit was debain.  It a real nonprofit certification in the USA.\r\n</p>',129,0,0,'CC-BY-SA','donations,Ubuntu,Xubuntu,Fedora,OpenSUSE,Debian',0,0,1),
(1975,'2016-02-26','Interview With An Android App Developer',829,'Sigflup here and holy crud it turns out my brother in law is an android developer','<p>\r\nIt\'s Christmas time and sigflup is spending time interviewing Dillon, who\'s an android developer.\r\n</p>',115,78,1,'CC-BY-SA','interview,android',0,0,1),
(1979,'2016-03-03','How to Make Perfect Steel-Cut Oats',630,'I explain how to make the perfect tasty, nutritious breakfast in a slow cooker','<h2>How to Make Perfect Steel-Cut Oats</h2>\r\n\r\n<p><a href=\"https://en.wikipedia.org/wiki/Steel-cut_oats\">Steel-Cut oats</a> are amazingly good—delicious and nutritious—but they\'re kind of a pain to cook because they\'re so hard and require so much simmering. It can take up to 30 minutes to cook them on the stove top and you have to stir constantly to make sure they don\'t boil over or stick to the pan. I tried doing them in a rice maker and in the microwave, neither of which turned out well. Then I tried the <a href=\"https://en.wikipedia.org/wiki/Slow_cooker\">slow cooker</a> and found that this is the perfect way to make steel-cut oats exactly right every time with hardly any effort.</p>\r\n\r\n<h2>Ingredients</h2>\r\n\r\n<ul>\r\n	<li>Steel-cut oats </li>\r\n	<li>Water (4-to-1 water-to-oats ratio)</li>\r\n	<li>Salt (¼ teaspoon for each ¼ c. oats)</li>\r\n	<li>Pure maple syrup to taste </li>\r\n	<li>Butter to taste</li>\r\n</ul>\r\n\r\n<h2>Instructions</h2>\r\n\r\n<p>Just put all the ingredients in the slow cooker and cook on 200 degrees Fahrenheit for about 4 hours. The water and oats should be combined in a 4 to 1 ratio. When I make this using American measurements, I used 1 Cup water for each ¼ cup of oats. In the metric system this is about 240 ml water for each 40 grams of oats.</p>\r\n\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li><a href=\"https://en.wikipedia.org/wiki/Slow_cooker\">About Slow Cookers</a></li>\r\n	<li>Example of a <a href=\"https://www.amazon.com/Intermatic-TN111K-15-Amp-Appliance-Timer/dp/B00LBHBLEU\">Light Timer</a></li>\r\n	<li>About <a href=\"https://en.wikipedia.org/wiki/Steel-cut_oats\">Steel-Cut oats</a></li>\r\n</ul>\r\n',238,93,0,'CC-BY-SA','oatmeal, breakfast, cooking, slow cooker, oats, steel-cut oats',0,0,1),
(1985,'2016-03-11','Fixing Bug 1092571',212,'Cant mount drive with cifs but can with kioslave smb','<p>\r\nAfter a windows server upgrade in work, I was no longer able to mount samba network drives from my laptop. Basically it boils down to not been able to mount drives on the console, but been able to browse them in the GUI. After investigating and trying all the options presented, I filed a bug with Fedora.<br />\r\n<a href=\"https://bugzilla.redhat.com/show_bug.cgi?id=1092571\">https://bugzilla.redhat.com/show_bug.cgi?id=1092571</a>\r\n</p>\r\n<p>\r\nDespite filling in all the information, the bug remained untouched by human hands. Robots shut it, I reopened it. To be honest I thought it might be my set-up as nobody else was reporting it as an issue. Sure there were other people reporting problems but not attached to this bug.\r\n</p>\r\n<p>\r\nAnyway I happened to be at FOSDEM (<a href=\"https://hackerpublicradio.org/series/0089.html\">https://hackerpublicradio.org/series/0089.html</a>) and spotted Jeremy Allison from the SAMBA project who I had the pleasure of interviewing previously <a href=\"https://hackerpublicradio.org/eps.php?id=1451\">https://hackerpublicradio.org/eps.php?id=1451</a>).\r\n</p>\r\n<p>\r\nJeremy was immediately able to pinpoint the issue to the kernel probably only supporting SMB version 1, while user space uses libsmbclient that supports smb1/smb2.\r\n</p>',30,0,0,'CC-BY-SA','samba, smb1, smb2, /etc/fstab',0,0,1),
(1978,'2016-03-02','Ultra High Vacuum: loading samples',162,'A short overview of how to load a sample into UHV (ultra high vacuum)','<p>\r\nI hope this is the correct version of my introduction to Ultra high vacuum systems and loading samples. \r\n</p>\r\n<p>\r\nPlease consult with a professional before using nitrogen and ultra high vacuum system.\r\n</p>\r\n<p>\r\nNitrogen is dangerous in close environments as it displaces oxygen so please consult the health and safety risks. \r\n</p>\r\n',301,0,1,'CC-BY-SA','Ultra high vacuum,nitrogen',0,0,1),
(2221,'2017-02-06','HPR Community News for January 2017',5117,'HPR Volunteers talk about shows released and comments posted in January 2017','\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0348.html\" target=\"_blank\">Reg A</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0349.html\" target=\"_blank\">\"Hannah, of Terra, of Sol\"</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2196\" target=\"_blank\">2196</a></strong></td>\n    <td>Mon</td>\n    <td>2017-01-02</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2196\" target=\"_blank\">HPR Community News for December 2016</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2197\" target=\"_blank\">2197</a></strong></td>\n    <td>Tue</td>\n    <td>2017-01-03</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2197\" target=\"_blank\">Why you should not say Free Software</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2198\" target=\"_blank\">2198</a></strong></td>\n    <td>Wed</td>\n    <td>2017-01-04</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2198\" target=\"_blank\">How awesome is Guix and why will it take over the world</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2199\" target=\"_blank\">2199</a></strong></td>\n    <td>Thu</td>\n    <td>2017-01-05</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2199\" target=\"_blank\">Replacing the Throttle Position Sensor on My Truck</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2200\" target=\"_blank\">2200</a></strong></td>\n    <td>Fri</td>\n    <td>2017-01-06</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2200\" target=\"_blank\">Episode one of the future of free software series</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0344.html\" target=\"_blank\">spaceman</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2201\" target=\"_blank\">2201</a></strong></td>\n    <td>Mon</td>\n    <td>2017-01-09</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2201\" target=\"_blank\">Matthew \"Lord Drachenblut\" Williams</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2202\" target=\"_blank\">2202</a></strong></td>\n    <td>Tue</td>\n    <td>2017-01-10</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2202\" target=\"_blank\">Makers on YouTube</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2203\" target=\"_blank\">2203</a></strong></td>\n    <td>Wed</td>\n    <td>2017-01-11</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2203\" target=\"_blank\">NOT SO SMART</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2204\" target=\"_blank\">2204</a></strong></td>\n    <td>Thu</td>\n    <td>2017-01-12</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2204\" target=\"_blank\">MASSCAN</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2205\" target=\"_blank\">2205</a></strong></td>\n    <td>Fri</td>\n    <td>2017-01-13</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2205\" target=\"_blank\">Quick Tips Roomba and silicone Packets</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2206\" target=\"_blank\">2206</a></strong></td>\n    <td>Mon</td>\n    <td>2017-01-16</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2206\" target=\"_blank\">Podcasts I Listen To</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0348.html\" target=\"_blank\">Reg A</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2207\" target=\"_blank\">2207</a></strong></td>\n    <td>Tue</td>\n    <td>2017-01-17</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2207\" target=\"_blank\">NATO phonetic alphabet</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0349.html\" target=\"_blank\">Hannah, of Terra, of Sol</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2208\" target=\"_blank\">2208</a></strong></td>\n    <td>Wed</td>\n    <td>2017-01-18</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2208\" target=\"_blank\">Kayak Camping</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0001.html\" target=\"_blank\">droops</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2209\" target=\"_blank\">2209</a></strong></td>\n    <td>Thu</td>\n    <td>2017-01-19</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2209\" target=\"_blank\">Calibre eBook Server</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2210\" target=\"_blank\">2210</a></strong></td>\n    <td>Fri</td>\n    <td>2017-01-20</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2210\" target=\"_blank\">On Freedom of Speech and Censorship</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2211\" target=\"_blank\">2211</a></strong></td>\n    <td>Mon</td>\n    <td>2017-01-23</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2211\" target=\"_blank\">My podcast workflow</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2212\" target=\"_blank\">2212</a></strong></td>\n    <td>Tue</td>\n    <td>2017-01-24</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2212\" target=\"_blank\">meanderings Cyberpunk and the Minidisc</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0110.html\" target=\"_blank\">Quvmoh</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2213\" target=\"_blank\">2213</a></strong></td>\n    <td>Wed</td>\n    <td>2017-01-25</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2213\" target=\"_blank\">Clay Body</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0329.html\" target=\"_blank\">brian</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2214\" target=\"_blank\">2214</a></strong></td>\n    <td>Thu</td>\n    <td>2017-01-26</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2214\" target=\"_blank\">Upgrading Vehicle Lights From Halogen to LED</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2215\" target=\"_blank\">2215</a></strong></td>\n    <td>Fri</td>\n    <td>2017-01-27</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2215\" target=\"_blank\">Kickstarte Omega2 Plus first time setup walkthrough.</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0096.html\" target=\"_blank\">Jrullo</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2216\" target=\"_blank\">2216</a></strong></td>\n    <td>Mon</td>\n    <td>2017-01-30</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2216\" target=\"_blank\">Working AO-85 with my son</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0241.html\" target=\"_blank\">Christopher M. Hobbs</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2217\" target=\"_blank\">2217</a></strong></td>\n    <td>Tue</td>\n    <td>2017-01-31</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2217\" target=\"_blank\">building a new voice input device</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0243.html\" target=\"_blank\">Jezra</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available in the archives run\nexternally by <a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\n(see below) and on the HPR server under <a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p><em>Note: since the summer of 2016 Gmane has changed location and is currently\nbeing reestablished. At the moment the HPR archive is not available there.</em></p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-January/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-January/thread.html</a>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 51 comments in total.</p>\n<p>There are 11 comments on\n8 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2061#comments\" target=\"_blank\">hpr2061</a></strong>\n(2016-06-27) \"<em>Handwriting</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0001.html\" target=\"_blank\">droops</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2061#4\" target=\"_blank\">Comment 4</a>:\nm1rr0r5h4d35 on 2017-01-01:\n\"Thanks for sharing!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2159#comments\" target=\"_blank\">hpr2159</a></strong>\n(2016-11-10) \"<em>Coup Tabletop Game</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2159#1\" target=\"_blank\">Comment 1</a>:\nnondescript on 2017-01-11:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2182#comments\" target=\"_blank\">hpr2182</a></strong>\n(2016-12-13) \"<em>why say GNU/Linux ?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0344.html\" target=\"_blank\">spaceman</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2182#16\" target=\"_blank\">Comment 16</a>:\nFSA on 2017-01-11:\n\"Some language is more offensive than others\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2189#comments\" target=\"_blank\">hpr2189</a></strong>\n(2016-12-22) \"<em>Working Amateur Radio Satellites</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0241.html\" target=\"_blank\">Christopher M. Hobbs</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2189#2\" target=\"_blank\">Comment 2</a>:\nMichael on 2017-01-02:\n\"Additional links\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2190#comments\" target=\"_blank\">hpr2190</a></strong>\n(2016-12-23) \"<em>fucking botnets how do they work?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0344.html\" target=\"_blank\">spaceman</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2190#1\" target=\"_blank\">Comment 1</a>:\nVictor O on 2017-01-09:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2190#2\" target=\"_blank\">Comment 2</a>:\nVictor O on 2017-01-09:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2192#comments\" target=\"_blank\">hpr2192</a></strong>\n(2016-12-27) \"<em>Fun with Oscilloscopes</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2192#2\" target=\"_blank\">Comment 2</a>:\nclacke on 2017-01-02:\n\"Bubble sort!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2193#comments\" target=\"_blank\">hpr2193</a></strong>\n(2016-12-28) \"<em>a clean podcast with no swearing</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0344.html\" target=\"_blank\">spaceman</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2193#4\" target=\"_blank\">Comment 4</a>:\nAConcernedListener on 2017-01-03:\n\"Say what ever you want the way you want.\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2193#5\" target=\"_blank\">Comment 5</a>:\ngws on 2017-01-05:\n\"no such thing as knowledge transfer\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2194#comments\" target=\"_blank\">hpr2194</a></strong>\n(2016-12-29) \"<em>The low-down on what\'s up in the Taiwan Strait.</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2194#6\" target=\"_blank\">Comment 6</a>:\nKevin O&#39;Brien on 2017-01-02:\n\"Excellent show!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2194#7\" target=\"_blank\">Comment 7</a>:\nVictor O on 2017-01-09:\"[no title]\"</li></ul><br/>\n</li></ul>\n<p>There are 40 comments on 12 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2197#comments\" target=\"_blank\">hpr2197</a></strong>\n(2017-01-03) \"<em>Why you should not say Free Software</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2197#1\" target=\"_blank\">Comment 1</a>:\nsapceman on 2016-12-28:\n\"what about freedom?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2197#2\" target=\"_blank\">Comment 2</a>:\nmcnalu on 2017-01-03:\n\"Language has a life of its own\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2197#3\" target=\"_blank\">Comment 3</a>:\nbrian on 2017-01-03:\n\"liberty\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2197#4\" target=\"_blank\">Comment 4</a>:\nKen Fallon on 2017-01-04:\n\"Replies\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2198#comments\" target=\"_blank\">hpr2198</a></strong>\n(2017-01-04) \"<em>How awesome is Guix and why will it take over the world</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2198#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2016-12-31:\n\"Correction: 8Sync 0.3!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2198#2\" target=\"_blank\">Comment 2</a>:\nbrian on 2017-01-03:\n\"please more\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2198#3\" target=\"_blank\">Comment 3</a>:\nJonas on 2017-01-04:\n\"Interesting!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2198#4\" target=\"_blank\">Comment 4</a>:\nclacke on 2017-01-05:\n\"Slides\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2198#5\" target=\"_blank\">Comment 5</a>:\nclacke on 2017-01-05:\n\"Everyday package operations\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2198#6\" target=\"_blank\">Comment 6</a>:\nBiasOpinion on 2017-01-13:\n\"Working Programmer\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2199#comments\" target=\"_blank\">hpr2199</a></strong>\n(2017-01-05) \"<em>Replacing the Throttle Position Sensor on My Truck</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2199#1\" target=\"_blank\">Comment 1</a>:\nNYbill on 2017-01-05:\n\"When is the new truck?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2199#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2017-01-06:\n\"Nooooo...\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2199#3\" target=\"_blank\">Comment 3</a>:\nJonathan Kulp on 2017-01-06:\n\"Just getting started\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2201#comments\" target=\"_blank\">hpr2201</a></strong>\n(2017-01-09) \"<em>Matthew \"Lord Drachenblut\" Williams</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2201#1\" target=\"_blank\">Comment 1</a>:\ndroops on 2017-01-10:\n\"Drachenblut\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2202#comments\" target=\"_blank\">hpr2202</a></strong>\n(2017-01-10) \"<em>Makers on YouTube</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2202#1\" target=\"_blank\">Comment 1</a>:\nm1rr0r5h4d35 on 2017-01-09:\n\"Awesome suggestions\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2202#2\" target=\"_blank\">Comment 2</a>:\nVictor O on 2017-01-10:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2202#3\" target=\"_blank\">Comment 3</a>:\ndodddummy on 2017-01-11:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2206#comments\" target=\"_blank\">hpr2206</a></strong>\n(2017-01-16) \"<em>Podcasts I Listen To</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0348.html\" target=\"_blank\">Reg A</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2206#1\" target=\"_blank\">Comment 1</a>:\npauleb on 2017-01-17:\n\"Update on Linux Luddites\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2206#2\" target=\"_blank\">Comment 2</a>:\nreg a on 2017-01-17:\n\"Linux Luddites Update Info\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2207#comments\" target=\"_blank\">hpr2207</a></strong>\n(2017-01-17) \"<em>NATO phonetic alphabet</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0349.html\" target=\"_blank\">Hannah, of Terra, of Sol</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2207#1\" target=\"_blank\">Comment 1</a>:\nWindigo on 2017-01-20:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2207#2\" target=\"_blank\">Comment 2</a>:\nClinton Roy on 2017-01-21:\n\"Thanks!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2207#3\" target=\"_blank\">Comment 3</a>:\ndodddummy on 2017-01-26:\n\"We called it fife, not five\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2208#comments\" target=\"_blank\">hpr2208</a></strong>\n(2017-01-18) \"<em>Kayak Camping</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0001.html\" target=\"_blank\">droops</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2208#1\" target=\"_blank\">Comment 1</a>:\nMongo on 2017-01-19:\n\"Camping the right way\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2208#2\" target=\"_blank\">Comment 2</a>:\ndroops on 2017-01-19:\n\"Thanks\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2208#3\" target=\"_blank\">Comment 3</a>:\nKen Fallon on 2017-01-19:\n\"Another vacation destination\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2208#4\" target=\"_blank\">Comment 4</a>:\ndroops on 2017-01-19:\n\"Vacation Destination?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2208#5\" target=\"_blank\">Comment 5</a>:\nJonathan Kulp  on 2017-01-20:\n\"Not a camper\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2209#comments\" target=\"_blank\">hpr2209</a></strong>\n(2017-01-19) \"<em>Calibre eBook Server</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2209#1\" target=\"_blank\">Comment 1</a>:\ndodddummy on 2017-01-21:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2209#2\" target=\"_blank\">Comment 2</a>:\nJonathan Kulp on 2017-01-21:\n\"Ports\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2209#3\" target=\"_blank\">Comment 3</a>:\ndodddummy on 2017-01-22:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2210#comments\" target=\"_blank\">hpr2210</a></strong>\n(2017-01-20) \"<em>On Freedom of Speech and Censorship</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2210#1\" target=\"_blank\">Comment 1</a>:\ndroops on 2017-01-22:\n\"Well Said\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2210#2\" target=\"_blank\">Comment 2</a>:\nBill Miller on 2017-01-23:\n\"Hello\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2212#comments\" target=\"_blank\">hpr2212</a></strong>\n(2017-01-24) \"<em>meanderings Cyberpunk and the Minidisc</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0110.html\" target=\"_blank\">Quvmoh</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2212#1\" target=\"_blank\">Comment 1</a>:\nBill Miller on 2017-01-26:\n\"Great show\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2212#2\" target=\"_blank\">Comment 2</a>:\nQuvmoh on 2017-01-27:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2214#comments\" target=\"_blank\">hpr2214</a></strong>\n(2017-01-26) \"<em>Upgrading Vehicle Lights From Halogen to LED</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2214#1\" target=\"_blank\">Comment 1</a>:\nSteve on 2017-01-26:\n\"What about the blinkers?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2214#2\" target=\"_blank\">Comment 2</a>:\nClinton Roy on 2017-01-26:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2214#3\" target=\"_blank\">Comment 3</a>:\nJonathan Kulp on 2017-01-27:\n\"Probably not \"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2214#4\" target=\"_blank\">Comment 4</a>:\nJonathan Kulp on 2017-01-27:\n\"Blinkers\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2214#5\" target=\"_blank\">Comment 5</a>:\nKen Fallon on 2017-01-27:\n\"Smokin&#39; hot CANbus LED lamps. (230C in open air.)\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2214#6\" target=\"_blank\">Comment 6</a>:\nJonathan Kulp on 2017-01-27:\n\"Yikes\"</li></ul><br/>\n</li></ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2241,'2017-03-06','HPR Community News for February 2017',2099,'HPR Volunteers talk about shows released and comments posted in February 2017','\n<h2>New hosts</h2>\n<p>\nThere were no new hosts this month.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2218\" target=\"_blank\">2218</a></strong></td>\n    <td>Wed</td>\n    <td>2017-02-01</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2218\" target=\"_blank\">Cool Stuff pt. 5</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0252.html\" target=\"_blank\">Curtis Adkins (CPrompt^)</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2219\" target=\"_blank\">2219</a></strong></td>\n    <td>Thu</td>\n    <td>2017-02-02</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2219\" target=\"_blank\">The Musings of a Novice Cable TV Cord Cutter</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0348.html\" target=\"_blank\">Reg A</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2220\" target=\"_blank\">2220</a></strong></td>\n    <td>Fri</td>\n    <td>2017-02-03</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2220\" target=\"_blank\">Taking apart a tablet</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0257.html\" target=\"_blank\">laindir</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2221\" target=\"_blank\">2221</a></strong></td>\n    <td>Mon</td>\n    <td>2017-02-06</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2221\" target=\"_blank\">HPR Community News for January 2017</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2222\" target=\"_blank\">2222</a></strong></td>\n    <td>Tue</td>\n    <td>2017-02-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2222\" target=\"_blank\">FOSDEM 2017 K (level 1, group A)</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2223\" target=\"_blank\">2223</a></strong></td>\n    <td>Wed</td>\n    <td>2017-02-08</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2223\" target=\"_blank\">FOSDEM 2017 K (level 1, group B and C)</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2224\" target=\"_blank\">2224</a></strong></td>\n    <td>Thu</td>\n    <td>2017-02-09</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2224\" target=\"_blank\">FOSDEM 2017 K (level 2 Stands 1 to 9)</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2225\" target=\"_blank\">2225</a></strong></td>\n    <td>Fri</td>\n    <td>2017-02-10</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2225\" target=\"_blank\">FOSDEM 2017 K (level 2 Stands 10 to 19)</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2226\" target=\"_blank\">2226</a></strong></td>\n    <td>Mon</td>\n    <td>2017-02-13</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2226\" target=\"_blank\">FOSDEM 2017 AW Building</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2227\" target=\"_blank\">2227</a></strong></td>\n    <td>Tue</td>\n    <td>2017-02-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2227\" target=\"_blank\">FOSDEM 2017 H Building and the Hallway track</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2228\" target=\"_blank\">2228</a></strong></td>\n    <td>Wed</td>\n    <td>2017-02-15</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2228\" target=\"_blank\">linux.conf.au 2017: Russell Keith-Magee</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2229\" target=\"_blank\">2229</a></strong></td>\n    <td>Thu</td>\n    <td>2017-02-16</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2229\" target=\"_blank\">linux.conf.au 2017: Kathy Reid</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2230\" target=\"_blank\">2230</a></strong></td>\n    <td>Fri</td>\n    <td>2017-02-17</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2230\" target=\"_blank\">linux.conf.au 2017: Donna Benjamin</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2231\" target=\"_blank\">2231</a></strong></td>\n    <td>Mon</td>\n    <td>2017-02-20</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2231\" target=\"_blank\">linux.conf.au 2017: Rusty Russell</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2232\" target=\"_blank\">2232</a></strong></td>\n    <td>Tue</td>\n    <td>2017-02-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2232\" target=\"_blank\">linux.conf.au 2017: Lilly Ryan</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2233\" target=\"_blank\">2233</a></strong></td>\n    <td>Wed</td>\n    <td>2017-02-22</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2233\" target=\"_blank\">linux.conf.au 2017: Hugh Blemmings</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2234\" target=\"_blank\">2234</a></strong></td>\n    <td>Thu</td>\n    <td>2017-02-23</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2234\" target=\"_blank\">linux.conf.au 2017: Richard Jones</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2235\" target=\"_blank\">2235</a></strong></td>\n    <td>Fri</td>\n    <td>2017-02-24</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2235\" target=\"_blank\">linux.conf.au 2017: First timers interviews</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2236\" target=\"_blank\">2236</a></strong></td>\n    <td>Mon</td>\n    <td>2017-02-27</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2236\" target=\"_blank\">Hoarding Raspberry Pis</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2237\" target=\"_blank\">2237</a></strong></td>\n    <td>Tue</td>\n    <td>2017-02-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2237\" target=\"_blank\">Do you care?</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0252.html\" target=\"_blank\">Curtis Adkins (CPrompt^)</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available in the archives run\nexternally by <a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\n(see below) and on the HPR server under <a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p><em>Note: since the summer of 2016 Gmane has changed location and is currently\nbeing reestablished. At the moment the HPR archive is not available there.</em></p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-February/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-February/thread.html</a>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 13 comments in total.</p>\n<p>There are 5 comments on\n5 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2198#comments\" target=\"_blank\">hpr2198</a></strong>\n(2017-01-04) \"<em>How awesome is Guix and why will it take over the world</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2198#7\" target=\"_blank\">Comment 7</a>:\nclacke on 2017-02-25:\n\"Video\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2202#comments\" target=\"_blank\">hpr2202</a></strong>\n(2017-01-10) \"<em>Makers on YouTube</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2202#4\" target=\"_blank\">Comment 4</a>:\nJim Weda on 2017-02-01:\n\"Treat list....\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2212#comments\" target=\"_blank\">hpr2212</a></strong>\n(2017-01-24) \"<em>meanderings Cyberpunk and the Minidisc</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0110.html\" target=\"_blank\">Quvmoh</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2212#3\" target=\"_blank\">Comment 3</a>:\nMatt on 2017-02-01:\n\"MiniDisc brought me here...\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2213#comments\" target=\"_blank\">hpr2213</a></strong>\n(2017-01-25) \"<em>Clay Body</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0329.html\" target=\"_blank\">brian</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2213#1\" target=\"_blank\">Comment 1</a>:\nbrian on 2017-02-09:\n\"a clarrification\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2216#comments\" target=\"_blank\">hpr2216</a></strong>\n(2017-01-30) \"<em>Working AO-85 with my son</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0241.html\" target=\"_blank\">Christopher M. Hobbs</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2216#1\" target=\"_blank\">Comment 1</a>:\nMichael (mirwi), DL4MGM on 2017-02-04:\n\"Doppler shift\"</li></ul><br/>\n</li></ul>\n<p>There are 8 comments on 6 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2220#comments\" target=\"_blank\">hpr2220</a></strong>\n(2017-02-03) \"<em>Taking apart a tablet</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0257.html\" target=\"_blank\">laindir</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2220#1\" target=\"_blank\">Comment 1</a>:\nAlpha32 on 2017-02-07:\n\"Oh man...\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2221#comments\" target=\"_blank\">hpr2221</a></strong>\n(2017-02-06) \"<em>HPR Community News for January 2017</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2221#1\" target=\"_blank\">Comment 1</a>:\nbrian on 2017-02-06:\n\"sorry\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2221#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2017-02-08:\n\"You did that unscripted ?\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2227#comments\" target=\"_blank\">hpr2227</a></strong>\n(2017-02-14) \"<em>FOSDEM 2017 H Building and the Hallway track</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2227#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2017-02-28:\n\"For the whole series\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2229#comments\" target=\"_blank\">hpr2229</a></strong>\n(2017-02-16) \"<em>linux.conf.au 2017: Kathy Reid</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2229#1\" target=\"_blank\">Comment 1</a>:\nGuido on 2017-02-16:\n\"Great to hear about the big picture\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2235#comments\" target=\"_blank\">hpr2235</a></strong>\n(2017-02-24) \"<em>linux.conf.au 2017: First timers interviews</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2235#1\" target=\"_blank\">Comment 1</a>:\nKevin O&#39;Brien on 2017-02-27:\n\"Great Interviews!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2236#comments\" target=\"_blank\">hpr2236</a></strong>\n(2017-02-27) \"<em>Hoarding Raspberry Pis</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2236#1\" target=\"_blank\">Comment 1</a>:\nsigflup on 2017-02-21:\n\"right on\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2236#2\" target=\"_blank\">Comment 2</a>:\njezra on 2017-02-27:\n\"Wonderful\"</li></ul><br/>\n</li></ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2261,'2017-04-03','HPR Community News for March 2017',4221,'HPR Volunteers talk about shows released and comments posted in March 2017','\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0350.html\" target=\"_blank\">BobJonkman</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0351.html\" target=\"_blank\">@einebiene</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2238\" target=\"_blank\">2238</a></strong></td>\n    <td>Wed</td>\n    <td>2017-03-01</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2238\" target=\"_blank\">Gnu Awk - Part 6</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2239\" target=\"_blank\">2239</a></strong></td>\n    <td>Thu</td>\n    <td>2017-03-02</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2239\" target=\"_blank\">making jerky</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0243.html\" target=\"_blank\">Jezra</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2240\" target=\"_blank\">2240</a></strong></td>\n    <td>Fri</td>\n    <td>2017-03-03</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2240\" target=\"_blank\">Amateur Radio Round Table</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2241\" target=\"_blank\">2241</a></strong></td>\n    <td>Mon</td>\n    <td>2017-03-06</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2241\" target=\"_blank\">HPR Community News for February 2017</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2242\" target=\"_blank\">2242</a></strong></td>\n    <td>Tue</td>\n    <td>2017-03-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2242\" target=\"_blank\">Interview with Colin J. Mills, organizer of KW Linuxfest</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0350.html\" target=\"_blank\">BobJonkman</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2243\" target=\"_blank\">2243</a></strong></td>\n    <td>Wed</td>\n    <td>2017-03-08</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2243\" target=\"_blank\">My Quick Tips E01</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2244\" target=\"_blank\">2244</a></strong></td>\n    <td>Thu</td>\n    <td>2017-03-09</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2244\" target=\"_blank\">building lineageOS</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0329.html\" target=\"_blank\">brian</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2245\" target=\"_blank\">2245</a></strong></td>\n    <td>Fri</td>\n    <td>2017-03-10</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2245\" target=\"_blank\">Managing tags on HPR episodes - 1</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2246\" target=\"_blank\">2246</a></strong></td>\n    <td>Mon</td>\n    <td>2017-03-13</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2246\" target=\"_blank\">My Custom RSS Comic and Security Feed</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2247\" target=\"_blank\">2247</a></strong></td>\n    <td>Tue</td>\n    <td>2017-03-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2247\" target=\"_blank\">HPR New Year show 1</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2248\" target=\"_blank\">2248</a></strong></td>\n    <td>Wed</td>\n    <td>2017-03-15</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2248\" target=\"_blank\">HPR New Year show episode 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2249\" target=\"_blank\">2249</a></strong></td>\n    <td>Thu</td>\n    <td>2017-03-16</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2249\" target=\"_blank\">HPR New Year show episode 3</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2250\" target=\"_blank\">2250</a></strong></td>\n    <td>Fri</td>\n    <td>2017-03-17</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2250\" target=\"_blank\">HPR New Year show episode 4</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2251\" target=\"_blank\">2251</a></strong></td>\n    <td>Mon</td>\n    <td>2017-03-20</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2251\" target=\"_blank\">HPR New Year show episode 5</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2252\" target=\"_blank\">2252</a></strong></td>\n    <td>Tue</td>\n    <td>2017-03-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2252\" target=\"_blank\">HPR New Year show episode 6</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2253\" target=\"_blank\">2253</a></strong></td>\n    <td>Wed</td>\n    <td>2017-03-22</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2253\" target=\"_blank\">How to make and use a stencil</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0351.html\" target=\"_blank\">@einebiene</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2254\" target=\"_blank\">2254</a></strong></td>\n    <td>Thu</td>\n    <td>2017-03-23</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2254\" target=\"_blank\">Introduction to Model Rocketry</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0334.html\" target=\"_blank\">Steve Saner</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2255\" target=\"_blank\">2255</a></strong></td>\n    <td>Fri</td>\n    <td>2017-03-24</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2255\" target=\"_blank\">The Good Ship HPR</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2256\" target=\"_blank\">2256</a></strong></td>\n    <td>Mon</td>\n    <td>2017-03-27</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2256\" target=\"_blank\">Modular Game Scaling</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0317.html\" target=\"_blank\">Eric Duhamel</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2257\" target=\"_blank\">2257</a></strong></td>\n    <td>Tue</td>\n    <td>2017-03-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2257\" target=\"_blank\">Watt OS</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2258\" target=\"_blank\">2258</a></strong></td>\n    <td>Wed</td>\n    <td>2017-03-29</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2258\" target=\"_blank\">Killer Keilbasa</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0346.html\" target=\"_blank\">Bill &quot;NFMZ1&quot; Miller</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2259\" target=\"_blank\">2259</a></strong></td>\n    <td>Thu</td>\n    <td>2017-03-30</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2259\" target=\"_blank\">Minidiscs: A Response to HPR 2212</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2260\" target=\"_blank\">2260</a></strong></td>\n    <td>Fri</td>\n    <td>2017-03-31</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2260\" target=\"_blank\">Managing tags on HPR episodes - 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available in the archives run\nexternally by <a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\n(see below) and on the HPR server under <a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p><em>Note: since the summer of 2016 Gmane has changed location and is currently\nbeing reestablished. At the moment the HPR archive is not available there.</em></p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-March/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-March/thread.html</a>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 37 comments in total.</p>\n<p>There are 6 comments on\n6 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2178#comments\" target=\"_blank\">hpr2178</a></strong>\n(2016-12-07) \"<em>Dice Mixer</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2178#1\" target=\"_blank\">Comment 1</a>:\nFiftyOneFifty on 2017-03-04:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2191#comments\" target=\"_blank\">hpr2191</a></strong>\n(2016-12-26) \"<em>Building a Soundboard Android App with App Inventor</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0001.html\" target=\"_blank\">droops</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2191#3\" target=\"_blank\">Comment 3</a>:\nWindigo on 2017-03-28:\n\"Fantastic\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2206#comments\" target=\"_blank\">hpr2206</a></strong>\n(2017-01-16) \"<em>Podcasts I Listen To</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0348.html\" target=\"_blank\">Reg A</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2206#3\" target=\"_blank\">Comment 3</a>:\nBookewyrmm on 2017-03-06:\n\"thanks and sorry\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2219#comments\" target=\"_blank\">hpr2219</a></strong>\n(2017-02-02) \"<em>The Musings of a Novice Cable TV Cord Cutter</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0348.html\" target=\"_blank\">Reg A</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2219#1\" target=\"_blank\">Comment 1</a>:\nRegina Trolman on 2017-03-27:\n\"Loved it!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2221#comments\" target=\"_blank\">hpr2221</a></strong>\n(2017-02-06) \"<em>HPR Community News for January 2017</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2221#3\" target=\"_blank\">Comment 3</a>:\nKrayon on 2017-03-01:\n\"OGGBot\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2236#comments\" target=\"_blank\">hpr2236</a></strong>\n(2017-02-27) \"<em>Hoarding Raspberry Pis</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2236#3\" target=\"_blank\">Comment 3</a>:\nAlpha32 on 2017-03-29:\n\"Great!\"</li></ul><br/>\n</li></ul>\n<p>There are 31 comments on 11 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2239#comments\" target=\"_blank\">hpr2239</a></strong>\n(2017-03-02) \"<em>making jerky</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0243.html\" target=\"_blank\">Jezra</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2239#1\" target=\"_blank\">Comment 1</a>:\noperat0r on 2017-02-07:\n\"YuMMM hacking meat\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2239#2\" target=\"_blank\">Comment 2</a>:\njezra on 2017-03-02:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2239#3\" target=\"_blank\">Comment 3</a>:\n@einebiene on 2017-03-22:\n\"Mhhhhh\"</li></ul><br/>\n</li><li><strong><a href=\"https://www.hackerpublicradio.org/eps.php?id=2240#comments\" target=\"_blank\">hpr2240</a></strong>\n(2017-03-03) \"<em>Amateur Radio Round Table</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://www.hackerpublicradio.org/eps.php?id=2240#1\" target=\"_blank\">Comment 1</a>:\ndavidWHITMAN on 2017-03-08:\n\"Ham Radio Roundtable\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2245#comments\" target=\"_blank\">hpr2245</a></strong>\n(2017-03-10) \"<em>Managing tags on HPR episodes - 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2245#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2017-03-09:\n\"Erm...\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2245#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-03-10:\n\"Oops!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2245#3\" target=\"_blank\">Comment 3</a>:\nMike Ray on 2017-03-10:\n\"Listen to the entities\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2246#comments\" target=\"_blank\">hpr2246</a></strong>\n(2017-03-13) \"<em>My Custom RSS Comic and Security Feed</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2246#1\" target=\"_blank\">Comment 1</a>:\nWindigo on 2017-03-16:\n\"Good idea\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2248#comments\" target=\"_blank\">hpr2248</a></strong>\n(2017-03-15) \"<em>HPR New Year show episode 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2248#1\" target=\"_blank\">Comment 1</a>:\nClinton Roy on 2017-03-15:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2249#comments\" target=\"_blank\">hpr2249</a></strong>\n(2017-03-16) \"<em>HPR New Year show episode 3</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2249#1\" target=\"_blank\">Comment 1</a>:\nClinton Roy on 2017-03-15:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2249#2\" target=\"_blank\">Comment 2</a>:\nKen fallon on 2017-03-27:\n\"Fact check Scotland brexit not 100%\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2252#comments\" target=\"_blank\">hpr2252</a></strong>\n(2017-03-21) \"<em>HPR New Year show episode 6</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2252#1\" target=\"_blank\">Comment 1</a>:\nclinton roy on 2017-03-22:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2253#comments\" target=\"_blank\">hpr2253</a></strong>\n(2017-03-22) \"<em>How to make and use a stencil</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0351.html\" target=\"_blank\">@einebiene</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2253#1\" target=\"_blank\">Comment 1</a>:\nClinton Roy on 2017-03-21:\n\"Thank you\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2253#2\" target=\"_blank\">Comment 2</a>:\nBob Jonkman on 2017-03-22:\n\"Consultant\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2253#3\" target=\"_blank\">Comment 3</a>:\neinebiene on 2017-03-22:\n\"German Download Page\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2253#4\" target=\"_blank\">Comment 4</a>:\nbrian on 2017-03-22:\n\"food not bombs\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2253#5\" target=\"_blank\">Comment 5</a>:\nph on 2017-03-22:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2253#6\" target=\"_blank\">Comment 6</a>:\nb-yeezi on 2017-03-22:\n\"Welcome new host!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2253#7\" target=\"_blank\">Comment 7</a>:\nBob Jonkman on 2017-03-23:\n\"Consultant\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2253#8\" target=\"_blank\">Comment 8</a>:\ndroops on 2017-03-30:\n\"Very cool\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2255#comments\" target=\"_blank\">hpr2255</a></strong>\n(2017-03-24) \"<em>The Good Ship HPR</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2255#1\" target=\"_blank\">Comment 1</a>:\nTony Hughes on 2017-03-01:\n\"hpr 2255\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2255#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-03-06:\n\"Nice idea\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2255#3\" target=\"_blank\">Comment 3</a>:\nknightwise on 2017-03-25:\n\"How about a dropbox folder.\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2255#4\" target=\"_blank\">Comment 4</a>:\nM1rr0r5h4d35 on 2017-03-25:\n\"Very interesting show.\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2255#5\" target=\"_blank\">Comment 5</a>:\ndroops on 2017-03-29:\n\"New Hosts\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2255#6\" target=\"_blank\">Comment 6</a>:\nDave Morriss on 2017-03-30:\n\"Thanks for the comments\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2258#comments\" target=\"_blank\">hpr2258</a></strong>\n(2017-03-29) \"<em>Killer Keilbasa</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0346.html\" target=\"_blank\">Bill \"NFMZ1\" Miller</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2258#1\" target=\"_blank\">Comment 1</a>:\nClinton Roy on 2017-03-29:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2258#2\" target=\"_blank\">Comment 2</a>:\nXoke on 2017-03-30:\n\"Little Smokies\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2259#comments\" target=\"_blank\">hpr2259</a></strong>\n(2017-03-30) \"<em>Minidiscs: A Response to HPR 2212</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2259#1\" target=\"_blank\">Comment 1</a>:\ndroops on 2017-03-30:\n\"Minidisc\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2259#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-03-30:\n\"Interesting\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2259#3\" target=\"_blank\">Comment 3</a>:\nJonathan Kulp on 2017-03-31:\n\"Minidisk Walkman\"</li></ul><br/>\n</li></ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(1976,'2016-02-29','Introduction to sed - part 1',2668,'What sed is and how to use it in a simple way','<h1 id=\"introduction-to-sed---part-1\">Introduction to sed - part 1</h1>\r\n<p><strong><code>sed</code></strong> is an editor which expects to read a stream of text, apply some action to the text and send it to another stream. It filters and transforms the text along the way according to instructions provided to it. These instructions are referred to as a <code>sed</code> script.</p>\r\n<p>The name \"<em>sed</em>\" comes from <em><strong>S</strong>tream <strong>Ed</strong>itor</em>, and <code>sed</code> was developed from 1973 to 1974 as a Unix utility by Lee E. McMahon of Bell Labs. GNU <code>sed</code> added several new features including better documentation, though most of it is only available on the command line through the <code>info</code> command. The <a href=\"https://www.gnu.org/software/sed/manual/sed.html\" title=\"GNU sed manual\">full manual</a> is of course available on the web.</p>\r\n<p>To read the rest of the notes for this episode follow this link: <a href=\"https://hackerpublicradio.org/eps/hpr1976/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1976/full_shownotes.html</a></p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>GNU <code>sed</code> manual: <a href=\"https://www.gnu.org/software/sed/manual/sed.html\" class=\"uri\">https://www.gnu.org/software/sed/manual/sed.html</a></li>\r\n<li>\"<em>Sed - An Introduction and Tutorial</em>\" by Bruce Barnett: <a href=\"https://www.grymoire.com/Unix/Sed.html\" class=\"uri\">https://www.grymoire.com/Unix/Sed.html</a></li>\r\n<li>Example file for processing: <a href=\"https://hackerpublicradio.org/eps/hpr1976/sed_demo1.txt\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1976/sed_demo1.txt</a> (extracted from <a href=\"https://hackerpublicradio.org/about.php\" class=\"uri\">https://hackerpublicradio.org/about.php</a>)</li>\r\n</ul>',225,90,1,'CC-BY-SA','sed,stream editor,option,regular expression,substitution',0,0,1),
(1980,'2016-03-04','Fixing An Audio Problem while having a rant',593,'Describing how I solved an audio problem while having a rant about automation limiting control','<p>This podcast details how I solved an audio problem I discovered while trying to record another episode for HPR. I\'ll hopefully get around to recording my original idea at a later date.</p>\r\n<p>The recording was done in a bit of a hurry and I was a bit flustered so please excuse the fast talking and ranting.</p>\r\n<p>Link to article that solved my problem <a href=\"https://blog.tiger-workshop.com/ubuntu-rear-microphone-not-working-on-ad1988b-sound-chip/\" class=\"uri\">https://blog.tiger-workshop.com/ubuntu-rear-microphone-not-working-on-ad1988b-sound-chip/</a></p>\r\n<p>Command I used to install the app that solved my audio problem. App is from the standard Ubuntu 14.04 repo</p>\r\n<pre><code>sudo apt-get install alsa-tools-gui</code></pre>\r\n<p>Command to run from terminal to launch gui tool that solved the problem</p>\r\n<pre><code>hdajackretask</code></pre>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://blog.tiger-workshop.com/ubuntu-rear-microphone-not-working-on-ad1988b-sound-chip/\" class=\"uri\">https://blog.tiger-workshop.com/ubuntu-rear-microphone-not-working-on-ad1988b-sound-chip/</a></li>\r\n</ul>\r\n',201,0,0,'CC-BY-SA','Audio, Hardware, Linux',0,0,1),
(1982,'2016-03-08','Whats in my virtual bag',1710,'The usual programs I use everyday in my system','<p>Programs mentioned:</p>\r\n<ul>\r\n<li><p>Puppy Linux<br />\r\n<a href=\"https://murga-linux.com/puppy\" class=\"uri\">https://murga-linux.com/puppy</a></p></li>\r\n<li><p>Ratpoison WM<br />\r\n<a href=\"https://www.nongnu.org/ratpoison/doc/index.html#Top\">https://www.nongnu.org/ratpoison/doc/index.html</a></p></li>\r\n<li><p>Sakura Terminal<br />\r\n<a href=\"https://launchpad.net/sakura\" class=\"uri\">https://launchpad.net/sakura</a></p></li>\r\n<li><p>Vim<br />\r\n<a href=\"https://www.vim.org/\" class=\"uri\">https://www.vim.org/</a></p></li>\r\n<li><p>The Vim Outliner<br />\r\n<a href=\"https://github.com/vimoutliner/vimoutliner/downloads\" class=\"uri\">https://github.com/vimoutliner/vimoutliner/downloads</a></p></li>\r\n</ul>\r\n',323,23,1,'CC-BY-SA','Basic setup, Linux, Power user, Vim, Ratpoison, Sakura, Puppy Linux',0,0,1),
(1986,'2016-03-14','Introduction to sed - part 2',3678,'Some more about the GNU sed command','<h1 id=\"introduction-to-sed---part-2\">Introduction to sed - part 2</h1>\r\n<p>In the <a href=\"https://hackerpublicradio.org/eps.php?id=1976\" title=\"Introduction to sed - part 1\">last episode</a> we looked at <code>sed</code> at the simplest level. We looked at three command-line options and the \'<em>s</em>\' command. We introduced the idea of basic <em>regular expressions</em>.</p>\r\n<p>In this episode we will cover all of these topics in more detail.</p>\r\n<p>We are looking at GNU <code>sed</code> in this series. This version contains many extensions to POSIX <code>sed</code>. These extensions provide many more features, but <code>sed</code> scripts written this way are not portable.</p>\r\n<p>To read the rest of the notes for this episode follow this link: <a href=\"https://hackerpublicradio.org/eps/hpr1986/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1986/full_shownotes.html</a></p>\r\n<p><strong>Note:</strong> Since recording the audio I have added a sixth example to the full notes to cover the topic of word boundaries, which I had omitted at the time.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><em>Introduction to sed - part 1</em>: <a href=\"https://hackerpublicradio.org/eps.php?id=1976\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1976</a></li>\r\n<li>GNU <code>sed</code> manual:\r\n<ul>\r\n<li>HTML Manual: <a href=\"https://www.gnu.org/software/sed/manual/sed.html\" class=\"uri\">https://www.gnu.org/software/sed/manual/sed.html</a></li>\r\n<li>Section on <em>Invocation</em>: <a href=\"https://www.gnu.org/software/sed/manual/sed.html#Invoking-sed\" class=\"uri\">https://www.gnu.org/software/sed/manual/sed.html#Invoking-sed</a></li>\r\n<li>Section on <em>Escapes in Regular expressions</em>: <a href=\"https://www.gnu.org/software/sed/manual/sed.html#Escapes\" class=\"uri\">https://www.gnu.org/software/sed/manual/sed.html#Escapes</a></li>\r\n</ul></li>\r\n<li>\"<em>Sed - An Introduction and Tutorial</em>\" by Bruce Barnett: <a href=\"https://www.grymoire.com/Unix/Sed.html\" class=\"uri\">https://www.grymoire.com/Unix/Sed.html</a></li>\r\n<li>Wikipedia entry for <code>sed</code>: <a href=\"https://en.wikipedia.org/wiki/Sed\" class=\"uri\">https://en.wikipedia.org/wiki/Sed</a></li>\r\n<li>Example files for processing:\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr1986/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1986/full_shownotes.html</a> (extracted from <a href=\"https://hackerpublicradio.org/about.php\" class=\"uri\">https://hackerpublicradio.org/about.php</a>)</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr1986/sed_demo2.txt\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1986/sed_demo2.txt</a> (downloaded from <a href=\"https://hackerpublicradio.org/stats.php\" class=\"uri\">https://hackerpublicradio.org/stats.php</a>)</li>\r\n</ul></li>\r\n</ul>',225,90,1,'CC-BY-SA','sed,stream editor,option,regular expression,substitution',0,0,1),
(1987,'2016-03-15','Pomodoro Timer - The Evolution of a Script (pt 1)',1327,'The different stages of a bash script that was created accidentally','<ul>\r\n<li><p>The technique that started everything:<br />\r\n<a href=\"https://www.pomodorotechnique.com/\" class=\"uri\">https://www.pomodorotechnique.com/</a></p></li>\r\n<li><p>The Pomodoro timer I used first, efficient, but left me stuck from one day to the other:<br />\r\n<a href=\"https://www.tomato-timer.com/\" class=\"uri\">https://www.tomato-timer.com/</a></p></li>\r\n</ul>',323,42,0,'CC-BY-SA','Productivity, Bash basics, Programming design, Pomodoro, Timer, loops, sleep',0,0,1),
(1990,'2016-03-18','Pomodoro Timer - The Evolution of a Script part deux',1734,'Further evolutions of a pomodoro script that got a life of its own','<p>\r\nThe Script: <a href=\"https://hackerpublicradio.org/eps/hpr1990.bash\">https://hackerpublicradio.org/eps/hpr1990.bash</a>\r\n</p>\r\n',323,42,0,'CC-BY-SA','Productivity, Bash basics, Programming design, Pomodoro, Timer, loops, sleep',0,0,1),
(1983,'2016-03-09','Review of Sony Vaio VPC',2019,'Sony vaio is discussed','<ul>\r\n<li>i3 cpu</li>\r\n<li>4 gb ram (can go up to 8 gb)</li>\r\n<li>5400 rpm hdd</li>\r\n<li>linux mint 17.3</li>\r\n</ul>',297,0,0,'CC-BY-SA','linux, sony vaio, laptop',0,0,1),
(1984,'2016-03-10','A Love Letter to linux.conf.au',595,'Why I\'ve been to fifteen linux.conf.au conferences','<p>Linux.conf.au, is the name and website of my favourite conference. Known by insiders as simply lca, it is an annual technical conference, focusing on Linux and Open Source technologies. LCA is a roaming conference, going to a different city of Australia and New Zealand every year. I\'ve helped organise the two lca\'s in my home town of Brisbane, Queensland, and it was in fact the first of these that introduced me to lca. This year lca was held in Geelong, down in the state of Victoria and it counts as my fifteenth linux.conf.au. Clearly this conference has become quite a big part of my life and it\'s probably a mature thing to stand back and have a look at why.</p>\r\n<p>lca is a technical conference, it\'s not a sales oriented conference, as an engineer having non-salesy, technical content makes me feel at home. For the most part, the paper committee only accept talks from people directly working on a project, so the speakers we select know their topic. lca is explicitly an open source conference, and mostly a low level conference.</p>\r\n<p>lca is a week long conference, so I often add some extra time on the end to make a holiday out of it. A fair percentage of our attendees are from overseas, and it makes sense for them to do the same. I have taken the train to a Perth (Western Australia) lca, that\'s the Indian Pacific train, a three day trip from one side of the country to the other. I\'ve done a day trip on a train in New Zealand, from Auckland to Wellington. I\'ve done a couple of motorcycle trips, down to Ballarat and Geelong (both cities in the state of Victoria). Those two tours are roughly a 3600km (or 2200 mile) round trips taking three to four days each way.</p>\r\n<p>I\'ve done a motorcycle tour of Tasmania (an island state of Australia) after a Tasmanian lca. Next year, the conference is back in Tasmania for the Hobart lca, I\'m planning on doing a week long hike of about 85kms (50 odd miles) before the conference along the South Coast Track.</p>\r\n<p>There are a bunch of people that I only get to see at lca, from year to year, sadly some of these come from my own home town. Keeping these connections strong is an important part of lca for me.</p>\r\n<p>Every year, the parent organisation of lca, Linux Australia holds their Annual General Meeting during lca. I\'ve been an Ordinary committee member on the Linux Australia council a couple of times now. This year I didn\'t get enough votes, which means I have more time to devote to other things, like HPR recordings :)</p>\r\n<p>Registration for lca normally starts Sunday afternoon, there\'s often a beginners guide to the conference. After fifteen years, I don\'t think I\'ve ever attended one, but I should probably help lead it next year..</p>\r\n<p>It\'s very common for lca to choose a charity to raise money for. For many years this meant a loud, long, often raucous auction. In recent years we\'ve had a raffle over the full length of the conference. We\'ve helped many worthy charities over the years, the one that comes to mind was the \'Save the Tasmanian Devils\' fund, for which we raised a substantial amount of money, something around forty thousand dollars, partly based on the auction prize of changing the linux\'s kernel logo from Tux to Tuz, the lca mascot for that year. Tuz is a Tasmanian devil wearing a costume Penguin beak to cover over his case of the Devil Facial Tumour Disease, a communicable cancer, that is threatening their existence. This was also the conference where Linus shaved bDale\'s beard off to raise money for the charity.</p>\r\n<p>We often hold lca at a university, and we often use student dormitories as accommodation. If we\'re lucky, this means that a large percentage of attendees can meet up in common areas of the accommodation at the end of the day and continue the conference long into the night. A particularly memorable lca on this front, somewhere in New Zealand, I forget which city, had a whole level of a student accommodation centre set aside as a common area, so a large percentage of the conference were able to fit and continue the conference late into the evening.</p>\r\n<p>The first two days of the conference are generally reserved for miniconferences, or miniconfs as we refer to them. These miniconfs go for one or two days and are organised around a particular topic, and separately to the main conference. The miniconfs change every year, but commonly include miniconfs focused on the kernel (this is primarily attended by kernel coders), hardware (based around ardunio, raspi, and this year espy), multimedia and music, sysadmin, OpenRadio, Open Source in Government. A highlight from the second Brisbane lca was the rocketry miniconf, where 25 odd rockets were put together and later launched. We\'ve been blessed over the years to have miniconfs working to improve and enlarge our community, including LinuxChix, Haecksen and the Community Leadership Summits.</p>\r\n<p>After the miniconf days are done, the conference proper begins. These days start off with a keynote, have four or more streams of talks during the day, with longer tutorials running for half the day.</p>\r\n<p>My favourite keynote from this year was Genevieve Bell, from Intel. From previous years, Tim Berners Lee, Eben Moglen and Kathy Sierra have left long term marks. These are people who have fundamentally created the world I live and work in now, their contributions cannot be understated.</p>\r\n<p>There are a bunch of talks from every year that change the way I think about something, or the way I work. This year, I reckon the Record/Replay talk will probably change the way I debug programs. RR is a Mozilla tool, you run the buggy program under rr, which records exactly what the system calls the program runs, what state effects the program has, then you run that recording under the standard debugger, gdb. Typically with gdb you can only step forwards into the program, but with rr you can actually step back in time as well!</p>\r\n<p>A hardware talk that really caught my attention this year was the Linux Microwave, a regular microwave with a set of scales and a thermal imaging camera added, so that whenever you heat/warm/defrost something, the microwave will never ever burn/under/over cook the food!</p>\r\n<p>The other bit of hardware that I feel warrants a mention was the large loom that one of our venues, the National Wool Museum was built around. It is programmed by a large bunch of punch cards! There\'s always local attractions that add something to the conference.</p>\r\n<p>During the week, ad-hoc groups form around common interests, we call these Birds-of-feather sessions. I usually end up attending the Emacs BoF. A recurring BoF is the jobs BoF, where employers and hopeful employees come together.</p>\r\n<p>I don\'t tend to attend too many tutorials myself. A number of years back I ran a tutorial on Antlr, a recursive descent parser toolkit.</p>\r\n<p>There are a number of social events that happen most years, the conference dinner, the speakers dinner, and the professionals session. These events target the different audiences at the conference. A favourite spin on this was during a Melbourne lca where diners were given food and drink tokens to use around a market, rather than a traditional sit down dinner. The speakers dinner is a smaller, more private thank you to the speakers, many of whom have flown in from overseas. The professionals session tends to be the most varied, as it tends not be a full meal, but just a place where folks can meet, greet and swap business cards.</p>\r\n<p>I can\'t say it\'s always been a bed of roses, I\'ve had a couple of hospital trips over the years, one for myself where, along with almost half of the conference, I came down with the dreaded noro-virus, a gastro bug that is prevalent on cruise ships. During another lca when I was chaperoning another attendee to hospital I figured my lca was over, but then I struck up a conversation with our ambulance driver, and it turned out he\'d been working on pdp-11s during his uni days!</p>\r\n<p>The other awful lca experience I have to mention was the flooding that occurred just one week prior to our second Brisbane lca. All of our venues were affected, some were destroyed completely. We had to shift our main venue about 5kms up the road, hire buses, find new caterers at the last minute, a whole world of pain.</p>\r\n<p>For many years now, most of our talks have been recorded, using our own recording system. All of these videos are up on the Linux Australia server and youtube. This means that weeks, months after the conference is finished, I find myself watching a recording that someone has recommended, and it takes me back to that one week in every year where the world makes sense to me.</p>\r\n<p>As I mentioned previously, the next linux.conf.au is in Hobart, January 2017, I hope to see some hpr listeners there.</p>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://mirror.linux.org.au/linux.conf.au/\" class=\"uri\">https://mirror.linux.org.au/linux.conf.au/</a></li>\r\n<li><a href=\"https://www.youtube.com/user/linuxconfau2016\" class=\"uri\">https://www.youtube.com/user/linuxconfau2016</a></li>\r\n</ul>',315,0,0,'CC-BY-SA','linux, open source, conference',0,0,1),
(1993,'2016-03-23','Can your window manager do this?',2022,'Where I show off my Ratpoison configurations','<ul>\r\n<li><p>Ratpoison main site: <a href=\"https://www.nongnu.org/ratpoison/index.html#dir\">https://www.nongnu.org/ratpoison/index.html</a></p></li>\r\n<li><p>RPbar (add-on for program bar functionality): <a href=\"https://github.com/dimatura/rpbar\" class=\"uri\">https://github.com/dimatura/rpbar</a></p></li>\r\n<li><p>Patch to get color in current window: <a href=\"https://lists.nongnu.org/archive/html/ratpoison-devel/2008-08/msg00001.html\" class=\"uri\">https://lists.nongnu.org/archive/html/ratpoison-devel/2008-08/msg00001.html</a></p></li>\r\n<li><p>Simple Puppy Menu: Start menu functionality, for Puppy Linux distributions (based in aemenu or mygtkmenu): <a href=\"https://www.murga-linux.com/puppy/viewtopic.php?p=885559\" class=\"uri\">https://www.murga-linux.com/puppy/viewtopic.php?p=885559</a></p></li>\r\n</ul>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.nongnu.org/ratpoison/index.html#dir\">https://www.nongnu.org/ratpoison/index.html</a></li>\r\n<li><a href=\"https://github.com/dimatura/rpbar\" class=\"uri\">https://github.com/dimatura/rpbar</a></li>\r\n<li><a href=\"https://lists.nongnu.org/archive/html/ratpoison-devel/2008-08/msg00001.html\" class=\"uri\">https://lists.nongnu.org/archive/html/ratpoison-devel/2008-08/msg00001.html</a></li>\r\n<li><a href=\"https://www.murga-linux.com/puppy/viewtopic.php?p=885559\" class=\"uri\">https://www.murga-linux.com/puppy/viewtopic.php?p=885559</a></li>\r\n</ul>',323,0,0,'CC-BY-SA','Ratpoison, Window Manager, Puppy Linux, customization',0,0,1),
(1996,'2016-03-28','Xdotool magic',1082,'Overview and a few usage possibilities of the Xdotool program','<ul>\r\n<li><p>Xdotool home: <a href=\"https://www.semicomplete.com/projects/xdotool\" class=\"uri\">https://www.semicomplete.com/projects/xdotool</a></p></li>\r\n<li><p>Dr. Bunsen\'s file naming convention: <a href=\"https://www.drbunsen.org/naming-and-searching-files-part-1/\" class=\"uri\">https://www.drbunsen.org/naming-and-searching-files-part-1/</a></p></li>\r\n</ul>\r\n',323,11,0,'CC-BY-SA','Xdotool, Automation, Productivity, File naming, Time stamps',0,0,1),
(1991,'2016-03-21','Adventures installing Linux on an Asus EeeBook X205A',1065,'Installation instructions from lessons learned the hard way.','<h1 id=\"high-level-steps-to-install-ubuntu-mate-on-the-asus-eeebook-x205a\">High-level steps to install Ubuntu Mate on the <a href=\"https://www.asus.com/Notebooks/ASUS_EeeBook_X205TA/\">Asus Eeebook X205A</a></h1>\r\n<blockquote>\r\n<p>Information compiled from <a href=\"https://www.jfwhome.com/2016/01/04/latest-steps-to-install-ubuntu-on-the-asus-t100ta/\">Here</a>, <a href=\"https://github.com/lopaka/instructions/blob/master/ubuntu-14.10-install-asus-x205ta.md\">Here</a>, and <a href=\"https://wiki.debian.org/InstallingDebianOn/Asus/X205TA\">Here</a></p>\r\n</blockquote>\r\n<h3 id=\"download-and-create-startup-disk\">Download and create startup disk</h3>\r\n<p>Download the 64-bit version of the iso, then create a bootable USB. I recommend using <a href=\"https://dcfldd.sourceforge.net/\">dcfldd</a>.</p>\r\n<h3 id=\"getting-grub-32-bit\">Getting grub 32-bit</h3>\r\n<p>Compile or download grubia32.efi (see links), then move it into the /EFI/BOOT directory on the USB.</p>\r\n<h3 id=\"installation\">Installation</h3>\r\n<p>Boot from the disk (assuming you already disabled secure boot from the BIOS). Install the system as you like.</p>\r\n<h3 id=\"first-boot\">First Boot</h3>\r\n<p>Reboot, but leave in USB. Type <code>c</code> when grub loads, then enter in:</p>\r\n<pre><code>linux (hd1,gpt2)/boot/vmlinuz.... root=/dev/mmcblk0p2\r\ninitrd (hd1,gpt2)/boot/initrd....\r\nboot</code></pre>\r\n<h3 id=\"wi-fi\">Wi-Fi</h3>\r\n<p>To get wi-fi working, put in terminal:</p>\r\n<pre><code>sudo cp /sys/firmware/efi/efivars/nvram-XXXXXX /lib/firmware/brcm/brcmfmac43340-sdio.txt</code></pre>\r\n<p>Then reload the brcmfmac driver:</p>\r\n<pre><code>sudo modprobe -r brcmfmac\r\nsudo modprobe brcmfmac</code></pre>\r\n<h3 id=\"fix-bootloader\">Fix bootloader</h3>\r\n<p>Fix Bootloader with the following commands as root:</p>\r\n<pre><code>sudo apt-get install git bison libopts25 libselinux1-dev autogen m4 autoconf help2man libopts25-dev flex libfont-freetype-perl automake autotools-dev libfreetype6-dev texinfo\r\n\r\n# from https://www.gnu.org/software/grub/grub-download.html\r\ngit clone git://git.savannah.gnu.org/grub.git\r\n\r\ncd grub\r\n\r\n./autogen.sh\r\n\r\n./configure --with-platform=efi --target=i386 --program-prefix=\"\"\r\n\r\nmake\r\n\r\ncd grub-core\r\nsudo su\r\n../grub-install -d . --efi-directory /boot/efi/ --target=i386\r\ncd /boot/efi/EFI\r\ncp grub/grubia32.efi ubuntu/\r\nexit</code></pre>\r\n<p>Then, we can just install grub-efi-ia32:</p>\r\n<pre><code>sudo apt-get update\r\nsudo apt-get install grub-efi-ia32</code></pre>\r\n<p>Edit the grub configuration file:</p>\r\n<pre><code>sudo nano /etc/default/grub</code></pre>\r\n<p>Find the line starting <code>GRUB_CMDLINE_LINUX_DEFAULT</code> and add <code>intel_idle.max_cstate=1</code> before <code>quiet splash\"</code>.</p>\r\n<p>Then ctrl-o, ctrl-x to save &amp; exit, and type: <code>sudo update-grub</code> to update Grub.</p>\r\n<p>Remove the USB stick and reboot, and you should now have a self-sufficient booting system.</p>\r\n<h3 id=\"conflict-between-sdhci-acpi-and-brcmfmac\">Conflict between sdhci-acpi and brcmfmac</h3>\r\n<p>Due to some conflict between sdhci-acpi and brcmfmac (https://bugzilla.kernel.org/show_bug.cgi?id=88061), a parameter has to be changed for the sdhci-acpi driver. There are several ways to do this, but a quick fix is to add this line in /etc/sysfs.conf (make sure you have the package sysfsutils installed), this way the option is passed before the brcmfmac driver is loaded :</p>\r\n<pre><code># Disable SDHCI-ACPI for Wireless, otherwise WLAN doesn\'t work\r\nbus/platform/drivers/sdhci-acpi/INT33BB:00/power/control = on</code></pre>\r\n<h3 id=\"microsd-card-reader\">microSD Card Reader</h3>\r\n<p>Create a file /etc/modprobe.d/sdhci.conf with the following content:</p>\r\n<pre><code># Adjustment to make micro SD card reader work\r\noptions sdhci debug_quirks=0x8000</code></pre>\r\n<p>Then run</p>\r\n<pre><code>update-initramfs -u -k all</code></pre>\r\n<p>After a reboot the card reader should be working.</p>\r\n\r\n<h3>Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.asus.com/Notebooks/ASUS_EeeBook_X205TA/\">https://www.asus.com/Notebooks/ASUS_EeeBook_X205TA/</a></li>\r\n<li><a href=\"https://www.jfwhome.com/2016/01/04/latest-steps-to-install-ubuntu-on-the-asus-t100ta/\">https://www.jfwhome.com/2016/01/04/latest-steps-to-install-ubuntu-on-the-asus-t100ta/</a></li>\r\n<li><a href=\"https://github.com/lopaka/instructions/blob/master/ubuntu-14.10-install-asus-x205ta.md\">https://github.com/lopaka/instructions/blob/master/ubuntu-14.10-install-asus-x205ta.md</a></li>\r\n<li><a href=\"https://wiki.debian.org/InstallingDebianOn/Asus/X205TA\">https://wiki.debian.org/InstallingDebianOn/Asus/X205TA</a></li>\r\n<li><a href=\"https://dcfldd.sourceforge.net/\">https://dcfldd.sourceforge.net/</a></li>\r\n</ul>\r\n',300,0,0,'CC-BY-SA','Ubuntu Mate,Asus Eeebook X205A',0,0,1),
(2003,'2016-04-06','Using the Incron file watching daemon',698,'I briefly introduce the incron file watching daemon, and give an example of how I use it.','<h1 id=\"using-the-incron-file-watching-daemon\">Using the Incron file watching daemon</h1>\r\n<blockquote>\r\n<p>Check out the <a href=\"https://linux.die.net/man/5/incrontab\">man page</a> for incron and also <a href=\"https://www.cyberciti.biz/faq/linux-inotify-examples-to-replicate-directories/\">this write-up</a> by Nixcraft.</p>\r\n</blockquote>\r\n<p>basic usage:</p>\r\n<p><code>incrontab -e</code></p>\r\n<p>In your editor of choice, follow this syntax:</p>\r\n<p><code>&lt;path-to-watch&gt; &lt;event mask&gt; command</code></p>\r\n\r\n\r\n<h3>Links</h3>\r\n<ul>\r\n<li><a href=\"https://linux.die.net/man/5/incrontab\">https://linux.die.net/man/5/incrontab</a></li>\r\n<li><a href=\"https://www.cyberciti.biz/faq/linux-inotify-examples-to-replicate-directories/\">https://www.cyberciti.biz/faq/linux-inotify-examples-to-replicate-directories/</a></li>\r\n</ul>',300,42,1,'CC-BY-SA','incron,bash,watcher,daemon',0,0,1),
(1988,'2016-03-16','Linux from Scratch',425,'My experience of installing Linux from source','<ul>\r\n<li><a href=\"https://www.linuxfromscratch.org\" class=\"uri\">https://www.linuxfromscratch.org</a></li>\r\n<li><a href=\"https://www.linuxfromscratch.org/blfs\" class=\"uri\">https://www.linuxfromscratch.org/blfs</a></li>\r\n<li><a href=\"https://tldp.org/LDP/Pocket-Linux-Guide/html/index.html\" class=\"uri\">https://tldp.org/LDP/Pocket-Linux-Guide/html/index.html</a></li>\r\n<li><a href=\"https://www.nico.schottelius.org/software/gpm/archives/gpm-1.20.7.tar.bz2\" class=\"uri\">https://www.nico.schottelius.org/software/gpm/archives/gpm-1.20.7.tar.bz2</a></li>\r\n</ul>\r\n',326,0,0,'CC-BY-SA','Linux From Scratch',0,0,1),
(1989,'2016-03-17','WDTV Makes Me Itch',1880,'A step-by-step description of turning an old computer into a simple linux media appliance','<p>This half-hour-long episode describes the complete process for turning an old, limited thin-client terminal (an HP T5740) - and incidentally just about any other kind of hardware - into a simple automatic media-playing kiosk-style device, running VLC on a hand-made minimalist Arch Linux installation. I\'ve tried to describe the procedure I came up with in enough detail that anyone with a little bit of Linux experience can hopefully follow and potentially replicate the whole thing, but not so much detail that it gets horrifically tedious. Some of the extra details I glossed over in the audio are here in the show notes if you want them.</p>\r\n<p>This episode will <em>mostly</em> be of interest to people with a little bit of Linux experience, but may hopefully be interesting to a few others. Mac and Windows partisans take note: before you start giggling about how \"complicated\" it is to set up Linux as you listen to what I describe here, I will reiterate that I <em>chose</em> to do the install \"by hand\" like this, and I assure you a more typical Linux install is quite a bit simpler (having just spent several months brutally installing Windows systems on innocent computers, getting and ordinary Linux installation finished is not only easier but <em>faster</em>. (\"Windows is getting ready to start to prepare to configure updates. Please wait 5 hours and don\'t turn off your computer...\") So there.</p>\r\n<p>I\'m also going to try posting an \"enhanced\" version of this episode in .opus format with chapter markings and so on at my site: <a href=\"https://hpr.dogphilosophy.network\" class=\"uri\">https://hpr.dogphilosophy.network</a> Additional information may be found there as well, especially if anyone asks for it.</p>\r\n<h3 id=\"some-linuxable-hardware-i-mentioned\">Some Linuxable Hardware I Mentioned:</h3>\r\n<p>Installing linux on old computers, laptops, etc. is such a well-established tradition that I don\'t see any reason to hunt down specific examples, but I also mentioned:</p>\r\n<ul>\r\n<li>Dead Badgers:<br />\r\n<a href=\"https://www.strangehorizons.com/2004/20040405/badger.shtml\" class=\"uri\">https://www.strangehorizons.com/2004/20040405/badger.shtml</a></li>\r\n<li>Raspberry Pi:<br />\r\n<a href=\"https://archlinuxarm.org/platforms/armv6/raspberry-pi\" class=\"uri\">https://archlinuxarm.org/platforms/armv6/raspberry-pi</a></li>\r\n</ul>\r\n<p>I <em>assume</em> I don\'t need to explain that the Dead Badgers thing isn\'t <em>entirely</em> serious... It\'s not <em>entirely</em> a joke, either: <a href=\"https://www.instructables.com/id/Compubeaver---%3E-How-to-case-mod-a-beaver---in-29-e/\">https://www.instructables.com/id/Compubeaver---%3E-How-to-case-mod-a-beaver---in-29-e/</a></p>\r\n\r\n<ul>\r\n<li>systemd-networkd config:<br />\r\n<a\r\nhref=\"https://wiki.archlinux.org/index.php/Systemd-networkd#Basic_DHCP_network\"\r\nclass=\"uri\">https://wiki.archlinux.org/index.php/Systemd-networkd#Basic_DHCP_network</a></li>\r\n</ul>\r\n<pre><code>[Match]\r\nName=en*\r\n\r\n[Network]\r\nDHCP=ipv4</code></pre>\r\n\r\n<p>Autostart X on tty1 only: <a href=\"https://wiki.archlinux.org/index.php/Xinitrc#Autostart_X_at_login\" class=\"uri\">https://wiki.archlinux.org/index.php/Xinitrc#Autostart_X_at_login</a></p>\r\n<pre><code>[[ -z $DISPLAY && $XDG_VTNR -eq 1 ]] && exec startx</code></pre>\r\n<p>I actually <em>have</em> also tried the \"web browser kiosk\" thing with the browser loading up a particular web page on start. It actually works just fine, except that the Windows DHCP server seems to be kind of slow, and if I just let the system start without checking the browser initially just shows an \"internet no work\" sort of message. I got around this nicely by adding a couple of steps to .xinitrc before starting the web browser. First, I created a graphic to use as an X background that just has text that indicates that it\'s waiting for the network to come up. Then, I put a loop in .xinitrc that checks for a hostname on the internet to see if it resolves to an IP yet, which would tell me the internet had come up. I didn\'t want to have to install any specific additional software utilities or, ideally, to have to do any special parsing. It turns out that you can just use \"getent ahosts4 google.com\" (or other internet hostname) as a test for this - it will return nothing if the name doesn\'t resolve, so you only need to test if the response is not a blank. I used \"sleep 1\" to pause one second between tries. Once the resolution returns something, I had xsetbg change the background graphic to a more appropriate default and continue starting the browser, the VNC server, etc.</p>\r\n<p>The .xinitrc for that looks like this:</p>\r\n<pre><code>if [ -d /etc/X11/xinit/xinitrc.d ] ; then\r\n    for f in /etc/X11/xinit/xinitrc.d/?* ; do\r\n        [ -x \"$f\" ] && . \"$f\"\r\n    done\r\n    unset -f\r\nfi\r\n\r\nxset s off\r\nxset -dpms\r\nxsetbg -fullscreen WaitingForNetwork.png\r\n#vlc --extraintf=http --http-host 0.0.0.0:8080 --http-password \'PutPasswordHere\' -L playlist.m3u &\r\n#Not sure this is necessary - chromium seems to retry on its own\r\nwhile [ `getent ahostsv4 google.com` -eq \'\']\r\ndo\r\n##wait one second then check again to see if network is up\r\nsleep 1\r\ndone\r\nxsetbg NetworkNowUp.png\r\n##The URL below is a \"test to see if you can connect to a conference\" link\r\nchromium --incognito --app=https://www3.gotomeeting.com/join/406552062 &\r\nx0vncserver -display :0 -passwordfile /home/tech/.vnc/passwd &\r\nexec openbox-session</code></pre>\r\n<p>If you have any questions or comments, you can leave them at either</p>\r\n<p><a href=\"https://hackerpublicradio.org/eps.php?id=1989\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1989</a></p>\r\n<p>or on my own blog at</p>\r\n<p><a href=\"https://hpr.dogphilosophy.net\" class=\"uri\">https://hpr.dogphilosophy.net</a></p>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://hpr.dogphilosophy.network\" class=\"uri\">https://hpr.dogphilosophy.network</a></li>\r\n<li><a href=\"https://www.strangehorizons.com/2004/20040405/badger.shtml\" class=\"uri\">https://www.strangehorizons.com/2004/20040405/badger.shtml</a></li>\r\n<li><a href=\"https://archlinuxarm.org/platforms/armv6/raspberry-pi\" class=\"uri\">https://archlinuxarm.org/platforms/armv6/raspberry-pi</a></li>\r\n<li><a href=\"https://www.instructables.com/id/Compubeaver---%3E-How-to-case-mod-a-beaver---in-29-e/\">https://www.instructables.com/id/Compubeaver---%3E-How-to-case-mod-a-beaver---in-29-e/</a></li>\r\n<li><a href=\"https://wiki.archlinux.org/index.php/Systemd-networkd#Basic_DHCP_network\" class=\"uri\">https://wiki.archlinux.org/index.php/Systemd-networkd#Basic_DHCP_network</a></li>\r\n<li><a href=\"https://wiki.archlinux.org/index.php/Xinitrc#Autostart_X_at_login\" class=\"uri\">https://wiki.archlinux.org/index.php/Xinitrc#Autostart_X_at_login</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1989\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1989</a></li>\r\n<li><a href=\"https://hpr.dogphilosophy.net\" class=\"uri\">https://hpr.dogphilosophy.net</a></li>\r\n</ul>\r\n',182,0,0,'CC-BY-SA','linux,tutorial,howto,appliance,kiosk,media,video,audio,vlc,hardware,reuse',0,0,1),
(2004,'2016-04-07','A First Look at the Owon B35T',2167,'You are along for the ride as NYbill takes his first look at another inexpensive multimeter.','<p>You are along for the ride as NYbill takes his first look at another inexpensive Multimeter.</p>\r\n<p>This is part 1 of a quick look at the Owon B35T True RMS multimeter with Bluetooth.</p>\r\n<ul>\r\n<li><p>The Owon B35T:<br />\r\n<a href=\"https://tinyurl.com/glgpe2f\" class=\"uri\">https://tinyurl.com/glgpe2f</a></p></li>\r\n<li><p>The Extech TL809 Probe set:<br />\r\n<a href=\"https://tinyurl.com/zmue2z5\" class=\"uri\">https://tinyurl.com/zmue2z5</a></p></li>\r\n<li><p>Pics for the episode:<br />\r\n<a href=\"https://tinyurl.com/zwabxt9\" class=\"uri\">https://tinyurl.com/zwabxt9</a></p></li>\r\n</ul>',235,103,0,'CC-BY-SA','multimeter,Bluetooth,RMS',0,0,1),
(1992,'2016-03-22','How I\'m handling my podcast-subscriptions and -listening',497,'I\'m describing my workflow from receiving the files to listen to them.','<ul>\r\n<li><strong>podget</strong> <a href=\"https://aur.archlinux.org/packages/podget-git\" class=\"uri\">https://aur.archlinux.org/packages/podget-git</a></li>\r\n<li><strong>rennpod</strong> <a href=\"https://gitlab.com/swegryps/rennpod\" class=\"uri\">https://gitlab.com/swegryps/rennpod</a></li>\r\n<li><strong>puddletag</strong> <a href=\"https://puddletag.sourceforge.net\" class=\"uri\">https://puddletag.sourceforge.net</a></li>\r\n<li><strong>toogg</strong> <a href=\"https://gitlab.com/swegryps/toogg\" class=\"uri\">https://gitlab.com/swegryps/toogg</a></li>\r\n<li><strong>opconv</strong> <a href=\"https://gitlab.com/swegryps/opconv\" class=\"uri\">https://gitlab.com/swegryps/opconv</a></li>\r\n<li><strong>spalt</strong> <a href=\"https://gitlab.com/swegryps/spalt\" class=\"uri\">https://gitlab.com/swegryps/spalt</a></li>\r\n<li><strong>Rockbox</strong> <a href=\"https://www.rockbox.org\" class=\"uri\">https://www.rockbox.org</a></li>\r\n<li><a href=\"https://listenlive.nl\" class=\"uri\">https://listenlive.nl</a></li>\r\n</ul>\r\n\r\n<blockquote><p><small><b>Editor\'s Note 2018-06-12</b>: The links above which previously referenced GitHub\r\nhave been updated to reflect the new location of the software, GitLab.</small></p></blockquote>\r\n',309,0,1,'CC-BY-SA','podcasts,tools,listening,podget',0,0,1),
(1997,'2016-03-29','Introduction to sed - part 3',3828,'Looking at some more sed commands than just <em>s</em>','<h1 id=\"introduction-to-sed---part-3\">Introduction to sed - part 3</h1>\r\n<p>In the <a href=\"https://hackerpublicradio.org/eps.php?id=1986\" title=\"Introduction to sed - part 2\">last episode</a> we looked at <code>sed</code> at a more advanced level. We looked at all of the command-line options which we will cover in this series and examined the <strong>s</strong> command in much more detail. We covered many more details of <em>regular expressions</em>.</p>\r\n<p>In this episode we will look at more <code>sed</code> commands and how to use them.</p>\r\n<p>To read the rest of the notes for this episode follow this link: <a href=\"https://hackerpublicradio.org/eps/hpr1997/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1997/full_shownotes.html</a></p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><em>Introduction to sed - part 1</em>: <a href=\"https://hackerpublicradio.org/eps.php?id=1976\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1976</a></li>\r\n<li><em>Introduction to sed - part 2</em>: <a href=\"https://hackerpublicradio.org/eps.php?id=1986\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1986</a></li>\r\n<li>GNU <code>sed</code> manual: <a href=\"https://www.gnu.org/software/sed/manual/sed.html\" class=\"uri\">https://www.gnu.org/software/sed/manual/sed.html</a></li>\r\n<li>Wikipedia entry for <code>sed</code>: <a href=\"https://en.wikipedia.org/wiki/Sed\" class=\"uri\">https://en.wikipedia.org/wiki/Sed</a></li>\r\n<li>&quot;<em>Sed - An Introduction and Tutorial</em>&quot; by Bruce Barnett: <a href=\"https://www.grymoire.com/Unix/Sed.html\" class=\"uri\">https://www.grymoire.com/Unix/Sed.html</a></li>\r\n<li>The Geek Stuff <em>Unix Sed Tutorial</em>: <a href=\"https://www.thegeekstuff.com/2009/09/unix-sed-tutorial-printing-file-lines-using-address-and-patterns/\" class=\"uri\">https://www.thegeekstuff.com/2009/09/unix-sed-tutorial-printing-file-lines-using-address-and-patterns/</a></li>\r\n<li>Example files:\r\n<ul>\r\n<li>Demonstration of grouping: <a href=\"https://hackerpublicradio.org/eps/hpr1997/demo2.sed\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1997/demo2.sed</a></li>\r\n<li>Example 6 <code>sed</code> commands: <a href=\"https://hackerpublicradio.org/eps/hpr1997/example_6.sed\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1997/example_6.sed</a></li>\r\n<li>Example 7 executable <code>sed</code> script: <a href=\"https://hackerpublicradio.org/eps/hpr1997/example_7.sed\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1997/example_7.sed</a></li>\r\n</ul></li>\r\n</ul>',225,90,1,'CC-BY-SA','sed,stream editor,line address,regular expression,edit command',0,0,1),
(1994,'2016-03-24','Truck Repair: Serpentine Belt Replacement',3688,'Listen as I replace the serpentine belt, idler pulley, and belt tensioner in my truck.','<p>Come along for the ride as I repair my pickup truck. The job is to replace the <a href=\"https://en.wikipedia.org/wiki/Serpentine_belt\">serpentine belt</a>, <a href=\"https://www.wisegeek.org/what-is-an-idler-pulley.htm\">idler pulley</a>, and <a href=\"https://www.wisegeek.com/what-is-a-belt-tension-pulley.htm\">belt tensioner</a> in the hope of getting rid of a very annoying loud chirping sound that was coming from my engine. Even after cutting out the long pauses where I was staring at my engine trying to imagine how I was going to get the belt to go in the indicated pattern, this episode still tops out at about one hour. Be warned. There are several sections where you\'re just kind of listening along to sounds of nature as I work.</p>\r\n\r\n<p>Here\'s the instructional video I watched to learn how to do it:</p>\r\n\r\n<iframe width=\"320\" height=\"240\" src=\"https://www.youtube.com/embed/alXnTNxO9qw\" frameborder=\"0\" allowfullscreen></iframe>\r\n\r\n<p>\r\n<a href=\"https://www.youtube.com/watch?v=alXnTNxO9qw\">https://www.youtube.com/watch?v=alXnTNxO9qw</a>\r\n</p>\r\n\r\n<h2>Credits</h2>\r\n\r\n<ul>\r\n	<li>Music bumpers are from Kimiko Ishizaka\'s <em>The Open Goldberg Variations</em>: <a href=\"https://www.opengoldbergvariations.org/\">https://www.opengoldbergvariations.org/</a>, used by permission of their <a href=\"https://creativecommons.org/publicdomain/zero/1.0/\">CC0 1.0 Universal (CC0 1.0) Public Domain Dedication license</a>.</li>\r\n</ul>',238,0,1,'CC-BY-SA','DIY, Auto repair, auto maintenance, cars, trucks',0,0,1),
(2006,'2016-04-11','Basic Audio Production - Compression',1927,'Yet another explanation of sound compression in a DAW','<ul>\r\n<li>This tutorial that does a much better work than me:<br />\r\n<a href=\"https://www.dnbscene.com/article/1474-compress-to-impress-a-complete-compression-tutorial\" class=\"uri\">https://www.dnbscene.com/article/1474-compress-to-impress-a-complete-compression-tutorial</a></li>\r\n</ul>',323,45,1,'CC-BY-SA','Audio, Compression, Ardour, Audacity, Podcasts, Recording',0,0,1),
(1995,'2016-03-25','Cov\'s Jams',1730,'A compilation of libre licensed music that Cov enjoyed listening to','<h3>Songs</h3>\r\n<ul>\r\n<li>Materialização by Emerson Antoniacomi: <a href=\"https://www.jamendo.com/track/690907/materializacao\">https://www.jamendo.com/track/690907/materializacao</a> CC-BY-SA 3.0</li>\r\n<li> Lorna Doone (New) by Roy Smiles: <a href=\"https://www.jamendo.com/track/1132277/lorna-doone-new\">https://www.jamendo.com/track/1132277/lorna-doone-new</a> CC-BY-SA 3.0</li>\r\n<li>pomes verdes by Nicòmac: <a href=\"https://www.jamendo.com/track/497749/pomes-verdes\">https://www.jamendo.com/track/497749/pomes-verdes</a> CC-BY-SA 3.0</li>\r\n<li>IL PAESE delle MERAVIGLIE by La Corte Dei Folli: <a href=\"https://www.jamendo.com/track/1009747/il-paese-delle-meraviglie\">https://www.jamendo.com/track/1009747/il-paese-delle-meraviglie</a> CC-BY-SA 3.0</li>\r\n<li>Балтачым by Илнур Баязитов: <a href=\"https://www.jamendo.com/track/541459/baltachym\">https://www.jamendo.com/track/541459/baltachym</a> CC-BY-SA 3.0</li>\r\n<li>lastnight3 by GLITCH56: <a href=\"https://www.jamendo.com/track/544501/lastnight3\">https://www.jamendo.com/track/544501/lastnight3</a> CC-BY-SA 3.0</li>\r\n<li>Back On Isla De Libertad by DJBASTART: <a href=\"https://www.jamendo.com/track/1093294/back-on-isla-de-libertad\">https://www.jamendo.com/track/1093294/back-on-isla-de-libertad</a> CC-BY-SA 3.0</li>\r\n<li>City in motion by Arkadii Kaplan: <a href=\"https://www.jamendo.com/track/1056000/city-in-motion\">https://www.jamendo.com/track/1056000/city-in-motion</a> CC-BY-SA 3.0</li>\r\n</ul>\r\n\r\n<h3>Playlist</h3>\r\n<p>\r\n<a href=\"https://www.jamendo.com/playlist/500161911/cov-s-jams-002\">https://www.jamendo.com/playlist/500161911/cov-s-jams-002</a>\r\n</p>\r\n',322,22,1,'CC-BY-SA','music',0,0,1),
(1998,'2016-03-30','Homebrewing',1438,'A bit about making your own beer.','<p>\r\nIn this episode, I will share some tips about how to get the most out of an inexpensive, entry-level homebrewing kit such as the Mr. Beer branded kit. These tips will work with any kit, however.\r\n</p>',325,14,1,'CC-BY-SA','home brewing,accents',0,0,1),
(1999,'2016-03-31','How I record a full band under Linux',1193,'How I use Ardour, Jack audio, and a Presonus interface to record an entire band practice.','<p>How I use Ardour, Jack audio, and a Presonus interface to record an entire band practice under linux.</p>\r\n<ul>\r\n<li><p>Tools:</p>\r\n<ul>\r\n<li>Ardour</li>\r\n<li>Calf studio gear</li>\r\n<li>Invada Plugins</li>\r\n<li>ArtyFX</li>\r\n<li>Jack</li>\r\n<li>Qjackctl</li>\r\n</ul></li>\r\n<li><p>Hardware</p>\r\n<ul>\r\n<li>Dell Latitude e6320</li>\r\n<li>Presonus studiolive 16.4.2</li>\r\n<li>various Microphones</li>\r\n</ul></li>\r\n</ul>',327,0,0,'CC-BY-SA','Ardour,Jack audio,Presonus StudioLive mixer',0,0,1),
(2002,'2016-04-05','Just got a Raspberry Pi Zero',810,'Excited about having a Raspberry Pi Zero','<p><a href=\"https://anthonyvenable110.wordpress.com\">https://anthonyvenable110.wordpress.com</a></p>',297,0,1,'CC-BY-SA','raspberry pi',0,0,1),
(2014,'2016-04-21','A first look at the Owon B35T Part 2',1306,'More clicking of things, Bluetooth happens, things are taken apart...','<p>In this episode of HPR you get to hear more of the things on NYbill\'s electronics bench that make clicking noises.</p>\r\n<p>The review of the Owon B35T\'s continues. Bluetooth is now working. And we get an inside look at the meter.</p>\r\n<ul>\r\n<li><p>The Owon B35T:<br />\r\n<a href=\"https://tinyurl.com/glgpe2f\" class=\"uri\">https://tinyurl.com/glgpe2f</a></p></li>\r\n<li><p>Pics for the episode:<br />\r\n<a href=\"https://tinyurl.com/glf3hqb\" class=\"uri\">https://tinyurl.com/glf3hqb</a></p></li>\r\n</ul>\r\n',235,103,0,'CC-BY-SA','multimeter,Bluetooth',0,0,1),
(2029,'2016-05-12','The DSO138 Oscilloscope Kit',1258,'NYbill talks about building a DSO138 Oscilloscope kit.','<p>In this episode NYbill talks about building a DSO138 Oscilloscope kit.</p>\r\n<ul>\r\n<li><p>A note about counterfeits:<br />\r\n<a href=\"https://www.jyetech.com/Products/LcdScope/e138.php\" class=\"uri\">https://www.jyetech.com/Products/LcdScope/e138.php</a></p></li>\r\n<li><p>The kit with pre-soldered SMD parts:<br />\r\n<a href=\"https://tinyurl.com/j7sr9zy\" class=\"uri\">https://tinyurl.com/j7sr9zy</a></p></li>\r\n<li><p>Without pre-soldered parts:<br />\r\n<a href=\"https://tinyurl.com/hxp3bz3\" class=\"uri\">https://tinyurl.com/hxp3bz3</a></p></li>\r\n<li><p>The forums:<br />\r\n<a href=\"https://tinyurl.com/htq3tne\" class=\"uri\">https://tinyurl.com/htq3tne</a></p></li>\r\n<li><p>Pics for the episode:<br />\r\n<a href=\"https://media.gunmonkeynet.net/u/nybill/collection/the-dso138-oscilloscope-kit/\" class=\"uri\">https://media.gunmonkeynet.net/u/nybill/collection/the-dso138-oscilloscope-kit/</a></p></li>\r\n</ul>\r\n',235,103,0,'CC-BY-SA','oscilloscope,electronics,soldering,SMD',0,0,1),
(2044,'2016-06-02','Bring on the Power!',1160,'It this episode NYbill talks about power supplies used for electronics work.','<p>It this episode NYbill talks about power supplies used for electronics work.</p>\r\n<ul>\r\n<li>Picture for the episode:<br />\r\n<a href=\"https://media.gunmonkeynet.net/u/nybill/m/my-two-power-supplies/\" class=\"uri\">https://media.gunmonkeynet.net/u/nybill/m/my-two-power-supplies/</a></li>\r\n</ul>\r\n',235,0,0,'CC-BY-SA','power supply,electronics',0,0,1),
(2016,'2016-04-25','Echoprint',799,'I share what I\'ve learned about the Echoprint music identification system','<p>Ken\'s message asking about programmatically checking for the intro and outro: \r\n<a href=\"https://thread.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1039\">https://thread.gmane.org/gmane.network.syndication.podcast.hacker-public-radio/1039</a></p>\r\n<p>The Echoprint website: <a href=\"https://echoprint.me\">https://echoprint.me</a></p>\r\n<p>Codegen source code: <a href=\"https://github.com/echonest/echoprint-codegen\">https://github.com/echonest/echoprint-codegen</a></p>\r\n<p>Echoprint - An Open Music Identification Service: <a href=\"https://www.ee.columbia.edu/~dpwe/pubs/EllisWP11-echoprint.pdf\">https://www.ee.columbia.edu/~dpwe/pubs/EllisWP11-echoprint.pdf</a></p>\r\n<p>Server source code<a href=\"https://github.com/echonest/echoprint-server\">https://github.com/echonest/echoprint-server</a></p>',257,0,0,'CC-BY-SA','Echoprint,music identification',0,0,1),
(2053,'2016-06-15','My 2nd HPR Beer Podcast',132,'Describing the taste of beers I\'ve tried','<p>Hi everyone,</p>\r\n<p>It\'s MeToo here again recording for HPR with a follow on beer tasting podcast. Let me first apologize for the audio quality of this and the next eleven beer podcasts. They were all recorded live on my phone in the Nobody Knows Bar, so there is a bit of a background noise. I just hope it\'s not too distracting.</p>\r\n<p>The following twelve beer podcasts were recorded over a period of several months. A couple of them, even though they were recorded at the same \"sitting\", I\'ve chosen to break up into several podcasts, just so as to add more podcasts to HPR.</p>\r\n<p>In a few cases, it\'s obvious that I get a little tongue tied. Please forgive me. I normally tend to just have one beer per sitting, but the beer is so good and I\'m with friends, and as such have had more than one per sitting at those times.</p>\r\n<p>But enough of the explanations and apologies. Let\'s get on to the heart of the podcast: my impressions of several beers.</p>\r\n<p>One more thing before we start. The beer in this podcast is Old Foghorn. I mislabeled it in the recording as Old Fog.</p>\r\n<p>\r\n<a href=\"https://www.hackerpublicradio.org/eps/hpr2053.jpg\">\r\n<img src=\"https://www.hackerpublicradio.org/eps/hpr2053_small.jpg\" alt=\"hand holding beer\"/>\r\n</a>\r\n</p>\r\n<p>[Audio from pre-recorded report]</p>\r\n<p>Well. there you have it. Not one of my better recordings. But I hope you liked it nonetheless.</p>\r\n<p>So, this is MeToo here signing out until next time, wishing you happy trails and happy beers.</p>\r\n',313,0,0,'CC-BY-SA','beer tasting',0,0,1),
(2011,'2016-04-18','Introduction to sed - part 4',2858,'How sed really works. Less frequently used sed commands','<h1 id=\"introduction-to-sed---part-4\">Introduction to sed - part 4</h1>\r\n<p>In the <a href=\"https://hackerpublicradio.org/eps.php?id=1997\" title=\"Introduction to sed - part 3\">last episode</a> we looked at some of the more frequently used <code>sed</code> commands, having spent previous episodes looking at the <strong>s</strong> command, and we also covered the concept of line addressing.</p>\r\n<p>In this episode we will look at how <code>sed</code> really works in all the gory details, examine some of the remaining <code>sed</code> commands and begin to build useful <code>sed</code> programs.</p>\r\n<p>To read the rest of the notes for this episode follow this link: <a href=\"https://hackerpublicradio.org/eps/hpr2011/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2011/full_shownotes.html</a></p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><em>Introduction to sed - part 1</em>: <a href=\"https://hackerpublicradio.org/eps.php?id=1976\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1976</a></li>\r\n<li><em>Introduction to sed - part 2</em>: <a href=\"https://hackerpublicradio.org/eps.php?id=1986\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1986</a></li>\r\n<li><em>Introduction to sed - part 3</em>: <a href=\"https://hackerpublicradio.org/eps.php?id=1997\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1997</a></li>\r\n<li><em>Some further Bash tips</em>: <a href=\"https://hackerpublicradio.org/eps.php?id=1903\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1903</a></li>\r\n<li>GNU <code>sed</code> manual: <a href=\"https://www.gnu.org/software/sed/manual/sed.html\" class=\"uri\">https://www.gnu.org/software/sed/manual/sed.html</a></li>\r\n<li>Wikipedia entry for <code>sed</code>: <a href=\"https://en.wikipedia.org/wiki/Sed\" class=\"uri\">https://en.wikipedia.org/wiki/Sed</a></li>\r\n<li>&quot;<em>Sed - An Introduction and Tutorial</em>&quot; by Bruce Barnett: <a href=\"https://www.grymoire.com/Unix/Sed.html\" class=\"uri\">https://www.grymoire.com/Unix/Sed.html</a></li>\r\n<li>Wikibooks sed wiki: <a href=\"https://en.wikibooks.org/wiki/Sed\" class=\"uri\">https://en.wikibooks.org/wiki/Sed</a></li>\r\n<li>Example files:\r\n<ul>\r\n<li>Demonstration Bash script: <a href=\"https://hackerpublicradio.org/eps/hpr2011/demo3.sh\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2011/demo3.sh</a></li>\r\n<li>Demonstration of \'<em>M</em>\' modifier: <a href=\"https://hackerpublicradio.org/eps/hpr2011/demo4.sed\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2011/demo4.sed</a></li>\r\n</ul></li>\r\n<li>Wikipedia entry for &quot;<em>Pig Latin</em>&quot;: <a href=\"https://en.wikipedia.org/wiki/Pig_Latin\" class=\"uri\">https://en.wikipedia.org/wiki/Pig_Latin</a></li>\r\n</ul>',225,90,1,'CC-BY-SA','sed,stream editor,pattern space,hold space',0,0,1),
(2007,'2016-04-12','My new laptop',1042,'I won an Entroware laptop at OggCamp 2015. I talk about it here','<h1 id=\"my-new-laptop\">My new laptop</h1>\r\n<p>I attended <a href=\"https://oggcamp.org/\" title=\"OggCamp15\">OggCamp15</a> in Liverpool at the end of October 2015. As usual I bought some raffle tickets as a contribution to the expenses of the (un-)conference, not paying much attention to the prizes.</p>\r\n<p>Actually, the star prize was a laptop donated by <a href=\"https://entroware.com/\" title=\"Entroware Ltd\">Entroware</a>, a significant sponsor of the event, one of the most impressive prizes ever offered at OggCamp. There was quite a lot of excitement about this prize.</p>\r\n<p>I attended the drawing of the raffle at the end of proceedings on the Sunday. <a href=\"https://danlynch.org/blog/\" title=\"Dan Lynch&#39;s Blog\">Dan Lynch</a> (of Linux Outlaws, and a frequent organiser of OggCamp) was in attendance overseeing the selection of the raffle tickets. Various smaller prizes were won and the tension built up as the final drawing approached.</p>\r\n<p>Things got very tense when the first number drawn for the laptop was called and nobody responded. Then another draw was made.</p>\r\n<p>Imagine my shock and surprise when I realised I had the winning ticket! I had won the star prize in the OggCamp raffle!</p>\r\n<p>See the full show notes here <a href=\"https://hackerpublicradio.org/eps/hpr2007/full_shownotes.html\">https://hackerpublicradio.org/eps/hpr2007/full_shownotes.html</a> for the details of the laptop.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>OggCamp15: <a href=\"https://oggcamp.org/\" class=\"uri\">https://oggcamp.org/</a></li>\r\n<li>Entroware Ltd.: <a href=\"https://entroware.com/\" class=\"uri\">https://entroware.com/</a></li>\r\n<li>Wikipedia article on &quot;<em>Ubuntu Netbook Edition</em>&quot;: <a href=\"https://en.wikipedia.org/wiki/Ubuntu_Netbook_Edition\" class=\"uri\">https://en.wikipedia.org/wiki/Ubuntu_Netbook_Edition</a></li>\r\n<li>Wikipedia article on &quot;<em>CrunchBang Linux</em>&quot;: <a href=\"https://en.wikipedia.org/wiki/CrunchBang_Linux\" class=\"uri\">https://en.wikipedia.org/wiki/CrunchBang_Linux</a></li>\r\n<li>TuxJam: <a href=\"https://unseenstudio.co.uk/category/tuxjam-ogg/\" class=\"uri\">https://unseenstudio.co.uk/category/tuxjam-ogg/</a></li>\r\n</ul>',225,0,1,'CC-BY-SA','laptop, Ubuntu, OggCamp, entroware',0,0,1),
(2008,'2016-04-13','HPR needs shows to survive.',1180,'Do not listen to this show. Record one instead.','<p>\r\nYou can help out the Hacker Public Radio project by recording a show today. <br />\r\nSee <a href=\"https://hackerpublicradio.org/contribute.php\">https://hackerpublicradio.org/contribute.php</a> for more information.\r\n</p>\r\n',30,0,0,'CC-BY-SA','HPR,community,shows,call to action,contribute',0,0,1),
(2009,'2016-04-14','Understanding the GNU/Screen Hardstatus line',1518,'CPrompt talks about how he configured his GNU/Screen to suit his needs.','<h3>Links</h3>\r\n<p>\r\n<a href=\"https://github.com/CPrompt/configs/blob/master/.screenrc\">https://github.com/CPrompt/configs/blob/master/.screenrc</a> (CPrompt\'s .screenrc file)\r\n<br />\r\n<a href=\"https://www.gnu.org/software/screen/manual/html_node/String-Escapes.html\">https://www.gnu.org/software/screen/manual/html_node/String-Escapes.html </a> (GNU Man page on String Escapes)\r\n</p>',252,0,0,'CC-BY-SA','GNU/Screen,.screenrc,terminal multiplexer',0,0,1),
(2010,'2016-04-15','Parsing JSON with Python',731,'How to parse JSON with Python','<p>JSON is a popular way of storing data in a key/value type arrangement so that the data can be parsed easily later. For instance, here is a very simple JSON snippet:</p>\r\n<pre><code>{\r\n&quot;name&quot;:&quot;tux&quot;,\r\n&quot;health&quot;:&quot;23&quot;,\r\n&quot;level&quot;:&quot;4&quot;\r\n}</code></pre>\r\n<p>If you are like me, three questions probably spring to your mind:</p>\r\n<ol type=\"1\">\r\n<li><p><em>That looks an awful lot like a Python dictionary.</em></p>\r\n<p>Yes, it looks exactly like a Python dictionary. They are shockingly similar. If you are comfortable with Python lists and dictionaries, you will feel right at home with JSON.</p></li>\r\n<li><p><em>I don\'t feel comfortable with dictionaries, can\'t I just use a delimited text file?</em></p>\r\n<p>You can, but you will have to write parsers for it yourself. If your data gets very complex, the parsing can get pretty ugly.</p>\r\n<p>That is not to say that you should not use a simple delimited text file if that is all that your programme needs. For example, I would not want to open a config file as a user and find that I have to format all my options as valid JSON.</p>\r\n<p>Just know that JSON is out there and available, and that the JSON Python module has some little features that make your life easier when dealing with sets of data.</p></li>\r\n<li><p><em>Why not use XML instead?</em></p>\r\n<p>You can. Mostly one should use the most appropriate format for one\'s project. I\'m a big fan of XML, but sometimes JSON makes more sense.</p></li>\r\n</ol>\r\n<p>I am not going to make this post about teaching the JSON format. If you need clarification on how to structure data into JSON, go through a tutorial on it somewhere; there are several good ones online. Honestly, it\'s not that complex; you can think of JSON as nested dictionaries.</p>\r\n<p>Starting from scratch, let\'s say that you write a programme that by nature gathers data as it runs. When the user quits, you want to save the data to a file so that when the user resumes the app later, they can load the file back in and pick up where they left off.</p>\r\n<h2 id=\"storing-data-as-json\">Storing Data as JSON</h2>\r\n<p>At its most basic, the JSON data structure is basically the same as a Python dictionary, and in fact the nice thing about JSON is that it can be directly imported into a Python dictionary. Usually, however, you are resorting to JSON because you have somewhat complex data, so in the sample code we will use a dictionary-within-a-dictionary:</p>\r\n<pre><code>#!/usr/bin/env python\r\n\r\ngame = {&#39;tux&#39;: {&#39;health&#39;: 23, &#39;level&#39;: 4}, &#39;beastie&#39;: {&#39;health&#39;: 13, &#39;level&#39;: 6}}\r\n# you can always add more to your dictionary\r\n\r\ngame[&#39;konqi&#39;] = {&#39;health&#39;: 18, &#39;level&#39;: 7}</code></pre>\r\n<p>That code creates a ditionary called <strong>game</strong> which stores the player name and a corresponding dictionary of attributes about how the player is doing in the progress of the game. As you can see after the comment, adding new players is simple.</p>\r\n<p>Now let\'s see how to save that data to a save file.</p>\r\n<pre><code>## continued...\r\nimport json\r\n\r\nwith open(&#39;dosiero.json&#39;, &#39;w&#39;) as outfile:\r\n    json.dump(game, outfile)</code></pre>\r\n<p>That would be your save command. Simple as that, all the structured content of your game dictionary is committed to a file on your hard drive.</p>\r\n<h2 id=\"reading-data-from-a-json-file\">Reading Data from a JSON File</h2>\r\n<p>If you are saving data to JSON, you probably will evenually want to read the data back into Python. For this, Python features the function <strong>json.load</strong></p>\r\n<pre><code>import json\r\n\r\ndosiero = open(&#39;dosiero.json&#39;)\r\ngame = json.load(dosiero)\r\n\r\nprint game[&#39;tux&#39;]     # prints {&#39;health&#39;: 23, &#39;level&#39;: 4}\r\nprint game[&#39;tux&#39;][&#39;health&#39;]    # prints 23\r\nprint game[&#39;tux&#39;][&#39;level&#39;]     # prints 4\r\n\r\n# when finished, close the file\r\n\r\njson_data.close()</code></pre>\r\n<p>As you can see, JSON integrates surprisingly well with Python, so it\'s a great format when your data fits in with its model.</p>\r\n<p>Have fun!</p>\r\n<p>[EOF]</p>\r\n<p>Made with Free Software.</p>\r\n',78,38,0,'CC-BY-SA','Python,dictionary,JSON',0,0,1),
(2012,'2016-04-19','Parsing XML in Python with Untangle',1262,'A quick introduction to Untangle, an XML parser for Python.','<p>XML is a popular way of storing data in a hierarchical arrangement so that the data can be parsed later. For instance, here is a simple XML snippet:</p>\r\n<pre><code>&lt;?xml version=&quot;1.0&quot;?&gt;\r\n&lt;book&gt;\r\n   &lt;chapter id=&quot;prologue&quot;&gt;\r\n      &lt;title&gt;\r\n     The Beginning\r\n &lt;/title&gt;\r\n   &lt;/chapter&gt;\r\n&lt;/book&gt;</code></pre>\r\n<p>The nice thing about XML is that it is explicit and strictly structured. The trade-off is that it\'s pretty verbose, and getting to where you want to go often requires fairly complex navigation.</p>\r\n<p>If you do a quick search online for XML parsing in Python, your two most common results are <code>lxml</code> and <code>beautifulsoup</code>. These both work, but using them feels less like opening a dictionary (as with JSON) to look up a definition and more like wandering through a library to gather up all the dictionaries you can possibly find.</p>\r\n<p>In JSON, the thought process might be something like:</p>\r\n<p>&quot;Go to the first chapter\'s title and print the contents.&quot;</p>\r\n<p>With traditional XML tools, it\'s more like:</p>\r\n<p>&quot;Open the book element and gather all instances of titles that fall within those chapters. Then, look into the resulting object and print the contents of the first occurrence.&quot;</p>\r\n<p>There are at least two libaries that you can install and use to bring some sanity to complex XML structures, one of which is <code>untangle</code>.</p>\r\n<h2 id=\"untangle\">Untangle</h2>\r\n<p>With <code>untangle</code>, each element in an XML document gets converted into a class, which you can then probe for information. Makes no sense? well, follow along and it will become clear:</p>\r\n<p>First, ingest the XML document. Assuming it\'s called <code>sample.xml</code> and is located in the current directory:</p>\r\n<pre><code>&gt;&gt;&gt; import untangled\r\n&gt;&gt;&gt; data = untangle.parse(&#39;sample.xml&#39;)</code></pre>\r\n<p>Now our simple XML sample is sitting in RAM, as a Python class. The first element is <code>&lt;book&gt;</code> and all it contains is more elements, so its results are not terribly exciting:</p>\r\n<pre><code>&gt;&gt;&gt; data.book\r\nElement(name = book, attributes = {}, cdata = )</code></pre>\r\n<p>As you can see, it <em>does</em> identify itself as &quot;book&quot; (under the <em>name</em> listing) but otherwise, not much to look at. That\'s OK, we can keep drilling down:</p>\r\n<pre><code>&gt;&gt;&gt; data.book.chapter\r\nElement(name = chapter, attributes = {&#39;id&#39;: &#39;prologue&#39;}, cdata = )</code></pre>\r\n<p>Now things get more interesting. The next element identifies itself as &quot;chapter&quot;, and reveals that it has an attribute &quot;id&quot; which has a value of &quot;prologue&quot;. To continue down this path:</p>\r\n<pre><code>&gt;&gt;&gt; data.book.chapter.title\r\nElement(name = title, attributes = {}, cdata = The Beginning )</code></pre>\r\n<p>And now we have a pretty complete picture of our little XML document. We have a breadcrumb trail of where we are in the form of the class we are invoking (<code>data.book.chapter.title</code>) and we have the contents of our current position.</p>\r\n<h3 id=\"sniping\">Sniping</h3>\r\n<p>That\'s very linear; if you know your XML schema (and you usually do, since XML is quite strict) then you can grab values without all the walking. For instance, we know that our chapters have \'id\' attributes, so we can ask for exactly that:</p>\r\n<pre><code>&gt;&gt;&gt; data.book.chapter[&#39;id&#39;]\r\n&#39;prologue&#39;</code></pre>\r\n<p>You can also get the contents of elements by looking at the <code>cdata</code> component of the class. Depending on the formatting of your document, <code>untangle</code> may be a little too literal with how it stores contents of elements, so you may want to use <code>.strip()</code> to prettify it:</p>\r\n<pre><code>&gt;&gt;&gt; data.book.chapter.title.cdata.strip()\r\n&#39;The Beginning&#39;</code></pre>\r\n<h3 id=\"dealing-with-more-than-one-element\">Dealing with More Than One Element</h3>\r\n<p>My example so far is nice and tidy, with only one chapter in the book. Generally you\'ll be dealing with more data than that. Let\'s add another chapter to our sample file, and some content to each:</p>\r\n<pre><code>&lt;?xml version=&quot;1.0&quot;?&gt;\r\n&lt;book&gt;\r\n   &lt;chapter id=&quot;prologue&quot;&gt;\r\n      &lt;title&gt;\r\n     The Beginning\r\n  &lt;/title&gt;\r\n      &lt;para&gt;\r\n     This is the first paragraph.\r\n      &lt;/para&gt;\r\n    &lt;/chapter&gt;\r\n\r\n    &lt;chapter id=&quot;end&quot;&gt;\r\n      &lt;title&gt;\r\n     The Ending\r\n  &lt;/title&gt;\r\n      &lt;para&gt;\r\n     Last para of last chapter.\r\n      &lt;/para&gt;\r\n    &lt;/chapter&gt;\r\n&lt;/book&gt;</code></pre>\r\n<p>Accessing each chapter is done with index designations, just like with a <code>dict</code>:</p>\r\n<pre><code>&gt;&gt;&gt; data.book.chapter[0]\r\nElement(name = chapter, attributes = {&#39;id&#39;: &#39;prologue&#39;}, cdata = )\r\n&gt;&gt;&gt; data.book.chapter[1]\r\nElement(name = chapter, attributes = {&#39;id&#39;: &#39;end&#39;}, cdata = )</code></pre>\r\n<p>If there is more than one instance of a tag, you <em>must</em> use a designator or else <code>untangle</code> won\'t know what to return. For example, if we want to access either the <code>title</code> or <code>para</code> elements within a chapter:</p>\r\n<pre><code>&gt;&gt;&gt; data.book.chapter.title\r\nTraceback (most recent call last):\r\nFile &quot;&lt;stdin&gt;&quot;, line 1, in &lt;module&gt;\r\nAttributeError: &#39;list&#39; object has no attribute &#39;title&#39;</code></pre>\r\n<p>Oops. But if we tell it which one to look at:</p>\r\n<pre><code>&gt;&gt;&gt; data.book.chapter[0].title.cdata.strip()\r\n&#39;The Beginning&#39;\r\n&gt;&gt;&gt; data.book.chapter[1].title.cdata.strip()\r\n&#39;The Ending&#39;</code></pre>\r\n<p>Or you can look at the paragraph instead of the title. The lineage is the same, only instead of looking at the <code>title</code> child, you look at the <code>para</code> child:</p>\r\n<pre><code>&gt;&gt;&gt; data.book.chapter[0].para.cdata.strip()\r\n&#39;This is the first paragraph.&#39;\r\n&gt;&gt;&gt; data.book.chapter[1].para.cdata.strip()\r\n&#39;Last para of last chapter.&#39;</code></pre>\r\n<p>You can also iterate over items:</p>\r\n<pre><code>&gt;&gt;&gt; COUNT = [0,1]\r\n&gt;&gt;&gt; for TICK in COUNT:\r\n...     print(data.book.chapter[TICK])\r\nElement &lt;chapter&gt; with attributes {&#39;id&#39;: &#39;prologue&#39;} and children\r\n[Element(name = title, attributes = {}, cdata = The Beginning ),\r\nElement(name = para, attributes = {}, cdata = This is the first paragraph.)]\r\n\r\nElement &lt;chapter&gt; with attributes {&#39;id&#39;: &#39;end&#39;} and children\r\n[Element(name = title, attributes = {}, cdata = The Ending ),\r\nElement(name = para, attributes = {}, cdata = Last para of last chapter.)]</code></pre>\r\n<p>And so on.</p>\r\n<h3 id=\"easy-and-fast\">Easy and Fast</h3>\r\n<p>I\'ll admit the data structure of the classes does look odd, and you could probably argue it\'s not the cleanest and most elegant of all output; it\'s unnerving to see empty <code>cdata</code> fields or to constantly run into the need to <code>strip()</code> whitespace. However, the ease and speed and intuitiveness of parsing XML with <code>untangle</code> is usually well worth any trade-offs.</p>\r\n<p>[EOF]</p>\r\n<p>Made on Free Software.</p>\r\n',78,38,1,'CC-BY-SA','python, parse, xml',0,0,1),
(2013,'2016-04-20','Parsing XML in Python with Xmltodict',849,'A quick introduction to xmltodict, an XML parser for Python.','<p>\r\nIf Untangle is too simple for your XML parsing needs, check out xmltodict. Like untangle, xmltodict is simpler than the usual suspects (lxml, beautiful soup), but it\'s got some advanced features as well.\r\n</p>\r\n<p>If you\'re reading this article, I assume you\'ve read at least the introduction to my article about <a href=\"https://hackerpublicradio.org/eps.php?id=2012\">Untangle</a>, and you should probably also read, at some point, my article on using <a href=\"https://hackerpublicradio.org/eps.php?id=2010\">JSON</a> just so you know your options.</p>\r\n<p>Quick re-cap about XML:</p>\r\n<p>XML is a way of storing data in a hierarchical arrangement so that the data can be parsed later. It\'s explicit and strictly structured, so one of its benefits is that it paints a fairly verbose definition of data. Here\'s an example of some simple XML:</p>\r\n<pre><code>&lt;?xml version=&quot;1.0&quot;?&gt;\r\n&lt;book&gt;\r\n   &lt;chapter id=&quot;prologue&quot;&gt;\r\n      &lt;title&gt;\r\n     The Beginning\r\n  &lt;/title&gt;\r\n      &lt;para&gt;\r\n     This is the first paragraph.\r\n      &lt;/para&gt;\r\n    &lt;/chapter&gt;\r\n\r\n    &lt;chapter id=&quot;end&quot;&gt;\r\n      &lt;title&gt;\r\n     The Ending\r\n  &lt;/title&gt;\r\n      &lt;para&gt;\r\n     Last para of last chapter.\r\n      &lt;/para&gt;\r\n    &lt;/chapter&gt;\r\n&lt;/book&gt;</code></pre>\r\n<p>And here\'s some info about the <code>xmltodict</code> library that makes parsing that a lot easier than the built-in Python tools:</p>\r\n<h2 id=\"install\">Install</h2>\r\n<p>Install <code>xmltodict</code> manually, or from your repository, or using <code>pip</code>:</p>\r\n<pre><code>$ pip install xmltodict</code></pre>\r\n<p>or if you need to install it locally:</p>\r\n<pre><code>$ pip install --user xmltodict</code></pre>\r\n<h2 id=\"xmltodict\">Xmltodict</h2>\r\n<p>With <code>xmltodict</code>, each element in an XML document gets converted into a dictionary (specifically an <code>OrderedDictionary</code>), which you then treat basically the same as you would JSON (or any Python OrderedDict).</p>\r\n<p>First, ingest the XML document. Assuming it\'s called <code>sample.xml</code> and is located in the current directory:</p>\r\n<pre><code>&gt;&gt;&gt; import xmltodict\r\n&gt;&gt;&gt; with open(&#39;sample.xml&#39;) as f:\r\n...     data = xmltodict.parse(f.read())</code></pre>\r\n<p>If you\'re a visual thinker, you might want or need to see the data. You can look at it just by dumping data:</p>\r\n<pre><code>&gt;&gt;&gt; data\r\nOrderedDict([(&#39;book&#39;, OrderedDict([(&#39;chapter&#39;,\r\n[OrderedDict([(&#39;@id&#39;, &#39;prologue&#39;),\r\n(&#39;title&#39;, &#39;The Beginning&#39;),\r\n...and so on...</code></pre>\r\n<p>Not terribly pretty to look at. Slightly less ugly is your data set piped through <code>json.dumps</code>:</p>\r\n<pre><code>&gt;&gt;&gt; import json\r\n&gt;&gt;&gt; json.dumps(data)\r\n&#39;{&quot;book&quot;: {&quot;chapter&quot;: [{&quot;@id&quot;: &quot;prologue&quot;,\r\n&quot;title&quot;: &quot;The Beginning&quot;, &quot;para&quot;: &quot;This is the first paragraph.&quot;},\r\n{&quot;@id&quot;: &quot;end&quot;, &quot;title&quot;: &quot;The Ending&quot;,\r\n&quot;para&quot;: &quot;This is the last paragraph of the last chapter.&quot;}]\r\n}}&#39;</code></pre>\r\n<p>You can try other feats of pretty printing, if they help:</p>\r\n<pre><code>&gt;&gt;&gt; pp = pprint.PrettyPrinter(indent=4)\r\n&gt;&gt;&gt; pp.pprint(data)\r\n{ &#39;book&#39;: { &#39;chapter&#39;: [{&#39;@id&#39;: &#39;prologue&#39;,\r\n                         &#39;title&#39;: &#39;The Beginning&#39;,\r\n             &#39;para&#39;: &#39;This is the ...\r\n                         ...and so on...                 </code></pre>\r\n<p>More often than not, though, you\'re going to be &quot;walking&quot; the XML tree, looking for specific points of interest. This is fairly easy to do, as long as you remember that syntactically you\'re dealing with a Python dict, while structurally, inheritance matters.</p>\r\n<h3 id=\"elements-tags\">Elements (Tags)</h3>\r\n<p>Exploring the data element-by-element is very easy. Calling your data set by its root element (in our current example, that would be <code>data[\'book\']</code>) would return the entire data set under the <code>book</code> tag. We\'ll skip that and drill down to the <code>chapter</code> level:</p>\r\n<pre><code>&gt;&gt;&gt; data[&#39;book&#39;][&#39;chapter&#39;]\r\n[OrderedDict([(&#39;@id&#39;, &#39;prologue&#39;), (&#39;title&#39;, &#39;The Beginning&#39;),\r\n(&#39;para&#39;, &#39;This is the first paragraph.&#39;)]),\r\nOrderedDict([(&#39;@id&#39;, &#39;end&#39;), (&#39;title&#39;, &#39;The Ending&#39;),\r\n(&#39;para&#39;, &#39;Last paragraph of last chapter.&#39;)])]</code></pre>\r\n<p>Admittedly, it\'s still a lot of data to look at, but you can see the structure.</p>\r\n<p>Since we have two chapters, we can enumerate which chapter to select, if we want. To see the zeroeth chapter:</p>\r\n<pre><code>&gt;&gt;&gt; data[&#39;book&#39;][&#39;chapter&#39;][0]\r\nOrderedDict([(&#39;@id&#39;, &#39;prologue&#39;),\r\n(&#39;title&#39;, &#39;The Beginning&#39;),\r\n(&#39;para&#39;, &#39;This is the first paragraph.&#39;)])</code></pre>\r\n<p>Or the first chapter:</p>\r\n<pre><code>&gt;&gt;&gt; data[&#39;book&#39;][&#39;chapter&#39;][1]\r\nOrderedDict([(&#39;@id&#39;, &#39;end&#39;), (&#39;title&#39;, &#39;The Ending&#39;),\r\n(&#39;para&#39;, &#39;Last paragraph of last chapter.&#39;)])</code></pre>\r\n<p>And of course, you can continue narrowing your focus:</p>\r\n<pre><code>&gt;&gt;&gt; data[&quot;book&quot;][&quot;chapter&quot;][0][&#39;para&#39;]\r\n&#39;This is the first paragraph.&#39;</code></pre>\r\n<p>It\'s sort of like Xpath for toddlers. Having had to work with Xpath, I\'m happy to have this option.</p>\r\n<h3 id=\"attributes\">Attributes</h3>\r\n<p>You may have already noticed that in the dict containing our data, there is some special notation happening. For instance, there is no <code>@id</code> element in our XML, and yet that appears in the dict.</p>\r\n<p><code>Xmltodict</code> uses the <code>@</code> symbol to signify an attribute of an element. So to look at the attribute of an element:</p>\r\n<pre><code>&gt;&gt;&gt; data[&#39;book&#39;][&#39;chapter&#39;][0][&#39;@id&#39;]\r\n&#39;prologue&#39;</code></pre>\r\n<p>If you need to see each attribute of each chapter tag, just iterate over the dict. A simple example:</p>\r\n<pre><code>&gt;&gt;&gt; for c in range(0,2):\r\n...     data[&#39;book&#39;][&#39;chapter&#39;][c][&#39;@id&#39;]\r\n...\r\n&#39;prologue&#39;\r\n&#39;end&#39;</code></pre>\r\n<h3 id=\"contents\">Contents</h3>\r\n<p>In addition to special notation for attributes, <code>xmltodict</code> uses the <code>#</code> prefix to denote contents of complex elements. To show this example, I\'ll make a minor modification to <code>sample.xml</code>:</p>\r\n<pre><code>&lt;?xml version=&quot;1.0&quot;?&gt;\r\n&lt;book&gt;\r\n   &lt;chapter id=&quot;prologue&quot;&gt;\r\n      &lt;title&gt;\r\n     The Beginning\r\n  &lt;/title&gt;\r\n      &lt;para class=&quot;linux&quot;&gt;\r\n     This is the first paragraph.\r\n      &lt;/para&gt;\r\n    &lt;/chapter&gt;\r\n\r\n    &lt;chapter id=&quot;end&quot;&gt;\r\n      &lt;title&gt;\r\n     The Ending\r\n  &lt;/title&gt;\r\n      &lt;para class=&quot;linux&quot;&gt;\r\n     Last para of last chapter.\r\n      &lt;/para&gt;\r\n    &lt;/chapter&gt;\r\n&lt;/book&gt;</code></pre>\r\n<p>Notice that the <code>&lt;para&gt;</code> elements now have a <code>linux</code> attribute, and also contain text content (unlike <code>&lt;chapter&gt;</code> elements, which have attributes but only contain other elements).</p>\r\n<p>Look at this data structure:</p>\r\n<pre><code>&gt;&gt;&gt; import xmltodict\r\n&gt;&gt;&gt; with open(&#39;sample.xml&#39;) as g:\r\n...     data = xmltodict.parse(g.read())\r\n&gt;&gt;&gt; data[&#39;book&#39;][&#39;chapter&#39;][0]\r\nOrderedDict([(&#39;@id&#39;, &#39;prologue&#39;),\r\n(&#39;title&#39;, &#39;The Beginning&#39;),\r\n(&#39;para&#39;, OrderedDict([(&#39;@class&#39;, &#39;linux&#39;),\r\n(&#39;#text&#39;, &#39;This is the first paragraph.&#39;)]))])</code></pre>\r\n<p>There is a new entry in the dictionary: <code>#text</code>. It contains the text content of the <code>&lt;para&gt;</code> tag and is accessible in the same way that an attribute is:</p>\r\n<pre><code>&gt;&gt;&gt; data[&#39;book&#39;][&#39;chapter&#39;][0][&#39;para&#39;][&#39;#text&#39;]\r\n&#39;This is the first paragraph.&#39;</code></pre>\r\n<h3 id=\"advanced\">Advanced</h3>\r\n<p>The <code>xmltodict</code> module supports XML namespaces and can also dump your data back into XML. For more documentation on this, have a look at the module on <a href=\"https://github.com/martinblech/xmltodict\">github.com/martinblech/xmltodict</a>.</p>\r\n<h2 id=\"what-to-use\">What to Use?</h2>\r\n<p>Between <code>untangle</code>, <code>xmltodict</code>, and JSON, you have pretty good set of options for data parsing. There really are diferent uses for each one, so there\'s not necessarily a &quot;right&quot; or &quot;wrong&quot; answer. Try them out, see what you prefer, and use what is best. If you don\'t know what\'s best, use what you\'re most comfortable with; you can always improve it later.</p>\r\n<p>[EOF]</p>\r\n<p>Made on Free Software.</p>\r\n',78,38,1,'CC-BY-SA','python, parse, xml',0,0,1),
(2015,'2016-04-22','Linux in the Church',1116,'How I\'m using Linux for many of my projects at church.','<p>Linux has been my exclusive OS for many years. When I became the tech director at my church I wanted to utilize the power and freedom of Open Source so I\'m gradually implementing it on many of my projects.</p>\r\n<p>\r\n<a href=\"https://hackerpublicradio.org/eps/hpr2015.jpg\">\r\n<img src=\"https://hackerpublicradio.org/eps/hpr2015_small.jpg\" alt=\"Photo of the rig in the church\"/></a>\r\n</p>\r\n',328,0,0,'CC-BY-SA','Linux, Church, Tech, Sound',0,0,1),
(2017,'2016-04-26','Here are my thoughts on a 3D printer Kit.',750,'Bought a 3D printer kit. My thoughts on how it went together.','<p>I purchased a 3D printer kit from AliExpress.</p>\r\n<p><a href=\"https://www.aliexpress.com/item/Free-shipping-High-Quality-Precision-Reprap-Prusa-i3-DIY-3d-Printer-kit-with-2-Roll-Filament/32424257787.html\" class=\"uri\">https://www.aliexpress.com/item/Free-shipping-High-Quality-Precision-Reprap-Prusa-i3-DIY-3d-Printer-kit-with-2-Roll-Filament/32424257787.html</a></p>\r\n<p>Here are some after thoughts on how I liked it, a little overview of 3D printers and why I bought this one.</p>\r\n<p>Pictures of the printer as assembled, and a few items I printed <a href=\"https://www.travestylabs.com/3Dprinter/\" class=\"uri\">https://www.travestylabs.com/3Dprinter/</a></p>\r\n<p>I hope to make this into a series about software, tips and modifications, and other thoughts I have to share about it.</p>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.aliexpress.com/item/Free-shipping-High-Quality-Precision-Reprap-Prusa-i3-DIY-3d-Printer-kit-with-2-Roll-Filament/32424257787.html\" class=\"uri\">https://www.aliexpress.com/item/Free-shipping-High-Quality-Precision-Reprap-Prusa-i3-DIY-3d-Printer-kit-with-2-Roll-Filament/32424257787.html</a></li>\r\n<li><a href=\"https://www.travestylabs.com/3Dprinter/\" class=\"uri\">https://www.travestylabs.com/3Dprinter/</a></li>\r\n</ul>\r\n',307,0,0,'CC-BY-SA','3D printer, RepRap kit',0,0,1),
(2018,'2016-04-27','How to make Komboucha Tea',988,'Here, I describe how to brew your own komboucha tea.','<h1 id=\"how-to-make-kamboucha-tea\">How to Make Kamboucha Tea</h1>\r\n<p><em>Makes about 1 gallon</em></p>\r\n<h3 id=\"ingredients\">Ingredients</h3>\r\n<table>\r\n<thead>\r\n<tr class=\"header\">\r\n<th style=\"text-align: left;\">Ingredient</th>\r\n<th style=\"text-align: left;\">US</th>\r\n<th style=\"text-align: left;\">Metric</th>\r\n</tr>\r\n</thead>\r\n<tbody>\r\n<tr class=\"odd\">\r\n<td style=\"text-align: left;\">water</td>\r\n<td style=\"text-align: left;\">3 1/2 quarts</td>\r\n<td style=\"text-align: left;\">??</td>\r\n</tr>\r\n<tr class=\"even\">\r\n<td style=\"text-align: left;\">white sugar</td>\r\n<td style=\"text-align: left;\">1 cup</td>\r\n<td style=\"text-align: left;\">??</td>\r\n</tr>\r\n<tr class=\"odd\">\r\n<td style=\"text-align: left;\">black tea</td>\r\n<td style=\"text-align: left;\">8 bags (or 2 tablespoons loose tea)</td>\r\n<td style=\"text-align: left;\">??</td>\r\n</tr>\r\n<tr class=\"even\">\r\n<td style=\"text-align: left;\">starter tea from last batch of kombucha or store-bought</td>\r\n<td style=\"text-align: left;\">2 cups</td>\r\n<td style=\"text-align: left;\">??</td>\r\n</tr>\r\n<tr class=\"odd\">\r\n<td style=\"text-align: left;\">scoby</td>\r\n<td style=\"text-align: left;\">1 per fermentation jar</td>\r\n<td style=\"text-align: left;\">N/A</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<p><em>Optional flavoring extras for bottling</em>: 1 to 2 cups chopped fruit, 2 to 3 cups fruit juice, 1 to 2 tablespoons flavored tea (like hibiscus or Earl Grey), 1/4 cup honey, 2 to 4 tablespoons fresh herbs or spices</p>\r\n<p><strong>Equipment</strong></p>\r\n<ul>\r\n<li>Stock pot</li>\r\n<li>1-gallon glass jar or two 2-quart glass jars</li>\r\n<li>Bottles: Six 16-oz glass bottles with plastic lids, 6 swing-top bottles, or clean soda bottles</li>\r\n</ul>\r\n<h3 id=\"instructions\">Instructions</h3>\r\n<p>Note: Avoid prolonged contact between the kombucha and metal both during and after brewing. This can affect the flavor of your kombucha and weaken the scoby over time.</p>\r\n<p><strong>1. Make the Tea Base:</strong> Bring the water to a boil. Remove from heat and stir in the sugar to dissolve. Drop in the tea and allow it to steep until the water has cooled. Depending on the size of your pot, this will take a few hours. You can speed up the cooling process by placing the pot in an ice bath.</p>\r\n<p><strong>2. Add the Starter Tea:</strong> Once the tea is cool, remove the tea bags or strain out the loose tea. Stir in the starter tea. (The starter tea makes the liquid acidic, which prevents unfriendly bacteria from taking up residence in the first few days of fermentation.)</p>\r\n<p><strong>3. Transfer to Jars and Add the Scoby:</strong> Pour the mixture into a 1-gallon glass jar (or divide between two 2-quart jars, in which case you\'ll need 2 scobys) and gently slide the scoby into the jar with clean hands. Cover the mouth of the jar with a few layers of cheesecloth or paper towels secured with a rubber band.</p>\r\n<p><strong>4. Ferment for 7 to 10 Days:</strong> Keep the jar at room temperature, out of direct sunlight, and where it won\'t get jostled. Ferment for 7 to 10 days, checking the kombucha and the scoby periodically.</p>\r\n<p>It\'s not unusual for the scoby to float at the top, bottom, or even sideways. A new cream-colored layer of scoby should start forming on the surface of the kombucha within a few days. It usually attaches to the old scoby, but it\'s ok if they separate. You may also see brown stringy bits floating beneath the scoby, sediment collecting at the bottom, and bubbles collecting around the scoby. This is all normal and signs of healthy fermentation.</p>\r\n<p>After seven days, begin tasting the kombucha daily by pouring a little out of the jar and into a cup. When it reaches a balance of sweetness and tartness that is pleasant to you, the kombucha is ready to bottle.</p>\r\n<p><strong>5. Remove the Scoby:</strong> Before proceeding, prepare and cool another pot of strong tea for your next batch of kombucha, as outlined above. With clean hands, gently lift the scoby out of the kombucha and set it on a clean plate. As you do, check it over and remove the bottom layer if the scoby is getting very thick.</p>\r\n<p><strong>6. Bottle the Finished Kombucha:</strong> Measure out your starter tea from this batch of kombucha and set it aside for the next batch. Pour the fermented kombucha (straining, if desired) into bottles, along with any juice, herbs, or fruit you may want to use as flavoring. Leave about a half inch of head room in each bottle. (Alternatively, infuse the kombucha with flavorings for a day or two in another jar covered with cheesecloth, strain, and then bottle. This makes a cleaner kombucha without &quot;stuff&quot; in it.)</p>\r\n<p><strong>7. Carbonate and Refrigerate the Finished Kombucha:</strong> Store the bottled kombucha at room-temperature out of direct sunlight and allow 1 to 3 days for the kombucha to carbonate. Until you get a feel for how quickly your kombucha carbonates, it\'s helpful to keep it in plastic bottles; the kombucha is carbonated when the bottles feel rock solid. Refrigerate to stop fermentation and carbonation, and then consume your kombucha within a month.</p>\r\n<p><strong>8. Make a Fresh Batch of Kombucha:</strong> Clean the jar being used for kombucha fermentation. Combine the starter tea from your last batch of kombucha with the fresh batch of sugary tea, and pour it into the fermentation jar. Slide the scoby on top, cover, and ferment for 7 to 10 days.</p>\r\n<p><strong>Additional Notes:</strong></p>\r\n<p>• <strong>Batch Size:</strong> To increase or decrease the amount of kombucha you make, maintain the basic ratio of 1 cup of sugar, 8 bags of tea, and 2 cups starter tea per gallon batch. One scoby will ferment any size batch, though larger batches may take longer.</p>\r\n<p>• <strong>Putting Kombucha on Pause:</strong> If you\'ll be away for 3 weeks or less, just make a fresh batch and leave it on your counter. It will likely be too vinegary to drink by the time you get back, but the scoby will be fine. For longer breaks, store the scoby in a fresh batch of the tea base with starter tea in the fridge. Change out the tea for a fresh batch every 4 to 6 weeks.</p>\r\n<p>• <strong>Other Tea Options:</strong> Black tea tends to be the easiest and most reliable for the scoby to ferment into kombucha, but once your scoby is going strong, you can try branching out into other kinds. Green tea, white tea, oolong tea, or a even mix of these make especially good kombucha. Herbal teas are ok, but be sure to use at least a few bags of black tea in the mix to make sure the scoby is getting all the nutrients it needs. Avoid any teas that contain oils, like earl grey or flavored teas.</p>\r\n<p>• <strong>Avoid Prolonged Contact with Metal:</strong> Using metal utensils is generally fine, but avoid fermenting or bottling the kombucha in anything that brings them into contact with metal. Metals, especially reactive metals like aluminum, can give the kombucha a metallic flavor and weaken the scoby over time.</p>\r\n<p><strong>Troubleshooting Kombucha</strong></p>\r\n<p>• It is normal for the scoby to float on the top, bottom, or sideways in the jar. It is also normal for brown strings to form below the scoby or to collect on the bottom. If your scoby develops a hole, bumps, dried patches, darker brown patches, or clear jelly-like patches, it is still fine to use. Usually these are all indicative of changes in the environment of your kitchen and not a problem with the scoby itself.</p>\r\n<p>• Kombucha will start off with a neutral aroma and then smell progressively more vinegary as brewing progresses. If it starts to smell cheesy, rotten, or otherwise unpleasant, this is a sign that something has gone wrong. If you see no signs of mold on the scoby, discard the liquid and begin again with fresh tea. If you do see signs of mold, discard both the scoby and the liquid and begin again with new ingredients.</p>\r\n<p>• A scoby will last a very long time, but it\'s not indestructible. If the scoby becomes black, that is a sign that it has passed its lifespan. If it develops green or black mold, it is has become infected. In both of these cases, throw away the scoby and begin again.</p>\r\n<p>• To prolong the life and maintain the health of your scoby, stick to the ratio of sugar, tea, starter tea, and water outlined in the recipe. You should also peel off the bottom (oldest) layer every few batches. This can be discarded, composted, used to start a new batch of kombucha, or given to a friend to start their own.</p>\r\n<p>• If you\'re ever in doubt about whether there is a problem with your scoby, just continue brewing batches but discard the kombucha they make. If there\'s a problem, it will get worse over time and become very apparent. If it\'s just a natural aspect of the scoby, then it will stay consistent from batch to batch and the kombucha is fine for drinking.</p>\r\n',300,93,0,'CC-BY-SA','tea, cooking, kitchen',0,0,1),
(2019,'2016-04-28','a pi project and an owncloud project',1032,'A short episode where I describe a couple of geeky projects I\'ve been working on','<h2>HPR - A couple of Projects I\'ve been working on</h2>\r\n\r\n<ol>\r\n<li><p>Intro</p>\r\n\r\n<ul>\r\n<li>Please record a show!!!!!</li>\r\n<li>Couple of Projects</li>\r\n</ul></li>\r\n<li><p>Pi Project</p>\r\n\r\n<ul>\r\n<li>Love of Music</li>\r\n<li>Digital, of course and webradio</li>\r\n<li>Sonos, other proprietary solutions</li>\r\n<li>Got a Pi2 for XMas</li>\r\n<li>Pi Music Box</li>\r\n<li>RuneAudio</li>\r\n<li>Arch Based</li>\r\n<li>underlying tech is MPD</li>\r\n<li>flash SD Card</li>\r\n<li>boot with network cable attached</li>\r\n<li>add music and webradios to library</li>\r\n<li>.pls and .m3u files</li>\r\n</ul></li>\r\n<li><p>PhotoFrame Project</p>\r\n\r\n<ul>\r\n<li>proprietary items</li>\r\n<li>tablet/smart phone lying around</li>\r\n<li>ownCloud</li>\r\n<li>update for my parents on the road</li>\r\n</ul></li>\r\n</ol>\r\n\r\n<h3>Links and other Goodies</h3>\r\n\r\n<p><strong>Pi Project</strong> <br/>\r\n<a href=\"https://soma.fm\">SomaFM</a> <br/>\r\n<a href=\"https://www.capradio.org\">Capital Public Radio</a> <br/>\r\n<a href=\"https://www.sonos.com\">Sonos</a> <br/>\r\n<a href=\"https://www.samsung.com/us/support/owners/product/WAM351/ZA\">Samsung Shape</a> <br/>\r\n<a href=\"https://www.pimusicbox.com\">PiMusicBox</a> <br/>\r\n<a href=\"https://www.runeaudio.com\">Rune Audio</a> <br/>\r\n<a href=\"https://www.musicpd.org\">Music Player Daemon</a> <br/>\r\n<a href=\"https://www.amazon.com/AFUNTA-Bus-powered-Interface-Compatible-Operating/dp/B0069L9PZA?ie=UTF8&psc=1&redirect=true&ref_=oh_aui_detailpage_o04_s00\">USB Audio Dongle (amazon link... NOT an affiliate link)</a>  </p>\r\n\r\n<p><strong>PicFrame Project</strong> <br/>\r\n<a href=\"https://www.owncloud.org\">ownCloud</a> <br/>\r\n<a href=\"https://www.amazon.com/Fire-HD-Display-Wi-Fi-GB/dp/B00KC6I06S\">Kindle Fire HD 6</a> <br/>\r\n<a href=\"https://apps.owncloud.com/content/show.php/picframe-owncloud?content=174617\">PicFrame</a> <br/>\r\n<a href=\"https://github.com/PicFrame/picframe\">PicFrame Android App</a>  </p>\r\n\r\n<p><strong>Contact Info</strong> <br/>\r\nMatt McGraw - matty at the strangeland dot net <br/>\r\n<a href=\"https://geekdad.thestrangeland.net\">Stay-At-Home G33k Dad ~ Fatherhood in the digital age</a> <br/>\r\n<a href=\"https://www.twitter.com/sahg33kdad\">@sahg33kdad</a> <br/>\r\nGoogle+ www.google.com/+MattMcGraw  </p>\r\n\r\n<p>\r\nThe following link includes a photo of the RPi in the bookshelf with the stereo as well as a screenshot of the Rune Audio app running on my Android phone.\r\n<br />\r\n<a href=\"https://cloud.thestrangeland.net/index.php/s/CdbU1povrcproZQ\">https://cloud.thestrangeland.net/index.php/s/CdbU1povrcproZQ</a>\r\n</p>\r\n\r\n',255,0,1,'CC-BY-SA','Raspberry Pi,RuneAudio,MPD,Music Player Daemon,ownCloud,PiMusicBox,PicFrame',0,0,1),
(2020,'2016-04-29','Automotive Billing',2020,'How I bill for automotive repairs','<p>\r\nI get a call to look at my friend\'s broke down car.\r\n</p>',329,0,1,'CC-BY-SA','Automotive, Billing, Overhead, Repair, Process',0,0,1),
(2022,'2016-05-03','Whats in my bag',1587,'What I carry in my computer bag when I hit the road.','<ul>\r\n<li><p>Swissgear messenger bag<br />\r\n <a href=\"https://www.conrad.com/ce/en/product/977572/Swissgear-Yukon-156-to-173-Laptop-Bag-Wenger-SwissGear-SWISSGEAR-173-Black\" class=\"uri\">https://www.conrad.com/ce/en/product/977572/Swissgear-Yukon-156-to-173-Laptop-Bag-Wenger-SwissGear-SWISSGEAR-173-Black</a> (this link is to a newer version, closest I could find to my 7 year old bag)<br />\r\n This bag has been with me since 2009, and for about the last 3 years did double duty, carrying both of my laptops with other assorted gear, and has held up beautifully, No fabric wear, not a stitch or seam broken anywhere. Both zippers are intact and still pull smooth and easily, they haven\'t even lost the pull-tabs (usually my first issue with any zipper). The handle and the shoulder strap are reasonably comfortable (for a single shoulder strap) and show no signs of wear either. Can\'t recommend this bag enough if you are looking for a tough messenger bag. If you are going to haul 2 laptops around (plus gear) I would strongly recommend something with 2 shoulder straps though, if you\'re doing any serious walking about.</p></li>\r\n<li><p>Toshiba Satellite P855-S5312<br />\r\n <a href=\"https://www.cnet.com/products/toshiba-satellite-p855-s5312-15-6-core-i5-3210m-windows-8-6-gb-ram-750-gb-hdd-series/specs/\" class=\"uri\">https://www.cnet.com/products/toshiba-satellite-p855-s5312-15-6-core-i5-3210m-windows-8-6-gb-ram-750-gb-hdd-series/specs/</a><br />\r\nI beefed up the ram to 16gb and removed the optical drive in order to install a second hard drive. I also replaced the original 750gb spinning HDD. The new drives were both samsung evo 500gb SSD\'s. <a href=\"https://www.newegg.com/Product/Product.aspx?Item=9SIA2W02DV8166\" class=\"uri\">https://www.newegg.com/Product/Product.aspx?Item=9SIA2W02DV8166</a> My only real gripe about this laptop is the screen resolution, which maxes out at 1366x768. IMHO, this is a waste of real estate on a 15.6 inch screen. I am looking into this, but replacement with a higher resolution screen seems to be unfeasible, from what I am reading. ( IF YOU HAVE SUGGESTIONS OR KNOW OF A SOLUTION I WOULD LOVE TO HEAR ABOUT IT!!)</p></li>\r\n<li><p>The old HP Pavillion dv5-1235dx<br />\r\n <a href=\"https://www.cnet.com/products/hp-pavilion-dv5-1235dx-15-4-core-2-duo-t6400-vista-home-premium-64-bit-4-gb-ram-320-gb-hdd-series/specs/\" class=\"uri\">https://www.cnet.com/products/hp-pavilion-dv5-1235dx-15-4-core-2-duo-t6400-vista-home-premium-64-bit-4-gb-ram-320-gb-hdd-series/specs/</a><br />\r\n(I dont presently haul this one around anymore) Got this one in \'09. nice screen doing 1680x1050 , but I didn\'t care for the plastic housing. I like the metal case on the toshiba. - although older, I really liked this laptop, and still prefer the keyboard (although somewhat cramped) over the one on my Toshiba. The feel of the keys themselves and the distinctive stroke and light click as you press down through the detent, just feels better than the chiclet keyboard on my newer machine. Incidentally, I once spilled a rum and coke across this thing, keyboard and all, while it was powered down. After dry out and a good cleaning, it fired up and still works. I don\'t recommend trying to re create this experiment though. Dumb luck, I suppose. I was sure it would be a deader.</p></li>\r\n<li><p>Wacom intuos cth480 pen/touch tablet<br />\r\n <a href=\"https://www.amazon.com/Wacom-Intuos-Tablet-Certified-Refurbished/dp/B00Q7FU5YS\" class=\"uri\">https://www.amazon.com/Wacom-Intuos-Tablet-Certified-Refurbished/dp/B00Q7FU5YS</a><br />\r\n (this thing isn\'t available in this form anymore) these are very nice and work out of the box for me on debian, and mint, (cant speak for other distros). Getting the pen\'s pressure sensitivity settings in some drawing programs (krita, gimp, etc) can sometimes be a bit fiddly and sometimes hard to find. Overall works quite well, although I am not a professional artist. Trucker, remember? Fun to play with, and reasonably small so its good travel size.</p></li>\r\n<li>Toshiba 2TB \'canvio\' portable hard drive<br />\r\n</li>\r\n<li><p>Western Digital 2TB \'my passport ultra\' portable hard drive<br />\r\nI carry one of these (WD) for extra storage and backups of my laptop. The other ( the Toshiba) I use mostly for storage of my movies and TV series collections (gotta have your firefly fix, right?). As to which one is better, I prefer the case on the Toshiba, just seems more durable in that high impact plastic, but I will let you know when one of them fails me :)</p></li>\r\n</ul>\r\n<p>and for those real long distance wifi signals (and/or getting into monitor mode):</p>\r\n<ul>\r\n<li><p>TP-LINK TL-WN722N Wireless N150 High Gain USB Adapter (wifi antennae) 150Mbps <a href=\"https://www.amazon.com/TP-LINK-TL-WN722N-Wireless-Adapter-External/dp/B002SZEOLG?ie=UTF8&amp;psc=1&amp;redirect=true&amp;ref_=oh_aui_search_detailpage\" class=\"uri\">https://www.amazon.com/TP-LINK-TL-WN722N-Wireless-Adapter-External/dp/B002SZEOLG?ie=UTF8&amp;psc=1&amp;redirect=true&amp;ref_=oh_aui_search_detailpage</a></p></li>\r\n<li><p>Alfa AWUS036H High power 1000mW with 5dBi Rubber Antenna and a 7dBi Panel Antenna <a href=\"https://www.amazon.com/Alfa-Awus036H-Upgraded-Long-Rang-Panel/dp/B003YHYIT0?ie=UTF8&amp;psc=1&amp;redirect=true&amp;ref_=oh_aui_search_detailpage\" class=\"uri\">https://www.amazon.com/Alfa-Awus036H-Upgraded-Long-Rang-Panel/dp/B003YHYIT0?ie=UTF8&amp;psc=1&amp;redirect=true&amp;ref_=oh_aui_search_detailpage</a></p></li>\r\n<li><p>NooElec R820T SDR &amp; DVB-T NESDR Mini<br />\r\n A lightweight toy for playing with software defined radio (SDR) programs, which you can see at nooelec.com if you want</p></li>\r\n<li><p>IFIXIT 54 bit driver kit, very handy for ripping open your gear. Crappy tools make for a crappy day, right?</p></li>\r\n<li><p>&quot;disposable&quot; reading glasses<br />\r\n<a href=\"https://www.amazon.com/Valupac-Reading-Glasses-Include-Gunmetal/dp/B00JRNIHWY?ie=UTF8&amp;psc=1&amp;redirect=true&amp;ref_=oh_aui_search_detailpage\" class=\"uri\">https://www.amazon.com/Valupac-Reading-Glasses-Include-Gunmetal/dp/B00JRNIHWY?ie=UTF8&amp;psc=1&amp;redirect=true&amp;ref_=oh_aui_search_detailpage</a></p></li>\r\n</ul>\r\n<p>(missed these in the audio)</p>\r\n<ul>\r\n<li>zebra f-301 ballpoint pens, black ink, 2 in fine point and 2 in medium</li>\r\n<li>several cheap highlighter markers and one sharpie</li>\r\n</ul>\r\n<p>Just to be clear...I included many of the links here from Amazon and other shopping sites, or from c-net, because I couldn\'t see how to load my pictures in with the notes, not because I want to give product reviews or sell anyone anything. I know it can be done, because I see it elsewhere, I\'m just too tired to figure it out now. next one. As I understand it, I owe at least 2-3 shows. Be patient with me Ken, I\'m workin\' on it.</p>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.conrad.com/ce/en/product/977572/Swissgear-Yukon-156-to-173-Laptop-Bag-Wenger-SwissGear-SWISSGEAR-173-Black\" class=\"uri\">https://www.conrad.com/ce/en/product/977572/Swissgear-Yukon-156-to-173-Laptop-Bag-Wenger-SwissGear-SWISSGEAR-173-Black</a></li>\r\n<li><a href=\"https://www.cnet.com/products/toshiba-satellite-p855-s5312-15-6-core-i5-3210m-windows-8-6-gb-ram-750-gb-hdd-series/specs/\" class=\"uri\">https://www.cnet.com/products/toshiba-satellite-p855-s5312-15-6-core-i5-3210m-windows-8-6-gb-ram-750-gb-hdd-series/specs/</a></li>\r\n<li><a href=\"https://www.newegg.com/Product/Product.aspx?Item=9SIA2W02DV8166\" class=\"uri\">https://www.newegg.com/Product/Product.aspx?Item=9SIA2W02DV8166</a></li>\r\n<li><a href=\"https://www.cnet.com/products/hp-pavilion-dv5-1235dx-15-4-core-2-duo-t6400-vista-home-premium-64-bit-4-gb-ram-320-gb-hdd-series/specs/\" class=\"uri\">https://www.cnet.com/products/hp-pavilion-dv5-1235dx-15-4-core-2-duo-t6400-vista-home-premium-64-bit-4-gb-ram-320-gb-hdd-series/specs/</a></li>\r\n<li><a href=\"https://www.amazon.com/Wacom-Intuos-Tablet-Certified-Refurbished/dp/B00Q7FU5YS\" class=\"uri\">https://www.amazon.com/Wacom-Intuos-Tablet-Certified-Refurbished/dp/B00Q7FU5YS</a></li>\r\n<li><a href=\"https://www.amazon.com/TP-LINK-TL-WN722N-Wireless-Adapter-External/dp/B002SZEOLG?ie=UTF8&amp;psc=1&amp;redirect=true&amp;ref_=oh_aui_search_detailpage\" class=\"uri\">https://www.amazon.com/TP-LINK-TL-WN722N-Wireless-Adapter-External/dp/B002SZEOLG?ie=UTF8&amp;psc=1&amp;redirect=true&amp;ref_=oh_aui_search_detailpage</a></li>\r\n<li><a href=\"https://www.amazon.com/Alfa-Awus036H-Upgraded-Long-Rang-Panel/dp/B003YHYIT0?ie=UTF8&amp;psc=1&amp;redirect=true&amp;ref_=oh_aui_search_detailpage\" class=\"uri\">https://www.amazon.com/Alfa-Awus036H-Upgraded-Long-Rang-Panel/dp/B003YHYIT0?ie=UTF8&amp;psc=1&amp;redirect=true&amp;ref_=oh_aui_search_detailpage</a></li>\r\n<li><a href=\"https://www.amazon.com/Valupac-Reading-Glasses-Include-Gunmetal/dp/B00JRNIHWY?ie=UTF8&amp;psc=1&amp;redirect=true&amp;ref_=oh_aui_search_detailpage\" class=\"uri\">https://www.amazon.com/Valupac-Reading-Glasses-Include-Gunmetal/dp/B00JRNIHWY?ie=UTF8&amp;psc=1&amp;redirect=true&amp;ref_=oh_aui_search_detailpage</a></li>\r\n</ul>\r\n',330,23,1,'CC-BY-SA','laptop,Wacom tablet,hard drive,antenna',0,0,1),
(2023,'2016-05-04','Setting up my Raspberry Pi 3',1716,'I bought a RPi 3, a case, a heatsink and an SSD and have set the Pi up as a server','<h1 id=\"setting-up-my-raspberry-pi-3\">Setting up my Raspberry Pi 3</h1>\r\n<p>I bought a Raspberry Pi 3 in March 2016, soon after it was released. I want to use it as a server since it\'s the fastest Pi that I own, so I have tried to set it up in the best way for that role.</p>\r\n<p>In this episode I describe what I did in case you want to do something similar.</p>\r\n<p>Refer to the full notes for the details: <a href=\"https://hackerpublicradio.org/eps/hpr2023/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2023/full_shownotes.html</a></p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Pimoroni Pibow 3: <a href=\"https://shop.pimoroni.com/products/pibow-for-raspberry-pi-3\" class=\"uri\">https://shop.pimoroni.com/products/pibow-for-raspberry-pi-3</a></li>\r\n<li>Raspberry Pi Universal Power Supply: <a href=\"https://shop.pimoroni.com/products/raspberry-pi-universal-power-supply\" class=\"uri\">https://shop.pimoroni.com/products/raspberry-pi-universal-power-supply</a></li>\r\n<li>Raspberry Pi 3 Heatsink: <a href=\"https://shop.pimoroni.com/products/heatsink\" class=\"uri\">https://shop.pimoroni.com/products/heatsink</a></li>\r\n<li>SATA Hard Drive to USB Adapter: <a href=\"https://shop.pimoroni.com/products/sata-hard-drive-to-usb-adapter\" class=\"uri\">https://shop.pimoroni.com/products/sata-hard-drive-to-usb-adapter</a></li>\r\n<li>SanDisk SSD PLUS 120 GB Sata III 2.5-inch Internal SSD: <a href=\"https://www.amazon.co.uk/SanDisk-PLUS-Sata-2-5-inch-Internal/dp/B00S9Q9UKS\" class=\"uri\">https://www.amazon.co.uk/SanDisk-PLUS-Sata-2-5-inch-Internal/dp/B00S9Q9UKS</a></li>\r\n<li>Kingston Flash Memory Card 32 GB: <a href=\"https://www.amazon.co.uk/Kingston-Class10-microSDHC-Include-Adapter/dp/B0162YQG2I\" class=\"uri\">https://www.amazon.co.uk/Kingston-Class10-microSDHC-Include-Adapter/dp/B0162YQG2I</a></li>\r\n<li>FLIRC Raspberry Pi 2/3 Case: <a href=\"https://thepihut.com/products/flirc-raspberry-pi-3-b-case\" class=\"uri\">https://thepihut.com/products/flirc-raspberry-pi-3-b-case</a></li>\r\n<li>Adafruit tutorial &quot;<em>Using an External Drive as a Raspberry Pi Root Filesystem</em>&quot;: <a href=\"https://learn.adafruit.com/external-drive-as-raspberry-pi-root/overview\" class=\"uri\">https://learn.adafruit.com/external-drive-as-raspberry-pi-root/overview</a></li>\r\n<li>Article by paulv on the Raspberry Pi forums - &quot;<em>HOWTO: Move the filesystem to a USB stick/Drive</em>&quot;: <a href=\"https://www.raspberrypi.org/forums/viewtopic.php?f=29&amp;t=44177\" class=\"uri\">https://www.raspberrypi.org/forums/viewtopic.php?f=29&amp;t=44177</a></li>\r\n<li>Copy of <code>adafruit-pi-externalroot-helper</code> script: <a href=\"https://hackerpublicradio.org/eps/hpr2023/adafruit-pi-externalroot-helper.txt\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2023/adafruit-pi-externalroot-helper.txt</a></li>\r\n<li>Transcript of what happened when I ran the script: <a href=\"https://hackerpublicradio.org/eps/hpr2023/session_log.txt\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2023/session_log.txt</a></li>\r\n</ul>',225,0,1,'CC-BY-SA','Raspberry Pi,SSD,Raspbian',0,0,1),
(2024,'2016-05-05','Remapping Keys with xmodmap',531,'I describe how I use xmodmap to remap my spacebar to make underscores','<p>In this episode I talk about how I tried to implement an idea that my son had when we were talking one day. I was complaining about file names with spaces in them, and he asked what if the computer automatically changed the spacebar so that it made underscores whenever somebody was trying to save a file? I thought this was a great idea. I even thought of a way implement it, though not quite as magically as he had envisioned. My solution involves the use of the command-line tools <code>xev</code> and <code>xmodmap</code>, and one <a href=\"https://www.jezra.net/projects/blather\">blather</a> voice prompt to launch the <code>xmodmap</code> command that will remap the spacebar to make underscores instead. Maybe somebody a whole lot smarter than me can figure out how to make this happen automatically whenever a save dialog box is open.</p>\r\n\r\n<p>First you need to find the keycode for your spacebar. Run the <code>xev</code> command and then press the spacebar to see which key code it is. Here\'s the output on my laptop:</p>\r\n\r\n<pre>KeyPress event, serial 48, synthetic NO, window 0x4e00001,\r\n    root 0xc0, subw 0x0, time 116149126, (-739,-226), root:(448,358),\r\n    state 0x0, keycode 65 (keysym 0x20, space), same_screen YES,\r\n    XLookupString gives 1 bytes: (20) \" \"\r\n    XmbLookupString gives 1 bytes: (20) \" \"\r\n    XFilterEvent returns: False\r\n</pre>\r\n\r\n<p>As you can see, my spacebar has the keycode of \"65.\" Now we use <code>xmodmap</code> to reassign keycode 65 to make underscores:</p>\r\n\r\n<pre>xmodmap -e \"keycode 65 = underscore\"</pre>\r\n\r\n<p>Now to test it out. While <code>xev</code> is running, press spacebar. Notice that now when the spacebar is pressed it makes an underscore:</p>\r\n\r\n<pre>KeyPress event, serial 57, synthetic NO, window 0x2600001,\r\n    root 0xc0, subw 0x0, time 116190619, (-520,-247), root:(667,337),\r\n    state 0x0, keycode 65 (keysym 0x5f, underscore), same_screen YES,\r\n    XLookupString gives 1 bytes: (5f) \"_\"\r\n    XmbLookupString gives 1 bytes: (5f) \"_\"\r\n    XFilterEvent returns: False\r\n</pre>\r\n\r\n<p>And to change it back:</p>\r\n\r\n<pre>xmodmap -e \"keycode 65 = space\"</pre>\r\n\r\n<p>Now whenever I want to change the spacebar to make underscores or switch it back, I speak one of the following commands, which are in my blather configuration file.</p>\r\n\r\n<pre>\r\nMAKE UNDERSCORES: xmodmap -e \"keycode 65 = underscore\"\r\nMAKE SPACES: xmodmap -e \"keycode 65 = space\"\r\n</pre>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li><a href=\"https://linux.die.net/man/1/xmodmap\">xmodmap man page</a>: <code>xmodmap</code> is a utility for modifying keymaps and pointer button mappings in X</li>\r\n	<li><a href=\"https://linux.die.net/man/1/xev\">xev man page</a>: use <code>xev</code> print contents of X events</li>\r\n</ul>\r\n\r\n<h2>Video Demonstration</h2>\r\n\r\n<p><a href=\"https://www.youtube.com/embed/hKEax8IqxAU\">https://www.youtube.com/embed/hKEax8IqxAU</a></p>\r\n\r\n',238,0,1,'CC-BY-SA','tips and tricks, CLI, bash, linux, accessibility',0,0,1),
(2025,'2016-05-06','Using a Smartphone as a microphone',63,'I talk about an App that pipes the audio input of my Smartphone into my Computer to record this show','<p>Hello citizen of the Internet, my name is njulian, and in my first Episode for HPR I want to talk about an App called \"Microphone\". This App is available for Android in the F-Droid repository, link is in the Shownotes.</p>\r\n<p>All it does is sending the audio input from the microphone directly into the audio output. This causes horrible feedback loops, if the output happens to be the Phone\'s speakers. But if you plug a Male-to-Male 3.5mm cable into your Phone and the other end into your Computer you can use your Smartphone as a Microphone. Actually I am using this right now to record this show with Audacity on my Laptop. The reasons for that are pretty simple: I don\'t have enough free space on my Phone to record a show with Urecord and the other is that I was curious if this app really works.</p>\r\n<p>Well, actually there is not much more I could tell about the App. It has no menu, no way to customize it, and as you can hear no noise suppression.</p>\r\n<p>That\'s about it, thanks for listening.</p>\r\n<p>The App: <a href=\"https://f-droid.org/repository/browse/?fdfilter=microphone&fdid=net.bitplane.android.microphone\" class=\"uri\">https://f-droid.org/repository/browse/?fdfilter=microphone&amp;fdid=net.bitplane.android.microphone</a></p>\r\n<p>The Cable: <a href=\"https://en.wikipedia.org/wiki/Phone_connector_%28audio%29\">https://en.wikipedia.org/wiki/Phone_connector_%28audio%29</a></p>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://f-droid.org/repository/browse/?fdfilter=microphone&fdid=net.bitplane.android.microphone\" class=\"uri\">https://f-droid.org/repository/browse/?fdfilter=microphone&amp;fdid=net.bitplane.android.microphone</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Phone_connector_%28audio%29\">https://en.wikipedia.org/wiki/Phone_connector_%28audio%29</a></li>\r\n</ul>\r\n',331,0,1,'CC-BY-SA','android app',0,0,1),
(2026,'2016-05-09','What\'s in my Bag... Again!',503,'A look at what I carry in my bag every day.  It\'s quite different than the last show.','<p>\r\nJust a look at what I keep in my bag these days, though I forgot to mention my beloved Zojirushi thermos (SM-JA48-BA)!\r\n</p>',241,23,1,'CC-BY-SA','edc, personal, bag, backpack, tools, laptops, junk',0,0,1),
(2027,'2016-05-10','Old Engineers and New Engineers',782,'I describe my and my children\'s attempts to solve a puzzle','<p>\r\nThis is a short episode about a puzzle that I got for my birthday from my in-laws.  I gave the puzzle to two of my children to solve after I\'d taken a crack at it.  It was amusing to see see how and old engineer thought about the problem compared with young ones.  Pictures of the puzzle are attached.  The object is to get one ball in each notch at the end of the block at the same time.\r\n</p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2027/puzzle1.jpeg\"><img src=\"https://hackerpublicradio.org/eps/hpr2027/puzzle1_small.jpeg\" alt=\"half moon puzzle from side\" /></a></p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2027/puzzle2.jpeg\"><img src=\"https://hackerpublicradio.org/eps/hpr2027/puzzle2_small.jpeg\" alt=\"top view showing bearings in the centre hollow\" /></a></p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2027/puzzle-solved.jpeg\"><img src=\"https://hackerpublicradio.org/eps/hpr2027/puzzle-solved_small.jpeg\" alt=\"bearings are at the far rims of the cresent\" /></a></p>',259,0,0,'CC-BY-SA','puzzle,problem solving,engineer',0,0,1),
(2028,'2016-05-11','Some basic info on alarm systems',458,'A very basic intro into some alarm equipment','<p>\r\nA very basic bit of information on some alarm equipment.\r\n</p>',332,0,0,'CC-BY-SA','alarm,PIR,sensor',0,0,1),
(2030,'2016-05-13','Book Review: The Pocket Ref',886,'This is a short review of the Pocket Ref','<p>Recorded this episode while suffering from some severe seasonal allergies, so please disregard any sniffing, wheezing or coughing that may have crept in.</p>\r\n<p>This is a brief introduction to the Pocket Ref by Thomas Glover. In this episode, I don\'t go into great depth of the books many topics, primarily due to the nature of the book itself. It is meant to be a reference book, and as such it contains a treasure trove of reference material from a very broad range of topics.</p>\r\n<p>Also, I mention a few other titles in this series - links below.</p>\r\n<ul>\r\n<li><p>The Pocket Ref-</p>\r\n<ul>\r\n<li><p>On Amazon - <a href=\"https://www.amazon.com/Pocket-Ref-4th-Thomas-Glover/dp/1885071620\" class=\"uri\">https://www.amazon.com/Pocket-Ref-4th-Thomas-Glover/dp/1885071620</a></p></li>\r\n<li><p>On Barnes &amp; Noble - <a href=\"https://www.barnesandnoble.com/w/pocket-ref-thomas-j-glover/1102586821\" class=\"uri\">https://www.barnesandnoble.com/w/pocket-ref-thomas-j-glover/1102586821</a></p></li>\r\n<li><p>On Think Geek - <a href=\"https://www.thinkgeek.com/product/c289/\" class=\"uri\">https://www.thinkgeek.com/product/c289/</a></p></li>\r\n</ul></li>\r\n<li><p>The Desk Ref - <a href=\"https://www.amazon.com/Desk-Ref-Thomas-J-Glover/dp/1885071604\" class=\"uri\">https://www.amazon.com/Desk-Ref-Thomas-J-Glover/dp/1885071604</a></p></li>\r\n<li><p>The Auto Ref - <a href=\"https://www.amazon.com/AutoRef-Richard-Young/dp/1885071485\" class=\"uri\">https://www.amazon.com/AutoRef-Richard-Young/dp/1885071485</a></p></li>\r\n<li><p>The Pocket PCRef - <a href=\"https://www.amazon.com/Pocket-PC-Ref-Thomas-Glover/dp/1885071582\" class=\"uri\">https://www.amazon.com/Pocket-PC-Ref-Thomas-Glover/dp/1885071582</a></p></li>\r\n<li><p>The Pocket Partner - <a href=\"https://www.amazon.com/Pocket-Partner-Dennis-H-Evers/dp/1885071574\" class=\"uri\">https://www.amazon.com/Pocket-Partner-Dennis-H-Evers/dp/1885071574</a></p></li>\r\n<li><p>Handyman in Your Pocket - <a href=\"https://www.amazon.com/Handyman-In-Your-Pocket-Richard-Allen-Young/dp/1885071299\" class=\"uri\">https://www.amazon.com/Handyman-In-Your-Pocket-Richard-Allen-Young/dp/1885071299</a></p></li>\r\n</ul>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.amazon.com/Pocket-Ref-4th-Thomas-Glover/dp/1885071620\" class=\"uri\">https://www.amazon.com/Pocket-Ref-4th-Thomas-Glover/dp/1885071620</a></li>\r\n<li><a href=\"https://www.barnesandnoble.com/w/pocket-ref-thomas-j-glover/1102586821\" class=\"uri\">https://www.barnesandnoble.com/w/pocket-ref-thomas-j-glover/1102586821</a></li>\r\n<li><a href=\"https://www.thinkgeek.com/product/c289/\" class=\"uri\">https://www.thinkgeek.com/product/c289/</a></li>\r\n<li><a href=\"https://www.amazon.com/Desk-Ref-Thomas-J-Glover/dp/1885071604\" class=\"uri\">https://www.amazon.com/Desk-Ref-Thomas-J-Glover/dp/1885071604</a></li>\r\n<li><a href=\"https://www.amazon.com/AutoRef-Richard-Young/dp/1885071485\" class=\"uri\">https://www.amazon.com/AutoRef-Richard-Young/dp/1885071485</a></li>\r\n<li><a href=\"https://www.amazon.com/Pocket-PC-Ref-Thomas-Glover/dp/1885071582\" class=\"uri\">https://www.amazon.com/Pocket-PC-Ref-Thomas-Glover/dp/1885071582</a></li>\r\n<li><a href=\"https://www.amazon.com/Pocket-Partner-Dennis-H-Evers/dp/1885071574\" class=\"uri\">https://www.amazon.com/Pocket-Partner-Dennis-H-Evers/dp/1885071574</a></li>\r\n<li><a href=\"https://www.amazon.com/Handyman-In-Your-Pocket-Richard-Allen-Young/dp/1885071299\" class=\"uri\">https://www.amazon.com/Handyman-In-Your-Pocket-Richard-Allen-Young/dp/1885071299</a></li>\r\n</ul>\r\n',325,0,1,'CC-BY-SA','book review,reference book',0,0,1),
(2033,'2016-05-18','Distro Review: Bodhi Linux',1082,'A brief review of Bodhi Linux','<!-- Processed by make_markdown V0.0.3 -->\r\n<p>As with my last episode, you may hear some sniffling or pauses as I catch my breath. It is springtime in Kentucky, and my allergies are full force right now.</p>\r\n<p>In this episode, I take Bodhi Linux for a test drive. I\'ll tell you what I liked, what I didn\'t like, and how well or bad it performed on my test machine.</p>\r\n<ul>\r\n<li><p>Official Website - <a href=\"https://www.bodhilinux.com/\" class=\"uri\">https://www.bodhilinux.com/</a></p></li>\r\n<li><p>On Distrowatch - <a href=\"https://distrowatch.com/table.php?distribution=bodhi\" class=\"uri\">https://distrowatch.com/table.php?distribution=bodhi</a></p></li>\r\n<li><p>Wikipedia - <a href=\"https://en.wikipedia.org/wiki/Bodhi_Linux\" class=\"uri\">https://en.wikipedia.org/wiki/Bodhi_Linux</a></p></li>\r\n<li><p>Youtube -<br />\r\n<a href=\"https://www.youtube.com/watch?v=7x4_tHtJngw\" class=\"uri\">https://www.youtube.com/watch?v=7x4_tHtJngw</a><br />\r\n<a href=\"https://www.youtube.com/watch?v=-NUVenmH_CU\" class=\"uri\">https://www.youtube.com/watch?v=-NUVenmH_CU</a></p></li>\r\n</ul>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.bodhilinux.com/\" class=\"uri\">https://www.bodhilinux.com/</a></li>\r\n<li><a href=\"https://distrowatch.com/table.php?distribution=bodhi\" class=\"uri\">https://distrowatch.com/table.php?distribution=bodhi</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Bodhi_Linux\" class=\"uri\">https://en.wikipedia.org/wiki/Bodhi_Linux</a></li>\r\n<li><a href=\"https://www.youtube.com/watch?v=7x4_tHtJngw\" class=\"uri\">https://www.youtube.com/watch?v=7x4_tHtJngw</a></li>\r\n<li><a href=\"https://www.youtube.com/watch?v=-NUVenmH_CU\" class=\"uri\">https://www.youtube.com/watch?v=-NUVenmH_CU</a></li>\r\n</ul>\r\n',325,0,1,'CC-BY-SA','Bodhi Linux,Moksha Desktop,Midori',0,0,1),
(2031,'2016-05-16','A quick intro to OBD2 with Android',293,'Introduces automobile OBD2 and briefly profiles three available apps for Android.','<!-- Processed by make_markdown V0.0.3 -->\r\n<ul>\r\n<li>OBD2 on eBay - <a href=\"https://ebay.to/23TXfAa\" class=\"uri\">https://ebay.to/23TXfAa</a></li>\r\n<li>Carista - <a href=\"https://play.google.com/store/apps/details?id=com.prizmos.carista\" class=\"uri\">https://play.google.com/store/apps/details?id=com.prizmos.carista</a></li>\r\n<li>Dash - <a href=\"https://play.google.com/store/apps/details?id=com.dashlabs.dash.android\" class=\"uri\">https://play.google.com/store/apps/details?id=com.dashlabs.dash.android</a></li>\r\n<li>Torque Lite - <a href=\"https://play.google.com/store/apps/details?id=org.prowl.torquefree\" class=\"uri\">https://play.google.com/store/apps/details?id=org.prowl.torquefree</a></li>\r\n<li>Torque - <a href=\"https://play.google.com/store/apps/details?id=org.prowl.torque\" class=\"uri\">https://play.google.com/store/apps/details?id=org.prowl.torque</a></li>\r\n</ul>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://ebay.to/23TXfAa\" class=\"uri\">https://ebay.to/23TXfAa</a></li>\r\n<li><a href=\"https://play.google.com/store/apps/details?id=com.prizmos.carista\" class=\"uri\">https://play.google.com/store/apps/details?id=com.prizmos.carista</a></li>\r\n<li><a href=\"https://play.google.com/store/apps/details?id=com.dashlabs.dash.android\" class=\"uri\">https://play.google.com/store/apps/details?id=com.dashlabs.dash.android</a></li>\r\n<li><a href=\"https://play.google.com/store/apps/details?id=org.prowl.torquefree\" class=\"uri\">https://play.google.com/store/apps/details?id=org.prowl.torquefree</a></li>\r\n<li><a href=\"https://play.google.com/store/apps/details?id=org.prowl.torque\" class=\"uri\">https://play.google.com/store/apps/details?id=org.prowl.torque</a></li>\r\n</ul>\r\n',333,0,0,'CC-BY-SA','automotive, automobile, car, cars, bluetooth, android, apps',0,0,1),
(2032,'2016-05-17','How I Came to Linux',868,'Steve tells his story of how he came to be a Linux user.','<p>I tell the story of how I learned about computers and eventually came to be an avid Linux user.</p>\r\n<p>I\'ve been using Linux as my primary operating system for almost 20 years now. My primary distribution of choice has always been Slackware, but I have branched out to some more &quot;modern&quot; distributions as well, particularly for workstation environments.</p>\r\n<p>I have been an HPR listener now for several months and this is my first show. I enjoy the podcast very much and hope to see it continue for many more years. Thank you to the administrators and leaders to make it all possible. And, of course, thank you to everyone that contributes shows.</p>\r\n',334,0,1,'CC-BY-SA','Linux',0,0,1),
(2034,'2016-05-19','Frank\'s Five Seed Bread',426,'Frank describes his recipe for Five Seed Bread, inspired by a Kerry Greenwood mystery novel','<p>Frank describes his recipe for Five Seed Bread, inspired by Kerry Greenwood\'s first Corinna Chapman mystery novel, \"Earthly Delights.\"</p>\r\n<h3 id=\"list-of-ingredients\">List of Ingredients:</h3>\r\n<ul>\r\n<li>1 cp. (237 ml.) warm water</li>\r\n<li>1 packet yeast</li>\r\n<li>1 1/2 cps. (213 grams) white flour, approx.</li>\r\n<li>1 1/2 cps. (213 grams) rye flour, approx.</li>\r\n<li>1 tbs. (14 grams) each dill seed, fennel seed, sesame seed, caraway seed, or to taste</li>\r\n<li>1 tsp. (5 ml.) coriander (the reference in the story referred to coriander seed, but I didn’t have any of that, so I ad libbed)</li>\r\n<li>1/4 (1 ml.) tsp. salt</li>\r\n<li>1/2 tsp. (2 ml.) light brown sugar</li>\r\n</ul>\r\n<h3 id=\"links\">Links:</h3>\r\n<ul>\r\n<li>Kerry Greenwood: <a href=\"https://phrynefisher.com/Kerrygreenwood.html\">https://phrynefisher.com/Kerrygreenwood.html</a></li>\r\n<li>The Corrina Chapman Cookbook: <a href=\"https://mysteryreadersinc.blogspot.com/2012/03/kerry-greenwood-cookbook.html\">https://mysteryreadersinc.blogspot.com/2012/03/kerry-greenwood-cookbook.html</a></li>\r\n<li>US-Metric Equivalents: <a href=\"https://whatscookingamerica.net/Q-A/equiv.htm\">https://whatscookingamerica.net/Q-A/equiv.htm</a></li>\r\n</ul>\r\n',195,93,1,'CC-BY-SA','bread, cooking, baking',0,0,1),
(2035,'2016-05-20','Building Community',465,'droops discusses some ideas on how to expand the HPR community','<p>\r\nThis is droops and this is also Hacker Public Radio.\r\n</p>\r\n\r\n<p>\r\nI love HPR and noticing our current need for shows, I put it on my list that I needed to help out. But what to talk about?\r\n</p>\r\n\r\n<p>\r\nLet’s talk about growing HPR. It is a cool show and project, but if the community does not grow the show will end. People run out of shows to host and others have to fill that space.\r\n</p>\r\n\r\n<p>\r\nI think we do a great job doing outreach to the community by going to conventions, getting mentioned in articles and magazines, and being cool with everyone. But as a community we could do a little more to get to the 4000 show mark. Even my lazy butt can help with these things.\r\n</p>\r\n\r\n<p>\r\nFirst, let’s bring more traffic to the site. To do this we need content, which is really all we have. But we need to be more clever with how we use it.\r\n</p>\r\n\r\n<p>\r\nWe need to transcribe all of our shows. This allows search engines to better index our content and bring more people to our site. Maybe they won’t subscribe or even listen to a show with the content being readable, but they were not going to listen anyway by not finding us. This is a big chore and we would need a team with leadership to do it.\r\n</p>\r\n\r\n<p>\r\nWe need more popular hosts (this sounds bad taken at face value) to guest host shows and mention HPR on their shows. We used to do this by sending in bumpers like “this is droops from Hacker Public Radio and we live whatever this show is. Hacker Public Radio is a daily show created by the community”. Let’s make a list of podcasters we want to guest host or mention our show and go after them.\r\n</p>\r\n\r\n<p>\r\nSpeaking of guest hosts, let’s work on interviewing more people who will put our show on their blog/social media. We did this in the early days of Twatech with Moka5 and we got a lot of traffic from this. I do know that we already do this, but not everyone who listens contributes a show and this is an easy way to do it.\r\n</p>\r\n\r\n<p>\r\nWhat if we made it easier to record shows? Maybe have an Android/iOS app to record and submit shows from.\r\n</p>\r\n\r\n<p>\r\nWe could have a tool to submit show topics or do a survey to find out what people are interested in. This may prompt people to record shows by knowing that someone would be interested in it.\r\n</p>\r\n\r\n<p>\r\nSomeone could get some free stock photos (or better yet we could just take our own) and put show titles over the images to share on social media. People click on images. I will do this so that everyone can see my ugly face.\r\n</p>\r\n<p>\r\n<a href=\"https://hackerpublicradio.org/eps/hpr2035_building_community.jpg\">\r\n<img src=\"https://hackerpublicradio.org/eps/hpr2035_building_community_small.jpg\" alt=\"a photo of droops\" />\r\n</a>\r\n\r\n</p>\r\n<p>\r\nOn that note, how about a video that explains what HPR is. This may be a good droops project. That would be something awesome to share on social media.\r\n</p>\r\n\r\n<p>\r\nThe website, which is a lot of work, needs to have related shows listed on each individual shows page. This will take a tag system and someone to tag all of the almost uncountable previous episodes.\r\n</p>\r\n\r\n<p>\r\nOne of my favorite show formats is reviews of software/media. This is so much in our community to keep up with and HPR is perfect for this. Everyone should do a show about some unique software they use or a cool book they are reading or a cool documentary they watched. Five minutes about something cool would bring me into learning more about it.\r\n</p>\r\n\r\n<p>\r\nCurrently my classes are watching a documentary about the Silk Road called Deep Web (https://www.deepwebthemovie.com/). I should do a show on it to talk about privacy, government, all the cool things it brings up. We have not gotten far into the documentary yet as we keep stopping it to have discussions. \r\n</p>\r\n\r\n<p>\r\nAlso I love stickers, we should set up a store to sell stickers and t-shirts. Heck this is HPR, we should have tote bags. We can either sell them at cost or make a profit to pay for hosting or swag to give away.\r\n</p>\r\n\r\n<p>\r\nHacker Public Radio is driven by the community and our community as a whole is much smarter than I am. Let’s put our minds together and grow our show.\r\n</p>\r\n',1,0,0,'CC-BY-SA','community',0,0,1),
(2039,'2016-05-26','Blather Configuration Part 0: Initial Setup',1146,'In this episode I walk you through the process of getting blather running for the first time','<p>In this episode I walk you through the process of getting the <a href=\"https://gitlab.com/jezra/blather\">Blather</a> GNU/Linux speech recognition program running for the first time. </p>\r\n\r\n<p><strong>Arch</strong>: On Arch Linux this is really easy. Jezra made a <a href=\"https://aur.archlinux.org/packages/blather-git/\">package build for the AUR</a> so you can just install it that way.</p>\r\n\r\n<p><strong>Debian</strong>: I wrote an <a href=\"https://hackerpublicradio.org/eps/hpr2039/debian_blather_install_script\">installation script</a> for Debian-based systems that installs the dependencies to build <a href=\"https://cmusphinx.sourceforge.net/\">pocketsphinx</a>, plus a few extra packages that I use continually when I\'m running blather (xvkbd, xdotool, espeak, wmctrl, elinks, xclip, curl). It builds/installs the Sphinx stuff, pulls the blather source code, and puts some configuration files and a startup script in place for you. This should take care of pretty much all of the heavy lifting.</p>\r\n\r\n<p>I refer frequently to Jezra\'s usage notes on the <a href=\"https://gitlab.com/jezra/blather\">Blather source code page at gitlab</a>, so if you\'re trying to install this as I talk, you might want to follow along over there.</p>\r\n\r\n<p>The trickiest bit in the initial run is the creation and placement of the language files. I normally use a bash script for this, but on this first episode of the series I\'m going to use the <a href=\"https://www.speech.cs.cmu.edu/tools/lmtool-new.html\">web-based lmtool</a> to create the language files, just the way Jezra says to do on his usage page. He also includes my automated language updater script in the blather source code, though, so going forward I will be talking about how to use that script instead of the web-based tool.</p>\r\n\r\n<h2>Blather Launch Script</h2>\r\n\r\n<p>I use a bash script to launch Blather because I want to set several environmental variables: location of the pocketsphinx gstreamer libraries, default browser, default text-to-speech engine, and so forth. Having these environmental variables set means that I can use easy-to-remember shortcuts in my blather commands config file. Here is my launch script:</p>\r\n\r\n<pre>#!/bin/bash\r\n\r\n# tell it where the Gstreamer libraries are\r\nexport GST_PLUGIN_PATH=/usr/local/lib/gstreamer-0.10\r\n\r\n# set some shortcuts to use in the commands file\r\n\r\n#export VOICE=\"/usr/bin/festival --tts\"\r\nexport VOICE=\"/usr/bin/espeak\"\r\nexport CONFIGDIR=\"/home/$(whoami)/.config/blather\"\r\nexport KEYPRESS=\"xvkbd -xsendevent -secure -text\"\r\nexport BROWSER=\"chromium-browser\"\r\n\r\n# add blather script directory to the user\'s PATH\r\nexport PATH=\"$HOME/bin:/home/$(whoami)/.config/blather/scripts:$PATH\"\r\n\r\n# start blather in continuous mode with the GTK GUI \r\n# and a history of 20 recent commands\r\n\r\npython2 /home/$(whoami)/code/blather/Blather.py -c -i g -H 20\r\n</pre>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n<li><a href=\"https://gitlab.com/jezra/blather.git\" target=\"_blank\">Blather source code</a></li>\r\n<li>Blather <a href=\"https://hackerpublicradio.org/eps/hpr2039/debian_blather_install_script\">Installation Script for Debian</a></li>\r\n<li><a href=\"https://www.jezra.net/\" target=\"_blank\">Jezra\'s website</a></li>\r\n<li><a href=\"https://cmusphinx.sourceforge.net/\" target=\"_blank\">Sphinx Speech Recognition Library</a></li>\r\n<li>Sphinx <a href=\"https://www.speech.cs.cmu.edu/tools/lmtool-new.html\" target=\"_blank\">knowledge base tool</a></li>\r\n<li>Learn about the $2 Microphone that I use for blather: <a href=\"https://hackerpublicradio.org/eps.php?id=1812\">HPR Episode 1812</a></li>\r\n</ul>\r\n\r\n<h2>Credits</h2>\r\n\r\n<ul>\r\n	<li>Music bumpers are from Kimiko Ishizaka\'s <em>The Open Goldberg Variations</em>: <a href=\"https://www.opengoldbergvariations.org/\">https://www.opengoldbergvariations.org/</a>, used by permission of their <a href=\"https://creativecommons.org/publicdomain/zero/1.0/\">CC0 1.0 Universal (CC0 1.0) Public Domain Dedication license</a>.</li>\r\n</ul>\r\n',238,79,0,'CC-BY-SA','blather, speech recognition, accessibility, scripting, GNU/Linux',0,0,1),
(2036,'2016-05-23','Glasgow Podcrawl 2016',1716,'Kevie and Dave invite you to the 2016 Glasgow Podcrawl','<h1 id=\"glasgow-podcrawl-2016\">Glasgow Podcrawl 2016</h1>\r\n<p>Kevie and Dave Morriss chat about the upcoming Glasgow Podcrawl. This year\'s event takes place on the 29<sup>th</sup> of July 2016 and kicks off at 6pm in the State Bar, Holland Street.</p>\r\n<p>The event is open to anybody with an interest in podcasting, open source software or creative commons music. Whether you\'re an enthusiast or just interested in finding out more, also if you\'re a member of a band, then we would love to have you along for a yarn over a few pints.</p>\r\n<p>Check out <a href=\"https://kmacphail.blogspot.co.uk/2016/04/glasgow-podcrawl-2016.html\" class=\"uri\">https://kmacphail.blogspot.co.uk/2016/04/glasgow-podcrawl-2016.html</a> for more details and a map of how to get to the bar.</p>\r\n<p>Music on this episode is &quot;<em>Beer</em>&quot; from <em>Darkman Sounds</em> <a href=\"https://www.jamendo.com/track/1182203/beer\" class=\"uri\">https://www.jamendo.com/track/1182203/beer</a></p>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://kmacphail.blogspot.co.uk/2016/04/glasgow-podcrawl-2016.html\" class=\"uri\">https://kmacphail.blogspot.co.uk/2016/04/glasgow-podcrawl-2016.html</a></li>\r\n<li><a href=\"https://www.jamendo.com/track/1182203/beer\" class=\"uri\">https://www.jamendo.com/track/1182203/beer</a></li>\r\n</ul>',225,0,1,'CC-BY-SA','Glasgow,Podcrawl,open source, ccmusic, podcast, Linux',0,0,1),
(2037,'2016-05-24','Alpha32\'s Pinhead Oats',282,'I talk about how I cook steel cut oats, and ask you all to please share your favorite recipes','<p>It\'s oatmeal, I don\'t know how much we need in terms of notes.</p>\r\n<h3 id=\"recipe\">Recipe:</h3>\r\n<ul>\r\n<li>2 cups water</li>\r\n<li>1/8 teaspoon salt</li>\r\n<li>2/3 cup steel cut/pinhead oats</li>\r\n<li>1/8 teaspoon total allspice, nutmeg, cinnamon</li>\r\n<li>1/4 cup brown/demerara/whatever sort of sugar</li>\r\n<li>1/2 cup raisins</li>\r\n</ul>\r\n<ol type=\"1\">\r\n<li>boil water and salt</li>\r\n<li>heat on medium, add oats, spices, sugar</li>\r\n<li>stirring regularly, cook for 6 minutes, or until you get tired of stirring.</li>\r\n<li>remove from heat, add raisins.</li>\r\n<li>let sit for a few minutes to cool/finish absorbing water.</li>\r\n<li>enjoy!</li>\r\n</ol>\r\n',303,93,0,'CC-BY-SA','pinhead oats, cooking, recipe, oatmeal, porridge, steel-cut oats',0,0,1),
(2038,'2016-05-25','Attempting to fix a plastic boat',923,'Using fire and various bits of plastic, jezra attempts to repair a hole in a plastic boat.','<p>I\'m on a boat!</p>\n',243,0,1,'CC-BY-SA','boat',0,0,1),
(2040,'2016-05-27','Why I Use Linux',300,'A short description of why someone would stumble onto Linux and not want to leave.','<p>My first objective in making this show is to actually record a show, which is something I\'ve never done.</p>\r\n<p>My second objective was to say something interesting about why I use Linux, how I found it and why I think I keep using it.</p>\r\n<p>I found Linux by word of mouth. It was a bit of a hassle to use back then and I wouldn\'t have stuck with it if the system didn\'t meet my needs better than everything else that was available to me. Cost was very important at first, but as time has gone by, it\'s been the tools and the usability of the system that have made me stay with it.</p>\r\n<p>Despite their differences, Apple and Microsoft both try hard to be big, to have lots of users (buyers). They try to be everything to everyone. I think that happens with some Linux distributions too, but Linux is not one thing in the way that Windows is one thing. This means that at least some distributions can be less focused on keeping up with the latest, flashiest things. Linux just works for what I need it to do. I miss it when I\'m not using it.</p>\r\n<p>Most of the work I do besides household bookkeeping is programming for the web. The tools I use most often are: Vim, git, grep, Filezilla, the LAMP stack, Meteor, Firefox, Chromium. Many of these tools are afterthoughts in other systems, whereas they seem like native inhabitants in a Linux distribution.</p>\r\n',335,29,0,'CC-BY-SA','linux, Vim, git, grep, Filezilla, LAMP stack, Meteor, Firefox, Chromium',0,0,1),
(2041,'2016-05-30','Router Antennas More = better ?',454,'A ham operators view on router antennas','<p>\r\nReally complicated phasing of radio signals.\r\n</p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr2041Router1.jpg\" alt=\"Diagram of a router with 4 antennas\"/></p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr2041router2.jpg\" alt=\"Alternative antenna\"/></p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr2041lyle.jpg\" alt=\"Lyle Lastinger\"/></p>\r\n',336,0,0,'CC-BY-SA','router,antenna,ham radio',0,0,1),
(2042,'2016-05-31','My podcast list',1027,'Just a listing of the podcasts I listen to','<ul>\r\n<li>[<a href=\"https://www.npr.org/podcasts/344098539/wait-wait-don-t-tell-me\">www</a>, <a href=\"https://www.npr.org/rss/podcast.php?id=344098539\">rss</a>] Wait Wait Don\'t Tell Me</li>\r\n<li>[<a href=\"https://thepipodcast.com/\">www</a>, <a href=\"https://feeds.feedburner.com/thepipodcast\">rss</a>] The Pi Podcast</li>\r\n<li>[<a href=\"https://www.npr.org/podcasts/510310/npr-politics-podcast\">www</a>, <a href=\"https://www.npr.org/rss/podcast.php?id=510310\">rss</a>] NPR Politics Podcast</li>\r\n<li>[<a href=\"https://www.dancarlin.com/common-sense-home-landing-page/\">www</a>, <a href=\"https://feeds.feedburner.com/dancarlin/commonsense?format=xml\">rss</a>] Common Sense with Dan Carlin</li>\r\n<li>[<a href=\"https://www.dancarlin.com/product-category/hardcore-history/\">www</a>, <a href=\"https://feeds.feedburner.com/dancarlin/history?format=xml\">rss</a>] dan Carlin\'s Hardcore History</li>\r\n<li>[<a href=\"https://linuxluddites.com/\">www</a>, <a href=\"https://feeds.feedburner.com/LinuxLudditesOgg\">rss</a>] Linux Luddites</li>\r\n<li>[<a href=\"https://hackerpublicradio.org/\">www</a>, <a href=\"https://hackerpublicradio.org/hpr_ogg_rss.php\">rss</a>] HPR</li>\r\n<li>[<a href=\"https://geekspeak.org/\">www</a>, <a href=\"https://geekspeak.org/episodes/rss.xml\">rss</a>] Geekspeak</li>\r\n<li>[<a href=\"https://www.cartalk.com/\">www</a>, rss] Car Talk</li>\r\n<li>[<a href=\"https://aopa.org/news-and-media/aopa-live\">www</a>, rss] AOPA Live</li>\r\n<li>[<a href=\"https://www.tllts.org/\">www</a>, <a href=\"https://feeds.feedburner.com/TheLinuxLinkTechShowOgg-vorbisFeed\">rss</a>] The Linux Link Tech Show</li>\r\n<li>[<a href=\"https://blog.frankdelaney.com/re-joyce/\">www</a>, <a href=\"https://feeds.feedburner.com/libsyn/sQtR\">rss</a>] Frank Delaney\'s Re:Joyce</li>\r\n</ul>\r\n',116,75,0,'CC-BY-SA','podcast,recommendation',0,0,1),
(2045,'2016-06-03','Some other Bash tips',3353,'Yet more information about types of expansion in Bash','<h1 id=\"some-other-bash-tips\">Some other Bash tips</h1>\r\n<h2 id=\"expansion\">Expansion</h2>\r\n<p>As we saw in the last episode <a href=\"https://hackerpublicradio.org/eps.php?id=1951\" title=\"Some additional Bash tips\">1951</a> (and others in this sub-series) there are eight types of expansion applied to the command line in the following order:</p>\r\n<ul>\r\n<li>Brace expansion (we looked at this subject in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1884\" title=\"Some more Bash tips\">1884</a>)</li>\r\n<li>Tilde expansion (seen in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1903\" title=\"Some further Bash tips\">1903</a>)</li>\r\n<li>Parameter and variable expansion (this was covered in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1648\" title=\"Bash parameter manipulation\">1648</a>)</li>\r\n<li>Command substitution (seen in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1903\" title=\"Some further Bash tips\">1903</a>)</li>\r\n<li>Arithmetic expansion (seen in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1951\" title=\"Some additional Bash tips\">1951</a>)</li>\r\n<li>Process substitution</li>\r\n<li>Word splitting</li>\r\n<li>Pathname expansion</li>\r\n</ul>\r\n<p>We will look at process substitution and word splitting in this episode but since there is a lot to cover in these subjects, we\'ll save pathname expansion for the next episode.</p>\r\n<p>I have written out a moderately long set of notes about this subject and these are available here <a href=\"https://hackerpublicradio.org/eps/hpr2045/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2045/full_shownotes.html</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>HPR episode 1648 &quot;<em>Bash parameter manipulation</em>&quot;: <a href=\"https://hackerpublicradio.org/eps.php?id=1648\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1648</a></li>\r\n<li>HPR episode 1843 &quot;<em>Some Bash tips</em>&quot;: <a href=\"https://hackerpublicradio.org/eps.php?id=1843\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1843</a></li>\r\n<li>HPR episode 1884 &quot;<em>Some more Bash tips</em>&quot;: <a href=\"https://hackerpublicradio.org/eps.php?id=1884\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1884</a></li>\r\n<li>HPR episode 1903 &quot;<em>Some further Bash tips</em>&quot;: <a href=\"https://hackerpublicradio.org/eps.php?id=1903\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1903</a></li>\r\n<li>HPR episode 1951 &quot;<em>Some additional Bash tips</em>&quot;: <a href=\"https://hackerpublicradio.org/eps.php?id=1951\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1951</a><br />\r\n<br />\r\n</li>\r\n<li>&quot;<em>Introduction to sed</em>&quot; series on HPR:\r\n<ul>\r\n<li><em>Part 1</em>: <a href=\"https://hackerpublicradio.org/eps.php?id=1976\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1976</a></li>\r\n<li><em>Part 2</em>: <a href=\"https://hackerpublicradio.org/eps.php?id=1986\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1986</a></li>\r\n<li><em>Part 3</em>: <a href=\"https://hackerpublicradio.org/eps.php?id=1997\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1997</a></li>\r\n<li><em>Part 4</em>: <a href=\"https://hackerpublicradio.org/eps.php?id=2011\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=2011</a><br />\r\n<br />\r\n</li>\r\n</ul></li>\r\n<li>Wikipedia article on the &quot;<em>Named pipe</em>&quot;: <a href=\"https://en.wikipedia.org/wiki/Named_pipe\" class=\"uri\">https://en.wikipedia.org/wiki/Named_pipe</a></li>\r\n<li>Wikipedia article on the &quot;<em>IFS</em>&quot; variable: <a href=\"https://en.wikipedia.org/wiki/Internal_field_separator\" class=\"uri\">https://en.wikipedia.org/wiki/Internal_field_separator</a></li>\r\n<li><em>Advanced Bash-Scripting Guide</em>: Section 9.1 <em>Bash Internal Variables</em> (including <code>IFS</code>): <a href=\"https://www.tldp.org/LDP/abs/html/internalvariables.html\" class=\"uri\">https://www.tldp.org/LDP/abs/html/internalvariables.html</a></li>\r\n</ul>',225,42,1,'CC-BY-SA','Bash,expansion,process substitution, word splitting',0,0,1),
(2049,'2016-06-09','My Raspberry Pi Home Server',1524,'Knightwise talks about how he uses his Raspberry Pi to get things done.','<p>Knightwise talks about how he uses his <a href=\"https://www.raspberrypi.org/\">Raspberry Pi</a> to get things done, and keep his connection to the Internet secure and private when he\'s away from home. He also discusses a number of command line tools that he uses on the Pi which help to keep the workflow simple and clutter-free.</p>\r\n<ul>\r\n<li><a href=\"https://byobu.org/\">BYOBU</a></li>\r\n<li><a href=\"https://irssi.org/\">IRSSI</a></li>\r\n<li><a href=\"https://centerim.org/index.php/Main_Page\">CenterIM</a></li>\r\n<li><a href=\"https://github.com/michael-lazar/rtv\">RTV</a></li>\r\n<li><a href=\"https://newsbeuter.org/\">NewsBeuter</a></li>\r\n<li><a href=\"https://cowlark.com/wordgrinder/\">WordGrinder</a></li>\r\n<li><a href=\"https://github.com/mps-youtube/mps-youtube\">mpsYT</a></li>\r\n<li><a href=\"https://ranger.nongnu.org/\">Ranger</a></li>\r\n<li><a href=\"https://nmon.sourceforge.net/pmwiki.php\">nmon</a></li>\r\n<li><a href=\"https://www.transmissionbt.com/\">Transmission CLI</a></li>\r\n<li><a href=\"https://www.torproject.org/\">Tor</a></li>\r\n</ul>',111,0,0,'CC-BY-SA','raspberry pi, foss, productivity, vpn, command line, cli',0,0,1),
(2047,'2016-06-07','Neo Fetch 1.5',173,'Neofetch is a console command displaying system information','<p>I was reading Linux Voice I heard Dave Morriss talking about shows and made a sort one about Neofetch 1.5. Its a command that displays system information.</p>\r\n',129,0,0,'CC-BY-SA','Linux Voice, Linux command, Neofetch 1.5',0,0,1),
(2055,'2016-06-17','GNU Nano Editor',422,'Why GNU Nano is a real Text Editor and Simple Word Processor','<p>I recently heard an HPR Podcast where it was mentioned that Nano was not a real text editor. That somehow VI or Emacs or Kate or Gedit were in some way better than Nano. I just wanted to set the record straight that Nano is a serious editor that has a huge following and a facebook page.</p>\r\n<ul>\r\n<li><a href=\"https://www.facebook.com/pages/the-GNU-nano-text-editor/51469466761\" class=\"uri\">https://www.facebook.com/pages/the-GNU-nano-text-editor/51469466761</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/GNU_nano\" class=\"uri\">https://en.wikipedia.org/wiki/GNU_nano</a></li>\r\n<li><a href=\"https://savannah.gnu.org/news/?group=nano\" class=\"uri\">https://savannah.gnu.org/news/?group=nano</a></li>\r\n</ul>\r\n',129,0,1,'CC-BY-SA','editor,GNU Nano,Vi,Vim,Emacs,Kate,Gedit',0,0,1),
(2043,'2016-06-01','My First Beer Podcast',264,'Discussing beer tasting','<p>Hey. It\'s MeToo here again. On this episode, were diverging from my last podcast of coffee and switching topics to, wait for it. Wait for it. BEER.</p>\r\n<p>Now, you might think to yourself, \"What the heck! Beer?\" I know. I know. It\'s so plebeian, right?</p>\r\n<p>Well. I too, use to think like that. What with the shades of Budweiser, Michelob, Iron Horse, Iroquois, Genesee, etc... All squaw piss. Right?</p>\r\n<p>I was raised on wines &amp; cocktails. But, over recent years, especially after listening to many of you guys\' podcast on beer-making and drinking, I became interested in wanting to try some of these artisan beers you all have spoken of. But, being overseas in a foreign country, my chances of such are like a snowball\'s chance in hell. Or so I thought.</p>\r\n<p>Then came one night when I was on my way to teach a class at one of the local universities, and passed by a newly opened bar with the humorous name of \"Nobody Knows Bar.\" Where, when I glanced in the window and to my amazement, were many of the very beers you all had been talking so much about. Wow! Here was my chance to partake. So, I went to class and afterwards stopped in to the bar.</p>\r\n<p>So, I tried a beer. It just happened to be an IPA. Now, don\'t get me wrong. Many, many years ago I had tried an IPA and found it far from my liking. So, my first choice wouldn\'t have been an IPA normally. Again you ask, \"Why did you choose an IPA this time?\" Well, the reason was bartender recommended it.</p>\r\n<p>And again to my amazement (to coin a phrase), it was great. I guess the reason for enjoying it over before is that, as like everyone, my taste buds had changed. And truthfully speaking, I\'ve come to like IPAs over many others.</p>\r\n<p>So, to no longer digress. Let me tell you what I chose and my opinions on the beer.</p>\r\n<p>The beer? A 12oz. 8.2% Alc. by vol., glass bottled Lagunitas Brewery\'s Lagunitas Unlimited Release Maximus IPA Maximus Ale. I love the labeling. It reads: \"Life is uncertain. Don\'t dip.\" Also, \"If some is good, more is better.\" And one final one, \"Instant gratification isn\'t fast enough.\" What a lark!</p>\r\n<p>Enough diddle dallying. On to the tasting: The nose on this beer is crisp and light. The first mouthing brings a floral, fruity semi-sweet taste. The fruitiness continues into the aftertaste with an added semi-dryness. And yet, despite the alcohol content, doesn\'t ring your clock. The longer after flavor is strongest on the underside of the back of the tongue. Very pleasant.</p>\r\n<p>So. There you have it. My first beer tasting. I hope you found it telling. And maybe you too will try a bottle. I highly recommend it. I will continue these tasting over the course of time. Now don\'t get me wrong. I\'m no sot. And I still like my coffees, but I have now found a new \"like\" and it\'s artisan beers.</p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2043/Maximus_Ale-sm.jpg\">\r\n<img src=\"https://hackerpublicradio.org/eps/hpr2043/Maximus_Ale-sm_small.jpg\" alt=\"hand holding beer bottle\" /></a></p>\r\n\r\n<p>Until next time. This is MeToo signing out and wishing you happy trails and happy beers.</p>\r\n',313,0,1,'CC-BY-SA','Beer Tasting',0,0,1),
(2050,'2016-06-10','Developing Black &amp; White Film',964,'Black and white film is actually pretty easy to develop.  Follow along as I do so.','<ul>\r\n<li>Intro to the film and the chemicals used</li>\r\n<li>Mixing chemicals with water</li>\r\n<li>Load developing tank with film</li>\r\n<li>Live recording of the developing process itself.</li>\r\n</ul>\r\n',337,0,0,'CC-BY-SA','Photography',0,0,1),
(2051,'2016-06-13','My Linux Journey',709,'This is a short show where I talk about how I started to use Linux','<ul>\r\n<li><p>0.00 Introduction</p></li>\r\n<li><p>0.40 Computer History</p></li>\r\n<li><p>6.25 Linux and Freecycle</p></li>\r\n<li><p>8.50 Current PC and Distro</p></li>\r\n<li><p>9.10 Helping/converting others</p></li>\r\n</ul>\r\n',338,29,0,'CC-BY-SA','Windows 3.1,Windows 95,Windows 98,Xubuntu,Windows XP,Freespire,Ubuntu,LibreOffice,Linux Mint',0,0,1),
(2065,'2016-07-01','Whats in My Bag',271,'This is a short episode about what I carry in My Geek bag at various times','<ul>\r\n<li><p>0.00 Intro</p></li>\r\n<li><p>0.38 Lenovo x201</p></li>\r\n<li><p>1.10 Lenovo x200 Tablet</p></li>\r\n<li><p>1.30 Lenovo x61s</p></li>\r\n<li><p>2.25 Raspberry Pi stuff</p></li>\r\n<li><p>3.55 Portable HDD</p></li>\r\n<li><p>4.24 sign off</p></li>\r\n</ul>\r\n',338,23,0,'CC-BY-SA','toolkit,laptop,tablet,netbook,Lenovo,Raspberry Pi,microSD,external HD',0,0,1),
(2052,'2016-06-14','A Nerdy Conversation With Linden About Technology',2429,'In this episode of HPR sigflup interviews Linden who specializes in databases.','<p>In this episode of HPR sigflup interviews Linden who specializes in databases. The subject of this interview varies wildly. All the way from databases to python and arch linux</p>\r\n<p>\r\nYou can contact Linden on twitter at <a href=\"https://twitter.com/tesherista\">@tesherista</a>\r\n</p>',115,0,0,'CC-BY-SA','MySQL, SQLite, R, C, Python, Logo, Arch ',0,0,1),
(2076,'2016-07-18','What Magazines I read Part 1',300,'This is a short episode about the Magazines I read that may be of interest to other listeners','<!-- Processed by make_markdown V0.0.4 -->\r\n<h2 id=\"magazines-i-read\">Magazines I Read</h2>\r\n<p>Hi This is Tony Hughes for Hacker Public Radio, I\'m trying to do a show once a month or so and I was thinking of ideas that might be of interest to the listeners out there.</p>\r\n<p>While there are regular shows on \'What\'s on my pod-catcher\' I\'ve never heard one about what magazines that people in the HPR community like to read. With the advent of digital media and subscription services such as Issuu, Magzter, Google Play Newsstand and I\'m sure many others which offer both Free and subscription content I\'m sure many of you like me have quite a number of magazines you regularly read, and some you dip in to from time to time. So this show is about the Magazines I like to read.</p>\r\n<p>First I\'d like to say that to facilitate regularly reading of digital media I feel for me a 10&quot; tablet is the smallest format for comfortable reading (although for those of you with young enough eyesight to be able to read small fonts with no difficulty you may feel different). However my Tablet of choice is the 12&quot; Samsung SM-P900 which I purchased in February 2015. My only gripe with this tablet is I\'ll probably never get Android 6 on it as it\'s now over 2 years since original release. While I agree with Apple that the 4:3 screen configuration for reading on a tablet is more user friendly I can not bring myself to spend that kind of money or be tied to the Apple ecosystem.</p>\r\n<p>So what Magazines do I actually read?</p>\r\n<ul>\r\n<li><p>Linux Voice (<a href=\"https://www.linuxvoice.com\" class=\"uri\">https://www.linuxvoice.com</a>) This is a Linux magazine that was set up a couple of years ago by some of the former editorial team from Linux Format after a successful Kick Starter Campaign. Good content for and about Linux and the Linux community and they support the community by distributing 50% of their annual profits back to the Open Source Community after a ballot of readers. They also release issues of the magazine with a creative commons licence 9 months after publication. This is the only magazine I currently have a Paper subscription to (it also comes with a free DRM free PDF copy for subscribers)</p></li>\r\n<li><p>Linux Format (<a href=\"https://www.linuxformat.com\" class=\"uri\">https://www.linuxformat.com</a>) Similar in content to Linux Voice but without quite the same community philosophy, but still a very good publication.</p></li>\r\n<li><p>MicroMart (<a href=\"https://subscribe.micromart.co.uk\" class=\"uri\">https://subscribe.micromart.co.uk</a>) This is a more general computer magazine that started in 1985, as a place you could buy and sell computers and components but is now more of a regular weekly magazine format with news, reviews and articles about all things computer and technology related. As I said in my Journey to Linux show this was the Magazine that introduced me to Linux in the late 90\'s early 00\'s. They still have a weekly Linux page and regular Raspberry Pi and other Linux related content.</p></li>\r\n<li><p>MagpPi (<a href=\"https://www.raspberrypi.org/magpi\" class=\"uri\">https://www.raspberrypi.org/magpi</a>) This is the official Monthly magazine of the Raspberry Pi Community and as you will have worked out is focused on all things Raspberry Pi. Lots of Good content including: News, tutorials, and reviews of new peripherals for the Pi, and since being brought in house by the foundation it has a very professional look and feel about it. All the content is provided by members of the Raspberry Pi Community both from inside, and outside the Foundation. You can get a free Creative commons PDF from the website or to support the foundation you can subscribe to both Print and digital copies if you wish to.</p></li>\r\n<li><p>Full Circle Magazine (<a href=\"https://fullcirclemagazine.org/\" class=\"uri\">https://fullcirclemagazine.org/</a>) This is a completely community driven magazine for all things related to Ubuntu Linux and its derivatives. They carry news of what is happening in the World of Ubuntu and articles and tutorials of how to use Linux software for both the beginner and more experienced users. This is a Creative Commons and can be downloaded free from the website in both PDF and e-book formats.</p></li>\r\n<li><p>PCLinuxOS Magazine (<a href=\"https://pclosmag.com/index.html\" class=\"uri\">https://pclosmag.com/index.html</a>) This is another community driven magazine from The PCLinuxOS community and is similar to Full Circle in its content, with the aim of helping users of this distro to get the most out of it they can. Also available as a free Creative Commons PDF download from their website.</p></li>\r\n</ul>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.linuxvoice.com\" class=\"uri\">https://www.linuxvoice.com</a></li>\r\n<li><a href=\"https://www.linuxformat.com\" class=\"uri\">https://www.linuxformat.com</a></li>\r\n<li><a href=\"https://subscribe.micromart.co.uk\" class=\"uri\">https://subscribe.micromart.co.uk</a></li>\r\n<li><a href=\"https://www.raspberrypi.org/magpi\" class=\"uri\">https://www.raspberrypi.org/magpi</a></li>\r\n<li><a href=\"https://fullcirclemagazine.org/\" class=\"uri\">https://fullcirclemagazine.org/</a></li>\r\n<li><a href=\"https://pclosmag.com/index.html\" class=\"uri\">https://pclosmag.com/index.html</a></li>\r\n</ul>\r\n',338,0,0,'CC-BY-SA','Magazine, Linux, Computing',0,0,1),
(2281,'2017-05-01','HPR Community News for April 2017',5549,'HPR Volunteers talk about shows released and comments posted in April 2017','\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0352.html\" target=\"_blank\">fth</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0353.html\" target=\"_blank\">venam</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2261\" target=\"_blank\">2261</a></strong></td>\n    <td>Mon</td>\n    <td>2017-04-03</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2261\" target=\"_blank\">HPR Community News for March 2017</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2262\" target=\"_blank\">2262</a></strong></td>\n    <td>Tue</td>\n    <td>2017-04-04</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2262\" target=\"_blank\">Abstracting Nurse Jesus</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0317.html\" target=\"_blank\">Eric Duhamel</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2263\" target=\"_blank\">2263</a></strong></td>\n    <td>Wed</td>\n    <td>2017-04-05</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2263\" target=\"_blank\">Freak Does Geek</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0352.html\" target=\"_blank\">fth</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2264\" target=\"_blank\">2264</a></strong></td>\n    <td>Thu</td>\n    <td>2017-04-06</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2264\" target=\"_blank\">At The Library</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0346.html\" target=\"_blank\">Bill &quot;NFMZ1&quot; Miller</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2265\" target=\"_blank\">2265</a></strong></td>\n    <td>Fri</td>\n    <td>2017-04-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2265\" target=\"_blank\">WattOS on Lenovo X61s</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2266\" target=\"_blank\">2266</a></strong></td>\n    <td>Mon</td>\n    <td>2017-04-10</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2266\" target=\"_blank\">Gamebooks: Lone Wolf</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2267\" target=\"_blank\">2267</a></strong></td>\n    <td>Tue</td>\n    <td>2017-04-11</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2267\" target=\"_blank\">Our Digital Art</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0115.html\" target=\"_blank\">sigflup</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2268\" target=\"_blank\">2268</a></strong></td>\n    <td>Wed</td>\n    <td>2017-04-12</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2268\" target=\"_blank\">Fish On!</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0346.html\" target=\"_blank\">Bill &quot;NFMZ1&quot; Miller</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2269\" target=\"_blank\">2269</a></strong></td>\n    <td>Thu</td>\n    <td>2017-04-13</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2269\" target=\"_blank\">Chocolate Milk</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0353.html\" target=\"_blank\">venam</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2270\" target=\"_blank\">2270</a></strong></td>\n    <td>Fri</td>\n    <td>2017-04-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2270\" target=\"_blank\">Managing tags on HPR episodes - 3</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2271\" target=\"_blank\">2271</a></strong></td>\n    <td>Mon</td>\n    <td>2017-04-17</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2271\" target=\"_blank\">Raspberry Pi Zero W</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2272\" target=\"_blank\">2272</a></strong></td>\n    <td>Tue</td>\n    <td>2017-04-18</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2272\" target=\"_blank\">In Which Our Hero Takes 4 Hours to Install Hyper-V Server 2012</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0319.html\" target=\"_blank\">OnlyHalfTheTime</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2273\" target=\"_blank\">2273</a></strong></td>\n    <td>Wed</td>\n    <td>2017-04-19</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2273\" target=\"_blank\">Fountain Pens</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2274\" target=\"_blank\">2274</a></strong></td>\n    <td>Thu</td>\n    <td>2017-04-20</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2274\" target=\"_blank\">First Microsoft Surface Pro Ubuntu 16.04 Dual boot</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2275\" target=\"_blank\">2275</a></strong></td>\n    <td>Fri</td>\n    <td>2017-04-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2275\" target=\"_blank\">Penguicon 2017</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2276\" target=\"_blank\">2276</a></strong></td>\n    <td>Mon</td>\n    <td>2017-04-24</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2276\" target=\"_blank\">Tunnels and Trolls and Dungeon Delvers</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2277\" target=\"_blank\">2277</a></strong></td>\n    <td>Tue</td>\n    <td>2017-04-25</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2277\" target=\"_blank\">Outernet and other projects</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2278\" target=\"_blank\">2278</a></strong></td>\n    <td>Wed</td>\n    <td>2017-04-26</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2278\" target=\"_blank\">Some supplementary Bash tips</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2279\" target=\"_blank\">2279</a></strong></td>\n    <td>Thu</td>\n    <td>2017-04-27</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2279\" target=\"_blank\">The first Intel CompuStick sound fix with LUbuntu</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2280\" target=\"_blank\">2280</a></strong></td>\n    <td>Fri</td>\n    <td>2017-04-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2280\" target=\"_blank\">Lenovo X61s Part 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available in the archives run\nexternally by <a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\n(see below) and on the HPR server under <a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p><em>Note: since the summer of 2016 Gmane has changed location and is currently\nbeing reestablished. At the moment the HPR archive is not available there.</em></p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-April/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-April/thread.html</a>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 43 comments in total.</p>\n<p>There are 14 comments on\n8 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2178#comments\" target=\"_blank\">hpr2178</a></strong>\n(2016-12-07) \"<em>Dice Mixer</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2178#2\" target=\"_blank\">Comment 2</a>:\nKlaatu on 2017-04-04:\n\"Tin Horn\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2212#comments\" target=\"_blank\">hpr2212</a></strong>\n(2017-01-24) \"<em>meanderings Cyberpunk and the Minidisc</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0110.html\" target=\"_blank\">Quvmoh</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2212#4\" target=\"_blank\">Comment 4</a>:\n1F on 2017-04-07:\n\"anti-hacker?\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2236#comments\" target=\"_blank\">hpr2236</a></strong>\n(2017-02-27) \"<em>Hoarding Raspberry Pis</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2236#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2017-04-07:\n\"Pis or Pi&#39;s\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2236#5\" target=\"_blank\">Comment 5</a>:\nMike Ray on 2017-04-08:\n\"Pis or Pi&#39;s\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2249#comments\" target=\"_blank\">hpr2249</a></strong>\n(2017-03-16) \"<em>HPR New Year show episode 3</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2249#3\" target=\"_blank\">Comment 3</a>:\ndodddummy on 2017-04-03:\n\"New Episode Title: Conspriacy Gate!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2249#4\" target=\"_blank\">Comment 4</a>:\nFrank on 2017-04-14:\n\"Windows on top\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2253#comments\" target=\"_blank\">hpr2253</a></strong>\n(2017-03-22) \"<em>How to make and use a stencil</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0351.html\" target=\"_blank\">@einebiene</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2253#9\" target=\"_blank\">Comment 9</a>:\nMikael on 2017-04-03:\n\"Thank you\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2253#10\" target=\"_blank\">Comment 10</a>:\n@eineBiene on 2017-04-03:\n\"@all\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2253#11\" target=\"_blank\">Comment 11</a>:\nrtsn on 2017-04-23:\n\"Good show\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2254#comments\" target=\"_blank\">hpr2254</a></strong>\n(2017-03-23) \"<em>Introduction to Model Rocketry</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0334.html\" target=\"_blank\">Steve Saner</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2254#1\" target=\"_blank\">Comment 1</a>:\nChristopher M. Hobbs on 2017-03-31:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2254#2\" target=\"_blank\">Comment 2</a>:\nRoan on 2017-04-19:\n\"ahh the memories\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2254#3\" target=\"_blank\">Comment 3</a>:\nnstr on 2017-04-23:\n\"!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2255#comments\" target=\"_blank\">hpr2255</a></strong>\n(2017-03-24) \"<em>The Good Ship HPR</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2255#7\" target=\"_blank\">Comment 7</a>:\ndodddummy on 2017-04-03:\n\"This should be a sticky show\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2259#comments\" target=\"_blank\">hpr2259</a></strong>\n(2017-03-30) \"<em>Minidiscs: A Response to HPR 2212</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2259#4\" target=\"_blank\">Comment 4</a>:\nQuvmoh on 2017-04-04:\n\"minidisc\"</li></ul><br/>\n</li></ul>\n<p>There are 29 comments on 13 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2261#comments\" target=\"_blank\">hpr2261</a></strong>\n(2017-04-03) \"<em>HPR Community News for March 2017</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2261#1\" target=\"_blank\">Comment 1</a>:\nJwp on 2017-04-03:\n\"One button submit\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2261#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-04-04:\n\"Radio, electromagnetic radiation and so forth\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2261#3\" target=\"_blank\">Comment 3</a>:\nKen Fallon on 2017-04-04:\n\"One Button will not fix the steady supply problem\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2263#comments\" target=\"_blank\">hpr2263</a></strong>\n(2017-04-05) \"<em>Freak Does Geek</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0352.html\" target=\"_blank\">fth</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2263#1\" target=\"_blank\">Comment 1</a>:\nBeeza on 2017-04-10:\n\"Brilliant Show\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2264#comments\" target=\"_blank\">hpr2264</a></strong>\n(2017-04-06) \"<em>At The Library</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0346.html\" target=\"_blank\">Bill \"NFMZ1\" Miller</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2264#1\" target=\"_blank\">Comment 1</a>:\nClinton Roy on 2017-04-05:\n\"Podnutz\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2264#2\" target=\"_blank\">Comment 2</a>:\nClinton Roy on 2017-04-05:\n\"Great Idea\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2264#3\" target=\"_blank\">Comment 3</a>:\nWindigo on 2017-04-10:\n\"Similar experience\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2266#comments\" target=\"_blank\">hpr2266</a></strong>\n(2017-04-10) \"<em>Gamebooks: Lone Wolf</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2266#1\" target=\"_blank\">Comment 1</a>:\nLes Orchard on 2017-04-11:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2269#comments\" target=\"_blank\">hpr2269</a></strong>\n(2017-04-13) \"<em>Chocolate Milk</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0353.html\" target=\"_blank\">venam</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2269#1\" target=\"_blank\">Comment 1</a>:\nJWP on 2017-04-15:\n\"Great\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2269#2\" target=\"_blank\">Comment 2</a>:\ndoddummy on 2017-04-23:\n\"I liked the show but...\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2269#3\" target=\"_blank\">Comment 3</a>:\nKen Fallon on 2017-04-24:\n\"It is a syndicated show\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2270#comments\" target=\"_blank\">hpr2270</a></strong>\n(2017-04-14) \"<em>Managing tags on HPR episodes - 3</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2270#1\" target=\"_blank\">Comment 1</a>:\nSteve on 2017-04-19:\n\"Make it so\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2270#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-04-19:\n\"Thanks Steve\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2270#3\" target=\"_blank\">Comment 3</a>:\ngws on 2017-04-19:\n\"series\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2270#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2017-04-19:\n\"Series same as Tag?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2270#5\" target=\"_blank\">Comment 5</a>:\ngws on 2017-04-20:\n\"tag vs. series\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2270#6\" target=\"_blank\">Comment 6</a>:\nBrenda J. Butler on 2017-04-23:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2270#7\" target=\"_blank\">Comment 7</a>:\nDave Morriss on 2017-04-24:\n\"Tags and Series\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2270#8\" target=\"_blank\">Comment 8</a>:\nDave Morriss on 2017-04-24:\n\"Thanks Brenda\"</li></ul><br/>\n</li><li><strong><a href=\"https://hobbypublicradio.com/eps.php?id=2271#comments\" target=\"_blank\">hpr2271</a></strong>\n(2017-04-17) \"<em>Raspberry Pi Zero W</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hobbypublicradio.com/eps.php?id=2271#1\" target=\"_blank\">Comment 1</a>:\ndroops on 2017-04-22:\n\"Very Cool\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2272#comments\" target=\"_blank\">hpr2272</a></strong>\n(2017-04-18) \"<em>In Which Our Hero Takes 4 Hours to Install Hyper-V Server 2012</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0319.html\" target=\"_blank\">OnlyHalfTheTime</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2272#1\" target=\"_blank\">Comment 1</a>:\nSteve on 2017-04-17:\n\"Been there\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2273#comments\" target=\"_blank\">hpr2273</a></strong>\n(2017-04-19) \"<em>Fountain Pens</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2273#1\" target=\"_blank\">Comment 1</a>:\ndroops on 2017-04-18:\n\"Fountain Pens?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2273#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-04-19:\n\"Great show. We need more on this subject\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2274#comments\" target=\"_blank\">hpr2274</a></strong>\n(2017-04-20) \"<em>First Microsoft Surface Pro Ubuntu 16.04 Dual boot</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2274#1\" target=\"_blank\">Comment 1</a>:\nWindigo on 2017-04-28:\n\"Very interesting possibility\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2277#comments\" target=\"_blank\">hpr2277</a></strong>\n(2017-04-25) \"<em>Outernet and other projects</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2277#1\" target=\"_blank\">Comment 1</a>:\nLowtek Morgellon  on 2017-04-25:\n\"Outernet User\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2277#2\" target=\"_blank\">Comment 2</a>:\nM1rr0r5h4d35 on 2017-04-25:\n\"Sounds Awesome!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2278#comments\" target=\"_blank\">hpr2278</a></strong>\n(2017-04-26) \"<em>Some supplementary Bash tips</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2278#1\" target=\"_blank\">Comment 1</a>:\nunverified on 2017-04-28:\n\"You Rock\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2278#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-04-29:\n\"Thanks\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2280#comments\" target=\"_blank\">hpr2280</a></strong>\n(2017-04-28) \"<em>Lenovo X61s Part 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2280#1\" target=\"_blank\">Comment 1</a>:\nTony Hughes on 2017-03-09:\n\"hpr 2280\"</li></ul><br/>\n</li></ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2306,'2017-06-05','HPR Community News for May 2017',5248,'HPR Volunteers talk about shows released and comments posted in May 2017','\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n    <a href=\"https://hackerpublicradio.org/correspondents/0354.html\" target=\"_blank\">TheDUDE</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0355.html\" target=\"_blank\">Knox</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2281\" target=\"_blank\">2281</a></strong></td>\n    <td>Mon</td>\n    <td>2017-05-01</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2281\" target=\"_blank\">HPR Community News for April 2017</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2282\" target=\"_blank\">2282</a></strong></td>\n    <td>Tue</td>\n    <td>2017-05-02</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2282\" target=\"_blank\">Pathfinder Adventure Card Game</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2283\" target=\"_blank\">2283</a></strong></td>\n    <td>Wed</td>\n    <td>2017-05-03</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2283\" target=\"_blank\">Saving money shaving with double and single edge safety razors</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0077.html\" target=\"_blank\">Dave Yates</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2284\" target=\"_blank\">2284</a></strong></td>\n    <td>Thu</td>\n    <td>2017-05-04</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2284\" target=\"_blank\">Resurrecting a dead ethernet switch</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0271.html\" target=\"_blank\">mirwi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2285\" target=\"_blank\">2285</a></strong></td>\n    <td>Fri</td>\n    <td>2017-05-05</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2285\" target=\"_blank\">The Tick Conspiracy</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0354.html\" target=\"_blank\">TheDUDE</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2286\" target=\"_blank\">2286</a></strong></td>\n    <td>Mon</td>\n    <td>2017-05-08</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2286\" target=\"_blank\">Surviving a Stroke</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2287\" target=\"_blank\">2287</a></strong></td>\n    <td>Tue</td>\n    <td>2017-05-09</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2287\" target=\"_blank\">Desparately Seeking Saving RMS - Introduction</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2288\" target=\"_blank\">2288</a></strong></td>\n    <td>Wed</td>\n    <td>2017-05-10</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2288\" target=\"_blank\">Installing and using virtualenvwrapper for python</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0355.html\" target=\"_blank\">Knox</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2289\" target=\"_blank\">2289</a></strong></td>\n    <td>Thu</td>\n    <td>2017-05-11</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2289\" target=\"_blank\">Sendy Send. Tell if your email has been read!!</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0115.html\" target=\"_blank\">sigflup</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2290\" target=\"_blank\">2290</a></strong></td>\n    <td>Fri</td>\n    <td>2017-05-12</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2290\" target=\"_blank\">How to change the height of your Ironing board</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2291\" target=\"_blank\">2291</a></strong></td>\n    <td>Mon</td>\n    <td>2017-05-15</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2291\" target=\"_blank\">Arch on CELES</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0349.html\" target=\"_blank\">Hannah, of Terra, of Sol</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2292\" target=\"_blank\">2292</a></strong></td>\n    <td>Tue</td>\n    <td>2017-05-16</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2292\" target=\"_blank\">Baofeng UV5R VHF/UHF Handset part 1</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2293\" target=\"_blank\">2293</a></strong></td>\n    <td>Wed</td>\n    <td>2017-05-17</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2293\" target=\"_blank\">More supplementary Bash tips</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2294\" target=\"_blank\">2294</a></strong></td>\n    <td>Thu</td>\n    <td>2017-05-18</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2294\" target=\"_blank\">Activities with a Toddler</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0250.html\" target=\"_blank\">Shane Shennan</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2295\" target=\"_blank\">2295</a></strong></td>\n    <td>Fri</td>\n    <td>2017-05-19</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2295\" target=\"_blank\">MX Linux</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2296\" target=\"_blank\">2296</a></strong></td>\n    <td>Mon</td>\n    <td>2017-05-22</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2296\" target=\"_blank\">Baofeng UV5R VHF/UHF Handset part 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2297\" target=\"_blank\">2297</a></strong></td>\n    <td>Tue</td>\n    <td>2017-05-23</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2297\" target=\"_blank\">More Magnatune Favourites</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2298\" target=\"_blank\">2298</a></strong></td>\n    <td>Wed</td>\n    <td>2017-05-24</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2298\" target=\"_blank\">Phantom Power Drain</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0329.html\" target=\"_blank\">brian</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2299\" target=\"_blank\">2299</a></strong></td>\n    <td>Thu</td>\n    <td>2017-05-25</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2299\" target=\"_blank\">What\'s in My Bag</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0250.html\" target=\"_blank\">Shane Shennan</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2300\" target=\"_blank\">2300</a></strong></td>\n    <td>Fri</td>\n    <td>2017-05-26</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2300\" target=\"_blank\">The first Intel CompuStick</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2301\" target=\"_blank\">2301</a></strong></td>\n    <td>Mon</td>\n    <td>2017-05-29</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2301\" target=\"_blank\">Baofeng UV5R VHF/UHF Handset part 3</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2302\" target=\"_blank\">2302</a></strong></td>\n    <td>Tue</td>\n    <td>2017-05-30</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2302\" target=\"_blank\">Bash snippet - nullglob</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2303\" target=\"_blank\">2303</a></strong></td>\n    <td>Wed</td>\n    <td>2017-05-31</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2303\" target=\"_blank\">Kdenlive Part 5 All About Audio</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0310.html\" target=\"_blank\">Geddes</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available in the archives run\nexternally by <a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\n(see below) and on the HPR server under <a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p><em>Note: since the summer of 2016 Gmane has changed location and is currently\nbeing reestablished. At the moment the HPR archive is not available there.</em></p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-May/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-May/thread.html</a>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 50 comments in total.</p>\n<p>There are 8 comments on\n8 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2168#comments\" target=\"_blank\">hpr2168</a></strong>\n(2016-11-23) \"<em>Analogue Random Number Generation</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2168#1\" target=\"_blank\">Comment 1</a>:\nrtsn on 2017-05-29:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2249#comments\" target=\"_blank\">hpr2249</a></strong>\n(2017-03-16) \"<em>HPR New Year show episode 3</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2249#5\" target=\"_blank\">Comment 5</a>:\nEthan William on 2017-05-21:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2263#comments\" target=\"_blank\">hpr2263</a></strong>\n(2017-04-05) \"<em>Freak Does Geek</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0352.html\" target=\"_blank\">fth</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2263#2\" target=\"_blank\">Comment 2</a>:\nrtsn on 2017-05-20:\n\"Great episode\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2266#comments\" target=\"_blank\">hpr2266</a></strong>\n(2017-04-10) \"<em>Gamebooks: Lone Wolf</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2266#2\" target=\"_blank\">Comment 2</a>:\nShane Shennan on 2017-05-07:\n\"Intriguing! \"</li></ul><br/>\n</li><li><strong><a href=\"https://hobbypublicradio.com/eps.php?id=2267#comments\" target=\"_blank\">hpr2267</a></strong>\n(2017-04-11) \"<em>Our Digital Art</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0115.html\" target=\"_blank\">sigflup</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hobbypublicradio.com/eps.php?id=2267#1\" target=\"_blank\">Comment 1</a>:\nrtsn on 2017-05-20:\n\"!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2269#comments\" target=\"_blank\">hpr2269</a></strong>\n(2017-04-13) \"<em>Chocolate Milk</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0353.html\" target=\"_blank\">venam</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2269#4\" target=\"_blank\">Comment 4</a>:\ndodddummy on 2017-05-06:\n\"Got it\"</li></ul><br/>\n</li><li><strong><a href=\"https://hobbypublicradio.com/eps.php?id=2271#comments\" target=\"_blank\">hpr2271</a></strong>\n(2017-04-17) \"<em>Raspberry Pi Zero W</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hobbypublicradio.com/eps.php?id=2271#2\" target=\"_blank\">Comment 2</a>:\nTony Hughes on 2017-05-09:\n\"Pi Zero W\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2272#comments\" target=\"_blank\">hpr2272</a></strong>\n(2017-04-18) \"<em>In Which Our Hero Takes 4 Hours to Install Hyper-V Server 2012</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0319.html\" target=\"_blank\">OnlyHalfTheTime</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2272#2\" target=\"_blank\">Comment 2</a>:\nMirwi on 2017-05-13:\n\"Entertaining\"</li></ul><br/>\n</li></ul>\n<p>There are 42 comments on 16 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2281#comments\" target=\"_blank\">hpr2281</a></strong>\n(2017-05-01) \"<em>HPR Community News for April 2017</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2281#1\" target=\"_blank\">Comment 1</a>:\ndodddummy on 2017-05-06:\n\"dodddummy\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2281#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-05-16:\n\"Thanks for the explanation\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2283#comments\" target=\"_blank\">hpr2283</a></strong>\n(2017-05-03) \"<em>Saving money shaving with double and single edge safety razors</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0077.html\" target=\"_blank\">Dave Yates</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2283#1\" target=\"_blank\">Comment 1</a>:\nQuvmoh on 2017-05-03:\n\"Smooth show\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2283#2\" target=\"_blank\">Comment 2</a>:\ndodddummy on 2017-05-04:\n\"Dave! The whole time i was wondering\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2283#3\" target=\"_blank\">Comment 3</a>:\nRoan on 2017-05-08:\n\"Mechanical saftey razors\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2283#4\" target=\"_blank\">Comment 4</a>:\nFrank on 2017-05-22:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2283#5\" target=\"_blank\">Comment 5</a>:\nJonas on 2017-05-29:\n\"Welcome back!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2284#comments\" target=\"_blank\">hpr2284</a></strong>\n(2017-05-04) \"<em>Resurrecting a dead ethernet switch</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0271.html\" target=\"_blank\">mirwi</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2284#1\" target=\"_blank\">Comment 1</a>:\nKrayon on 2017-05-04:\n\"Good job!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2284#2\" target=\"_blank\">Comment 2</a>:\nJonathan Kulp on 2017-05-05:\n\"well done\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2286#comments\" target=\"_blank\">hpr2286</a></strong>\n(2017-05-08) \"<em>Surviving a Stroke</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2286#1\" target=\"_blank\">Comment 1</a>:\nClinton Roy on 2017-05-08:\n\"Fatigue\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2286#2\" target=\"_blank\">Comment 2</a>:\nTony Hughes on 2017-05-09:\n\"Fatigue\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2286#3\" target=\"_blank\">Comment 3</a>:\nJonas on 2017-05-29:\n\"Great Info. \"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2287#comments\" target=\"_blank\">hpr2287</a></strong>\n(2017-05-09) \"<em>Desparately Seeking Saving RMS - Introduction</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2287#1\" target=\"_blank\">Comment 1</a>:\nBrenda J. Butler on 2017-05-10:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2287#2\" target=\"_blank\">Comment 2</a>:\ndodddummy on 2017-05-14:\n\"Thatnks for the tip\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2288#comments\" target=\"_blank\">hpr2288</a></strong>\n(2017-05-10) \"<em>Installing and using virtualenvwrapper for python</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0355.html\" target=\"_blank\">Knox</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2288#1\" target=\"_blank\">Comment 1</a>:\ndroops on 2017-05-11:\n\"Great episode\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2288#2\" target=\"_blank\">Comment 2</a>:\nBiasOpinion on 2017-05-16:\n\"More Python Help Please\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2288#3\" target=\"_blank\">Comment 3</a>:\nWindigo on 2017-05-31:\n\"Excellent advice\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2289#comments\" target=\"_blank\">hpr2289</a></strong>\n(2017-05-11) \"<em>Sendy Send. Tell if your email has been read!!</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0115.html\" target=\"_blank\">sigflup</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2289#1\" target=\"_blank\">Comment 1</a>:\nJo on 2017-05-10:\n\"Hacker\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2290#comments\" target=\"_blank\">hpr2290</a></strong>\n(2017-05-12) \"<em>How to change the height of your Ironing board</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2290#1\" target=\"_blank\">Comment 1</a>:\njwp on 2017-05-29:\n\"True Love\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2292#comments\" target=\"_blank\">hpr2292</a></strong>\n(2017-05-16) \"<em>Baofeng UV5R VHF/UHF Handset part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2292#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2017-05-18:\n\"Strange urge to make a show...\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2292#2\" target=\"_blank\">Comment 2</a>:\nMrX on 2017-05-31:\n\"Re. Strange urge to make a show...\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2293#comments\" target=\"_blank\">hpr2293</a></strong>\n(2017-05-17) \"<em>More supplementary Bash tips</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2293#1\" target=\"_blank\">Comment 1</a>:\nJonathan Kulp on 2017-05-21:\n\"What about with SCP?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2293#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-05-21:\n\"SCP is a bit weird\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2293#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2017-05-22:\n\"SCP without extended globs\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2293#4\" target=\"_blank\">Comment 4</a>:\nJonathan Kulp on 2017-05-22:\n\"Details, details...\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2293#5\" target=\"_blank\">Comment 5</a>:\nDave Morriss on 2017-05-22:\n\"TMTOWTDI\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2293#6\" target=\"_blank\">Comment 6</a>:\nJonathan Kulp on 2017-05-22:\n\"Ken is smiling\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2293#7\" target=\"_blank\">Comment 7</a>:\nclacke on 2017-05-23:\n\"scp brace expansion??!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2293#8\" target=\"_blank\">Comment 8</a>:\nDave Morriss on 2017-05-24:\n\"scp is a bit of a hack!!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2294#comments\" target=\"_blank\">hpr2294</a></strong>\n(2017-05-18) \"<em>Activities with a Toddler</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0250.html\" target=\"_blank\">Shane Shennan</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2294#1\" target=\"_blank\">Comment 1</a>:\nWindigo on 2017-05-19:\n\"Timely\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2294#2\" target=\"_blank\">Comment 2</a>:\ndodddummy on 2017-05-19:\n\"Nice show\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2294#3\" target=\"_blank\">Comment 3</a>:\nDavid Morriss on 2017-05-20:\n\"This was great\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2294#4\" target=\"_blank\">Comment 4</a>:\nJonathan Kulp on 2017-05-21:\n\"Ride the Bus\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2294#5\" target=\"_blank\">Comment 5</a>:\nclacke on 2017-05-22:\n\"Tickling\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2295#comments\" target=\"_blank\">hpr2295</a></strong>\n(2017-05-19) \"<em>MX Linux</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2295#1\" target=\"_blank\">Comment 1</a>:\njwp on 2017-05-29:\n\"Nice litle Distro Review\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2297#comments\" target=\"_blank\">hpr2297</a></strong>\n(2017-05-23) \"<em>More Magnatune Favourites</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2297#1\" target=\"_blank\">Comment 1</a>:\nJonas on 2017-05-29:\n\"Great listen.\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2297#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-05-29:\n\"Thanks for the feedback\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2298#comments\" target=\"_blank\">hpr2298</a></strong>\n(2017-05-24) \"<em>Phantom Power Drain</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0329.html\" target=\"_blank\">brian</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2298#1\" target=\"_blank\">Comment 1</a>:\nbrian on 2017-05-27:\n\"oops\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2298#2\" target=\"_blank\">Comment 2</a>:\nJonas on 2017-05-29:\n\"I did not know that. \"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2300#comments\" target=\"_blank\">hpr2300</a></strong>\n(2017-05-26) \"<em>The first Intel CompuStick</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2300#1\" target=\"_blank\">Comment 1</a>:\njwp on 2017-05-29:\n\"Sound Quality\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2302#comments\" target=\"_blank\">hpr2302</a></strong>\n(2017-05-30) \"<em>Bash snippet - nullglob</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2302#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2017-05-30:\n\"Thanks!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2302#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-05-31:\n\"Glad you found it useful\"</li></ul><br/>\n</li></ul>\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2326,'2017-07-03','HPR Community News for June 2017',4644,'HPR Volunteers talk about shows released and comments posted in June 2017','\n\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n\n    <a href=\"https://hackerpublicradio.org/correspondents/0356.html\" target=\"_blank\">Mongo</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0357.html\" target=\"_blank\">bjb</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2304\" target=\"_blank\">2304</a></strong></td>\n    <td>Thu</td>\n    <td>2017-06-01</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2304\" target=\"_blank\">Using Gnome 3 for the First Time</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0250.html\" target=\"_blank\">Shane Shennan</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2305\" target=\"_blank\">2305</a></strong></td>\n    <td>Fri</td>\n    <td>2017-06-02</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2305\" target=\"_blank\">Configuring an HP Laptop for Dual Boot Linux and Windows 10</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0356.html\" target=\"_blank\">Mongo</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2306\" target=\"_blank\">2306</a></strong></td>\n    <td>Mon</td>\n    <td>2017-06-05</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2306\" target=\"_blank\">HPR Community News for May 2017</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2307\" target=\"_blank\">2307</a></strong></td>\n    <td>Tue</td>\n    <td>2017-06-06</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2307\" target=\"_blank\">Baofeng UV5R VHF/UHF Handset part 4</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2308\" target=\"_blank\">2308</a></strong></td>\n    <td>Wed</td>\n    <td>2017-06-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2308\" target=\"_blank\">Everyday package operations in Guix</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2309\" target=\"_blank\">2309</a></strong></td>\n    <td>Thu</td>\n    <td>2017-06-08</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2309\" target=\"_blank\">Crowdsourcing Accessibility</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2310\" target=\"_blank\">2310</a></strong></td>\n    <td>Fri</td>\n    <td>2017-06-09</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2310\" target=\"_blank\">Kdenlive Part 6 Workflow and Conclusion. </a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0310.html\" target=\"_blank\">Geddes</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2311\" target=\"_blank\">2311</a></strong></td>\n    <td>Mon</td>\n    <td>2017-06-12</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2311\" target=\"_blank\">Baofeng UV5R VHF/UHF Handset part 5</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2312\" target=\"_blank\">2312</a></strong></td>\n    <td>Tue</td>\n    <td>2017-06-13</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2312\" target=\"_blank\">Troubleshooting Websites with XAMPP</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2313\" target=\"_blank\">2313</a></strong></td>\n    <td>Wed</td>\n    <td>2017-06-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2313\" target=\"_blank\">NilFS2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2314\" target=\"_blank\">2314</a></strong></td>\n    <td>Thu</td>\n    <td>2017-06-15</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2314\" target=\"_blank\">Bad Caps</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2315\" target=\"_blank\">2315</a></strong></td>\n    <td>Fri</td>\n    <td>2017-06-16</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2315\" target=\"_blank\">Penguicon 2017 Report</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2316\" target=\"_blank\">2316</a></strong></td>\n    <td>Mon</td>\n    <td>2017-06-19</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2316\" target=\"_blank\">Baofeng UV5R VHF/UHF Handset part 6</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2317\" target=\"_blank\">2317</a></strong></td>\n    <td>Tue</td>\n    <td>2017-06-20</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2317\" target=\"_blank\">Bash snippet - extglob and scp</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2318\" target=\"_blank\">2318</a></strong></td>\n    <td>Wed</td>\n    <td>2017-06-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2318\" target=\"_blank\">Talking about my thinkpads</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0297.html\" target=\"_blank\">swift110</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2319\" target=\"_blank\">2319</a></strong></td>\n    <td>Thu</td>\n    <td>2017-06-22</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2319\" target=\"_blank\">Minimal Music Site 17.05.39 now available on sourceforge.net</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0340.html\" target=\"_blank\">mattkingusa</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2320\" target=\"_blank\">2320</a></strong></td>\n    <td>Fri</td>\n    <td>2017-06-23</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2320\" target=\"_blank\">Living Computers: Museum + Labs</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2321\" target=\"_blank\">2321</a></strong></td>\n    <td>Mon</td>\n    <td>2017-06-26</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2321\" target=\"_blank\">Baofeng UV5R VHF/UHF Handset part 7</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2322\" target=\"_blank\">2322</a></strong></td>\n    <td>Tue</td>\n    <td>2017-06-27</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2322\" target=\"_blank\">A bit of background on virtualenvwrapper</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0357.html\" target=\"_blank\">bjb</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2323\" target=\"_blank\">2323</a></strong></td>\n    <td>Wed</td>\n    <td>2017-06-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2323\" target=\"_blank\">How to Configure Mumble in Real Time</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0270.html\" target=\"_blank\">Thaj Sara</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2324\" target=\"_blank\">2324</a></strong></td>\n    <td>Thu</td>\n    <td>2017-06-29</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2324\" target=\"_blank\">Opensusecon 2017 and Ubuntu 16.04</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2325\" target=\"_blank\">2325</a></strong></td>\n    <td>Fri</td>\n    <td>2017-06-30</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2325\" target=\"_blank\">Insurance - How It Works</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available in the archives run\nexternally by <a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\n(see below) and on the HPR server under <a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p><em>Note: since the summer of 2016 Gmane has changed location and is currently\nbeing reestablished. At the moment the HPR archive is not available there.</em></p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-June/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-June/thread.html</a>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 38 comments in total.</p>\n<p>There are 14 comments on\n7 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2187#comments\" target=\"_blank\">hpr2187</a></strong>\n(2016-12-20) \"<em>The Toshiba Libretto 100ct</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2187#4\" target=\"_blank\">Comment 4</a>:\nBob Jonkman on 2017-06-07:\n\"Fixing dead pixels\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2278#comments\" target=\"_blank\">hpr2278</a></strong>\n(2017-04-26) \"<em>Some supplementary Bash tips</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2278#3\" target=\"_blank\">Comment 3</a>:\nclacke on 2017-06-15:\n\"How people record\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2278#4\" target=\"_blank\">Comment 4</a>:\nclacke on 2017-06-15:\n\"On using echo\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2278#5\" target=\"_blank\">Comment 5</a>:\nDave Morriss on 2017-06-15:\n\"On recording\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2278#6\" target=\"_blank\">Comment 6</a>:\nDave Morriss on 2017-06-15:\n\"Using echo, printf and ls\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2278#7\" target=\"_blank\">Comment 7</a>:\nKen Fallon on 2017-06-15:\n\"Comment limit\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2278#8\" target=\"_blank\">Comment 8</a>:\nclacke on 2017-06-16:\n\"printf episode\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2283#comments\" target=\"_blank\">hpr2283</a></strong>\n(2017-05-03) \"<em>Saving money shaving with double and single edge safety razors</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0077.html\" target=\"_blank\">Dave Yates</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2283#6\" target=\"_blank\">Comment 6</a>:\njwp on 2017-06-03:\n\"Hi Dave\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2284#comments\" target=\"_blank\">hpr2284</a></strong>\n(2017-05-04) \"<em>Resurrecting a dead ethernet switch</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0271.html\" target=\"_blank\">mirwi</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2284#3\" target=\"_blank\">Comment 3</a>:\njwp on 2017-06-03:\n\"great show\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2287#comments\" target=\"_blank\">hpr2287</a></strong>\n(2017-05-09) \"<em>Desparately Seeking Saving RMS - Introduction</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2287#3\" target=\"_blank\">Comment 3</a>:\nrtsn on 2017-06-15:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2291#comments\" target=\"_blank\">hpr2291</a></strong>\n(2017-05-15) \"<em>Arch on CELES</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0349.html\" target=\"_blank\">Hannah, of Terra, of Sol</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2291#1\" target=\"_blank\">Comment 1</a>:\nHannah, of Terra, of Sol on 2017-06-04:\n\"A repo, maybe?\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2291#2\" target=\"_blank\">Comment 2</a>:\nrtsn on 2017-06-16:\n\"good episode\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2297#comments\" target=\"_blank\">hpr2297</a></strong>\n(2017-05-23) \"<em>More Magnatune Favourites</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2297#3\" target=\"_blank\">Comment 3</a>:\nDave Lee on 2017-06-21:\n\"CC licenses and subscription model\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2297#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2017-06-22:\n\"Re: CC licenses and subscription model\"</li></ul><br/>\n</li></ul>\n<p>There are 24 comments on 10 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2304#comments\" target=\"_blank\">hpr2304</a></strong>\n(2017-06-01) \"<em>Using Gnome 3 for the First Time</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0250.html\" target=\"_blank\">Shane Shennan</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2304#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2017-06-01:\n\"xfdashboard\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2305#comments\" target=\"_blank\">hpr2305</a></strong>\n(2017-06-02) \"<em>Configuring an HP Laptop for Dual Boot Linux and Windows 10</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0356.html\" target=\"_blank\">Mongo</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2305#1\" target=\"_blank\">Comment 1</a>:\nSteve on 2017-06-07:\n\"Excellent tutorial\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2305#2\" target=\"_blank\">Comment 2</a>:\nMongo on 2017-06-08:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2308#comments\" target=\"_blank\">hpr2308</a></strong>\n(2017-06-07) \"<em>Everyday package operations in Guix</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2308#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2017-05-25:\n\"I check this one while processing\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2308#2\" target=\"_blank\">Comment 2</a>:\nclacke on 2017-05-29:\n\"Theme song\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2308#3\" target=\"_blank\">Comment 3</a>:\nclacke on 2017-06-04:\n\"Theme song is up\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2308#4\" target=\"_blank\">Comment 4</a>:\nb-yeezi on 2017-06-07:\n\"GNU Stow please\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2308#5\" target=\"_blank\">Comment 5</a>:\nclacke on 2017-06-15:\n\"GNU Stow in the pipeline\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2309#comments\" target=\"_blank\">hpr2309</a></strong>\n(2017-06-08) \"<em>Crowdsourcing Accessibility</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2309#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2017-06-11:\n\"Interesting project; interesting word\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2309#2\" target=\"_blank\">Comment 2</a>:\nJonathan Kulp on 2017-06-11:\n\"absquatulate\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2313#comments\" target=\"_blank\">hpr2313</a></strong>\n(2017-06-14) \"<em>NilFS2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2313#1\" target=\"_blank\">Comment 1</a>:\nfolky on 2017-06-14:\n\"More ;-)\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2314#comments\" target=\"_blank\">hpr2314</a></strong>\n(2017-06-15) \"<em>Bad Caps</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2314#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2017-06-18:\n\"Thanks for this\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2314#2\" target=\"_blank\">Comment 2</a>:\nNYbill on 2017-06-18:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2314#3\" target=\"_blank\">Comment 3</a>:\nJonathan Kulp on 2017-06-19:\n\"The suspense is killing me \"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2314#4\" target=\"_blank\">Comment 4</a>:\nKen Fallon on 2017-06-19:\n\"Do not reply in the comments\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2314#5\" target=\"_blank\">Comment 5</a>:\nJonathan Kulp on 2017-06-19:\n\"I&#39;ll do a show next time\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2314#6\" target=\"_blank\">Comment 6</a>:\nNYbill on 2017-06-19:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2314#7\" target=\"_blank\">Comment 7</a>:\nNYbill on 2017-06-19:\n\"&quot;Do not reply in the comments&quot;\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2314#8\" target=\"_blank\">Comment 8</a>:\nKen Fallon on 2017-06-20:\n\"Great more shows\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2317#comments\" target=\"_blank\">hpr2317</a></strong>\n(2017-06-20) \"<em>Bash snippet - extglob and scp</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2317#1\" target=\"_blank\">Comment 1</a>:\nJonathan Kulp on 2017-06-28:\n\"Clarity!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2317#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-06-29:\n\"Clear as mud? :-)\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2320#comments\" target=\"_blank\">hpr2320</a></strong>\n(2017-06-23) \"<em>Living Computers: Museum + Labs</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2320#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2017-06-23:\n\"AWK series/ DEC hardware\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2322#comments\" target=\"_blank\">hpr2322</a></strong>\n(2017-06-27) \"<em>A bit of background on virtualenvwrapper</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0357.html\" target=\"_blank\">bjb</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2322#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2017-06-27:\n\"Great Show. My follow-up to com\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2325#comments\" target=\"_blank\">hpr2325</a></strong>\n(2017-06-30) \"<em>Insurance - How It Works</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2325#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2017-06-15:\n\"Great show\"</li></ul><br/>\n</li></ul>\n<h2>Any other business</h2>\n<ul>\n    <li><b>Podcrawl Glasgow 2017</b>\n	<p>The annual Podcrawl Glasgow will take place on Saturday July 29th\n	    at 6pm, starting in The State Bar, Holland Street, Glasgow ... and\n	    going on to who knows where!  </p>\n	<p> See <a href=\"https://kmacphail.blogspot.co.uk/2017/04/podcrawl-glasgow-2017.html\">Kevie\'s blog</a>\n	    for the details.  </p>\n	<p> We hope to see some HPR listeners and contributors there!  </p>\n    </li> \n    <li><b>UK Table Kit</b>\n	<p>From @timttmy:</p>\n	<p> <em>Could you mention on the community news that I still have the\n		HPR table kit and if anyone needs it to let me know via the\n		mailing list. Sadly I won\'t be able to make oggcamp this year\n		and I\'m a more than a little gutted as this will be the first\n		time I\'ve missed the event. I hope somebody can represent HPR\n		this year but I\'ve not heard any chatter of excitement about\n		it on the interwebs from anyone yet.</em>  </p>\n    </li>\n\n</ul>\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2056,'2016-06-20','Interview with a young hacker',271,'This is a short interview with a young member of my makerspace and local Raspberry Jam','<p>The following interview is with a young member of the Maker Space and Raspberry Pi community here in the North West of the UK.</p>\r\n<p>You can find more of Josh\'s work at:<br />\r\n<a href=\"https://allaboutcode.wix.com/home\" class=\"uri\">https://allaboutcode.wix.com/home</a></p>\r\n<p>Blackpool Makerspace and LUG<br />\r\n<a href=\"https://blackpoolmakerspace.wordpress.com/\" class=\"uri\">https://blackpoolmakerspace.wordpress.com/</a></p>\r\n<p>Blackpool Raspberry Jam<br />\r\n<a href=\"https://blackpoolraspberryjam.co.uk/\" class=\"uri\">https://blackpoolraspberryjam.co.uk/</a></p>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://allaboutcode.wix.com/home\" class=\"uri\">https://allaboutcode.wix.com/home</a></li>\r\n<li><a href=\"https://blackpoolmakerspace.wordpress.com/\" class=\"uri\">https://blackpoolmakerspace.wordpress.com/</a></li>\r\n<li><a href=\"https://blackpoolraspberryjam.co.uk/\" class=\"uri\">https://blackpoolraspberryjam.co.uk/</a></li>\r\n</ul>\r\n',338,78,0,'CC-BY-SA','interview,maker,makerspace,Blackpool,soldering,electronics,Python,EduPython,Open SUSE',0,0,1),
(2060,'2016-06-24','Introduction to sed - part 5',2889,'Finishing covering sed commands. Looking at some example scripts','<h1 id=\"introduction-to-sed---part-5\">Introduction to sed - part 5</h1>\r\n<p>This episode is the last one in the \"<em>Introduction to sed</em>\" series.</p>\r\n<p>In the <a href=\"https://hackerpublicradio.org/eps.php?id=2011\" title=\"Introduction to sed - part 4\">last episode</a> we looked at the full story of how <code>sed</code> works with the <em>hold</em> and <em>pattern</em> buffers. We looked at some of the commands that we had not yet seen and how they can be used to do more advanced processing using <code>sed</code>\'s buffers.</p>\r\n<p>In this episode we will look at a selection of the remaining commands, which might be described as quite obscure (even <em>very obscure</em>). We will also look at some of the example <code>sed</code> scripts found in the <a href=\"https://www.gnu.org/software/sed/manual/sed.html#Examples\" title=\"GNU sed manual - examples\">GNU sed manual</a>.</p>\r\n<p>To read the rest of the notes for this episode follow this link: <a href=\"https://hackerpublicradio.org/eps/hpr2060/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2060/full_shownotes.html</a></p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><em>Introduction to sed - part 1</em>: <a href=\"https://hackerpublicradio.org/eps.php?id=1976\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1976</a></li>\r\n<li><em>Introduction to sed - part 2</em>: <a href=\"https://hackerpublicradio.org/eps.php?id=1986\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1986</a></li>\r\n<li><em>Introduction to sed - part 3</em>: <a href=\"https://hackerpublicradio.org/eps.php?id=1997\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1997</a></li>\r\n<li><em>Introduction to sed - part 4</em>: <a href=\"https://hackerpublicradio.org/eps.php?id=2011\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=2011</a></li>\r\n<li>GNU <code>sed</code> manual:\r\n<ul>\r\n<li>Index: <a href=\"https://www.gnu.org/software/sed/manual/sed.html\" class=\"uri\">https://www.gnu.org/software/sed/manual/sed.html</a></li>\r\n<li>Commands for <code>sed</code> gurus: <a href=\"https://www.gnu.org/software/sed/manual/sed.html#Programming-Commands\" class=\"uri\">https://www.gnu.org/software/sed/manual/sed.html#Programming-Commands</a></li>\r\n<li>Commands Specific to GNU <code>sed</code>: <a href=\"https://www.gnu.org/software/sed/manual/sed.html#Extended-Commands\" class=\"uri\">https://www.gnu.org/software/sed/manual/sed.html#Extended-Commands</a></li>\r\n</ul></li>\r\n<li>Wikipedia entry for <code>sed</code>: <a href=\"https://en.wikipedia.org/wiki/Sed\" class=\"uri\">https://en.wikipedia.org/wiki/Sed</a></li>\r\n<li>\"<em>Sed - An Introduction and Tutorial</em>\" by Bruce Barnett: <a href=\"https://www.grymoire.com/Unix/Sed.html\" class=\"uri\">https://www.grymoire.com/Unix/Sed.html</a></li>\r\n<li>Wikibooks sed wiki: <a href=\"https://en.wikibooks.org/wiki/Sed\" class=\"uri\">https://en.wikibooks.org/wiki/Sed</a></li>\r\n<li>Example files:\r\n<ul>\r\n<li>Using the <strong>c</strong> command: <a href=\"https://hackerpublicradio.org/eps/hpr2060/demo5.sed\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2060/demo5.sed</a></li>\r\n<li>Centring lines: <a href=\"https://hackerpublicradio.org/eps/hpr2060/centre.sed\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2060/centre.sed</a></li>\r\n<li>Reverse lines of files: <a href=\"https://hackerpublicradio.org/eps/hpr2060/tac.sed\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2060/tac.sed</a></li>\r\n<li>Reverse characters of lines (original and debug): <a href=\"https://hackerpublicradio.org/eps/hpr2060/reverse_characters.sed\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2060/reverse_characters.sed</a> <a href=\"https://hackerpublicradio.org/eps/hpr2060/reverse_characters_debug.sed\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2060/reverse_characters_debug.sed</a></li>\r\n</ul></li>\r\n</ul>\r\n',225,90,1,'CC-BY-SA','sed,stream editor,pattern space,hold space',0,0,1),
(2097,'2016-08-16','New Toys',555,'Story of my PC hardware journey in last 20 years','<p>Hi HPR listeners this is Tony Hughes talking from Blackpool UK</p>\r\n<p>I did a show a few weeks ago about my Geek Bags but didn’t talk about the Desktop PC I use and as I’ve just upgraded to a new (used) PC I thought I would tell the story of my Desktop PC’s over the years.</p>\r\n<p>I was a latecomer to the world of personal computing having been at school in the Late 60’s and early 70’s when we hadn’t even got calculators, if you were lucky to be able to work out the intricacy of it you may have had use of a slide rule. Even after calculators started to be more widely used I had a lecturer at college while studying marine engineering, that was so good with his slide rule and mental calculation, he could, and would often work out equations far faster than those of us using a calculator.</p>\r\n<p>I first came across my first IBM clone PC back at college in 1987 while studying a control systems course this was a Intel 286 PC which the college ran CAD/CAM software on and we used it to learn how to create engineering drawings electronically. This would be the last time I used a computer until the early 1990’s when by then I had changed career and become a Registered Nurse. I was working in a residential nursing home and we had access to a Windows 3.xx PC which I would use to create templates of the clinical paperwork we used for record keeping.</p>\r\n<p>Around this time I met my then wife to be and she needed a PC for the University Course she was on so we obtained a used Intel 386 PC from a Friend and upgraded the Ram from 1Mb to 4Mb which cost nearly half the price we paid for the PC £120, which in 1993 was a good chunk of cash. It was a time when there was a world shortage of Ram and offices were getting burgled just for the memory in the office PC’s.</p>\r\n<p>While we had this PC in the house it didn’t much interest me at the time, this was pre internet days for the average user, we weren’t on line at work and the Word processing software was Dos based and I hated using it, so would do the odd things I needed to at work during my break.</p>\r\n<p>Move forward 5 years and Windows 95 had taken over the world and there was this wonderful new OS called Windows 98 starting to appear in the shops. In September 1998 I went back to do a Nursing Degree in my specialist area of practice and found that we were required to submit all our course work in word processed format, no long hand written assignments this time around. So I decided that I would invest in a new home PC.</p>\r\n<p>There were a couple of Big Box PC retailers in the UK at the time that advertised heavily in the press and on TV and I chose to go to one of these and bought a PC with the following specs:   </p>\r\n<p>Pentium 2 350 CPU, 128Mb Ram, 6Gig HDD, 56k modem and a DVD Rom. It also came bundled with a Scanner, Inkjet printer and software including MS Office for small Business. All for the grand total of £1400 which at the time was about a month’s take home pay so I had to pay for it with the flexible friend (my Credit Card for those of you too young to remember the ad’s)</p>\r\n<p>I also signed up for an AOL account to access the internet over the 56k modem, dog slow now but at the time was the only affordable way us mere mortals could afford home internet access. I remember it could take a minute or 2 to render my Bank’s web site when I started online banking in 2001 and that was using compression software to reduce the bandwidth.</p>\r\n<p>I used that PC to write all my college work and with the help of a couple of friends started to tinker with the PC, getting a 120 ZIP drive for it, and later adding a CD RW drive for storing documents and Photos that I’d scanned and later taken with my first digital Camera.</p>\r\n<p>By 2002 the PC was starting to get a bit long in the tooth and I decided it was time for an upgrade and I had a PC built for me by a local shop with P4 2.5Ghz CPU 40Gig HDD and 512Mb Ram (later upgraded to 2Gig) and a CD RW drive again later upgraded to DVD RW drive. This PC cost me half of what I paid for the P2 four years previously and was to be the last PC I bought new, all the PC’s including laptops I’ve owned since this PC have been second hand. Some given by family or friends, some built from parts of Freecycle/Freegle, and lately PC’s I’ve bought at a local computer auction in the north west of the UK.</p>\r\n<p>The title of this podcast is “New Toys” and so to the juicy bit, my Desktop for the last 6 years has been a Lenovo ThinkCentre 7373 Core 2 Duo PC with a 2.6Ghz CPU, 250Gig SSD, an upgrade from the 160Gig HDD it came with and 12Gig Ram also upgraded from the 4Gig it came with and requiring a bios flash to get the MB to support 16Gig. This rig has served me well but lately I have found it starting to feel its age and taking a long time to do things I now do regularly such as video and photo editing, Audio editing and virtual PC’s in virtualBox. So I decided it was time I looked around for an upgrade. As usual I was not in the market for a new PC, I could afford one but I don’t like splashing the cash unnecessarily. As luck would have it the monthly Auction catalog included a HP Compaq Elite 8300 i7 Micro Tower. I checked out the specs and liked what I read. So Monday 1st of August I took a trip to the auction and as luck would have it I became the proud owner of said PC for the princely sum of £212.80, hammer price of £190 plus commission.</p>\r\n<p>The full spec of the PC is: i7 3.4Ghz CPU (22nm architecture) 4 cores and 8 threads, 8Gig Ram Supports 32Gig 500Gig HDD, DVD RW drive and a card reader. Also came with a Win7 pro CoA but no installed OS.</p>\r\n<p>So it took me 10 minutes to install Linux Mint 18 and another 30 to complete the updates and install my software over and above the base install. It boots in just over a minute, which is only slightly slower than the old PC with an SSD, so I guess it will boot mega fast with an SSD upgrade, which is on the cards after I return from Holiday as may an upgrade to the Ram. I’ve already used some Ram from the old PC to increase to 12Gig but I need some matching 8Gig Ram to go to 16 or higher.</p>\r\n<p>Well that charts my PC hardware journey over the last 20 odd years it’s amazing to think that one of the Raspberry Pi 3’s I own has more processing power than most of the hardware I’ve had up to the Core 2 Duo in 2010.</p>\r\n',338,57,0,'CC-BY-SA','slide rule,Intel 286,Intel 386,Windows,AOL,modem,Linux Mint,Raspberry Pi',0,0,1),
(2048,'2016-06-08','The Hubot chat-bot',1316,'An introduction to the Hubot chat-bot','<h1 id=\"hubot\">Hubot</h1>\r\n<h2 id=\"intro\">Intro</h2>\r\n<p><a href=\"https://hubot.github.com/\">Hubot</a> is a chat-bot written by the folks at GitHub. It is a <a href=\"https://nodejs.org/\">node.js</a> application written in <a href=\"https://coffeescript.org/\">CoffeeScript</a>.</p>\r\n<p>Hubot has a variety of <a href=\"https://hubot.github.com/docs/adapters/\">adapters</a> that allow it to connect to a variety of chat platforms. These range from IRC to Slack. So, the platform\r\nyou are interested in probably already has an adapter available for it.</p>\r\n<p>Hubot uses individual CoffeeScript scripts to provide chat-bot functionality. There are a slew of existing scripts available in the npm. Just search for <a href=\"https://www.npmjs.com/browse/keyword/hubot-scripts\">hubot-scripts</a>.</p>\r\n<p>You can also write your own in order to make sure that Hubot provides the functionality that you need.</p>\r\n<h2 id=\"install\">Install</h2>\r\n<p>Hubot is available as an npm package. So, you will need to install node.js and npm on your system. I will leave this as an exercise for the listener.</p>\r\n<p>I will however, throw out a tip for those of you using a Raspberry Pi for this. The node.js platform should be deployed on an ARM system using the armhf (ARM hard float) architecture. The nod\r\ne.js stack needed to run Hubot will not properly install if you are using the armel (ARM soft float) architecture.</p>\r\n<p>Once you have node.js and npm installed, you can install hubot and its dependencies with the following command.</p>\r\n<pre><code>npm install -g hubot yo generator-hubot coffee-script</code></pre>\r\n<p>You create your own instance of hubot by using <a href=\"https://yeoman.io/\">yeoman</a> generator. You need to do this as a non-root user. When you create your bot, you will give it a name and\r\nspecify the adapter to use. These can be specified as command line flags, or the generator will prompt you for this information.</p>\r\n<ul>\r\n<li>Owner</li>\r\n<li>Name</li>\r\n<li>Description</li>\r\n<li>Adapter</li>\r\n</ul>\r\n<p>Interactive</p>\r\n<pre><code>yo hubot</code></pre>\r\n<p>Providing the answers</p>\r\n<pre><code>yo hubot --name mybot --description &quot;My Helpful Robot&quot; --adapter shell --defaults</code></pre>\r\n<h2 id=\"running\">Running</h2>\r\n<p>Once hubot is installed, you can run it with the following. I will use the shell adapter, which provides an interactive shell from which to trigger hubot scripts.</p>\r\n<pre><code>./bin/hubot --adapter shell</code></pre>\r\n<p>Our Hubot instance is now active and ready to receive commands. We will start with a simple ping command.</p>\r\n<pre><code>mybot&gt; mybot ping\r\nmybot&gt; PONG</code></pre>\r\n<p>We can see the available commands by asking Hubot for help</p>\r\n<pre><code>mybot&gt; mybot help\r\nmybot adapter - Reply with the adapter\r\nmybot animate me &lt;query&gt; - The same thing as `image me`, except adds a few parameters to try to return an animated GIF instead.\r\nmybot echo &lt;text&gt; - Reply back with &lt;text&gt;\r\nmybot help - Displays all of the help commands that Hubot knows about.\r\nmybot help &lt;query&gt; - Displays all help commands that match &lt;query&gt;.\r\nmybot image me &lt;query&gt; - The Original. Queries Google Images for &lt;query&gt; and returns a random top result.\r\nmybot map me &lt;query&gt; - Returns a map view of the area returned by `query`.\r\nmybot mustache me &lt;url|query&gt; - Adds a mustache to the specified URL or query result.\r\nmybot ping - Reply with pong\r\nmybot pug bomb N - get N pugs\r\nmybot pug me - Receive a pug\r\nmybot the rules - Make sure hubot still knows the rules.\r\nmybot time - Reply with current time\r\nmybot translate me &lt;phrase&gt; - Searches for a translation for the &lt;phrase&gt; and then prints that bad boy out.\r\nmybot translate me from &lt;source&gt; into &lt;target&gt; &lt;phrase&gt; - Translates &lt;phrase&gt; from &lt;source&gt; into &lt;target&gt;. Both &lt;source&gt; and &lt;target&gt; are optional\r\nship it - Display a motivation squirrel</code></pre>\r\n<p>We will try a couple more.</p>\r\n<pre><code>mybot&gt; mybot echo &quot;Hello world&quot;\r\n&quot;Hello world&quot;\r\nmybot&gt; mybot the rules\r\n0. A robot may not harm humanity, or, by inaction, allow humanity to come to harm.\r\n1. A robot may not injure a human being or, through inaction, allow a human being to come to harm.\r\n2. A robot must obey any orders given to it by human beings, except where such orders would conflict with the First Law.\r\n3. A robot must protect its own existence as long as such protection does not conflict with the First or Second Law.</code></pre>\r\n<h2 id=\"adding-scripts\">Adding Scripts</h2>\r\n<h3 id=\"npm-scripts\">npm scripts</h3>\r\n<pre><code>npm install hubot-simpsons</code></pre>\r\n<p>Add <code>hubot-simpsons</code> to the array in the <code>external-scripts.json</code> file.</p>\r\n<pre><code>mybot&gt; mybot simpsons quote\r\nmybot&gt; Disco Stuâ¦ likes disco.</code></pre>\r\n<h3 id=\"writing-scripts\">Writing scripts</h3>\r\n<p>https://github.com/github/hubot/blob/master/docs/scripting.md</p>\r\n<p>You can add your own custom scripts by adding them to the <code>scripts</code> directory. An <code>examples.coffee</code> script was included when Hubot was installed. It includes a variety of examples of things Hubot can do. I will illustrate by paring this down to a simple single script that responds to requests to open doors. Our simple script will open most doors, but will politely refuse to open the \'pod bay\' doors.</p>\r\n<p>The script uses the <code>respond</code> method on the <code>robot</code> module. This method takes a regex patten to respond to. It returns a result that contains a match array when the pattern has been detected. In our script we capture the group between \'onen the\' and \'doors\'. We then use this to determine which response to provide. The response is triggered with the robots <code>reply</code> method.</p>\r\n<pre><code>module.exports = (robot) -&gt;\r\n\r\n robot.respond /open the (.*) doors/i, (res) -&gt;\r\n   doorType = res.match[1]\r\n   if doorType is &quot;pod bay&quot;\r\n     res.reply &quot;I&#39;m afraid I can&#39;t let you do that.&quot;\r\n   else\r\n     res.reply &quot;Opening #{doorType} doors&quot;</code></pre>\r\n<p>Restart Hubot by...</p>\r\n<p>Now we can use our new, useful Hubot script.</p>\r\n<pre><code>mybot&gt; mybot open the french doors\r\nmybot&gt; Shell: Opening french doors\r\nmybot&gt; mybot open the pod bay doors\r\nmybot&gt; Shell: I&#39;m afraid I can&#39;t let you do that.</code></pre>\r\n<h2 id=\"aliases\">Aliases</h2>\r\n<p>A rose by any other name... If you would like your Hubot to respond to another name, you can assign your Hubot aliases to respond to. I really like this feature and I assign the \'!\' as my Hubot alias. This allows me to invoke Hubot with a single character.</p>\r\n<pre><code>mybot&gt; ! open the pod bay doors\r\nmybot&gt; Shell: I&#39;m afraid I can&#39;t let you do that.</code></pre>\r\n<h2 id=\"adapters\">Adapters</h2>\r\n<p>Obviously the shell adapter is not very useful aside from allowing us to play with or develop Hubot scripts. Hubot comes with several adapters that allow it to integrate with existing chat systems. These include: * IRC * XMPP * Campfire * HipChat * Slack * IRC * IRC</p>\r\n<h2 id=\"conclusion\">Conclusion</h2>\r\n<p>I hope this gives you a sense of what Hubot can do and how you can utilize it. Personally, I use Hubot in a variety of ways ranging from silly entertainment to useful communication tool. Using the eight-ball script, I can see if I will have a good day.</p>\r\n<pre><code>mybot&gt; mybot eight-ball Will I have a good day?\r\nmybot&gt; Shell: Most certainly!\r\nmybot&gt; :-)</code></pre>\r\n<p>Using a modified version of of the sms script, I can send text messages to my family members who are not available online.</p>\r\n<pre><code>mybot&gt; mybot sms trinity   See you on the other side!\r\nmybot&gt; Shell: Sent sms to 3125550690\r\nmybot&gt; :-)</code></pre>\r\n',277,0,1,'CC-BY-SA','hubot chat bot',0,0,1),
(2058,'2016-06-22','My 14th Beer Podcast',415,'Talking about Troegs Brewery\'s Java Head Beer','<p>\r\nThis is my 14th Beer Podcast. I know. I know. I\'ve only put two (2) up online so far. But trust me, the other ten (10) are coming. This one\'s just out of sequence is all.\r\n</p>\r\n<p>\r\nOh, yeah. A little other morsel/tidbit for those of you inclined to brew your own. Go to <a href=\"https://www.brewdog.com/diydog\">https://www.brewdog.com/diydog</a> and download BrewDog\'s DIY Dog pdf of all of their brews/beers.\r\n</p>\r\n<p>\r\nYou ask, who\'s BrewDog? Well, they\'re two guys and a dog, who in 2005, began home brewing in a garage in North-Eastern Scotland. Two years and countless successes &amp; failures later, BrewDog came howling into the world. Eight years after that - and more than 200 different beers later - they\'ve released the recipe and story behind every single one of those brews.\r\n</p>\r\n<p>\r\n<a href=\"https://hackerpublicradio.org/eps/hpr2058.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2058_small.jpg\" alt=\"Picture of Beer Bottle\" /></a>\r\n</p>\r\n<p>\r\nSo, if you\'ve ever wanted to try to brew your own, here\'s another reason to start.\r\n</p>\r\n',313,14,1,'CC-BY-SA','Beer Tasting',0,0,1),
(2063,'2016-06-29','My 3rd HPR Beer Podcast',147,'Introducing 2 beers that I feel you may like','<p>JustMe here again.</p>\r\n<p>This is my 3rd HPR Beer podcast report.</p>\r\n<p>We\'re going to introduce you to two (2) beers. The first is Rebel Rider IPA &amp; the second is Red Seal Carousel.</p>\r\n<p>As always, thanks for listening &amp; supporting HPR.</p>\r\n<p>\r\n<a href=\"https://hackerpublicradio.org/eps/hpr2063_rebel_rider_ipa.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2063_rebel_rider_ipa_small.jpg\" alt=\"picture of rebel rider ipa beer\"/></a>\r\n</p>\r\n<p>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr2063_red-seal.png\" alt=\"picture of Red Seal beer\"/>\r\n</p>\r\n',313,14,1,'CC-BY-SA','beer tasting',0,0,1),
(2054,'2016-06-16','Blather Configuration Part 1: Desktop Management',1496,'Blather Configuration Part 1: Desktop Management','\r\n<h2>Blather Configuration Part 1: Desktop Management</h2>\r\n\r\n<p>In this episode I show how to start adding more commands, how to use the language updater script, and how to start doing some basic desktop navigation. I\'ll show you how to open and quit applications, and how to switch from one application to another using your voice. </p>\r\n\r\n<p>For information about installing blather for the first time, as well as the startup script that I use, please refer to <a href=\"https://hackerpublicradio.org/eps.php?id=2039\">episode 0 of this series</a>, which has examples and links for this stuff.</p>\r\n\r\n<p>To start using the language updater script, you need to move it or copy it from the blather source code directory into your path (e.g. ~/bin/). To add new commands you will have to edit the main command configuration file:</p>\r\n\r\n<pre>~/.config/blather/commands.conf</pre>\r\n\r\n<p>Commands are configured in a \"key: value\" pair, where the key is what you wish to say, and the value is the command that will be executed when you say it. We will start out with some very basic ones, but these can be as elaborate as your imagination and scripting skills will allow. You can execute built-in system commands, or you can write your own scripts that will be executed upon the voice command.</p>\r\n\r\n<p>Here\'s an example of a basic desktop application command set:</p>\r\n\r\n\r\n<pre>OPEN CHROMIUM: chromium &amp;\r\nGO TO CHROMIUM: wmctrl -a \"google chrome\"\r\nQUIT CHROMIUM: wmctrl -c \"google chrome\"\r\n</pre>\r\n\r\n<p>The first command launches Chromium, the second one will switch focus to Chromium when you are currently in another program, and the third one closes Chromium. This makes use of the command line tool <a href=\"https://linux.die.net/man/1/wmctrl\"><code>wmctrl</code></a>, which is a very handy window management tool. The <code>wmctrl -a</code> command chooses which window to put focus on (or close) based on the window title, which in the commands above is given in quotation marks. There are many options to how <code>wmctrl</code> can find windows and take actions, but for now we will just use this basic option.</p>\r\n\r\n<p>Once you have one command set of this kind working as you like, it\'s very easy to set up additional command sets for all of the desktop applications you use most often.</p>\r\n\r\n<p>Some applications are more difficult to handle than others. For example media players typically change the window title based on which track is playing. This makes it impossible to use the static window title option above, so I resort to a bit of scripting to help it find the right window to put focus on or close: </p>\r\n\r\n<pre>OPEN clementine: clementine &amp;\r\nGO TO clementine: rid=$(pgrep clementine -u $(whoami) |head -n 1) &amp;&amp; rwinname=$(wmctrl -lp |grep $rid |sed -e \"s/.*$rid * //\" | sed -e \"s/$(hostname) //\") &amp;&amp; wmctrl -a \"$rwinname\"\r\n</pre>\r\n\r\n<p>Opening the music player is easy. Switching to it is something else. To make this work I first find the process ID of the Clementine music player, and then I use the <code>wmctrl</code> list command to list all of the windows that are open and I grep for the process ID that I found in the first part. Then I extract the window name from that command\'s output and use the result inside quotation marks in the very last command to change Focus to that window. Whew!</p>\r\n\r\n<p>One last basic desktop navigation command for this episode. This is one that I use probably more than any other command. What it achieves is the alt + Tab Key stroke, which switches Focus to the previous window. Here\'s how I do it:</p>\r\n\r\n<pre>\r\nBACK FLIP: xdotool key alt+Tab\r\n</pre>\r\n\r\n<p>This makes use of the wonderful <code>xdotool</code> package to execute a virtual keystroke. Magic!</p>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2039\">Blather setup</a> (first episode in the series)</li>\r\n<li>CLI tools: <a href=\"https://manpages.ubuntu.com/manpages/trusty/man1/xdotool.1.html\">xdotool</a>, <a href=\"https://linux.die.net/man/1/wmctrl\">wmctrl</a></li>\r\n\r\n<li>snapshot of my <a href=\"https://paste.jonkulp.net/sicegamupi.tex\" target=\"_blank\">blather commands file</a></li>\r\n</ul>\r\n',238,79,0,'CC-BY-SA','Accessibility, speech recognition, linux, scripting',0,0,1),
(2057,'2016-06-21','dodddummy on oats',375,'How I \'cook\' steel cut oats','<p><a href=\"https://www.betteroats.com/brand/oat-revolution-steel-cut-oats/\" class=\"uri\">https://www.betteroats.com/brand/oat-revolution-steel-cut-oats/</a></p>\r\n',151,93,0,'CC-BY-SA','cooking,Steel-Cut Oats,Pinhead Oats,oats',0,0,1),
(2059,'2016-06-23','More Tech, Less Magic',992,'More Tech, Less Magic','<p>This was my first show for HPR! I wanted to offer up something unique–hopefully not too much so to enjoy.</p>\r\n<p>In this episode I talk a bit about the differences between how my son will grow up with gaming technology, and how I did. There’s a lot of nostalgia, a little humor, and also a bit of language.</p>\r\n<p>All in-show music was created by me.</p>',339,0,1,'CC-BY-SA','gaming, software development, hobbies',0,0,1),
(2061,'2016-06-27','Handwriting',440,'droops argues why people should use handwriting to gain super powers','<!-- Processed by make_markdown V0.0.4 -->\r\n<p>Yesterday I listened to an episode of Freakonomics (<a href=\"https://freakonomics.com/podcast/who-needs-handwriting/\" class=\"uri\">https://freakonomics.com/podcast/who-needs-handwriting/</a>) on handwriting. As a child I disliked penmanship and was horrible at it (still am). Eventually my teachers just told me to print so that they could read my answers. This is also a tech show, which should have an audience that leans toward the fact that computers are awesome. But most of you fine listeners should be interested in what is the best solution to a problem. Especially if that solution is contrary to conventional thought.</p>\r\n<p>Many reasons were given for handwriting to be a thing of the past and I think most of them are a lot of bull.</p>\r\n<p>First some more qualifications for me. I am a college dropout that did eventually graduate. Until last week I was a teacher who worked with students who were not always the best. I have been without a cell phone for two years and I love fountain pens. This probably does not qualify me for much, as I am certainly not a doctor or a scientific researcher, but I do have some real world experience and have been experimenting on my students (all in a good way).</p>\r\n<p>So here are some of the cons:</p>\r\n<ul>\r\n<li>Handwriting is old fashioned – true</li>\r\n<li>Typing is faster – true. Cursive is on average 30 words per minute.</li>\r\n<li>Hands hurt after writing – true</li>\r\n<li>Lack of success as a child demotivated me, left me “school damaged” – true</li>\r\n</ul>\r\n<p>These are all excuses that I have made and are all excuses my students have made. As a computer science teacher, I require all of my students to keep a handwritten notebook in my classes and they can use it on all of their tests, quizzes, and assignments. What an old fashioned stick in the mud I must be (they must have a cooler way to say this).</p>\r\n<p>There is nothing wrong with using tech to help with anything, but if you do not understand concepts of why and how, all the tech in the world will not help you and many people try to use tech as a crutch.</p>\r\n<p>Typing is faster, most students get to the point they can type everything that is said in a lecture. This skips a crucial part of learning where you use your brain to analyze what is being said. Writing is slower but should force you to put content in your own words by thinking about it and being an active listener.</p>\r\n<p>The pain in your hand should go away with practice, good form, and proper tools. I like fountain pens as they glide over the paper and you do not have to hold them in a death grip. Form means to use your arm, not your wrist, to write. With practice this can be done.</p>\r\n<p>I was bad at handwriting as a child and my teacher was wrong to tell me to stop. Part of education is to teach about failure and difficulty. If people only do the easy things who will do the hard ones? A person interviewed on Freakanomics said their school put too much emphasis on handwriting so they moved their child to a different school as this was having too much of a negative effect on his feelings. Way to teach your child to run away from hard things. I hope no college professor ever hurts his feelings to requires too much from them. Life gets harder, education should be hard to prepare students for the work of life.</p>\r\n<p>So enough cons, how about some pro argument.</p>\r\n<p>Laptops are full of distractions, most adults I know cannot focus with their email and social media trying to grab their attention.</p>\r\n<p>In an independent study talked about on Freakanomics, two researchers found that handwriters and laptopers had no difference in learning faces, unless they were allowed to review their notes before the quiz, where handwriters gained an edge. Concepts on the other hand, handwriters always held and almost like they thought about the concepts more than the students who just typed everything that was said.</p>\r\n<p>Something not really covered was writing new content. I give my students fountain pens as rewards and this makes writing so much more special. They take more time to write things and think more about what they are trying to say. This is a win-win.</p>\r\n<p>Now everyone is different. Please try handwriting for a few weeks and see if it helps you retain more. If you are not a student, watch a lecture on the internet or read a book and see if you learn more.</p>\r\n<p>Finally handwriting is personal. I am willing to mail a postcard to almost anyone that sends me their address (droops @ gmail) so that they can get that personal feeling.</p>\r\n<p>So I made some arguments, handwriting makes you smarter, helps you develop grit, makes you feel special, and gives you super powers. Hopefully you will try it out.</p>\r\n<p>This has been droops and this is Hacker Public Radio… HPR.</p>\r\n<h3 id=\"fountain-pen-suggestions\">Fountain Pen Suggestions</h3>\r\n<ul>\r\n<li><p>Fountain Pens I give my Students: <a href=\"https://amzn.com/B0052HYKC0\" class=\"uri\">https://amzn.com/B0052HYKC0</a></p></li>\r\n<li><p>Fountain Pens I use the most: <a href=\"https://www.lamyusa.com/fountain_main_safari.php\" class=\"uri\">https://www.lamyusa.com/fountain_main_safari.php</a></p></li>\r\n<li><p>Reddit: <a href=\"https://www.reddit.com/r/fountainpens\" class=\"uri\">https://www.reddit.com/r/fountainpens</a></p></li>\r\n</ul>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://freakonomics.com/podcast/who-needs-handwriting/\" class=\"uri\">https://freakonomics.com/podcast/who-needs-handwriting/</a></li>\r\n<li><a href=\"https://amzn.com/B0052HYKC0\" class=\"uri\">https://amzn.com/B0052HYKC0</a></li>\r\n<li><a href=\"https://www.lamyusa.com/fountain_main_safari.php\" class=\"uri\">https://www.lamyusa.com/fountain_main_safari.php</a></li>\r\n<li><a href=\"https://www.reddit.com/r/fountainpens\" class=\"uri\">https://www.reddit.com/r/fountainpens</a></li>\r\n</ul>\r\n',1,112,0,'CC-BY-SA','handwriting, fountain pens, education, add, adhd',0,0,1),
(2062,'2016-06-28','Now The Chips Are Definitely Down',2446,'Show about an interesting documentary I recently came across and new piece of hardware','<!-- Processed by make_markdown V0.0.4 -->\r\n<p>I’d like to start by apologising for the rather fast and excited speaking style of this show particularly towards the end, hope it doesn’t spoil the content too much, it was all done in rather a hurry.</p>\r\n<p>In this show I describe a thought provoking documentary I stumbled upon from 1977, the documentary is about the the silicon chip and explores the far reaching implications it will have on society.</p>\r\n<p>The title for the original documentary was “Now the chips are down”.</p>\r\n<p>I came up with the altered title “Now the chips are definitely down” to signify that not only have the changes already happened but that it’s also had a massive cost reduction impact as my newly purchased piece of equipment demonstrates.</p>\r\n<p>The new piece of equipment that I bought only became so affordable because of the great advances and massive reductions in cost over time. A similar piece of equipment cost me around £120 maybe ten years ago and due to inflation you can probably double the cost again. The price of my new piece of equipment was astonishingly cheap I thought though on reflection its cheap price may also be down to it being a more mass produced item than normal amateur radio equipment.</p>\r\n<p>Links to Horizon documentary</p>\r\n<ul>\r\n<li><p>BBC Iplayer Link<br />\r\n<a href=\"https://www.bbc.co.uk/iplayer/episode/p01z4rrj/horizon-19771978-now-the-chips-are-down\" class=\"uri\">https://www.bbc.co.uk/iplayer/episode/p01z4rrj/horizon-19771978-now-the-chips-are-down</a></p></li>\r\n<li><p>Youtube Link for those not living in the UK<br />\r\n<a href=\"https://www.youtube.com/watch?v=HW5Fvk8FNOQ\" class=\"uri\">https://www.youtube.com/watch?v=HW5Fvk8FNOQ</a></p></li>\r\n<li><p>Wikipedia article about the documentary<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Now_the_Chips_are_Down\" class=\"uri\">https://en.wikipedia.org/wiki/Now_the_Chips_are_Down</a></p></li>\r\n</ul>\r\n<p>Standard C510A /C510E links</p>\r\n<ul>\r\n<li>Basic information on my original 10 year old handset<br />\r\n<a href=\"https://www.rigpix.com/standard/c510.htm\" class=\"uri\">https://www.rigpix.com/standard/c510.htm</a></li>\r\n</ul>\r\n<p>Baofeng UV-5R links</p>\r\n<ul>\r\n<li><p>My new handset available from many places this link from Amazon<br />\r\n<a href=\"https://www.amazon.co.uk/BaoFeng-UV-5R-136-174-400-480-Dual-Band/dp/B007HH6RR4\" class=\"uri\">https://www.amazon.co.uk/BaoFeng-UV-5R-136-174-400-480-Dual-Band/dp/B007HH6RR4</a></p></li>\r\n<li><p>Offical Baofeng website<br />\r\n<a href=\"https://www.baofengradio.com/en/ProShowcn.asp?ID=141\" class=\"uri\">https://www.baofengradio.com/en/ProShowcn.asp?ID=141</a></p></li>\r\n<li><p>Top Level UV-5R User manual link<br />\r\n<a href=\"https://www.miklor.com/uv5r/UV5R-Manuals.html\" class=\"uri\">https://www.miklor.com/uv5r/UV5R-Manuals.html</a></p></li>\r\n<li><p>Manufacturers Baofeng UV-5R user manual<br />\r\n<a href=\"https://www.uv3r.com/images/UV-5R%20user%20manual.pdf\">https://www.uv3r.com/images/UV-5R%20user%20manual.pdf</a></p></li>\r\n<li><p>The (Chinese) Radio Documentation Project manual Written by Lennart Lidberg<br />\r\n<a href=\"https://www.miklor.com/uv5r/pdf/uv-5r_v1.0.pdf\" class=\"uri\">https://www.miklor.com/uv5r/pdf/uv-5r_v1.0.pdf</a></p></li>\r\n<li><p>Interface cable for Baofeng UV-5R from Amazon<br />\r\n<a href=\"https://www.amazon.co.uk/Programming-Cable-Baofeng-UV-5R-Radio/dp/B0083H56MY/ref=pd_sim_504_1?ie=UTF8&amp;dpID=51R6bwEBeNL&amp;dpSrc=sims&amp;preST=_AC_UL160_SR160%2C160_&amp;refRID=06ZV4EBXADZ72VF6PR6Y\">https://www.amazon.co.uk/Programming-Cable-Baofeng-UV-5R-Radio/dp/B0083H56MY/ref=pd_sim_504_1?ie=UTF8&amp;dpID=51R6bwEBeNL&amp;dpSrc=sims&amp;preST=<em>AC_UL160_SR160%2C160</em>&amp;refRID=06ZV4EBXADZ72VF6PR6Y</a></p></li>\r\n</ul>\r\n<p>Chirp links</p>\r\n<ul>\r\n<li><a href=\"https://chirp.danplanet.com/projects/chirp/wiki/Home\" class=\"uri\">https://chirp.danplanet.com/projects/chirp/wiki/Home</a></li>\r\n</ul>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.bbc.co.uk/iplayer/episode/p01z4rrj/horizon-19771978-now-the-chips-are-down\" class=\"uri\">https://www.bbc.co.uk/iplayer/episode/p01z4rrj/horizon-19771978-now-the-chips-are-down</a></li>\r\n<li><a href=\"https://www.youtube.com/watch?v=HW5Fvk8FNOQ\" class=\"uri\">https://www.youtube.com/watch?v=HW5Fvk8FNOQ</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Now_the_Chips_are_Down\" class=\"uri\">https://en.wikipedia.org/wiki/Now_the_Chips_are_Down</a></li>\r\n<li><a href=\"https://www.rigpix.com/standard/c510.htm\" class=\"uri\">https://www.rigpix.com/standard/c510.htm</a></li>\r\n<li><a href=\"https://www.amazon.co.uk/BaoFeng-UV-5R-136-174-400-480-Dual-Band/dp/B007HH6RR4\" class=\"uri\">https://www.amazon.co.uk/BaoFeng-UV-5R-136-174-400-480-Dual-Band/dp/B007HH6RR4</a></li>\r\n<li><a href=\"https://www.baofengradio.com/en/ProShowcn.asp?ID=141\" class=\"uri\">https://www.baofengradio.com/en/ProShowcn.asp?ID=141</a></li>\r\n<li><a href=\"https://www.miklor.com/uv5r/UV5R-Manuals.html\" class=\"uri\">https://www.miklor.com/uv5r/UV5R-Manuals.html</a></li>\r\n<li><a href=\"https://www.uv3r.com/images/UV-5R%20user%20manual.pdf\">https://www.uv3r.com/images/UV-5R%20user%20manual.pdf</a></li>\r\n<li><a href=\"https://www.miklor.com/uv5r/pdf/uv-5r_v1.0.pdf\" class=\"uri\">https://www.miklor.com/uv5r/pdf/uv-5r_v1.0.pdf</a></li>\r\n<li><a href=\"https://www.amazon.co.uk/Programming-Cable-Baofeng-UV-5R-Radio/dp/B0083H56MY/ref=pd_sim_504_1?ie=UTF8&amp;dpID=51R6bwEBeNL&amp;dpSrc=sims&amp;preST=_AC_UL160_SR160%2C160_&amp;refRID=06ZV4EBXADZ72VF6PR6Y\">https://www.amazon.co.uk/Programming-Cable-Baofeng-UV-5R-Radio/dp/B0083H56MY/ref=pd_sim_504_1?ie=UTF8&amp;dpID=51R6bwEBeNL&amp;dpSrc=sims&amp;preST=<em>AC_UL160_SR160%2C160</em>&amp;refRID=06ZV4EBXADZ72VF6PR6Y</a></li>\r\n<li><a href=\"https://chirp.danplanet.com/projects/chirp/wiki/Home\" class=\"uri\">https://chirp.danplanet.com/projects/chirp/wiki/Home</a></li>\r\n</ul>\r\n',201,0,0,'CC-BY-SA','Hardware, Electronics, Amateur Radio, Open Source, Linux',0,0,1),
(2064,'2016-06-30','Test-Driving Devuan',1213,'Frank Bell takes Devuan Beta out for a spin.','<p>Frank Bell takes the Devuan Beta for a test drive and finds it accelerates smoothly, corners nicely, and rides comfortably.</p>\r\n<p>Links:</p>\r\n<ul>\r\n<li><p>Debian’s SystemD Announcement: <a href=\"https://wiki.debian.org/Debate/initsystem/systemd\">https://wiki.debian.org/Debate/initsystem/systemd</a></p></li>\r\n<li><p>The Devuan fork announcement: <a href=\"https://devuan.org/os/debian-fork/\">https://devuan.org/os/debian-fork/</a></p></li>\r\n<li><p>Announcement of the Beta: <a href=\"https://www.theregister.co.uk/2016/04/29/systemd_free_debian_fork_devuan_reaches_beta/\">https://www.theregister.co.uk/2016/04/29/systemd_free_debian_fork_devuan_reaches_beta/</a> Approx. one year behind schedule.</p></li>\r\n<li><p>Devuan website: <a href=\"https://devuan.org/\">https://devuan.org/</a></p></li>\r\n<li><p>Debian website: <a href=\"https://www.debian.org/\">https://www.debian.org/</a></p></li>\r\n<li><p>Some news stories about the Debian SystemD controversy:</p>\r\n<ul>\r\n<li><p>PCWorld: <a href=\"https://www.pcworld.com/article/2841873/meet-systemd-the-controversial-project-taking-over-a-linux-distro-near-you.html\" class=\"uri\">https://www.pcworld.com/article/2841873/meet-systemd-the-controversial-project-taking-over-a-linux-distro-near-you.html</a></p></li>\r\n<li><p>ZDNet: <a href=\"https://www.zdnet.com/article/linus-torvalds-and-others-on-linuxs-systemd/\">https://www.zdnet.com/article/linus-torvalds-and-others-on-linuxs-systemd/</a></p></li>\r\n<li><p>Technet: <a href=\"https://www.tecmint.com/systemd-replaces-init-in-linux/\">https://www.tecmint.com/systemd-replaces-init-in-linux/</a></p></li>\r\n<li><p>ADTMag’s Dev Watch blog: <a href=\"https://adtmag.com/blogs/dev-watch/2014/11/debian-problems.aspx\">https://adtmag.com/blogs/dev-watch/2014/11/debian-problems.aspx</a></p></li>\r\n<li><p>Linux Voice Interview with Leonart Poettering: <a href=\"https://www.linuxvoice.com/interview-lennart-poettering/\">https://www.linuxvoice.com/interview-lennart-poettering/</a></p></li>\r\n</ul></li>\r\n</ul>\r\n',195,0,0,'CC-BY-SA','Devuan, Debian, SystemD, SysV',0,0,1),
(2070,'2016-07-08','Adventures with Jonathan Slocum',694,'Join me on an audio video adventure with Captain Slocum and another Robert W Service ballad','<!-- Processed by make_markdown V0.0.4 -->\r\n<h2 id=\"a-3-layer-birthday-cake\">A 3 layer Birthday Cake</h2>\r\n<h2 id=\"with-frosting\">With Frosting</h2>\r\n<p>May I suggest that you partake of the layers in this order?</p>\r\n<ol type=\"1\">\r\n<li><p>Voyage of the Liberdade by Joshua Slocum<br />\r\nFind the book at Gutenberg Press<br />\r\n“Project Gutenberg offers over 50,000 free ebooks: choose among free epub books, free kindle books, download them or read them online.<br />\r\nWe carry high quality ebooks: Our ebooks were previously published by bona fide publishers. We digitized and diligently proofread them with the help of thousands of volunteers.<br />\r\nNo fee or registration is required, but if you find Project Gutenberg useful, we kindly ask you to donate a small amount so we can buy and digitize more books. Other ways to help include digitizing more books, recording audio books, or reporting errors.<br />\r\nOver 100,000 free ebooks are available through our Partners, Affiliates and Resources”.<br />\r\n<br />\r\nFind the book in all available forms (HTML, EPub, Text, Kindle) at: <a href=\"https://www.gutenberg.org/ebooks/18541\" class=\"uri\">https://www.gutenberg.org/ebooks/18541</a><br />\r\nThe text file is here: <a href=\"https://www.gutenberg.org/cache/epub/18541/pg18541.txt\" class=\"uri\">https://www.gutenberg.org/cache/epub/18541/pg18541.txt</a><br />\r\nFirst create an espeak of the text file:<br />\r\nVoyage of the Liberdade by Joshua Slocum<br />\r\n<a href=\"https://www.gutenberg.org/ebooks/18541\" class=\"uri\">https://www.gutenberg.org/ebooks/18541</a><br />\r\nTo create an espeak run this commmand against the text file:</p>\r\n<pre><code>espeak -f location_text -w output_file_here(.whatever_extension_you_want)</code></pre>\r\n<p>Or read the book old school</p></li>\r\n<li><p>Sailing Alone Around the World by Joshua Slocum (Audio Book read by Alan Chant)<br />\r\n<a href=\"https://librivox.org/sailing-alone-around-the-world-by-joshua-slocum/\" class=\"uri\">https://librivox.org/sailing-alone-around-the-world-by-joshua-slocum/</a></p></li>\r\n<li><p>A YouTube Movie that explains more about Captain Slocum.<br />\r\n<a href=\"https://www.youtube.com/watch?v=iciZer5cbJ8\" class=\"uri\">https://www.youtube.com/watch?v=iciZer5cbJ8</a></p></li>\r\n</ol>\r\n<p>The Cremation of Sam McGee Robert W. SERVICE (1874 - 1958) Read by Kristin Hughes <a href=\"https://ia600202.us.archive.org/28/items/cremationsammcgee_0711_librivox/sammcgee_service_klh.mp3\" class=\"uri\">https://ia600202.us.archive.org/28/items/cremationsammcgee_0711_librivox/sammcgee_service_klh.mp3</a></p>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.gutenberg.org/ebooks/18541\" class=\"uri\">https://www.gutenberg.org/ebooks/18541</a></li>\r\n<li><a href=\"https://www.gutenberg.org/cache/epub/18541/pg18541.txt\" class=\"uri\">https://www.gutenberg.org/cache/epub/18541/pg18541.txt</a></li>\r\n<li><a href=\"https://librivox.org/sailing-alone-around-the-world-by-joshua-slocum/\" class=\"uri\">https://librivox.org/sailing-alone-around-the-world-by-joshua-slocum/</a></li>\r\n<li><a href=\"https://www.youtube.com/watch?v=iciZer5cbJ8\" class=\"uri\">https://www.youtube.com/watch?v=iciZer5cbJ8</a></li>\r\n<li><a href=\"https://ia600202.us.archive.org/28/items/cremationsammcgee_0711_librivox/sammcgee_service_klh.mp3\" class=\"uri\">https://ia600202.us.archive.org/28/items/cremationsammcgee_0711_librivox/sammcgee_service_klh.mp3</a></li>\r\n</ul>\r\n',209,0,1,'CC-BY-SA','Joshua Slocum, Sailing Alone Around the World, Audio Books, Robert W Service, birthday Shows',0,0,1),
(2068,'2016-07-06','Podcasts I listen to and how I fetch them.',515,'As I drive to work, I rattle off a short list of podcasts that I listen to and how I fetch them.','<!-- Processed by make_markdown V0.0.4 -->\r\n<h3 id=\"subscriptions\">Subscriptions</h3>\r\n<p>Right out of my ~./podget/serverlist:</p>\r\n<ul>\r\n<li><a href=\"https://thelinuxlink.net/tllts/tllts.rss\" class=\"uri\">https://thelinuxlink.net/tllts/tllts.rss</a> TECH The Linux Link</li>\r\n<li><a href=\"https://duffercast.org/feed/podcast/\" class=\"uri\">https://duffercast.org/feed/podcast/</a> CULTURE The Duffercast</li>\r\n<li><a href=\"https://exworker.libsyn.com/rss/\" class=\"uri\">https://exworker.libsyn.com/rss/</a> SOCIETY The Ex-Worker</li>\r\n<li><a href=\"https://hackerpublicradio.org/hpr_ogg_rss.php\" class=\"uri\">https://hackerpublicradio.org/hpr_ogg_rss.php</a> TECH Hacker Public Radio</li>\r\n<li><a href=\"https://feeds.feedburner.com/thememorypalace/\" class=\"uri\">https://feeds.feedburner.com/thememorypalace/</a> STORIES The Memory Palace</li>\r\n<li><a href=\"https://feeds.themoth.org/themothpodcast/\" class=\"uri\">https://feeds.themoth.org/themothpodcast/</a> STORIES The Moth</li>\r\n<li><a href=\"https://www.ourbattletech.com/feed/\" class=\"uri\">https://www.ourbattletech.com/feed/</a> GAMES Our BattleTech</li>\r\n<li><a href=\"https://wfmu.org/podcast/FC.xml\" class=\"uri\">https://wfmu.org/podcast/FC.xml</a> CULTURE WMFU Radio Free Culture</li>\r\n<li><a href=\"https://hourofslack.libsyn.com/rss/\" class=\"uri\">https://hourofslack.libsyn.com/rss/</a> BOB Subgenius Hour of Slack</li>\r\n<li><a href=\"https://feed.thisamericanlife.org/talpodcast\" class=\"uri\">https://feed.thisamericanlife.org/talpodcast</a> NPR This American Life</li>\r\n<li><a href=\"https://kpfa.org/program/puzzling-evidence/feed/\" class=\"uri\">https://kpfa.org/program/puzzling-evidence/feed/</a> BOB Puzzling Evidence</li>\r\n<li><a href=\"https://2600.com/otw-broadband.xml\" class=\"uri\">https://2600.com/otw-broadband.xml</a> TWOSIXZEROZERO Off the Wall</li>\r\n<li><a href=\"https://2600.com/oth-broadband.xml\" class=\"uri\">https://2600.com/oth-broadband.xml</a> TWOSIXZEROZERO Off the Hook</li>\r\n<li><a href=\"https://radioopensource.org/feed/\" class=\"uri\">https://radioopensource.org/feed/</a> SOCIETY Open Source</li>\r\n<li><a href=\"https://feed.loveandradio.org/loveplusradio\" class=\"uri\">https://feed.loveandradio.org/loveplusradio</a> STORIES Love and Radio</li>\r\n<li><a href=\"https://feeds.podtrac.com/luI2ebVqX-WW\" class=\"uri\">https://feeds.podtrac.com/luI2ebVqX-WW</a> TECH OReilly Hardware Podcast</li>\r\n<li><a href=\"https://embedded.fm/?format=rss\" class=\"uri\">https://embedded.fm/?format=rss</a> TECH EmbeddedFM</li>\r\n</ul>\r\n<h3 id=\"tools\">Tools</h3>\r\n<ul>\r\n<li>podget - <a href=\"https://podget.sourceforge.net/\" class=\"uri\">https://podget.sourceforge.net/</a></li>\r\n<li>podracer - <a href=\"https://podracer.sourceforge.net/\" class=\"uri\">https://podracer.sourceforge.net/</a></li>\r\n<li>gPodder - <a href=\"https://gpodder.org\" class=\"uri\">https://gpodder.org</a></li>\r\n</ul>\r\n<h3 id=\"configuration\">Configuration</h3>\r\n<p>I can supply my podgetrc upon request. It’s pretty basic.</p>\r\n',241,75,0,'CC-BY-SA','podcasts,podget,podracer,gPodder,RockBox,Sansa Clip+',0,0,1),
(2067,'2016-07-05','Haste - the pastebin alternative',556,'How to install your own haste server','<h1 id=\"haste\">Haste</h1>\r\n<p>A walk through of installing haste as an open source federated pastebin.com alternative.</p>\r\n<p>See the project at <a href=\"https://hastebin.com/\">hastebin.com</a></p>\r\n<p>I ran into project this while following John Kulp’s notes on his <a href=\"https://www.youtube.com/watch?v=gr1FZ2F7KYA\">blather intro</a>.</p>\r\n<h2 id=\"installing-node.js\">Installing node.js</h2>\r\n<p>Installing via a package manager. See <a href=\"https://nodejs.org/en/download/package-manager/\">nodejs website</a> for most up-to-date information. Commands given below are just for reference.</p>\r\n<p>RedHat based systems</p>\r\n<pre><code>curl --silent --location https://rpm.nodesource.com/setup | sudo bash -\r\nsudo yum install -y nodejs</code></pre>\r\n<p>Debian based systems</p>\r\n<pre><code>curl --silent --location https://deb.nodesource.com/setup | sudo bash -\r\nsudo apt-get install -y nodejs</code></pre>\r\n<h3 id=\"upgrade-npm\">Upgrade npm</h3>\r\n<pre><code>npm install npm -g</code></pre>\r\n<h2 id=\"haste-server\">haste-server</h2>\r\n<p>Take a look at the haste-server project on <a href=\"https://github.com/seejohnrun/haste-server\">github</a></p>\r\n<h3 id=\"clone-haste-server-git-repository\">Clone haste-server git repository</h3>\r\n<pre><code>git clone https://github.com/seejohnrun/haste-server.git\r\ncd haste-server</code></pre>\r\n<h3 id=\"choose-storage-method\">Choose storage method</h3>\r\n<p>Choices</p>\r\n<ul>\r\n<li>file system</li>\r\n<li>redis</li>\r\n<li>memcached</li>\r\n</ul>\r\n<p>If you will be using the file system storage method, delete storage section in config.js using your favorite text editor.</p>\r\n<h3 id=\"install\">Install</h3>\r\n<pre><code>npm install\r\nnpm start &amp;</code></pre>\r\n<h3 id=\"use-server\">Use server</h3>\r\n<p>You can now browse to your new haste-server at the server name or ip at port <code>7777</code>. Follow the icon links on the page for usage.</p>\r\n<pre><code>https://&lt;servername&gt;:7777</code></pre>\r\n<h2 id=\"using-shell-to-add-content\">Using shell to add content</h2>\r\n<p>Create a bash alias to pipe files to the haste file server.</p>\r\n<p>Add the following to your <code>.bashrc</code> file:</p>\r\n<pre><code>HASTE_SERVER=&#39;https://myserver:7777&#39;\r\nhaste() { a=$(cat); curl -X POST -s -d &quot;$a&quot; $HASTE_SERVER/documents | awk -v server=&quot;$HASTE_SERVER&quot; -F &#39;&quot;&#39; &#39;{print server&quot;/&quot;$4}&#39;; }</code></pre>\r\n<h2 id=\"references\">References</h2>\r\n<ul>\r\n<li><a href=\"https://hastebin.com/\">hastebin.com</a></li>\r\n<li><a href=\"https://nodejs.org/\">nodejs</a></li>\r\n<li><a href=\"https://github.com/seejohnrun/haste-server\">haste-server</a></li>\r\n<li><a href=\"https://github.com/seejohnrun/haste-client\">haste-client</a></li>\r\n<li><a href=\"https://github.com/seejohnrun/haste-client#lightweight-alternative\">haste-client-bash</a></li>\r\n</ul>\r\n',277,0,1,'CC-BY-SA','haste,haste-server,haste-client,javascript,nodejs,npm',0,0,1),
(2069,'2016-07-07','Counting Stuff in LibreOffice Calc',1195,'I try to explain how to use the COUNTIF function in LibreOffice to generate reports','<p>When I took over as Director of the School of Music in January, one of the first things I did was to try to get a better handle on the number of faculty I had at various ranks, how many had terminal degrees, how many already had tenure, how many were on tenure track, how many held endowed professorships, and so forth. Somewhere in the process, I discovered a handy trick for generating reports for this kind of thing. It\'s the <code>COUNTIF</code> function of LibreOffice calc. In this episode I will go through some examples of ways that I\'ve used <code>COUNTIF</code> to generate reports.</p>\r\n\r\n<h2>Examples</h2>\r\n\r\n<p>Count occurrences of the string from A6 of current sheet on other sheet Personnel in column K</p>\r\n\r\n<pre>=COUNTIF($Personnel.$K$1:$K$135,Reports.A6)<br/></pre>\r\n\r\n<p>Count occurrences of explicit string on other sheet \"Personnel\" in column K</p>\r\n<pre>=COUNTIF($Personnel.$K$1:$K$135,&quot;=Instructor&quot;)<br/></pre>\r\n\r\n\r\n<p>Count greater than or equal to 50</p>\r\n<pre>=COUNTIF($I$2:$I$105,&quot;&gt;=50&quot;)<br/></pre>\r\n\r\n<p>Using <code>SUMPRODUCT</code>, count between range greater than or equal to 40 but less than 50</p>\r\n<pre>=SUMPRODUCT($I$2:$I$105&gt;=40,$I$2:$I$105&lt;50)<br/></pre>\r\n\r\n<p>Look for the string from sheet \"Reports,\" cell A21, in the sheet \"Personnel\" column U, excluding any rows that have the value \"Adjunct\" in column K.</p>\r\n\r\n<pre>=COUNTIFS($Personnel.$U$1:$U$135,Reports.A21,$Personnel.$K$1:$K$135,&quot;&lt;&gt;Adjunct&quot;)<br/></pre>\r\n',238,70,0,'CC-BY-SA','LibreOffice, formulas, tips and tricks',0,0,1),
(2077,'2016-07-19','libernil.net and self hosting for friends and family',1098,'I talk a little about my network and how you can host services for your friends and family.','<h2 id=\"what-is-libernil.net\">What is libernil.net?</h2>\r\n<p>libernil.net is an island of pseudo-freedom. This project was established in order to pursue ideals of Free Software, Free Culture, ethically sourced hardware, self hosting, and sharing with others. Generally it consists of personal content, though some community resources reside here as well.</p>\r\n<p>The name came from an old programming group and was repurposed. I would really like to find a new name!</p>\r\n<h2 id=\"similar-networks\">Similar networks</h2>\r\n<ul>\r\n<li>tilde.club</li>\r\n<li>sdf.org</li>\r\n</ul>\r\n<h2 id=\"the-network\">The network</h2>\r\n<p>Set in three physical locations: two in Northwest Arkansas, one (a VPS) in Sweden.</p>\r\n<p>One recycled shuttle rig called “summernight”, one ThinkPenguin nano called “aprilshowers”, and a VPS known as “eremit”. Two or three inaccessible machines for backups and other automation.</p>\r\n<p>Wireless access provided in the openwireless.org model at both US physical locations.</p>\r\n<h3 id=\"services\">Services</h3>\r\n<ul>\r\n<li>Websites</li>\r\n<li>Shell accounts</li>\r\n<li>DNS</li>\r\n<li>wireless access</li>\r\n<li>XMPP</li>\r\n<li>IRC Bots</li>\r\n<li>Git</li>\r\n<li>MediaGoblin</li>\r\n</ul>\r\n<h3 id=\"future-services\">Future services</h3>\r\n<ul>\r\n<li>Game servers</li>\r\n<li>pump.io and GNU Social instances</li>\r\n<li>mail server</li>\r\n<li>PBX with DID lines</li>\r\n<li>data service</li>\r\n</ul>\r\n<h2 id=\"events-and-community\">Events and community</h2>\r\n<p>The community is very loosely organized and rarely operates under the name of the network, though we sometimes gather for events in the same location as the machines. In the past we’ve had a cryptoparty and I am trying to organize a FreeDOOM LAN party.</p>\r\n<h2 id=\"how-to-host-your-own-services\">How to host your own services</h2>\r\n<ol type=\"1\">\r\n<li>Acquire a machine, any machine! Could be a junk rig, an old laptop, or a fancy single board computer.</li>\r\n<li>Install your favorite distro or try freedombone/freedom box.</li>\r\n<li>Get a domain name with your favorite registrar.</li>\r\n<li>Get a static IP from your ISP if possible or go with Dynamic DNS</li>\r\n<li>Install Bind or set up your router to manage DNS.</li>\r\n<li>Invite some friends to play on your new server! Maybe have a party!</li>\r\n<li>Set up backup scripts.</li>\r\n</ol>\r\n',241,0,0,'CC-BY-SA','gnu, linux, networking, community, servers, services, commons',0,0,1),
(2087,'2016-08-02','Magazines I read Part 2',220,'More of the magazines I read','<!-- Processed by make_markdown V0.0.4 -->\r\n<p>Hi Hacker Public Radio this is Tony Hughes again with the second episode about the magazines I like to read. All of the magazines I’ll be talking of today I read on my Magzter (<a href=\"https://www.magzter.com\">www.magzter.com</a>) Application on my tablet. I have a Magzter Gold subscription which gives me access to literally 100’s of magazines.</p>\r\n<ul>\r\n<li><p>Vegetarian Times (<a href=\"https://www.vegetariantimes.com\">www.vegetariantimes.com</a>)<br />\r\nI’m a bit of a foodie and have been a vegetarian for many years, so access to good food magazines is important to me. This is a US publication so not all the advertised products are available in the UK but the articles and recipes are excellent.</p></li>\r\n<li><p>Feel Good Food (<a href=\"https://www.womanandhome.com/recipes/534618/feel-good-food-mag\">www.womanandhome.com/recipes/534618/feel-good-food-mag</a>)<br />\r\nA British magazine aimed at Women but non the less still a source of some brilliant recipes for delicious food for food lovers everywhere. Not a veggie magazine but there is usually something of interest. Like most of the food magazines I read I dip into them find recipes I like save them and move on.</p></li>\r\n</ul>\r\n<p>Moving on from food to Sci Fi and cult fiction.</p>\r\n<ul>\r\n<li>Starburst Magazine (<a href=\"https://www.starburstmagazine.com\">www.starburstmagazine.com</a>)<br />\r\n&amp; SFX Magazine (<a href=\"https://www.gamesradar.com/sfx\">www.gamesradar.com/sfx</a>)</li>\r\n</ul>\r\n<p>I’ve grouped these together as they both deal with this subject. They review the latest books, films, TV, comics and audio recordings for this genre . They also cover classic examples, often examining work from the so called golden age of a particular subject. Along with Total Film magazine (<a href=\"https://www.gamesradar.com/totalfilm\">www.gamesradar.com/totalfilm</a>) you will always have access to reviews of the latest films &amp; TV and if they are worth the price of a cinema ticket or space as a series record on your PVR.</p>\r\n<p>Another armchair hobby of mine is archaeology I’ve loved Time Team from the beginning. So my next magazine on Magzter is Archaeology (<a href=\"https://archaeology.org\">archaeology.org</a>) this is a bi monthly magazine published in the US, but covering the latest archaeological news from around the world. For someone into my modern technology its interesting to read about what the latest technology was hundreds or even thousands of years ago.</p>\r\n<p>Moving on, one of my other interests over the last 20 years has been motorcycles although I no longer ride I still retain an keen interest so a Bike magazine has to be something I dip into to drool over shiny metal every so often. So I currently have Back Street Heroes (<a href=\"https://www.backstreetheroes.com\">www.backstreetheroes.com</a>) as a favourite in Magzter and dip into it when I need a shiny metal fix.</p>\r\n<p>Finally a more active hobby of mine is photography so there has to be a photography magazine in this list. Amateur Photographer (<a href=\"https://photographer.magazinesdirect.com\">photographer.magazinesdirect.com</a>) claims to be the worlds oldest weekly photography magazine. It covers all aspect of photography and the equipment you need. From high end Professional stuff to point and shoot cameras, and all the other stuff from bags to flash lights.</p>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.magzter.com\" class=\"uri\">https://www.magzter.com</a></li>\r\n<li><a href=\"https://www.vegetariantimes.com\" class=\"uri\">https://www.vegetariantimes.com</a></li>\r\n<li><a href=\"https://www.womanandhome.com/recipes/534618/feel-good-food-mag\" class=\"uri\">https://www.womanandhome.com/recipes/534618/feel-good-food-mag</a></li>\r\n<li><a href=\"https://www.starburstmagazine.com\" class=\"uri\">https://www.starburstmagazine.com</a></li>\r\n<li><a href=\"https://www.gamesradar.com/sfx\" class=\"uri\">https://www.gamesradar.com/sfx</a></li>\r\n<li><a href=\"https://www.gamesradar.com/totalfilm\" class=\"uri\">https://www.gamesradar.com/totalfilm</a></li>\r\n<li><a href=\"https://archaeology.org\" class=\"uri\">https://archaeology.org</a></li>\r\n<li><a href=\"https://www.backstreetheroes.com\" class=\"uri\">https://www.backstreetheroes.com</a></li>\r\n<li><a href=\"https://photographer.magazinesdirect.com\" class=\"uri\">https://photographer.magazinesdirect.com</a></li>\r\n</ul>\r\n',338,0,0,'CC-BY-SA','Magazine,food,recipe,sci fi,archaeology,motorcycles,photography',0,0,1),
(2074,'2016-07-14','Experience With A Neighborhood Cat',915,'A show about a cat.  Warning.  Repeat.  Warning.  Contains content that will be disturbing to some.','<p>\r\nAn old friend comes home...\r\n</p>',329,0,1,'CC-BY-SA','cat, compassion, death, medical, hospice, friend, pet, life',0,0,1),
(2071,'2016-07-11','Undocumented features of Baofeng UV-5R Radio',531,'Follow on show about undocumented features I found on my Baofeng UV-5R radio','<!-- Processed by make_markdown V0.0.4 -->\r\n<p>This is a short follow on show listing undocumented features I came across while playing with my new Baofeng UV-5R radio</p>\r\n<h3 id=\"baofeng-uv-5r-links\">Baofeng UV-5R links</h3>\r\n<ul>\r\n<li><p>My new handset available from many places this link from Amazon<br />\r\n<a href=\"https://www.amazon.co.uk/BaoFeng-UV-5R-136-174-400-480-Dual-Band/dp/B007HH6RR4\" class=\"uri\">https://www.amazon.co.uk/BaoFeng-UV-5R-136-174-400-480-Dual-Band/dp/B007HH6RR4</a></p></li>\r\n<li><p>Offical Baofeng website<br />\r\n<a href=\"https://www.baofengradio.com/en/ProShowcn.asp?ID=141\" class=\"uri\">https://www.baofengradio.com/en/ProShowcn.asp?ID=141</a></p></li>\r\n<li><p>Top Level UV-5R User manual link<br />\r\n<a href=\"https://www.miklor.com/uv5r/UV5R-Manuals.html\" class=\"uri\">https://www.miklor.com/uv5r/UV5R-Manuals.html</a></p></li>\r\n<li><p>Manufacturers Baofeng UV-5R user manual<br />\r\n<a href=\"https://www.uv3r.com/images/UV-5R%20user%20manual.pdf\">https://www.uv3r.com/images/UV-5R%20user%20manual.pdf</a></p></li>\r\n<li><p>The (Chinese) Radio Documentation Project manual Written by Lennart Lidberg<br />\r\n<a href=\"https://www.miklor.com/uv5r/pdf/uv-5r_v1.0.pdf\" class=\"uri\">https://www.miklor.com/uv5r/pdf/uv-5r_v1.0.pdf</a></p></li>\r\n</ul>\r\n',201,43,1,'CC-BY-SA','Electronics, Amateur Radio, Open Source',0,0,1),
(2072,'2016-07-12','That Awesome Time I Deleted My Home Directory',505,'sigflup deletes her home directory only to recover one important file','<p>Omg, Sigflup deletes her home directory! Commands in this episode include:</p>\r\n<pre>\r\n<code>\r\n\r\ngrep -b -a \"what you remember\" /dev/sd0a > /tmp/log\r\ndd if=/dev/sd0a bs=1 skip=12345 of=/tmp/out count=123456\r\n\r\n</code>\r\n</pre>\r\n<p>\r\nThis is a capture of the program that sigflup recovered. It\'s a mouth tracker. <a href=\"https://www.youtube.com/watch?v=gf2NJrXGT4U\">https://www.youtube.com/watch?v=gf2NJrXGT4U</a>\r\n</p>',115,0,0,'CC-BY-SA','filesystem, grep, dd',0,0,1),
(2351,'2017-08-07','HPR Community News for July 2017',2315,'Murphy is strong but Ken struggles on talking about shows released and comments posted in July 2017','\n\n<h2>New hosts</h2>\n<p>\nWelcome to our new host: <br />\n\n    <a href=\"https://hackerpublicradio.org/correspondents/0358.html\" target=\"_blank\">Ironic Sodium</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2326\" target=\"_blank\">2326</a></strong></td>\n    <td>Mon</td>\n    <td>2017-07-03</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2326\" target=\"_blank\">HPR Community News for June 2017</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2327\" target=\"_blank\">2327</a></strong></td>\n    <td>Tue</td>\n    <td>2017-07-04</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2327\" target=\"_blank\">A Texan\'s view on Why only a Native Born person can be President</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2328\" target=\"_blank\">2328</a></strong></td>\n    <td>Wed</td>\n    <td>2017-07-05</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2328\" target=\"_blank\">Baofeng UV5R VHF/UHF Handset part 8</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2329\" target=\"_blank\">2329</a></strong></td>\n    <td>Thu</td>\n    <td>2017-07-06</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2329\" target=\"_blank\">Building a Digital Clock Kit</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2330\" target=\"_blank\">2330</a></strong></td>\n    <td>Fri</td>\n    <td>2017-07-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2330\" target=\"_blank\">Awk Part 7</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2331\" target=\"_blank\">2331</a></strong></td>\n    <td>Mon</td>\n    <td>2017-07-10</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2331\" target=\"_blank\">Liverpool Makefest 2017 Show 1</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2332\" target=\"_blank\">2332</a></strong></td>\n    <td>Tue</td>\n    <td>2017-07-11</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2332\" target=\"_blank\">Installing DD-WRT on ASUS RT-N66U</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0358.html\" target=\"_blank\">Ironic Sodium</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2333\" target=\"_blank\">2333</a></strong></td>\n    <td>Wed</td>\n    <td>2017-07-12</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2333\" target=\"_blank\">VirtualenvWrapper for Fish Shell</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2334\" target=\"_blank\">2334</a></strong></td>\n    <td>Thu</td>\n    <td>2017-07-13</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2334\" target=\"_blank\">Our Adventure Begins!</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0152.html\" target=\"_blank\">Claudio Miranda</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2335\" target=\"_blank\">2335</a></strong></td>\n    <td>Fri</td>\n    <td>2017-07-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2335\" target=\"_blank\">Baofeng UV5R VHF/UHF Handset part 9</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2336\" target=\"_blank\">2336</a></strong></td>\n    <td>Mon</td>\n    <td>2017-07-17</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2336\" target=\"_blank\">Liverpool Makefest 2017 Show 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2337\" target=\"_blank\">2337</a></strong></td>\n    <td>Tue</td>\n    <td>2017-07-18</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2337\" target=\"_blank\">The Kobo Aura eReader</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2338\" target=\"_blank\">2338</a></strong></td>\n    <td>Wed</td>\n    <td>2017-07-19</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2338\" target=\"_blank\">Binaural recording 2 off to work</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0110.html\" target=\"_blank\">Quvmoh</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2339\" target=\"_blank\">2339</a></strong></td>\n    <td>Thu</td>\n    <td>2017-07-20</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2339\" target=\"_blank\">Podcast list additions</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2340\" target=\"_blank\">2340</a></strong></td>\n    <td>Fri</td>\n    <td>2017-07-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2340\" target=\"_blank\">Tracking the HPR queue in Python</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2341\" target=\"_blank\">2341</a></strong></td>\n    <td>Mon</td>\n    <td>2017-07-24</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2341\" target=\"_blank\">Liverpool Makefest 2017 Show 3</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2342\" target=\"_blank\">2342</a></strong></td>\n    <td>Tue</td>\n    <td>2017-07-25</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2342\" target=\"_blank\">Wherein our hero fails to repair a garage door.</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0241.html\" target=\"_blank\">Christopher M. Hobbs</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2343\" target=\"_blank\">2343</a></strong></td>\n    <td>Wed</td>\n    <td>2017-07-26</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2343\" target=\"_blank\">Healthcare in the Netherlands</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2344\" target=\"_blank\">2344</a></strong></td>\n    <td>Thu</td>\n    <td>2017-07-27</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2344\" target=\"_blank\">Follow on to HPR2340 (Tracking the HPR queue in Python)</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2345\" target=\"_blank\">2345</a></strong></td>\n    <td>Fri</td>\n    <td>2017-07-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2345\" target=\"_blank\">Fixing a toilet roll holder</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2346\" target=\"_blank\">2346</a></strong></td>\n    <td>Mon</td>\n    <td>2017-07-31</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2346\" target=\"_blank\">Liverpool Makefest 2017 Show 4</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available in the archives run\nexternally by <a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\n(see below) and on the HPR server under <a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p><em>Note: since the summer of 2016 Gmane has changed location and is currently\nbeing reestablished. At the moment the HPR archive is not available there.</em></p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-July/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-July/thread.html</a>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 23 comments in total.</p>\n<p>There are 3 comments on\n3 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2253#comments\" target=\"_blank\">hpr2253</a></strong>\n(2017-03-22) \"<em>How to make and use a stencil</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0351.html\" target=\"_blank\">@einebiene</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2253#12\" target=\"_blank\">Comment 12</a>:\nadmin on 2017-07-11:\n\"congrates\"</li></ul><br/>\n</li><li><strong><a href=\"https://hobbypublicradio.com/eps.php?id=2271#comments\" target=\"_blank\">hpr2271</a></strong>\n(2017-04-17) \"<em>Raspberry Pi Zero W</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hobbypublicradio.com/eps.php?id=2271#3\" target=\"_blank\">Comment 3</a>:\nadmin on 2017-07-11:\n\"thanks for info\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2322#comments\" target=\"_blank\">hpr2322</a></strong>\n(2017-06-27) \"<em>A bit of background on virtualenvwrapper</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0357.html\" target=\"_blank\">bjb</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2322#2\" target=\"_blank\">Comment 2</a>:\nMrX on 2017-07-29:\n\"Great first show\"</li></ul><br/>\n</li></ul>\n<p>There are 20 comments on 8 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2327#comments\" target=\"_blank\">hpr2327</a></strong>\n(2017-07-04) \"<em>A Texan\'s view on Why only a Native Born person can be President</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2327#1\" target=\"_blank\">Comment 1</a>:\njezra on 2017-07-05:\n\"Not native born: natural born\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2327#2\" target=\"_blank\">Comment 2</a>:\nKevin O&#39;Brien on 2017-07-05:\n\"Jezra is correct\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2327#3\" target=\"_blank\">Comment 3</a>:\nCanadianbob on 2017-07-08:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2329#comments\" target=\"_blank\">hpr2329</a></strong>\n(2017-07-06) \"<em>Building a Digital Clock Kit</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2329#1\" target=\"_blank\">Comment 1</a>:\nDave Lee on 2017-07-06:\n\"Just bought one\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2329#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-07-06:\n\"Hmm, Glasgow Podsoldering anyone?\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2333#comments\" target=\"_blank\">hpr2333</a></strong>\n(2017-07-12) \"<em>VirtualenvWrapper for Fish Shell</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2333#1\" target=\"_blank\">Comment 1</a>:\nklaatu on 2017-07-17:\n\"homebrew virtual envs\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2334#comments\" target=\"_blank\">hpr2334</a></strong>\n(2017-07-13) \"<em>Our Adventure Begins!</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0152.html\" target=\"_blank\">Claudio Miranda</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2334#1\" target=\"_blank\">Comment 1</a>:\nKevin on 2017-07-13:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2334#2\" target=\"_blank\">Comment 2</a>:\nClaudioM on 2017-07-14:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2334#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2017-07-16:\n\"Nostalgia\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2334#4\" target=\"_blank\">Comment 4</a>:\nClaudioM on 2017-07-18:\n\"Re: Nostalgia\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2337#comments\" target=\"_blank\">hpr2337</a></strong>\n(2017-07-18) \"<em>The Kobo Aura eReader</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2337#1\" target=\"_blank\">Comment 1</a>:\nlostnbronx on 2017-07-27:\n\"Great Overview\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2337#2\" target=\"_blank\">Comment 2</a>:\nJonathan Kulp on 2017-07-27:\n\"Kobo anagrams to Book\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2338#comments\" target=\"_blank\">hpr2338</a></strong>\n(2017-07-19) \"<em>Binaural recording 2 off to work</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0110.html\" target=\"_blank\">Quvmoh</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2338#1\" target=\"_blank\">Comment 1</a>:\nClinton Roy on 2017-07-18:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2338#2\" target=\"_blank\">Comment 2</a>:\nWindigo on 2017-07-23:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2340#comments\" target=\"_blank\">hpr2340</a></strong>\n(2017-07-21) \"<em>Tracking the HPR queue in Python</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2340#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2017-05-25:\n\"You don&#39;t need to scrape\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2340#2\" target=\"_blank\">Comment 2</a>:\nMrX on 2017-05-31:\n\"Re you don&#39;t need to scrape\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2340#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2017-06-01:\n\"See show 1986\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2340#4\" target=\"_blank\">Comment 4</a>:\nMrX on 2017-06-01:\n\"re: See show 1986\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2343#comments\" target=\"_blank\">hpr2343</a></strong>\n(2017-07-26) \"<em>Healthcare in the Netherlands</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2343#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2017-07-26:\n\"Unexpectedly interesting\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2343#2\" target=\"_blank\">Comment 2</a>:\nKevin O&#39;Brien on 2017-07-26:\n\"On the way\"</li></ul><br/>\n</li></ul>\n<h2>Any other business</h2>\n<ul>\n    <li><b>Tags and Summaries</b>\n	<p>In the past month we have had contributions from \n	    <a href=\"https://hackerpublicradio.org/correspondents/0357.html\">bjb</a> and\n	    <a href=\"https://hackerpublicradio.org/correspondents/0215.html\">Windigo</a> \n	    and I have added a few tags &amp; summaries myself. Many thanks to\n	    all contributors.</p>\n	<p>See the current status and instructions for making your own\n	    contribution at <a href=\"https://hackerpublicradio.org/report_missing_tags.php\">\"Shows without a summary and/or tags\"</a>.\n	    This page has recently been reformatted for easier navigation and\n	    a new section has been added. This section lists the hosts whose\n	    shows need attention followed by the show numbers that need work.</p>\n	<p>Currently there are 957 shows which need summaries or tags to be\n	    added. All contributions to this project are most welcome.</p>\n    </li> \n\n</ul>\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2073,'2016-07-13','The power of GNU Readline - part 1',716,'There\'s a lot you can do to speed up typing by using GNU Readline. We\'ll explore how in this series','<h1 id=\"the-power-of-gnu-readline---part-1\">The power of GNU Readline - part 1</h1>\r\n<p>We all use <em>GNU Readline</em> if we we use the CLI in Linux because it manages input, line editing and command history in Bash and in many tools.</p>\r\n<p>I have been using Unix and later Linux since the 1980\'s, and gradually learnt how to do things like jump to the start or the end of the line, delete a character backwards up to a space, or delete the entire line.</p>\r\n<p>I think that learning GNU Readline is worthwhile since it contains a <strong>lot</strong> more features than what I just described. I thought I would do a few episodes on HPR to introduce some of what I consider to be the most useful features.</p>\r\n<p>I want to keep the episodes short since this is a dry subject, and, if you are anything like me, you can\'t take in more than a few key sequences at a time.</p>\r\n<p>The source of my information is the <a href=\"https://cnswww.cns.cwru.edu/php/chet/readline/rltop.html\" title=\"GNU Readline Manual\"><em>GNU Readline Manual</em></a>. This is very well written, if a little overwhelming.</p>\r\n<p>To read the rest of the notes for this episode follow this link: <a href=\"https://hackerpublicradio.org/eps/hpr2073/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2073/full_shownotes.html</a></p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Wikipedia article on <em>GNU Readline</em>: <a href=\"https://en.wikipedia.org/wiki/GNU_Readline\" class=\"uri\">https://en.wikipedia.org/wiki/GNU_Readline</a></li>\r\n<li><em>GNU Readline</em> manual: <a href=\"https://cnswww.cns.cwru.edu/php/chet/readline/rltop.html\" class=\"uri\">https://cnswww.cns.cwru.edu/php/chet/readline/rltop.html</a></li>\r\n</ul>',225,102,1,'CC-BY-SA','command line,cli,GNU Readline',0,0,1),
(2075,'2016-07-15','Skin cancer',359,'My recent experience with skin cancer, and a primer on UV','<!-- Processed by make_markdown V0.0.4 -->\r\n<p>This is a very personal podcast, discussing minor surgery. If that sort of stuff makes you cringe at all, this may not be the recording for you. I should also point out that I am not a medical professional, you should not take this recording as medical advice, if you have any concerns about your skin, seek professional medical advice.</p>\r\n<p>I am a very white person living in Queensland, Australia. Our state has amongst the highest rate of skin cancers in the world, I believe we\'re in a tussle with New Zealand for first place at the moment.</p>\r\n<p>There are two main types of skin cancer, melanoma and non-melanoma. The non-melanoma type is slow growing, and rarely spreads to other parts of the body, while melanoma is fast growing and spreads to the rest of the body.</p>\r\n<p>Both my parents have had multiple lesions excised, so something like this was always on my mind. We live in a sunny, sub-tropical environment, the sort of clothing you\'d want to wear for comfort is light, breezy, and not covering much skin, exactly the wrong sort of clothes you\'d need to wear to protect yourself from ultraviolet (UV) rays that help cause skin cancer.</p>\r\n<p>According to the Australian BoM FAQ <a href=\"https://www.bom.gov.au/uv/faq.shtml\" class=\"uri\">https://www.bom.gov.au/uv/faq.shtml</a> the per capita risk of skin cancer in Australia is ten times higher than America and sixty times higher than the UK.</p>\r\n<p>The UV scale rarely gets above eight in the UK, in Brisbane the UV scale is above eight for roughly eight months of the year.</p>\r\n<p>There are a <strong>lot</strong> of variables when it comes to UV. Cloud cover is probably the most important. Something that I can\'t stress enough is that heat and UV are <strong>not</strong> correlated, you can definitely be exposed to lots of UV when it\'s cold (see New Zealand, they\'re much more south, much more cold, and have more exposure due to the ozone hole). Another example is snow, UV will bounce off the snow and back at you.</p>\r\n<p>The link between skin cancer and UV is quite strong, 95-99% of skin cancers are caused by excess sun exposure. (<a href=\"https://www.cancer.org.au\" class=\"uri\">https://www.cancer.org.au</a>)</p>\r\n<p>So, with all that history, I started getting yearly skin checks a couple of years ago. I\'d had a couple of skin checks when I was very young, and now that I\'m more advanced in years I wanted something less ad-hoc. Someone working for one such organisation gave a talk at one of the user groups I attended, and i made an appointment with Molemap. It\'s a full on procedure where your entire body is photographed, and each mole, freckle, bump and lump that is of possible concern is photographed from a few centimetres off the skin, and with the magnification lens sitting right on top of the mole.</p>\r\n<p>I have some near 200 spots on myself that are of interest, so my follow up appointments take about two and half hours to go over all these spots, plus looking for new ones. The hope is that, by doing this close to yearly, small changes in all these spots won\'t go unnoticed, and we can get on top of any cancers early.</p>\r\n<p>Interestingly, the spot that was actually a problem was a new one, so under a year old, and was hiding underneath my beard, so in future I\'m definitely going to have my skin checked clean shaven.</p>\r\n<p>The other thing I want to communicate is that early detection is key, all the skin cancers have a 90% plus survival rate (at five years) if caught early enough. This does potentially mean that a yearly check is not enough, but it\'s already proven it\'s worth to me.</p>\r\n<p>Molemap only does photography of spots, and visual diagnosis. It does not do any treatment or biopsies or excisions, therefore there it has no self interest in recommending treatment on borderline cases. Molemap sprang out of a University of Queensland project, which is my alma mater. After receiving the diagnosis (via an online form, secured with a second factor sent to my phone) and panicking a fair bit, I contacted my regular doctors practice (we call them general practitioners in Australia, I\'m sure they\'re called different things elsewhere) for an appointment with a GP who had experience with skin cancers. In QLD, most medical centres will have at least one doctor with experience in this area. As it turns out, my regular GP has such experience and I got an appointment for the following week.</p>\r\n<p>I wasn\'t really sure what to expect from my GP appointment, but I was mostly expecting to get the diagnosis confirmed, and either get sent to a specialist to deal with it, or organise another appointment at the GP.</p>\r\n<p>What actually happened was it took all of five minutes for my doctor to confirm the diagnosis, then work how he had time in his schedule, and there was a nurse free, to excise the lesion straight away. I was given a local anaesthetic, so I felt no pain whatsoever, but you still feel the doctor pulling on your skin up, down left and right, so that the complete lesion can be removed, as well as a small amount of surrounding skin in case the cancer has spread.</p>\r\n<p>Here I should mention that melanomas spread very fast, and when they\'re excised up to a centimetre of skin may need to be removed, where as for a non-melanomic, a millimetre or so is good enough.</p>\r\n<p>I got four sutures put in, they stayed for a week (we have a long easter break in Australia) so it ended up being closer to a week and a half. I had no problems, my scar healed up quickly and nicely. Now, a couple of months later, there\'s a little redness along the scar line, but that\'s about it.</p>\r\n<p>So. The take aways. UV is not correlated to heat, you can get a lot of UV exposure in cold environments. If you\'re travelling through a high UV area, take precautions (clothes that cover a lot of your skin, hat, sunglasses, sunscreen). If you live in a high UV area, get your skin checked regularly. Also, keep an eye on your own skin. Use a diary to record any new bumps, lumps, spots etc.</p>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.bom.gov.au/uv/faq.shtml\" class=\"uri\">https://www.bom.gov.au/uv/faq.shtml</a></li>\r\n<li><a href=\"https://www.cancer.org.au\" class=\"uri\">https://www.cancer.org.au</a></li>\r\n</ul>\r\n',315,100,1,'CC-BY-SA','skin cancer,melanoma,UV,ultraviolet light',0,0,1),
(2078,'2016-07-20','What\'s in my bag?',884,'A short summary of all the crap Windigo lugs back and forth','<p>If you should happen to find me on the road, don’t kill me! I’m an atheist!</p>\r\n<p>Also, this will be the contents of my bag:</p>\r\n<ul>\r\n<li>Stainless steel coffee mug, Stewarts-branded</li>\r\n<li>Stanley stainless steel thermos</li>\r\n<li>Kleen kanteen wide, 40oz stainless steel water bottle</li>\r\n<li>1&frac12;-foot micro USB cable</li>\r\n<li>Ethernet cable (currently retractable)</li>\r\n<li>Sony headphones</li>\r\n<li>Handful of SD and USB storage, including 64GB primary on keychain</li>\r\n<li>Maglite AA-powered flashlight</li>\r\n<li>Ballpoint pen</li>\r\n<li>Lunch, usually in a mason jar or metal box</li>\r\n<li>If it’s Wednesday or Thursday, my backup drive</li>\r\n<li>Dell Mini 9 with AC adapter</li>\r\n<li>If I’m walking to the Tech Center, a ZaReason Verix laptop with AC adapter</li>\r\n</ul>\r\n',196,23,0,'CC-BY-SA','coffee mug,thermos flask,ethernet cable,Maglite,ZaReason Verix,Dell Mini 9',0,0,1),
(2079,'2016-07-21','Everyone Loves Some Acid House',441,'Sigflup demonstrates how to make acid house quickly','<p>In this episode of hpr sigflup makes some acid house. She uses Technobox2, which simulates the tb-303 and the tr-808</p>\r\n<p><img src=\"https://theadesilva.com/303808.jpg\" alt=\"Roland TB-303 and TR-808\"/></p>\r\n',115,0,0,'CC-BY-SA','acid music ',0,0,1),
(2081,'2016-07-25','Fixing my daughter\'s laptop',669,'My daughter broke the headphone jack in her laptop. I tried to get the remains out','<h1 id=\"fixing-my-daughters-laptop\">Fixing my daughter’s laptop</h1>\r\n<p>My daughter is a student at university and uses her laptop with a headset most of the time. She shares a flat with a friend and they are both studying, so they don’t want to annoy each other with noise.</p>\r\n<p>The headset my daughter uses has a very long cable and earlier this year she tripped over it. The microphone jack was OK, but the headphone jack snapped off at the first ring and the remaining piece was left in the socket.</p>\r\n<p>This episode is about my attempt to remove the broken piece of the jack plug. To find out more about the method I used and how successful it was see the full notes with pictures <a href=\"https://hackerpublicradio.org/eps/hpr2081/full_shownotes.html\">here</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<p><strong>Note</strong>: <small>The Amazon links below are for information. I have no financial involvement with Amazon; these are not Affiliate links.</small></p>\r\n<ul>\r\n<li>Sabrent USB External Stereo Sound Adapter: <a href=\"https://www.amazon.co.uk/Sabrent-External-Adapter-Windows-AU-MMSA/dp/B00IRVQ0F8\" class=\"uri\">https://www.amazon.co.uk/Sabrent-External-Adapter-Windows-AU-MMSA/dp/B00IRVQ0F8</a></li>\r\n<li>Dremel 4000 Kit: <a href=\"https://www.amazon.co.uk/Dremel-4000-4-Multi-tool-Attachments-Accessories/dp/B0033UWLX8/ref=sr_1_2?ie=UTF8&amp;qid=1466335613&amp;sr=8-2&amp;keywords=dremel+4000\" class=\"uri\">https://www.amazon.co.uk/Dremel-4000-4-Multi-tool-Attachments-Accessories/dp/B0033UWLX8/ref=sr_1_2?ie=UTF8&amp;qid=1466335613&amp;sr=8-2&amp;keywords=dremel+4000</a></li>\r\n<li>Dremel Workstation: <a href=\"https://www.amazon.co.uk/Dremel-26150220JB-Workstation/dp/B0012RQG94/ref=sr_1_1?ie=UTF8&amp;qid=1466335828&amp;sr=8-1&amp;keywords=dremel+workstation\" class=\"uri\">https://www.amazon.co.uk/Dremel-26150220JB-Workstation/dp/B0012RQG94/ref=sr_1_1?ie=UTF8&amp;qid=1466335828&amp;sr=8-1&amp;keywords=dremel+workstation</a></li>\r\n<li>Make your own Dremel drill press (if you have a 3D printer): <a href=\"https://www.thingiverse.com/thing:161190\" class=\"uri\">https://www.thingiverse.com/thing:161190</a></li>\r\n</ul>',225,0,1,'CC-BY-SA','laptop,repair,audio jack,Dremel,USB DAC',0,0,1),
(2088,'2016-08-03','How my wife\'s grandma got me into linux.',2001,'Knightwise tells us how his wife\'s 80 year old grandmother got him into Linux.','<p>Knightwise talks about how he got into Linux.</p>\r\n<p>From the early beginnings where I dabbled in Suse to the present day where I run my company on Linux, I tell you the story of how I got into Linux .. And how my wife’s 80 year old grandma got me into Linux permanently.</p>\r\n',111,29,1,'CC-BY-SA','linux, ubuntu, suse, mandriva',0,0,1),
(2085,'2016-07-29','Penguicon 2016 Report',1337,'Penguicon 2016 happened on April 29 through May 1, 2016 in Southfield, Michigan','<!-- Processed by make_markdown V0.0.4 -->\r\n<p>Penguicon 2015 is a combined technology and science fiction convention in Southfield, Michigan, a suburb of Detroit, and presented over 500 hours of programming over the entire weekend. Of this, around 100 hours were open source, tech-related. In this episode I give you my personal diary of my experience at this great event.</p>\r\n<h3 id=\"links\">Links:</h3>\r\n<ul>\r\n<li><a href=\"https://2016.penguicon.org/\" class=\"uri\">https://2016.penguicon.org/</a></li>\r\n<li><a href=\"https://www.zwilnik.com/?p=901\" class=\"uri\">https://www.zwilnik.com/?p=901</a></li>\r\n<li><a href=\"https://thefrugalcomputerguy.com/\" class=\"uri\">https://thefrugalcomputerguy.com/</a></li>\r\n</ul>\r\n',198,96,0,'CC-BY-SA','Penguicon 2016',0,0,1),
(2095,'2016-08-12','23 - SSL Certificates - How They Work',2462,'A discussion of how SSL certificates work','<!-- Processed by make_markdown V0.0.4 -->\r\n<p>I had the opportunity to present a talk on SSL Certificates at our local LUG, the Washtenaw Linux Users Group, which uses some material from a previous HPR episode, but may be of interest to our listeners nonetheless. Because this was a lengthy presentation I have divided it into sections. This first section explains how SSL Certificates work, and the second one will explore some of the problems that we have with SSL Certificates, and how we might address those problems. For more go to <a href=\"https://www.zwilnik.com/?page_id=655\" class=\"uri\">https://www.zwilnik.com/?page_id=655</a></p>\r\n<h3 id=\"links\">Links:</h3>\r\n<ul>\r\n<li><a href=\"https://www.washlug.org/\" class=\"uri\">https://www.washlug.org/</a></li>\r\n<li><a href=\"https://securityblog.redhat.com/2014/10/15/poodle-a-ssl3-vulnerability-cve-2014-3566/\" class=\"uri\">https://securityblog.redhat.com/2014/10/15/poodle-a-ssl3-vulnerability-cve-2014-3566/</a></li>\r\n<li><a href=\"https://securityblog.redhat.com/2014/10/20/can-ssl-3-0-be-fixed-an-analysis-of-the-poodle-attack/\" class=\"uri\">https://securityblog.redhat.com/2014/10/20/can-ssl-3-0-be-fixed-an-analysis-of-the-poodle-attack/</a></li>\r\n<li><a href=\"https://access.redhat.com/articles/1232123\" class=\"uri\">https://access.redhat.com/articles/1232123</a></li>\r\n<li><a href=\"https://www.eff.org/https-everywhere\" class=\"uri\">https://www.eff.org/https-everywhere</a></li>\r\n<li><a href=\"https://www.eff.org/deeplinks/2014/08/google-boosts-secure-sites-search-results\" class=\"uri\">https://www.eff.org/deeplinks/2014/08/google-boosts-secure-sites-search-results</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/X.509\" class=\"uri\">https://en.wikipedia.org/wiki/X.509</a></li>\r\n<li><a href=\"https://engineering.purdue.edu/kak/compsec/NewLectures/Lecture13.pdf\" class=\"uri\">https://engineering.purdue.edu/kak/compsec/NewLectures/Lecture13.pdf</a></li>\r\n<li><a href=\"https://www.zwilnik.com/?page_id=655\" class=\"uri\">https://www.zwilnik.com/?page_id=655</a></li>\r\n</ul>\r\n',198,74,0,'CC-BY-SA','SSL, Certificates, encryption',0,0,1),
(2082,'2016-07-26','Basic Audio Production - Equalization',1126,'The basics of one of the most fundamental audio production techniques','<!-- Processed by make_markdown V0.0.4 -->\r\n<p>The bread and butter of open source audio production:</p>\r\n<ul>\r\n<li><p>Audacity: <a href=\"https://sourceforge.net/projects/audacity/\" class=\"uri\">https://sourceforge.net/projects/audacity/</a><br />\r\n(Does not allow live processing)</p></li>\r\n<li><p>Ardour: <a href=\"https://ardour.org/\" class=\"uri\">https://ardour.org/</a><br />\r\n(Heavy duty, full fledged versatile open source digital audio workstation)</p></li>\r\n</ul>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://sourceforge.net/projects/audacity/\" class=\"uri\">https://sourceforge.net/projects/audacity/</a></li>\r\n<li><a href=\"https://ardour.org/\" class=\"uri\">https://ardour.org/</a></li>\r\n</ul>\r\n',323,0,1,'CC-BY-SA','Music, Audio, Production, Recording, DAW, Audio Production, Sound, DIY, Equalization',0,0,1),
(2084,'2016-07-28','Cleaning the Throttle Body on My Pickup Truck',1469,'I record the process of cleaning the throttle body on my truck, trying to fix an idling problem','<p>In this episode I take you along for the ride as I do a little bit of maintenance on my pickup truck. I\'ve been trying to track down the source of of a rough idling problem that sometimes turns into stalling out. I already replaced the fuel filter (did not solve the rough idling problem but probably was due anyway), and here I make an audio recording as I clean the throttle body, which apparently is one of the first things you should do when your vehicle is idling roughly and stalling out. Still not sure if I have totally fixed it but it seems to run OK so at least I did not mess it up any worse.</p>\r\n\r\n<p>\r\n<a href=\"https://www.flickr.com/photos/137675441@N05/albums/72157667791674064\" title=\"Throttle body photos for HPR\">\r\n<img src=\"https://c1.staticflickr.com/8/7417/27464159624_78054c9ba3_z.jpg\" width=\"640\" height=\"360\" alt=\"Throttle body photos for HPR\"/>\r\n</a>\r\n</p>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n        <li><a href=\"https://mobiloil.com/en/article/car-maintenance/how-to-do-it-yourself/proper-throttle-body-cleaning-guide\">Step-by-step guide</a> to cleaning the throttle body from Mobil Oil\r\n        </li>\r\n</ul>\r\n',238,0,0,'CC-BY-SA','DIY, Auto repair, auto maintenance, cars, trucks',0,0,1),
(2089,'2016-08-04','Solving a blinkstick python problem',1220,'How I solved a problem I found when trying to control my new blinkstick nano with Python','<!-- Processed by make_markdown V0.0.4 -->\r\n<p>This is a show describing how I solved a problem of using my new Blinkstick Nano in Python, the problem occurred because I inadvertently installed the blinkstick module to the wrong version of Python as I have multiple versions of python installed on my raspberry pi.</p>\r\n<p>A blinkstick is a USB powered device with attached RGB led’s, it can be controlled using a wide range of languages, and supports the Raspberry Pi, Linux, Microsoft Windows &amp; Apple</p>\r\n<p>As a side note I forgot to mention that the blinkstick hardware and software is Open Source</p>\r\n<ul>\r\n<li><p>Link to blinkstick website<br />\r\n<a href=\"https://www.blinkstick.com/\" class=\"uri\">https://www.blinkstick.com/</a></p></li>\r\n<li><p>This is the particular model I bought<br />\r\n<a href=\"https://www.blinkstick.com/products/blinkstick-nano\" class=\"uri\">https://www.blinkstick.com/products/blinkstick-nano</a></p></li>\r\n</ul>\r\n<p>Initially I blindly followed the advice given at <a href=\"https://www.blinkstick.com/help/raspberry-pi-integration\" class=\"uri\">https://www.blinkstick.com/help/raspberry-pi-integration</a> which recommended the following commands</p>\r\n<pre><code>sudo apt-get install -y python-pip python2.7-dev\r\nsudo pip install blinkstick\r\nsudo blinkstick --info\r\nblnkstick --add-udev-rule</code></pre>\r\n<p>I discovered that the blinkstick module was not being found when I ran my python script, this turned out to be because I was invoking a different version of python in my script from that which I installed the blinkstick module. I installed the blinkstick module to Python 2.7, my script was running python 3.2</p>\r\n<p>I ran the following commands to rectify the problem</p>\r\n<pre><code>sudo apt-get install -y python3-pip\r\nsudo pip-3.2 install blinkstick\r\nsudo blinkstick --info (Run in my script)\r\nblinkstick --add-udev-rule (Not required 2nd time round)</code></pre>\r\n<p>Here are some links I looked at to get some understanding of what was going on</p>\r\n<ul>\r\n<li><p>Installing Python Modules<br />\r\n<a href=\"https://docs.python.org/3.6/installing/index.html\" class=\"uri\">https://docs.python.org/3.6/installing/index.html</a></p></li>\r\n<li><p>Wikipedia entry for pip<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Pip_(package_manager)\" class=\"uri\">https://en.wikipedia.org/wiki/Pip_(package_manager)</a></p></li>\r\n</ul>\r\n<p>You can get a list of your installed python modules by first going to the python interpreter by typing <code>python</code> at the command prompt and issuing the following command</p>\r\n<pre><code>&gt;&gt;&gt; help(&#39;modules&#39;)</code></pre>\r\n<p>You can list your python search path by first going to the interpreter by typing <code>python</code> at the command prompt and issuing the following commands, the search path is the list of system directories that python will search to run things like commands and modules</p>\r\n<pre><code>&gt;&gt;&gt; import sys\r\n&gt;&gt;&gt; sys.path</code></pre>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.blinkstick.com/\" class=\"uri\">https://www.blinkstick.com/</a></li>\r\n<li><a href=\"https://www.blinkstick.com/products/blinkstick-nano\" class=\"uri\">https://www.blinkstick.com/products/blinkstick-nano</a></li>\r\n<li><a href=\"https://www.blinkstick.com/help/raspberry-pi-integration\" class=\"uri\">https://www.blinkstick.com/help/raspberry-pi-integration</a></li>\r\n<li><a href=\"https://docs.python.org/3.6/installing/index.html\" class=\"uri\">https://docs.python.org/3.6/installing/index.html</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Pip_(package_manager)\" class=\"uri\">https://en.wikipedia.org/wiki/Pip_(package_manager)</a></li>\r\n</ul>\r\n',201,0,0,'CC-BY-SA','Hardware, Electronics, Programming, Raspberry pi, python, open source, BlinkStick',0,0,1),
(2090,'2016-08-05','A Docker Dialog',1972,'Thaj and Lyle (x1101) have a discussion about Docker and its use.','<!-- Processed by make_markdown V0.0.4 -->\r\n<p>Thaj and Lyle (x1101) have a discussion about Docker and its use.</p>\r\n<ul>\r\n<li>Docker Hub: <a href=\"https://hub.docker.com/\" class=\"uri\">https://hub.docker.com/</a></li>\r\n<li>Docker Compose: <a href=\"https://docs.docker.com/compose/\" class=\"uri\">https://docs.docker.com/compose/</a></li>\r\n<li>Urandom: <a href=\"https://urandom-podcast.info\" class=\"uri\">https://urandom-podcast.info</a></li>\r\n</ul>\r\n',270,0,1,'CC-BY-SA','Docker, Self-hosting',0,0,1),
(2105,'2016-08-26','24 - SSL Certificates - Problems',2189,'A discussion of the problems with SSL certificates, and some solutions','<!-- Processed by make_markdown V0.0.4 -->\r\n<p>I had the opportunity to present a talk on SSL Certificates at our local LUG, the Washtenaw Linux Users Group, which uses some material from a previous HPR episode, but may be of interest to our listeners nonetheless. Because this was a lengthy presentation I have divided it into sections. This is the second section which will explore some of the problems that we have with SSL Certificates, and how we might address those problems. The first section contains our description of how SSL Certificates work.</p>\r\n<p>For more go to <a href=\"https://www.zwilnik.com/?page_id=686\" class=\"uri\">https://www.zwilnik.com/?page_id=686</a></p>\r\n<h3 id=\"links\">Links:</h3>\r\n<ul>\r\n<li><a href=\"https://www.washlug.org/\" class=\"uri\">https://www.washlug.org/</a></li>\r\n<li><a href=\"https://www.mozilla.org/en-US/about/governance/policies/security-group/certs/included/\" class=\"uri\">https://www.mozilla.org/en-US/about/governance/policies/security-group/certs/included/</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/DigiNotar\" class=\"uri\">https://en.wikipedia.org/wiki/DigiNotar</a></li>\r\n<li><a href=\"https://www.zdnet.com/article/microsoft-warns-of-fake-google-and-yahoo-domains/\" class=\"uri\">https://www.zdnet.com/article/microsoft-warns-of-fake-google-and-yahoo-domains/</a></li>\r\n<li><a href=\"https://nakedsecurity.sophos.com/2013/12/09/serious-security-google-finds-fake-but-trusted-ssl-certificates-for-its-domains-made-in-france/\" class=\"uri\">https://nakedsecurity.sophos.com/2013/12/09/serious-security-google-finds-fake-but-trusted-ssl-certificates-for-its-domains-made-in-france/</a></li>\r\n<li><a href=\"https://www.eff.org/deeplinks/2011/09/post-mortem-iranian-diginotar-attack\" class=\"uri\">https://www.eff.org/deeplinks/2011/09/post-mortem-iranian-diginotar-attack</a></li>\r\n<li><a href=\"https://addons.mozilla.org/en-US/firefox/addon/certificate-patrol/\" class=\"uri\">https://addons.mozilla.org/en-US/firefox/addon/certificate-patrol/</a></li>\r\n<li><a href=\"https://www.eff.org/deeplinks/2011/09/post-mortem-iranian-diginotar-attack\" class=\"uri\">https://www.eff.org/deeplinks/2011/09/post-mortem-iranian-diginotar-attack</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Transport_Layer_Security\" class=\"uri\">https://en.wikipedia.org/wiki/Transport_Layer_Security</a></li>\r\n<li><a href=\"https://www.zwilnik.com/?page_id=686\" class=\"uri\">https://www.zwilnik.com/?page_id=686</a></li>\r\n</ul>\r\n',198,74,0,'CC-BY-SA','SSL, Certificates, encryption',0,0,1),
(2091,'2016-08-08','Everyday Unix/Linux Tools for data processing',1815,'In this episode, I give some examples of common and uncommon tools for processing data files','<blockquote>\r\n<p>Here are some of the tools I use to process and clean data from all manner of customers:</p>\r\n</blockquote>\r\n<p><a href=\"https://linux.die.net/man/1/detox\">detox</a></p>\r\n<p>The <strong>detox</strong> utility renames files to make them easier to work with. It removes spaces and other such annoyances. It’ll also translate or cleanup Latin-1 (ISO 8859-1) characters encoded in 8-bit ASCII, Unicode characters encoded in UTF-8, and CGI escaped characters.</p>\r\n<p>See other episodes for great sed information. I like to remove DOS end of line and end of file characters:</p>\r\n<!-- <p><code>sed -i \'s/ //g\' *.txt</code> or <code>sed -i \'s/\\r//g\' *.txt</code></p> -->\r\n<pre><code>sed -i &#39;s/\r\n//g&#39; *.txt</code></pre>\r\n<p>or</p>\r\n<pre><code>sed -i &#39;s/\\r//g&#39; *.txt</code></pre>\r\n<h2 id=\"command-line-tools\">Command-line tools</h2>\r\n<ul>\r\n<li>ack</li>\r\n<li>awk</li>\r\n<li>detox</li>\r\n<li>grep</li>\r\n<li>pandoc</li>\r\n<li>pdftotext -layout</li>\r\n<li>sed</li>\r\n<li>unix2dos and dos2unix</li>\r\n<li>wget</li>\r\n<li>curl</li>\r\n</ul>\r\n<h2 id=\"r-libraries\">R libraries</h2>\r\n<ul>\r\n<li>RCurl</li>\r\n<li>XML</li>\r\n<li>rvest</li>\r\n<li>tm</li>\r\n<li>xlsx</li>\r\n</ul>\r\n<h2 id=\"python-libraries\">Python libraries</h2>\r\n<ul>\r\n<li>beautifulsoup</li>\r\n<li>csv</li>\r\n<li>nltk <a href=\"https://www.youtube.com/playlist?list=PLQVvvaa0QuDf2JswnfiGkliBInZnIC4HL\">YouTube Series</a></li>\r\n<li>rdflib</li>\r\n<li>re</li>\r\n</ul>\r\n<h2 id=\"vim-tricks\">Vim tricks</h2>\r\n<ul>\r\n<li>buffer searches (<code>:vim /pattern/ ##</code>)</li>\r\n<li>Ack plugin</li>\r\n<li>bufdo (<code>:bufdo %s/pattern/replace/ge | update</code>)</li>\r\n</ul>\r\n<h2 id=\"other-tools\">Other tools</h2>\r\n<ul>\r\n<li><a href=\"https://openrefine.org\">OpenRefine</a></li>\r\n<li><a href=\"https://okfnlabs.org/reconcile-csv/\">reconcile-csv</a></li>\r\n<li><a href=\"https://tabula.technology/\">tabula</a></li>\r\n</ul>\r\n',300,0,0,'CC-BY-SA','linux,unix,data,command-line',0,0,1),
(2096,'2016-08-15','Useful Bash functions - part 2',1401,'The further development of a Bash function that may be of use in your scripts','<h1 id=\"useful-bash-functions---part-2\">Useful Bash functions - part 2</h1>\r\n<h2 id=\"overview\">Overview</h2>\r\n<p>This is the second show about Bash functions. In this one I revisit the <code>yes_no</code> function from the last episode and deal with some of the deficiencies of that version.</p>\r\n<p>As before it would be interesting to receive feedback on these versions of the function and would be great if other Bash users contributed ideas of their own.</p>\r\n<h2 id=\"full-notes\">Full Notes</h2>\r\n<p>Since the notes explaining this subject are long, they have been placed <a href=\"https://hackerpublicradio.org/eps/hpr2096/full_shownotes.html\">here</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Previous HPR episode in this group <em>Useful Bash functions</em>: <a href=\"https://hackerpublicradio.org/eps.php?id=1757\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1757</a></li>\r\n</ul>\r\n',225,42,1,'CC-BY-SA','coding,Bash,script,function',0,0,1),
(2186,'2016-12-19','Baking Yule Bread',1075,'\'Tis the season and Inscius is baking Yule bread, Swedish style.','<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Yule\">Yule</a></li>\r\n<li><a href=\"https://www.virtuousbread.com/bread-and-conversation/what-is-scalded-flour-and-why-use-scalded-flour/\">Scalded</a> whole rye flour.</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Bitter_orange\">Dried bitter orange</a> - 2 pieces, i.e. about half of the peel from one bitter orange.</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Porter_(beer)\">Porter</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Wort\">Wort</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Treacle\">Syrup/Treacle</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Clove\">Cloves</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Elettaria_cardamomum\">Cardamom</a></li>\r\n<li>Raisins</li>\r\n<li>Salt</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Ginger\">Ginger</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Baker&#39;s_yeast\">Yeast</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Spelt\">Dinkel/Spelt</a></li>\r\n<li>Cinnamon powder</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Sheet_pan\">Baking trays</a> and <a href=\"https://en.wikipedia.org/wiki/Bread_pan\">bread pans</a>.</li>\r\n</ul>\r\n<p>Dough after rising one hour:</p>\r\n<p><img src=\"https://inscius.se/wp-content/uploads/2016/12/yulebreaddough.jpg\" alt=\"Bread dough\" /></p>\r\n<p>Loaves after rising:</p>\r\n<p><img src=\"https://inscius.se/wp-content/uploads/2016/12/yuleloaves.jpg\" alt=\"Three loaves on tray before baking\" /></p>\r\n<p>Finished bread (photo from another occasion):</p>\r\n<p><img src=\"https://inscius.se/wp-content/uploads/yulebread-300x168.jpg\" title=\"Swedish Yule bread\" alt=\"Loaves of Yule Bread\" /></p>\r\n<p>Recording device: Zoom H2n</p>\r\n',283,93,1,'CC-BY-SA','Christmas,cooking',0,0,1),
(2093,'2016-08-10','GNU Health',1202,'I talk to my friend Tom and his collaborator Euan who are working on a project using GNU Health','<h1 id=\"gnu-health\">GNU Health</h1>\r\n<p>This is an interview with Dr Tom Kane and his student Euan Livingstone in Tom’s office at Edinburgh Napier University (ENU) on 2016-07-06.</p>\r\n<p>Tom and Euan are investigating ways of running <a href=\"https://health.gnu.org/\" title=\"GNU Health\">GNU Health</a> for evaluation and demonstration purposes, using multiple Raspberry Pi systems and an Intel NUC. In particular they want to evaluate the conformity of interoperability (<a href=\"https://en.wikipedia.org/wiki/Fast_Healthcare_Interoperability_Resources\" title=\"FHIR\">FHIR</a>) standards, and are trying to build a reference implementation for decision makers who are procuring a Health and Hospital Information System.</p>\r\n<p>In the interview Tom used some terminology that I have provided links for here and at the end:</p>\r\n<ul>\r\n<li><em>LIMS</em>: <a href=\"https://en.wikipedia.org/wiki/Laboratory_information_management_system\" title=\"LIMS\">Laboratory Information Management System</a></li>\r\n<li><em>PACS</em>: <a href=\"https://en.wikipedia.org/wiki/Picture_archiving_and_communication_system\" title=\"PACS\">Picture Archiving and Communication System</a></li>\r\n<li><em>FHIR</em>: <a href=\"https://en.wikipedia.org/wiki/Fast_Healthcare_Interoperability_Resources\" title=\"FHIR\">Fast Healthcare Interoperability Resources</a></li>\r\n</ul>\r\n<p>I had forgotten where I’d seen Luis Falcón, originator of GNU Health, being interviewed. It was on <a href=\"https://twit.tv/shows/floss-weekly/episodes/288\" title=\"FLOSS Weekly\">FLOSS Weekly</a>, as linked below.</p>\r\n<p>The complete notes for this episode, with pictures of the equipment, are <a href=\"https://hackerpublicradio.org/eps/hpr2093/full_shownotes.html\">here</a>.</p>\r\n<p>Thanks to Tom and Euan for taking the time to talk to me.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><em>GNU Health</em> website: <a href=\"https://health.gnu.org/\" class=\"uri\">https://health.gnu.org/</a></li>\r\n<li><em>GNU Health</em> Wikipedia page: <a href=\"https://en.wikipedia.org/wiki/GNU_Health\" class=\"uri\">https://en.wikipedia.org/wiki/GNU_Health</a></li>\r\n<li><em>Tryton</em> application platform: <a href=\"https://www.tryton.org/\" class=\"uri\">https://www.tryton.org/</a></li>\r\n<li>Luis Falcón, MD:\r\n<ul>\r\n<li>On Twitter (<span class=\"citation\" data-cites=\"meanmicio\">@meanmicio</span>): <a href=\"https://twitter.com/meanmicio\" class=\"uri\">https://twitter.com/meanmicio</a></li>\r\n<li>On the web: <a href=\"https://www.meanmicio.org/\" class=\"uri\">https://www.meanmicio.org/</a></li>\r\n</ul></li>\r\n<li>Wikipedia page for <em>SAP SE</em>: <a href=\"https://en.wikipedia.org/wiki/SAP_SE\" class=\"uri\">https://en.wikipedia.org/wiki/SAP_SE</a></li>\r\n<li><em>LIMS</em> (Laboratory Information Management System):\r\n<ul>\r\n<li>Wikipedia page : <a href=\"https://en.wikipedia.org/wiki/Laboratory_information_management_system\" class=\"uri\">https://en.wikipedia.org/wiki/Laboratory_information_management_system</a></li>\r\n<li><em>BIKA</em> LIMS: <a href=\"https://www.bikalabs.org/\" class=\"uri\">https://www.bikalabs.org/</a></li>\r\n</ul></li>\r\n<li><em>PACS</em> (Picture Archiving and Communication System):\r\n<ul>\r\n<li>Wikipedia page: <a href=\"https://en.wikipedia.org/wiki/Picture_archiving_and_communication_system\" class=\"uri\">https://en.wikipedia.org/wiki/Picture_archiving_and_communication_system</a></li>\r\n<li><em>DICOM</em> (Digital Imaging and Communications in Medicine):\r\n<ul>\r\n<li>Wikipedia page: <a href=\"https://en.wikipedia.org/wiki/DICOM\" class=\"uri\">https://en.wikipedia.org/wiki/DICOM</a></li>\r\n<li><em>Orthanc</em> DICOM server: <a href=\"https://www.orthanc-server.com/\" class=\"uri\">https://www.orthanc-server.com/</a></li>\r\n</ul></li>\r\n</ul></li>\r\n<li>Wikipedia page on <em>Fast Healthcare Interoperability Resources</em>: <a href=\"https://en.wikipedia.org/wiki/Fast_Healthcare_Interoperability_Resources\" class=\"uri\">https://en.wikipedia.org/wiki/Fast_Healthcare_Interoperability_Resources</a></li>\r\n<li>FLOSS WEEKLY episode 288 “<em>GNU Health</em>”: <a href=\"https://twit.tv/shows/floss-weekly/episodes/288\" class=\"uri\">https://twit.tv/shows/floss-weekly/episodes/288</a></li>\r\n<li>Jamaica Ministry of Health:\r\n<ul>\r\n<li>From opensource.com “<em>Jamaica adopts GNU Health</em>”: <a href=\"https://opensource.com/health/13/11/jamaica-adopts-gnu-health\" class=\"uri\">https://opensource.com/health/13/11/jamaica-adopts-gnu-health</a></li>\r\n<li>Ministry of Health Jamaica, Health Informatics: <a href=\"https://moh.gov.jm/divisions-agencies/divisions/technical-services-division/health-informatics/\" class=\"uri\">https://moh.gov.jm/divisions-agencies/divisions/technical-services-division/health-informatics/</a></li>\r\n</ul></li>\r\n<li>Nelson Mandela Children’s Hospital:\r\n<ul>\r\n<li>Website: <a href=\"https://www.nelsonmandelachildrenshospital.org/\" class=\"uri\">https://www.nelsonmandelachildrenshospital.org/</a></li>\r\n<li>Bongi Mkhabela, CEO NMCH Trust: <a href=\"https://whoswho.co.za/sibongile-mkhabela-1939\" class=\"uri\">https://whoswho.co.za/sibongile-mkhabela-1939</a></li>\r\n</ul></li>\r\n<li>Wikipedia page on the <em>Intel NUC</em> (Next Unit of Computing): <a href=\"https://en.wikipedia.org/wiki/Next_Unit_of_Computing\" class=\"uri\">https://en.wikipedia.org/wiki/Next_Unit_of_Computing</a></li>\r\n<li>Dr Tom Kane, Edinburgh Napier University: <a href=\"https://www.iidi.napier.ac.uk/c/people/peopleid/13383286\" class=\"uri\">https://www.iidi.napier.ac.uk/c/people/peopleid/13383286</a></li>\r\n<li>Euan Livingstone (<span class=\"citation\" data-cites=\"euanlivingstone\">@euanlivingstone</span>): <a href=\"https://twitter.com/euanlivingstone\" class=\"uri\">https://twitter.com/euanlivingstone</a></li>\r\n</ul>',225,78,1,'CC-BY-SA','Interview,Linux,hospital,Hospital Information System,GNU Health,Raspberry Pi,NUC,LIMS,PACS,FHIR',0,0,1),
(2094,'2016-08-11','Custom Keystrokes for Desktop Navigation on Gnome',844,'I demonstrate how to add custom keystrokes for desktop navigation on classic gnome','\r\n<p>In this episode I talk about how to set up custom keystrokes so that you can launch or switch to applications easily using the <code>super</code> key on your keyboard. I do this on the classic Gnome desktop environment and have not tested it on Gnome 3 or Unity to see whether it works on those.</p>\r\n\r\n<p>To create a new custom keystroke, open <code>System Settings</code>, then go to <code>Keyboard</code> and <code>Shortcuts</code>. Click on the plus sign to open the dialog box where you specify the name of the keystroke and the command that is to be launched when the keystroke is executed. Click \"Apply\" and then click \"Disabled\" and it will allow you to type the keystroke you want to use.</p>\r\n\r\n<p>At this point the keystroke configuration is ready, but you have to either log out of the current session and log back in, or find some other way to reload the desktop environment configuration before you can actually use the keystroke.</p>\r\n\r\n<p>I also talked about how I use my own scripts to check to see whether a program is running, and then either switch to that program if it\'s running or launch it if it\'s not. Here is an example for launching or switching to LibreOffice.</p>\r\n\r\n<pre>#!/bin/bash\r\n\r\n# Look for the string &quot;LibreOffice&quot; on the list of \r\n# window titles and check the return code\r\n\r\nchecktitle=$(wmctrl -l | grep &quot;LibreOffice&quot; &amp;&gt; /dev/null ; echo $?)\r\n\r\n# If the return code is 0 that means it found the \r\n# string, so I use wmctrl to switch to the window \r\n# that has that string in the title. \r\n\r\nif [ $checktitle == 0 ] ; then\r\n    wmctrl -a &quot;LibreOffice&quot;\r\n    \r\n# If it returns a 1, then that means it did not \r\n# find a window with that string in it so I \r\n# launch the application.\r\n    \r\n  else\r\n    loffice &amp;\r\nfi\r\n</pre>\r\n\r\n<p>Save the script somewhere in your PATH, make it executable, and then use the script name in the command when you\'re setting up the keystroke.</p>\r\n',238,79,0,'CC-BY-SA','Scripting, Linux, Desktop Environments, Accessibility',0,0,1),
(2098,'2016-08-17','Minimal Music Site?',768,'Matt King discussing the availability of an open source multimedia focused website.','<p>Project available <a href=\"https://sourceforge.net/p/minimal-music-site\" class=\"uri\">https://sourceforge.net/p/minimal-music-site</a></p>\r\n<p><em>\r\nA very small responsive website for uploading content. Originally designed primarily for musicians needing an easy interface to share content. Upload files in the admin pages. Automatically saves files in directories and lists content on main pages by date. I\'m sure there are many improvements that could be made.</em>\r\n</p>',340,0,1,'CC-BY-SA','music,sourceforge,PHP,CSS3,mandrake,ardour',0,0,1),
(2099,'2016-08-18','Dat Muzak Showz',2312,'Lyle (x1101) and Thaj talk about making music on Linux','<!-- Processed by make_markdown V0.0.4 -->\r\n<p>Note, starting any of while doing anything else with audio is probably a poor choice. At least in Linux. Because Linux audio is still slightly Lovecraftian.</p>\r\n<p>Tools Thaj suggested:</p>\r\n<ul>\r\n<li>LMMS,</li>\r\n<li>Ardour,</li>\r\n<li>Qtractor,</li>\r\n<li>Fluidsynth,</li>\r\n<li>Hydrogen,</li>\r\n<li>Luppp,</li>\r\n<li>Guitarix,</li>\r\n<li>Rackarack</li>\r\n</ul>\r\n<p><a href=\"https://www.youtube.com/watch?v=MPmkd0fgiLU\" class=\"uri\">https://www.youtube.com/watch?v=MPmkd0fgiLU</a></p>\r\n',276,0,1,'CC-BY-SA','Linux, Audio',0,0,1),
(2102,'2016-08-23','AngularJS\'s ng-repeat, and the browser that shall not be named',636,'A method for optimizing the rendering of items when using AngularJS\'s ng-repeat directive.','<h1 id=\"introduction\">Introduction</h1>\r\n<p>At my work, we are in the process of revamping our internal call logging system. Moving from .NET and Microsoft’s ASPX pages for both the client side and back end processing, to an HTML5 based Single Page Application (SPA) using AngularJS for the client side interface with a .NET WebAPI service for the back end processing. The main page for both versions contains a list of the current days calls laid out in a table with 9 columns. Users are able to switch to a specific day’s calls by selecting a date via a calendar widget, or by moving one day at a time via previous and next day buttons. By the end of a typical day, the page will contain between 40 and 50 calls.</p>\r\n<p>During recent testing of the SPA client on the proprietary browser we all love to hate, or at least have a love/hate relationship with if you have to support it, I noticed that rendering of a whole days worth of calls would take seconds, freezing the UI completely. This made changing dates painful. As we reload the data any time you re-enter that page (a manual way to poll for new data until we implement either timer based polling or a push service through websockets), the page was almost unusable. The page rendered fine in both Mozilla and webkit based javascript JIT engines, but Microsoft’s engine would choke on it.</p>\r\n<p>After a bit of searching on “AngularJS slow rendering” and “AngularJS optimize”, I found many references about using Angular’s ng-repeat directive when rendering long lists of data (see references below for the main pages I read). I tried a couple of the methods mentioned to optimize the ng-repeat directive. I used the “track by” feature of ng-repeat to use the call’s id as the internal id of the row, so ng-repeat didn’t have to generate a hashed id for each row. I implemented Angular’s one-time binding feature to reduce the number of watches being created (reducing the test day’s number of watches from 1120 to 596), but even these two combined optimizations didn’t have enough effect to render the page in an acceptable amount of time. The next optimization I played with was using ng-repeat with the limitTo filter. This limits the number of items rendered in the list that ng-repeat is looping through. This is particularly useful combined with paging of the data. I set the limitTo option to different values to see how it affected the rendering time. I found that rendering 5 rows was fast and consistent for every day’s worth of data I viewed. From my reading, I knew if I updated the limitTo amount while keeping the array of items the same, ng-repeat would only render any un-rendered items, and not redo the whole limited list.</p>\r\n<h1 id=\"the-code\">The Code</h1>\r\n<pre><code>&lt;tr ng-repeat=&quot;c in results | limitTo:displayRenderSize&quot;&gt;</code></pre>\r\n<p>Inside your directive, set an angular.$watch on the list of items to be rendered by ng-repeat. In this example the list is stored in the variable results.</p>\r\n<pre><code>return {\r\n        scope: {\r\n            results: &quot;=&quot;,\r\n    },\r\n        link: function (scope, element, attrs) {\r\n            scope.renderSizeIncrement = 5;\r\n            scope.displayRenderSize = scope.renderSizeIncrement;\r\n\r\n            scope.$watch(&#39;results&#39;, function () {\r\n                if (scope.results) {\r\n                    scope.displayRenderSize = scope.renderSizeIncrement;\r\n                    scope.updateDisplayRenderSize();\r\n                }\r\n            });\r\n            scope.updateDisplayRenderSize = function () {\r\n                if (scope.displayRenderSize &lt; scope.results.length) {\r\n                    scope.displayRenderSize += scope.renderSizeIncrement;\r\n                    $timeout(scope.updateDisplayRenderSize, 0);\r\n                }\r\n            }\r\n        }\r\n    }\r\n}</code></pre>\r\n<p>Any time the results are updated. The displayRenderSize variable is reset to render the default number of items, and the updateDisplayRenderSize function is called. This function calls itself repeatedly via angular’s $timeout service ($timeout is a wrapper for javascript’s setTimeout function). It increments the displayRenderSize variable which is being watched by the limitTo filter of the main ng-repeat. Each time the displayRenderSize variable is incremented, the ng-repeat renders the next set of items. This is repeated until all the items in the list are rendered.</p>\r\n<p>The magic happens because ng-repeat blocks any other javascript, which does not effect angular’s digest path, until it is finished rendering. By calling the updateDisplayRenderSize with a timeout, the function doesn’t get called again until after the next set of items is rendered. Making the $timeout delay 0, sets the function to be called as soon as possible after the ng-repeat digest cycle stops blocking. In this instance, the sum of the rendering time for parts of the list is shorter than the sum of the rendering time for all of the list at one time.</p>\r\n<h1 id=\"conclusion\">Conclusion</h1>\r\n<p>There are a couple small glitches with this solution. Scrolling can be a bit jerky as the chunk sized renders cause a series of micro UI freezes, instead of one big long one. Also, if you don’t have a fixed or 100% percent wide table layout, and you don’t have fixed column sizes, the table layout will dance a little on the screen until the columns have been filled with their largest amounts of data. This is the result of the table layout being re-calculated as more data fills it. That being said, overall, this solution works great. It moved the pause from seconds to under half a second or less—making the page go from unbearable to usable on Microsoft’s latest browser offerings.</p>\r\n<h1 id=\"references\">References</h1>\r\n<p>[1] AngularJS Performance Tuning for Long Lists; Small Improvements; Tech blog; blog; viewed: 2016-08-09</p>\r\n<p>[2] Optimizing ng-repeat in AngularJS; Fundoo Solutions; blog; viewed: 2016-08-09</p>\r\n<p>[3] AngularJS: My solution to the ng-repeat performance problem; thierry nicola; blog; published: July 24, 2013; viewed: 2016-0809</p>\r\n',293,0,0,'CC-BY-SA','angularjs, ng-repeat, optimization, SPA',0,0,1),
(2101,'2016-08-22','What\'s on my podcatcher',597,'Some of the podcasts I listen to','<p>A short show about the podcasts I like to listen to.</p>\r\n\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/hpr_rss.php\">HPR</a></li>\r\n<li><a href=\"https://goinglinux.com/oggpodcast.xml\">Going Linux</a></li>\r\n<li><a href=\"https://www.linuxvoice.com/podcast_ogg.rss\">Linux Voice</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/computeractionshowvideo\">Linux Action Show</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/linuxunogg\">Linux Unplugged</a></li>\r\n<li><a href=\"https://mintcast.org/category/ogg/feed\">Mint Cast</a></li>\r\n<li><a href=\"https://smlr.us/?feed=smlr-ogg\">The Sunday Morning Linux Review</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/thepipodcast\">The Pi Podcast</a></li>\r\n<li><a href=\"https://feed.ubuntupodcast.org/ogg\">Ubuntu Podcast</a></li>\r\n<li><a href=\"https://www.bbc.co.uk/programmes/b01klvhq/episodes/downloads.rss\">BBC - The Kitchen Cabinet</a></li>\r\n<li><a href=\"https://downloads.bbc.co.uk/podcasts/radio4/timc/rss.xml\">BBC - The Infinite Monkey Cage</a></li>\r\n<li><a href=\"https://downloads.bbc.co.uk/podcasts/radio4/tls/rss.xml\">BBC - The Life Scientific</a></li>\r\n<li><a href=\"https://www.bbc.co.uk/programmes/b006qk11/episodes/downloads.rss\">BBC - The Moral Maze</a></li>\r\n<li><a href=\"https://downloads.bbc.co.uk/podcasts/radio4/iot/rss.xml\">BBC - In Our Time</a></li>\r\n</ul>',338,75,1,'CC-BY-SA','podcast,podcatcher',0,0,1),
(2103,'2016-08-24','DIY Book Binding',636,'With no shows in the queue, Ken rushes in a show on his latest hacks','<p>\r\nI love books, dislike technology when reading about technology, so what to do when the only available option is a pdf or ebook format ?\r\n</p>\r\n<p>\r\nWith a <a href=\"https://hackerpublicradio.org/eps.php?id=1480\" target=\"_blank\">hpr1480 :: Continuous Ink Supply System</a> and 500 pages of A4 paper costing just €3, the option to print out books at home is not only possible but down right affordable. Even more so when when printing booklet format of 4 pages per physical sheet of paper.\r\n</p>\r\n<p>\r\nSmall books of around 100 pages/25 sheets and a long arm stapler works fine, of larger sizes you can get a <a href=\"https://en.wikipedia.org/wiki/Comb_binding\" target=\"_blank\">Comb binding machine</a> but I dislike the sound and feel of these solutions\r\n</p>\r\n<p>\r\nMy solution, a Jig Saw, some wood clamps, PVC Plumbers Glue, and some drywall/plaster board <a href=\"https://www.alabastine.nl/wp-content/uploads/2011/01/Bouwscheurentape.pdf\" target=\"_blank\">tape (pdf)</a>\r\n</p>\r\n<p>\r\n<img src=https://hackerpublicradio.org/eps/hpr2103_1.jpg alt=\"Clamping the book and cut in half with a Jig Saw\" /><br />\r\nClamping the book and cut in half with a Jig Saw.\r\n</p>\r\n\r\n<p>\r\n<img src=https://hackerpublicradio.org/eps/hpr2103_2.jpg alt=\"Clamp both halves together, aligning them together on their uncut edge, and trim the cut edges to give a clean cut\" /><br />\r\nClamp both halves together, aligning them together on their uncut edge, and trim the cut edges to give a clean cut.\r\n</p>\r\n\r\n<p>\r\n<img src=https://hackerpublicradio.org/eps/hpr2103_3.jpg alt=\"Builders supply stores and DIY shops carry the tape and glue\" /><br />\r\nBuilders supply stores and DIY shops carry the tape and glue.\r\n</p>\r\n\r\n<p>\r\n<img src=https://hackerpublicradio.org/eps/hpr2103_4.jpg alt=\"Glue and tape repeatedly and allow to dry\" /><br />\r\nNow apply a liberal amount of glue to the cut edge, apply the tape and let it dry for 30 minutes. Then apply another layer of glue and fold down the excess tape. Apply at least two more applications of glue.\r\n</p>\r\n',30,0,1,'CC-BY-SA','book binding,comb binding,jig saw,wood clamp',0,0,1),
(2107,'2016-08-30','Makefiles for Everyday Use',1392,'I talk about how I use Makefiles in my Lilypond and HTML projects','<p>In this episode I talk about how I use Makefiles to ease the process of building complicated projects in <a href=\"https://lilypond.org/\">Lilypond</a> and HTML. You can use Makefiles to run any kinds of commands you want. It does not have to be building actual computer programs. In my case I use them to build musical scores and web pages. Keep in mind I\'m not an expert on this, and I\'m hoping I will make enough mistakes that it will prompt a series of follow-up episodes by people who actually know what they\'re talking about.</p>\r\n\r\n<p>Here\'s an example. This is the Makefile for my Counterpoint workbook <a href=\"https://jonathankulp.org/gratis.html\"><em>Gratis ad Parnassum</em></a>, which I wrote in 2009. Written in a combination of <a href=\"https://www.latex-project.org/\"><span style=\"font-family: \'CMU Serif\', cmr10, LMRoman10-Regular, \'Nimbus Roman No9 L\', \'Times New Roman\', Times, serif;\">L<span style=\"text-transform: uppercase; font-size: 70%; margin-left: -0.36em; vertical-align: 0.3em; line-height: 0; margin-right: -0.15em;\">a</span>T<span style=\"text-transform: uppercase; margin-left: -0.1667em; vertical-align: -0.5ex; line-height: 0; margin-right: -0.125em;\">e</span>X</span></a>\r\n and Lilypond, this requires very complicated and long commands to build the workbook, and I found that the only way to do this project in a sane manner was to create a Makefile that would keep track of changes in the files and only rebuild when necessary. It also meant that the only commands I would have to type were very simple, because the long command line options were all stored in the Makefile.</p>\r\n\r\n<pre>SHELL=/bin/bash<br/>FILE=workbook_main<br/>OUTDIR=out<br/>WEBDIR=htmlout<br/>VIEWER=evince<br/>BROWSER=firefox<br/>LILYBOOK_PDF=lilypond-book&nbsp;--output=$(OUTDIR)&nbsp;--pdf&nbsp;$(FILE).lytex<br/>LILYBOOK_HTML=lilypond-book&nbsp;--output=$(WEBDIR)&nbsp;$(FILE).lytex<br/>PDF=cd&nbsp;$(OUTDIR)&nbsp;&amp;&amp;&nbsp;pdflatex&nbsp;$(FILE)<br/>HTML=cd&nbsp;$(WEBDIR)&nbsp;&amp;&amp;&nbsp;latex2html&nbsp;$(FILE)<br/>INDEX=cd&nbsp;$(OUTDIR)&nbsp;&amp;&amp;&nbsp;makeindex&nbsp;$(FILE)<br/>PREVIEW=$(VIEWER)&nbsp;$(OUTDIR)/$(FILE).pdf&nbsp;&gt;&amp;&nbsp;/dev/null<br/><br/>all:&nbsp;pdf&nbsp;web<br/><br/>pdf:<br/>	$(LILYBOOK_PDF)<br/>	$(PDF)<br/>	$(INDEX)<br/>	$(PDF)<br/>	$(PREVIEW)<br/><br/>web:<br/>	$(LILYBOOK_HTML)<br/>	$(HTML)<br/>	cp&nbsp;-R&nbsp;$(WEBDIR)/$(FILE)/&nbsp;./<br/>	sleep&nbsp;1<br/>	sh&nbsp;html-sed-fixes.sh<br/>	$(BROWSER)&nbsp;$(FILE)/index.html&nbsp;&amp;<br/><br/>keep:&nbsp;pdf<br/>	cp&nbsp;$(OUTDIR)/$(FILE).pdf&nbsp;gratis.pdf<br/>	pdftk&nbsp;gratis.pdf&nbsp;update_info&nbsp;gratis.info&nbsp;output&nbsp;GratisAdParnassum.pdf<br/><br/>clean:<br/>	rm&nbsp;-rf&nbsp;$(OUTDIR)<br/><br/>web-clean:<br/>	rm&nbsp;-rf&nbsp;$(WEBDIR)<br/><br/>archive:<br/>	tar&nbsp;-cvvf&nbsp;free-counterpoint.tar&nbsp;\\<br/>	--exclude=out/*&nbsp;\\<br/>	--exclude=*.tar&nbsp;\\<br/>	--exclude=*.zip&nbsp;\\<br/>	--exclude=htmlout/*&nbsp;\\<br/>	--exclude=workbook_main/*&nbsp;\\<br/>	--exclude=*midi&nbsp;\\<br/>	--exclude=*pdf&nbsp;\\<br/>	--exclude=*~&nbsp;\\<br/>	../FreeCounterpoint/*<br/>	tar&nbsp;-xvvf&nbsp;free-counterpoint.tar<br/>	zip&nbsp;-r&nbsp;free-counterpoint.zip&nbsp;FreeCounterpoint<br/>	rm&nbsp;-R&nbsp;FreeCounterpoint<br/></pre>\r\n\r\n<p>And here is the Makefile for my song collection called <a href=\"https://jonathankulp.org/lorca.html\"><em>Canciones para niños</em></a>, using Lilypond source files.</p>\r\n\r\n<pre>SHELL=/bin/bash<br/>piece&nbsp;=&nbsp;lorca<br/>#CPU_CORES=`cat&nbsp;/proc/cpuinfo&nbsp;|&nbsp;grep&nbsp;-m1&nbsp;&quot;cpu&nbsp;cores&quot;&nbsp;|&nbsp;sed&nbsp;s/&quot;.*:&nbsp;&quot;//`<br/>LILY_CMD&nbsp;=&nbsp;lilypond&nbsp;-ddelete-intermediate-files&nbsp;\\<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-dno-point-and-click&nbsp;#-djob-count=$(CPU_CORES)<br/><br/>notes&nbsp;=&nbsp;\\<br/>cancioncilla.ily&nbsp;\\<br/>cantada.ily&nbsp;\\<br/>caracola.ily&nbsp;\\<br/>china.ily&nbsp;\\<br/>lagarto.ily&nbsp;\\<br/>nana.ily&nbsp;\\<br/>paisaje.ily&nbsp;\\<br/>remanso.ily<br/><br/>.SUFFIXES:&nbsp;.ly&nbsp;.ily&nbsp;.pdf&nbsp;.midi<br/><br/>#CURDIR&nbsp;=&nbsp;$(shell&nbsp;pwd)<br/>VPATH&nbsp;=&nbsp;$(CURDIR)/Scores&nbsp;$(CURDIR)/PDF&nbsp;$(CURDIR)/Parts&nbsp;$(CURDIR)/Notes<br/><br/>%.ly:&nbsp;%.ily<br/>%.pdf&nbsp;%.midi:&nbsp;&nbsp;%.ly&nbsp;<br/>	$(LILY_CMD)&nbsp;$&lt;<br/>	mv&nbsp;*.pdf&nbsp;PDF/<br/>	mv&nbsp;*.midi&nbsp;MIDI/<br/><br/>$(piece).pdf:&nbsp;$(notes)&nbsp;<br/><br/>cancioncilla.pdf:&nbsp;cancioncilla.ly&nbsp;cancioncilla.ily<br/>cantada.pdf:&nbsp;cantada.ly&nbsp;cantada.ily<br/>caracola.pdf:&nbsp;caracola.ly&nbsp;caracola.ily<br/>china.pdf:&nbsp;china.ly&nbsp;china.ily<br/>lagarto.pdf:&nbsp;lagarto.ly&nbsp;lagarto.ily<br/>nana.pdf:&nbsp;nana.ly&nbsp;nana.ily<br/>paisaje.pdf:&nbsp;paisaje.ly&nbsp;paisaje.ily<br/>remanso.pdf:&nbsp;remanso.ly&nbsp;remanso.ily<br/><br/>.PHONY:&nbsp;score<br/>score:&nbsp;$(piece).pdf<br/><br/>keep:&nbsp;score<br/>	cp&nbsp;$(CURDIR)/PDF/$(piece).pdf&nbsp;$(CURDIR)/CancionesParaNinos.pdf<br/><br/>archive:<br/>	tar&nbsp;-cvvf&nbsp;lorca.tar&nbsp;\\<br/>	--exclude=*.pdf&nbsp;\\<br/>	--exclude=*.midi&nbsp;\\<br/>	--exclude=*~&nbsp;\\<br/>	../Canciones/*<br/>	tar&nbsp;-xvvf&nbsp;lorca.tar<br/>	zip&nbsp;-r&nbsp;lorca.zip&nbsp;Canciones<br/>	rm&nbsp;-R&nbsp;Canciones<br/></pre>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li><a href=\"https://lilypond.org/\">Lilypond</a></li>\r\n	<li><a href=\"https://www.gnu.org/software/make/\">GNU Make</a></li>\r\n	<li><a href=\"https://www.latex-project.org/\"><span style=\"font-family: \'CMU Serif\', cmr10, LMRoman10-Regular, \'Nimbus Roman No9 L\', \'Times New Roman\', Times, serif;\">L<span style=\"text-transform: uppercase; font-size: 70%; margin-left: -0.36em; vertical-align: 0.3em; line-height: 0; margin-right: -0.15em;\">a</span>T<span style=\"text-transform: uppercase; margin-left: -0.1667em; vertical-align: -0.5ex; line-height: 0; margin-right: -0.125em;\">e</span>X</span></a></li>\r\n	<li><a href=\"https://jonathankulp.org/gratis.html\">My Counterpoint projects</a></li>\r\n</ul>\r\n',238,0,0,'CC-BY-SA','Automation, Makefiles, Scripting, Programming',0,0,1),
(2108,'2016-08-31','Changing the Oil on My Wife\'s Car',1941,'Listen and enjoy as I change the oil on my wife\'s Honda CR-V','<p>Since people don’t seem to be adding enough shows, you’re going to be subjected to listening along while I change the oil on the car. This might be fascinating or it might be boring, but in either case I hope it inspires someone else to start uploading more shows. Incidentally, I recorded this whole thing on my phone, I’m doing these show notes on my phone, and am going to upload it from my phone as well, without adding the intro and outro music, showing just how easy it really is (as the saying goes).</p>',238,0,0,'CC-BY-SA','DIY, automotive, car maintenance ',0,0,1),
(2110,'2016-09-02','Overhauling a Bicycle Hub',2715,'Listen and enjoy as I overhaul the rear hub of my 1985 Schwinn. ','<p>I record and talk while overhauling the rear hub of my 1985 Schwinn road bike. I wasn’t able to take pictures because my hands were really greasy, so if this interests you and you want to see how it’s done, search the web or YouTube for instructional materials. This episode was recorded on my phone with the $2 lapel microphone, uploaded straight to the HPR website. Easy!</p>\r\n',238,115,1,'CC-BY-SA','DIY, bicycle maintenance, bike maintenance, bicycles ',0,0,1),
(2109,'2016-09-01','Hacking my inner ear',925,'How I discovered some new things about how my inner ear works and how to stop falling over','<h1 id=\"hacking-my-inner-ear\">Hacking my inner ear</h1>\r\n<p>In April 2015 I suddenly found myself getting dizzy as I bent down – to the extent where I actually fell over at one point. I went to see a doctor but didn’t get a diagnosis.</p>\r\n<p>A medical student I know suggested it might be <a href=\"https://en.wikipedia.org/wiki/Benign_paroxysmal_positional_vertigo\" title=\"Benign Paroxysmal Positional Vertigo\">BPPV - Benign Paroxysmal Positional Vertigo</a>, and with that in mind I researched it and found what turned out to be a cure.</p>\r\n<p>See the full notes for more details: <a href=\"https://hackerpublicradio.org/eps/hpr2109/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2109/full_shownotes.html</a></p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Wikipedia article on BPPV: <a href=\"https://en.wikipedia.org/wiki/Benign_paroxysmal_positional_vertigo\" class=\"uri\">https://en.wikipedia.org/wiki/Benign_paroxysmal_positional_vertigo</a></li>\r\n<li>Wikipedia article on the inner ear: <a href=\"https://en.wikipedia.org/wiki/Inner_ear\" class=\"uri\">https://en.wikipedia.org/wiki/Inner_ear</a>\r\n<ul>\r\n<li>Vestibule: <a href=\"https://en.wikipedia.org/wiki/Vestibule_of_the_ear\" class=\"uri\">https://en.wikipedia.org/wiki/Vestibule_of_the_ear</a></li>\r\n<li>Semicircular canals: <a href=\"https://en.wikipedia.org/wiki/Semicircular_canals\" class=\"uri\">https://en.wikipedia.org/wiki/Semicircular_canals</a></li>\r\n</ul></li>\r\n<li><em>Epley manoeuvre</em>:\r\n<ul>\r\n<li>Wikipedia article on the manoeuvre: <a href=\"https://en.wikipedia.org/wiki/Epley_maneuver\" class=\"uri\">https://en.wikipedia.org/wiki/Epley_maneuver</a></li>\r\n<li>YouTube animation showing the manoeuvre: <a href=\"https://www.youtube.com/watch?v=9SLm76jQg3g\" class=\"uri\">https://www.youtube.com/watch?v=9SLm76jQg3g</a></li>\r\n</ul></li>\r\n</ul>',225,0,1,'CC-BY-SA','BPPV, inner ear, vestibular system',0,0,1),
(2104,'2016-08-25','Basic Audio Production: Reverb',1451,'A very basic description of the reverb effect','<p>Here is the calf reverb plugin, neat and with a nice graphic interface (it contains a few parameters that I don’t cover in the podcast, thought).</p>\r\n<p><a href=\"https://www.audiopluginsforfree.com/calf-reverb/\" class=\"uri\">https://www.audiopluginsforfree.com/calf-reverb/</a></p>\r\n<p>You can probably download it too directly from your Package Manager</p>',323,0,0,'CC-BY-SA','Music, Audio, Audio Production, Sound, Compression, Recording techniques, Reverb',0,0,1),
(2112,'2016-09-06','My old home server',945,'A show about my old home server','<ul>\r\n<li><p>Picture of the Compaq Ipaq Desktop Computer<br />\r\n<img src=\"https://upload.wikimedia.org/wikipedia/commons/1/1c/IPaqLegacyFreeFront.jpg\" alt=\"https://upload.wikimedia.org/wikipedia/commons/1/1c/IPaqLegacyFreeFront.jpg\" width=\"450\" /></p></li>\r\n<li><p>Wikipedia article about the Compaq Ipaq<br />\r\n<a href=\"https://en.wikipedia.org/wiki/IPAQ_(desktop_computer)\" class=\"uri\">https://en.wikipedia.org/wiki/IPAQ_(desktop_computer)</a></p></li>\r\n<li><p>Xubuntu, a lightweight Ubuntu distro derivative running Xfce<br />\r\n<a href=\"https://xubuntu.org/\" class=\"uri\">https://xubuntu.org/</a></p></li>\r\n<li><p>Clonezilla the excellent Open Source disk cloning software<br />\r\n<a href=\"https://clonezilla.org/\" class=\"uri\">https://clonezilla.org/</a></p></li>\r\n<li><p>Link to Hpodder podcast client man page<br />\r\n<a href=\"https://jgoerzen.github.io/hpodder/html/hpodder.man.html\" class=\"uri\">https://jgoerzen.github.io/hpodder/html/hpodder.man.html</a></p></li>\r\n<li><p>Link to Moc, Music On Console<br />\r\n<a href=\"https://moc.daper.net/\" class=\"uri\">https://moc.daper.net/</a></p></li>\r\n<li><p>Link to MediaTomb UPNP server<br />\r\n<a href=\"https://mediatomb.cc/\" class=\"uri\">https://mediatomb.cc/</a></p></li>\r\n</ul>',201,0,0,'CC-BY-SA','linux, hardware, server',0,0,1),
(2115,'2016-09-09','Apt Spelunking 3: nodm, cmus, and parecord',801,'Windigo wades through the Debian repositories and brings attention to some of the good stuff.','<p>Hello, this is Windigo, and Welcome to the another episode of apt spelunking! If you missed the first episode, then you probably missed the second episode as well. I assure you, they were fantastic; no need to go back and check.</p>\r\n<p>This series (and yes, it’s official now) is about finding uncommon packages that are buried in the Debian repos. It could very well be about finding packages in other repos, but no Arch, Fedora, Ubuntu or OpenSUSE users are smart or handsome enough to contribute an episode.</p>\r\n<p>In no particular order, here are a few more packages I’ve discovered.</p>\r\n<h2 id=\"nodm\">nodm</h2>\r\n<p>nodm is a very small, very specific utility that is used to start an X session automatically.</p>\r\n<p>On Debian, you configure nodm with the configuration file located at /etc/defaults/nodm. You can specify whether or not nodm is enabled, which user to run as, and what x session to run.</p>\r\n<p>While hugely insecure, nodm is a great way to avoid the hassle of a full display manager like gdm or lightdm. It’s extremely lightweight, which is perfect for my Mini 9, and kicks things right into my custom i3 session.</p>\r\n<h2 id=\"cmus\">cmus</h2>\r\n<p>cmus is a very comprehensive, console-based music player. cmus stands for “C* music player“.</p>\r\n<p>I received cmus as a recommendation from chalkahlom (Gavin) while looking for a media player suitable for the Mini 9. It is a very light application (1.5M uncompressed), which suited my needs well.</p>\r\n<p>The interface of cmus is slightly strange, and may take some getting used to. It is broken up into seven “views”, which can be accessed using the number keys. The views are “Library”, “Sorted Library”, “Playlist”, “Play Queue”, “Browser”, “Filters”, and “Settings”.</p>\r\n<p>To be honest, I still haven’t given cmus a fair shake. It seems like an excellent music player, but I’m still unable to break away from the familiarity of audacious. I’m once again reaffirming my commitment to trying cmus out; it seems like a really good player, if given the time of day.</p>\r\n<h2 id=\"parecord\">parecord</h2>\r\n<p>Pulseaudio comes with a selection of very handy command-line utilities that can be used to play and record audio in various formats. The one I’d like to discuss is “parecord”.</p>\r\n<p>Ordinarily, I do all of my podcast recording with the arecord utility, which talks directly to ALSA. Last time I tried this, it very badly broke audacity when I tried to import the audio. I sounded like a chipmunk, and then audacity crashed.</p>\r\n<p>parecord is a nice alternative to arecord, because it also does encoding on the fly. There may be an ALSA equivalent that also encodes your audio as you’re recording, but I don’t know about it. At best, you’d have to pipe the output of arecord to avconv or a similar utility.</p>\r\n<p>Using parecord, I can specify the file format using the <code>--file-format</code> flag, and record directly to FLAC, which is what HPR prefers. Other formats are available, but I think FLAC is a good balance of quality and compression.</p>\r\n<p>If you prefer the raw recording style of arecord, there is a utility called parec which will record raw audio data, but it’s a bit outside of the scope of this podcast. Also, I don’t really know much about it.</p>\r\n<hr />\r\n<p>I hope someone can find some use in the applications I’ve mentioned here. If you have some other packages that you find indispensable and/or useful, I’d love to hear about them in your very own episode.</p>\r\n',196,98,0,'CC-BY-SA','linux, pulseaudio, music',0,0,1),
(2113,'2016-09-07','sqlite and bash',894,'Using cron, du,sqlite, and bash to find directory growth','<h3 id=\"crontab\">Crontab</h3>\r\n<p><code>0 3 * * 0 /bin/du -m /data/ &gt; /home/USER/du_files/&quot;du_$(/bin/date +\\%Y\\%m\\%d)&quot;</code></p>\r\n<h3 id=\"script\">Script</h3>\r\n<pre><code>cd ~/du_files\r\nTODAYS_FILE=&quot;du_$(/usr/bin/date +%Y%m%d)&quot;\r\nYESTERDAYS_FILE=&quot;du_$(/usr/bin/date --date=&quot;7 days ago&quot; +%Y%m%d)&quot;\r\n/usr/bin/echo &quot;create table old (oldsize integer, path varchar);&quot; &gt; delta.sql\r\n/usr/bin/echo &quot;create table new (newsize integer, path varchar);&quot; &gt;&gt; delta.sql\r\n/usr/bin/echo &#39;.separator &quot;\\t&quot; &#39; &gt;&gt; delta.sql\r\n/usr/bin/echo &quot;.import $TODAYS_FILE new&quot; &gt;&gt; delta.sql\r\n/usr/bin/echo &quot;.import $YESTERDAYS_FILE old&quot; &gt;&gt; delta.sql\r\n/usr/bin/echo &quot;.mode csv&quot; &gt;&gt; delta.sql\r\n/usr/bin/echo &quot;.headers on&quot; &gt;&gt; delta.sql\r\n/usr/bin/echo &quot;.out deltas.csv&quot; &gt;&gt; delta.sql\r\n/usr/bin/echo &quot;select *,newsize-oldsize as delta_in_megabytes from old natural join new where oldsize&lt;newsize order by delta_in_megabytes desc;&quot; &gt;&gt; delta.sql\r\n\r\n/usr/bin/sqlite3 &lt; delta.sql\r\n\r\necho $YESTERDAYS_FILE|/usr/bin/mailx -a deltas.csv -s deltas.csv me@mywork.com</code></pre>\r\n<h3 id=\"resulting-sql\">Resulting SQL</h3>\r\n<pre><code>create table old (oldsize integer, path varchar);\r\ncreate table new (newsize integer, path varchar);\r\n.separator &quot;\\t&quot;\r\n.import du_20160821 new\r\n.import du_20160814 old\r\n.mode csv\r\n.headers on\r\n.out deltas.csv\r\nselect *,newsize-oldsize as delta_in_megabytes\r\nfrom old    natural join new    where oldsize&lt;newsize\r\norder by delta_in_megabytes desc;</code></pre>\r\n',342,0,0,'CC-BY-SA','bash,sqlite',0,0,1),
(2114,'2016-09-08','Gnu Awk - Part 1',1350,'An introduction the the awk text parsing tool','<h1 id=\"introduction-to-awk\">Introduction to Awk</h1>\r\n<p>Awk is a powerful text parsing tool for unix and unix-like systems.</p>\r\n<p>The basic syntax is:</p>\r\n<pre><code>awk [options] &#39;pattern {action}&#39; file</code></pre>\r\n<p>Here is a simple example file that we will be using, called <code>file1.txt</code>:</p>\r\n<pre><code>name       color  amount\r\napple      red    4\r\nbanana     yellow 6\r\nstrawberry red    3\r\ngrape      purple 10\r\napple      green  8\r\nplum       purple 2\r\nkiwi       brown  4\r\npotato     brown  9\r\npineapple  yellow 5</code></pre>\r\n<p>First command:</p>\r\n<pre><code>awk &#39;{print $2}&#39; file1.txt</code></pre>\r\n<p>As you can see, the “print” command will display the whatever follows. In this case we are showing the second column using “$2”. This is intuitive. To display all columns, use “$0”.</p>\r\n<p>This example will output:</p>\r\n<pre><code>color\r\nred\r\nyellow\r\nred\r\npurple\r\ngreen\r\npurple\r\nbrown\r\nbrown\r\nyellow</code></pre>\r\n<p>Second command:</p>\r\n<pre><code>awk &#39;$2==&quot;yellow&quot;{print $1}&#39; file1.txt</code></pre>\r\n<p>This will output:</p>\r\n<pre><code>banana\r\npineapple</code></pre>\r\n<p>As you can see, the command matches items in column 2 matching “yellow”, but prints column 1.</p>\r\n<h2 id=\"field-separator\">Field separator</h2>\r\n<p>By default, awk uses white space as the file separator. You can change this by using the -F option. For instance, <code>file1.csv</code> looks like this:</p>\r\n<pre><code>name,color,amount\r\napple,red,4\r\nbanana,yellow,6\r\nstrawberry,red,3\r\ngrape,purple,10\r\napple,green,8\r\nplum,purple,2\r\nkiwi,brown,4\r\npotato,brown,9\r\npineapple,yellow,5</code></pre>\r\n<p>A similar command as before:</p>\r\n<pre><code>awk -F&quot;,&quot; &#39;$2==&quot;yellow&quot; {print $1}&#39; file1.csv</code></pre>\r\n<p>will still output:</p>\r\n<pre><code>banana\r\npineapple</code></pre>\r\n<p>Regular expressions work as well:</p>\r\n<pre><code>awk &#39;$2 ~ /p.+p/ {print $0}&#39; file1.txt</code></pre>\r\n<p>This returns:</p>\r\n<pre><code>grape   purple  10\r\nplum    purple  2</code></pre>\r\n<p>Numbers are interpreted automatically:</p>\r\n<pre><code>awk &#39;$3&gt;5 {print $1, $2}&#39; file1.txt</code></pre>\r\n<p>Will output:</p>\r\n<pre><code>name    color\r\nbanana  yellow\r\ngrape   purple\r\napple   green\r\npotato  brown</code></pre>\r\n<p>Using output redirection, you can write your results to file. For example:</p>\r\n<pre><code>awk -F, &#39;$3&gt;5 {print $1, $2}&#39; file1.csv &gt; output.txt</code></pre>\r\n<p>This will output a file with the contents of the query.</p>\r\n<p>Here’s a cool trick! You can automatically split a file into multiple files grouped by column. For example, if I want to split file1.txt into multiple files by color, here is the command.</p>\r\n<pre><code>awk &#39;{print &gt; $2&quot;.txt&quot;}&#39; file1.txt</code></pre>\r\n<p>This will produce files named yellow.txt, red.txt, etc. In upcoming episodes, we will show how to improve the outputs.</p>\r\n<h1 id=\"resources\">Resources</h1>\r\n<ol type=\"1\">\r\n<li><a href=\"https://www.theunixschool.com/p/awk-sed.html\" class=\"uri\">https://www.theunixschool.com/p/awk-sed.html</a></li>\r\n<li><a href=\"https://www.tecmint.com/category/awk-command/\" class=\"uri\">https://www.tecmint.com/category/awk-command/</a></li>\r\n<li><a href=\"https://linux.die.net/man/1/awk\" class=\"uri\">https://linux.die.net/man/1/awk</a></li>\r\n</ol>\r\n<h1 id=\"coming-up\">Coming up</h1>\r\n<ul>\r\n<li>More options</li>\r\n<li>Built-in Variables</li>\r\n<li>Arithmetic operations</li>\r\n<li>Awk language and syntax</li>\r\n</ul>\r\n',300,94,1,'CC-BY-SA','awk,bash,linux',0,0,1),
(2116,'2016-09-12','Duffer Gardening',746,'Prior to a Duffercast recording chalkahlom, inscius and I had a conversation about gardening','<h1 id=\"duffer-gardening\">Duffer Gardening</h1>\r\n<p>In August I was invited on the <a href=\"https://duffercast.org/\" title=\"The Duffercast\">Duffercast podcast</a> as a guest.</p>\r\n<p>While waiting for all of the participants to arrive, <a href=\"https://quitter.se/inscius\" title=\"inscius\">inscius (Mikael)</a> in Sweden, <a href=\"https://micro.fragdev.com/chalkahlom\" title=\"chalkahlom\">chalkahlom (Gavin)</a> in Hungary and myself in Edinburgh, Scotland, decided to record a show for HPR, since we were using Mumble. Because two of the participants are gardeners we chatted about gardening.</p>\r\n<p>This show is the result.</p>\r\n<p>More about <em>The Duffercast</em> may be found at <a href=\"https://duffercast.org/\" class=\"uri\">https://duffercast.org/</a>.</p>\r\n<p>Thanks also to <a href=\"https://thebugcast.org/\"><em>The Bugcast</em></a> for the use of their Mumble server!</p>\r\n<p>Note: The <em>Calendula</em> that Mikael mentioned is more commonly known as a Marigold <a href=\"https://en.wikipedia.org/wiki/Calendula\" class=\"uri\">https://en.wikipedia.org/wiki/Calendula</a>.</p>\r\n',225,0,1,'CC-BY-SA','duffer,gardening',0,0,1),
(2117,'2016-09-13','What\'s in my bag for Podcrawl?',771,'Dave shows us what is in the bag he\'s taking to the London Podcrawl.','<h1 id=\"whats-in-my-bag-for-podcrawl\">What’s in my bag for Podcrawl?</h1>\r\n<h2 id=\"videos\">Videos</h2>\r\n<p>[Video on <a href=\"https://www.periscope.tv/w/ao91YjEzOTE2NzU0fDFQbEtRek9Pbm9aR0UT6edG2EACyZJlzqvmb8zyKYyoS9Y0ivd5yW_CFsj5tA==\">Periscope</a>] [Video on <a href=\"https://media.thelovebug.org/u/thelovebug/m/whats-in-my-bag-for-podcrawl/\">Mediagoblin</a>]</p>\r\n<h2 id=\"products\">Products</h2>\r\n<p><strong>Mountain Warehouse backpack</strong><br />\r\nI couldn’t find exact model (I believe it was in a sale), but likely to be a 10 litre backpack<br />\r\n[<a href=\"https://www.mountainwarehouse.com/travel/backpacks/mini-backpacks/\">mountainwarehouse.com</a>]</p>\r\n<p><strong>Google Pixel C - Android tablet</strong><br />\r\n[<a href=\"https://pixel.google.com/\">google.com</a>]</p>\r\n<p><strong>Microsoft Universal Mobile Keyboard</strong><br />\r\n[<a href=\"https://www.microsoft.com/accessories/en-us/products/keyboards/universal-mobile-keyboard/p2z-00001\">microsoft.com</a>][<a href=\"https://www.amazon.co.uk/Microsoft-Universal-Mobile-Keyboard-Layout/dp/B00NSNDIJQ/\">amazon.co.uk</a>]</p>\r\n<p><strong>AmazonBasics 7-inch Black Sleeve</strong><br />\r\n[<a href=\"https://www.amazon.co.uk/AmazonBasics-7-Inch-Sleeve-Kindle-Samsung/dp/B00I8T4J5C/\">amazon.co.uk</a>]</p>\r\n<p><strong>AmazonBasics 10-inch Black Sleeve</strong><br />\r\n[<a href=\"https://www.amazon.co.uk/AmazonBasics-10-Inch-Black-Sleeve-iPad/dp/B00I8T4PUG/\">amazon.co.uk</a>]</p>\r\n<p><strong>Samson Q2U Microphone (USB/XLR)</strong><br />\r\n[<a href=\"https://www.samsontech.com/samson/products/microphones/usb-microphones/q2u/\">samsontech.com</a>][<a href=\"https://www.amazon.co.uk/Samson-Q2U-Microphone-HP20-Headphones/dp/B001R747SG/\">amazon.co.uk</a>]</p>\r\n<p><strong>Olympus DM-3 Portable Recorder</strong><br />\r\n[<a href=\"https://www.olympus.co.uk/site/en/archived_products/audio/audio_recording_1/dm_3/dm_3_boxcontents.html\">olympus.co.uk</a>][<a href=\"https://www.amazon.co.uk/Olympus-DM-3-Digital-Voice-Recorder/dp/B003UP6ALA/\">amazon.co.uk</a>]</p>\r\n<p><strong>Marshall Major Headphones</strong><br />\r\n[<a href=\"https://www.amazon.co.uk/Marshall-Major-Headphones-Mic-Black/dp/B00590GH8K/\">amazon.co.uk</a>]</p>\r\n<p><strong>Microsoft 3600 Bluetooth Mobile Mouse</strong><br />\r\n[<a href=\"https://www.microsoft.com/accessories/en-us/products/mice/bluetooth-mobile-mouse-3600/pn7-00001\">microsoft.com</a>][<a href=\"https://www.amazon.co.uk/Microsoft-3600-Bluetooth-Mobile-Mouse/dp/B016ULQMOA/\">amazon.co.uk</a>]</p>\r\n<p><strong>Smartphone Audio Splitters</strong><br />\r\n[<a href=\"https://www.amazon.co.uk/gp/product/B01518S836/\">amazon.co.uk</a> black one][<a href=\"https://www.amazon.co.uk/gp/product/B00CPEZ4J6/\">amazon.co.uk</a> white one]</p>\r\n<p><strong>Neewer 3.5mm Hands Free Computer Clip on Mini Lapel Microphone</strong><br />\r\n[<a href=\"https://www.amazon.co.uk/gp/product/B005DOTSM4/\">amazon.co.uk</a>]</p>\r\n<p><strong>Samsung OTG MicroUSB Connector</strong><br />\r\n[<a href=\"https://www.handtec.co.uk/samsung-galaxy-s7-s7-edge-otg-microusb-connector-white-gh96-09728a.html\">handtec.co.uk</a>]</p>\r\n<p><strong>Exibel USB Powerbank</strong><br />\r\n(actually, these aren’t that good)<br />\r\n[<a href=\"https://www.clasohlson.com/uk/Exibel-USB-Powerbank/38-4518\">clasohlson.co.uk</a>]</p>\r\n<p><strong>Samsung Galaxy S7 Edge</strong><br />\r\n[<a href=\"https://samsung.com/Galaxy-S7-Edge\">samsung.com</a>]</p>\r\n<p>All other products mentioned are fairly generic and/or commonplace. Links are provided for information only, and do not represent a recommendation of purchase from any particular vendor, although I may have purchased the items from that vendor myself.</p>\r\n',314,23,0,'CC-BY-SA','backpack,Google Pixel C,Samson Q2U Microphone,Olympus DM-3,Marshall Major Headphones,Neewer 3.5mm Lapel Microphone',0,0,1),
(2119,'2016-09-15','Making Chocolate Chip Cookies',2436,'Listen live as I make a batch of really tasty chocolate chip cookies','<p><a href=\"https://www.flickr.com/photos/137675441@N05/albums/72157669929367663\" title=\"Baking Cookies \"><img src=\"https://c2.staticflickr.com/9/8026/29300715105_ce1db43fbb.jpg\" width=\"500\" height=\"281\" alt=\"Baking Cookies \"/></a></p>\r\n\r\n<h2 id=\"dollarcookierecipe\">The $250 Cookie Recipe</h2>\r\n\r\n<h3 id=\"ingredients\">Ingredients</h3>\r\n\r\n<p>1 cup butter <br />\r\n1 cup sugar <br />\r\n1 cup brown sugar <br />\r\n1 tsp. vanilla <br />\r\n2 eggs <br />\r\n2 cups flour <br />\r\n1 tsp. soda <br />\r\n1 tsp. baking powder <br />\r\n2½ cups blended oatmeal <br />\r\n½ tsp. salt <br />\r\n<!-- 4 oz. grated Hershey bar <br /> -->\r\n12 oz. chocolate chips <br />\r\n1½ cups chopped nuts (your choice)  </p>\r\n\r\n<h3 id=\"directions\">Directions</h3>\r\n\r\n<p>Cream the butter and both sugars.  Add eggs and vanilla.  Mix dry ingredients together in separate bowl.  Combine with the butter/sugar/egg mixture.  Add chocolate chips.  Roll into balls and place 2 inches apart on a cookie sheet.</p>\r\n\r\n<p>Bake for 10–12 minutes at 375°F.  </p>\r\n\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li><a href=\"https://www.kitchenaid.com/shop/-[KSM150PSER]-400120/KSM150PSER/\">The KitchenAid Artisan Mixer</a></li>\r\n</ul>\r\n',238,93,0,'CC-BY-SA','Cooking, Baking, Yummy Things, Recipes, Cookies, Desserts',0,0,1),
(2118,'2016-09-14','What is App Inventor?',1072,'An overview of the online free Android app creator','<p>\r\n<a href=\"https://appinventor.mit.edu/\" target=\"_blank\">https://appinventor.mit.edu/ </a>\r\n</p>\r\n<p>\r\nFrom <a href=\"https://en.wikipedia.org/wiki/App_Inventor_for_Android\" target=\"_blank\">https://en.wikipedia.org/wiki/App_Inventor_for_Android</a>\r\n</p>\r\n<p>\r\nApp Inventor for Android is an open-source web application originally provided by Google, and now maintained by the Massachusetts Institute of Technology (MIT).\r\n</p>\r\n<p>\r\nIt allows newcomers to computer programming to create software applications for the Android operating system (OS). It uses a graphical interface, very similar to Scratch and the StarLogo TNG user interface, which allows users to drag-and-drop visual objects to create an application that can run on Android devices. In creating App Inventor, Google drew upon significant prior research in educational computing, as well as work done within Google on online development environments.\r\n</p>\r\n',323,0,0,'CC-BY-SA','Android, Programming, Apps, Free apps, Online services, Programming languages',0,0,1),
(2136,'2016-10-10','Fluxx Tabletop Game',1092,'Klaatu reviews the card game (Pirate) Fluxx','<p>Klaatu reviews the card game series, Fluxx.</p>\r\n<p><a href=\"https://boardgamegeek.com/geeksearch.php?action=search&amp;objecttype=boardgame&amp;q=fluxx&amp;B1=Go\" class=\"uri\">https://boardgamegeek.com/geeksearch.php?action=search&amp;objecttype=boardgame&amp;q=fluxx&amp;B1=Go</a></p>\r\n<p><a href=\"https://en.wikipedia.org/wiki/Fluxx\" target=\"_blank\">https://en.wikipedia.org/wiki/Fluxx</a></p>\r\n<p>\r\nFluxx is a card game, played with a specially designed deck published by Looney Labs. It is different from most other card games, in that the rules and the conditions for winning are altered throughout the game, via cards played by the players.\r\n</p>\r\n',78,95,1,'CC-BY-SA','game,gaming,tabletop,card,boardgame',0,0,1),
(2124,'2016-09-22','Repairing a Cloth Shopping Bag with a Sewing Machine',1276,'I talk while sewing the strap back onto a cloth shopping bag','<p>In this episode I repair one of the straps/handles of a cloth shopping bag. I talk about using a sewing machine, about those dreadful bobbins, and about sewing a Halloween costume one time. I actually cut out about four or five minutes of near silence from when I was trying to get the thread to go through the needle. That\'s getting much harder to do as I get older. See the Pictures too.</p>\r\n\r\n<a href=\"https://www.flickr.com/photos/137675441@N05/albums/72157670057607544\" title=\"Shopping Bag Repair \"><img src=\"https://c3.staticflickr.com/9/8097/29349531226_8177f57b6d.jpg\" width=\"500\" height=\"281\" alt=\"Shopping Bag Repair \"/></a>\r\n',238,0,0,'CC-BY-SA','DIY, sewing, fixing stuff, repairs',0,0,1),
(2121,'2016-09-19','Dark Cults Tabletop Game',1795,'Klaatu discusses the EOL tabletop game DARK CULTS','<p>Klaatu talks about the long-gone (but not forgotten, clearly) DARK CULTS tabletop game. His print-and-play revival is available here: <a href=\"https://gitlab.com/notklaatu/darkoccult\" class=\"uri\">https://gitlab.com/notklaatu/darkoccult</a></p>\r\n',78,95,1,'CC-BY-SA','game,gaming,tabletop,card,boardgame',0,0,1),
(2122,'2016-09-20','Alpha32\'s new machine',506,'I built a new computer.','<p>I built a new desktop computer with AMD components. </p>',303,57,1,'CC-BY-SA','desktop, building, linux, AMD',0,0,1),
(2123,'2016-09-21','How I make coffee',351,'A show about how I use my Coffee Gator','<p>The coffee gator is a pretty nice device, as is the swan-necked kettle they have. I recommend both.</p>\r\n',303,88,1,'CC-BY-SA','coffee, coffee gator, pour over, chemex',0,0,1),
(2125,'2016-09-23','My mobile recording solution',144,'How I record decent audio in my creeper van.','<p>I use a Plantronics USB headset, my Chromebook, Linux, and Audacity to record on the go.</p>',303,45,1,'CC-BY-SA','chromebook, mobile, recording, audio',0,0,1),
(2126,'2016-09-26','My new (old) tablet',455,'How I got the cruft off my LG Gpad 7','<p>It took a while, but I finally figured out how to install custom recovery and flash a new OS on my $1 tablet.</p>\r\n',303,0,1,'CC-BY-SA','v410, LG, gpad, cyanogenmod, tablet, mobile, hack',0,0,1),
(2127,'2016-09-27','Tabletop Gaming',2051,'Klaatu ponders analogue programming and tabletop gaming','<p>Klaatu ponders analogue programming and tabletop gaming.</p>\r\n',78,0,1,'CC-BY-SA','game,gaming,tabletop,card,boardgame',0,0,1),
(2132,'2016-10-04','Gloom Tabletop Game',1409,'Klaatu reviews the card game Gloom','<p>Klaatu reviews the card game “Gloom”, including its strengths, weaknesses, and potential for player mods.</p>\r\n<p><a href=\"https://boardgamegeek.com/boardgame/12692/gloom\" class=\"uri\">https://boardgamegeek.com/boardgame/12692/gloom</a></p>',78,95,1,'CC-BY-SA','game,gaming,tabletop,card,boardgame',0,0,1),
(2371,'2017-09-04','HPR Community News for August 2017',5259,'HPR Volunteers talk about shows released and comments posted in August 2017','\n\n<h2>New hosts</h2>\n<p>\nThere were no new hosts this month.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2347\" target=\"_blank\">2347</a></strong></td>\n    <td>Tue</td>\n    <td>2017-08-01</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2347\" target=\"_blank\">An Intro to Apache Hadoop</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2348\" target=\"_blank\">2348</a></strong></td>\n    <td>Wed</td>\n    <td>2017-08-02</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2348\" target=\"_blank\">Vim Hints 005</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2349\" target=\"_blank\">2349</a></strong></td>\n    <td>Thu</td>\n    <td>2017-08-03</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2349\" target=\"_blank\">Customizing my bash prompt</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0215.html\" target=\"_blank\">Windigo</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2350\" target=\"_blank\">2350</a></strong></td>\n    <td>Fri</td>\n    <td>2017-08-04</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2350\" target=\"_blank\">Ahuka Insurance - Understanding The Marketplace</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2351\" target=\"_blank\">2351</a></strong></td>\n    <td>Mon</td>\n    <td>2017-08-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2351\" target=\"_blank\">HPR Community News for July 2017</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2352\" target=\"_blank\">2352</a></strong></td>\n    <td>Tue</td>\n    <td>2017-08-08</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2352\" target=\"_blank\">Liverpool Makefest 2017 Show 5</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2353\" target=\"_blank\">2353</a></strong></td>\n    <td>Wed</td>\n    <td>2017-08-09</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2353\" target=\"_blank\">RoboThermometer</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0182.html\" target=\"_blank\">Epicanis</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2354\" target=\"_blank\">2354</a></strong></td>\n    <td>Thu</td>\n    <td>2017-08-10</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2354\" target=\"_blank\">Night Sounds in Rural Tennessee</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2355\" target=\"_blank\">2355</a></strong></td>\n    <td>Fri</td>\n    <td>2017-08-11</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2355\" target=\"_blank\">Wii and WiiU Software Modding</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2356\" target=\"_blank\">2356</a></strong></td>\n    <td>Mon</td>\n    <td>2017-08-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2356\" target=\"_blank\">Safely enabling ssh in the default Raspbian Image</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2357\" target=\"_blank\">2357</a></strong></td>\n    <td>Tue</td>\n    <td>2017-08-15</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2357\" target=\"_blank\">Air Soft Mini Howto</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2358\" target=\"_blank\">2358</a></strong></td>\n    <td>Wed</td>\n    <td>2017-08-16</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2358\" target=\"_blank\">Amateur radio round table #2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2359\" target=\"_blank\">2359</a></strong></td>\n    <td>Thu</td>\n    <td>2017-08-17</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2359\" target=\"_blank\">Android ROM and PAIN</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2360\" target=\"_blank\">2360</a></strong></td>\n    <td>Fri</td>\n    <td>2017-08-18</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2360\" target=\"_blank\">Tradeoffs in the US Health Care System</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2361\" target=\"_blank\">2361</a></strong></td>\n    <td>Mon</td>\n    <td>2017-08-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2361\" target=\"_blank\">Information Underground: Working Out</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2362\" target=\"_blank\">2362</a></strong></td>\n    <td>Tue</td>\n    <td>2017-08-22</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2362\" target=\"_blank\">Raspbian X86 on Lenovo x61s</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2363\" target=\"_blank\">2363</a></strong></td>\n    <td>Wed</td>\n    <td>2017-08-23</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2363\" target=\"_blank\">Cancelling my TV licence</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2364\" target=\"_blank\">2364</a></strong></td>\n    <td>Thu</td>\n    <td>2017-08-24</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2364\" target=\"_blank\">Managing Your Android with AirDroid</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2365\" target=\"_blank\">2365</a></strong></td>\n    <td>Fri</td>\n    <td>2017-08-25</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2365\" target=\"_blank\">Rolling out a radio-based internet service in rural England</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0246.html\" target=\"_blank\">Beeza</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2366\" target=\"_blank\">2366</a></strong></td>\n    <td>Mon</td>\n    <td>2017-08-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2366\" target=\"_blank\">Making Bramble Jelly</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2367\" target=\"_blank\">2367</a></strong></td>\n    <td>Tue</td>\n    <td>2017-08-29</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2367\" target=\"_blank\">How I create and post a show to HPR</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2368\" target=\"_blank\">2368</a></strong></td>\n    <td>Wed</td>\n    <td>2017-08-30</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2368\" target=\"_blank\">Every cloude has a silver lining</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0271.html\" target=\"_blank\">mirwi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2369\" target=\"_blank\">2369</a></strong></td>\n    <td>Thu</td>\n    <td>2017-08-31</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2369\" target=\"_blank\">Little Meters</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n</table>\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available in the archives run\nexternally by <a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\n(see below) and on the HPR server under <a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p><em>Note: since the summer of 2016 Gmane has changed location and is currently\nbeing reestablished. At the moment the HPR archive is not available there.</em></p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-August/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-August/thread.html</a>\n\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 45 comments in total.</p>\n<p>There are 9 comments on\n5 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2278#comments\" target=\"_blank\">hpr2278</a></strong>\n(2017-04-26) \"<em>Some supplementary Bash tips</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2278#9\" target=\"_blank\">Comment 9</a>:\nclacke on 2017-08-05:\n\"A new `ls` alternative\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2278#10\" target=\"_blank\">Comment 10</a>:\nJonathan Kulp on 2017-08-06:\n\"Awkward!\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2278#11\" target=\"_blank\">Comment 11</a>:\nDave Morriss on 2017-08-06:\n\"Not sure about &#39;exa&#39;\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2295#comments\" target=\"_blank\">hpr2295</a></strong>\n(2017-05-19) \"<em>MX Linux</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2295#2\" target=\"_blank\">Comment 2</a>:\nTony Hughes on 2017-08-26:\n\"Nice litle Distro Review\"</li></ul><br/>\n</li><li><strong><a href=\"https://www.hackerpublicradio.org/eps.php?id=2310#comments\" target=\"_blank\">hpr2310</a></strong>\n(2017-06-09) \"<em>Kdenlive Part 6 Workflow and Conclusion. </em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0310.html\" target=\"_blank\">Geddes</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://www.hackerpublicradio.org/eps.php?id=2310#1\" target=\"_blank\">Comment 1</a>:\nGeddes on 2017-08-02:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2326#comments\" target=\"_blank\">hpr2326</a></strong>\n(2017-07-03) \"<em>HPR Community News for June 2017</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2326#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2017-08-06:\n\"hprep tag\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2326#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-08-07:\n\"#hprep\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2342#comments\" target=\"_blank\">hpr2342</a></strong>\n(2017-07-25) \"<em>Wherein our hero fails to repair a garage door.</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0241.html\" target=\"_blank\">Christopher M. Hobbs</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2342#1\" target=\"_blank\">Comment 1</a>:\noperat0r on 2017-08-04:\n\"safety first!\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2342#2\" target=\"_blank\">Comment 2</a>:\nWindigo on 2017-08-22:\n\"Phew!\"</li></ul><br/>\n</li></ul>\n<p>There are 36 comments on 14 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2349#comments\" target=\"_blank\">hpr2349</a></strong>\n(2017-08-03) \"<em>Customizing my bash prompt</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0215.html\" target=\"_blank\">Windigo</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2349#1\" target=\"_blank\">Comment 1</a>:\nx1101 on 2017-08-04:\n\"prompt for other users\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2349#2\" target=\"_blank\">Comment 2</a>:\nWindigo on 2017-08-04:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2349#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2017-08-12:\n\"Great show - most enjoyable\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2350#comments\" target=\"_blank\">hpr2350</a></strong>\n(2017-08-04) \"<em>Ahuka Insurance - Understanding The Marketplace</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2350#1\" target=\"_blank\">Comment 1</a>:\nCanadianbob on 2017-08-13:\n\"Health Insurance Market\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2350#2\" target=\"_blank\">Comment 2</a>:\nKevin O&#39;Brien on 2017-08-13:\n\"That&#39;s why I recorded this\"</li></ul><br/>\n</li><li><strong><a href=\"https://hobbypublicradio.org/eps.php?id=2351#comments\" target=\"_blank\">hpr2351</a></strong>\n(2017-08-07) \"<em>HPR Community News for July 2017</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hobbypublicradio.org/eps.php?id=2351#1\" target=\"_blank\">Comment 1</a>:\nMad Sweeney on 2017-08-08:\n\"Sean N&oacute;s Free Software Song made me happy\"</li><li><a href=\"https://hobbypublicradio.org/eps.php?id=2351#2\" target=\"_blank\">Comment 2</a>:\nKrayon on 2017-08-29:\n\"AMAZING Free Software song!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hobbypublicradio.com/eps.php?id=2353#comments\" target=\"_blank\">hpr2353</a></strong>\n(2017-08-09) \"<em>RoboThermometer</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0182.html\" target=\"_blank\">Epicanis</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hobbypublicradio.com/eps.php?id=2353#1\" target=\"_blank\">Comment 1</a>:\nb--yeezi on 2017-08-10:\n\"On my to-do list\"</li><li><a href=\"https://hobbypublicradio.com/eps.php?id=2353#2\" target=\"_blank\">Comment 2</a>:\nClaudioM on 2017-08-11:\n\"Another Great Episode\"</li><li><a href=\"https://hobbypublicradio.com/eps.php?id=2353#3\" target=\"_blank\">Comment 3</a>:\nIvan &quot;Epicanis&quot; Privaci (pseud.) on 2017-08-12:\n\"Glad to be back!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2354#comments\" target=\"_blank\">hpr2354</a></strong>\n(2017-08-10) \"<em>Night Sounds in Rural Tennessee</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2354#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2017-08-14:\n\"Some impressive ambient sounds\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2354#2\" target=\"_blank\">Comment 2</a>:\nTony Hughes on 2017-08-16:\n\"hpr2354 :: Night Sounds in Rural Tennessee\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2354#3\" target=\"_blank\">Comment 3</a>:\nFrank on 2017-08-17:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2354#4\" target=\"_blank\">Comment 4</a>:\nJonathan Kulp on 2017-08-17:\n\"Mystery bugs\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2354#5\" target=\"_blank\">Comment 5</a>:\nWindigo on 2017-08-23:\n\"More nostalgia\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2356#comments\" target=\"_blank\">hpr2356</a></strong>\n(2017-08-14) \"<em>Safely enabling ssh in the default Raspbian Image</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2356#1\" target=\"_blank\">Comment 1</a>:\nKlaatu on 2017-08-15:\n\"good coffee\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2360#comments\" target=\"_blank\">hpr2360</a></strong>\n(2017-08-18) \"<em>Tradeoffs in the US Health Care System</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2360#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2017-08-19:\n\"A better starting point\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2361#comments\" target=\"_blank\">hpr2361</a></strong>\n(2017-08-21) \"<em>Information Underground: Working Out</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2361#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2017-08-21:\n\"Citation needed\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2361#2\" target=\"_blank\">Comment 2</a>:\nClaudioM on 2017-08-23:\n\"Fantastic!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2361#3\" target=\"_blank\">Comment 3</a>:\ndeepgeek on 2017-08-24:\n\"Cost Correction\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2362#comments\" target=\"_blank\">hpr2362</a></strong>\n(2017-08-22) \"<em>Raspbian X86 on Lenovo x61s</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2362#1\" target=\"_blank\">Comment 1</a>:\nBeeza on 2017-08-25:\n\"Raspbian X86 On Atom-powered Netbook\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2362#2\" target=\"_blank\">Comment 2</a>:\nTony Hughes on 2017-08-26:\n\"Raspbian X86 On Atom-powered Netbook\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2363#comments\" target=\"_blank\">hpr2363</a></strong>\n(2017-08-23) \"<em>Cancelling my TV licence</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2363#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2017-08-23:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2363#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-08-24:\n\"I see your point, but...\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2363#3\" target=\"_blank\">Comment 3</a>:\nBeeza on 2017-08-25:\n\"TV Detectors\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2363#4\" target=\"_blank\">Comment 4</a>:\nTony Hughes on 2017-08-26:\n\"Cancelling my TV licence\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2363#5\" target=\"_blank\">Comment 5</a>:\nDave Morriss on 2017-08-26:\n\"Thanks for the input\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2364#comments\" target=\"_blank\">hpr2364</a></strong>\n(2017-08-24) \"<em>Managing Your Android with AirDroid</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2364#1\" target=\"_blank\">Comment 1</a>:\nTony Hughes on 2017-08-26:\n\"Managing Your Android with AirDroid\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2364#2\" target=\"_blank\">Comment 2</a>:\nFrank on 2017-08-26:\"[no title]\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2365#comments\" target=\"_blank\">hpr2365</a></strong>\n(2017-08-25) \"<em>Rolling out a radio-based internet service in rural England</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0246.html\" target=\"_blank\">Beeza</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2365#1\" target=\"_blank\">Comment 1</a>:\nTony Hughes on 2017-08-26:\n\"Rolling out a radio-based internet service in rural England\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2365#2\" target=\"_blank\">Comment 2</a>:\nFrank on 2017-08-26:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2365#3\" target=\"_blank\">Comment 3</a>:\nBeeza on 2017-08-29:\n\"Thanks for the comments\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2366#comments\" target=\"_blank\">hpr2366</a></strong>\n(2017-08-28) \"<em>Making Bramble Jelly</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2366#1\" target=\"_blank\">Comment 1</a>:\nTony Hughes on 2017-08-19:\n\"hpr2366 Making Bramble Jelly\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2366#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-08-19:\n\"I adjusted your text\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2369#comments\" target=\"_blank\">hpr2369</a></strong>\n(2017-08-31) \"<em>Little Meters</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2369#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2017-08-30:\n\"Noooo...don&#39;t stop buying and reviewing meters\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2369#2\" target=\"_blank\">Comment 2</a>:\nDave Lee on 2017-08-31:\n\"Excellent show\"</li></ul><br/>\n</li></ul>\n<h2>Any other business</h2>\n<ul>\n    <li><b>Comment System</b>\n	<p>As mentioned on the\n	<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-August/thread.html\">mailing\n	list</a>, we are working on a new comment system to replace the failing one we have now. We\'ll be reporting\n	progress on the mailing list.\n	</p>\n    </li>\n    <li><b>Filling the queue</b>\n	<p> The queue got very low recently but is now looking healthier. Thanks to\n	everyone for their contributions. However, it would be better in\n	future if shows could be spread out more to leave room for new contributors and to help prevent the\n	<em>feast/famine</em> problem. See the Scheduling Guidelines on the <a href=\"https://hackerpublicradio.org/calendar.php\">Calendar page</a>:\n	</p>\n	<ol>\n	    <li>You must have have your audio recording ready to upload before you pick a slot.</li>\n	    <li>Always try and fill any free slots that are available in the upcoming week.</li>\n	    <li>If the queue is filling up then please consider leaving some slots free for new contributors.</li>\n	    <li>If you have a non urgent show then find a empty week and schedule it then.</li>\n	    <li>If you are uploading a series of shows, consider scheduling one every two weeks.</li>\n	</ol><br/>\n    </li>\n    <li><b>Amateur Radio Round Table</b>\n	<p>The current proposal is to record the next show on 2017-09-13 at 18:00 UTC.<br/>\n	Please let Michael (mirwi) know via the HPR mailing list if you\'d like to attend.</p>\n    </li>\n    <li><b>Tags and Summaries</b>\n    <p>In the past month we have had contributions from \n	<a\n	    href=\"https://hackerpublicradio.org/correspondents/0182.html\">Epicanis</a>\n	and <a\n	    href=\"https://hackerpublicradio.org/correspondents/0215.html\">Windigo</a>\n	and I (<a\n	    href=\"https://hackerpublicradio.org/correspondents/0225.html\">Dave\n	    Morriss</a>) have added a few tags &amp; summaries myself. Many\n	thanks to all contributors.</p>\n    <p>Currently there are 950 shows which need summaries or tags to be\n	added. All contributions to this project are most welcome. See the\n	current status and instructions for making your own contribution\n	at <a href=\"https://hackerpublicradio.org/report_missing_tags.php\">\"Shows without a summary and/or tags\"</a>.</p>\n    </li> \n</ul>\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2391,'2017-10-02','HPR Community News for September 2017',4875,'HPR Volunteers talk about shows released and comments posted in September 2017','\n\n<h2>New hosts</h2>\n<p>\nThere were no new hosts this month.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2370\" target=\"_blank\">2370</a></strong></td>\n    <td>Fri</td>\n    <td>2017-09-01</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2370\" target=\"_blank\">Who is HortonWorks?</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2371\" target=\"_blank\">2371</a></strong></td>\n    <td>Mon</td>\n    <td>2017-09-04</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2371\" target=\"_blank\">HPR Community News for August 2017</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2372\" target=\"_blank\">2372</a></strong></td>\n    <td>Tue</td>\n    <td>2017-09-05</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2372\" target=\"_blank\">Docbook</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2373\" target=\"_blank\">2373</a></strong></td>\n    <td>Wed</td>\n    <td>2017-09-06</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2373\" target=\"_blank\">PCGen</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2374\" target=\"_blank\">2374</a></strong></td>\n    <td>Thu</td>\n    <td>2017-09-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2374\" target=\"_blank\">How to Make Sauerkraut</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2375\" target=\"_blank\">2375</a></strong></td>\n    <td>Fri</td>\n    <td>2017-09-08</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2375\" target=\"_blank\">Competing Interests</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2376\" target=\"_blank\">2376</a></strong></td>\n    <td>Mon</td>\n    <td>2017-09-11</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2376\" target=\"_blank\">Information Underground: 21st Century Superstar</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0073.html\" target=\"_blank\">deepgeek</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2377\" target=\"_blank\">2377</a></strong></td>\n    <td>Tue</td>\n    <td>2017-09-12</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2377\" target=\"_blank\">A Rambling Drive Into Work</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2378\" target=\"_blank\">2378</a></strong></td>\n    <td>Wed</td>\n    <td>2017-09-13</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2378\" target=\"_blank\">Why Docbook?</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2379\" target=\"_blank\">2379</a></strong></td>\n    <td>Thu</td>\n    <td>2017-09-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2379\" target=\"_blank\">sending a text message from the command line</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0243.html\" target=\"_blank\">Jezra</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2380\" target=\"_blank\">2380</a></strong></td>\n    <td>Fri</td>\n    <td>2017-09-15</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2380\" target=\"_blank\">Raspbian X86 on P4 Tower</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2381\" target=\"_blank\">2381</a></strong></td>\n    <td>Mon</td>\n    <td>2017-09-18</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2381\" target=\"_blank\">Benefits of a tabletop</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2382\" target=\"_blank\">2382</a></strong></td>\n    <td>Tue</td>\n    <td>2017-09-19</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2382\" target=\"_blank\">A Non Spoilery Review of \"git commit murder\" and \"Forever Falls\" by Michael Warren Lucas</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0131.html\" target=\"_blank\">FiftyOneFifty</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2383\" target=\"_blank\">2383</a></strong></td>\n    <td>Wed</td>\n    <td>2017-09-20</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2383\" target=\"_blank\">What\'s In My Ham Shack</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0334.html\" target=\"_blank\">Steve Saner</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2384\" target=\"_blank\">2384</a></strong></td>\n    <td>Thu</td>\n    <td>2017-09-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2384\" target=\"_blank\">Slackware in Scotland</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0268.html\" target=\"_blank\">Andrew Conway</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2385\" target=\"_blank\">2385</a></strong></td>\n    <td>Fri</td>\n    <td>2017-09-22</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2385\" target=\"_blank\">Healthcare Costs</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2386\" target=\"_blank\">2386</a></strong></td>\n    <td>Mon</td>\n    <td>2017-09-25</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2386\" target=\"_blank\">The Decline and Fall of Tcl</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2387\" target=\"_blank\">2387</a></strong></td>\n    <td>Tue</td>\n    <td>2017-09-26</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2387\" target=\"_blank\">Free Weights and a Bicycle</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2388\" target=\"_blank\">2388</a></strong></td>\n    <td>Wed</td>\n    <td>2017-09-27</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2388\" target=\"_blank\">Apt Spelunking 4: Planet of the Apts</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0215.html\" target=\"_blank\">Windigo</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2389\" target=\"_blank\">2389</a></strong></td>\n    <td>Thu</td>\n    <td>2017-09-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2389\" target=\"_blank\">Thoughts on Lifetime Learning</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2390\" target=\"_blank\">2390</a></strong></td>\n    <td>Fri</td>\n    <td>2017-09-29</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2390\" target=\"_blank\">Still in the game</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n</table>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 41 comments in total.</p>\n<p>There are 11 comments on\n5 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2356#comments\" target=\"_blank\">hpr2356</a></strong>\n(2017-08-14) \"<em>Safely enabling ssh in the default Raspbian Image</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2356#2\" target=\"_blank\">Comment 2</a>:\nsesamemucho on 2017-09-10:\n\"Thanks for pulling this together\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2356#3\" target=\"_blank\">Comment 3</a>:\nKen Fallon on 2017-09-19:\n\"Fantastic\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2358#comments\" target=\"_blank\">hpr2358</a></strong>\n(2017-08-16) \"<em>Amateur radio round table #2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2358#1\" target=\"_blank\">Comment 1</a>:\nJosh Huber KF6ZZD on 2017-09-25:\n\"Doppler shift of RF at terrestrial speeds\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2360#comments\" target=\"_blank\">hpr2360</a></strong>\n(2017-08-18) \"<em>Tradeoffs in the US Health Care System</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2360#2\" target=\"_blank\">Comment 2</a>:\nKevin O&#39;Brien on 2017-09-03:\n\"Still have tradeoffs\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2364#comments\" target=\"_blank\">hpr2364</a></strong>\n(2017-08-24) \"<em>Managing Your Android with AirDroid</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2364#3\" target=\"_blank\">Comment 3</a>:\nBrenda J Butler on 2017-09-20:\n\"Run naked through the googleplex - haha\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2369#comments\" target=\"_blank\">hpr2369</a></strong>\n(2017-08-31) \"<em>Little Meters</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2369#3\" target=\"_blank\">Comment 3</a>:\nNYbill on 2017-09-01:\n\"Ambient Noise\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2369#4\" target=\"_blank\">Comment 4</a>:\nNYbill on 2017-09-01:\n\"8008\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2369#5\" target=\"_blank\">Comment 5</a>:\nMike Ray on 2017-09-01:\n\"Ambient noise and ASMR\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2369#6\" target=\"_blank\">Comment 6</a>:\nNYbill on 2017-09-01:\"[no title]\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2369#7\" target=\"_blank\">Comment 7</a>:\nNot Verified on 2017-09-06:\n\"1\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2369#8\" target=\"_blank\">Comment 8</a>:\nNYbill on 2017-09-06:\n\"ESR tester kits.\"</li></ul><br/>\n</li></ul>\n<p>There are 30 comments on 12 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2371#comments\" target=\"_blank\">hpr2371</a></strong>\n(2017-09-04) \"<em>HPR Community News for August 2017</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2371#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2017-09-30:\"[no title]\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2371#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2017-09-30:\n\"We have gone live with the new comment system\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2371#3\" target=\"_blank\">Comment 3</a>:\ndodddummy on 2017-09-30:\n\"In the US jelly is also clear and jam isn&#39;t.\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2371#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2017-09-30:\n\"Jam versus jelly\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2374#comments\" target=\"_blank\">hpr2374</a></strong>\n(2017-09-07) \"<em>How to Make Sauerkraut</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2374#1\" target=\"_blank\">Comment 1</a>:\njezra on 2017-09-30:\n\"splendid!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2374#2\" target=\"_blank\">Comment 2</a>:\nTony Hughes on 2017-09-30:\n\"Splendid\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2376#comments\" target=\"_blank\">hpr2376</a></strong>\n(2017-09-11) \"<em>Information Underground: 21st Century Superstar</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0073.html\" target=\"_blank\">deepgeek</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2376#1\" target=\"_blank\">Comment 1</a>:\nA Porkchop on 2017-09-30:\n\"Communities\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2376#2\" target=\"_blank\">Comment 2</a>:\nKevin O&#39;Brien on 2017-09-30:\n\"Great discussion\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2377#comments\" target=\"_blank\">hpr2377</a></strong>\n(2017-09-12) \"<em>A Rambling Drive Into Work</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2377#1\" target=\"_blank\">Comment 1</a>:\ndodddummy on 2017-09-30:\n\"I know you said you didn&#39;t need this, but...\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2377#2\" target=\"_blank\">Comment 2</a>:\nthelovebug on 2017-09-30:\n\"Great concept for a show... so I pinched it!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2378#comments\" target=\"_blank\">hpr2378</a></strong>\n(2017-09-13) \"<em>Why Docbook?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2378#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2017-09-30:\n\"kramdown\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2378#2\" target=\"_blank\">Comment 2</a>:\nFlorian on 2017-09-30:\n\"whats so hard about code in a list?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2378#3\" target=\"_blank\">Comment 3</a>:\nKlaatu on 2017-09-30:\n\"Kramdown\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2378#4\" target=\"_blank\">Comment 4</a>:\nKlaatu on 2017-09-30:\n\"github markdown\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2379#comments\" target=\"_blank\">hpr2379</a></strong>\n(2017-09-14) \"<em>sending a text message from the command line</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0243.html\" target=\"_blank\">Jezra</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2379#1\" target=\"_blank\">Comment 1</a>:\njezra on 2017-09-30:\n\"feedback!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2379#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2017-09-30:\n\"We do what you ask :)\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2379#3\" target=\"_blank\">Comment 3</a>:\njezra on 2017-09-30:\n\"force of habit?\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2380#comments\" target=\"_blank\">hpr2380</a></strong>\n(2017-09-15) \"<em>Raspbian X86 on P4 Tower</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2380#1\" target=\"_blank\">Comment 1</a>:\ndodddummy on 2017-09-30:\n\"Glad you posted\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2380#2\" target=\"_blank\">Comment 2</a>:\nKleer Kut on 2017-09-30:\n\"Raspbian x86\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2381#comments\" target=\"_blank\">hpr2381</a></strong>\n(2017-09-18) \"<em>Benefits of a tabletop</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2381#1\" target=\"_blank\">Comment 1</a>:\ngurdonark on 2017-09-30:\n\"good episode\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2381#2\" target=\"_blank\">Comment 2</a>:\nShane Shennan on 2017-09-30:\n\"I like how you put that!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2384#comments\" target=\"_blank\">hpr2384</a></strong>\n(2017-09-21) \"<em>Slackware in Scotland</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0268.html\" target=\"_blank\">Andrew Conway</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2384#1\" target=\"_blank\">Comment 1</a>:\nsunzofman1 on 2017-09-30:\n\"Still Thriving\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2385#comments\" target=\"_blank\">hpr2385</a></strong>\n(2017-09-22) \"<em>Healthcare Costs</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2385#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2017-09-30:\n\"Impressive\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2385#2\" target=\"_blank\">Comment 2</a>:\nBob on 2017-09-30:\n\"More information\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2386#comments\" target=\"_blank\">hpr2386</a></strong>\n(2017-09-25) \"<em>The Decline and Fall of Tcl</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2386#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2017-09-30:\n\"More */Tk\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2386#2\" target=\"_blank\">Comment 2</a>:\nMad Sweeney on 2017-09-30:\n\"Tk is not accessible\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2386#3\" target=\"_blank\">Comment 3</a>:\nclacke on 2017-09-30:\n\"rms flamefest\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2386#4\" target=\"_blank\">Comment 4</a>:\nMad Sweeney on 2017-09-30:\n\"Flamefest\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2388#comments\" target=\"_blank\">hpr2388</a></strong>\n(2017-09-27) \"<em>Apt Spelunking 4: Planet of the Apts</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0215.html\" target=\"_blank\">Windigo</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2388#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2017-09-30:\n\"Wasting shows again\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2388#2\" target=\"_blank\">Comment 2</a>:\njezra on 2017-09-30:\n\"hahah\"</li></ul><br/>\n</li></ul>\n\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available in the archives run\nexternally by <a href=\"https://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio\" target=\"_blank\">Gmane</a>\n(see below) and on the HPR server under <a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p><em>Note: since the summer of 2016 Gmane has changed location and is currently\nbeing reestablished. At the moment the HPR archive is not available there.</em></p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-September/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-September/thread.html</a>\n\n\n<h2>Any other business</h2>\n<ul>\n    <li><b>Podcast Awards</b>\n	<p>The <a href=\"https://www.podcastawards.com/\">Podcast Awards</a>\n	    Ceremony is at 5pm PST on September 30th 2017. That is the day on\n	    which this HPR episode is being recorded, and it is also\n	    <a href=\"https://internationalpodcastday.com/\">International Podcast Day</a>!</p>\n	<p>Again this year, HPR is a contender for the <em>Technology Category</em>.</p>\n    </li>\n    <li><b>FOSDEM 2018</b>\n	<p>For the upcoming FOSDEM 2018 we have applied for a <em>Podcaster\'s\n	    Table</em> where a range of technical podcasts (including HPR)\n	    will be promoted. We have collected notes of interest from a wide\n	    range of podcasts, and some representatives will hopefully be able\n	    to join us as we run this table.</p>\n	<p> We are hoping that this application will be approved by the FOSDEM\n	    administrators.</p>\n    </li>\n    <li><b>Website issues</b>\n	<p>Over the past month the HPR website has been very slow at times, or\n	    has been so overloaded that it has effectively been unavailable.\n	    This has been caused by various web robots which have been\n	    scanning the site for long periods in a very inefficient way.</p> \n	<p>We are aware of this and Josh has been taking remedial action.\n	    However, because these robots are not behaving in a standard way,\n	    the range of preventative action is limited without purchasing more\n	    sophisticated tools.</p> \n	<p>For the moment we are monitoring the situation.</p>\n    </li>\n    <li><b>Anhonesthost.com</b>\n	<p>Just a reminder: HPR\'s webhosting service and behind the scenes\n	    facilities are provided free of charge by Josh Knapp of\n	    anhonesthost.com.  </p>\n    </li> \n\n</ul>\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2416,'2017-11-06','HPR Community News for October 2017',4714,'HPR Volunteers talk about shows released and comments posted in October 2017','\n\n<h2>New hosts</h2>\n<p>\nThere were no new hosts this month.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2391\" target=\"_blank\">2391</a></strong></td>\n    <td>Mon</td>\n    <td>2017-10-02</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2391\" target=\"_blank\">HPR Community News for September 2017</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2392\" target=\"_blank\">2392</a></strong></td>\n    <td>Tue</td>\n    <td>2017-10-03</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2392\" target=\"_blank\">Weather, Ogg Camp, Server Room,  ITO collection</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2393\" target=\"_blank\">2393</a></strong></td>\n    <td>Wed</td>\n    <td>2017-10-04</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2393\" target=\"_blank\">PWGen - A password generator</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0079.html\" target=\"_blank\">Xoke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2394\" target=\"_blank\">2394</a></strong></td>\n    <td>Thu</td>\n    <td>2017-10-05</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2394\" target=\"_blank\">The Lost Episode</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2395\" target=\"_blank\">2395</a></strong></td>\n    <td>Fri</td>\n    <td>2017-10-06</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2395\" target=\"_blank\">Obamacare</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2396\" target=\"_blank\">2396</a></strong></td>\n    <td>Mon</td>\n    <td>2017-10-09</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2396\" target=\"_blank\">Information Underground: State of independence</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2397\" target=\"_blank\">2397</a></strong></td>\n    <td>Tue</td>\n    <td>2017-10-10</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2397\" target=\"_blank\">The Urban Astronomer</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2398\" target=\"_blank\">2398</a></strong></td>\n    <td>Wed</td>\n    <td>2017-10-11</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2398\" target=\"_blank\">AutoHotkey Master of Automation ?</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2399\" target=\"_blank\">2399</a></strong></td>\n    <td>Thu</td>\n    <td>2017-10-12</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2399\" target=\"_blank\">Using Super Glue to create Landmarks on Keyboards</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2400\" target=\"_blank\">2400</a></strong></td>\n    <td>Fri</td>\n    <td>2017-10-13</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2400\" target=\"_blank\">My commute into work</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0314.html\" target=\"_blank\">thelovebug</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2401\" target=\"_blank\">2401</a></strong></td>\n    <td>Mon</td>\n    <td>2017-10-16</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2401\" target=\"_blank\">Music Theory Hara-Kiri</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0354.html\" target=\"_blank\">TheDUDE</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2402\" target=\"_blank\">2402</a></strong></td>\n    <td>Tue</td>\n    <td>2017-10-17</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2402\" target=\"_blank\">Petition: the card game for fanatics</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2403\" target=\"_blank\">2403</a></strong></td>\n    <td>Wed</td>\n    <td>2017-10-18</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2403\" target=\"_blank\">Amateur Radio Round Table #3</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2404\" target=\"_blank\">2404</a></strong></td>\n    <td>Thu</td>\n    <td>2017-10-19</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2404\" target=\"_blank\">Open Source Gaming #1: Meridian59</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0354.html\" target=\"_blank\">TheDUDE</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2405\" target=\"_blank\">2405</a></strong></td>\n    <td>Fri</td>\n    <td>2017-10-20</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2405\" target=\"_blank\">Nokia 6 Review</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2406\" target=\"_blank\">2406</a></strong></td>\n    <td>Mon</td>\n    <td>2017-10-23</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2406\" target=\"_blank\">Putting Ends onto CAT6 Ethernet Cables</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0250.html\" target=\"_blank\">Shane Shennan</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2407\" target=\"_blank\">2407</a></strong></td>\n    <td>Tue</td>\n    <td>2017-10-24</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2407\" target=\"_blank\">The Lost Episode Part 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2408\" target=\"_blank\">2408</a></strong></td>\n    <td>Wed</td>\n    <td>2017-10-25</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2408\" target=\"_blank\">My Current Favourite Podcasts</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0250.html\" target=\"_blank\">Shane Shennan</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2409\" target=\"_blank\">2409</a></strong></td>\n    <td>Thu</td>\n    <td>2017-10-26</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2409\" target=\"_blank\">RPG Counternote</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2410\" target=\"_blank\">2410</a></strong></td>\n    <td>Fri</td>\n    <td>2017-10-27</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2410\" target=\"_blank\">OLF 2017 Report</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2411\" target=\"_blank\">2411</a></strong></td>\n    <td>Mon</td>\n    <td>2017-10-30</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2411\" target=\"_blank\">Information Underground: Co-op Paradise</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2412\" target=\"_blank\">2412</a></strong></td>\n    <td>Tue</td>\n    <td>2017-10-31</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2412\" target=\"_blank\">The Call of Cthulhu</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0157.html\" target=\"_blank\">HPR_AudioBookClub</a></td>\n    </tr>\n</table>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 33 comments in total.</p>\n<p>There are 15 comments on\n8 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2150#comments\" target=\"_blank\">hpr2150</a></strong>\n(2016-10-28) \"<em>Apollo Guidance Computer</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2150#5\" target=\"_blank\">Comment 5</a>:\nKen Fallon on 2017-10-29:\n\"The Apollo Saturn V Launch Vehicle Digital Computer (LVDC) Circuit Board\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2302#comments\" target=\"_blank\">hpr2302</a></strong>\n(2017-05-30) \"<em>Bash snippet - nullglob</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2302#3\" target=\"_blank\">Comment 3</a>:\nclacke on 2017-10-05:\n\"nullglob in the wild\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2302#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2017-10-07:\n\"A wild nullglob appears\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2376#comments\" target=\"_blank\">hpr2376</a></strong>\n(2017-09-11) \"<em>Information Underground: 21st Century Superstar</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0073.html\" target=\"_blank\">deepgeek</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2376#3\" target=\"_blank\">Comment 3</a>:\nblindape on 2017-10-29:\n\"Me Too\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2377#comments\" target=\"_blank\">hpr2377</a></strong>\n(2017-09-12) \"<em>A Rambling Drive Into Work</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2377#3\" target=\"_blank\">Comment 3</a>:\nMrX on 2017-10-18:\n\"Reply to Comment 1\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2377#4\" target=\"_blank\">Comment 4</a>:\nMrX on 2017-10-18:\n\"Answer to comment 2\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2378#comments\" target=\"_blank\">hpr2378</a></strong>\n(2017-09-13) \"<em>Why Docbook?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2378#5\" target=\"_blank\">Comment 5</a>:\nclacke on 2017-10-05:\n\"SGML\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2378#6\" target=\"_blank\">Comment 6</a>:\nclacke on 2017-10-05:\n\"Markdown\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2378#7\" target=\"_blank\">Comment 7</a>:\nBob Jonkman on 2017-10-17:\n\"Referenced your podcast in our NonProfit SysAdmin meeting\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2378#8\" target=\"_blank\">Comment 8</a>:\nBob Jonkman on 2017-10-17:\n\"Should have provided a link to the KWNPSA meeting\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2381#comments\" target=\"_blank\">hpr2381</a></strong>\n(2017-09-18) \"<em>Benefits of a tabletop</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2381#3\" target=\"_blank\">Comment 3</a>:\nklaatu on 2017-10-01:\n\"Thanks for the comments\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2384#comments\" target=\"_blank\">hpr2384</a></strong>\n(2017-09-21) \"<em>Slackware in Scotland</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0268.html\" target=\"_blank\">Andrew Conway</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2384#2\" target=\"_blank\">Comment 2</a>:\nklaatu on 2017-10-01:\n\"Slackware everywhere!!!\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2384#3\" target=\"_blank\">Comment 3</a>:\ncobra2 on 2017-10-07:\n\"MMMMM slackware!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2385#comments\" target=\"_blank\">hpr2385</a></strong>\n(2017-09-22) \"<em>Healthcare Costs</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2385#3\" target=\"_blank\">Comment 3</a>:\nKevin O&#39;Brien on 2017-10-05:\n\"Reply to b-yeezi\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2385#4\" target=\"_blank\">Comment 4</a>:\nKevin O&#39;Brien on 2017-10-05:\n\"Reply to Bob\"</li></ul><br/>\n</li></ul>\n<p>There are 18 comments on 9 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2394#comments\" target=\"_blank\">hpr2394</a></strong>\n(2017-10-05) \"<em>The Lost Episode</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2394#1\" target=\"_blank\">Comment 1</a>:\nNYbill on 2017-11-04:\n\"New Version\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2394#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2017-11-04:\n\"&quot;Then I can do a followup to this episode.&quot;\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2394#3\" target=\"_blank\">Comment 3</a>:\nNYbill on 2017-11-04:\n\"Oi!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2396#comments\" target=\"_blank\">hpr2396</a></strong>\n(2017-10-09) \"<em>Information Underground: State of independence</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2396#1\" target=\"_blank\">Comment 1</a>:\nTheDUDE on 2017-11-04:\n\"The struggle is real\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2397#comments\" target=\"_blank\">hpr2397</a></strong>\n(2017-10-10) \"<em>The Urban Astronomer</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2397#1\" target=\"_blank\">Comment 1</a>:\nKevin O&#39;Brien on 2017-11-04:\n\"Enjoyed this show\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2397#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-11-04:\n\"Thanks Kevin\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2398#comments\" target=\"_blank\">hpr2398</a></strong>\n(2017-10-11) \"<em>AutoHotkey Master of Automation ?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2398#1\" target=\"_blank\">Comment 1</a>:\nWindigo on 2017-11-04:\n\"Legalese\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2399#comments\" target=\"_blank\">hpr2399</a></strong>\n(2017-10-12) \"<em>Using Super Glue to create Landmarks on Keyboards</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2399#1\" target=\"_blank\">Comment 1</a>:\njan on 2017-11-04:\n\"hpr2399\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2399#2\" target=\"_blank\">Comment 2</a>:\ndodddummy on 2017-11-04:\n\"Shows on the mainframe\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2399#3\" target=\"_blank\">Comment 3</a>:\nShane Shennan on 2017-11-04:\n\"Great Episode!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2402#comments\" target=\"_blank\">hpr2402</a></strong>\n(2017-10-17) \"<em>Petition: the card game for fanatics</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2402#1\" target=\"_blank\">Comment 1</a>:\nmcnalu on 2017-11-04:\n\"Intriguing\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2404#comments\" target=\"_blank\">hpr2404</a></strong>\n(2017-10-19) \"<em>Open Source Gaming #1: Meridian59</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0354.html\" target=\"_blank\">TheDUDE</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2404#1\" target=\"_blank\">Comment 1</a>:\nTheDUDE on 2017-11-04:\n\"More Links\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2405#comments\" target=\"_blank\">hpr2405</a></strong>\n(2017-10-20) \"<em>Nokia 6 Review</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2405#1\" target=\"_blank\">Comment 1</a>:\nQuvmoh on 2017-11-04:\n\"Great show\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2407#comments\" target=\"_blank\">hpr2407</a></strong>\n(2017-10-24) \"<em>The Lost Episode Part 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2407#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2017-11-04:\n\"avrdude, fuses, clone programmers etc.\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2407#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2017-11-04:\n\"Ordered\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2407#3\" target=\"_blank\">Comment 3</a>:\nNYbill on 2017-11-04:\n\"Thanks, Mike.\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2407#4\" target=\"_blank\">Comment 4</a>:\nNYbill on 2017-11-04:\n\"Nice ken.\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2407#5\" target=\"_blank\">Comment 5</a>:\nNYbill on 2017-11-04:\n\"...We will expect a show about the build, Ken.\"</li></ul><br/>\n</li></ul>\n\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available on the HPR server under\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-October/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-October/thread.html</a>\n\n\n<h2>Any other business</h2>\n<h3 id=\"hpr-shows-on-archive.org\">HPR Shows on <code>archive.org</code></h3>\n<p>HPR show notes which contain images or which link to other files are something we encourage. However, when uploading these to the Internet Archive (IA) at <code>archive.org</code> there are a number of issues:</p>\n<ul>\n<li><p>If a file has been submitted as part of the original HPR upload we copy it to <code>archive.org</code> and use the URL of the copy in the notes. This mechanism has been added in the past few months and seems to be working fine.</p></li>\n<li><p>If the notes for a show contain links to external files these do not always seem to be accessible through the <code>archive.org</code> interface. For example, the recent show <a href=\"https://hackerpublicradio.org/eps.php?id=2406\">2406</a> links to an image showing the cabling of a CAT6 plug, but the <code>archive.org</code> copy did not show this image (though it does now - see below).</p></li>\n<li><p>One way of dealing with the issue of external files would be to make a copy and place it on the HPR site, then it would be uploaded to the IA as described earlier. This might have copyright issues though.</p></li>\n<li><p>Another way would be to point to a copy on the Wayback Machine (WM). Sometimes the file has been copied there already, or it is possible to request that the WM snapshot it. This is what was done for the IA copy of <a href=\"https://archive.org/details/hpr2406\">show 2406</a>. However, it was a manual process and therefore rather labour-intensive, which is not ideal.</p></li>\n</ul>\n<p>Any suggestions on how to deal with this situation would be appreciated.</p>\n<!--\nvim: syntax=markdown:ts=8:sw=4:ai:et:tw=78:fo=tcqn:fdm=marker\n-->\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2129,'2016-09-29','Gnu Awk - Part 2',1598,'We examine how Awk works, records and fields, printing and program files','<h1 id=\"gnu-awk---part-2\">Gnu Awk - Part 2</h1>\r\n<p>This is the second episode in a series where <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" title=\"b-yeezi\">b-yeezi</a> and I will be looking at the <code>AWK</code> language (more particularly its GNU variant <code>gawk</code>). It is a comprehensive interpreted scripting language designed to be used for manipulating text.</p>\r\n<p>I have written out a moderately long set of notes for this episode and these are available here <a href=\"https://hackerpublicradio.org/eps/hpr2129/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2129/full_shownotes.html</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><em>GNU Awk User’s Guide</em>: <a href=\"https://www.gnu.org/software/gawk/manual/html_node/index.html\" class=\"uri\">https://www.gnu.org/software/gawk/manual/html_node/index.html</a></li>\r\n<li><em>Awk - A Tutorial and Introduction</em>: <a href=\"https://www.grymoire.com/Unix/Awk.html\" class=\"uri\">https://www.grymoire.com/Unix/Awk.html</a></li>\r\n<li>Wikipedia article on <em>AWK</em>: <a href=\"https://en.wikipedia.org/wiki/AWK\" class=\"uri\">https://en.wikipedia.org/wiki/AWK</a></li>\r\n<li>Alfred V. Aho, Brian W. Kernighan, Peter J. Weinberger (1988). <em>The AWK Programming Language</em>. Addison-Wesley Publishing Company. ISBN 9780201079814</li>\r\n<li>Previous show on HPR:\r\n<ul>\r\n<li>“<em>Gnu Awk - Part 1</em>”: <a href=\"https://hackerpublicradio.org/eps.php?id=2114\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=2114</a></li>\r\n</ul></li>\r\n<li>Resources:\r\n<ul>\r\n<li>Example data file 1 - whitespace delimited “<code>file1.txt</code>”: <a href=\"https://hackerpublicradio.org/eps/hpr2129/file1.txt\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2129/file1.txt</a></li>\r\n<li>Example data file 1 - comma delimited “<code>file1.csv</code>”: <a href=\"https://hackerpublicradio.org/eps/hpr2129/file1.csv\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2129/file1.csv</a></li>\r\n<li>Example Awk file 1 “<code>example1.awk</code>”: <a href=\"https://hackerpublicradio.org/eps/hpr2129/example1.awk\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2129/example1.awk</a></li>\r\n<li>Example Awk file 2 “<code>example2.awk</code>”: <a href=\"https://hackerpublicradio.org/eps/hpr2129/example2.awk\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2129/example2.awk</a></li>\r\n</ul></li>\r\n</ul>\r\n',225,94,1,'CC-BY-SA','Awk utility, Awk language, gawk, text manipulation',0,0,1),
(2134,'2016-10-06','Shutdown Sequence Systemd',888,'Klaatu demonstrates how to sequence systemd shutdown processes','<p>Set up a service to trigger FIRST (this would be the shutdown service):\r\n</p>\r\n\r\n<pre>\r\n# cat /lib/systemd/system/fakehalt.service\r\n\r\n[Unit]\r\nDescription=Fake-Halt Service\r\nAfter=fakevm.service\r\nRequires=fakevm.service\r\n\r\n[Service]\r\nType=simple\r\nExecStart=/usr/local/bin/fakehalt.sh #this will fail until fakevm succeeds\r\nExecReload=/usr/local/bin/fakehalt.sh\r\n</pre>\r\n\r\n<p>\r\nAnd then set up the one that you want to run and complete BEFORE shutdown is permitted:</p>\r\n\r\n<!-- Comment below changed from /lib/systemd/system/fake.service -->\r\n<pre>\r\n# cat /lib/systemd/system/fakevm.service\r\n[Unit]\r\nDescription=Fake Service\r\nBefore=fakehalt.service\r\n\r\n[Service]\r\nType=simple\r\nExecStart=/usr/local/bin/fake.sh\r\n</pre>\r\n\r\n<p>\r\nCreate a script to represent the VM shutdown (or any process that you cannot anticipate the duration of)</p>\r\n\r\n<pre>\r\n# cat /usr/local/bin/fake.sh\r\n#!/bin/sh\r\n\r\ntest=\"1\"\r\nsleep 21\r\nif [ X\"$test\" = \"X1\" ]; then\r\n    echo \"vm has shut down\" > /tmp/fake.test\r\n    exit 0\r\nelse \r\n    exit 1\r\nfi\r\n</pre>\r\n\r\n<p>\r\nAnd a script to pass for a shutdown signal:\r\n</p>\r\n\r\n<pre>\r\n# cat /usr/local/bin/fakehalt.sh\r\n#!/bin/sh\r\n\r\nsleep 3\r\ncat /tmp/vmfake.test > /tmp/haltfake.test\r\n</pre>\r\n\r\n<p>\r\nStart the service you want to happen AFTER the first one:\r\n</p>\r\n\r\n<pre>\r\n# systemctl start fakehalt\r\n</pre>\r\n\r\n<p>\r\nWhat \"should\" happen is that fakehalt will fail to find a file called /tmp/fake.test to cat from, and so everything should go horribly wrong.\r\n</p><p>\r\nWhat actually happens is that systemd places fakehalt service on hold until it gets an exit 0 signal from the fake service. So if you wait 21 seconds and cat /tmp/fakehalt.test, you see that the cat from a file that did not exist when fakehalt was started - actually succeeded.\r\n</p>\r\n',78,0,1,'CC-BY-SA','systemd,service',0,0,1),
(2141,'2016-10-17','Make Web Python with Flask',2193,'Klaatu talks about Flask, a Python-based web microframework','<p>Klaatu talks about the Python web framework, Flask. Think Ruby-on-Rails but for Python, or a lightweight Django.</p>\r\n<p>Links in this show:</p>\r\n<ul>\r\n<li><p><a href=\"https://pip.pypa.io/en/stable/installing/\" class=\"uri\">https://pip.pypa.io/en/stable/installing/</a></p></li>\r\n<li><p><a href=\"https://flask.pocoo.org/\" class=\"uri\">https://flask.pocoo.org/</a></p></li>\r\n</ul>\r\n',78,0,1,'CC-BY-SA','Python,Flask,web framework',0,0,1),
(2146,'2016-10-24','Cards Against Humanity Tabletop Game',1231,'Klaatu reviews Cards Against Humanity','<p>Klaatu reviews the tabletop game, Cards Against Humanity. This is a non-offensive episode, so you can listen to it regardless of your feelings about the game.</p>\r\n',78,95,1,'CC-BY-SA','game,gaming,tabletop game,card,boardgame',0,0,1),
(2152,'2016-11-01','Apples to Apples Tabletop Game',821,'Klaatu reviews Apples to Apples, a tabletop card game','<p>Klaatu reviews and ponders the game mechanics of Apples to Apples, and how they do and do not compare to Cards Against Humanity.</p>\r\n',78,95,0,'CC-BY-SA','game,gaming,tabletop game,card',0,0,1),
(2120,'2016-09-16','WEBDUMP wmap EyeWitness phantomjs selenium',677,'Automate the process of finding unique websites, removing dupes and getting screenshots','<ul>\r\n<li><p>video<br />\r\n<a href=\"https://vimeo.com/180974163\" class=\"uri\">https://vimeo.com/180974163</a></p></li>\r\n<li><p>video for Burp suite wmap Change Request Method Active Scanner<br />\r\n<a href=\"https://vimeo.com/178749543\" class=\"uri\">https://vimeo.com/178749543</a></p></li>\r\n<li><p>Cygwin webdump script that uses curl,sed,gawk ( needs to auto detect https or http.. only supports https on port 443 …)<br />\r\n<a href=\"https://rmccurdy.com/scripts/WEBDUMP_BURP\" class=\"uri\">https://rmccurdy.com/scripts/WEBDUMP_BURP</a></p></li>\r\n<li><p>eyewitness<br />\r\n<a href=\"https://github.com/ChrisTruncer/EyeWitness\" class=\"uri\">https://github.com/ChrisTruncer/EyeWitness</a></p></li>\r\n</ul>',36,0,0,'CC-0','curl,sed,gawk,Burp Suite,EyeWitness,MetaSploit,wmap',0,0,1),
(2128,'2016-09-28','Various glass bottle cutting methods',857,'This episode I chat briefly about glass bottle cutting and my experiences with it.','<p>This episode describes various methods of glass bottle cutting and my experience</p>\n',36,0,0,'CC-BY-SA','glass,glass cutting,bottle cutting',0,0,1),
(2140,'2016-10-14','Vim Plugins I Use',1590,'In this episode, I talk about vim plugins as I drive home from work','<h2 id=\"vim-plugins-i-use\">Vim Plugins I Use</h2>\r\n<ul>\r\n<li><a href=\"https://github.com/tpope/vim-pathogen.git\">vim-pathogen</a></li>\r\n<li><a href=\"https://github.com/tpope/vim-unimpaired.git\">vim-unimpaired</a></li>\r\n<li><a href=\"https://github.com/tpope/vim-surround.git\">vim-surround</a></li>\r\n<li><a href=\"https://github.com/tpope/vim-speeddating.git\">vim-speeddating</a></li>\r\n<li><a href=\"https://github.com/tpope/vim-repeat.git\">vim-repeat</a></li>\r\n<li><a href=\"https://github.com/plasticboy/vim-markdown.git\">vim-markdown</a></li>\r\n<li><a href=\"https://www.vim.org/scripts/script.php?script_id=2226\">vimwiki</a></li>\r\n<li><a href=\"https://github.com/chrisbra/csv.vim.git\">csv.vim</a></li>\r\n<li><a href=\"https://github.com/vim-airline/vim-airline.git\">vim-airline</a></li>\r\n<li><a href=\"https://github.com/vim-scripts/Align.git\">align.vim</a></li>\r\n<li><a href=\"https://github.com/godlygeek/tabular.git\">tabular</a></li>\r\n<li><a href=\"https://github.com/scrooloose/nerdtree.git\">nerdtree</a></li>\r\n<li><a href=\"https://github.com/scrooloose/nerdcommenter.git\">nerdcommenter</a></li>\r\n<li><a href=\"https://github.com/ctrlpvim/ctrlp.vim.git\">ctrlp</a></li>\r\n<li><a href=\"https://github.com/niklasl/vim-rdf.git\">vim-rdf</a></li>\r\n</ul>\r\n',300,82,0,'CC-BY-SA','vim,plugin',0,0,1),
(2130,'2016-09-30','Git push to two repositories at once',1464,'Klaatu demonstrates how to perform one git push to two separate repositories','<ol type=\"1\">\r\n<li><p>Set up your git remotes (‘origin’ and ‘foo’)</p></li>\r\n<li><p>Create a new remote (‘all’) entry to encompass the existing targets</p></li>\r\n<li><p>Adjust ssh config as needed</p></li>\r\n<li><p>git push all HEAD</p></li>\r\n</ol>\r\n',78,81,0,'CC-BY-SA','git,git push,multiple repositories',0,0,1),
(2159,'2016-11-10','Coup Tabletop Game',937,'Klaatu raves about the tabletop game, Coup','<p><a href=\"https://www.kickstarter.com/projects/2012515236/coup-bluff-and-deception-in-the-world-of-the-resis\" class=\"uri\">https://www.kickstarter.com/projects/2012515236/coup-bluff-and-deception-in-the-world-of-the-resis</a></p>\r\n',78,95,0,'CC-BY-SA','game,gaming,tabletop game',0,0,1),
(2164,'2016-11-17','Skipbo Tabletop Game',1331,'Klaatu talks about the surprisingly amazing game from Mattel','<p>Game design by Hazel \"Skip\" Bowman.</p>\r\n<p><a href=\"https://boardgamegeek.com/boardgame/1269/skip-bo\" class=\"uri\">https://boardgamegeek.com/boardgame/1269/skip-bo</a></p>\r\n',78,95,0,'CC-BY-SA','game,gaming,tabletop game',0,0,1),
(2133,'2016-10-05','Compression technology part 1',1200,'Introduction to data reduction methods: Run-Length-Encoding','<p>\r\nFax (short for facsimile), sometimes called telecopying or telefax (the latter short for telefacsimile), is the telephonic transmission of scanned printed material (both text and images), normally to a telephone number connected to a printer or other output device. The original document is scanned with a fax machine (or a telecopier), which processes the contents (text or images) as a single fixed graphic image, converting it into a bitmap, and then transmitting it through the telephone system in the form of audio-frequency tones. The receiving fax machine interprets the tones and reconstructs the image, printing a paper copy.[1] Early systems used direct conversions of image darkness to audio tone in a continuous or analog manner. Since the 1980s, most machines modulate the transmitted audio frequencies using a digital representation of the page which is compressed to quickly transmit areas which are all-white or all-black.\r\n</p>\r\n<p>\r\n<a href=\"https://en.wikipedia.org/wiki/Fax\">https://en.wikipedia.org/wiki/Fax</a>\r\n</p>\r\n<p>\r\nRun-length encoding (RLE) is a very simple form of lossless data compression in which runs of data (that is, sequences in which the same data value occurs in many consecutive data elements) are stored as a single data value and count, rather than as the original run. This is most useful on data that contains many such runs. Consider, for example, simple graphic images such as icons, line drawings, and animations. It is not useful with files that don\'t have many runs as it could greatly increase the file size.\r\n</p>\r\n<p>\r\nRLE may also be used to refer to an early graphics file format supported by CompuServe for compressing black and white images, but was widely supplanted by their later Graphics Interchange Format. RLE also refers to a little-used image format in Windows 3.x, with the extension rle, which is a Run Length Encoded Bitmap, used to compress the Windows 3.x startup screen.\r\n</p>\r\n<p>\r\nTypical applications of this encoding are when the source information comprises long substrings of the same character or binary digit.\r\n</p>\r\n<p>\r\n<a href=\"https://en.wikipedia.org/wiki/Run-length_encoding\">https://en.wikipedia.org/wiki/Run-length_encoding</a>\r\n</p>',343,0,0,'CC-BY-SA','compression',0,0,1),
(2135,'2016-10-07','Audio speedup script',1679,'I want to speed up some of my podcasts and truncate silence in them too so I wrote a script to do it','<h1 id=\"audio-speedup-script\">Audio speedup script</h1>\r\n<p>Back in 2015 Ken Fallon did a show (episode <a href=\"https://hackerpublicradio.org/eps.php?id=1766\" title=\"The Sox of Silence\">1766</a>) on how to use <code>sox</code> to truncate silence and speed up audio.</p>\r\n<p>Inspired by this I wrote a Bash script to aid my use of the technique, which I thought I’d share with you.</p>\r\n<p>I have written out detailed notes for this episode describing the script and examining how it works and these are available here <a href=\"https://hackerpublicradio.org/eps/hpr2135/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2135/full_shownotes.html</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>HPR show 1766 “<em>The Sox of Silence</em>”: <a href=\"https://hackerpublicradio.org/eps.php?id=1766\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1766</a></li>\r\n<li>Original article on doing clever things with <strong>sox</strong>: <a href=\"https://digitalcardboard.com/blog/2009/08/25/the-sox-of-silence/\" class=\"uri\">https://digitalcardboard.com/blog/2009/08/25/the-sox-of-silence/</a></li>\r\n<li>The <code>speedup</code> script for download: <a href=\"https://hackerpublicradio.org/eps/hpr2135/speedup\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2135/speedup</a></li>\r\n<li>The repository containing the <code>speedup</code> script on GitLab: <a href=\"https://gitlab.com/davmo/hprmisc\" class=\"uri\">https://gitlab.com/davmo/hprmisc</a></li>\r\n</ul>\r\n',225,42,1,'CC-BY-SA','bash,sox,speed',0,0,1),
(2137,'2016-10-11','Pause All The Things, Sega Genesis',379,'Learn how to create a hardware pause switch for the sega genesis','<p>\r\nCorrection, the microcontroller would have to watch the vertical sync, I misspoke.\r\n</p>\r\n<p>\r\n<img width=\"80%\" src=\"https://theadesilva.com/hpr_segapause.jpg\" alt=\"Pausing the Sega Genesis\" />\r\n</p>\r\n',115,0,0,'CC-BY-SA','genesis, pause console',0,0,1),
(2138,'2016-10-12','Hack the Box with Bandit',893,'NYbill talks about a Linux \'War Game\' called Bandit.','<p>NYbill talks about a Linux ‘War Game’ called Bandit.</p>\r\n<p><a href=\"https://overthewire.org/wargames/bandit/\" class=\"uri\">https://overthewire.org/wargames/bandit/</a></p>',235,0,0,'CC-BY-SA','Linux,wargame,Bandit',0,0,1),
(2139,'2016-10-13','From Org Mode to LaTeX Beamer to PDF',454,'My presentation pipeline','<!-- Processed by make_markdown V0.0.4 -->\r\n<p>I have recently been fortunate enough to give a presentation to two conferences, PyCon Australia and Kiwi Pycon, the Australian and New Zealand Python conferences, respectively. I\'m not going to give a talk based around the presentation, as it\'s rather code heavy, and we know that doesn\'t translate well to an audio medium.</p>\r\n<p>Instead, what I wanted to do, was to talk a little bit about the presentation pipeline that I used to prepare this talk. The input is a plain text file, edited in Emacs, using a mode called Org mode. The intermediate form is a LaTeX file, using the document class Beamer which is designed for presentations that are going to be projected. Beamer is apparently the German word for digital projector. The final output form is a plain PDF.</p>\r\n<p>HPR isn\'t known for having many Emacs talks, so I should probably explain the idea of modes. Emacs has major modes and minor modes. For every document that you\'re editing there\'s one major mode, and any number of minor modes. So if I was editing a Python file for example, I would have the Python major mode which understands Python and can thus do Python specific things like Python code completion, and I would have a spell checker minor mode to check the spelling of comments, and another minor mode to automatically line wrap comment lines that are very long, and another minor mode to show what line number I\'m currently editing, and another minor mode to blink the cursor and so on.</p>\r\n<p>The other topic that I haven\'t heard too much on is LaTeX. LaTex is the venerable typesetting solution for Unix based systems. LaTeX documents have a single document class, and then any number of packages. In the case of my presentation, the document class is Beamer, which sets up all the margins and fonts to be good for presentations. Some of the packages I\'m using are the symbols package, for arrows and maths symbols, and several graphics packages so I can draw trees in my slides.</p>\r\n<p>I\'m fairly comfortable with LaTeX, I could certainly write this presentation directly in LaTeX, but I think there are some advantages in using Org mode to generate my LaTeX instead.</p>\r\n<p>As the name suggests, Org mode is designed to be an organisational mode, helping you write TODO lists and organise documents. While the document is just a plain text document that you can read and write with any text editor, the Emacs Org mode understands its own mark up and provides an outlining mode, where you can hide and expand trees of bullet points. The basic layout of a set of slides for a presentation is a tree of bullet points, where the top level bullet points are slides, and the second level of bullet points are lists of information put into each slide.</p>\r\n<p>Another mark up that Org mode understands is that of code blocks, so that we can easily say ``this chunk of code is a Python block\'\'. Org mode understands how to export this Python code block as a separate file, run it under Python, and can even insert the output of the program, or the result of a function, back into the original document as a code output block.</p>\r\n<p>The advantage of having just one file for my presentation, versus one file for my presentation and a separate file for each code block, is that the code examples in my presentation never get out of sync with the code that I\'m actually running. This style of programming where the documentation is the primary document, and the code files are generated, secondary documents, is the inverse of the typical way of programming where the code documents are the primary documents, and documentation, the secondary documents, are automatically generated.</p>\r\n<p>This style of programming, where the primary document is documentation is called literate programming. The process of creating the documentation (the PDF in my case) is called weaving. The process of creating the code files is called tangling.</p>\r\n<p>I really like having just one file to generate one PDF presentation file, so I\'m going to keep using this technique in the future.</p>\r\n<p>Now, I have to admit that my presentation is not completely literate, there are some bits of output in my presentation that are copied and pasted, rather than automatically gathered, so I\'ve still got some work to do.</p>\r\n<p>Down to brass tacks. The conventional file name extension for Org mode files is dot org. The typical metadata you put in presentations are Author, Email, and Title. In mine I\'ve also added Subtitle and Institute. Now, the interesting one here is Institute, for whatever reason, it\'s not a piece of metadata that Org mode knows about, but it\'s really easy to drop down into LaTeX and just use the LaTeX institute command directly.</p>\r\n<p>There\'s a metadata line that Org understands called Options, I request that my presentation has a table of contents, and that all the bullet points of level two become line items in that table of contents. Then I\'m straight into the slides. Bullet points at the first level are converted to sections, bullet points at the second level are turned into slides, and anything deeper than that are turned into contents of that slide. I have many code blocks, and I use options that specify what file this code block is tangled to, and to leave the white space alone when the code block is exported, as white space is critical to Python. I also turn on an option that gets line numbers printed for the code blocks. In a couple of places where I want to highlight certain areas of the code, I add labels to the code, then outside the code block I can refer to the label, and LaTeX will replace this with the line number. I think I\'d prefer to do this referencing with highlighting, or an arrow or something, but I\'m not sure I can do that.</p>\r\n<p>Engineering is the process of dealing with tradeoffs to get something done, there are many trade offs when writing code to solve a problem, writing code for slides has quite a different set of tradeoffs, you want code to be easy to read, in terms of using long variable names, but you also need code blocks to contain as few lines as possible, so that you can use a large font size on the projector, and you also don\'t want to have to split an example across multiple slides if you can help it. I\'m also of the view that syntax highlighting is a waste of time, it\'s just a pretty layer of obfuscation that the mind has to understand, then drop in order to actually see the code. This stance of mine was vindicated when several presenters with syntax highlighted code realised on the day that the projected code was impossible to read due to the low contrast projectors used in a reasonably well lit room.</p>\r\n<p>One feature that I would like to add is the ability to reveal new code. It\'s quite common to have a code block, reveal a problem with it, and display the same code block again, but with a minor change that fixes the previously explained problem. Ideally the old code and new code would be rendered differently, but I don\'t think that\'s an option right now. The other thing that I couldn\'t work out was how to run custom programs on my code blocks, I was wanting to run the Python unit test program, not the Python interpreter, and could not find a way to do that.</p>\r\n<p>There\'s a single command to run inside Emacs to create the output PDF, <code>M-x org-beamer-export-as-pdf</code>.</p>\r\n<p>So, overall, I\'m very happy with this pipeline. It lets me have a primary document with code snippets, and it lets me have LaTeX snippets wherever I like. It\'s not perfect, but I\'m hoping to find ways to improve it.</p>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://orgmode.org/\" class=\"uri\">https://orgmode.org/</a></li>\r\n<li><a href=\"https://github.com/josephwright/beamer\" class=\"uri\">https://github.com/josephwright/beamer</a></li>\r\n</ul>\r\n',315,0,1,'CC-BY-SA','emacs, org mode, LaTeX, Beamer',0,0,1),
(2142,'2016-10-18','Book Reviews',937,'I take a brief look at two books others may find of interest.','<p>It\'s been a while since I submitted a show due to time constraints. I was actually feeling pretty bad when I recorded the show, so my voice may not be as loud as usual.</p>\r\n<p>The first book I talk about is &quot;Hacker Culture&quot; by Douglas Thomas</p>\r\n<p><a href=\"https://www.amazon.com/Hacker-Culture-Douglas-Thomas/dp/0816633460/ref=sr_1_1?ie=UTF8&amp;qid=1474232379&amp;sr=8-1&amp;keywords=hacker+culture\" class=\"uri\">https://www.amazon.com/Hacker-Culture-Douglas-Thomas/dp/0816633460/ref=sr_1_1?ie=UTF8&amp;qid=1474232379&amp;sr=8-1&amp;keywords=hacker+culture</a></p>\r\n<p>The second book is &quot;A History of Modern Computing&quot; by Paul E. Ceruzzi</p>\r\n<p><a href=\"https://www.amazon.com/History-Modern-Computing-ebook/dp/0262032554/ref=sr_1_1?s=books&amp;ie=UTF8&amp;qid=1474232397&amp;sr=1-1&amp;keywords=history+of+modern+computing\" class=\"uri\">https://www.amazon.com/History-Modern-Computing-ebook/dp/0262032554/ref=sr_1_1?s=books&amp;ie=UTF8&amp;qid=1474232397&amp;sr=1-1&amp;keywords=history+of+modern+computing</a></p>\r\n',325,0,1,'CC-BY-SA','Books, Book Reviews, Hacker Culture, History',0,0,1),
(2143,'2016-10-19','Gnu Awk - Part 3',1864,'In this episode, I go into more advanced topics for the awk tool.','<h1 id=\"awk-part-3\">Awk Part 3</h1>\r\n<p>Remember our file:</p>\r\n<pre><code>name       color  amount\r\napple      red    4\r\nbanana     yellow 6\r\nstrawberry red    3\r\ngrape      purple 10\r\napple      green  8\r\nplum       purple 2\r\nkiwi       brown  4\r\npotato     brown  9\r\npineapple  yellow 5</code></pre>\r\n<h2 id=\"replace-grep\">Replace Grep</h2>\r\n<p>As we saw in earlier episodes, we can use awk to filter for rows that match a pattern or text. If you know the grep command, you know that it does the same function, but has extended capabilities. For simple filter, you don\'t need to pipe grep outputs to awk. You can just filter in awk.</p>\r\n<h2 id=\"logical-operators\">Logical Operators</h2>\r\n<p>You can use logical operators &quot;and&quot; and &quot;or&quot; represented as &quot;&amp;&amp;&quot; and &quot;||&quot;, respectively. See example:</p>\r\n<pre><code>$2 == &quot;purple&quot; &amp;&amp; $3 &lt; 5 {print $1}</code></pre>\r\n<p>Here, we are selecting for color to to equal &quot;purple&quot; AND amount less than 5.</p>\r\n<h2 id=\"next-command\">Next command</h2>\r\n<p>Say we want to flag every record in our file where the amount is greater than or equal to 8 with a \'**\'. Every record between 5 (inclusive) and 8, we want to flag with a \'*\'. We can use consecutive filter commands, but there affects will be additive. To remedy this, we can use the &quot;next&quot; command. This tells awk that after the action is taken, proceed to the next record. See the following example:</p>\r\n<pre><code>NR == 1 {\r\n  print $0;\r\n  next;\r\n}\r\n\r\n$3 &gt;= 8 {\r\n  printf &quot;%s\\t%s\\n&quot;, $0, &quot;**&quot;;\r\n  next;\r\n}\r\n\r\n$3 &gt;= 5 {\r\n  printf &quot;%s\\t%s\\n&quot;, $0, &quot;*&quot;;\r\n  next;\r\n}\r\n\r\n$3 &lt; 5 {\r\n  print $0;\r\n}</code></pre>\r\n<h2 id=\"end-command\">End Command</h2>\r\n<p>The &quot;BEGIN&quot; and &quot;END&quot; commands allow you to do actions before and after awk does its actions. For instance, sometimes we want to evaluate all records, then print the cumulative results. In this example, we pipe the output of the df command into awk. Our command is:</p>\r\n<pre><code>df -l | awk -f end.awk</code></pre>\r\n<p>Our awk file looks like this:</p>\r\n<pre><code>$1 != &quot;tmpfs&quot; {\r\n    used += $3;\r\n    available += $4;\r\n}\r\n\r\nEND {\r\n    printf &quot;%d GiB used\\n%d GiB available\\n&quot;, used/2^20, available/2^20;\r\n}</code></pre>\r\n<p>Here, we are setting two variables, &quot;used&quot; and &quot;available&quot;. We add the records in the respective columns all together, then we print the totals.</p>\r\n<p>In the next example, we create a distinct list of colors from our file:</p>\r\n<pre><code>NR != 1 {\r\n    a[$2]++\r\n}\r\nEND {\r\n    for (b in a) {\r\n        print b\r\n    }\r\n}</code></pre>\r\n<p>This is a more advanced script. The details of which, we will get into in future episodes.</p>\r\n<h2 id=\"begin-command\">BEGIN command</h2>\r\n<p>Like stated above, the begin command lets us print and set variables before the awk command starts. For instance, we can set the input and output field separators inside our awk file as follows:</p>\r\n<pre><code>BEGIN {\r\n    FS=&quot;,&quot;;\r\n    OFS=&quot;,&quot;;\r\n    print &quot;color,count&quot;;\r\n}\r\nNR != 1 {\r\n    a[$2]+=1;\r\n}\r\nEND {\r\n    for (b in a) {\r\n        print b, a[b]\r\n    }\r\n}</code></pre>\r\n<p>In this example, we are finding the distinct count of colors in our csv file, and format the output in csv format as well. We will get into the details of how this script works in future episodes.</p>\r\n<p>For another example, instead of distinct count, we can get the sum of the amount column grouped by color:</p>\r\n<pre><code>BEGIN {\r\n    FS=&quot;,&quot;;\r\n    OFS=&quot;,&quot;;\r\n    print &quot;color,sum&quot;;\r\n}\r\nNR != 1 {\r\n    a[$2]+=$3;\r\n}\r\nEND {\r\n    for (b in a) {\r\n        print b, a[b]\r\n    }\r\n}</code></pre>\r\n',300,94,0,'CC-BY-SA','awk,bash,linux',0,0,1),
(2150,'2016-10-28','Apollo Guidance Computer',4381,'Francois Rautenbach tell us how he is hacking 50 year old computers','<p>\r\nIn this episode Ken chats with Francois Rautenbach who extracted the software from the Rope Memory modules of the long lost Apollo Guidance Computer used in Flight AS-202.\r\n</p>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr2150.jpg\" alt=\"the layout of the reader\" />\r\n<h3>Links:</h3>\r\n<ul>\r\n<li><a href=\"https://www.youtube.com/channel/UC1KeUTUd-fDv553C3UNr7xQ\">https://www.youtube.com/channel/UC1KeUTUd-fDv553C3UNr7xQ</a>\r\n</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Apollo_Guidance_Computer\">https://en.wikipedia.org/wiki/Apollo_Guidance_Computer</a>\r\n</li>\r\n<li><a href=\"https://lists.ibiblio.org/mailman/listinfo/apollo\">https://lists.ibiblio.org/mailman/listinfo/apollo</a>\r\n</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/UGM-27_Polaris\">https://en.wikipedia.org/wiki/UGM-27_Polaris</a>\r\n</li>\r\n<li><a\r\nhref=\"https://www.dollartimes.com/inflation/inflation.php?amount=1000&year=1960\">https://www.dollartimes.com/inflation/inflation.php?amount=1000&amp;year=1960</a>\r\n</li>\r\n<li><a href=\"https://www.springer.com/us/book/9781441908766\">https://www.springer.com/us/book/9781441908766</a>\r\n</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/AS-202\">https://en.wikipedia.org/wiki/AS-202</a>\r\n</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Apollo_4\">https://en.wikipedia.org/wiki/Apollo_4</a>\r\n</li>\r\n<li><a href=\"https://upload.wikimedia.org/wikipedia/commons/1/13/Agc_flatp.jpg\">https://upload.wikimedia.org/wikipedia/commons/1/13/Agc_flatp.jpg</a>\r\n</li>\r\n</ul>\r\n',30,78,0,'CC-BY-SA','Apollo, Space, Rope memory',0,0,1),
(2145,'2016-10-21','Daily notes and todo list with markdown',1490,'How I use markdown and git to keep up with what I do','<h4 id=\"using-markdown-and-git-to-store-your-todo-list-and-daily-journal\">Using Markdown and git to store your todo list and daily journal</h4>\r\n<h5 id=\"why-markdown\">Why markdown</h5>\r\n<ul>\r\n<li>No distractions</li>\r\n<li>Simple syntax</li>\r\n<li>Plain text, Human readable.</li>\r\n<li>Inline HTML</li>\r\n<li>Easy conversion to other formats</li>\r\n</ul>\r\n<h5 id=\"why-git\">Why git</h5>\r\n<ul>\r\n<li>Any SCM probably OK</li>\r\n<li>Github and Gitlab render markdown.</li>\r\n</ul>\r\n<h5 id=\"the-todo-page\">The todo page</h5>\r\n<pre><code>    # TODO\r\n\r\n    ### Can do now\r\n    * Bullet 1\r\n    * Bullet 2\r\n\r\n    ### Near term\r\n    1. Numbered 1\r\n    1. Numbered 2\r\n\r\n    ### Long term</code></pre>\r\n<h5 id=\"the-journal-script\">The journal script</h5>\r\n<pre><code>    DAILYFILE=&quot;/Users/norrist/Projects/todo/daily/$(/bin/date +%F).md&quot;\r\n    DAILYPATH=&quot;/Users/norrist/Projects/todo/daily/&quot;\r\n    LOCKFILE=&quot;/Users/norrist/Projects/todo/daily/LOCK&quot;\r\n    TODOFILE=&quot;/Users/norrist/Projects/todo/todo.md&quot;\r\n\r\n    if [ -f $LOCKFILE ]\r\n        then\r\n            echo &quot;$LOCKFILE PRESENT - ABORTING&quot;\r\n            read -n1 -p &quot;Remove and Continue? [y,n]&quot; doit\r\n                case $doit in\r\n                    y|Y) echo &quot;Continuing with $LOCKFILE PRESENT&quot; ;;\r\n                    *) exit 1 ;;\r\n                esac\r\n\r\n\r\n        else\r\n            echo &quot;NO LOKCFILE&quot;\r\n            touch $LOCKFILE\r\n\r\n    fi\r\n\r\n\r\n    if [ -f $DAILYFILE ]\r\n        then\r\n            echo &quot;$DAILYFILE exists&quot;\r\n        else\r\n            echo  &gt;&gt; $DAILYFILE\r\n            echo  &quot;-----&quot;&gt;&gt; $DAILYFILE\r\n            echo &quot;# $(/bin/date +%F)&quot; &gt;&gt; $DAILYFILE\r\n            echo  &gt;&gt; $DAILYFILE\r\n            echo &quot;### Projects&quot; &gt;&gt; $DAILYFILE\r\n            echo  &gt;&gt; $DAILYFILE\r\n            echo &quot;### Tickets&quot; &gt;&gt; $DAILYFILE\r\n            echo  &gt;&gt; $DAILYFILE\r\n            echo &quot;### Walkups&quot; &gt;&gt; $DAILYFILE\r\n    fi\r\n\r\n    /usr/local/bin/edit -w --new-window $DAILYFILE\r\n    /opt/local/bin/aspell -c $DAILYFILE\r\n    /opt/local/bin/aspell -c $TODOFILE\r\n\r\n    rm $LOCKFILE\r\n    rm $DAILYPATH/README.md\r\n\r\n    cat $TODOFILE &gt;&gt; $DAILYPATH/README.md\r\n\r\n    for f in $(ls  -r $DAILYPATH/2*md)\r\n     do cat $f &gt;&gt; $DAILYPATH/README.md\r\n     echo &gt;&gt;$DAILYPATH/README.md\r\n     done\r\n\r\n    cd /Users/norrist/Projects/todo; /usr/bin/git add . &amp;&amp; /usr/bin/git commit -m &quot;$(date)&quot; &amp;&amp; /usr/bin/git push origin master</code></pre>\r\n<h4 id=\"daily-file-template\">Daily file template</h4>\r\n<pre><code>    # 2016-08-02\r\n\r\n    -----\r\n\r\n    ### Projects\r\n\r\n    ### Tickets\r\n\r\n    ### Walkups</code></pre>\r\n<h5 id=\"aspell-is-awesome\">aspell is awesome</h5>\r\n',342,0,0,'CC-BY-SA','Markdown,git,Bash',0,0,1),
(2144,'2016-10-20','An Interview with All About Code at Manchester BarCamp',479,'This is a follow up interview with Josh as he has been busy since I last interviewed him ','<p>This is a follow up interview with Joshua Lowe as he has been very busy developing further python tools for the Raspberry Pi</p>\r\n<p><a href=\"https://www.allaboutcode.co.uk/\" class=\"uri\">https://www.allaboutcode.co.uk/</a></p>\r\n<p>The interview took place at BarCamp Manchester <a href=\"https://www.barcampmanchester.co.uk/\" class=\"uri\">https://www.barcampmanchester.co.uk/</a> on the 24th September 2016 after he had done a talk about EduBlocks his new project for programming in Python and part of his Edupython project.</p>\r\n<p><a href=\"https://www.edupython.co.uk/\" class=\"uri\">https://www.edupython.co.uk/</a></p>\r\n<p>Josh will be at <a href=\"https://mozillafestival.org/\" class=\"uri\">https://mozillafestival.org/</a> at the end of October and will be presenting his project again.</p>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.allaboutcode.co.uk/\" class=\"uri\">https://www.allaboutcode.co.uk/</a></li>\r\n<li><a href=\"https://www.barcampmanchester.co.uk/\" class=\"uri\">https://www.barcampmanchester.co.uk/</a></li>\r\n<li><a href=\"https://www.edupython.co.uk/\" class=\"uri\">https://www.edupython.co.uk/</a></li>\r\n<li><a href=\"https://mozillafestival.org/\" class=\"uri\">https://mozillafestival.org/</a></li>\r\n</ul>\r\n',338,78,0,'CC-BY-SA','BarCamp Manchester,Python,EduPython,EduBlocks,Raspberry Pi',0,0,1),
(2151,'2016-10-31','BarCamp Manchester part 2',541,'An interview with the Organiser and one of the sponsors of the Event','<p>\r\nAn Interview with Claire Dodd, the organiser of BarCamp Manchester\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.barcampmanchester.co.uk/\">https://www.barcampmanchester.co.uk/</a></li>\r\n</ul>\r\n\r\n<p>\r\nAn Interview with Damion of Layershift Hosting, one of the sponsors of BarCamp Manchester\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.layershift.com/\">https://www.layershift.com/</a></li>\r\n</ul>\r\n',338,78,0,'CC-BY-SA','BarCamp Manchester',0,0,1),
(2157,'2016-11-08','BarCamp Manchester part 3',504,'This is an interview with Alan O\'Donohoe which I did at BarCamp Manchester.','<!-- Processed by make_markdown V0.0.4 -->\r\n<p>This is an interview with Alan O\'Donohoe which I did at BarCamp Manchester. The links to his Twitter page and the Exa Foundation are as follows:</p>\r\n<ul>\r\n<li>Twitter: <span class=\"citation\" data-cites=\"teknoteacher\">@teknoteacher</span></li>\r\n<li>Exa Foundation: <a href=\"https://exa.foundation/\" class=\"uri\">https://exa.foundation/</a></li>\r\n</ul>\r\n',338,78,0,'CC-BY-SA','BarCamp Manchester',0,0,1),
(2170,'2016-11-25','soundtrap.io',1998,'A low-cost open-source acoustic logger for biodiversity and environmental monitoring.','<p>\r\nBack in <a href=\"https://hackerpublicradio.org/eps.php?id=1894\" target=\"_blank\">hpr1894 :: Interview with Davide Zilli and Dr Marianne Sinka of the HumBug Project</a>, the topic of an open-source acoustic logger came up. Today Ken tracks down Prof. Alex Rogers  from the Department of Computer Science at University of Oxford, to talk about the project.\r\n</p>\r\n<p>\r\nThe prototype device is based on the Silicon Labs Gecko processor range and provides a low-cost acoustic logger which can record uncompressed audio to an SD card at 48,000 samples per second. Onboard acoustic recognition algorithms allow the device to decide when and what to record, and allow the computation and storage of acoustic features and complexity indices, rather than raw waveforms.\r\n</p>\r\n<ul>\r\n  <li>EFM32 Gecko processor</li>\r\n  <li>WAV recordings to SD card</li>\r\n  <li>48,000 samples per second</li>\r\n  <li>Powered by 3 x AAA batteries</li>\r\n  <li>Analog MEMS microphone</li>\r\n  <li>Measures just 50 x 38 x 12 mm</li>\r\n  <li>Configurable USB interface</li>\r\n  <li>Onboard real time clock</li>\r\n</ul>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr2170.jpg\" width=\"100%\" alt=\"acoustic logger\" style =\"padding-top: 20px;\"/>\r\n\r\n<p>\r\n<a href=\"https://soundtrap.io/\" target=\"_blank\">https://soundtrap.io/</a>\r\n</p>',30,78,0,'CC-BY-SA','open source,open hardware,acoustic logger',0,0,1),
(2148,'2016-10-26','The DSO138 Oscilloscope Kit Part 2',791,'In this episode NYbill talks about finishing the DSO138 Oscilloscope kit.','<p>\r\nIn this episode NYbill talks about finishing the DSO138 Oscilloscope kit.\r\n</p>\r\n<p>\r\nThe DSO138 Oscilloscope Kit (part 1)\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2029\">https://hackerpublicradio.org/eps.php?id=2029</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\n3D printable case:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://www.thingiverse.com/thing:779159\">https://www.thingiverse.com/thing:779159</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nThe kit with pre-soldered SMD parts:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://tinyurl.com/j7sr9zy\">https://tinyurl.com/j7sr9zy</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nWithout pre-soldered parts:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://tinyurl.com/hxp3bz3\">https://tinyurl.com/hxp3bz3</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nThe forums:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://tinyurl.com/htq3tne\">https://tinyurl.com/htq3tne</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nPics for the episode:\r\n</p>\r\n\r\n<ul>\r\n<li><a href=\"https://media.gunmonkeynet.net/u/nybill/collection/the-dso138-oscilloscope-kit-part-2/\">https://media.gunmonkeynet.net/u/nybill/collection/the-dso138-oscilloscope-kit-part-2/</a>\r\n</li>\r\n</ul>',235,103,0,'CC-BY-SA','electronics,oscilloscope,kit,3D printing',0,0,1),
(2147,'2016-10-25','Glass cutting bottles',857,'You may have seen vases made from bottles and wondered how they cut the glass.','<p><a href=\"https://www.amazon.com/Diamond-Tech-Crafts-Bottle-Cutter/dp/B004ZRV3AU/ref=sr_1_8?ie=UTF8&amp;qid=147568599%204&amp;sr=8-8&amp;keywords=Glass+++Bottle+Cutters+++++Tool\">https://www.amazon.com/Diamond-Tech-Crafts-Bottle-Cutter/dp/B004ZRV3AU/ref=sr_1_8?ie=UTF8&amp;qid=147568599%204&amp;sr=8-8&amp;keywords=Glass+++Bottle+Cutters+++++Tool</a></p>\r\n',36,0,1,'CC-BY-SA','glass,glass cutting,bottle cutting',0,0,1),
(2149,'2016-10-27','What is in my Pentesting Bag?',1042,'I go over some of the items I use for my technical testing','<ul>\r\n<li><p>LAPTOP STAND:<br />\r\nMAGMA MGA75551 Laptop Stand Riser Flat-Tolding Lightweight DJ Stand</p></li>\r\n<li>Massage Pillow:\r\n<ul>\r\n<li>Zyllion</li>\r\n<li>ZMA-13-BK Shiatsu Massage Pillow with Heat</li>\r\n</ul></li>\r\n<li><p>Monster MP OTG400 BK Outlets To Go Power Strip - 4 AC Outlets - Black<br />\r\n<a href=\"https://www.amazon.com/product-reviews/B000F9YN2M\" class=\"uri\">https://www.amazon.com/product-reviews/B000F9YN2M</a></p></li>\r\n<li><p>Micro USB Retractable Cable<br />\r\n<a href=\"https://www.amazon.com/Micro-USB-Retractable-Cable-BlackBerry/dp/B007Z419BI/ref=sr_1_1?ie=UTF8&amp;qid=1475686376&amp;sr=8-1&amp;keywords=camcret\" class=\"uri\">https://www.amazon.com/Micro-USB-Retractable-Cable-BlackBerry/dp/B007Z419BI/ref=sr_1_1?ie=UTF8&amp;qid=1475686376&amp;sr=8-1&amp;keywords=camcret</a></p></li>\r\n<li><p>Kenu Airframe+ | Car Mount for Smartphones and Phablets | White<br />\r\n<a href=\"https://www.amazon.com/Kenu-Airframe-Mount-Smartphones-Phablets/dp/B0102OM024/ref=sr_1_8?ie=UTF8&amp;qid=1475686409&amp;sr=8-8&amp;keywords=kenu+car+mount\" class=\"uri\">https://www.amazon.com/Kenu-Airframe-Mount-Smartphones-Phablets/dp/B0102OM024/ref=sr_1_8?ie=UTF8&amp;qid=1475686409&amp;sr=8-8&amp;keywords=kenu+car+mount</a></p></li>\r\n<li><p><a href=\"https://hackaday.com/2014/08/13/diy-custom-molded-earbud-roundup/\" class=\"uri\">https://hackaday.com/2014/08/13/diy-custom-molded-earbud-roundup/</a></p></li>\r\n<li><p>Boxcave 78 Key Wired USB Mini Slim Keyboard<br />\r\n<a href=\"https://www.amazon.com/gp/product/B00EDI0WWQ/ref=oh_aui_detailpage_o06_s00?ie=UTF8&amp;psc=1\" class=\"uri\">https://www.amazon.com/gp/product/B00EDI0WWQ/ref=oh_aui_detailpage_o06_s00?ie=UTF8&amp;psc=1</a></p></li>\r\n<li><p>TripWorthy Travel Umbrella<br />\r\n<a href=\"https://www.amazon.com/TripWorthy-Travel-Umbrella-Lightweight-Professionals/dp/B01DYYNF00/ref=sr_1_2?s=pc&amp;ie=UTF8&amp;qid=1475686636&amp;sr=8-2&amp;keywords=kolumb+umbrella\" class=\"uri\">https://www.amazon.com/TripWorthy-Travel-Umbrella-Lightweight-Professionals/dp/B01DYYNF00/ref=sr_1_2?s=pc&amp;ie=UTF8&amp;qid=1475686636&amp;sr=8-2&amp;keywords=kolumb+umbrella</a></p></li>\r\n<li><p>mousejack/jackit<br />\r\n<a href=\"https://github.com/insecurityofthings/jackit\" class=\"uri\">https://github.com/insecurityofthings/jackit</a></p></li>\r\n<li><p>Best 5 in1 Locksmith Brand Best Credit Card Pick Car Lock Tool Lock pick<br />\r\n<a href=\"https://www.wish.com/search/pick#cid=569c8f6bdd248c11f24c2eff\" class=\"uri\">https://www.wish.com/search/pick#cid=569c8f6bdd248c11f24c2eff</a></p></li>\r\n<li><p>MiniPwner or the WiFi Pineapple, the #r00tabaga<br />\r\n<a href=\"https://acehackware.com/collections/hackware/products/ace-r00tabaga-multipwner\" class=\"uri\">https://acehackware.com/collections/hackware/products/ace-r00tabaga-multipwner</a></p></li>\r\n</ul>\r\n',36,0,1,'CC-BY-SA','penetration testing,tools',0,0,1),
(2168,'2016-11-23','Analogue Random Number Generation',2521,'Klaatu ponders analogue random number generation','<p>Klaatu talks about different ways of coming up with random numbers without electronics.\r\n</p>\r\n<p>\r\nDiscussed: dice, flipping through a book, sequential modulo, shifting tables, and <a href=\"https://gitlab.com/notklaatu/pocketdiceroller\" target=\"_blank\">pocketdiceroller</a>.</p>',78,0,0,'CC-BY-SA','game,gaming,tabletop,card,boardgame,random,number,math',0,0,1),
(2178,'2016-12-07','Dice Mixer',1583,'Klaatu reviews the Dice Mixer dice tower','<p>Klaatu reviews the <a href=\"https://dicemixer.com\" target=\"_blank\">Dice Mixer</a>.</p>\r\n\r\n<p>Spoiler&#58; it&#39;s really amazing and a heck of a lot of fun to put together.</p>\r\n\r\n<img src=\"https://i.imgur.com/aKdVfSH.jpg\" style=\"width: 500px;\" alt=\"Assembling the device\" />\r\n\r\n<img src=\"https://i.imgur.com/LXzPfGB.jpg\" style=\"width: 500px;\" alt=\"Dice Mixer built\" />\r\n',78,0,0,'CC-BY-SA','game,gaming,tabletop,card,boardgame,random,number',0,0,1),
(2174,'2016-12-01','Dungeoneer Tabletop Game',2560,'Klaatu reviews the Dungeoneer RPG card game','<p>\r\nKlaatu reviews the RPG card game, <a href=\"https://www.atlas-games.com/dungeoneer/\">Dungeoneer</a>, especially concentrating upon solitaire play.\r\n</p>\r\n<p>\r\nIf you&#39;re keen to play, you&#39;ll want to use Klaatu&#39;s re-write of the official rules, or his re-write and touch-up of the unofficial <a href=\"https://gitlab.com/notklaatu/dungeoneerfix\" target=\"_blank\">solo rules</a>. Neither of these are unique in themselves, but Klaatu humbly believes that they&#39;re a lot easier to comprehend than those online or in the box.</p>',78,95,0,'CC-BY-SA','game,gaming,tabletop,card,rpg',0,0,1),
(2155,'2016-11-04','Ohio LinuxFest 2016',1124,'My experience of Ohio LinuxFest 2016','<p>Ohio LinuxFest is an annual Linux and Open Source conference held in the fall in Columbus, Ohio, USA. This year it happened on October 7-8, and I was not only an attendee, but a speaker. This program is about my experiences there this year.</p>',198,0,0,'CC-BY-SA','Open Source, Linux',0,0,1),
(2154,'2016-11-03','Replacing a Bicycle Brake Cable',1769,'I replace the brake cable and housing on my 1985 Schwinn','<p>Part of my series of fixing stuff and wearing a microphone while I do it, listen along as I replace the brake cable and housing on my bicycle. For information about the tools I\'m using, check out my earlier episode about the tools in <a href=\"https://hackerpublicradio.org/eps.php?id=1804\">my bicycle repair toolbox</a>. Check the Flickr photo album below for pictures to go along with the narrative. Sorry I kept sniffling so much. Allergies were terrible. The church bells in the background are from Our Lady of Fatima Church, which is nearby. I remember Dave wondered about the church bells from a previous episode.</p>\r\n\r\n<p><a data-flickr-embed=\"true\"  href=\"https://www.flickr.com/photos/137675441@N05/albums/72157674993235205\" title=\"Bicycle Brake Cable Replacement \"><img src=\"https://c1.staticflickr.com/9/8551/29926829560_af3c232f6d.jpg\" width=\"500\" height=\"281\" alt=\"Bicycle Brake Cable Replacement \"/></a></p>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li><a href=\"https://hackerpublicradio.org/eps.php?id=1804\">hpr1804 :: What\'s in my Bicycle Repair Tool Box</a>\r\n	</li>\r\n</ul>\r\n',238,115,0,'CC-BY-SA','DIY, bicycles, brakes, repairs, bicycle maintenance, bikes',0,0,1),
(2153,'2016-11-02','Splitting a Block of Bees Wax',1101,'I need to split a block of bees wax','<p>\r\nI need to cut a block of wax...<br />\r\nI use a heat gun, some string, and a knife...<br />\r\nAlso some ramblings about other stuff.<br />\r\n</p>\r\n<p>\r\n<a href=\"https://hackerpublicradio.org/eps/hpr2153_large.png\" target=\"_blank\"><img src=\"https://hackerpublicradio.org/eps/hpr2153_small.png\" alt=\"photo fo the bees wax block\"  /></a>\r\n</p>\r\n',329,0,1,'CC-BY-SA','heat, cutting, diy',0,0,1),
(2158,'2016-11-09','Art Club',372,'Have fun learning about art with your friends','<p><a href=\"https://www.toledomuseum.org/\" class=\"uri\">https://www.toledomuseum.org/</a></p>\r\n',326,0,0,'CC-BY-SA','art,art club,art museum',0,0,1);
INSERT INTO `eps` (`id`, `date`, `title`, `duration`, `summary`, `notes`, `hostid`, `series`, `explicit`, `license`, `tags`, `version`, `downloads`, `valid`) VALUES (2160,'2016-11-11','An Audio Illustration Tying the Bowline Knot',343,'David Whitman attempts an audio illustration of how to tie the bowline knot.','<p>The following is partial copy from Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Bowline\" class=\"uri\">https://en.wikipedia.org/wiki/Bowline</a></p>\r\n<p>&quot;The bowline (/&#x2c8;bo&#x28a;l&#x26a;n/ or /&#x2c8;bo&#x28a;la&#x26a;n/)[1] is an ancient and simple knot used to form a fixed loop at the end of a rope. It has the virtues of being both easy to tie and untie; most notably, it is easy to untie after being subjected to a load. The bowline is sometimes referred as King of the knots because of its importance. It is one of the four basic maritime knots (the other three are figure-eight knot, reef knot and clove hitch).</p>\r\n<p>The structure of the bowline is identical to that of the sheet bend, except the bowline forms a loop in one rope and the sheet bend joins two ropes. Along with the sheet bend and the clove hitch, the bowline is often considered one of the most essential knots.[2]</p>\r\n<p>Although generally considered a reliable knot, its main deficiencies are a tendency to work loose when not under load, to slip when pulled sideways[3] and the bight portion of the knot to capsize in certain circumstances.[citation needed] To address these shortcomings, a number of more secure variations of the bowline have been developed for use in safety-critical applications&quot;.</p>\r\n',209,0,1,'CC-BY-SA','Knots, CLasoo, Bowline',0,0,1),
(2161,'2016-11-14','What\'s in my freezer?',246,'Inscius talks about the food stored in his freezer.','<p>A short true tale of what I store in my (small) freezer, mid-October 2016. It is also the first time I record a podcast with a portable recorder.</p>\r\n<p><a href=\"https://en.wikipedia.org/wiki/Blueberry\">&quot;American blueberry&quot;</a> <a href=\"https://en.wikipedia.org/wiki/Bilberry\">&quot;European blueberry&quot; a.k.a. &quot;Bilberry&quot;</a></p>\r\n<p><a href=\"https://en.wikipedia.org/wiki/Green_bean\">Haricot vert a.k.a. green beans</a></p>\r\n<p><a href=\"https://en.wikipedia.org/wiki/Chard\">Mangold/Chard</a></p>\r\n<p><a href=\"https://en.wikipedia.org/wiki/Blackcurrant\">Blackcurrant</a></p>\r\n<p><a href=\"https://en.wikipedia.org/wiki/Vicia_faba\">Broad beans</a></p>\r\n',283,0,0,'CC-BY-SA','food, storage, seasonal, garden',0,0,1),
(2185,'2016-12-16','Soldering a Soldering Fan',309,'Practising soldering skills by hacking together a soldering extraction fan.','<p>\r\nIn the episodes <a href=\"https://hackerpublicradio.org/eps.php?id=1037\">hpr1037 :: Soldering Part 1</a> and <a href=\"https://hackerpublicradio.org/eps.php?id=1047\">hpr1047 :: Soldering Part 2: An audio demonstration of soldering</a>, <a href=\"https://hackerpublicradio.org/correspondents/0201.html\">MrX</a> inspired me to get into soldering. It\'s easy and if audio isn\'t your thing there is always the <a href=\"https://mightyohm.com/blog/2011/04/soldering-is-easy-comic-book/\" target=\"_blank\">SOLDERING IS EASY</a> complete comic book.\r\n</p>\r\n<p>\r\nFor my first project, I soldered a 12v power supply I got for €0 at the recycle shop, to a 12V fan from my old computer tower.\r\n</p>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr2185.jpg\" alt=\"a ugly solder point\" />\r\n<p>\r\nThe result a ugly solder joint, but a working project.\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.youtube.com/watch?v=Nb78wF1Tkwc\">Great Scott What is worth desoldering from old electronics? || DIY Fume Extractor</a></li>\r\n<li><a href=\"https://www.youtube.com/user/bigclivedotcom\">Big Clive Youtube Channel</a></li>\r\n\r\n</ul>',30,0,0,'CC-BY-SA','soldering',0,0,1),
(2162,'2016-11-15','Review/Criticism of Hipp\'s \"Git: Just Say No\"',1272,'In which I take an IRC rant to audio and look at what\'s really wrong with git.','<h1 id=\"reviewcriticism-of-hipps-git-just-say-no\">Review/Criticism of Hipp\'s &quot;Git: Just Say No&quot;</h1>\r\n<p>I was recommended <a href=\"https://www.youtube.com/watch?v=ghtpJnrdgbo\">Richard Hipp – Git: Just Say No (youtube.com)</a> last night on the excellent #oggcastplanet channel on freenode.</p>\r\n<p>I didn\'t listen to all of it, but I\'m putting this out there with the material I have, because anything else would be procrastination and this is HPR. We Want Shows!</p>\r\n<p>Here are his criticisms, or suggested enhancements, top 10:</p>\r\n<ol type=\"1\">\r\n<li>Show descendants of a check-in</li>\r\n<li>Simplified mental model</li>\r\n<li>Remember branch history</li>\r\n<li>Multiple check-outs from the same repo</li>\r\n<li>Sliced check-out and clones</li>\r\n<li>Check-out &amp; commit against a remote repo</li>\r\n<li>&quot;Busybox&quot; version of git</li>\r\n<li>All comms via HTTP/HTTPS</li>\r\n<li>&quot;git all&quot; command</li>\r\n<li>&quot;git serve&quot; command</li>\r\n</ol>\r\n<p>I think the killer of these is #2, the rest are nitpicks or incorrect. And for addressing #2 there is the very interesting <em>gitless</em> report and project, which I\'m guessing doesn\'t abandon git entirely, just reworks the UI, which <em>does</em> need rework. Not for people like me, who already learned the nooks and crannies and make productive use of several of what might be misfeatures, but to lower the threshold for people coming to our software projects and whatever other source code we are managing.</p>\r\n<p>TL;DL:</p>\r\n<ol type=\"1\">\r\n<li>Why? Complete <code>git log</code> and <code>less</code> does the job, even for the oldest git project – git.</li>\r\n<li>YES, see <em>gitless</em>.</li>\r\n<li>Why?</li>\r\n<li>Already works.</li>\r\n<li>Presumably already works, don\'t know how well.</li>\r\n<li>Why?</li>\r\n<li>(Didn\'t listen) Why?</li>\r\n<li>(Didn\'t listen) Why? It has HTTP/HTTPS, but it also has the ssh model, which is great.</li>\r\n<li>Didn\'t listen.</li>\r\n<li>(Didn\'t listen) <code>git serve</code> sucks, use <a href=\"https://gogs.io/\">gogs</a>.</li>\r\n</ol>\r\n<h2 id=\"fodder-for-further-episodes\">Fodder for further episodes</h2>\r\n<ul>\r\n<li>I\'m connecting to <a href=\"https://freenode.org/\">freenode</a> through <a href=\"https://matrix.org/\">Matrix</a> using <a href=\"https://riot.im/\">Riot</a>, both on web and mobile.</li>\r\n<li>Is Matrix a big fat <a href=\"https://wiki.c2.com/?NotInventedHere\">NIH</a>? (hey look, WikiWikiWeb is back online!)</li>\r\n<li>Why not just use <a href=\"https://xmpp.org/\">XMPP</a>?</li>\r\n<li>It works great for me, and I didn\'t have to bother setting up a native IRC bouncer like <a href=\"https://znc.in/\">ZNC</a> or <a href=\"https://quassel-irc.org/\">Quassel</a>.</li>\r\n<li>The quick-quick version: Just go to <a href=\"https://riot.im/app/#/room/#freenode_#oggcastplanet:matrix.org\">#freenode_#oggcastplanet:matrix.org</a> and you\'re in the best IRC web chat available, in the #oggcastplanet channel on freenode.</li>\r\n<li><a href=\"https://gitless.com/\">gitless</a> (or <code>gl</code>)</li>\r\n<li><a href=\"https://www.fossil-scm.org/\">Fossil</a></li>\r\n</ul>\r\n',311,0,0,'CC-BY-SA','git, fossil, rant',0,0,1),
(2163,'2016-11-16','Gnu Awk - Part 4',1869,'Recapping the last episode and looking at variables in an Awk program','<h1 id=\"gnu-awk---part-4\">Gnu Awk - Part 4</h1>\r\n<h2 id=\"introduction\">Introduction</h2>\r\n<p>This is the fourth episode of the series that <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" title=\"b-yeezi\">b-yeezi</a> and I are doing. These shows are now collected under the series title “<a href=\"https://hackerpublicradio.org/series/0094.html\" title=\"Learning Awk\">Learning Awk</a>”.</p>\r\n<h2 id=\"recap-of-the-last-episode\">Recap of the last episode</h2>\r\n<h3 id=\"logical-operators\">Logical Operators</h3>\r\n<p>We have seen the operators ‘<b>&amp;&amp;</b>’ (<em>and</em>) and ‘<b>||</b>’ (<em>or</em>). These are also called <em>Boolean Operators</em>. There is also one more operator ‘<b>!</b>’ (<em>not</em>) which we haven’t yet encountered. These operators allow the construction of <em>Boolean expressions</em> which may be quite complex.</p>\r\n<p>If you are used to programming you will expect these operators to have a precedence, just like operators in arithmetic do. We will deal with this subject in more detail later since it is relevant not only in patterns but also in other parts of an Awk program.</p>\r\n<h3 id=\"the-next-statement\">The <em>next</em> statement</h3>\r\n<p>We saw this statement in the last episode and learned that it causes the processing of the current input record to stop. No more patterns are tested against this record and no more actions in the current rule are executed. Note that “<em>next</em>” is a statement like “<em>print</em>”, and can only occur in the action part of a rule. It is also not permitted in <em>BEGIN</em> or <em>END</em> rules (more of which anon).</p>\r\n<h3 id=\"the-begin-and-end-rules\">The <em>BEGIN</em> and <em>END</em> rules</h3>\r\n<p>The <em>BEGIN</em> and <em>END</em> elements are special <em>patterns</em>, which in conjunction with <em>actions</em> enclosed in curly brackets make up <em>rules</em> in the same sense that the ‘<em>pattern {action}</em>’ sequences we have seen so far are rules. As we saw in the last episode, <em>BEGIN</em> rules are run before the main ‘<em>pattern {action}</em>’ rules are processed and the input file is (or files are) read, whereas <em>END</em> rules run after the input files have been processed.</p>\r\n<p>It is permitted to write more than one <em>BEGIN</em> rule and more than one <em>END</em> rule. These are just concatenated together in the order they are encountered by Awk.</p>\r\n<p>Awk will complain if either <em>BEGIN</em> or <em>END</em> is not followed by an <em>action</em> since this is meaningless.</p>\r\n<h3 id=\"variables-arrays-loops-etc\">Variables, arrays, loops, etc</h3>\r\n<p>Learning a programming language is never a linear process, and sometimes reference is made to new features that have not yet been explained. A number of new features were mentioned in passing in the last episode, and we will look at these in more detail in this episode.</p>\r\n<h2 id=\"long-notes\">Long notes</h2>\r\n<p>I have written out a moderately long set of notes for this episode and these are available here <a href=\"https://hackerpublicradio.org/eps/hpr2163/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2163/full_shownotes.html</a>.</p>\r\n<p>With a view to making portable notes for this series I have included ePub and PDF versions with this episode. Feedback is welcome to help decide which version is preferable, as are any suggestions on the improvement of the layout.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><em>GNU Awk User’s Guide</em>: <a href=\"https://www.gnu.org/software/gawk/manual/html_node/index.html\" class=\"uri\">https://www.gnu.org/software/gawk/manual/html_node/index.html</a></li>\r\n<li>Previous shows on HPR:\r\n<ul>\r\n<li>“<em>Gnu Awk - Part 1</em>”: <a href=\"https://hackerpublicradio.org/eps.php?id=2114\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=2114</a></li>\r\n<li>“<em>Gnu Awk - Part 2</em>”: <a href=\"https://hackerpublicradio.org/eps.php?id=2129\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=2129</a></li>\r\n<li>“<em>Gnu Awk - Part 3</em>”: <a href=\"https://hackerpublicradio.org/eps.php?id=2143\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=2143</a></li>\r\n</ul></li>\r\n<li>Arithmetic expansion in Bash “<em>Some additional Bash Tips</em>”: <a href=\"https://hackerpublicradio.org/eps.php?id=1951\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1951</a></li>\r\n<li>Resources:\r\n<ul>\r\n<li>ePub version of notes: <a href=\"https://hackerpublicradio.org/eps/hpr2163_full_shownotes.epub\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2163_full_shownotes.epub</a></li>\r\n<li>PDF version of notes: <a href=\"https://hackerpublicradio.org/eps/hpr2163_full_shownotes.pdf\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2163_full_shownotes.pdf</a></li>\r\n<li>Demonstration of arithmetic assignment operators: <a href=\"https://hackerpublicradio.org/eps/hpr2163/arithmetic_assignment_operators.awk\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2163/arithmetic_assignment_operators.awk</a></li>\r\n<li>Counting frequencies of particular colours: <a href=\"https://hackerpublicradio.org/eps/hpr2163/color_count.awk\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2163/color_count.awk</a></li>\r\n</ul></li>\r\n</ul>',225,94,1,'CC-BY-SA','Awk utility, Awk language, gawk,variables',0,0,1),
(2166,'2016-11-21','How to use a Slide Rule',887,'By popular request, a description of how a slide rule works','<h1 id=\"how-to-use-a-slide-rule\">How to use a Slide Rule</h1>\r\n<p>In my show <a href=\"https://hackerpublicradio.org/eps.php?id=1664\" title=\"Life and Times of a Geek part 1\">1664</a>, “Life and Times of a Geek part 1”, I spoke about using a slide rule as a schoolboy. As a consequence, I was asked if I would do a show on slide rules, and this is it (after a rather long delay).</p>\r\n<h2 id=\"long-notes\">Long notes</h2>\r\n<p>I have written out a moderately long set of notes for this episode and these are available here <a href=\"https://hackerpublicradio.org/eps/hpr2166/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2166/full_shownotes.html</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>HPR show “<em>Life and Times of a Geek part 1</em>”: <a href=\"https://hackerpublicradio.org/eps.php?id=1664\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1664</a></li>\r\n<li>Wikipedia article on the slide rule: <a href=\"https://en.wikipedia.org/wiki/Slide_rule\" class=\"uri\">https://en.wikipedia.org/wiki/Slide_rule</a></li>\r\n<li>International Slide Rule Museum: <a href=\"https://sliderulemuseum.com/SR_Course.htm\" class=\"uri\">https://sliderulemuseum.com/SR_Course.htm</a></li>\r\n<li>Wikipedia article on the <em>Logarithm</em>: <a href=\"https://en.wikipedia.org/wiki/Logarithm\" class=\"uri\">https://en.wikipedia.org/wiki/Logarithm</a></li>\r\n<li>Wikipedia article on the <em>Mathematical table</em>: <a href=\"https://en.wikipedia.org/wiki/Mathematical_table\" class=\"uri\">https://en.wikipedia.org/wiki/Mathematical_table</a></li>\r\n<li>wikiHow article on how to use a Logarithm Table: <a href=\"https://www.wikihow.com/Use-Logarithmic-Tables\" class=\"uri\">https://www.wikihow.com/Use-Logarithmic-Tables</a></li>\r\n<li>Wikipedia article on <em>John Napier</em>: <a href=\"https://en.wikipedia.org/wiki/John_Napier\" class=\"uri\">https://en.wikipedia.org/wiki/John_Napier</a></li>\r\n<li>Wikipedia article on <em>Merchiston Tower</em>: <a href=\"https://en.wikipedia.org/wiki/Merchiston_Tower\" class=\"uri\">https://en.wikipedia.org/wiki/Merchiston_Tower</a></li>\r\n<li>Wikipedia article on <em>Edinburgh Napier University</em>: <a href=\"https://en.wikipedia.org/wiki/Edinburgh_Napier_University\" class=\"uri\">https://en.wikipedia.org/wiki/Edinburgh_Napier_University</a></li>\r\n<li>The <em>Faber Castell 1/60/360</em>:\r\n<ul>\r\n<li><a href=\"https://sliderulemuseum.com/isrm/hmd/fc%20slide%20rule%20pages/fc%2025%201-60-360/fc%2025%201-60-360.htm\">Example 1</a></li>\r\n<li><a href=\"https://sliderules.lovett.com/fabercastell1-60/fabercastell1-60.htm\">Example 2</a></li>\r\n<li><a href=\"https://fabercastell.reglasdecalculo.com/1_60_360/1_60_360.html\">Example 3</a></li>\r\n<li><a href=\"https://www.countbelmiro.com/slides/faber/360/360.html#160360_1\">Example 4</a></li>\r\n</ul></li>\r\n</ul>',225,0,1,'CC-BY-SA','slide rule,logarithm,slipstick,analogue computer',0,0,1),
(2165,'2016-11-18','Get the most out of your commute with these great audio suggestions.',2156,'Knightwise talks about ways to stay entertained during your commute to work by listening to podcasts','<ul>\r\n<li>History\r\n</li>\r\n<li>Listening to podcasts\r\n</li>\r\n<li>Good Podcatchers <a href=\"https://www.tomsguide.com/us/pictures-story/555-best-podcast-apps.html\">https://www.tomsguide.com/us/pictures-story/555-best-podcast-apps.html</a>\r\n</li>\r\n<li>Listening to audiobooks with Mortplayer <a href=\"https://play.google.com/store/apps/details?id=de.stohelit.folderplayer&amp;hl=en\">https://play.google.com/store/apps/details?id=de.stohelit.folderplayer&amp;hl=en</a>\r\n</li>\r\n<li>Free online courses \r\n</li>\r\n<li>Kahn academy <a href=\"https://www.khanacademy.org/\">https://www.khanacademy.org/</a>\r\n</li>\r\n<li>Itunes U <a href=\"https://itunes.apple.com/be/app/itunes-u/id490217893?mt=8\">https://itunes.apple.com/be/app/itunes-u/id490217893?mt=8</a>\r\n</li>\r\n<li>tts with Pocket <a href=\"https://getpocket.com/\">https://getpocket.com/</a>\r\n</li>\r\n<li>TTS on the mac <a href=\"https://osxdaily.com/2010/03/28/how-to-make-your-mac-talk-text-to-speech/\">https://osxdaily.com/2010/03/28/how-to-make-your-mac-talk-text-to-speech/</a>\r\n</li>\r\n<li>TTS on Linux <a href=\"https://www.youtube.com/watch?v=4uKTamXonPs\">https://www.youtube.com/watch?v=4uKTamXonPs</a>\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nThe knightwise.com podcast : <a href=\"https://feeds.feedburner.com/feedburner/knightcast\">https://feeds.feedburner.com/feedburner/knightcast</a>\r\n</p>',111,0,1,'CC-BY-SA','podcast,podcatcher,online course',0,0,1),
(2169,'2016-11-24','How I connect to the awesome #oggcastplanet on mobile',795,'I give a quick overview of the challenges of IRC on the go and how Riot and Matrix solve them for me','<p>On <a href=\"https://hackerpublicradio.org/eps.php?id=2162\">HPR #2162</a> I mentioned that I\'m connecting to freenode IRC using <a href=\"https://riot.im/\">Riot</a> and <a href=\"https://matrix.org/\">Matrix</a>. Here I explain a bit of background to why, what Matrix is, and why you should use it too.</p>\r\n<h3 id=\"quick-quick-version\">Quick-quick version</h3>\r\n<p>Just go to <a href=\"https://riot.im/app/#/room/#freenode_#oggcastplanet:matrix.org\" class=\"uri\">https://riot.im/app/#/room/#freenode_#oggcastplanet:matrix.org</a>, click <em>Join</em> and you\'re on the channel! If you register a user there (or maybe on another instance, like <a href=\"https://social.heldscal.la/lambadalambda\">@lambadalambda\'s</a> <a href=\"https://matrix.heldscal.la/\" class=\"uri\">https://matrix.heldscal.la/</a>), you can then log in with the same username and password in the Android app and see all your joined channels there.</p>\r\n<p>Correction to audio: <strong>Riot is on F-Droid</strong>. For some reason I couldn\'t find it at the time, even though <a href=\"https://f-droid.org/repository/browse/?fdfilter=riot&amp;fdid=im.vector.alpha\">it\'s clearly there</a>, so I\'m currently using the version from the Google Play Store. I hear that battery use may be an issue if you\'re independent from the evil GOOG.</p>\r\n<h3 id=\"alternatives\">Alternatives</h3>\r\n<p>Other ways of connecting to IRC over flaky or intermittent connections without losing context:</p>\r\n<ul>\r\n<li><a href=\"https://znc.in/\">ZNC</a></li>\r\n<li>In particular, check out this <a href=\"https://dague.net/2014/09/13/my-irc-proxy-setup/\">pretty elaborate ZNC-on-ZNC setup</a> to solve the issue with having multiple devices that all want an independent scrollback buffer. I was just about considering setting up something like this when I discovered the Matrix bridge instead.</li>\r\n<li>One colleague of mine uses <a href=\"https://quassel-irc.org/\">Quassel</a> and loves it.</li>\r\n<li>Another colleague uses <a href=\"https://f-droid.org/repository/browse/?fdfilter=irc&amp;fdid=org.woltage.irssiconnectbot\">irssi ConnectBot</a> or something similar and can\'t understand why anybody would want anything else.</li>\r\n</ul>\r\n<h3 id=\"criticism\">Criticism</h3>\r\n<ul>\r\n<li><a href=\"https://identi.ca/mray/note/eMjlxfjETtSFOwnKHBgD3Q\">Matrix is a big fat NIH, why not just use XMPP?</a> (short pump.io discussion)</li>\r\n</ul>\r\n<h3 id=\"fodder-for-further-hpr-episodes\">Fodder for further HPR episodes</h3>\r\n<ul>\r\n<li><a href=\"https://microca.st/clacke/comment/l11mIRDiQWikamj6hvp1wA\">Man there are a lot of Slack alternatives out there</a>. (pump.io post)</li>\r\n</ul>\r\n',311,0,0,'CC-BY-SA','matrix, irc, federation, mobile, im',0,0,1),
(2171,'2016-11-28','hello world',227,'this first HPR podcast is to introduce myself and what I am about.','<p>I love programming, I make a living writing free software. However I am still a programmer without a keyboard. I want to share knowledge that gives us control over our own life. Tools that help us help ourselves.</p>\r\n<p>Two main topics:</p>\r\n<ol start=\"0\" type=\"1\">\r\n<li>computers (of course!)\r\n<ul>\r\n<li>everyday user</li>\r\n<li>free software</li>\r\n<li>programming</li>\r\n</ul></li>\r\n<li>AFK stuff\r\n<ul>\r\n<li>veganism,</li>\r\n<li>minimalism,</li>\r\n<li>botany,</li>\r\n<li>engineering.</li>\r\n</ul></li>\r\n</ol>\r\n<p>Lots of fun, life is interesting</p>\r\n<p>happy hacking</p>\r\n',344,0,0,'CC-BY-SA','introduction',0,0,1),
(2173,'2016-11-30','Driving a Blinkt! as an IoT device',2349,'I have a Raspberry Pi Zero with a Blinkt! 8-LED array I\'m setting up as a notification device','<h1 id=\"driving-a-blinkt-as-an-iot-device\">Driving a Blinkt! as an IoT device</h1>\r\n<h2 id=\"introduction\">Introduction</h2>\r\n<p>I managed to buy a Raspberry Pi Zero when they first came out in December 2015. This was not easy since they were very scarce. I also bought a first-generation case from <a href=\"https://shop.pimoroni.com/\" title=\"Pimoroni Ltd\">Pimoroni</a> and some 40-pin headers. With the Zero this header is not pre-installed and it’s necessary to solder it onto the Pi yourself.</p>\r\n<p>I have had various project ideas for this Pi Zero, but had not decided on one until recently. Within the last month or two Pimoroni produced a device called the <a href=\"https://shop.pimoroni.com/products/blinkt\" title=\"Blinkt!\"><em>Blinkt!</em></a> which has eight APA102 RGB LEDs and attaches to the GPIO header. This costs £5, just a little more than the Zero itself.</p>\r\n<p>My plan was to combine the two and turn them into a status indicator for various things going on that needed my attention.</p>\r\n<h2 id=\"long-notes\">Long notes</h2>\r\n<p>I have written out a moderately long set of notes for this episode and these are available here <a href=\"https://hackerpublicradio.org/eps/hpr2173/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2173/full_shownotes.html</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><a href=\"https://www.raspberrypi.org/products/pi-zero/\">Raspberry Pi Zero</a></li>\r\n<li><a href=\"https://shop.pimoroni.com/\">Pimoroni Ltd</a></li>\r\n<li><a href=\"https://shop.pimoroni.com/products/blinkt\">The <em>Blinkt!</em> add-on from Pimoroni</a></li>\r\n<li><a href=\"https://learn.pimoroni.com/tutorial/sandyj/getting-started-with-blinkt\">Pimoroni’s documentation “<em>Getting Started with Blinkt!</em>”</a></li>\r\n<li><a href=\"https://github.com/pimoroni/blinkt\">The GitHub repository for <em>Blinkt!</em></a></li>\r\n<li><a href=\"https://www.ikea.com/gb/en/catalog/products/70078335/#/40214202\">The <em>RIBBA</em> picture frame from IKEA</a></li>\r\n<li><a href=\"https://inkscape.org/en/\"><em>Inkscape</em> vector graphics editor</a></li>\r\n<li><em>MQTT</em> (<em>Message Queuing Telemetry Transport</em>):\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/MQTT\">Wikipedia article on <em>MQTT</em></a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Publish%E2%80%93subscribe_pattern\">Wikipedia article on the <em>Publish-subscribe pattern</em></a></li>\r\n</ul></li>\r\n<li><a href=\"https://github.com/arvydas/blinkstick-python/wiki/Example%3A-MQTT\"><em>BlinkStick</em> MQTT page</a></li>\r\n<li><a href=\"https://addons.mozilla.org/en-GB/thunderbird/addon/mailbox-alert/\"><em>Mailbox Alert</em> add-on for <em>Thunderbird</em></a></li>\r\n<li><a href=\"https://www.jezra.net/blog/orb\">Jezra’s Orb project</a></li>\r\n<li>Resources:\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2173/blinkt_legends.svg\">My Inkscape template “<code>blinkt_legends.svg</code>”</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2173/blinkt_client.py\">My first primitive listener script “<code>blinkt_client.py</code>”</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2173/cronjob_comments\">My cron script for checking comments “<code>cronjob_comments</code>”</a></li>\r\n</ul></li>\r\n</ul>\r\n',225,0,1,'CC-BY-SA','Raspberry Pi,Blinkt!,BlinkStick,MQTT,Mosquitto',0,0,1),
(2167,'2016-11-22','Google It',1150,'Discussing some of the successes Google has had despite people thinking Google is failing','<p>Discussing some of Google\'s successes. Lately I have been hearing a lot of flak towards Google and how they are doing everything wrong. So I go down a list of some of their success stories. Disagree? Email me.</p>',346,0,1,'CC-BY-SA','Google,Chrome, Android, Chromecast, tech, computers',0,0,1),
(2175,'2016-12-02','Kdenlive Part 4 Colour Correction',1100,'A review of the Kdenlive colour correction suite','<p>Hello again HPR listeners this is Geddes back with Part 4 in the series covering the video editing application KdenLive. This time round we’ll be looking at colour correction which covers the following topics:</p>\r\n<ul>\r\n<li>Workflow</li>\r\n<li>The human element</li>\r\n<li>Luma values</li>\r\n<li>Levels</li>\r\n<li>Colours</li>\r\n<li>Things that look broken</li>\r\n<li>Saturation</li>\r\n<li>Copying values between clips</li>\r\n<li>Colour Effects</li>\r\n<li>Selective colour correction and rotoscoping</li>\r\n</ul>\r\n<p>Here’s the link to the <a href=\"https://opensource.com/life/11/11/kdenlive-part-4-colour-correction\">original article.</a></p>\r\n',310,0,0,'CC-BY-SA','Kdenlive,opensource.com,colour correction',0,0,1),
(2177,'2016-12-06','Knowledge Interconnection, the thai express hack',424,'learn things that empowers you and interconnects with other of your knowledge','<p>you can practice programming AFK, and hacking at the same time; doing problem solving on other things can be quite fun; and can seriously enhance your life;</p>\r\n<p>happy hacking;</p>\r\n',344,0,1,'CC-BY-SA','vegan food, recycling, hacking',0,0,1),
(2181,'2016-12-12','Install OpenBSD from Linux using Grub',501,'Install OpenBSD from Linux using Grub','<h3 id=\"install-openbsd-from-linux-using-grub\">Install OpenBSD from Linux using Grub</h3>\r\n<h3 id=\"why-openbsd\">Why OpenBSD</h3>\r\n<p>Tune in for another episode.</p>\r\n<h3 id=\"why-install-from-linux\">Why install from linux</h3>\r\n<ul>\r\n<li>Most VPS providers have images for linux, but not OpenBSD</li>\r\n<li>Easier than trying to upload custom image or iso.</li>\r\n</ul>\r\n<h3 id=\"grub2\">Grub2</h3>\r\n<ul>\r\n<li>Start with a distro that uses grub2. I use Centos7</li>\r\n<li>grub2 can load OpenBSD kernels.</li>\r\n<li>The openbsd installer is a OpenBSD kernel.</li>\r\n</ul>\r\n<h3 id=\"procedure\">Procedure</h3>\r\n<ol type=\"1\">\r\n<li>Make sure you have console access to the linux VM</li>\r\n<li>Record the Network info for the running linux VM. If not using DHCP, you will need to know the IP, netmask, default route (gateway), and a DNS server.</li>\r\n<li><p>Download the OpenBSD installation ram disk to <code>/boot</code></p>\r\n<pre><code>cd /boot\r\nwget https://ftp5.usa.openbsd.org/pub/OpenBSD/6.0/amd64/bsd.rd</code></pre></li>\r\n<li>Reboot</li>\r\n<li>Enter the grub command prompt by pressing <code>c</code> at the grub menu</li>\r\n<li>The grub2 prompt has tab completion which can be helpful.</li>\r\n<li>Type <code>ls</code> to see the available disks</li>\r\n<li><p>Load the OpenBSD installation ram disk and boot</p>\r\n<pre><code>grub&gt; set root=(hd0,msdos1)\r\ngrub&gt; kopenbsd /bsd.rd\r\ngrub&gt; boot</code></pre></li>\r\n</ol>\r\n<h3 id=\"the-installation\">The Installation</h3>\r\n<ul>\r\n<li>The Installer will ask you several questions</li>\r\n<li>The default is almost always what you want. If unsure, just press enter.</li>\r\n<li>Look at the <a href=\"https://www.openbsd.org/faq/faq4.html\">FAQ</a> if you get stuck</li>\r\n<li>Enter the network settings of the linux VPS</li>\r\n<li>When asked &quot;Location of sets&quot;, use HTTP</li>\r\n</ul>\r\n',342,0,0,'CC-BY-SA','OpenBSD,grub2,install',0,0,1),
(2188,'2016-12-21','Art Appreciation',315,'Some thoughts on art appreciation','<p>\r\nA nod to Brian in Ohio...\r\n</p>\r\n<p>\r\nElements Of Design...\r\n</p>\r\n<p>\r\nA mention of Dr. Don Bendel...\r\n</p>\r\n<p>\r\nA note on artist statements...\r\n</p>\r\n<p>\r\nMy cup example is very much stimulated by Pete Pinnell...\r\n</p>\r\n<p>\r\nCheck out his short talk on cups.\r\n</p>\r\n<p>\r\n<a href=\"https://www.youtube.com/watch?v=WChFMMzLHVs\">https://www.youtube.com/watch?v=WChFMMzLHVs</a>\r\n</p>\r\n<p>\r\n(though I wish It were elsewhere besides youtube)\r\n</p>',329,0,1,'CC-BY-SA','art',0,0,1),
(2172,'2016-11-29','Dutch Blitz Table Top Game',1548,'Steve describes the game of Dutch Blitz.','<h2><a id=\"Dutch_Blitz_Tabletop_Game_0\"></a>Dutch Blitz Tabletop Game</h2>\r\n<h3><a id=\"Origin_2\"></a>Origin</h3>\r\n<p>Dutch Blitz was created by Werner Ernst George Muller, from\r\nPennsylvania, in the United States, in 1959. It is similar to the game\r\nNertz, which is played with standard playing cards. Nertz had been\r\naround since the 1940s. It isn’t totally clear to what extent Mr\r\nMuller was influenced by the game of Nertz. He was an optometrist and\r\nit is said that he thought the game might help his children learn\r\nabout colors and numbers.</p>\r\n<h3><a id=\"Theme_12\"></a>Theme</h3>\r\n<p>The game has a theme that originates with the Pennsylvania Dutch\r\nculture, which was formed by early German immigrants to eastern\r\nPennsylvania in the United States. The symbols used on the cards are\r\nrepresentative of that culture, which tended to be agricultural and of\r\na conservative protestant Christian faith.</p>\r\n<h3><a id=\"Cards_20\"></a>Cards</h3>\r\n<p>Each player has their own deck of cards. The standard set has 4 decks,\r\nso it can accommodate 2-4 players. There is an extension pack that adds\r\n4 more decks, supporting 4 more players. Each deck has 40 cards made\r\nup of number cards from 1 through 10 in four different colors (suits):\r\nred, blue, green, and yellow. Additionally, the red and blue cards\r\nhave a picture of a boy and the green and yellow cards have a picture\r\nof a girl. The decks are differentiated from each other by a symbol on\r\nthe back side of each card. The four standard decks have the following\r\nsymbols: pump, buggy, plow, and bucket.</p>\r\n<h3><a id=\"Piles_32\"></a>Piles</h3>\r\n<ul>\r\n<li>\r\n<p>Blitz Pile - A pile of 10 cards that are dealt by each player before\r\ngame play starts. One of the goals is for the player to get rid of\r\ntheir Blitz pile. When one player clears their Blitz pile, the round\r\nis over.</p>\r\n</li>\r\n<li>\r\n<p>Post Piles - Three piles of cards to the left of the Blitz pile that\r\nare used by the player to help sort through cards during the game\r\nplay. These piles begin as 3 cards dealt out by the player before\r\ngame play. Cards can then be added to these piles in descending order\r\nand alternating “gender”. If one of the Post piles is cleared, the\r\nplayer may take a card off of their Blitz pile to start a new one.</p>\r\n</li>\r\n<li>\r\n<p>Wood Pile - During game play, the player rotates through their deck\r\nby taking 3 cards, face down, and turning them face up and placing\r\nthem on the Wood pile. The top most card is available to be played.</p>\r\n</li>\r\n<li>\r\n<p>Dutch Piles - During game play, players can start a Dutch pile when\r\nthey have a playable card with the number 1 on it. These piles are\r\nplaced in the middle of the table. The piles can then be built up,\r\nin sequential order and of matching color. Any player can play a\r\ncard on any Dutch pile.</p>\r\n</li>\r\n</ul>\r\n<h3><a id=\"Game_Play_57\"></a>Game Play</h3>\r\n<p>The game is played in rounds. The players do not take turns. When play\r\nstarts, all players begin playing at the same time as fast as they\r\ncan. When a player is able to clear their Blitz pile, they shout the\r\nword “Blitz” and all play must then stop. That is the end of the\r\nround.</p>\r\n<h3><a id=\"Points_65\"></a>Points</h3>\r\n<p>When the round ends all of the cards that have been played on the\r\nDutch piles are sorted into their representative decks. Each player\r\ncounts the number of cards that they have played and then subtracts\r\ntwo times the number of cards left on their Blitz pile. That is their\r\nscore for the round.</p>\r\n<p>In order to maximize one’s points for a round, the objectives are\r\ntwo-fold. You want to play as many cards as possible on the Dutch\r\npiles, but you also want to get rid of as many cards on your Blitz\r\npile as possible.</p>\r\n<h3><a id=\"References_78\"></a>References</h3>\r\n<ul>\r\n<li><a href=\"https://www.dutchblitz.com/\">https://www.dutchblitz.com/</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Dutch_Blitz\">https://en.wikipedia.org/wiki/Dutch_Blitz</a></li>\r\n<li><a href=\"https://www.instructables.com/id/How-to-Play-Dutch-Blitz-aka-Nerts/\">https://www.instructables.com/id/How-to-Play-Dutch-Blitz-aka-Nerts/</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Nertz\">https://en.wikipedia.org/wiki/Nertz</a></li>\r\n<li><a href=\"https://www.amazon.com/Dutch-Blitz-201/dp/B000BBU0KS\">https://www.amazon.com/Dutch-Blitz-201/dp/B000BBU0KS</a></li>\r\n</ul>\r\n\r\n</body></html>',334,95,1,'CC-BY-SA','tabletop, game, german, culture',0,0,1),
(2179,'2016-12-08','Mail to myself@myfirstemployment, Part 1',844,'I expand on a list of one-liner advice to myself 20 years ago, that I posted on pump.io.','<p>Follow along with the bullet points here: <a href=\"https://microca.st/clacke/note/-E504SciT-epLIWpdBifMA\">Mail to myself@myfirstemployment</a></p>\r\n<p>The original was a comment in Swedish to a question on an evil, centralized, proprietary social network: <a href=\"https://m.facebook.com/comment/replies/?ctoken=1186539121395158_1186910811357989&amp;actor_id=553958720&amp;ft_ent_identifier=1186539121395158&amp;gfid=AQB7s_8oMnIjltwx\">Kodapor -- Vilket arbetssätt-relaterat tips skulle du ge dig själv ...</a>.</p>\r\n<p>Maybe this should be part of a series \"Advice to a Young Hacker\"?</p>\r\n',311,0,0,'CC-BY-SA','advice,work,post',0,0,1),
(2182,'2016-12-13','why say GNU/Linux ?',460,'Dedicated to all the people that says Linux instead of GNU/Linux','<p>Stop saying Linux or open source or FOSS or FLOSS !!1!</p>',344,0,1,'CC-BY-SA','GNU/Linux,Linux,open source,FOSS,FLOSS',0,0,1),
(2180,'2016-12-09','Mail to myself@myfirstemployment, Part 2 of 2',501,'I expand on a list of one-liner advice to myself 20 years ago, that I posted on pump.io. Part 2 of 2','<p>Continuation of yesterday\'s <a href=\"https://hackerpublicradio.org/eps.php?id=2179\">hpr2179 :: Mail to myself@myfirstemployment, Part 1</a>.</p>\r\n<p>Follow along with the bullet points here: <a href=\"https://microca.st/clacke/note/-E504SciT-epLIWpdBifMA\">Mail to myself@myfirstemployment</a></p>\r\n<p>The original was a comment in Swedish to a question on an evil, centralized, proprietary social network: <a href=\"https://m.facebook.com/comment/replies/?ctoken=1186539121395158_1186910811357989&amp;actor_id=553958720&amp;ft_ent_identifier=1186539121395158&amp;gfid=AQB7s_8oMnIjltwx\">Kodapor -- Vilket arbetssätt-relaterat tips skulle du ge dig själv ...</a>.</p>\r\n',311,0,0,'CC-BY-SA','advice,programming,job',0,0,1),
(2183,'2016-12-14','Data Privacy: Farlands or bust',895,'Conversation in response to comments about my last Episode called \"Google It\"','<p>Thanks to everyone for the emails and the opinion on the \"Google It\" episode.</p>\r\n<p>I received a lot of emails and comments on my first episode. No one stated they disagreed with me on the opinion I was expressing but changed the conversation to be about their own privacy issues they have with Google\'s practices.</p>\r\n<p>I wasn\'t dismissing those who feel Google overreaches in the privacy department. I was stating the fact that they are a very successful company <em>DESPITE</em> a lot of Tech writers and podcasters out here stating they aren\'t. You can argue the privacy points all you want but the fact is all I was stating was they are successful.</p>\r\n<p>So with that said I weigh in on Privacy and how I see it. Disagree? let me know!</p>\r\n<p>People I mentioned in the podcast:</p>\r\n<ul>\r\n<li><a href=\"https://plus.google.com/u/0/+JoeHecht/posts\">Joe C. Hecht G+ Profile</a></li>\r\n<li><a href=\"https://www.podnutz.com\">Podnutz Podcasts</a></li>\r\n<li><a href=\"https://plus.google.com/u/0/+Doortodoorgeek/posts\">\"Door2DoorGeek\" Stephen McLaughlin G+ profile</a></li>\r\n<li>Seth \"SkookieSprite\" Barkan,  <a href=\"https://www.bestlinuxgames.com/\">Best Linux Games Podcast</a></li>\r\n</ul>\r\n',346,0,1,'CC-BY-SA','Google',0,0,1),
(2436,'2017-12-04','HPR Community News for November 2017',5241,'HPR Volunteers talk about shows released and comments posted in November 2017','\n\n<h2>New hosts</h2>\n<p>\nWelcome to our new host: <br />\n\n    <a href=\"https://hackerpublicradio.org/correspondents/0359.html\" target=\"_blank\">The Alien Brothers Podcast (ABP)</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2413\" target=\"_blank\">2413</a></strong></td>\n    <td>Wed</td>\n    <td>2017-11-01</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2413\" target=\"_blank\">personal health care</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0330.html\" target=\"_blank\">Bitbox</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2414\" target=\"_blank\">2414</a></strong></td>\n    <td>Thu</td>\n    <td>2017-11-02</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2414\" target=\"_blank\">What\'s in my ham shack, part 1</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2415\" target=\"_blank\">2415</a></strong></td>\n    <td>Fri</td>\n    <td>2017-11-03</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2415\" target=\"_blank\">bullet journal to org mode</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0326.html\" target=\"_blank\">Brian in Ohio</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2416\" target=\"_blank\">2416</a></strong></td>\n    <td>Mon</td>\n    <td>2017-11-06</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2416\" target=\"_blank\">HPR Community News for October 2017</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2417\" target=\"_blank\">2417</a></strong></td>\n    <td>Tue</td>\n    <td>2017-11-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2417\" target=\"_blank\">Transmeta Crusoe - Fujitsu-Siemens Futro S210 (ThinClient) - Trouble Shooting and Debian 9 Install</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2418\" target=\"_blank\">2418</a></strong></td>\n    <td>Wed</td>\n    <td>2017-11-08</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2418\" target=\"_blank\">What\'s in my ham shack, part 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2419\" target=\"_blank\">2419</a></strong></td>\n    <td>Thu</td>\n    <td>2017-11-09</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2419\" target=\"_blank\">Alien Brothers Podcast S1E01 - Introduction</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0359.html\" target=\"_blank\">The Alien Brothers Podcast (ABP)</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2420\" target=\"_blank\">2420</a></strong></td>\n    <td>Fri</td>\n    <td>2017-11-10</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2420\" target=\"_blank\">Netbooks - Keeping an old friend alive</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0246.html\" target=\"_blank\">Beeza</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2421\" target=\"_blank\">2421</a></strong></td>\n    <td>Mon</td>\n    <td>2017-11-13</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2421\" target=\"_blank\">Project Interest</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2422\" target=\"_blank\">2422</a></strong></td>\n    <td>Tue</td>\n    <td>2017-11-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2422\" target=\"_blank\">Kickstarter Post Mortem</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2423\" target=\"_blank\">2423</a></strong></td>\n    <td>Wed</td>\n    <td>2017-11-15</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2423\" target=\"_blank\">Open Source Gaming #2: Oolite</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0354.html\" target=\"_blank\">TheDUDE</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2424\" target=\"_blank\">2424</a></strong></td>\n    <td>Thu</td>\n    <td>2017-11-16</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2424\" target=\"_blank\">Interface Zero RPG Play</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2425\" target=\"_blank\">2425</a></strong></td>\n    <td>Fri</td>\n    <td>2017-11-17</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2425\" target=\"_blank\">Intro to XSL</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2426\" target=\"_blank\">2426</a></strong></td>\n    <td>Mon</td>\n    <td>2017-11-20</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2426\" target=\"_blank\">Let\'s Talk About Addiction</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2427\" target=\"_blank\">2427</a></strong></td>\n    <td>Tue</td>\n    <td>2017-11-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2427\" target=\"_blank\">Server Basics 101</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2428\" target=\"_blank\">2428</a></strong></td>\n    <td>Wed</td>\n    <td>2017-11-22</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2428\" target=\"_blank\">git Blobs</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2429\" target=\"_blank\">2429</a></strong></td>\n    <td>Thu</td>\n    <td>2017-11-23</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2429\" target=\"_blank\">Interface Zero RPG Play</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2430\" target=\"_blank\">2430</a></strong></td>\n    <td>Fri</td>\n    <td>2017-11-24</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2430\" target=\"_blank\">Scanning books</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2431\" target=\"_blank\">2431</a></strong></td>\n    <td>Mon</td>\n    <td>2017-11-27</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2431\" target=\"_blank\">Information Underground: Local Control</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2432\" target=\"_blank\">2432</a></strong></td>\n    <td>Tue</td>\n    <td>2017-11-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2432\" target=\"_blank\">Living with the Nokia 6 – an update to HPR 2405</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2433\" target=\"_blank\">2433</a></strong></td>\n    <td>Wed</td>\n    <td>2017-11-29</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2433\" target=\"_blank\">You were right, I was wrong</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2434\" target=\"_blank\">2434</a></strong></td>\n    <td>Thu</td>\n    <td>2017-11-30</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2434\" target=\"_blank\">Cybrosis</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0157.html\" target=\"_blank\">HPR_AudioBookClub</a></td>\n    </tr>\n</table>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 44 comments in total.</p>\n<p>There are 18 comments on\n9 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2376#comments\" target=\"_blank\">hpr2376</a></strong>\n(2017-09-11) \"<em>Information Underground: 21st Century Superstar</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0073.html\" target=\"_blank\">deepgeek</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2376#4\" target=\"_blank\">Comment 4</a>:\nKlaatu on 2017-11-07:\n\"re: Me Too\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2378#comments\" target=\"_blank\">hpr2378</a></strong>\n(2017-09-13) \"<em>Why Docbook?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2378#9\" target=\"_blank\">Comment 9</a>:\nKlaatu on 2017-11-06:\n\"KWNPSA\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2387#comments\" target=\"_blank\">hpr2387</a></strong>\n(2017-09-26) \"<em>Free Weights and a Bicycle</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0195.html\" target=\"_blank\">Frank Bell</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2387#1\" target=\"_blank\">Comment 1</a>:\nbjb on 2017-11-07:\n\"5BX and 10BX, memory lane\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2393#comments\" target=\"_blank\">hpr2393</a></strong>\n(2017-10-04) \"<em>PWGen - A password generator</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0079.html\" target=\"_blank\">Xoke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2393#1\" target=\"_blank\">Comment 1</a>:\nAaron on 2017-11-06:\n\"Haystack password\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2395#comments\" target=\"_blank\">hpr2395</a></strong>\n(2017-10-06) \"<em>Obamacare</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2395#1\" target=\"_blank\">Comment 1</a>:\nbjb on 2017-11-07:\n\"thanks\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2399#comments\" target=\"_blank\">hpr2399</a></strong>\n(2017-10-12) \"<em>Using Super Glue to create Landmarks on Keyboards</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2399#4\" target=\"_blank\">Comment 4</a>:\ndodddummy on 2017-10-31:\n\"Accessibility\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2399#5\" target=\"_blank\">Comment 5</a>:\ndodddummy on 2017-11-06:\n\"Replying to comments from community episode\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2399#6\" target=\"_blank\">Comment 6</a>:\ndodddummy on 2017-11-13:\n\"ctrl vs fn keys\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2411#comments\" target=\"_blank\">hpr2411</a></strong>\n(2017-10-30) \"<em>Information Underground: Co-op Paradise</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2411#1\" target=\"_blank\">Comment 1</a>:\nWindigo on 2017-11-03:\n\"Fascinating\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2411#2\" target=\"_blank\">Comment 2</a>:\nShane Shennan on 2017-11-04:\n\"Well done!\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2411#3\" target=\"_blank\">Comment 3</a>:\nbjb on 2017-11-07:\n\"indie hosting\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2411#4\" target=\"_blank\">Comment 4</a>:\nKen Fallon on 2017-11-07:\n\"Tell me how\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2411#5\" target=\"_blank\">Comment 5</a>:\nsilver on 2017-11-26:\n\"Alternate web server.\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2412#comments\" target=\"_blank\">hpr2412</a></strong>\n(2017-10-31) \"<em>The Call of Cthulhu</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0157.html\" target=\"_blank\">HPR_AudioBookClub</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2412#1\" target=\"_blank\">Comment 1</a>:\nFrankBell on 2017-11-03:\n\"Lovecraft\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2412#2\" target=\"_blank\">Comment 2</a>:\nKevin O&#39;Brien on 2017-11-03:\n\"Agreeing with Frank\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2412#3\" target=\"_blank\">Comment 3</a>:\ndodddummy on 2017-11-06:\n\"Is there a link to the audio you listened to?\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2412#4\" target=\"_blank\">Comment 4</a>:\nel Mussol on 2017-11-08:\n\"file unavailable\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=406#comments\" target=\"_blank\">hpr406</a></strong>\n(2009-07-21) \"<em>Moonshine</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=406#1\" target=\"_blank\">Comment 1</a>:\ncobra2 on 2017-11-25:\n\"shownotes\"</li></ul><br/>\n</li></ul>\n<p>There are 26 comments on 15 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2413#comments\" target=\"_blank\">hpr2413</a></strong>\n(2017-11-01) \"<em>personal health care</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0330.html\" target=\"_blank\">Bitbox</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2413#1\" target=\"_blank\">Comment 1</a>:\nnorrist on 2017-12-02:\n\"Fear and Cold Turkey\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2413#2\" target=\"_blank\">Comment 2</a>:\nShane Shennan on 2017-12-02:\n\"All the best!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2415#comments\" target=\"_blank\">hpr2415</a></strong>\n(2017-11-03) \"<em>bullet journal to org mode</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0326.html\" target=\"_blank\">Brian in Ohio</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2415#1\" target=\"_blank\">Comment 1</a>:\ncroy on 2017-12-02:\n\"You big tease!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2415#2\" target=\"_blank\">Comment 2</a>:\nKlaatu on 2017-12-02:\n\"org-mode\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2416#comments\" target=\"_blank\">hpr2416</a></strong>\n(2017-11-06) \"<em>HPR Community News for October 2017</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2416#1\" target=\"_blank\">Comment 1</a>:\nWindigo on 2017-12-02:\n\"Straight through cable\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2416#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-12-02:\n\"Re: Straight through cable\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2416#3\" target=\"_blank\">Comment 3</a>:\nKen Fallon on 2017-12-02:\n\"Did a correction show\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2417#comments\" target=\"_blank\">hpr2417</a></strong>\n(2017-11-07) \"<em>Transmeta Crusoe - Fujitsu-Siemens Futro S210 (ThinClient) - Trouble Shooting and Debian 9 Install</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2417#1\" target=\"_blank\">Comment 1</a>:\nKlaatu on 2017-12-02:\n\"First I&#39;ve ever heard of this\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2417#2\" target=\"_blank\">Comment 2</a>:\ndrrty on 2017-12-02:\n\"wow\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2418#comments\" target=\"_blank\">hpr2418</a></strong>\n(2017-11-08) \"<em>What\'s in my ham shack, part 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2418#1\" target=\"_blank\">Comment 1</a>:\nKlaatu on 2017-12-02:\n\"great infos\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2419#comments\" target=\"_blank\">hpr2419</a></strong>\n(2017-11-09) \"<em>Alien Brothers Podcast S1E01 - Introduction</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0359.html\" target=\"_blank\">The Alien Brothers Podcast (ABP)</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2419#1\" target=\"_blank\">Comment 1</a>:\nKlaatu on 2017-12-02:\n\"shows like these\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2420#comments\" target=\"_blank\">hpr2420</a></strong>\n(2017-11-10) \"<em>Netbooks - Keeping an old friend alive</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0246.html\" target=\"_blank\">Beeza</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2420#1\" target=\"_blank\">Comment 1</a>:\ndodddummy on 2017-12-02:\n\"Would love to hear you on librivox\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2421#comments\" target=\"_blank\">hpr2421</a></strong>\n(2017-11-13) \"<em>Project Interest</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2421#1\" target=\"_blank\">Comment 1</a>:\nKlaatu on 2017-12-02:\n\"attention\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2421#2\" target=\"_blank\">Comment 2</a>:\nlostnbronx on 2017-12-02:\n\"Popular Kids\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2423#comments\" target=\"_blank\">hpr2423</a></strong>\n(2017-11-15) \"<em>Open Source Gaming #2: Oolite</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0354.html\" target=\"_blank\">TheDUDE</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2423#1\" target=\"_blank\">Comment 1</a>:\nKlaatu on 2017-12-02:\n\"cool discoveries\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2423#2\" target=\"_blank\">Comment 2</a>:\nlostnbronx on 2017-12-02:\n\"It Must Be Me\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2424#comments\" target=\"_blank\">hpr2424</a></strong>\n(2017-11-16) \"<em>Interface Zero RPG Play</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2424#1\" target=\"_blank\">Comment 1</a>:\nClaudioM on 2017-12-02:\n\"Wonderful Intro to RPGs!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2425#comments\" target=\"_blank\">hpr2425</a></strong>\n(2017-11-17) \"<em>Intro to XSL</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2425#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2017-12-02:\n\"This was really interesting\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2425#2\" target=\"_blank\">Comment 2</a>:\nKlaatu on 2017-12-02:\n\"Re: This was really interesting\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2427#comments\" target=\"_blank\">hpr2427</a></strong>\n(2017-11-21) \"<em>Server Basics 101</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2427#1\" target=\"_blank\">Comment 1</a>:\nShane Shennan on 2017-12-02:\n\"Thanks! I made a connection!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2427#2\" target=\"_blank\">Comment 2</a>:\n0xf10e on 2017-12-02:\n\"Solaris?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2427#3\" target=\"_blank\">Comment 3</a>:\nZen_Floater2 on 2017-12-02:\n\"OpenBSD user\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2432#comments\" target=\"_blank\">hpr2432</a></strong>\n(2017-11-28) \"<em>Living with the Nokia 6 – an update to HPR 2405</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2432#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2017-12-02:\n\"Cheers Tony\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2432#2\" target=\"_blank\">Comment 2</a>:\nRWA on 2017-12-02:\n\"Nokia 6 Update\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2433#comments\" target=\"_blank\">hpr2433</a></strong>\n(2017-11-29) \"<em>You were right, I was wrong</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2433#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2017-12-02:\n\"Best title ever!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2434#comments\" target=\"_blank\">hpr2434</a></strong>\n(2017-11-30) \"<em>Cybrosis</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0157.html\" target=\"_blank\">HPR_AudioBookClub</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2434#1\" target=\"_blank\">Comment 1</a>:\ndodddummy on 2017-12-02:\n\"Link so you don&#39;t have to find the previous ep\"</li></ul><br/>\n</li></ul>\n\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available on the HPR server under\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-November/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-November/thread.html</a>\n\n\n<h2>Any other business</h2>\n<h3 id=\"call-for-shows\">Call for shows</h3>\n<ul>\n<li>If there is anyone else who hasn\'t submitted a show this year there are only a few slots free !!!</li>\n</ul>\n<h3 id=\"new-years-eve\">New Year\'s Eve</h3>\n<ul>\n<li><em>HonkeyMagoo</em> and associates have offered to look after the HPR New Year\'s Eve event again this year. They say:</li>\n</ul>\n<blockquote>\n<p><em>&quot;We plan on starting on 2017-12-31T10:00:00Z (December 31, 2017 5:00 am EST)<br/>\nWe will stop the recording and the stream as long as there is no one on at 2018-01-01T12:00:00Z (January 1, 2018 7:00 am EST). If people are still on and talking we will keep the stream and the recording going.&quot;</em></p>\n</blockquote>\n<ul>\n<li>Further details are available on the HPR mailing list and the <a href=\"https://linuxlugcast.com/?p=611\">LinuxLUGcast</a> website.</li>\n</ul>\n<h3 id=\"tags-and-summaries\">Tags and Summaries</h3>\n<ul>\n<li>Thanks to <a href=\"https://hackerpublicradio.org/correspondents/0215.html\"><code>Windigo</code></a> and <a href=\"https://hackerpublicradio.org/correspondents/0357.html\"><code>bjb</code></a> for sending in updates in the past month.</li>\n</ul>\n<!--\nvim: syntax=markdown:ts=8:sw=4:ai:et:tw=78:fo=tcqn:fdm=marker\n-->\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2456,'2018-01-01','HPR Community News for December 2017',5229,'HPR Volunteers talk about shows released and comments posted in December 2017','\n\n<h2>New hosts</h2>\n<p>\nThere were no new hosts this month.\n</p>\n\n<h2>Thanks to all HPR contributors in 2017!</h2>\n\n<p>\n<a href=\"https://hackerpublicradio.org/correspondents/0351.html\">@einebiene</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0268.html\">Andrew Conway</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0300.html\">b-yeezi</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0246.html\">Beeza</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0346.html\">Bill \"NFMZ1\" Miller</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0330.html\">Bitbox</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0357.html\">bjb</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0350.html\">BobJonkman</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0329.html\">brian</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0326.html\">Brian in Ohio</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0241.html\">Christopher M. Hobbs</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0311.html\">clacke</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0152.html\">Claudio Miranda</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0315.html\">Clinton Roy</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0126.html\">cobra2</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0252.html\">Curtis Adkins (CPrompt^)</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0225.html\">Dave Morriss</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0077.html\">Dave Yates</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0209.html\">David Whitman</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0073.html\">deepgeek</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0151.html\">dodddummy</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0001.html\">droops</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0182.html\">Epicanis</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0317.html\">Eric Duhamel</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0131.html\">FiftyOneFifty</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0195.html\">Frank Bell</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0352.html\">fth</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0310.html\">Geddes</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0349.html\">Hannah, of Terra, of Sol</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0159.html\">HPR Volunteers</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0157.html\">HPR_AudioBookClub</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0358.html\">Ironic Sodium</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0243.html\">Jezra</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0238.html\">Jon Kulp</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0096.html\">Jrullo</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0129.html\">JWP</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0078.html\">klaatu</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0355.html\">Knox</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0257.html\">laindir</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0107.html\">lostnbronx</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0325.html\">m1rr0r5h4d35</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0340.html\">mattkingusa</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0271.html\">mirwi</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0356.html\">Mongo</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0201.html\">MrX</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0235.html\">NYbill</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0319.html\">OnlyHalfTheTime</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0036.html\">operat0r</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0110.html\">Quvmoh</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0348.html\">Reg A</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0250.html\">Shane Shennan</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0115.html\">sigflup</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0344.html\">spaceman</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0334.html\">Steve Saner</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0297.html\">swift110</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0270.html\">Thaj Sara</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0359.html\">The Alien Brothers Podcast (ABP)</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0354.html\">TheDUDE</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0314.html\">thelovebug</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0338.html\">Tony Hughes AKA TonyH1212</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0109.html\">Various Hosts</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0353.html\">venam</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0215.html\">Windigo</a>,\n<a href=\"https://hackerpublicradio.org/correspondents/0079.html\">Xoke</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2435\" target=\"_blank\">2435</a></strong></td>\n    <td>Fri</td>\n    <td>2017-12-01</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2435\" target=\"_blank\">Server Basics 102</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2436\" target=\"_blank\">2436</a></strong></td>\n    <td>Mon</td>\n    <td>2017-12-04</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2436\" target=\"_blank\">HPR Community News for November 2017</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2437\" target=\"_blank\">2437</a></strong></td>\n    <td>Tue</td>\n    <td>2017-12-05</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2437\" target=\"_blank\">Interface Zero Play-through Part 3</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2438\" target=\"_blank\">2438</a></strong></td>\n    <td>Wed</td>\n    <td>2017-12-06</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2438\" target=\"_blank\">Gnu Awk - Part 8</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2439\" target=\"_blank\">2439</a></strong></td>\n    <td>Thu</td>\n    <td>2017-12-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2439\" target=\"_blank\">Internal Logic of Stories</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2440\" target=\"_blank\">2440</a></strong></td>\n    <td>Fri</td>\n    <td>2017-12-08</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2440\" target=\"_blank\">How to save bad beans or the French press</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0126.html\" target=\"_blank\">cobra2</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2441\" target=\"_blank\">2441</a></strong></td>\n    <td>Mon</td>\n    <td>2017-12-11</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2441\" target=\"_blank\">Server Basics 103</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2442\" target=\"_blank\">2442</a></strong></td>\n    <td>Tue</td>\n    <td>2017-12-12</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2442\" target=\"_blank\"> The sound of Woodbrook Quaker Study centre in the Spring</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2443\" target=\"_blank\">2443</a></strong></td>\n    <td>Wed</td>\n    <td>2017-12-13</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2443\" target=\"_blank\">pdmenu</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2444\" target=\"_blank\">2444</a></strong></td>\n    <td>Thu</td>\n    <td>2017-12-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2444\" target=\"_blank\">Interface Zero Play-through Part 4</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2445\" target=\"_blank\">2445</a></strong></td>\n    <td>Fri</td>\n    <td>2017-12-15</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2445\" target=\"_blank\">Information Underground: Backwards Capitalism</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2446\" target=\"_blank\">2446</a></strong></td>\n    <td>Mon</td>\n    <td>2017-12-18</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2446\" target=\"_blank\">Git server and git hooks</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2447\" target=\"_blank\">2447</a></strong></td>\n    <td>Tue</td>\n    <td>2017-12-19</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2447\" target=\"_blank\">Server Basics 104 OpenVPN Server</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2448\" target=\"_blank\">2448</a></strong></td>\n    <td>Wed</td>\n    <td>2017-12-20</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2448\" target=\"_blank\">Useful Bash functions - part 3</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2449\" target=\"_blank\">2449</a></strong></td>\n    <td>Thu</td>\n    <td>2017-12-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2449\" target=\"_blank\">Org-mode mobile solution</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0326.html\" target=\"_blank\">Brian in Ohio</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2450\" target=\"_blank\">2450</a></strong></td>\n    <td>Fri</td>\n    <td>2017-12-22</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2450\" target=\"_blank\">Android Audio with viper 4 android and magisk</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2451\" target=\"_blank\">2451</a></strong></td>\n    <td>Mon</td>\n    <td>2017-12-25</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2451\" target=\"_blank\">Server Basics 105 OpenVPN Client</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2452\" target=\"_blank\">2452</a></strong></td>\n    <td>Tue</td>\n    <td>2017-12-26</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2452\" target=\"_blank\">Hydraulic Heavy Scale Project</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0209.html\" target=\"_blank\">David Whitman</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2453\" target=\"_blank\">2453</a></strong></td>\n    <td>Wed</td>\n    <td>2017-12-27</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2453\" target=\"_blank\">The power of GNU Readline - part 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2454\" target=\"_blank\">2454</a></strong></td>\n    <td>Thu</td>\n    <td>2017-12-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2454\" target=\"_blank\">The Alien Brothers Podcast - S01E02 - Strictly Hacking</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0359.html\" target=\"_blank\">The Alien Brothers Podcast (ABP)</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2455\" target=\"_blank\">2455</a></strong></td>\n    <td>Fri</td>\n    <td>2017-12-29</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2455\" target=\"_blank\">Interface Zero RPG Part 5</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n</table>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 43 comments in total.</p>\n<p>There are 15 comments on\n11 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2163#comments\" target=\"_blank\">hpr2163</a></strong>\n(2016-11-16) \"<em>Gnu Awk - Part 4</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2163#3\" target=\"_blank\">Comment 3</a>:\nRon Strelecki on 2017-12-09:\n\"GNU AWK, part four\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2163#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2017-12-10:\n\"Thanks Ron\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2163#5\" target=\"_blank\">Comment 5</a>:\nRon Strelecki on 2017-12-18:\n\"GNU Awk, part four\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2184#comments\" target=\"_blank\">hpr2184</a></strong>\n(2016-12-15) \"<em>Gnu Awk - Part 5</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2184#3\" target=\"_blank\">Comment 3</a>:\nZZ on 2017-12-11:\n\"GNU Awk part 5\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2184#4\" target=\"_blank\">Comment 4</a>:\nKen Fallon on 2017-12-11:\n\"Re: Audio\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2297#comments\" target=\"_blank\">hpr2297</a></strong>\n(2017-05-23) \"<em>More Magnatune Favourites</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2297#5\" target=\"_blank\">Comment 5</a>:\nrtsn on 2017-12-17:\n\"good stuff\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2314#comments\" target=\"_blank\">hpr2314</a></strong>\n(2017-06-15) \"<em>Bad Caps</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2314#9\" target=\"_blank\">Comment 9</a>:\nNYbill on 2017-12-12:\n\"Its alive!\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2314#10\" target=\"_blank\">Comment 10</a>:\nJon KUlp on 2017-12-15:\n\"Insomnia\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2394#comments\" target=\"_blank\">hpr2394</a></strong>\n(2017-10-05) \"<em>The Lost Episode</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2394#4\" target=\"_blank\">Comment 4</a>:\nKen Fallon on 2017-12-20:\n\"All set but ....\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2403#comments\" target=\"_blank\">hpr2403</a></strong>\n(2017-10-18) \"<em>Amateur Radio Round Table #3</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2403#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2017-12-04:\n\"Visualisation of waves\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2417#comments\" target=\"_blank\">hpr2417</a></strong>\n(2017-11-07) \"<em>Transmeta Crusoe - Fujitsu-Siemens Futro S210 (ThinClient) - Trouble Shooting and Debian 9 Install</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2417#3\" target=\"_blank\">Comment 3</a>:\nbusybusy on 2017-12-29:\n\"A Different Time\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2420#comments\" target=\"_blank\">hpr2420</a></strong>\n(2017-11-10) \"<em>Netbooks - Keeping an old friend alive</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0246.html\" target=\"_blank\">Beeza</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2420#2\" target=\"_blank\">Comment 2</a>:\nGumnos on 2017-12-02:\n\"Netbooks and lightweight OSes\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2422#comments\" target=\"_blank\">hpr2422</a></strong>\n(2017-11-14) \"<em>Kickstarter Post Mortem</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2422#1\" target=\"_blank\">Comment 1</a>:\nbusybusy on 2017-12-29:\n\"Kickstarter Revisited\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2431#comments\" target=\"_blank\">hpr2431</a></strong>\n(2017-11-27) \"<em>Information Underground: Local Control</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2431#1\" target=\"_blank\">Comment 1</a>:\nZen_Floater2 on 2017-12-01:\n\"Benevolent Dictator of the Magical Forrest\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2432#comments\" target=\"_blank\">hpr2432</a></strong>\n(2017-11-28) \"<em>Living with the Nokia 6 – an update to HPR 2405</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2432#3\" target=\"_blank\">Comment 3</a>:\nTony Hughes on 2017-12-01:\n\"Reply to RWA re App performance\"</li></ul><br/>\n</li></ul>\n<p>There are 28 comments on 13 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2435#comments\" target=\"_blank\">hpr2435</a></strong>\n(2017-12-01) \"<em>Server Basics 102</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2435#1\" target=\"_blank\">Comment 1</a>:\n0xf10e on 2017-12-05:\n\"yum whatprovides?\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2437#comments\" target=\"_blank\">hpr2437</a></strong>\n(2017-12-05) \"<em>Interface Zero Play-through Part 3</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2437#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2017-12-05:\n\"Noooooooo\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2437#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2017-12-05:\n\"Ignore him\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2437#3\" target=\"_blank\">Comment 3</a>:\njrullo on 2017-12-05:\n\"Is there a link for the free guide you mentioned.\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2437#4\" target=\"_blank\">Comment 4</a>:\nKlaatu on 2017-12-08:\n\"Free guide\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2438#comments\" target=\"_blank\">hpr2438</a></strong>\n(2017-12-06) \"<em>Gnu Awk - Part 8</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2438#1\" target=\"_blank\">Comment 1</a>:\nRon Strelecki on 2017-12-22:\n\"AWK part 8\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2438#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-12-24:\n\"Thanks Ron\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2440#comments\" target=\"_blank\">hpr2440</a></strong>\n(2017-12-08) \"<em>How to save bad beans or the French press</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0126.html\" target=\"_blank\">cobra2</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2440#1\" target=\"_blank\">Comment 1</a>:\nKlaatu on 2017-12-10:\n\"coffee\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2440#2\" target=\"_blank\">Comment 2</a>:\ncobra2 on 2017-12-11:\n\"coffee\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2441#comments\" target=\"_blank\">hpr2441</a></strong>\n(2017-12-11) \"<em>Server Basics 103</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2441#1\" target=\"_blank\">Comment 1</a>:\nx1101 on 2017-12-11:\n\"Moving follow up to comments\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2442#comments\" target=\"_blank\">hpr2442</a></strong>\n(2017-12-12) \"<em> The sound of Woodbrook Quaker Study centre in the Spring</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2442#1\" target=\"_blank\">Comment 1</a>:\nSTLShawn on 2017-12-20:\n\"Peaceful\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2442#2\" target=\"_blank\">Comment 2</a>:\nTony Hughes on 2017-12-21:\n\"Reply to Shawn\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2443#comments\" target=\"_blank\">hpr2443</a></strong>\n(2017-12-13) \"<em>pdmenu</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2443#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2017-12-13:\n\"Need to give this a try\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2445#comments\" target=\"_blank\">hpr2445</a></strong>\n(2017-12-15) \"<em>Information Underground: Backwards Capitalism</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2445#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2017-12-15:\n\"Well Done\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2447#comments\" target=\"_blank\">hpr2447</a></strong>\n(2017-12-19) \"<em>Server Basics 104 OpenVPN Server</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2447#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2017-12-21:\n\"Details\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2447#2\" target=\"_blank\">Comment 2</a>:\nKlaatu on 2017-12-27:\n\"shownotes\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2448#comments\" target=\"_blank\">hpr2448</a></strong>\n(2017-12-20) \"<em>Useful Bash functions - part 3</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2448#1\" target=\"_blank\">Comment 1</a>:\nSTLShawn on 2017-12-20:\n\"Fascinating\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2448#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2017-12-20:\n\"Thanks Shawn\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2448#3\" target=\"_blank\">Comment 3</a>:\nMike Ray on 2017-12-21:\n\"Bash shows\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2448#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2017-12-21:\n\"Thanks Mike\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2448#5\" target=\"_blank\">Comment 5</a>:\nMike Ray on 2017-12-29:\n\"BASH_REMATCH\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2448#6\" target=\"_blank\">Comment 6</a>:\nDave Morriss on 2017-12-29:\n\"Re: BASH_REMATCH\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2452#comments\" target=\"_blank\">hpr2452</a></strong>\n(2017-12-26) \"<em>Hydraulic Heavy Scale Project</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0209.html\" target=\"_blank\">David Whitman</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2452#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2017-12-19:\n\"retriever dog training\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2452#2\" target=\"_blank\">Comment 2</a>:\nSTLShawn on 2017-12-20:\n\"Would love dog training\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2454#comments\" target=\"_blank\">hpr2454</a></strong>\n(2017-12-28) \"<em>The Alien Brothers Podcast - S01E02 - Strictly Hacking</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0359.html\" target=\"_blank\">The Alien Brothers Podcast (ABP)</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2454#1\" target=\"_blank\">Comment 1</a>:\nTrucker Rich on 2017-12-28:\n\"Delivery and Content\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2455#comments\" target=\"_blank\">hpr2455</a></strong>\n(2017-12-29) \"<em>Interface Zero RPG Part 5</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2455#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2017-12-20:\n\"Wasting shows\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2455#2\" target=\"_blank\">Comment 2</a>:\nKlaatu on 2017-12-28:\n\"Forgot a link\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2455#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2017-12-30:\n\"Added forgotten link\"</li></ul><br/>\n</li></ul>\n\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available on the HPR server under\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-December/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2017-December/thread.html</a>\n\n\n<h2>Any other business</h2>\n<h3 id=\"issue-tracker\">Issue Tracker</h3>\n<p>Josh of <a href=\"https://anhonesthost.com/shared-hosting/\">AnHonestHost.com</a> has provided HPR with a GitLab repository we use for storing website code and scripts. It includes an issue tracker which we have been using to track some of the recent issues we have been experiencing. We plan to use this more in the future.</p>\n<p>See <a href=\"https://gitlab.anhonesthost.com/HPR/HPR_Public_Code/issues\" class=\"uri\">https://gitlab.anhonesthost.com/HPR/HPR_Public_Code/issues</a>.</p>\n<h3 id=\"hosting-for-hpr\">Hosting for HPR</h3>\n<p>HPR is hosted by Josh of <a href=\"https://anhonesthost.com/shared-hosting/\">AnHonestHost.com</a>. We would appreciate it if you could <a href=\"https://secure.anhonesthost.com/cart.php?gid=17\">donate</a> to help reduce his costs in funding the hosting.</p>\n<p>HPR\'s shows and audio are also hosted by the Internet Archive (<a href=\"https://archive.org\">archive.org</a>). They are currently running a <a href=\"https://archive.org/donate/\">funding drive</a> where a generous supporter will match donations 3-to-1. As they say: &quot;<em>Your $5 becomes $20!&quot;</em></p>\n<p>Donations to the Internet Archive would also be appreciated.</p>\n<h3 id=\"hpr-shows-on-the-internet-archive\">HPR shows on the Internet Archive</h3>\n<p>HPR shows from number <a href=\"https://archive.org/details/hpr0871\">871</a> up to <a href=\"https://archive.org/details/hpr2455\">2455</a> are currently available on the Internet Archive as individual &quot;<em>identifiers</em>&quot; in the Archive terminology.</p>\n<p>Gradually, earlier shows are being added and the shows for the coming week are added each weekend. The podcast feeds have recently been redirected to download from the copies on <code>archive.org</code>.</p>\n<p>In recent months the upload process has been enhanced to make sure that a copy of the notes and all other components of each show (such as pictures, and downloadable files) are available on <code>archive.org</code> as well as on the HPR site. Earlier uploads where this was not the case will be updated in due course.</p>\n<h3 id=\"static-web-site\">Static web site</h3>\n<p>Can anyone recommend static site tools?</p>\n<h3 id=\"tags-and-summaries\">Tags and Summaries</h3>\n<p>Thanks to <a href=\"https://hackerpublicradio.org/correspondents/0079.html\"><code>Xoke</code></a> for sending in updates in the past month.</p>\n<!--\nvim: syntax=markdown:ts=8:sw=4:ai:et:tw=78:fo=tcqn:fdm=marker\n-->\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2184,'2016-12-15','Gnu Awk - Part 5',2394,'In this episode, I describe how to use regular expressions with Awk.','<h2 id=\"gnu-awk---part-5\">GNU AWK - Part 5</h2>\r\n<h3 id=\"regular-expressions-in-awk\">Regular Expressions in AWK</h3>\r\n<p>The syntax for using regular expressions to match lines in AWK is as follows:</p>\r\n<pre><code>word ~ /match/</code></pre>\r\n<p>Or for not matching, use the following:</p>\r\n<pre><code>word !~ /match/</code></pre>\r\n<p>Remember the following file from the previous episodes:</p>\r\n<pre><code>name       color  amount\r\napple      red    4\r\nbanana     yellow 6\r\nstrawberry red    3\r\ngrape      purple 10\r\napple      green  8\r\nplum       purple 2\r\nkiwi       brown  4\r\npotato     brown  9\r\npineapple  yellow 5</code></pre>\r\n<p>We can run the following command:</p>\r\n<pre><code>$1 ~ /p[elu]/ {print $0}</code></pre>\r\n<p>We will get the following output:</p>\r\n<pre><code>apple      red    4\r\ngrape      purple 10\r\napple      green  8\r\nplum       purple 2\r\npineapple  yellow 5</code></pre>\r\n<p>In another example:</p>\r\n<pre><code>$2 ~ /e{2}/ {print $0}</code></pre>\r\n<p>Will produce the output:</p>\r\n<pre><code>apple      green  8</code></pre>\r\n<h3 id=\"regular-expression-basics\">Regular expression basics</h3>\r\n<p>Certain characters have special meaning when using regular expressions.</p>\r\n<h4 id=\"anchors\">Anchors</h4>\r\n<ul>\r\n<li><code>^</code> - beginning of the line</li>\r\n<li><code>$</code> - end of the line</li>\r\n<li><code>\\A</code> - beginning of a string</li>\r\n<li><code>\\z</code> - end of a string</li>\r\n<li><code>\\b</code> on a word boundary</li>\r\n</ul>\r\n<h4 id=\"characters\">Characters</h4>\r\n<ul>\r\n<li><code>[ad]</code> - a or d</li>\r\n<li><code>[a-d]</code> - any character a through d</li>\r\n<li><code>[^a-d]</code> - not any character a through d</li>\r\n<li><code>\\w</code> - any word</li>\r\n<li><code>\\s</code> - any white-space character</li>\r\n<li><code>\\d</code> - any digit</li>\r\n</ul>\r\n<p>The capital version of w, s, and d are negations.</p>\r\n<p>Or, you can reference characters the POSIX standard way:</p>\r\n<ul>\r\n<li><code>[:alnum:]</code> - Alphanumeric characters</li>\r\n<li><code>[:alpha:]</code> - Alphabetic characters</li>\r\n<li><code>[:blank:]</code> - Space and TAB characters</li>\r\n<li><code>[:cntrl:]</code> - Control characters</li>\r\n<li><code>[:digit:]</code> - Numeric characters</li>\r\n<li><code>[:graph:]</code> - Characters that are both printable and visible (a space is printable but not visible, whereas an ‘a’ is both)</li>\r\n<li><code>[:lower:]</code> - Lowercase alphabetic characters</li>\r\n<li><code>[:print:]</code> - Printable characters (characters that are not control characters)</li>\r\n<li><code>[:punct:]</code> - Punctuation characters (characters that are not letters, digits, control characters, or space characters)</li>\r\n<li><code>[:space:]</code> - Space characters (such as space, TAB, and formfeed, to name a few)</li>\r\n<li><code>[:upper:]</code> - Uppercase alphabetic characters</li>\r\n<li><code>[:xdigit:]</code> - Characters that are hexadecimal digits</li>\r\n</ul>\r\n<h4 id=\"quantifiers\">Quantifiers</h4>\r\n<ul>\r\n<li><code>.</code> - match any character</li>\r\n<li><code>+</code> - match preceding one or more times</li>\r\n<li><code>*</code> - match preceding zero or more times</li>\r\n<li><code>?</code> - match preceding zero or one time</li>\r\n<li><code>{n}</code> - match preceding exactly n times</li>\r\n<li><code>{n,}</code> - match preceding n or more times</li>\r\n<li><code>{n,m}</code> - match preceding between n and m times</li>\r\n</ul>\r\n<h4 id=\"grouped-matches\">Grouped Matches</h4>\r\n<ul>\r\n<li><code>(...)</code> - Parentheses are used for grouping</li>\r\n<li><code>|</code> - Means <em>or</em> in the context of a grouped match</li>\r\n</ul>\r\n<h3 id=\"replacement\">Replacement</h3>\r\n<ul>\r\n<li>The <code>sub</code> command substitutes the match with the replacement string. This only applies to the first match.</li>\r\n<li>The <code>gsub</code> command substitutes all matching items.</li>\r\n<li>The <code>gensub</code> command command substitutes the in a similar way as sub and gsub, but with extra functionality</li>\r\n<li>The <code>&amp;</code> character in the replacement field references the matched text. You have to use <code>\\&amp;</code> to replace the match with the literal <em>&amp;</em> character.</li>\r\n</ul>\r\n<p>Example:</p>\r\n<pre><code>{ sub(/apple/, &quot;nut&quot;, $1);\r\n    print $1}</code></pre>\r\n<p>The output is:</p>\r\n<pre><code>name\r\nnut\r\nbanana\r\nstrawberry\r\ngrape\r\nnut\r\nplum\r\nkiwi\r\npotato\r\npinenut</code></pre>\r\n<p>Another example:</p>\r\n<pre><code>{ sub(/.+(pp|rr)/, &quot;test-&amp;&quot;, $1);\r\n    print $1}</code></pre>\r\n<p>This produces the following output:</p>\r\n<pre><code>name\r\ntest-apple\r\nbanana\r\ntest-strawberry\r\ngrape\r\ntest-apple\r\nplum\r\nkiwi\r\npotato\r\ntest-pineapple</code></pre>\r\n<h2 id=\"resources\">Resources</h2>\r\n<ul>\r\n<li><a href=\"https://regex101.com\">Regex 101</a> - Advanced online regex tester</li>\r\n<li><a href=\"https://regexr.com\">RegExr</a> - Simple online regex tester</li>\r\n<li><a href=\"https://www.grymoire.com/Unix/Awk.html\">Grymoire\'s Awk Tutorial</a> - Great Resource for understanding Awk</li>\r\n<li><a href=\"https://www.gnu.org/software/gawk/manual/html_node/Regexp.html\">GNU Awk\'s Regex User Guide</a> - Official Gawk user guide</li>\r\n</ul>\r\n',300,94,0,'CC-BY-SA','awk, bash, command-line, cli',0,0,1),
(2187,'2016-12-20','The Toshiba Libretto 100ct',1707,'In this episode I discuss some of the quirks of setting up Toshiba Libretto for retro gaming.','<p>In this episode, I discuss some of the quirks I encountered when setting up my recently acquired Toshiba Libretto 100ct for retro gaming. I cover the hardware specs, a few tips on getting it running while dealing with Win98 woes.</p>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><p><a href=\"https://www.xodustech.com/guides/libretto-100ct-96mb-ram-upgrade\">Article detailing how to get the RAM up to 96MB</a></p></li>\r\n<li><p><a href=\"https://www.xodustech.com/guides/libretto-100ct-overclock\">Another article detailing how to overclock the processor</a></p></li>\r\n</ul>\r\n',325,0,1,'CC-BY-SA','Retro gaming, vintage hardware, Toshiba Libretto',0,0,1),
(2192,'2016-12-27','Fun with Oscilloscopes',572,'Taking a look at oscilloscope music.','<p>For an example of the effect, here is an example -</p>\r\n<ul>\r\n<li><a href=\"https://www.youtube.com/watch?v=rYzxHeAgE-I\">Jerobeam Fenderson - Deconstruct</a></li>\r\n<li>Link to the <a href=\"https://www.youtube.com/watch?v=ZaTuFB5QXHo&amp;t=5s\">original TechMoan video</a> that got me interested in the subject</li>\r\n<li><a href=\"https://www.youtube.com/watch?v=iM5BW75CKJQ\">Oscilloscope Music and Blender</a> - a video by one of the originators of the technique</li>\r\n<li><a href=\"https://www.youtube.com/channel/UCECl4aNz5hvuRzW5fgCOHKQ\">Jerobeam Fenderson</a> - original Oscilloscope music artist</li>\r\n<li><a href=\"https://oscilloscopemusic.com/\">Oscilloscope Music Website</a></li>\r\n<li><a href=\"https://asdfg.me/osci/\">Software Oscilloscope</a> - basically an oscilloscope emulator</li>\r\n</ul>\r\n<hr />\r\n<p>Here are some other interesting ideas for oscilloscopes -</p>\r\n<ul>\r\n<li><a href=\"https://www.youtube.com/watch?v=-FK7hy5usYE\">Video on an Oscilloscope</a></li>\r\n<li><a href=\"https://www.youtube.com/watch?v=GIdiHh6mW58\">Quake on an Oscilloscope</a></li>\r\n</ul>\r\n',325,0,1,'CC-BY-SA','Oscilloscope,music',0,0,1),
(2189,'2016-12-22','Working Amateur Radio Satellites',1925,'A brief overview of how to work your first satellite.','<!-- Processed by make_markdown V0.0.4 -->\r\n<p>Resources:</p>\r\n<ul>\r\n<li><a href=\"https://manor.space/~cmhobbs/dump/20161122_SO-50.mov\">Raw video (audio) of SO-50 reception.</a> Fast forward to about 7:30:</li>\r\n<li><a href=\"https://gpredict.oz9aec.net/\">gPredict</a></li>\r\n<li><a href=\"https://lilacsat.hit.edu.cn/?page_id=257\">LILACSAT-2</a></li>\r\n<li><a href=\"https://amsat.org/status\">AMSAT staatus</a></li>\r\n<li><a href=\"https://www.amsat.org/?page_id=2144\">AMSAT intro tips</a></li>\r\n<li><a href=\"https://amsat-uk.org\">AMSAT-UK</a></li>\r\n<li><a href=\"https://worksat.com\">Worksat</a></li>\r\n<li><a href=\"https://eHam.net\">eHam</a></li>\r\n<li><a href=\"https://www.amsat.org/amsat/ftp/keps/current/\">AMSAT keps</a></li>\r\n<li>##hamradio on irc.freenode.net</li>\r\n<li>AMSAT mailing lists: amsat-bb, ans</li>\r\n</ul>\r\n',241,0,0,'CC-BY-SA','hamradio, ham, radio, amateur, satellites, projects',0,0,1),
(2190,'2016-12-23','fucking botnets how do they work?',233,'how using botnets for legetimate purposes can be useful','<p>\r\nyou can download the files, which includes the video tutorial on my hidden website: <a href=\"https://qzc3ou3vccr3yjyg.onion/software/gs-bot.tar.gz\">https://qzc3ou3vccr3yjyg.onion/software/gs-bot.tar.gz</a> | you need the tor browser to do so\r\n</p>\r\n<p>\r\notherwise the video can be found on mediagoblin (minetest quality tho):\r\n<a href=\"https://roaming-initiative.com/mediagoblin/u/spaceman1/m/how-to-make-a-gnu-social-bot/\">https://roaming-initiative.com/mediagoblin/u/spaceman1/m/how-to-make-a-gnu-social-bot/</a>\r\n</p>\r\n	',344,0,1,'CC-BY-SA','GNU Social,bot',0,0,1),
(2191,'2016-12-26','Building a Soundboard Android App with App Inventor',603,'droops walks us through how to build Android Apps with App Inventor a block based language.','<p>\r\nBuilding quick Android Apps is simple with App Inventor. Droops walks through how to build a simple soundboard to play fun fart noises. This is a great project that he has done with his kids to bring computer science and computational thinking to the young ones. \r\n</p>\r\n<p>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr2191_image.png\" width=\"80%\" alt=\"gui screenshot\" />\r\n</p>\r\n',1,0,0,'CC-BY-SA','android, app inventor, mit',0,0,1),
(2193,'2016-12-28','a clean podcast with no swearing',1074,'discussing the swearing drama ','<p>\r\n(replace-regex-in-string \"fuck\" \"rainbows\")\r\n</p>\r\n',344,0,1,'CC-BY-SA','freespeech',0,0,1),
(2194,'2016-12-29','The low-down on what\'s up in the Taiwan Strait.',1928,'In which I respond to \"I don\'t get this whole Taiwan/US/China thing\"','<p>Wow, my aim was really to be strict about the terminology and always talk about Beijing/PRC or Taipei/ROC, but I noticed that I was saying \"China\" and \"Taiwan\" a lot of the time. Lucky I\'m not trying to be the President, eh?</p>\r\n<p>I\'m sorry it\'s so long, but on the other hand I think I speak pretty slow, so it\'s probably pretty amenable to sped-up listening. :-)</p>\r\n<p>Or, you can skip ~27 minutes in to go straight to my overview of the current situation, without the \"short\" background.</p>\r\n<p>Also, pardon my pronunciation of Chinese names, which is an unpredictable mix of Cantonese, Cantonese-accented Mandarin, Mandarin and English.</p>\r\n<p>Background:</p>\r\n<div style=\"float: right; line-height: 1em; font-size: 0.5em\">\r\n<a href=\"https://en.wikipedia.org/wiki/File:China_imperialism_cartoon.jpg\"><img src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/3/32/China_imperialism_cartoon.jpg/320px-China_imperialism_cartoon.jpg\" alt=\"World powers cutting up China\"></a>\r\n<br><em>(Image license: public domain)</em>\r\n</div>\r\n\r\n<ul>\r\n<li>1644 <a href=\"https://en.wikipedia.org/wiki/Qing_dynasty\">Qing dynasty</a></li>\r\n<li>1868 <a href=\"https://en.wikipedia.org/wiki/Meiji_Restoration\">Meiji Restoration</a></li>\r\n<li>1871 Imperial Japanese Army</li>\r\n<li>1895 End of <a href=\"https://en.wikipedia.org/wiki/First_Sino-Japanese_War\">First Sino-Japanese War</a><ul>\r\n<li>Treaty of Shimonoseki, annexation of Formosa/Taiwan</li>\r\n</ul>\r\n</li>\r\n<li>1905<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Treaty_of_Portsmouth\">End of Russo-Japanese war</a>, birth of <a href=\"https://en.wikipedia.org/wiki/Kwantung_Army\">Kwantung Army</a><ul>\r\n<li><em>Don\'t mix up Kwantung/Guandung and Guangdong! One is in Manchuria in the north-east, one is near Hong Kong in the south ...</em></li>\r\n</ul>\r\n</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Japan%E2%80%93Korea_Treaty_of_1905\">Korea a Japanese protectorate</a></li>\r\n</ul>\r\n</li>\r\n<li>1910 Japan annexes Korea</li>\r\n<li>1911 <a href=\"https://en.wikipedia.org/wiki/Xinhai_Revolution\">Xinhai Revolution</a></li>\r\n<li>1919<ul>\r\n<li>End of World War I</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Treaty_of_Versailles\">Japan receives Germany\'s Chinese concessions</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Kuomintang\">Kuomintang</a> founded</li>\r\n</ul>\r\n</li>\r\n<li>1921 <a href=\"https://en.wikipedia.org/wiki/Communist_Party_of_China\">Communist Party of China</a></li>\r\n<li>1924 <a href=\"https://en.wikipedia.org/wiki/Mongolian_People%27s_Republic\">Mongolian People\'s Republic</a></li>\r\n<li>1925 Death of <a href=\"https://en.wikipedia.org/wiki/Sun_Yat-sen\">Sun Yat-sen</a></li>\r\n<li>1928 <a href=\"https://en.wikipedia.org/wiki/Northern_Expedition\">Northern Expedition</a></li>\r\n<li>1932<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Mukden_Incident\">Mukden Incident</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Manchukuo\">Manchukuo</a></li>\r\n</ul>\r\n</li>\r\n<li>1936 Xi\'an incident <em>(don\'t mix up general <a href=\"https://en.wikipedia.org/wiki/Chiang_Kai-shek\">Chiang</a> and general <a href=\"https://en.wikipedia.org/wiki/Zhang_Xueliang\">Zhang</a>!)</em></li>\r\n<li>1937 <a href=\"https://en.wikipedia.org/wiki/Second_Sino-Japanese_War\">Japanese invasion</a>, <a href=\"https://en.wikipedia.org/wiki/Battle_of_Nanking\">fall of Nanking</a><div style=\"float: right; width: 320px; line-height: 1em; font-size: 0.5em\">\r\n<a href=\"https://commons.wikimedia.org/wiki/File:Japanese_Occupation_of_China_1940.svg\"><img src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/c/cb/Japanese_Occupation_of_China_1940.svg/320px-Japanese_Occupation_of_China_1940.svg.png\" alt=\"Japanese occupation of China\"></a>\r\n<br><em>(Image license: CC-by-SA, Wikipedia users <a href=\"https://commons.wikimedia.org/wiki/User:Rowanwindwhistler\">Rowanwindwhistler</a> and <a href=\"https://commons.wikimedia.org/wiki/User:W.wolny\">W.wolny</a>, based on public domain work created by the US federal government)</em>\r\n</div></li>\r\n<li>1945 <ul>\r\n<li>WWII ends, Japan returns Taiwan to the ROC</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Chinese_Communist_Revolution\">Chinese Communist Revolution</a></li>\r\n</ul>\r\n</li>\r\n<li>1947<ul>\r\n<li>Last election to the full ROC <a href=\"https://en.wikipedia.org/wiki/Legislative_Yuan\">Legislative Yuan</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/February_28_Incident\">February 28 Incident</a> between native Taiwanese and the ROC government</li>\r\n</ul>\r\n</li>\r\n<li>1949 PRC: CCP controls 99% of ROC<ul>\r\n<li><em>Temporary Provisions Effective During the Period of Communist Rebellion</em></li>\r\n<li>ROC recognizes Mongolia</li>\r\n</ul>\r\n</li>\r\n<li>1950<ul>\r\n<li>Korean war</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Aftermath_of_the_Korean_War\">USA enters PRC-ROC politics</a></li>\r\n</ul>\r\n</li>\r\n<li>1961<ul>\r\n<li>Mongolia enters the UN</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Sino-Soviet_split\">Sino-Soviet split</a></li>\r\n</ul>\r\n</li>\r\n<li>1971 July: Nixon goes to China</li>\r\n<li>1971 August: UN votes for PRC</li>\r\n<li>1975 Death of Chiang Kai-shek</li>\r\n<li>1976 Death of <a href=\"https://en.wikipedia.org/wiki/Mao_Zedong\">Mao</a></li>\r\n<li>1978 Economic reform (<a href=\"https://en.wikipedia.org/wiki/Deng_Xiaoping\">Deng Xiaoping</a>)</li>\r\n<li>1979 US recognition of the PRC</li>\r\n<li>1984 <a href=\"https://en.wikipedia.org/wiki/Sino-British_Joint_Declaration\">Sino-British Joint Declaration</a> (One Country, Two Systems)</li>\r\n<li>1986 Democratic Progressive Party voted into Legislative Yuan</li>\r\n<li>1987 <a href=\"https://en.wikipedia.org/wiki/Martial_law_in_Taiwan\">Martial law</a> lifted</li>\r\n<li>1988 Death of Chiang Ching-kuo</li>\r\n<li>1991 <em>Temporary Provisions</em> rescinded, DPP legal</li>\r\n<li>1991 <a href=\"https://en.wikipedia.org/wiki/Straits_Exchange_Foundation\">SEF</a> and <a href=\"https://en.wikipedia.org/wiki/Association_for_Relations_Across_the_Taiwan_Straits\">ARATS</a> founded</li>\r\n<li>1992 PRC-ROC <a href=\"https://en.wikipedia.org/wiki/1992_Consensus\">consensus on the One China Principle</a></li>\r\n<li>1996 Direct Presidential election, Taiwan Strait crisis</li>\r\n<li>1997 Handover of Hong Kong to PRC</li>\r\n<li>2000 First DPP President</li>\r\n<li>2008 <a href=\"https://en.wikipedia.org/wiki/Three_Links\">Three Links</a>, President <a href=\"https://en.wikipedia.org/wiki/Ma_Ying-jeou\">Ma Ying-jeou</a> (KMT)</li>\r\n<li>2014 <a href=\"https://en.wikipedia.org/wiki/Sunflower_Student_Movement\">Sunflower Movement</a></li>\r\n<li>2015 Ma-Xi meeting</li>\r\n<li>2016 DPP President Tsai Ing-wen</li>\r\n</ul>\r\n<p>Here\'s the text from IRC:</p>\r\n<p>China doesn\'t want Taiwan to be independent because that would be a loss of prestige to China.</p>\r\n<p>There are no technical details about it, it\'s all about symbolism.</p>\r\n<p>The China thing is a really interesting thing to unpack. First of all, if you ask the traditional ruling party on Taiwan, the KMT or GMD (Guo Min Dang), there is no country called Taiwan. The KMT and the CCP (Chinese Communist Party) agree that there is only one China and Taiwan is simply a province of that China. Where they disagree is whether the true government of the whole is in Beijing or in Taipei. (fun fact: the official capital of the Republic of China (Taiwan) is Nanjing, which is not under ROC control)</p>\r\n<p>Also, some de-facto parts of India and all of Mongolia is officially part of the ROC, according to their Constitution.</p>\r\n<div style=\"width: 500px; line-height: 1em; font-size: 0.5em\">\r\n<a href=\"https://en.wikipedia.org/wiki/Free_area_of_the_Republic_of_China#/media/File:ROC_Administrative_and_Claims.svg\"><img src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/c/c0/ROC_Administrative_and_Claims.svg/500px-ROC_Administrative_and_Claims.svg.png\" alt=\"Map of ROC claims\"></a>\r\n<br><em>(Image license: CC-by-SA, Wikipedia user <a href=\"https://en.wikipedia.org/wiki/User_talk:ZanderSchubert\">ZanderSchubert</a>)</em>\r\n</div>\r\n\r\n<p>If you fly from Beijing, there are domestic flights and \"international flights and domestic flights to Hong Kong, Macau and Taiwan\".</p>\r\n<p>So the US and UN stance since 1972 is \"there is one China, and its government is in Beijing\". But at the same time US is giving military support to Taipei, which according to Beijing is an unruly province.</p>\r\n<p>As long as the status quo holds – that Taipei claims to rule all of China and Beijing claims to rule all of China and no outsider that matters challenges that – China (both of them!) is happy. It works, there are extended business relations between the two jurisdictions (most of the electronics made in China are made in factories owned by Taiwanese companies)</p>\r\n<p>Both the CCP and the KMT hope that in the long term, this can gradually creep toward a unification of China. If Taiwan would declare independence, that would mean war.</p>\r\n<p>Now, the current ruling party, the DPP (Democratic Progressive Party) officially support driving toward a Taiwanese rather than a Chinese national identity, and at some point independence. They are being very careful about it though, because they are also aware of how Beijing would react if they went out and did it. Also, while they do control the majority of the Legislative Yuan, there is a significant minority in Taiwan that adhere to a Chinese identity, don\'t want to upset China, and don\'t want formal independence. The current quirky situation works, and barriers have been coming down over the years. Relations are abnormal yet normal. On the rhetorical level it\'s all messed up, in practice you can fly between the island and the mainland, you can conduct business and send post, etc.</p>\r\n<p>When ROC (Republic of China, \"Taiwan\") and PRC (People\'s Republic of China, \"Mainland China\") representatives meet, there are no embassies or consulates involved, because neither acknowledges the other as a country. Neither President will call the other \"President\", because that would imply they represent a country, rather than a rebel faction inside what the other side considers China.</p>\r\n<p>So when Trump goes on Twitter and says \"The President of Taiwan CALLED ME today to wish me congratulations on winning the Presidency. Thank you!\" that\'s a huge scandal in the eyes of Beijing. There is no President of Taiwan, and to imply so is to imply that Taiwan is a country and should be independent.</p>\r\n<p>That\'s as short as I can make it, but that\'s the low-down on what\'s up in the Taiwan Strait.</p>\r\n<p>Further reference (all Wikipedia):</p>\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/China_and_the_United_Nations\">China and the United Nations</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/United_Nations_General_Assembly_Resolution_2758\">United Nations General Assembly Resolution 2758</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Pan-Blue_Coalition\">Pan-Blue Coalition</a> (mainly KMT)</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Pan-Green_Coalition\">Pan-Green Coalition</a> (mainly DPP)</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Political_status_of_Taiwan\">Political status of Taiwan</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Chinese_unification\">Chinese unification</a></li>\r\n</ul>\r\n<p>Tangential background (all except one from Wikipedia):</p>\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Qing_conquest_of_the_Ming\">Qing conquest of the Ming</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Unequal_treaty\">Unequal treaty</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Taiwan_under_Japanese_rule\">Taiwan under Japanese rule</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/May_Fourth_Movement\">May Fourth Movement</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Dates_of_establishment_of_diplomatic_relations_with_the_People%27s_Republic_of_China\">Recognition of the PRC</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Demographics_of_Taiwan\">Demographics of Taiwan</a></li>\r\n<li><a href=\"https://www.wolframalpha.com/input/?i=population+taiwan+time+series+1945+to+1952\">Population of Taiwan 1945 – 1952</a>\r\n(wolframalpha)</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Mongolia%E2%80%93Taiwan_relations\">Mongolia—Taiwan relations</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Taiwan_after_World_War_II\">Taiwan after World War II</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Socialism_with_Chinese_characteristics\">Socialism with Chinese characteristics</a></li>\r\n</ul>\r\n',311,0,0,'CC-BY-SA','china, taiwan, roc, prc, politics, trump, history',0,0,1),
(2199,'2017-01-05','Replacing the Throttle Position Sensor on My Truck',1138,'Sound-seeing episode, listen as I Replace the throttle position sensor on my truck','<p>When the \"check engine\" light came on in my truck again, it turned out to be the <a href=\"https://en.wikipedia.org/wiki/Throttle_position_sensor\">throttle position sensor</a> just like when I very first bought the truck about a year-and-a-half ago. That time, I was able to fix it by spraying contact cleaner on it, but this time that didn\'t work. I ordered a new part. In this episode I talk while I replace the part and I also talk about the nifty diagnostic tool that I used to get the trouble code and how it sends the information to your smartphone.</p>\r\n\r\n<p><a data-flickr-embed=\"true\"  href=\"https://www.flickr.com/photos/137675441@N05/albums/72157677922691915\" title=\"Throttle Position Sensor Pics\"><img src=\"https://c8.staticflickr.com/1/539/31687571375_a77251e859_z.jpg\" width=\"360\" height=\"640\" alt=\"Throttle Position Sensor Pics\"></a></p>\r\n\r\n<p>What you can gather with the torque diagnostic tool for Android:</p>\r\n\r\n<ul>\r\n	<li>View live OBD engine data on your Android phone - Connect to your vehicle ECU</li>\r\n	<li>Fully customisable dashboard screens - Design your own layouts and custom dials, use your own themes</li>\r\n	<li>Retrieve Fault Codes (DTCs) and clear Check Engine lights - View fault descriptions using the built-in databases</li>\r\n	<li>Upload live OBD2 data to your webserver or the torque web viewer in realtime</li>\r\n	<li>Check the performance of your vehicle with BHP / Torque / 0-60 &amp; Quarter Mile widgets</li>\r\n</ul>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li><a href=\"https://en.wikipedia.org/wiki/Throttle_position_sensor\">Throttle Position Sensor</a></li>\r\n	<li><a href=\"https://veepeak.net/index.php?route=product/product&path=59_61&product_id=60\">Veepeak Mini WiFi Diagnostic Trouble Code Reader</a></li>\r\n	<li><a href=\"https://torque-bhp.com/\">Torque</a> App for Android: Performance and Diagnostics for your Vehicle</li>\r\n</ul>',238,0,0,'CC-BY-SA','DIY, cars, car repair, automotive',0,0,1),
(2200,'2017-01-06','Episode one of the future of free software series',154,'introduction to the series','<p>\r\nSpaceman introduces a series on the future of free software as he sees it.\r\n</p>\r\n<p>\r\nThe full series is available on my hidden service: <a href=\"https://qzc3ou3vccr3yjyg.onion/free-software-podcasts/the-future-of-free-software/\">https://qzc3ou3vccr3yjyg.onion/free-software-podcasts/the-future-of-free-software/</a>\r\n</p>\r\n<p>\r\nYou can access the site using the Tor Browser available <a href=\"https://www.torproject.org/projects/torbrowser.html.en\">here</a>\r\n</p>',344,0,1,'CC-BY-SA','free software',0,0,1),
(2222,'2017-02-07','FOSDEM 2017 K (level 1, group A)',5392,'Ken interviews the projects in Group A of the the K building level 1','<h1>Table of Contents</h1>\r\n<ul>\r\n<li><a href=\"#K1A.1\">KDE</a></li>\r\n<li><a href=\"#K1A.2\">GNOME</a></li>\r\n<li><a href=\"#K1A.3\">LibreOffice</a></li>\r\n<li><a href=\"#K1A.4\">Kopano</a></li>\r\n<li><a href=\"#K1A.5\">CiviCRM</a></li>\r\n<li><a href=\"#K1A.6a\">GNU Taler</a></li>\r\n<li><a href=\"#K1A.6b\">pEp foundation</a></li>\r\n<li><a href=\"#K1A.7\">FreeBSD Project</a></li>\r\n<li><a href=\"#K1A.8\">illumos</a></li>\r\n<li><a href=\"#K1A.9\">OpenSUSE</a></li>\r\n<li><a href=\"#K1A.10\">CentOS</a></li>\r\n<li><a href=\"#K1A.11\">Fedora Project</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1A.1\" ><img alt=\"KDE\" src=\"https://hackerpublicradio.org/eps/hpr2222_K1A.1.jpg\"/></h2>\r\n<p><a href=\"https://www.kde.org/\">https://www.kde.org/</a></p>\r\n<blockquote>\r\nKDE is an international community that creates Free Software for desktop and portable computing. Among KDE\'s products are a modern desktop system for Linux and UNIX platforms, and comprehensive office productivity and groupware suites. KDE offers hundreds of software titles in many categories including web applications, multimedia, entertainment, educational, graphics and software development.\r\n</blockquote>\r\n<h3>Listen to the interview with Jonathan Riddell</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.ogg#t=73.000000,510.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.mp3#t=73.000000,510.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2222_K1A.1_KDE_laptop.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2222_K1A.1_KDE_laptop_small.jpg\" alt=\"photo from the booth\"/></a></p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2222_K1A.1_KDE_snappy.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2222_K1A.1_KDE_snappy_small.jpg\" alt=\"photo from the booth\"/></a></p>\r\n\r\n\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://www.kde.org/download/\">https://www.kde.org/download/</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/KDE\">https://en.wikipedia.org/wiki/KDE</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=kde\">https://webchat.freenode.net/?channels=kde</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/communities/102942756287167879504\">https://plus.google.com/communities/102942756287167879504</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company-beta/29561/\">https://www.linkedin.com/company-beta/29561/</a></li>\r\n<li>Mailinglist: <a href=\"https://www.kde.org/support/mailinglists/\">https://www.kde.org/support/mailinglists/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/kdecommunity\">https://twitter.com/kdecommunity</a></li>\r\n<li>Facebook: <a href=\"https://www.kde.org/images/facebook.png\">https://www.kde.org/images/facebook.png</a></li>\r\n<li>YouTube: <a href=\"https://www.kde.org/images/gplus.png\">https://www.kde.org/images/gplus.png</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1A.2\" ><img alt=\"GNOME\" src=\"https://hackerpublicradio.org/eps/hpr2222_K1A.2.jpg\"/></h2>\r\n<p><a href=\"https://www.gnome.org/\">https://www.gnome.org/</a></p>\r\n<blockquote>\r\nGNOME 3 is an easy and elegant way to use your computer. It is designed to put you in control and bring freedom to everybody. GNOME 3 is developed by the GNOME community, a diverse, international group of contributors that is supported by an independent, non-profit foundation.\r\n</blockquote>\r\n<h3>Listen to the interview with Bastian Ilso</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.ogg#t=519.000000,811.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.mp3#t=519.000000,811.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://git.gnome.org/browse/\">https://git.gnome.org/browse/</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/GNOME\">https://en.wikipedia.org/wiki/GNOME</a></li>\r\n<li>IRC: <a href=\"https://wiki.gnome.org/Community/GettingInTouch/IRC\">https://wiki.gnome.org/Community/GettingInTouch/IRC</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/108054458791366257368/posts\">https://plus.google.com/108054458791366257368/posts</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company-beta/792348/\">https://www.linkedin.com/company-beta/792348/</a></li>\r\n<li>Mailinglist: <a href=\"https://mail.gnome.org/mailman/listinfo\">https://mail.gnome.org/mailman/listinfo</a></li>\r\n<li>RSS: <a href=\"https://www.gnome.org/feed/\">https://www.gnome.org/feed/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/gnome\">https://twitter.com/gnome</a></li>\r\n<li>FediVerse: <a href=\"https://identi.ca/gnome\">https://identi.ca/gnome</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/GNOMEDesktop\">https://www.facebook.com/GNOMEDesktop</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/user/GNOMEDesktop\">https://www.youtube.com/user/GNOMEDesktop</a></li>\r\n<li>About: <a href=\"https://www.gnome.org/about/\">https://www.gnome.org/about/</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1A.3\" ><img alt=\"LibreOffice\" src=\"https://hackerpublicradio.org/eps/hpr2222_K1A.3.jpg\"/></h2>\r\n<p><a href=\"https://www.libreoffice.org/\">https://www.libreoffice.org/</a></p>\r\n<blockquote>\r\nLibreOffice is the most widely used free open source office software. It is a community-driven project of The Document Foundation. LibreOffice is developed by professionals and by users, just like you, who believe in the principles of free software and in sharing their work with the world in a non-restrictive way. At the core of these principles is the promise of better-quality, highly-reliable and secure software that gives you greater flexibility at zero cost and no end-user lock-in.\r\n</blockquote>\r\n<h3>Listen to the interview with Italo Vignoli</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.ogg#t=820.000000,1222.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.mp3#t=820.000000,1222.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://www.libreoffice.org/about-us/source-code/\">https://www.libreoffice.org/about-us/source-code/</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/LibreOffice\">https://en.wikipedia.org/wiki/LibreOffice</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=libreoffice\">https://webchat.freenode.net/?channels=libreoffice</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/+libreoffice/\">https://plus.google.com/+libreoffice/</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/groups/4935274\">https://www.linkedin.com/groups/4935274</a></li>\r\n<li>Mailinglist: <a href=\"https://www.libreoffice.org/get-help/mailing-lists\">https://www.libreoffice.org/get-help/mailing-lists</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/libreoffice\">https://twitter.com/libreoffice</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/libreoffice.org\">https://www.facebook.com/libreoffice.org</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/channel/UCQAClQkZEm2rkWvU5bvCAXQ\">https://www.youtube.com/channel/UCQAClQkZEm2rkWvU5bvCAXQ</a></li>\r\n<li>About: <a href=\"https://www.libreoffice.org/about-us/who-are-we/\">https://www.libreoffice.org/about-us/who-are-we/</a></li>\r\n<li>Reddit: <a href=\"https://www.reddit.com/r/libreoffice\">https://www.reddit.com/r/libreoffice</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1A.4\" ><img alt=\"Kopano\" src=\"https://hackerpublicradio.org/eps/hpr2222_K1A.4.jpg\"/></h2>\r\n<p><a href=\"https://www.kopano.io/\">https://www.kopano.io/</a></p>\r\n<blockquote>\r\nKopano is a thoroughly modern communication stack. It\'s fully MAPI based server (Core) provides access to email, contacts, calendaring through a web interface (WebApp), on the desktop (DeskApp) and can be used with mobile devices. Integration with online meetings tools based on WebRTC (Web Meetings) and integration with file storage services (Files) provide a complete set of tools to work together.\r\n</blockquote>\r\n<h3>Listen to the interview with Michael Kromer</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.ogg#t=1231.000000,1735.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.mp3#t=1231.000000,1735.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://stash.kopano.io/repos?visibility=public\">https://stash.kopano.io/repos?visibility=public</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=kopano\">https://webchat.freenode.net/?channels=kopano</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/communities/112491981669914076429\">https://plus.google.com/communities/112491981669914076429</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company/10815502\">https://www.linkedin.com/company/10815502</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/kopanobv\">https://twitter.com/kopanobv</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/meet.kopano/\">https://www.facebook.com/meet.kopano/</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/channel/UCl8Nd0TDVgHeZFuOdkiSzIA\">https://www.youtube.com/channel/UCl8Nd0TDVgHeZFuOdkiSzIA</a></li>\r\n<li>About: <a href=\"https://kopano.com/about/\">https://kopano.com/about/</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1A.5\" ><img alt=\"CiviCRM\" src=\"https://hackerpublicradio.org/eps/hpr2222_K1A.5.jpg\"/></h2>\r\n<p><a href=\"https://civicrm.org\">https://civicrm.org</a></p>\r\n<blockquote>\r\nCiviCRM is an open source CRM built by a community of contributors and supporters, and coordinated by the Core Team. CiviCRM is web-based software used by a diverse range of organisations, particularly not-for-profit organizations (nonprofts and civic sector organizations). CiviCRM offers a complete feature set out of the box and can integrate with your website.\r\n</blockquote>\r\n<h3>Listen to the interview with Alain Benbassat</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.ogg#t=1744.000000,1964.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.mp3#t=1744.000000,1964.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/civicrm/civicrm-dev-docs\">https://github.com/civicrm/civicrm-dev-docs</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/CiviCRM\">https://en.wikipedia.org/wiki/CiviCRM</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=civicrm\">https://webchat.freenode.net/?channels=civicrm</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/communities/114972789429616596475\">https://plus.google.com/communities/114972789429616596475</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/groups/1418647\">https://www.linkedin.com/groups/1418647</a></li>\r\n<li>Mailinglist: <a href=\"https://lists.civicrm.org/lists/\">https://lists.civicrm.org/lists/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/civicrm\">https://twitter.com/civicrm</a></li>\r\n<li>Facebook: <a href=\"https://facebook.com/civicrm\">https://facebook.com/civicrm</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/channel/UCbmFxo3HyO9gaNG40byQjiQ\">https://www.youtube.com/channel/UCbmFxo3HyO9gaNG40byQjiQ</a></li>\r\n<li>About: <a href=\"https://civicrm.org/about\">https://civicrm.org/about</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1A.6a\" ><img alt=\"GNU Taler\" src=\"https://hackerpublicradio.org/eps/hpr2222_K1A.6a.jpg\"/></h2>\r\n<p><a href=\"https://taler.net/\">https://taler.net/</a></p>\r\n<blockquote>\r\nTaler is an electronic payment system providing the ability to pay anonymously using digital cash. Taler consists of a network protocol definition (using a RESTful API over HTTP), a Mint (which creates digital coins), a Wallet (which allows customers\r\n</blockquote>\r\n<h3>Listen to the interview with Christian Grothoff</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.ogg#t=1973.000000,2402.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.mp3#t=1973.000000,2402.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://ftp.gnu.org/gnu/taler/\">https://ftp.gnu.org/gnu/taler/</a></li>\r\n<li>Mailinglist: <a href=\"https://savannah.gnu.org/mail/?group=taler\">https://savannah.gnu.org/mail/?group=taler</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1A.6b\" ><img alt=\"pEp foundation\" src=\"https://hackerpublicradio.org/eps/hpr2222_K1A.6b.jpg\"/></h2>\r\n<p><a href=\"https://pep.foundation\">https://pep.foundation</a></p>\r\n<blockquote>\r\nThe Swiss-based PEP foundation that intends to encrypt all digital written communication fully automatically giving \"Privacy by Default\"\r\n</blockquote>\r\n<h3>Listen to the interview with Hernâni Matques</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.ogg#t=2411.000000,3791.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.mp3#t=2411.000000,3791.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://pep.foundation/source-code/index.html\">https://pep.foundation/source-code/index.html</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/pEpCouncil\">https://twitter.com/pEpCouncil</a></li>\r\n<li>About: <a href=\"https://pep.foundation/about/index.html\">https://pep.foundation/about/index.html</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1A.7\" ><img alt=\"FreeBSD Project\" src=\"https://hackerpublicradio.org/eps/hpr2222_K1A.7.jpg\"/></h2>\r\n<p><a href=\"https://www.freebsd.org/\">https://www.freebsd.org/</a></p>\r\n<blockquote>\r\nFreeBSD is an advanced computer operating system used to power modern servers, desktops, and embedded platforms. A large community has continually developed it for more than thirty years. Its advanced networking, security, and storage features have made FreeBSD the platform of choice for many of the busiest web sites and most pervasive embedded networking and storage devices.\r\n</blockquote>\r\n<h3>Listen to the interview with Benedict Reuschling</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.ogg#t=3800.000000,4051.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.mp3#t=3800.000000,4051.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/freebsd\">https://github.com/freebsd</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/FreeBSD\">https://en.wikipedia.org/wiki/FreeBSD</a></li>\r\n<li>IRC: <a href=\"https://www.freebsd.org/community/irc.html\">https://www.freebsd.org/community/irc.html</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company/freebsd-foundation/\">https://www.linkedin.com/company/freebsd-foundation/</a></li>\r\n<li>Mailinglist: <a href=\"https://www.freebsd.org/community/mailinglists.html\">https://www.freebsd.org/community/mailinglists.html</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/freebsdfndation\">https://twitter.com/freebsdfndation</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/FreeBSDFoundation\">https://www.facebook.com/FreeBSDFoundation</a></li>\r\n<li>About: <a href=\"https://www.freebsd.org/about.html\">https://www.freebsd.org/about.html</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1A.8\" ><img alt=\"illumos\" src=\"https://hackerpublicradio.org/eps/hpr2222_K1A.8.jpg\"/></h2>\r\n<p><a href=\"https://illumos.org/\">https://illumos.org/</a></p>\r\n<blockquote>\r\nThis is the home of the illumos project, the open source fork of Sun\'s OpenSolaris. Launched in 2010, the project enjoys financial and technical support from several key companies which rely on the illumos kernel as the technological foundation for their own products, as well as the backing of a growing developer community.\r\n</blockquote>\r\n<h3>Listen to the interview with Hans Rosenfeld</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.ogg#t=4060.000000,4309.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.mp3#t=4060.000000,4309.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Illumos\">https://en.wikipedia.org/wiki/Illumos</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=illumos\">https://webchat.freenode.net/?channels=illumos</a></li>\r\n<li>Mailinglist: <a href=\"https://wiki.illumos.org/display/illumos/illumos+Mailing+Lists\">https://wiki.illumos.org/display/illumos/illumos+Mailing+Lists</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/illumosnews\">https://twitter.com/illumosnews</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/groups/illumos/\">https://www.facebook.com/groups/illumos/</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/channel/UC1hkQmdXxDjR5m363iwPhvg\">https://www.youtube.com/channel/UC1hkQmdXxDjR5m363iwPhvg</a></li>\r\n<li>About: <a href=\"https://wiki.illumos.org/display/illumos/About+illumos\">https://wiki.illumos.org/display/illumos/About+illumos</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1A.9\" ><img alt=\"OpenSUSE\" src=\"https://hackerpublicradio.org/eps/hpr2222_K1A.9.jpg\"/></h2>\r\n<p><a href=\"https://www.opensuse.org/\">https://www.opensuse.org/</a></p>\r\n<blockquote>\r\nopenSUSE, formerly openSUSE Leap 42.1 and openSUSE Tumbleweed, is a international Linux project with different distributions sponsored by SUSE Linux GmbH and other companies. It is widely used throughout the world, particularly in Germany. The focus of its development is creating usable open source tools for software developers and system administrators, while providing user friendly desktops, and a feature rich server environment.\r\n</blockquote>\r\n<h3>Listen to the interview with Douglas DeMaio</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.ogg#t=4318.000000,4667.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.mp3#t=4318.000000,4667.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/OpenSUSE\">https://en.wikipedia.org/wiki/OpenSUSE</a></li>\r\n<li>IRC: <a href=\"https://en.opensuse.org/openSUSE:IRC_list\">https://en.opensuse.org/openSUSE:IRC_list</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/+openSUSE/posts\">https://plus.google.com/+openSUSE/posts</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company-beta/254270/\">https://www.linkedin.com/company-beta/254270/</a></li>\r\n<li>Mailinglist: <a href=\"https://en.opensuse.org/openSUSE:Mailing_lists_subscription\">https://en.opensuse.org/openSUSE:Mailing_lists_subscription</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/opensuse\">https://twitter.com/opensuse</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/en.openSUSE\">https://www.facebook.com/en.openSUSE</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/user/opensusetv\">https://www.youtube.com/user/opensusetv</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1A.10\" ><img alt=\"CentOS\" src=\"https://hackerpublicradio.org/eps/hpr2222_K1A.10.jpg\"/></h2>\r\n<p><a href=\"https://www.centos.org/\">https://www.centos.org/</a></p>\r\n<blockquote>\r\nThe CentOS Project is a community-driven free software effort focused on delivering a robust open source ecosystem. For users, we offer a consistent manageable platform that suits a wide variety of deployments. For open source communities, we offer a solid, predictable base to build upon, along with extensive resources to build, test, release, and maintain their code.\r\n</blockquote>\r\n<h3>Listen to the interview with Fabian Arrotin</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.ogg#t=4676.000000,4954.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.mp3#t=4676.000000,4954.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/CentOS\">https://en.wikipedia.org/wiki/CentOS</a></li>\r\n<li>IRC: <a href=\"https://wiki.centos.org/irc\">https://wiki.centos.org/irc</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company-beta/963243/\">https://www.linkedin.com/company-beta/963243/</a></li>\r\n<li>Mailinglist: <a href=\"https://wiki.centos.org/GettingHelp/ListInfo\">https://wiki.centos.org/GettingHelp/ListInfo</a></li>\r\n<li>About: <a href=\"https://www.centos.org/about/\">https://www.centos.org/about/</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1A.11\" ><img alt=\"Fedora Project\" src=\"https://hackerpublicradio.org/eps/hpr2222_K1A.11.jpg\"/></h2>\r\n<p><a href=\"https://getfedora.org/en/\">https://getfedora.org/en/</a></p>\r\n<blockquote>\r\nFedora is an operating system based on the Linux kernel, developed by the community-supported Fedora Project and sponsored by Red Hat. Fedora contains software distributed under a free and open-source license and aims to be on the leading edge of such technologies.\r\n</blockquote>\r\n<h3>Listen to the interview with Justin W. Flory</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.ogg#t=4963.000000,5362.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2222.mp3#t=4963.000000,5362.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2222_K1A.11_Fedora_Project_youngest_ambassador.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2222_K1A.11_Fedora_Project_youngest_ambassador_small.jpg\" alt=\"photo from the booth\"/></a></p>\r\n\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Fedora_(operating_system)\">https://en.wikipedia.org/wiki/Fedora_(operating_system)</a></li>\r\n<li>IRC: <a href=\"https://fedoraproject.org/wiki/IRC\">https://fedoraproject.org/wiki/IRC</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/112917221531140868607\">https://plus.google.com/112917221531140868607</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company-beta/32178/\">https://www.linkedin.com/company-beta/32178/</a></li>\r\n<li>Mailinglist: <a href=\"https://fedoraproject.org/wiki/Mailing_lists\">https://fedoraproject.org/wiki/Mailing_lists</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/fedora\">https://twitter.com/fedora</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/TheFedoraProject\">https://www.facebook.com/TheFedoraProject</a></li>\r\n</ul>\r\n',30,0,1,'CC-BY-SA','FOSDEM 2017, KDE, GNOME, LibreOffice, Kopano, CiviCRM, GNU Taler, pEp foundation, FreeBSD Project, illumos, OpenSUSE, CentOS, Fedora Project',0,0,1),
(2223,'2017-02-08','FOSDEM 2017 K (level 1, group B and C)',6873,'Ken interviews the projects in Group B and C of the the K building level 1','<h1>Table of Contents</h1>\r\n<ul>\r\n<li><a href=\"#K1B.1a\">ReactOS</a></li>\r\n<li><a href=\"#K1B.1b\">Haiku</a></li>\r\n<li><a href=\"#K1B.2\">Gentoo</a></li>\r\n<li><a href=\"#K1B.3\">CoreOS Linux</a></li>\r\n<li><a href=\"#K1B.4\">Debian</a></li>\r\n<li><a href=\"#K1B.5\">PostgreSQL</a></li>\r\n<li><a href=\"#K1B.6\">Nextcloud</a></li>\r\n<li><a href=\"#K1B.7\">Bazel</a></li>\r\n<li><a href=\"#K1B.8a\">Open Build Service</a></li>\r\n<li><a href=\"#K1B.8b\">OpenQA</a></li>\r\n<li><a href=\"#K1C.1\">Free Software Foundation Europe</a></li>\r\n<li><a href=\"#K1C.3\">Vikings</a></li>\r\n<li><a href=\"#K1C.4a\">Tor Project</a></li>\r\n<li><a href=\"#K1C.4b\">Tails Project</a></li>\r\n<li><a href=\"#K1C.4c\">Frënn vun der Ënn</a></li>\r\n<li><a href=\"#K1C.4d\">Nos oignons</a></li>\r\n<li><a href=\"#K1C.5\">Xen Project</a></li>\r\n<li><a href=\"#K1C.6\">OpenStack</a></li>\r\n<li><a href=\"#K1C.7a\">oVirt</a></li>\r\n<li><a href=\"#K1C.7b\">Foreman</a></li>\r\n<li><a href=\"#K1C.8\">Gluster</a></li>\r\n<li><a href=\"#K1C.9\">ownCloud</a></li>\r\n<li><a href=\"#K1C.10a\">CAcert</a></li>\r\n<li><a href=\"#K1C.10b\">secure-u</a></li>\r\n</ul>\r\n\r\n\r\n<hr />\r\n<h2 id=\"K1B.1a\" ><img alt=\"ReactOS\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1B.1a.jpg\"/></h2>\r\n<p><a href=\"https://www.reactos.org/\">https://www.reactos.org/</a></p>\r\n<blockquote>\r\nReactOS® is a free open source operating system based on the best design principles found in the Windows NT® architecture (Windows versions such as Windows XP, Windows 7, Windows Server 2012 are built on Windows NT architecture). Written completely from scratch, ReactOS is not a Linux based system, and shares none of the UNIX architecture. The main goal of the ReactOS® project is to provide an operating system which is binary compatible with Windows.\r\n</blockquote>\r\n<h3>Listen to the interview with Colin Finck</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=77.000000,338.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=77.000000,338.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/ReactOS\">https://en.wikipedia.org/wiki/ReactOS</a></li>\r\n<li>IRC: <a href=\"https://www.reactos.org/irc\">https://www.reactos.org/irc</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/100586191925430460947\">https://plus.google.com/100586191925430460947</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company-beta/3977523/\">https://www.linkedin.com/company-beta/3977523/</a></li>\r\n<li>Mailinglist: <a href=\"https://www.reactos.org/community/mailing-lists\">https://www.reactos.org/community/mailing-lists</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/reactos\">https://twitter.com/reactos</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/pages/ReactOS/19143619259\">https://www.facebook.com/pages/ReactOS/19143619259</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/channel/UCMo8NP-2oP35rauon-Duc9Q\">https://www.youtube.com/channel/UCMo8NP-2oP35rauon-Duc9Q</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1B.1b\" ><img alt=\"Haiku\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1B.1b.jpg\"/></h2>\r\n<p><a href=\"https://www.haiku-os.org/\">https://www.haiku-os.org/</a></p>\r\n<blockquote>\r\nHaiku is an open-source operating system that specifically targets personal computing. Inspired by the BeOS, Haiku is fast, simple to use, easy to learn and yet very powerful.\r\n</blockquote>\r\n<h3>Listen to the interview with François Revol</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=347.000000,774.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=347.000000,774.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Haiku_(operating_system)\">https://en.wikipedia.org/wiki/Haiku_(operating_system)</a></li>\r\n<li>IRC: <a href=\"https://www.haiku-os.org/community/irc\">https://www.haiku-os.org/community/irc</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/communities/116050756631351429142\">https://plus.google.com/communities/116050756631351429142</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company/haiku-inc-\">https://www.linkedin.com/company/haiku-inc-</a></li>\r\n<li>Mailinglist: <a href=\"https://www.haiku-os.org/community/ml\">https://www.haiku-os.org/community/ml</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/haikuOS\">https://twitter.com/haikuOS</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/groups/haikuosgroup/\">https://www.facebook.com/groups/haikuosgroup/</a></li>\r\n<li>YouTube: <a href=\"https://youtube.com/user/haikuos\">https://youtube.com/user/haikuos</a></li>\r\n<li>About: <a href=\"https://www.haiku-os.org/about/\">https://www.haiku-os.org/about/</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1B.2\" ><img alt=\"Gentoo\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1B.2.jpg\"/></h2>\r\n<p><a href=\"https://www.gentoo.org/\">https://www.gentoo.org/</a></p>\r\n<blockquote>\r\nGentoo is a free operating system based on either Linux or FreeBSD that can be automatically optimized and customized for just about any application or need. Extreme configurability, performance and a top notch user and developer community are all hallmarks of the Gentoo experience.\r\n</blockquote>\r\n<h3>Listen to the interview with Matthew Thode</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=783.000000,1069.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=783.000000,1069.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Gentoo_Linux\">https://en.wikipedia.org/wiki/Gentoo_Linux</a></li>\r\n<li>IRC: <a href=\"https://www.gentoo.org/get-involved/irc-channels/\">https://www.gentoo.org/get-involved/irc-channels/</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/+Gentoo\">https://plus.google.com/+Gentoo</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company-beta/16350/\">https://www.linkedin.com/company-beta/16350/</a></li>\r\n<li>Mailinglist: <a href=\"https://www.gentoo.org/get-involved/mailing-lists/\">https://www.gentoo.org/get-involved/mailing-lists/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/gentoo\">https://twitter.com/gentoo</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/gentoo.org\">https://www.facebook.com/gentoo.org</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1B.3\" ><img alt=\"CoreOS Linux\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1B.3.jpg\"/></h2>\r\n<p><a href=\"https://coreos.com/\">https://coreos.com/</a></p>\r\n<blockquote>\r\nContainer Linux by CoreOS (formerly CoreOS Linux) is an open-source lightweight operating system based on the Linux kernel and designed for providing infrastructure to clustered deployments, while focusing on automation, ease of application deployment, security, reliability and scalability. As an OS, Container Linux provides only the minimal functionality required for deploying applications inside software containers, together with built-in mechanisms for service discovery and configuration sharing.\r\n</blockquote>\r\n<h3>Listen to the interview with Brian Redbeard</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=1078.000000,1338.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=1078.000000,1338.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/CoreOS\">https://en.wikipedia.org/wiki/CoreOS</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=coreos\">https://webchat.freenode.net/?channels=coreos</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/+Coreos\">https://plus.google.com/+Coreos</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company-beta/3323899/\">https://www.linkedin.com/company-beta/3323899/</a></li>\r\n<li>Mailinglist: <a href=\"https://groups.google.com/forum/#!forum/coreos-user\">https://groups.google.com/forum/#!forum/coreos-user</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/coreos/\">https://twitter.com/coreos/</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/user/coreoslinux\">https://www.youtube.com/user/coreoslinux</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1B.4\" ><img alt=\"Debian\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1B.4.jpg\"/></h2>\r\n<p><a href=\"https://www.debian.org/\">https://www.debian.org/</a></p>\r\n<blockquote>\r\nDebian is a free operating system (OS) for your computer. An operating system is the set of basic programs and utilities that make your computer run.\r\n</blockquote>\r\n<h3>Listen to the interview with Sebastiaan Couwenberg</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=1347.000000,1565.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=1347.000000,1565.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Debian\">https://en.wikipedia.org/wiki/Debian</a></li>\r\n<li>IRC: <a href=\"https://wiki.debian.org/IRC\">https://wiki.debian.org/IRC</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company-beta/163400/\">https://www.linkedin.com/company-beta/163400/</a></li>\r\n<li>Mailinglist: <a href=\"https://www.debian.org/MailingLists/\">https://www.debian.org/MailingLists/</a></li>\r\n<li>RSS: <a href=\"https://www.debian.org/News/news\">https://www.debian.org/News/news</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/debian\">https://twitter.com/debian</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1B.5\" ><img alt=\"PostgreSQL\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1B.5.jpg\"/></h2>\r\n<p><a href=\"https://www.postgresql.org/\">https://www.postgresql.org/</a></p>\r\n<blockquote>\r\nPostgreSQL is a powerful, open source object-relational database system. It has more than 15 years of active development and a proven architecture that has earned it a strong reputation for reliability, data integrity, and correctness. It runs on all major operating systems, including Linux, UNIX (AIX, BSD, HP-UX, SGI IRIX, Mac OS X, Solaris, Tru64), and Windows. It is fully ACID compliant, has full support for foreign keys, joins, views, triggers, and stored procedures (in multiple languages).\r\n</blockquote>\r\n<h3>Listen to the interview with Robert Juens</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=1574.000000,1940.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=1574.000000,1940.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/PostgreSQL\">https://en.wikipedia.org/wiki/PostgreSQL</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/PostgreSQL\">https://twitter.com/PostgreSQL</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1B.6\" ><img alt=\"Nextcloud\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1B.6.jpg\"/></h2>\r\n<p><a href=\"https://nextcloud.com\">https://nextcloud.com</a></p>\r\n<blockquote>\r\nNextcloud is a suite of client-server software for creating file hosting services and using them. It is functionally very similar to the widely used Dropbox, with the primary functional difference being that Nextcloud is free and open-source, and thereby allowing anyone to install and operate it without charge on a private server. In contrast to proprietary services like Dropbox, the open architecture allows adding additional functionality to the server in form of so-called applications.\r\n</blockquote>\r\n<h3>Listen to the interview with Frank Karlitschek</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=1949.000000,2339.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=1949.000000,2339.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/nextcloud\">https://github.com/nextcloud</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Nextcloud\">https://en.wikipedia.org/wiki/Nextcloud</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=nextcloud\">https://webchat.freenode.net/?channels=nextcloud</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/b/104036748063781940910/104036748063781940910/about\">https://plus.google.com/b/104036748063781940910/104036748063781940910/about</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company-beta/10827569/\">https://www.linkedin.com/company-beta/10827569/</a></li>\r\n<li>Mailinglist: <a href=\"help.nextcloud.com\">help.nextcloud.com</a></li>\r\n<li>RSS: <a href=\"https://nextcloud.com/blogfeed\">https://nextcloud.com/blogfeed</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/nextclouders\">https://twitter.com/nextclouders</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/Nextcloud-1032807203462807/\">https://www.facebook.com/Nextcloud-1032807203462807/</a></li>\r\n<li>YouTube: <a href=\"https://youtube.com/nextcloud\">https://youtube.com/nextcloud</a></li>\r\n<li>About: <a href=\"https://nextcloud.com/about\">https://nextcloud.com/about</a></li>\r\n<li>Reddit: <a href=\"https://www.reddit.com/r/NextCloud/\">https://www.reddit.com/r/NextCloud/</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1B.7\" ><img alt=\"Bazel\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1B.7.jpg\"/></h2>\r\n<p><a href=\"https://bazel.build/\">https://bazel.build/</a></p>\r\n<blockquote>\r\nBazel is Google\'s own build tool, now publicly available in Beta. Bazel has built-in support for building both client and server software, including client applications for both Android and iOS platforms. It also provides an extensible framework that you can use to develop your own build rules.\r\n</blockquote>\r\n<h3>Listen to the interview with David Stanke</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=2348.000000,2630.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=2348.000000,2630.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/bazelbuild/bazel\">https://github.com/bazelbuild/bazel</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Bazel_(software)\">https://en.wikipedia.org/wiki/Bazel_(software)</a></li>\r\n<li>Mailinglist: <a href=\"https://groups.google.com/forum/#!forum/bazel-discuss\">https://groups.google.com/forum/#!forum/bazel-discuss</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/bazelbuild\">https://twitter.com/bazelbuild</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1B.8a\" ><img alt=\"Open Build Service\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1B.8a.jpg\"/></h2>\r\n<p><a href=\"https://openbuildservice.org/\">https://openbuildservice.org/</a></p>\r\n<blockquote>\r\nThe Open Build Service (OBS) is a generic system to build and distribute binary packages from sources in an automatic, consistent and reproducible way. You can release packages as well as updates, add-ons, appliances and entire distributions for a wide range of operating systems and hardware architectures.\r\n</blockquote>\r\n<h3>Listen to the interview with Richard Brown</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=2639.000000,3049.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=2639.000000,3049.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Open_Build_Service\">https://en.wikipedia.org/wiki/Open_Build_Service</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=openSUSE-buildservice\">https://webchat.freenode.net/?channels=openSUSE-buildservice</a></li>\r\n<li>Mailinglist: <a href=\"opensuse-buildservice+subscribe@opensuse.org\">opensuse-buildservice+subscribe@opensuse.org</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1B.8b\" ><img alt=\"OpenQA\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1B.8b.jpg\"/></h2>\r\n<p><a href=\"https://openqa.opensuse.org/\">https://openqa.opensuse.org/</a></p>\r\n<blockquote>\r\nopenQA is an automated test tool for operating systems and the engine at the heart of openSUSE\'s automated testing initiative.\r\n</blockquote>\r\n<h3>Listen to the interview with Richard Brown</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=2635.000000,3045.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=2635.000000,3045.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=openSUSE-factory\">https://webchat.freenode.net/?channels=openSUSE-factory</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1C.1\" ><img alt=\"Free Software Foundation Europe\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1C.1.jpg\"/></h2>\r\n<p><a href=\"https://fsfe.org/index.en.html\">https://fsfe.org/index.en.html</a></p>\r\n<blockquote>\r\nFree Software Foundation Europe is a charity that empowers users to control technology. Software is deeply involved in all aspects of our lives; and it is important that this technology empowers rather than restricts us. Free Software gives everybody the rights to use, understand, adapt and share software.These rights help support other fundamental freedoms like freedom of speech, press and privacy.\r\n</blockquote>\r\n<h3>Listen to the interview with Florian Snow</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=3054.000000,3198.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=3054.000000,3198.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Free_Software_Foundation_Europe\">https://en.wikipedia.org/wiki/Free_Software_Foundation_Europe</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=fsfe\">https://webchat.freenode.net/?channels=fsfe</a></li>\r\n<li>Mailinglist: <a href=\"https://fsfe.org/contact/community.html\">https://fsfe.org/contact/community.html</a></li>\r\n<li>RSS: <a href=\"https://fsfe.org/news/news.rss\">https://fsfe.org/news/news.rss</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/fsfe\">https://twitter.com/fsfe</a></li>\r\n<li>Facebook: <a href=\"https://facebook.com/thefsfe\">https://facebook.com/thefsfe</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1C.3\" ><img alt=\"Vikings\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1C.3.jpg\"/></h2>\r\n<p><a href=\"https://vikings.net/ \">https://vikings.net/ </a></p>\r\n<blockquote>\r\nLibre Hosting Provider\r\n</blockquote>\r\n<h3>Listen to the interview with Thomas Umbach</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=3207.000000,3648.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=3207.000000,3648.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2223_K1C.3_Vikings_pizzabox.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2223_K1C.3_Vikings_pizzabox_small.jpg\" alt=\"photo from the booth\"/></a></p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2223_K1C.3_Vikings_tower.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2223_K1C.3_Vikings_tower_small.jpg\" alt=\"photo from the booth\"/></a></p>\r\n\r\n<h3>Links</h3>\r\n<ul>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=vikings\">https://webchat.freenode.net/?channels=vikings</a></li>\r\n<li>Mailinglist: <a href=\"https://lists.vikings.net\">https://lists.vikings.net</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/VIKINGSlibre\">https://twitter.com/VIKINGSlibre</a></li>\r\n<li>FediVerse: <a href=\"https://quitter.se/vikings\">https://quitter.se/vikings</a></li>\r\n<li>Reddit: <a href=\"https://www.reddit.com/r/vikingslibre/ & https://www.reddit.com/r/VikingsDeutsch/\">https://www.reddit.com/r/vikingslibre/ & https://www.reddit.com/r/VikingsDeutsch/</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1C.4a\" ><img alt=\"Tor Project\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1C.4a.jpg\"/></h2>\r\n<p><a href=\"https://www.torproject.org/\">https://www.torproject.org/</a></p>\r\n<blockquote>\r\nTor is free software and an open network that helps you defend against traffic analysis, a form of network surveillance that threatens personal freedom and privacy, confidential business activities and relationships, and state security.\r\n</blockquote>\r\n<h3>Listen to the interview with A Volunteer at the Booth</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=3657.000000,4121.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=3657.000000,4121.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>IRC: <a href=\"https://www.torproject.org/about/contact.html.en#irc\">https://www.torproject.org/about/contact.html.en#irc</a></li>\r\n<li>Mailinglist: <a href=\"https://www.torproject.org/docs/documentation.html.en#MailingLists\">https://www.torproject.org/docs/documentation.html.en#MailingLists</a></li>\r\n<li>Twitter: <a href=\"https://www.torproject.org/about/contact.html.en#twitter\">https://www.torproject.org/about/contact.html.en#twitter</a></li>\r\n<li>About: <a href=\"https://www.torproject.org/about/overview.html.en\">https://www.torproject.org/about/overview.html.en</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1C.4b\" ><img alt=\"Tails Project\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1C.4b.jpg\"/></h2>\r\n<p><a href=\"https://tails.boum.org/\">https://tails.boum.org/</a></p>\r\n<blockquote>\r\nTails is a live operating system that you can start on almost any computer from a DVD, USB stick, or SD card. It aims at preserving your privacy and anonymity, and helps you to: use the Internet anonymously and circumvent censorship; all connections to the Internet are forced to go through the Tor network; leave no trace on the computer you are using unless you ask it explicitly; use state-of-the-art cryptographic tools to encrypt your files, emails and instant messaging.\r\n</blockquote>\r\n<h3>Listen to the interview with A Volunteer at the Booth</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=3657.000000,4121.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=3657.000000,4121.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>IRC: <a href=\"https://tails.boum.org/support/chat/index.en.html\">https://tails.boum.org/support/chat/index.en.html</a></li>\r\n<li>Mailinglist: <a href=\"https://tails.boum.org/about/contact/index.en.html#index1h1\">https://tails.boum.org/about/contact/index.en.html#index1h1</a></li>\r\n<li>About: <a href=\"https://tails.boum.org/about/index.en.html\">https://tails.boum.org/about/index.en.html</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1C.4c\" ><img alt=\"Frënn vun der Ënn\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1C.4c.jpg\"/></h2>\r\n<p><a href=\"https://www.enn.lu/\">https://www.enn.lu/</a></p>\r\n<blockquote>\r\nLuxembourg based non-profit organization defending civil rights on the internet. We provide high-bandwidth Tor nodes all over the world to protect online privacy, anonymity, freedom of speech and fight censorship!\r\n</blockquote>\r\n<h3>Listen to the interview with A Volunteer at the Booth</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=3657.000000,4121.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=3657.000000,4121.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Mailinglist: <a href=\"https://lists.enn.lu/listinfo/discuss\">https://lists.enn.lu/listinfo/discuss</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/FrennVunDerEnn\">https://twitter.com/FrennVunDerEnn</a></li>\r\n<li>About: <a href=\"https://wiki.enn.lu/doku.php?id=news\">https://wiki.enn.lu/doku.php?id=news</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1C.4d\" ><img alt=\"Nos oignons\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1C.4d.jpg\"/></h2>\r\n<p><a href=\"https://nos-oignons.net/Services/index.en.html\">https://nos-oignons.net/Services/index.en.html</a></p>\r\n<blockquote>\r\nNos oignons is a not-for-profit organization created to collect donations in order to run Tor exit nodes. Tor enables users to create anonymous connections and bypass censorship on the Internet. Tor is at the same time a piece of software, a network of relays made of more than 7,000 servers and a project around which fortyish people gravitate.\r\n</blockquote>\r\n<h3>Listen to the interview with A Volunteer at the Booth</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=3657.000000,4121.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=3657.000000,4121.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Twitter: <a href=\"https://twitter.com/NosOignons\">https://twitter.com/NosOignons</a></li>\r\n<li>FediVerse: <a href=\"https://identi.ca/nosoignons\">https://identi.ca/nosoignons</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1C.5\" ><img alt=\"Xen Project\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1C.5.jpg\"/></h2>\r\n<p><a href=\"https://www.xenproject.org/\">https://www.xenproject.org/</a></p>\r\n<blockquote>\r\nThe Xen ProjectTM is the leading open source virtualization platform that is powering some of the largest clouds in production today. Amazon Web Services, Aliyun, Rackspace Public Cloud, Verizon Cloud and many hosting services use Xen Project software. Plus, it is integrated into multiple cloud orchestration projects like OpenStack.\r\n</blockquote>\r\n<h3>Listen to the interview with Julien Fontanet</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=4130.000000,4297.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=4130.000000,4297.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://www.xenproject.org/source-code.html\">https://www.xenproject.org/source-code.html</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Xen\">https://en.wikipedia.org/wiki/Xen</a></li>\r\n<li>IRC: <a href=\"https://www.xenproject.org/irc.html\">https://www.xenproject.org/irc.html</a></li>\r\n<li>Mailinglist: <a href=\"https://www.xenproject.org/mailing-list.html\">https://www.xenproject.org/mailing-list.html</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1C.6\" ><img alt=\"OpenStack\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1C.6.jpg\"/></h2>\r\n<p><a href=\"https://www.openstack.org/\">https://www.openstack.org/</a></p>\r\n<blockquote>\r\nOpen source software for creating private and public clouds. OpenStack software controls large pools of compute, storage, and networking resources throughout a datacenter, managed through a dashboard or via the OpenStack API. OpenStack works with popular enterprise and open source technologies making it ideal for heterogeneous infrastructure. Hundreds of the world\'s largest brands rely on OpenStack to run their businesses every day, reducing costs and helping them move faster.\r\n</blockquote>\r\n<h3>Listen to the interview with Aurélien Joga</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=4308.000000,4620.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=4308.000000,4620.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/OpenStack\">https://en.wikipedia.org/wiki/OpenStack</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=openstack%2C%23openstack&uio=d4\">https://webchat.freenode.net/?channels=openstack%2C%23openstack&uio=d4</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company/openstack\">https://www.linkedin.com/company/openstack</a></li>\r\n<li>Mailinglist: <a href=\"https://www.openstack.org/community/\">https://www.openstack.org/community/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/OpenStack\">https://twitter.com/OpenStack</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/openstack\">https://www.facebook.com/openstack</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/user/OpenStackFoundation\">https://www.youtube.com/user/OpenStackFoundation</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1C.7a\" ><img alt=\"oVirt\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1C.7a.jpg\"/></h2>\r\n<p><a href=\"https://www.ovirt.org/\">https://www.ovirt.org/</a></p>\r\n<blockquote>\r\noVirt is a virtualization management application used to manage hardware nodes, storage, and network resources, as well as deploying and monitoring virtual machines running in your data center.\r\n</blockquote>\r\n<h3>Listen to the interview with Yaniv Kaul</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=4629.000000,5030.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=4629.000000,5030.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://www.ovirt.org/develop/\">https://www.ovirt.org/develop/</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/OVirt\">https://en.wikipedia.org/wiki/OVirt</a></li>\r\n<li>IRC: <a href=\"irc://irc.oftc.net/ovirt\">irc://irc.oftc.net/ovirt</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/u/0/communities/109346090491400112913\">https://plus.google.com/u/0/communities/109346090491400112913</a></li>\r\n<li>Mailinglist: <a href=\"https://www.ovirt.org/community/about/mailing-lists/\">https://www.ovirt.org/community/about/mailing-lists/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/ovirt\">https://twitter.com/ovirt</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/groups/ovirt.openvirtualization/\">https://www.facebook.com/groups/ovirt.openvirtualization/</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/user/ovirtproject\">https://www.youtube.com/user/ovirtproject</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1C.7b\" ><img alt=\"Foreman\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1C.7b.jpg\"/></h2>\r\n<p><a href=\"https://www.theforeman.org/\">https://www.theforeman.org/</a></p>\r\n<blockquote>\r\nForeman is a complete lifecycle management tool for physical and virtual servers. We give system administrators the power to easily automate repetitive tasks, quickly deploy applications, and proactively manage servers, on-premise or in the cloud.\r\n</blockquote>\r\n<h3>Listen to the interview with Greg Sutcliffe</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=5039.000000,5453.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=5039.000000,5453.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/theforeman/theforeman.org\">https://github.com/theforeman/theforeman.org</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Foreman_(software)\">https://en.wikipedia.org/wiki/Foreman_(software)</a></li>\r\n<li>IRC: <a href=\"https://www.theforeman.org/support.html#IRC\">https://www.theforeman.org/support.html#IRC</a></li>\r\n<li>Google+: <a href=\"https://www.youtube.com/channel/UCCo7AZ1oG6TbG0-dwjRqCmw\">https://www.youtube.com/channel/UCCo7AZ1oG6TbG0-dwjRqCmw</a></li>\r\n<li>Mailinglist: <a href=\"https://www.theforeman.org/support.html#Mailinglists\">https://www.theforeman.org/support.html#Mailinglists</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1C.8\" ><img alt=\"Gluster\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1C.8.jpg\"/></h2>\r\n<p><a href=\"https://www.gluster.org/\">https://www.gluster.org/</a></p>\r\n<blockquote>\r\nGlusterFS is a scalable network filesystem. Using common off-the-shelf hardware, you can create large, distributed storage solutions for media streaming, data analysis, and other data- and bandwidth-intensive tasks. GlusterFS is free and open source software.\r\n</blockquote>\r\n<h3>Listen to the interview with Mohamed Ashiq Liyazudeen / Kaushal M / Jiffin Tony Thottan</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=5462.000000,6045.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=5462.000000,6045.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/gluster\">https://github.com/gluster</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/GlusterFS\">https://en.wikipedia.org/wiki/GlusterFS</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=gluster\">https://webchat.freenode.net/?channels=gluster</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/communities/110022816028412595292\">https://plus.google.com/communities/110022816028412595292</a></li>\r\n<li>Mailinglist: <a href=\"https://www.gluster.org/mailman/listinfo/gluster-users\">https://www.gluster.org/mailman/listinfo/gluster-users</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/gluster\">https://twitter.com/gluster</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/GlusterInc\">https://www.facebook.com/GlusterInc</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1C.9\" ><img alt=\"ownCloud\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1C.9.jpg\"/></h2>\r\n<p><a href=\"https://owncloud.org/\">https://owncloud.org/</a></p>\r\n<blockquote>\r\nA safe home for all your data. Access & share your files, calendars, contacts, mail & more from any device, on your terms\r\n</blockquote>\r\n<h3>Listen to the interview with Holger Dyroff</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=6054.000000,6266.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=6054.000000,6266.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/OwnCloud\">https://en.wikipedia.org/wiki/OwnCloud</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=owncloud\">https://webchat.freenode.net/?channels=owncloud</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/107072838776436530705/about\">https://plus.google.com/107072838776436530705/about</a></li>\r\n<li>Mailinglist: <a href=\"https://mailman.owncloud.org/mailman/listinfo/\">https://mailman.owncloud.org/mailman/listinfo/</a></li>\r\n<li>RSS: <a href=\"https://owncloud.org/blogfeed\">https://owncloud.org/blogfeed</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/ownClouders\">https://twitter.com/ownClouders</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/ownClouders\">https://www.facebook.com/ownClouders</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1C.10a\" ><img alt=\"CAcert\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1C.10a.jpg\"/></h2>\r\n<p><a href=\"https://www.cacert.org/\">https://www.cacert.org/</a></p>\r\n<blockquote>\r\nCAcert.org is a community-driven Certificate Authority that issues certificates to the public at large for free. CAcert\'s goal is to promote awareness and education on computer security through the use of encryption, specifically by providing cryptographic certificates. These certificates can be used to digitally sign and encrypt email, authenticate and authorize users connecting to websites and secure data transmission over the internet. \r\n</blockquote>\r\n<h3>Listen to the interview with Eva Stöwe</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=6277.000000,6734.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=6277.000000,6734.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/CAcert.org\">https://en.wikipedia.org/wiki/CAcert.org</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/u/0/117081703972254991731/posts\">https://plus.google.com/u/0/117081703972254991731/posts</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/groups/89248/profile\">https://www.linkedin.com/groups/89248/profile</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/CAcert/\">https://www.facebook.com/CAcert/</a></li>\r\n<li>About: <a href=\"https://wiki.cacert.org/FAQ/AboutUs\">https://wiki.cacert.org/FAQ/AboutUs</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K1C.10b\" ><img alt=\"secure-u\" src=\"https://hackerpublicradio.org/eps/hpr2223_K1C.10b.jpg\"/></h2>\r\n<p><a href=\"https://www.secure-u.de/\">https://www.secure-u.de/</a></p>\r\n<blockquote>\r\nDer Verein fördert die Wissenschaft, Forschung und Verbraucherberatung. Insbesondere ist Zweck des Vereins die Förderung der Sicherheit im Internet und die Unterstützung von Anwendern bei der Anwendung sicherer Kommunikation.\r\n</blockquote>\r\n<h3>Listen to the interview with Eva Stöwe</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.ogg#t=6743.000000,6812.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2223.mp3#t=6743.000000,6812.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n</ul>\r\n',30,0,1,'CC-BY-SA','FOSDEM 2017, ReactOS, Haiku, Gentoo, CoreOS, Debian, PostgreSQL, Nextcloud, Bazel, Open Build Service/OpenQA, FSFE, Vikings, Tor, Xen, OpenStack, oVirt, Foreman, Gluster, ownCloud, CAcert, secure-u',0,0,1),
(2224,'2017-02-09','FOSDEM 2017 K (level 2 Stands 1 to 9)',4639,'Ken interviews the projects in the K building level 2 at stands 1 to 9','<h1>Table of Contents</h1>\r\n<ul>\r\n<li><a href=\"#K2.1\">Mozilla</a></li>\r\n<li><a href=\"#K2.2\">diaspora</a></li>\r\n<li><a href=\"#K2.3\">Apache Software Foundation</a></li>\r\n<li><a href=\"#K2.4\">OW2</a></li>\r\n<li><a href=\"#K2.5\">Jenkins</a></li>\r\n<li><a href=\"#K2.6a\">Tiki</a></li>\r\n<li><a href=\"#K2.6b\">XWiki</a></li>\r\n<li><a href=\"#K2.6c\">WikiSuite</a></li>\r\n<li><a href=\"#K2.7\">OpenNMS</a></li>\r\n<li><a href=\"#K2.8\">Kolab</a></li>\r\n<li><a href=\"#K2.9\">Turris Omnia</a></li>\r\n</ul>\r\n\r\n\r\n<hr />\r\n<h2 id=\"K2.1\" ><img alt=\"Mozilla\" src=\"https://hackerpublicradio.org/eps/hpr2224_K2.1.jpg\"/></h2>\r\n<p><a href=\"https://www.mozilla.org/en-US/\">https://www.mozilla.org/en-US/</a></p>\r\n<blockquote>\r\nHi. We\'re Mozilla, the proudly non-profit champions of the Internet, helping to keep it healthy, open and accessible to all.\r\n</blockquote>\r\n<h3>Listen to the interview with Ludovic Hirlimann</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.ogg#t=74.000000,437.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.mp3#t=74.000000,437.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Mozilla\">https://en.wikipedia.org/wiki/Mozilla</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/mozilla\">https://twitter.com/mozilla</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.2\" ><img alt=\"diaspora\" src=\"https://hackerpublicradio.org/eps/hpr2224_K2.2.jpg\"/></h2>\r\n<p><a href=\"https://diasporafoundation.org/\">https://diasporafoundation.org/</a></p>\r\n<blockquote>\r\ndiaspora* is a true network, with no central base. There are servers (called \"pods\") all over the world, each containing the data of those users who have chosen to register with it. These pods communicate with each other seamlessly, so that you can register with any pod and communicate freely with your contacts, wherever they are on the network.\r\n</blockquote>\r\n<h3>Listen to the interview with Lukas Matt</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.ogg#t=446.000000,736.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.mp3#t=446.000000,736.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/diaspora/diaspora/\">https://github.com/diaspora/diaspora/</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Diaspora_(social_network)\">https://en.wikipedia.org/wiki/Diaspora_(social_network)</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=diaspora\">https://webchat.freenode.net/?channels=diaspora</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.3\" ><img alt=\"Apache Software Foundation\" src=\"https://hackerpublicradio.org/eps/hpr2224_K2.3.jpg\"/></h2>\r\n<p><a href=\"https://www.apache.org/\">https://www.apache.org/</a></p>\r\n<blockquote>\r\nThe mission of the Apache Software Foundation (ASF) is to provide software for the public good. We do this by providing services and support for many like-minded software project communities of individuals who choose to join the ASF.\r\n</blockquote>\r\n<h3>Listen to the interview with Mechtilde Stehmaan</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.ogg#t=745.000000,1011.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.mp3#t=745.000000,1011.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Apache_Software_Foundation\">https://en.wikipedia.org/wiki/Apache_Software_Foundation</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/TheASF\">https://twitter.com/TheASF</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.4\" ><img alt=\"OW2\" src=\"https://hackerpublicradio.org/eps/hpr2224_K2.4.jpg\"/></h2>\r\n<p><a href=\"https://www.ow2.org/bin/view/Main/\">https://www.ow2.org/bin/view/Main/</a></p>\r\n<blockquote>\r\nOW2 is an independent, global, open-source software community. The mission of OW2 is to a) promote the development of open-source middleware, generic business applications, cloud computing platforms and b) foster a vibrant community and business ecosystem. OW2 developments follow a flexible, component-based approach. These components range from specific software frameworks, protocols and applications through to integrated, service-oriented platforms.\r\n</blockquote>\r\n<h3>Listen to the interview with Cedric Thomas</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.ogg#t=1020.000000,1320.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.mp3#t=1020.000000,1320.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/OW2_Consortium\">https://en.wikipedia.org/wiki/OW2_Consortium</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/groups?gid=683257\">https://www.linkedin.com/groups?gid=683257</a></li>\r\n<li>RSS: <a href=\"https://www.ow2.org/bin/view/Main/RssFeeds\">https://www.ow2.org/bin/view/Main/RssFeeds</a></li>\r\n<li>Twitter: <a href=\"https://www.twitter.com/ow2\">https://www.twitter.com/ow2</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/user/channelOW2\">https://www.youtube.com/user/channelOW2</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.5\" ><img alt=\"Jenkins\" src=\"https://hackerpublicradio.org/eps/hpr2224_K2.5.jpg\"/></h2>\r\n<p><a href=\"https://jenkins.io/index.html\">https://jenkins.io/index.html</a></p>\r\n<blockquote>\r\nJenkins is an open source automation server which enables developers around the world to reliably build, test, and deploy their software. Jenkins, originally founded in 2006 as \"Hudson\", is one of the leading automation servers available. Using an extensible, plugin-based architecture developers have created hundreds of plugins to adapt Jenkins to a multitude of build, test, and deployment automation workloads.\r\n</blockquote>\r\n<h3>Listen to the interview with Robert Sandell</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.ogg#t=1329.000000,1674.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.mp3#t=1329.000000,1674.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/jenkinsci\">https://github.com/jenkinsci</a></li>\r\n<li>Mailinglist: <a href=\"https://groups.google.com/forum/#!forum/jenkinsci-users\">https://groups.google.com/forum/#!forum/jenkinsci-users</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/jenkinsci\">https://twitter.com/jenkinsci</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.6a\" ><img alt=\"Tiki\" src=\"https://hackerpublicradio.org/eps/hpr2224_K2.6a.jpg\"/></h2>\r\n<p><a href=\"https://tiki.org/\">https://tiki.org/</a></p>\r\n<blockquote>\r\nTiki Wiki CMS Groupware or simply Tiki, originally known as TikiWiki, is a free and open source Wiki-based content management system and online office suite written primarily in PHP and distributed under the GNU Lesser General Public License (LGPL) license. In addition to enabling websites and portals on the internet and on intranets and extranets, Tiki contains a number of collaboration features allowing it to operate as a Geospatial Content Management System (GeoCMS) and Groupware web application. \r\n</blockquote>\r\n<h3>Listen to the interview with Alexander Mette</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.ogg#t=1683.000000,1863.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.mp3#t=1683.000000,1863.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://www.openhub.net/p/39\">https://www.openhub.net/p/39</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Tiki_Wiki_CMS_Groupware\">https://en.wikipedia.org/wiki/Tiki_Wiki_CMS_Groupware</a></li>\r\n<li>IRC: <a href=\"https://tiki.org/Connecting+To+IRC\">https://tiki.org/Connecting+To+IRC</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/100068718540627516168/\">https://plus.google.com/100068718540627516168/</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/groups/Tiki-Wiki-CMS-Groupware-118987\">https://www.linkedin.com/groups/Tiki-Wiki-CMS-Groupware-118987</a></li>\r\n<li>Mailinglist: <a href=\"https://tiki.org/Mailing+Lists\">https://tiki.org/Mailing+Lists</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/tikiwiki\">https://twitter.com/tikiwiki</a></li>\r\n<li>FediVerse: <a href=\"https://identi.ca/group/tikiwiki\">https://identi.ca/group/tikiwiki</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/groups/6607687318/\">https://www.facebook.com/groups/6607687318/</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/results?search_query=tikiwiki\">https://www.youtube.com/results?search_query=tikiwiki</a></li>\r\n<li>About: <a href=\"https://tiki.org/Introduction\">https://tiki.org/Introduction</a></li>\r\n<li>Last.fm: <a href=\"https://www.last.fm/group/Tikiwiki\">https://www.last.fm/group/Tikiwiki</a></li>\r\n<li>SlideShare: <a href=\"https://www.slideshare.net/search/slideshow?q=tikiwiki\">https://www.slideshare.net/search/slideshow?q=tikiwiki</a></li>\r\n<li>Ustream: <a href=\"https://www.ustream.tv/channel/tikifests\">https://www.ustream.tv/channel/tikifests</a></li>\r\n<li>Flickr: <a href=\"https://www.flickr.com/search/show/?q=tikiwiki\">https://www.flickr.com/search/show/?q=tikiwiki</a></li>\r\n<li>Delicious: <a href=\"https://delicious.com/search?p=tikiwiki\">https://delicious.com/search?p=tikiwiki</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.6b\" ><img alt=\"XWiki\" src=\"https://hackerpublicradio.org/eps/hpr2224_K2.6b.jpg\"/></h2>\r\n<p><a href=\"https://xwiki.org/\">https://xwiki.org/</a></p>\r\n<blockquote>\r\nXWiki Enterprise is a professional wiki with enterprise features such as Blog, strong rights management, LDAP authentication, PDF export, full skining and more. It also includes an advanced Form and scripting engine making it a development environment for data-based applications. It has powerful extensibility features such as scripting in pages, plugins and a highly modular architecture. \r\n</blockquote>\r\n<h3>Listen to the interview with Ludovic Dubost</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.ogg#t=1872.000000,2278.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.mp3#t=1872.000000,2278.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/XWiki\">https://en.wikipedia.org/wiki/XWiki</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/xwiki\">https://twitter.com/xwiki</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.6c\" ><img alt=\"WikiSuite\" src=\"https://hackerpublicradio.org/eps/hpr2224_K2.6c.jpg\"/></h2>\r\n<p><a href=\"https://wikisuite.org/Software\">https://wikisuite.org/Software</a></p>\r\n<blockquote>\r\nWikiSuite is especially suited to knowledge-centric organizations and offers most (80%+) of the data and information management features all organizations need\r\n</blockquote>\r\n<h3>Listen to the interview with Marc Laporte</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.ogg#t=2287.000000,2664.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.mp3#t=2287.000000,2664.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/groups/8493103\">https://www.linkedin.com/groups/8493103</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/WikiSuite\">https://twitter.com/WikiSuite</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/WikiSuite\">https://www.facebook.com/WikiSuite</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.7\" ><img alt=\"OpenNMS\" src=\"https://hackerpublicradio.org/eps/hpr2224_K2.7.jpg\"/></h2>\r\n<p><a href=\"https://www.opennms.org\">https://www.opennms.org</a></p>\r\n<blockquote>\r\nOpenNMS is a free and open-source enterprise grade network monitoring and network management platform. It is developed and supported by a community of user and developers as well as by the The OpenNMS Group, offering commercial services, training and support. The goal is for OpenNMS to be a truly distributed, scalable management application platform for all aspects of the FCAPS network management model while remaining 100% free and open source.\r\n</blockquote>\r\n<h3>Listen to the interview with Tarus Balog</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.ogg#t=2673.000000,3628.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.mp3#t=2673.000000,3628.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2224_K2.7_OpenNMS.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2224_K2.7_OpenNMS_small.jpg\" alt=\"photo from the booth\"/></a></p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/OpenNMS\">https://github.com/OpenNMS</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/OpenNMS\">https://en.wikipedia.org/wiki/OpenNMS</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/105624063334939417498\">https://plus.google.com/105624063334939417498</a></li>\r\n<li>RSS: <a href=\"https://www.opennms.org/en/blog.rss\">https://www.opennms.org/en/blog.rss</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/opennms/\">https://twitter.com/opennms/</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/OpenNMS/\">https://www.facebook.com/OpenNMS/</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/user/opennms\">https://www.youtube.com/user/opennms</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.8\" ><img alt=\"Kolab\" src=\"https://hackerpublicradio.org/eps/hpr2224_K2.8.jpg\"/></h2>\r\n<p><a href=\"https://kolab.org/\">https://kolab.org/</a></p>\r\n<blockquote>\r\nThe Kolab Groupware Solution offers Personal Information Management for deployments of any size. It runs on a Rasberry Pi and in clouds spread over multiple data centres. Kolab provides a secure, scalable and reliable collaboration server. Since it is Free Software, it is not only used by large companies and organisation, but also by many individuals who care about being in control of their personal information.Kolab is a free and open source groupware suite.\r\n</blockquote>\r\n<h3>Listen to the interview with Christian Mollekopf</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.ogg#t=3637.000000,3881.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.mp3#t=3637.000000,3881.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://git.kolab.org/\">https://git.kolab.org/</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Kolab\">https://en.wikipedia.org/wiki/Kolab</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=kolab\">https://webchat.freenode.net/?channels=kolab</a></li>\r\n<li>Mailinglist: <a href=\"https://lists.kolab.org/mailman/listinfo\">https://lists.kolab.org/mailman/listinfo</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/kolaborg\">https://twitter.com/kolaborg</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.9\" ><img alt=\"Turris Omnia\" src=\"https://hackerpublicradio.org/eps/hpr2224_K2.9.jpg\"/></h2>\r\n<p><a href=\"https://omnia.turris.cz/en/\">https://omnia.turris.cz/en/</a></p>\r\n<blockquote>\r\nMore than just a router. The open-source center of your home. Home router is necessary to connect you to the Internet but it is idle most of the time, just eating electricity. Why not use it for more tasks? With powerful hardware, Turris Omnia can handle gigabit traffic and still be able to do much more. You can use it as a home server, NAS, printserver and it even has a virtual server built-in.\r\n</blockquote>\r\n<h3>Listen to the interview with Michal Hrušecký / Václav Zbránek</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.ogg#t=3890.000000,4610.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2224.mp3#t=3890.000000,4610.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2224_K2.9_Turris_Omnia_case_back.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2224_K2.9_Turris_Omnia_case_back_small.jpg\" alt=\"photo from the booth\"/></a></p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2224_K2.9_Turris_Omnia_case_front.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2224_K2.9_Turris_Omnia_case_front_small.jpg\" alt=\"photo from the booth\"/></a></p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2224_K2.9_Turris_Omnia_pcb.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2224_K2.9_Turris_Omnia_pcb_small.jpg\" alt=\"photo from the booth\"/></a></p>\r\n\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Turris_Omnia\">https://en.wikipedia.org/wiki/Turris_Omnia</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/114880789978280332635\">https://plus.google.com/114880789978280332635</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/turris_cz\">https://twitter.com/turris_cz</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/CZ.NIC/\">https://www.facebook.com/CZ.NIC/</a></li>\r\n</ul>\r\n<hr />',30,78,1,'CC-BY-SA','FOSDEM 2017, Mozilla, diaspora*, Apache Software Foundation, OW2, Jenkins, Tiki, XWiki, WikiSuite, OpenNMS, Kolab, Turris Omnia',0,0,1),
(2225,'2017-02-10','FOSDEM 2017 K (level 2 Stands 10 to 19)',3561,'Ken interviews the projects in the K building level 2 at stands 10 to 19','<h1>Table of Contents</h1>\r\n<ul>\r\n<li><a href=\"#K2.10\">Open Smart Grid Platform</a></li>\r\n<li><a href=\"#K2.11\">Perl Programming Language</a></li>\r\n<li><a href=\"#K2.13\">Coala</a></li>\r\n<li><a href=\"#K2.14\">Linux From Scratch</a></li>\r\n<li><a href=\"#K2.15a\">Google Code-in</a></li>\r\n<li><a href=\"#K2.15b\">GSoC</a></li>\r\n<li><a href=\"#K2.16\">Ultimaker</a></li>\r\n<li><a href=\"#K2.17\">SOFA</a></li>\r\n<li><a href=\"#K2.18\">MuseScore</a></li>\r\n<li><a href=\"#K2.19\">Matrix.org</a></li>\r\n</ul>\r\n\r\n\r\n<hr />\r\n<h2 id=\"K2.10\" ><img alt=\"Open Smart Grid Platform\" src=\"https://hackerpublicradio.org/eps/hpr2225_K2.10.jpg\"/></h2>\r\n<p><a href=\"https://opensmartgridplatform.org/\">https://opensmartgridplatform.org/</a></p>\r\n<blockquote>\r\nThe Open Smart Grid Platform allows you to monitor and control hardware in the public space. With several (generic) functions ready to use, the main benefits of the Open Smart Grid Platform are: scalability & high availability, high security, its generic design, and no vendor lock-in.\r\n</blockquote>\r\n<h3>Listen to the interview with Sander Jansen</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.ogg#t=74.000000,535.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.mp3#t=74.000000,535.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/osgp\">https://github.com/osgp</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/osgplatform\">https://twitter.com/osgplatform</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.11\" ><img alt=\"Perl Programming Language\" src=\"https://hackerpublicradio.org/eps/hpr2225_K2.11.jpg\"/></h2>\r\n<p><a href=\"https://www.perl.org/\">https://www.perl.org/</a></p>\r\n<blockquote>\r\nPerl 5 is a highly capable, feature-rich programming language with over 29 years of development. Perl 5 runs on over 100 platforms from portables to mainframes and is suitable for both rapid prototyping and large scale development projects. \"Perl\" is a family of languages, \"Perl 6\" is part of the family, but it is a separate language which has its own development team. Its existence has no significant impact on the continuing development of \"Perl 5\".\r\n</blockquote>\r\n<h3>Listen to the interview with Wendy G.A. van Dijk / Mark \"shadowcat\" Keating / Curtis \"Ovid\" Poe</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.ogg#t=544.000000,735.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.mp3#t=544.000000,735.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Perl\">https://en.wikipedia.org/wiki/Perl</a></li>\r\n<li>IRC: <a href=\"https://irchelp.org/irchelp/irctutorial.html\">https://irchelp.org/irchelp/irctutorial.html</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/perlfoundation\">https://twitter.com/perlfoundation</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.13\" ><img alt=\"Coala\" src=\"https://hackerpublicradio.org/eps/hpr2225_K2.13.jpg\"/></h2>\r\n<p><a href=\"https://coala.io/\">https://coala.io/</a></p>\r\n<blockquote>\r\nLinting and Fixing Code for All Languages\r\n</blockquote>\r\n<h3>Listen to the interview with Sebastian Latacz / Lasse Schuirmann</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.ogg#t=744.000000,944.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.mp3#t=744.000000,944.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/coala/coala\">https://github.com/coala/coala</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Coala_(software)\">https://en.wikipedia.org/wiki/Coala_(software)</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/coala_analyzer\">https://twitter.com/coala_analyzer</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.14\" ><img alt=\"Linux From Scratch\" src=\"https://hackerpublicradio.org/eps/hpr2225_K2.14.jpg\"/></h2>\r\n<p><a href=\"https://www.linuxfromscratch.org/\">https://www.linuxfromscratch.org/</a></p>\r\n<blockquote>\r\nLinux From Scratch (LFS) is a type of a Linux installation and the name of a book written by Gerard Beekmans, among others. The book gives readers instructions on how to build a Linux system from source. Linux From Scratch is a way to install a working Linux system by building all components of it manually. This is a longer process than installing a pre-compiled Linux distribution. The advantages to this method are a compact, flexible and secure system and a greater understanding of the internal workings of the Linux-based operating systems.\r\n</blockquote>\r\n<h3>Listen to the interview with Julien Lepiller</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.ogg#t=953.000000,1266.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.mp3#t=953.000000,1266.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Linux_From_Scratch\">https://en.wikipedia.org/wiki/Linux_From_Scratch</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.15a\" ><img alt=\"Google Code-in\" src=\"https://hackerpublicradio.org/eps/hpr2225_K2.15a.jpg\"/></h2>\r\n<p><a href=\"https://developers.google.com/open-source/gci/\">https://developers.google.com/open-source/gci/</a></p>\r\n<blockquote>\r\nGoogle Code-in is an annual programming competition hosted by Google Inc. that allows pre-university students to complete tasks specified by various, partnering open source organizations. Students that complete tasks win certificates and T-shirts. Each organization also selects two grand prize award winners who will earn a trip to Google\'s Headquarters located in Mountain View, CA.\r\n</blockquote>\r\n<h3>Listen to the interview with Josh Simmons</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.ogg#t=1275.000000,1589.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.mp3#t=1275.000000,1589.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Google_Code-in\">https://en.wikipedia.org/wiki/Google_Code-in</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/111547824495682912814\">https://plus.google.com/111547824495682912814</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/googledevs\">https://twitter.com/googledevs</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/Google-Developers-967415219957038/\">https://www.facebook.com/Google-Developers-967415219957038/</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/user/GoogleDevelopers\">https://www.youtube.com/user/GoogleDevelopers</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.15b\" ><img alt=\"GSoC\" src=\"https://hackerpublicradio.org/eps/hpr2225_K2.15b.jpg\"/></h2>\r\n<p><a href=\"https://developers.google.com/open-source/gsoc/\">https://developers.google.com/open-source/gsoc/</a></p>\r\n<blockquote>\r\nSpend your summer break writing code and learning about open source development while earning a stipend! Accepted students work with a mentor and become a part of the open source community. Many become lifetime open source developers! Google Summer of Code is open to post-secondary students, age 18 and older in most countries.\r\n</blockquote>\r\n<h3>Listen to the interview with Josh Simmons</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.ogg#t=1275.000000,1589.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.mp3#t=1275.000000,1589.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Google_Summer_of_Code\">https://en.wikipedia.org/wiki/Google_Summer_of_Code</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/102168248469649733567\">https://plus.google.com/102168248469649733567</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/gsoc\">https://twitter.com/gsoc</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/Google-Developers-967415219957038/\">https://www.facebook.com/Google-Developers-967415219957038/</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/user/GoogleDevelopers\">https://www.youtube.com/user/GoogleDevelopers</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.16\" ><img alt=\"Ultimaker\" src=\"https://hackerpublicradio.org/eps/hpr2225_K2.16.jpg\"/></h2>\r\n<p><a href=\"https://ultimaker.com/\">https://ultimaker.com/</a></p>\r\n<blockquote>\r\nProfessional 3D printing made accessible. Accurate, consistent results - tailored to your business. Highly complex 3D prints, industrial-grade materials, maximum performance, and future-ready 3D printing experience. With ultimate accessibility.\r\n</blockquote>\r\n<h3>Listen to the interview with Rodney Becker</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.ogg#t=1598.000000,1995.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.mp3#t=1598.000000,1995.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Ultimaker\">https://en.wikipedia.org/wiki/Ultimaker</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/Ultimaker\">https://twitter.com/Ultimaker</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/Ultimaker\">https://www.facebook.com/Ultimaker</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/user/Ultimaker3D\">https://www.youtube.com/user/Ultimaker3D</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.17\" ><img alt=\"SOFA\" src=\"https://hackerpublicradio.org/eps/hpr2225_K2.17.jpg\"/></h2>\r\n<p><a href=\"https://www.sofa-framework.org/\">https://www.sofa-framework.org/</a></p>\r\n<blockquote>\r\nSimulation Open Framework Architecture (SOFA) is an open source multiplatform framework primarily targeted at real-time physical simulation, with an emphasis on medical simulation. It is mostly intended for the research community to help develop new algorithms, but can also be used as an efficient prototyping tool or as a physics engine.\r\n</blockquote>\r\n<h3>Listen to the interview with Hugo Talbot</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.ogg#t=2004.000000,2423.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.mp3#t=2004.000000,2423.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/sofa-framework/sofa\">https://github.com/sofa-framework/sofa</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/groups/8460316\">https://www.linkedin.com/groups/8460316</a></li>\r\n<li>RSS: <a href=\"https://www.sofa-framework.org/feed/\">https://www.sofa-framework.org/feed/</a></li>\r\n<li>Twitter: <a href=\"https://www.twitter.com/SofaFramework\">https://www.twitter.com/SofaFramework</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/channel/UCZWXlxYc9jaeloZRGd38uRQ\">https://www.youtube.com/channel/UCZWXlxYc9jaeloZRGd38uRQ</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.18\" ><img alt=\"MuseScore\" src=\"https://hackerpublicradio.org/eps/hpr2225_K2.18.jpg\"/></h2>\r\n<p><a href=\"https://MuseScore.org\">https://MuseScore.org</a></p>\r\n<blockquote>\r\nMuseScore is a company devoted to helping aspiring musicians in their journey to master the music they love. MuseScore offers free, open-source, powerful, and easy-to-use music notation software to create high-quality sheet music, with audio score playback for results that look and sound beautiful. MuseScore has also formed an online community where musicians can share their creations, privately or publicly, through downloads, embeddable widgets, or MuseScore\'s mobile apps, while also bringing additional social features to sheet music.\r\n</blockquote>\r\n<h3>Listen to the interview with Nicolas Froment</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.ogg#t=2432.000000,2708.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.mp3#t=2432.000000,2708.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/musescore/MuseScore\">https://github.com/musescore/MuseScore</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/MuseScore\">https://en.wikipedia.org/wiki/MuseScore</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=musescore\">https://webchat.freenode.net/?channels=musescore</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/+musescore\">https://plus.google.com/+musescore</a></li>\r\n<li>Linkedin: <a href=\"https://linkedin.com/company/musescore\">https://linkedin.com/company/musescore</a></li>\r\n<li>Mailinglist: <a href=\"https://dev-list.musescore.org\">https://dev-list.musescore.org</a></li>\r\n<li>RSS: <a href=\"https://musescore.org/en/news/feed/en\">https://musescore.org/en/news/feed/en</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/musescore\">https://twitter.com/musescore</a></li>\r\n<li>Facebook: <a href=\"https://facebook.com/MuseScore\">https://facebook.com/MuseScore</a></li>\r\n<li>YouTube: <a href=\"https://YouTube.com/musescore\">https://YouTube.com/musescore</a></li>\r\n<li>About: <a href=\"https://musescore.org/musescore-tour-share-and-print-your-score\">https://musescore.org/musescore-tour-share-and-print-your-score</a></li>\r\n<li>SlideShare: <a href=\"https://slideshare.com/musescore\">https://slideshare.com/musescore</a></li>\r\n<li>Flickr: <a href=\"https://Flickr.com/musescore\">https://Flickr.com/musescore</a></li>\r\n<li>Delicious: <a href=\"https://del.icio.us/musescore\">https://del.icio.us/musescore</a></li>\r\n<li>iTunes: <a href=\"https://musescore.com/ios\">https://musescore.com/ios</a></li>\r\n<li>GooglePlay: <a href=\"https://musescore.com/android\">https://musescore.com/android</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"K2.19\" ><img alt=\"Matrix.org\" src=\"https://hackerpublicradio.org/eps/hpr2225_K2.19.jpg\"/></h2>\r\n<p><a href=\"https://matrix.org\">https://matrix.org</a></p>\r\n<blockquote>\r\nMatrix.org is a non-profit open source initiative dedicated to creating and maintaining the Matrix open standard for decentralised communication, whose goal is to create an open and secure ecosystem for interoperable messaging, VoIP and IoT communication and history on the internet.\r\n</blockquote>\r\n<h3>Listen to the interview with Matthew Hodgson</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.ogg#t=2717.000000,3531.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2225.mp3#t=2717.000000,3531.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/matrix-org\">https://github.com/matrix-org</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Matrix_(communication_protocol)\">https://en.wikipedia.org/wiki/Matrix_(communication_protocol)</a></li>\r\n<li>IRC: <a href=\"https://riot.im/app/#/room/#matrix:matrix.org\">https://riot.im/app/#/room/#matrix:matrix.org</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company/matrix-org\">https://www.linkedin.com/company/matrix-org</a></li>\r\n<li>RSS: <a href=\"https://matrix.org/blog/feed/\">https://matrix.org/blog/feed/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/matrixdotorg\">https://twitter.com/matrixdotorg</a></li>\r\n<li>About: <a href=\"https://matrix.org/docs/guides/faq.html\">https://matrix.org/docs/guides/faq.html</a></li>\r\n<li>iTunes: <a href=\"https://itunes.apple.com/us/app/vector.im/id1083446067\">https://itunes.apple.com/us/app/vector.im/id1083446067</a></li>\r\n<li>GooglePlay: <a href=\"https://play.google.com/store/apps/details?id=im.vector.alpha\">https://play.google.com/store/apps/details?id=im.vector.alpha</a></li>\r\n</ul>\r\n</html>\r\n<hr />',30,78,1,'CC-BY-SA','FOSDEM 2017, Open Smart Grid Platform, Perl Programming Language, Coala, Linux From Scratch, Google Code-in, GSoC, Ultimaker, SOFA, MuseScore, Matrix.org',0,0,1),
(2226,'2017-02-13','FOSDEM 2017 AW Building',4164,'Ken interviews the projects in the AW building','<h1>Table of Contents</h1>\r\n<ul>\r\n<li><a href=\"#AW.1\">coreboot</a></li>\r\n<li><a href=\"#AW.2\">GNU GRUB</a></li>\r\n<li><a href=\"#AW.3a\">Olimex</a></li>\r\n<li><a href=\"#AW.4\">Automotive Grade Linux</a></li>\r\n<li><a href=\"#AW.5\">Ham radio</a></li>\r\n<li><a href=\"#AW.6\">CorteXlab</a></li>\r\n<li><a href=\"#AW.7\">OpenEmbedded</a></li>\r\n</ul>\r\n\r\n\r\n<hr />\r\n<h2 id=\"AW.1\" ><img alt=\"coreboot\" src=\"https://hackerpublicradio.org/eps/hpr2226_AW.1.jpg\"/></h2>\r\n<p><a href=\"https://www.coreboot.org/\">https://www.coreboot.org/</a></p>\r\n<blockquote>\r\ncoreboot is a replacement for your BIOS / UEFI with a strong focus on boot speed, security and flexibility. It is designed to boot your operating system as fast as possible without any compromise to security, with no back doors, and without any cruft from the 80s. It was originally designed for large super-computers with thousands of nodes, but it will run on your desktop, headless internet server, laptop, tablet or your favorite IoT device.\r\n</blockquote>\r\n<h3>Listen to the interview with Julian Laubstein</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2226.ogg#t=73.000000,456.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2226.mp3#t=73.000000,456.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/coreboot\">https://github.com/coreboot</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Coreboot\">https://en.wikipedia.org/wiki/Coreboot</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=coreboot\">https://webchat.freenode.net/?channels=coreboot</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/communities/115014129240741938880\">https://plus.google.com/communities/115014129240741938880</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company-beta/10663214/\">https://www.linkedin.com/company-beta/10663214/</a></li>\r\n<li>Mailinglist: <a href=\"https://www.coreboot.org/Mailinglist\">https://www.coreboot.org/Mailinglist</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/coreboot_org\">https://twitter.com/coreboot_org</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/coreboot/\">https://www.facebook.com/coreboot/</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/channel/UCviiVAz65y6EiFLITbLG81w/videos\">https://www.youtube.com/channel/UCviiVAz65y6EiFLITbLG81w/videos</a></li>\r\n<li>About: <a href=\"https://www.coreboot.org/Welcome_to_coreboot\">https://www.coreboot.org/Welcome_to_coreboot</a></li>\r\n<li>Twitch: <a href=\"https://www.twitch.tv/coreboot_org\">https://www.twitch.tv/coreboot_org</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"AW.2\" ><img alt=\"GNU GRUB\" src=\"https://hackerpublicradio.org/eps/hpr2226_AW.2.jpg\"/></h2>\r\n<p><a href=\"https://www.gnu.org/software/grub/\">https://www.gnu.org/software/grub/</a></p>\r\n<blockquote>\r\nGNU GRUB is a Multiboot boot loader. It was derived from GRUB, the GRand Unified Bootloader, which was originally designed and implemented by Erich Stefan Boleyn. Briefly, a boot loader is the first software program that runs when a computer starts. It is responsible for loading and transferring control to the operating system kernel software (such as the Hurd or Linux). The kernel, in turn, initializes the rest of the operating system (e.g. GNU).\r\n</blockquote>\r\n<h3>Listen to the interview with Vladimir \'phcoder\' Serbinenko / Daniel Kiper</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2226.ogg#t=465.000000,998.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2226.mp3#t=465.000000,998.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"git://git.savannah.gnu.org/grub.git\">git://git.savannah.gnu.org/grub.git</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/GNU_GRUB\">https://en.wikipedia.org/wiki/GNU_GRUB</a></li>\r\n<li>Mailinglist: <a href=\"https://www.gnu.org/software/grub/grub-mailinglist.html\">https://www.gnu.org/software/grub/grub-mailinglist.html</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"AW.3a\" ><img alt=\"Olimex\" src=\"https://hackerpublicradio.org/eps/hpr2226_AW.3a.jpg\"/></h2>\r\n<p><a href=\"https://www.olimex.com\">https://www.olimex.com</a></p>\r\n<blockquote>\r\nOlimex Ltd is a leading provider for development tools and programmers for embedded market. The company has 25+ years experience in designing, prototyping and manufacturing printed circuit boards, sub-assemblies, and complete electronic products. We are established in 1991 in Plovdiv - the second largest city in Bulgaria. We have extensive knowledge in analog, digital, and microcontroller design, and we offer our own-designed development boards, programmers and emulators for rapid prototyping ARM, AVR, MSP430, MAXQ and PIC microcontrollers.\r\n</blockquote>\r\n<h3>Listen to the interview with Tsvetan Usunov</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2226.ogg#t=1007.000000,1415.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2226.mp3#t=1007.000000,1415.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2226_AW.3a_Olimex_laptop_bits.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2226_AW.3a_Olimex_laptop_bits_small.jpg\" alt=\"photo from the booth\"/></a></p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2226_AW.3a_Olimex_laptop_black.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2226_AW.3a_Olimex_laptop_black_small.jpg\" alt=\"photo from the booth\"/></a></p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2226_AW.3a_Olimex_laptop_inside.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2226_AW.3a_Olimex_laptop_inside_small.jpg\" alt=\"photo from the booth\"/></a></p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2226_AW.3a_Olimex_laptop_white.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2226_AW.3a_Olimex_laptop_white_small.jpg\" alt=\"photo from the booth\"/></a></p>\r\n\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/OLIMEX\">https://github.com/OLIMEX</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=olimex\">https://webchat.freenode.net/?channels=olimex</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/102255887343137829901/posts\">https://plus.google.com/102255887343137829901/posts</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/Olimex\">https://twitter.com/Olimex</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/pages/Olimex/284513994899126\">https://www.facebook.com/pages/Olimex/284513994899126</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/tsvetanusunov\">https://www.youtube.com/tsvetanusunov</a></li>\r\n<li>About: <a href=\"https://www.olimex.com/About/\">https://www.olimex.com/About/</a></li>\r\n<li>Flickr: <a href=\"https://www.flickr.com/photos/olimex/\">https://www.flickr.com/photos/olimex/</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"AW.4\" ><img alt=\"Automotive Grade Linux\" src=\"https://hackerpublicradio.org/eps/hpr2226_AW.4.jpg\"/></h2>\r\n<p><a href=\"https://www.automotivelinux.org/\">https://www.automotivelinux.org/</a></p>\r\n<blockquote>\r\nAutomotive Grade Linux (AGL) is a Linux Foundation Workgroup dedicated to creating open source software solutions for automotive applications. Although the initial target for AGL is In-Vehicle-Infotainment (IVI) systems, additional use cases such as instrument clusters and telematics systems will eventually be supported. AGL has participants from the Automotive, Communications, and Semiconductor Industries and welcomes contributions from individual developers. \r\n</blockquote>\r\n<h3>Listen to the interview with Jan-Simon Möller</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2226.ogg#t=1424.000000,2198.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2226.mp3#t=1424.000000,2198.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://gerrit.automotivelinux.org/gerrit/AGL/AGL-repo\">https://gerrit.automotivelinux.org/gerrit/AGL/AGL-repo</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Linux_Foundation#Automotive_Grade_Linux\">https://en.wikipedia.org/wiki/Linux_Foundation#Automotive_Grade_Linux</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company-beta/17891737/\">https://www.linkedin.com/company-beta/17891737/</a></li>\r\n<li>Mailinglist: <a href=\"https://lists.linuxfoundation.org/mailman/listinfo/automotive-discussions\">https://lists.linuxfoundation.org/mailman/listinfo/automotive-discussions</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/autogradelinux\">https://twitter.com/autogradelinux</a></li>\r\n<li>About: <a href=\"https://www.automotivelinux.org/about\">https://www.automotivelinux.org/about</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"AW.5\" ><img alt=\"Ham radio\" src=\"https://hackerpublicradio.org/eps/hpr2226_AW.5.jpg\"/></h2>\r\n<p><a href=\"https://uba.be/en/home\">https://uba.be/en/home</a></p>\r\n<blockquote>\r\nAmateur radio is a hobby for people who like to talk using radio transmitters. Many people enjoy using amateur radio to talk to other amateur radio hobbyists in other countries. Amateur radio hobbyists also use their radio transmitters to get help in emergencies. Amateur radio is often called Ham Radio. Many people use their amateur radios for fun. People who use Amateur radio are often called amateur radio operators, hams or amateurs.\r\n</blockquote>\r\n<h3>Listen to the interview with Kristoff Bonne</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2226.ogg#t=2207.000000,3526.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2226.mp3#t=2207.000000,3526.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2226_AW.5_Ham_radio_antenna.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2226_AW.5_Ham_radio_antenna_small.jpg\" alt=\"photo from the booth\"/></a></p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2226_AW.5_Ham_radio_table.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2226_AW.5_Ham_radio_table_small.jpg\" alt=\"photo from the booth\"/></a></p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2226_AW.5_Ham_radio_waterfall.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2226_AW.5_Ham_radio_waterfall_small.jpg\" alt=\"photo from the booth\"/></a></p>\r\n\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Amateur_radio\">https://en.wikipedia.org/wiki/Amateur_radio</a></li>\r\n<li>RSS: <a href=\"https://uba.be/en/rss.xml\">https://uba.be/en/rss.xml</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/UBA_BEL\">https://twitter.com/UBA_BEL</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/pages/UBA/206146739474007\">https://www.facebook.com/pages/UBA/206146739474007</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/watch?v=KZrhjfKY-9g\">https://www.youtube.com/watch?v=KZrhjfKY-9g</a></li>\r\n<li>Reddit: <a href=\"https://www.reddit.com/r/amateurradio/\">https://www.reddit.com/r/amateurradio/</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"AW.6\" ><img alt=\"CorteXlab\" src=\"https://hackerpublicradio.org/eps/hpr2226_AW.6.jpg\"/></h2>\r\n<p><a href=\"https://www.cortexlab.fr/\">https://www.cortexlab.fr/</a></p>\r\n<blockquote>\r\nCorteXlab is a radio testbed based on Software Defined Radio (SDR) and comprised of 40 radio nodes that allow remote users to test their own radio algorithms. The architecture will be also opened to industry third party to deploy their own front-end (RF or UWB) or baseband systems to test and validate their developments.\r\n</blockquote>\r\n<h3>Listen to the interview with Léonardo S. Cardoso</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2226.ogg#t=3535.000000,3876.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2226.mp3#t=3535.000000,3876.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/CorteXlab\">https://github.com/CorteXlab</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/FITCorteXlab\">https://twitter.com/FITCorteXlab</a></li>\r\n<li>About: <a href=\"https://www.cortexlab.fr/?page_id=2\">https://www.cortexlab.fr/?page_id=2</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"AW.7\" ><img alt=\"OpenEmbedded\" src=\"https://hackerpublicradio.org/eps/hpr2226_AW.7.jpg\"/></h2>\r\n<p><a href=\"https://www.openembedded.org/\">https://www.openembedded.org/</a></p>\r\n<blockquote>\r\nWelcome to OpenEmbedded, the build framework for embedded Linux. OpenEmbedded offers a best-in-class cross-compile environment. It allows developers to create a complete Linux Distribution for embedded systems.\r\n</blockquote>\r\n<h3>Listen to the interview with Andreas Müller</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2226.ogg#t=3885.000000,4136.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2226.mp3#t=3885.000000,4136.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"git://git.openembedded.org/openembedded\">git://git.openembedded.org/openembedded</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/OpenEmbedded\">https://en.wikipedia.org/wiki/OpenEmbedded</a></li>\r\n<li>IRC: <a href=\"https://www.openembedded.org/wiki/IRC\">https://www.openembedded.org/wiki/IRC</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/u/0/communities/104250716797176329741\">https://plus.google.com/u/0/communities/104250716797176329741</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/groups/49269/profile\">https://www.linkedin.com/groups/49269/profile</a></li>\r\n<li>Mailinglist: <a href=\"https://www.openembedded.org/wiki/Mailing_lists\">https://www.openembedded.org/wiki/Mailing_lists</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/hashtag/openembedded\">https://twitter.com/hashtag/openembedded</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/pages/OpenEmbedded/103140443059741\">https://www.facebook.com/pages/OpenEmbedded/103140443059741</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/results?search_query=OpenEmbedded\">https://www.youtube.com/results?search_query=OpenEmbedded</a></li>\r\n</ul>\r\n<hr />',30,78,1,'CC-BY-SA','FOSDEM 2017, coreboot, GNU GRUB, Olimex, Automotive Grade Linux, Ham radio, CorteXlab, OpenEmbedded',0,0,1),
(2227,'2017-02-14','FOSDEM 2017 H Building and the Hallway track',5099,'Ken interviews the projects in the H building and anyone else that wants to talk.','<h1>Table of Contents</h1>\r\n<ul>\r\n<li><a href=\"#H.1\">Godot Engine</a></li>\r\n<li><a href=\"#H.2\">Software Freedom Conservancy</a></li>\r\n<li><a href=\"#H.3\">BBC Open Source</a></li>\r\n<li><a href=\"#H.5\">WolfSSL</a></li>\r\n<li><a href=\"#H.6\">GrimoireLab</a></li>\r\n<li><a href=\"#H.7\">MySQL</a></li>\r\n<li><a href=\"#Extra.1\">Kallithea</a></li>\r\n<li><a href=\"#Extra.2\">World Privacy and Identity Association (WPIA)</a></li>\r\n<li><a href=\"#Extra.3\">XMPP</a></li>\r\n<li><a href=\"#Extra.4\">Pulp</a></li>\r\n<li><a href=\"#Extra.5\">SHA2017</a></li>\r\n<li><a href=\"#Extra.6\">ManageIQ</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"H.1\" ><img alt=\"Godot Engine\" src=\"https://hackerpublicradio.org/eps/hpr2227_H.1.jpg\"/></h2>\r\n<p><a href=\"https://godotengine.org/\">https://godotengine.org/</a></p>\r\n<blockquote>\r\nGodot is an advanced, feature-packed, multi-platform 2D and 3D open source game engine. Godot provides a huge set of common tools, so you can just focus on making your game without reinventing the wheel. Godot is completely free and open source under the very permissive MIT license. No strings attached, no royalties, nothing. Your game is yours, down to the last line of engine code.\r\n</blockquote>\r\n<h3>Listen to the interview with Rémi Verschelde</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.ogg#t=73.000000,517.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.mp3#t=73.000000,517.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/godotengine/\">https://github.com/godotengine/</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Godot_(game_engine)\">https://en.wikipedia.org/wiki/Godot_(game_engine)</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=#godotengine\">https://webchat.freenode.net/?channels=#godotengine</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/u/0/communities/111020480776556451458\">https://plus.google.com/u/0/communities/111020480776556451458</a></li>\r\n<li>RSS: <a href=\"https://godotengine.org/rss.xml\">https://godotengine.org/rss.xml</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/godotengine\">https://twitter.com/godotengine</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/groups/godotengine/\">https://www.facebook.com/groups/godotengine/</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/channel/UCKIDvfZD1ZhY4_hhbotf7wA\">https://www.youtube.com/channel/UCKIDvfZD1ZhY4_hhbotf7wA</a></li>\r\n<li>Reddit: <a href=\"https://www.reddit.com/r/godot\">https://www.reddit.com/r/godot</a></li>\r\n<li>Steam: <a href=\"https://steamcommunity.com/app/404790\">https://steamcommunity.com/app/404790</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"H.2\" ><img alt=\"Software Freedom Conservancy\" src=\"https://hackerpublicradio.org/eps/hpr2227_H.2.jpg\"/></h2>\r\n<p><a href=\"https://sfconservancy.org/\">https://sfconservancy.org/</a></p>\r\n<blockquote>\r\nSoftware Freedom Conservancy, Inc. is a 501(c)(3) not-for-profit organization incorporated in New York. Software Freedom Conservancy helps promote, improve, develop, and defend Free, Libre, and Open Source Software (FLOSS) projects. Conservancy provides a non-profit home and infrastructure for FLOSS projects.\r\n</blockquote>\r\n<h3>Listen to the interview with Bradley M. Kuhn</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.ogg#t=526.000000,971.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.mp3#t=526.000000,971.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Software_Freedom_Conservancy\">https://en.wikipedia.org/wiki/Software_Freedom_Conservancy</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=conservancy\">https://webchat.freenode.net/?channels=conservancy</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/u/0/104268783278405704634\">https://plus.google.com/u/0/104268783278405704634</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company-beta/3091519/\">https://www.linkedin.com/company-beta/3091519/</a></li>\r\n<li>Mailinglist: <a href=\"https://lists.sfconservancy.org/pipermail/announce/\">https://lists.sfconservancy.org/pipermail/announce/</a></li>\r\n<li>RSS: <a href=\"https://sfconservancy.org/feeds/omnibus/\">https://sfconservancy.org/feeds/omnibus/</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/conservancy\">https://twitter.com/conservancy</a></li>\r\n<li>FediVerse: <a href=\"https://identi.ca/conservancy\">https://identi.ca/conservancy</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/SoftwareFreedomConservancy/\">https://www.facebook.com/SoftwareFreedomConservancy/</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/channel/UCUEeuNvX2UyTTyTYXR9dm_A\">https://www.youtube.com/channel/UCUEeuNvX2UyTTyTYXR9dm_A</a></li>\r\n<li>About: <a href=\"https://sfconservancy.org/about/\">https://sfconservancy.org/about/</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"H.3\" ><img alt=\"BBC Open Source\" src=\"https://hackerpublicradio.org/eps/hpr2227_H.3.jpg\"/></h2>\r\n<p><a href=\"https://www.bbc.co.uk/opensource/\">https://www.bbc.co.uk/opensource/</a></p>\r\n<blockquote>\r\nThe BBC has been using and contributing to open source projects for as long as we\'ve had a website. This site brings together all the open source projects across the BBC with links to all our documentation and source code and information on how to get involved. Open source code used on public facing services, internal services and educational resources.\r\n</blockquote>\r\n<h3>Listen to the interview with David Buckhurst</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.ogg#t=980.000000,1506.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.mp3#t=980.000000,1506.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2227_H.3_BBC_Open_Source_bit-matrix.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2227_H.3_BBC_Open_Source_bit-matrix_small.jpg\" alt=\"photo from the booth\"/></a></p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2227_H.3_BBC_Open_Source_robot.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2227_H.3_BBC_Open_Source_robot_small.jpg\" alt=\"photo from the booth\"/></a></p>\r\n\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/bbc\">https://github.com/bbc</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/BBC\">https://en.wikipedia.org/wiki/BBC</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/BBCOpenSource\">https://twitter.com/BBCOpenSource</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"H.5\" ><img alt=\"WolfSSL\" src=\"https://hackerpublicradio.org/eps/hpr2227_H.5.jpg\"/></h2>\r\n<p><a href=\"https://www.wolfssl.com/wolfSSL/Home.html\">https://www.wolfssl.com/wolfSSL/Home.html</a></p>\r\n<blockquote>\r\nEmbedded SSL/TLS Library for Applications, Devices, IoT, and the Cloud. Providing secure communication for IoT, smart grid, connected home, automobiles, routers, applications, games, IP, mobile phones, the cloud, and more.\r\n</blockquote>\r\n<h3>Listen to the interview with Chris Conlon</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.ogg#t=1515.000000,1786.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.mp3#t=1515.000000,1786.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/wolfssl/wolfssl\">https://github.com/wolfssl/wolfssl</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/WolfSSL\">https://en.wikipedia.org/wiki/WolfSSL</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/u/0/+Wolfssl\">https://plus.google.com/u/0/+Wolfssl</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company/wolfssl\">https://www.linkedin.com/company/wolfssl</a></li>\r\n<li>RSS: <a href=\"https://www.wolfssl.com/wolfSSL/Blog/rss.xml\">https://www.wolfssl.com/wolfSSL/Blog/rss.xml</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/wolfSSL\">https://twitter.com/wolfSSL</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/wolfssl\">https://www.facebook.com/wolfssl</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/user/wolfssl\">https://www.youtube.com/user/wolfssl</a></li>\r\n<li>About: <a href=\"https://wolfssl.com/wolfSSL/About.html\">https://wolfssl.com/wolfSSL/About.html</a></li>\r\n<li>SlideShare: <a href=\"https://www.slideshare.net/yassl\">https://www.slideshare.net/yassl</a></li>\r\n<li>Flickr: <a href=\"https://www.flickr.com/photos/54654493@N05/\">https://www.flickr.com/photos/54654493@N05/</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"H.6\" ><img alt=\"GrimoireLab\" src=\"https://hackerpublicradio.org/eps/hpr2227_H.6.jpg\"/></h2>\r\n<p><a href=\"https://grimoirelab.github.io/\">https://grimoirelab.github.io/</a></p>\r\n<blockquote>\r\nfree, libre, open source tools for software development analytics.\r\n</blockquote>\r\n<h3>Listen to the interview with Daniel Izquierdo Cortázar</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.ogg#t=1795.000000,2185.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.mp3#t=1795.000000,2185.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/bitergia\">https://github.com/bitergia</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=metrics-grimoire\">https://webchat.freenode.net/?channels=metrics-grimoire</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/hashtag/GrimoireLab\">https://twitter.com/hashtag/GrimoireLab</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/hashtag/grimoirelab\">https://www.facebook.com/hashtag/grimoirelab</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"H.7\" ><img alt=\"MySQL\" src=\"https://hackerpublicradio.org/eps/hpr2227_H.7.jpg\"/></h2>\r\n<p><a href=\"https://www.mysql.com/\">https://www.mysql.com/</a></p>\r\n<blockquote>\r\nMySQL is the world\'s most popular open source database. With its proven performance, reliability and ease-of-use, MySQL has become the leading database choice for web-based applications, used by high profile web properties including Facebook, Twitter, YouTube, Yahoo! and many more. Oracle drives MySQL innovation, delivering new capabilities to power next generation web, cloud, mobile and embedded applications.\r\n</blockquote>\r\n<h3>Listen to the interview with Mark Leith</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.ogg#t=2194.000000,2525.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.mp3#t=2194.000000,2525.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/MySQL\">https://en.wikipedia.org/wiki/MySQL</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/+mysql\">https://plus.google.com/+mysql</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/#!/mysql\">https://twitter.com/#!/mysql</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/mysql\">https://www.facebook.com/mysql</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/mysqlchannel\">https://www.youtube.com/mysqlchannel</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"Extra.1\" ><img alt=\"Kallithea\" src=\"https://hackerpublicradio.org/eps/hpr2227_Extra.1.jpg\"/></h2>\r\n<p><a href=\"https://kallithea-scm.org/\">https://kallithea-scm.org/</a></p>\r\n<blockquote>\r\nKallithea, a member project of Software Freedom Conservancy, is a GPLv3\'d, Free Software source code management system that supports two leading version control systems, Mercurial and Git, and has a web interface that is easy to use for users and admins. You can install Kallithea on your own server and host repositories for the version control system of your choice.\r\n</blockquote>\r\n<h3>Listen to the interview with Andrew Shadura</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.ogg#t=2534.000000,2886.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.mp3#t=2534.000000,2886.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://bitbucket.org/conservancy/kallithea/wiki/Home\">https://bitbucket.org/conservancy/kallithea/wiki/Home</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Kallithea_(software)\">https://en.wikipedia.org/wiki/Kallithea_(software)</a></li>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=kallithea\">https://webchat.freenode.net/?channels=kallithea</a></li>\r\n<li>Mailinglist: <a href=\"https://lists.sfconservancy.org/mailman/listinfo/kallithea-general\">https://lists.sfconservancy.org/mailman/listinfo/kallithea-general</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/KallitheaSCM\">https://twitter.com/KallitheaSCM</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"Extra.2\" ><img alt=\"World Privacy and Identity Association (WPIA)\" src=\"https://hackerpublicradio.org/eps/hpr2227_Extra.2.jpg\"/></h2>\r\n<p><a href=\"https://wpia.club/en/\">https://wpia.club/en/</a></p>\r\n<blockquote>\r\nThe World Privacy and Identity Association (WPIA) is anxious to transfer the human rights to protect one\'s privacy and identity into the cyber space. WPIA is going to foster political education, seek exchange with politicians, develop software, and operate a free certificate authority. Everything will be done to patronise and substain your digital rights. We make it happen for empowering the digital YOU!\r\n</blockquote>\r\n<h3>Listen to the interview with Reinhard Mutz</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.ogg#t=2895.000000,3356.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.mp3#t=2895.000000,3356.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Google+: <a href=\"https://plus.google.com/113724401049079094223\">https://plus.google.com/113724401049079094223</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/WPIAssociation\">https://twitter.com/WPIAssociation</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/WPIA-World-Privacy-and-Identity-Association-332073417178164/\">https://www.facebook.com/WPIA-World-Privacy-and-Identity-Association-332073417178164/</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"Extra.3\" ><img alt=\"XMPP\" src=\"https://hackerpublicradio.org/eps/hpr2227_Extra.3.jpg\"/></h2>\r\n<p><a href=\"https://xmpp.org/\">https://xmpp.org/</a></p>\r\n<blockquote>\r\nXMPP is the open standard for messaging and presence. XMPP powers emerging technologies like IoT, WebRTC, and social. No one owns XMPP. It\'s free and open for everyone since 1999. It\'s a living standard. Engineers actively extend and improve it. Millions use XMPP software daily to connect to people and services.\r\n</blockquote>\r\n<h3>Listen to the interview with Sam Whited</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.ogg#t=3367.000000,4038.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.mp3#t=3367.000000,4038.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://xmpp.org/software\">https://xmpp.org/software</a></li>\r\n<li>Wikipedia: <a href=\"https://en.wikipedia.org/wiki/XMPP\">https://en.wikipedia.org/wiki/XMPP</a></li>\r\n<li>IRC: <a href=\"https://xmpp.org/community/chat\">https://xmpp.org/community/chat</a></li>\r\n<li>Mailinglist: <a href=\"https://xmpp.org/community/mailing-lists\">https://xmpp.org/community/mailing-lists</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"Extra.4\" ><img alt=\"Pulp\" src=\"https://hackerpublicradio.org/eps/hpr2227_Extra.4.jpg\"/></h2>\r\n<p><a href=\"https://pulpproject.org/\">https://pulpproject.org/</a></p>\r\n<blockquote>\r\nPulp is a platform for managing repositories of software packages and making it available to a large numbers of consumers. Pulp can locally mirror all or part of a repository, host your own software packages in repositories, and manage many types of content from multiple sources in one place.\r\n</blockquote>\r\n<h3>Listen to the interview with Brian Bouterse</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.ogg#t=4047.000000,4412.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.mp3#t=4047.000000,4412.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/pulp/\">https://github.com/pulp/</a></li>\r\n<li>Mailinglist: <a href=\"https://www.redhat.com/mailman/listinfo/pulp\">https://www.redhat.com/mailman/listinfo/pulp</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"Extra.5\" ><img alt=\"SHA2017\" src=\"https://hackerpublicradio.org/eps/hpr2227_Extra.5.jpg\"/></h2>\r\n<p><a href=\"https://sha2017.org/\">https://sha2017.org/</a></p>\r\n<blockquote>\r\nSHA2017 is a non profit outdoor Hacker camp/conference taking place in The Netherlands from the 4th to 8th of August 2017. It is the successor of a string of similar events happening every four years. These are GHP, HEU, HIP, HAL, WTH, HAR and OHM. Similar events are EMF Camp 2016 in the UK, CCC Camp and congress in Germany. The location is the Scoutinglandgoed in Zeewolde, 55km east of Amsterdam.\r\n</blockquote>\r\n<h3>Listen to the interview with Robin Edgar</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.ogg#t=4421.000000,4575.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.mp3#t=4421.000000,4575.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>IRC: <a href=\"https://webchat.freenode.net/?channels=#sha2017\">https://webchat.freenode.net/?channels=#sha2017</a></li>\r\n<li>Mailinglist: <a href=\"https://lists.sha2017.org/cgi-bin/mailman/listinfo\">https://lists.sha2017.org/cgi-bin/mailman/listinfo</a></li>\r\n<li>RSS: <a href=\"https://sha2017.org/rss.xml\">https://sha2017.org/rss.xml</a></li>\r\n</ul>\r\n\r\n<hr />\r\n<h2 id=\"Extra.6\" ><img alt=\"ManageIQ\" src=\"https://hackerpublicradio.org/eps/hpr2227_Extra.6.jpg\"/></h2>\r\n<p><a href=\"https://manageiq.org/\">https://manageiq.org/</a></p>\r\n<blockquote>\r\nManageIQ is an open source management platform for Hybrid IT. It can manage small and large environments, and supports multiple technologies such as virtual machines, public clouds and containers. With ManageIQ you will be able to: Continuously discover the latest state of your environment. Implement self service for your end users. Enforce compliance across the environment. Optimize the performance and utilization of you environment.\r\n</blockquote>\r\n<h3>Listen to the interview with Carol Chene</h3>\r\n<p><audio controls=\"\" preload=\"none\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.ogg#t=4584.000000,4891.000000\" type=\"audio/ogg\">\r\n  <source src=\"https://hackerpublicradio.org/eps/hpr2227.mp3#t=4584.000000,4891.000000\" type=\"audio/mpeg\">\r\n  </audio>\r\n</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li>Source: <a href=\"https://github.com/ManageIQ/\">https://github.com/ManageIQ/</a></li>\r\n<li>Google+: <a href=\"https://plus.google.com/+ManageiqOrg\">https://plus.google.com/+ManageiqOrg</a></li>\r\n<li>Linkedin: <a href=\"https://www.linkedin.com/company/manageiq\">https://www.linkedin.com/company/manageiq</a></li>\r\n<li>Twitter: <a href=\"https://twitter.com/ManageIQ\">https://twitter.com/ManageIQ</a></li>\r\n<li>Facebook: <a href=\"https://www.facebook.com/manageiq/\">https://www.facebook.com/manageiq/</a></li>\r\n<li>YouTube: <a href=\"https://www.youtube.com/user/ManageIQVideo\">https://www.youtube.com/user/ManageIQVideo</a></li>\r\n</ul>\r\n<hr />',30,78,1,'CC-BY-SA','Godot Engine, SFC, BBC Open Source, WolfSSL, GrimoireLab, MySQL, Kallithea, WPIA, XMPP, Pulp, SHA2017, ManageIQ',0,0,1),
(2197,'2017-01-03','Why you should not say Free Software',429,'Ken suggests that the term Free Software is a bug.','<p>\r\nAs we all know the word Free has two meanings in the English language. Free of cost and Free from Freedom. So we get the expression \"free as in Beer\" and \"Free as in Freedom\" - or Free with a lower or upper F. Having disambiguity in a computer program is bad. So let\'s translate that problem to computer languages, and I\'m going to deliberately pick the C language. So for example were the word \"exit\" (which is a function), and you wanted to use it as a variable.\r\n</p>\r\n<p>\r\nset exit = 1;\r\n</p>\r\n<p>\r\nThis leads to problems as the computer can\'t tell if the references to \"exit\" the function or is it the \"variable\".\r\n</p>\r\n<p>\r\nFor that reason the \"The GNU C Library Reference Manual\" makes it clear that this is not allowed\r\n</p>\r\n<blockquote>\r\n<p>\r\n  1.3.3 Reserved Names<br />\r\n  The names of all library types, macros, variables and functions that come from the ISO C standard are reserved unconditionally; your program may not redefine these names. All other library names are reserved if your program explicitly includes the header file that defines or declares them. There are several reasons for these restrictions:\r\n</p>\r\n<p>\r\n  Other people reading your code could get very confused if you were using a function named \"exit\" to do something completely different from what the standard \"exit\" function does, for example. Preventing this situation helps to make your programs easier to understand and contributes to modularity and maintainability.\r\n</p>\r\n<p>\r\n  It avoids the possibility of a user accidentally redefining a library function that is called by other library functions. If redefinition were allowed, those other functions would not work properly.\r\n</p>\r\n</blockquote>\r\n<p>\r\nThis was written by \"Sandra Loosemore with Richard M. Stallman, Roland McGrath, Andrew Oram, and Ulrich Drepper for version 2.18\".\r\n</p>\r\n<p>\r\nIn terms of the English Language, this results in:\r\n</p>\r\n\r\n<ul>\r\n<li>segfaults where people just get confused.\r\n</li>\r\n<li>Buffer overflows, where there is too much information to take in.\r\n</li>\r\n<li>time outs where the amount of time available to explain has been exceeded.\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nNow you can get around the problem by prefixing the variable name with a name space, which is very common in XML.\r\n</p>\r\n<p>\r\nset my:exit = 1;\r\n</p>\r\n<p>\r\nHowever that\'s cumbersome and causes extra cycles to be expended, or abnormal termination of the program. Not many cycles but a few and it adds up over time. The more you use it the more wastage occurs. When you have two Bob\'s working in a company. You always need to specify if it\'s \"Bob in Accounting\" or \"Bob in Sales\".\r\n</p>\r\n<p>\r\nIt is often pointed out that this is not an issue in other languages, for example Dutch has \"Vrij\" for freedom and \"Gratis\" for without cost. However the FSF is a US organisation, in a English speaking area. So we should focus on the fact that the English compiler should have rejected at use of \"Free\" when it was first proposed because it was obviously disambiguous.\r\n</p>\r\n<p>\r\nThe GNU project was started in 1983 and looking at the software available around then I find it very hard to believe that the concept of \"software you pay for\" was not widely known.\r\n<a href=\"https://en.wikipedia.org/wiki/History_of_software\">https://en.wikipedia.org/wiki/History_of_software</a>\r\n</p>\r\n\r\n<ul>\r\n<li>WordStar, \"By early 1980, MicroPro claimed in advertisements that 5,000 people had purchased WordStar in eight months\"\r\n</li>\r\n<li>WordPerfect, \"The program was originally developed under contract at Brigham Young University for use on a Data General minicomputer in 1979.\"\r\n</li>\r\n<li>VisiCalc, \"It sold over 700,000 copies in six years\"\r\n</li>\r\n<li>Lotus 1-2-3, \"Lotus 1-2-3 was released on 26 January 1983, and immediately overtook Visicalc in sales.\"\r\n</li>\r\n</ul>\r\n\r\n<p>\r\nLooking at the archives of the <a href=\"https://archive.org/search.php?query=Byte%20Magazine\">Byte Magazine</a> there are numerous examples where software \"Free/free\" and proprietary closed software was for sale as far back as 1979. Even the term <a href=\"https://en.wikipedia.org/wiki/Freeware\">freeware</a> was coined in 1982 by Andrew Fluegelman.\r\n</p>\r\n<p>\r\nSo it would seem that the word \"Free Software\" was a bug from the start. Not that there is probably anything we can do about it now but if this bugs you then go over to the FSF and <a href=\"https://fsf.org/donate\">donate</a>. If it doesn\'t bug you then <a href=\"https://fsf.org/donate\">donate</a>. If you could care less, or indeed if you couldn\'t care less then also <a href=\"https://fsf.org/donate\">donate</a>.\r\n</p>',30,0,0,'CC-BY-SA','free software,free,freedom',0,0,1),
(2198,'2017-01-04','How awesome is Guix and why will it take over the world',5011,'I sit down with Chris Webber and we ramble about how great Guix is','<p>I heard a \"holy crap\" somewhere in there, so I guess this show is explicit. That\'s about the level you can expect. :-)</p>\r\n<p>I recorded this together with <a href=\"https://identi.ca/cwebber\">@cwebber@identi.ca</a> over a year ago, on 2015-12-01. I told him I was hoping to get it out in time for FOSDEM. I didn\'t clarify which FOSDEM. :-D</p>\r\n<p>So this thing has been lying around, and I\'ve been polishing it and I\'ve been thinking \"man, 90 minutes is a bit rich for an HPR episode, I should edit this thing <em>at some point</em>\". Procrastinator strikes again!</p>\r\n<p>Well, that point never came in the course of one year, and HPR needs episodes, so this is what you get. I skipped around in it for QA reasons (audio sync) and I found that I wanted to listen to it again myself, so if your interests are anything like mine, I think it will be able to hold your attention. We had great fun recording it, and now that I\'ve got it out of the gate, maybe I won\'t be ashamed to ask Chris to record another one about one of the many topics that came up during this show.</p>\r\n<p>In the year since we recorded this, Guix has released versions 0.10.0, 0.11.0 and 0.12.0. It has functioning GNOME (based on Wingo\'s <a href=\"https://github.com/wingo/elogind\">elogind</a>) and can boot from a LUKS-encrypted drive.</p>\r\n<p>DMD, the Daemon-Managing Daemon that was at the core of GuixSD, is now <a href=\"https://www.gnu.org/software/shepherd/\">Shepherd</a>, and still at the core of GuixSD.</p>\r\n<p>Chris\'s project <a href=\"https://www.gnu.org/software/8sync/\">8Sync</a> is at version 0.2 and has a real GNU homepage (generated from S-expressions by <a href=\"https://haunt.dthompson.us/\">Haunt</a>!) and Guile 2.2 is closer than ever. 8Sync 0.2 uses some experimental features available in Guile 2.1 snapshots.</p>\r\n<p><a href=\"https://www.gnu.org/software/guix/donate/\">Guix</a> and <a href=\"https://sfconservancy.org/supporter/\">Software Conservancy</a> still need your money (<a href=\"https://my.fsf.org/civicrm/contribute/transact?reset=1&amp;id=50\">The FSF accepts Bitcoin!</a>), and <a href=\"https://fosdem.org/\">FOSDEM</a> is still, or again, around the corner. I won\'t be going there this year, though, due to scheduling conflicts.</p>\r\n<p>On my latest laptop I\'m running NixOS and it\'s running just great. My Guix VM on the other machine is no longer running Enlightenment, now that GNOME is ready. :-)</p>\r\n<p>I haven\'t fixed clusterssh in either Nix nor Guix, but <a href=\"https://github.com/dennishafemann/tmux-cssh\">tmux-cssh</a> works pretty great too!</p>\r\n<p>Someone should still write <code>guix-bisect</code>!</p>\r\n<p>GuixOps has been dormant during 2016, but as late as two months ago there was some <a href=\"https://lists.gnu.org/archive/html/guix-devel/2016-10/msg00838.html\">slight movement on the mailing list</a>.</p>\r\n<p>Links to various things and people mentioned in the show:</p>\r\n<ul>\r\n<li>Chris Webber: <a href=\"https://dustycloud.org/\">blog</a> <a href=\"https://identi.ca/cwebber\">pump.io</a><ul>\r\n<li><a href=\"dustycloud.org/misc/guile/tutorial.html\">Chris\'s Guile tutorial</a></li>\r\n</ul>\r\n</li>\r\n<li><a href=\"https://www.gnu.org/s/guile/\">Guile</a><ul>\r\n<li><a href=\"https://www.gnu.org/savannah-checkouts/gnu/guile/docs/guile-tut/tutorial.html\">Official Guile tutorial</a></li>\r\n</ul>\r\n</li>\r\n<li>Arne Babenhauserheide <a href=\"https://www.draketo.de/light/english\">homepage/blog</a> <a href=\"https://sn.1w6.org/drak\">OStatus</a> <ul>\r\n<li><a href=\"https://draketo.de/proj/wisp/\">WISP</a>, S-expressions without so many parentheses</li>\r\n</ul>\r\n</li>\r\n<li><a href=\"https://www.gnu.org/s/guix/\">Guix and GuixSD</a></li>\r\n<li><a href=\"https://nixos.org/\">Nix and NixOS</a></li>\r\n<li>Andy Wingo: <a href=\"https://wingolog.org/\">blog</a> <a href=\"https://twitter.com/andywingo\">twitter</a> <a href=\"https://github.com/wingo\">github</a></li>\r\n<li>Mark Weaver: <a href=\"https://savannah.gnu.org/users/mhw\"></a><a href=\"https://savannah.gnu.org/users/mhw\">https://savannah.gnu.org/users/mhw</a> is as good as it gets, it seems.</li>\r\n<li>Ludovic Courtès: <a href=\"https://web.fdn.fr/~lcourtes/ludo-3.html\">home page</a>, you can see under <a href=\"https://web.fdn.fr/~lcourtes/ludo-3.html#soft\">software</a> that Chris was right about him being on Nix first, before he created Guix. :-)</li>\r\n<li>David Thompson <a href=\"https://dthompson.us/\">homepage</a> <a href=\"https://quitter.se/davexunit\">OStatus</a></li>\r\n<li><a href=\"https://mitpress.mit.edu/sicp/full-text/book/book.html\">SICP</a><ul>\r\n<li><a href=\"https://mitpress.mit.edu/sicp/full-text/book/book-Z-H-10.html#%_sec_1.1\">A means of composition and a means of abstraction</a></li>\r\n</ul>\r\n</li>\r\n<li><a href=\"https://docs.hylang.org/en/latest/\">hy</a>, a LISP hosted in Python</li>\r\n<li><a href=\"https://mitpress.mit.edu/books/reasoned-schemer\">The Reasoned Schemer</a> is a dead-trees book.</li>\r\n<li>Actually there is a package manager for Guile called <a href=\"https://github.com/ijp/guildhall\">guildhall</a>, but the latest commit was in 2015 (by Arne Bab, mentioned above!), and the trend to put Guile packages right into Guix seems to continue. There is also a generic Scheme package repository called <a href=\"https://snow-fort.org/pkg\">Snow</a>, but it doesn\'t seem to support guile, at least not officially.</li>\r\n</ul>',311,0,1,'CC-BY-SA','guix, linux, sysadmin, os, package management, nix, scheme, guile',0,0,1),
(2201,'2017-01-09','Matthew \"Lord Drachenblut\" Williams',2292,'HPR Community members remember the digital dragon','<p>\r\nEulogies for Lord Drachenblut, including:\r\n</p>\r\n<ul>\r\n<li>Klaatu</li>\r\n<li>Randy Noseworthy</li>\r\n<li>ClaudioM</li>\r\n<li>Brian Proffitt &#40;writing for <a href=\"https://communityblog.fedoraproject.org/remembering-matthew-williams/\" target=\"_blank\">Fedora Project</a>&#41;</li>\r\n<li>Ahuka</li>\r\n<li>Joe C. Hecht &#40;ref&#58; <a href=\"https://plus.google.com/101542819146828378581\" target=\"_blank\">google+</a>&#41;</li>\r\n<li>Lostnbronx</li>\r\n<li>Knightwise</li>\r\n</ul>\r\n\r\n<p>Incidental music by <a href=\"https://archive.org/details/mgr111SeveredFifth-Liberate\" target=\"_blank\">Severed Fifth</a></p>',159,0,1,'CC-BY-SA','Lord Drachenblut',0,0,1),
(2202,'2017-01-10','Makers on YouTube',1487,'I am trying to learn to make various things and am watching YouTube to find information','<h1 id=\"makers-on-youtube\">Makers on YouTube</h1>\r\n<h2 id=\"introduction\">Introduction</h2>\r\n<p>I have always enjoyed making stuff. I was born and brought up in the 1940’s and 1950’s when the UK was recovering from WW2, and in my experience everyone I knew repaired and made stuff. Most of them grew their own food as well.</p>\r\n<p>I have never been particularly good at making stuff, but I have built some basic furniture, built storage solutions for the house, built a rabbit hutch and run for my children’s pets, and so on and so forth.</p>\r\n<p>In high school, even though I went to a Grammar School, all boys attended mandatory lessons on metalwork and woodwork. We learnt how to use hand tools and some power tools, make joints in wood, we also learnt to do basic metal work like soldering and brazing, and so forth.</p>\r\n<p>Learning this stuff at school was great but I have used the woodworking techniques more than the metalwork - other than soldering.</p>\r\n<p>I stopped watching TV in 2013, preferring reading and listening to podcasts. In recent times I have subscribed to a number of YouTube channels which share woodworking and metalworking techniques and projects. In general these people are Makers and Artists who can turn their hands to many skills. I thought I would share some of my favourites via HPR.</p>\r\n<h2 id=\"long-notes\">Long notes</h2>\r\n<p>I have written out a moderately long set of notes for this episode and these are available here <a href=\"https://hackerpublicradio.org/eps/hpr2202/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2202/full_shownotes.html</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>YouTube Channels:\r\n<ul>\r\n<li><a href=\"https://www.youtube.com/channel/UCc3EpWncNq5QL0QhwUNQb7w\">Paul Sellers</a></li>\r\n<li><a href=\"https://www.youtube.com/channel/UC3_VCOJMaivgcGqPCTePLBA\">Frank Howarth</a></li>\r\n<li><a href=\"https://www.youtube.com/channel/UCiEk4xHBbz0hZNIBBpowdYQ\">Jimmy DiResta</a></li>\r\n<li><a href=\"https://www.youtube.com/channel/UCckETVOT59aYw80B36aP9vw\">Matthias Wandel</a></li>\r\n<li><a href=\"https://www.youtube.com/channel/UC6x7GwJxuoABSosgVXDYtTw\">I Like To Make Stuff</a></li>\r\n<li><a href=\"https://www.youtube.com/channel/UCDpL0v-Ifie7u05lbfO3zJQ\">Matthew Cremona</a></li>\r\n<li><a href=\"https://www.youtube.com/channel/UC-7XY-W_C84cW2MNqujgFpg\">Jay Bates</a></li>\r\n<li><a href=\"https://www.youtube.com/channel/UCOUFSlpGiL9I3jPbt0vcI0A\">Jon Peters Art &amp; Home</a></li>\r\n<li><a href=\"https://www.youtube.com/channel/UCtaykeSsGhtn2o2BsPm-rsw\">Make Something</a></li>\r\n<li><a href=\"https://www.youtube.com/channel/UCCsdIja21VT7AKkbVI5y8bQ\">Alain Vaillancourt</a></li>\r\n<li><a href=\"https://www.youtube.com/channel/UC4v2tQ8GqP0RbmAzhp4IFkQ\">April Wilkerson</a></li>\r\n<li><a href=\"https://www.youtube.com/channel/UCrbGKAwkVaQmTowmTYBm5Vg\">Nick Ferry</a></li>\r\n<li><a href=\"https://www.youtube.com/channel/UCIrtu3uSwehD0pfmfMsHhUA\">Darbin Orvar</a></li>\r\n<li><a href=\"https://www.youtube.com/channel/UCn7lavsPdVGV0qmEEBT6NyA\">Marius Hornberger</a></li>\r\n<li><a href=\"https://www.youtube.com/channel/UCRix1GJvSBNDpEFY561eSzw\">Laura Kampf</a></li>\r\n<li><a href=\"https://www.youtube.com/channel/UCETeXD_3awsQv-9rSdCYXQQ\">Get Hands Dirty</a></li>\r\n<li><a href=\"https://www.youtube.com/channel/UCjA8vRlL1c7BDixQRJ39-LQ\">John Heisz</a></li>\r\n</ul></li>\r\n<li>Podcasts\r\n<ul>\r\n<li><a href=\"https://feeds.podtrac.com/bQsxC5qCMadt\">BrainPick</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/MakingItWithJimmyDirestaBobClagettAndDavidPicciuto\">Making It With Jimmy Diresta, Bob Clagett and David Picciuto</a></li>\r\n<li><a href=\"https://feeds.soundcloud.com/users/soundcloud:users:184343600/sounds.rss\">Reclaimed Audio Podcast</a></li>\r\n<li><a href=\"https://www.thewoodworkingpodcast.com/feed/podcast/\">The Woodworking Podcast</a></li>\r\n</ul></li>\r\n</ul>',225,0,1,'CC-BY-SA','making, youtube, podcast',0,0,1),
(2203,'2017-01-11','NOT SO SMART',464,'How I am failing at troubleshooting disk I O issues','<!-- Processed by make_markdown V0.0.4 -->\r\n<p>(tracer32.exe) and LogExpert <code>regex (warn|\\berr|fail|unabl|can|not|fault)</code></p>\r\n<pre><code>rsync --info=progress2 ( need to compile from source ... )</code></pre>\r\n<ul>\r\n<li><a href=\"https://techtitbits.com/2010/04/get-rid-of-freeze-ups-during-disk-io-activity-in-ubuntu/\" class=\"uri\">https://techtitbits.com/2010/04/get-rid-of-freeze-ups-during-disk-io-activity-in-ubuntu/</a></li>\r\n<li><a href=\"https://blog.vacs.fr/vacs/blogs/post.html?post=2010/08/28/Solving-Linux-system-lockup-when-intensive-disk-I/O-are-performed\" class=\"uri\">https://blog.vacs.fr/vacs/blogs/post.html?post=2010/08/28/Solving-Linux-system-lockup-when-intensive-disk-I/O-are-performed</a></li>\r\n<li><a href=\"https://www.howtoeverything.net/linux/hardware/ubuntu-freeze-issue-after-ssd-upgrade\" class=\"uri\">https://www.howtoeverything.net/linux/hardware/ubuntu-freeze-issue-after-ssd-upgrade</a></li>\r\n<li><a href=\"https://download.gigabyte.us/FileList/BIOS/motherboard_bios_ga-ep43-ud3l_f9.exe\" class=\"uri\">https://download.gigabyte.us/FileList/BIOS/motherboard_bios_ga-ep43-ud3l_f9.exe</a></li>\r\n<li><a href=\"https://downloads.wdc.com/fwupdater/Win/WDFirmwareUpdater.zip\" class=\"uri\">https://downloads.wdc.com/fwupdater/Win/WDFirmwareUpdater.zip</a></li>\r\n</ul>\r\n<pre><code>grub-install --force --removable --boot-directory=/s/boot /dev/sdd\r\n\r\ngrub-mkconfig -o /s/boot/grub.cfg</code></pre>\r\n<p>boot.ini ?!?!? ..( never could figure out how to boot my windows XP part from GRUB ...thought this would help with no luck )</p>\r\n<pre><code>multi(0)disk(0)rdisk(0)partition(2)\\WINXP=\"Microsoft Windows XP Professional\"\r\nmulti(0)disk(0)rdisk(1)partition(2)\\WINXP=\"Microsoft Windows XP Professional\"\r\nmulti(0)disk(0)rdisk(2)partition(2)\\WINXP=\"Microsoft Windows XP Professional\"\r\nmulti(0)disk(0)rdisk(3)partition(2)\\WINXP=\"Microsoft Windows XP Professional\"\r\nmulti(0)disk(0)rdisk(4)partition(2)\\WINXP=\"Microsoft Windows XP Professional\"</code></pre>\r\n<ul>\r\n<li><a href=\"https://askubuntu.com/questions/397249/system-freezes-unresponsive-unusable-when-copying-large-file-to-usb\" class=\"uri\">https://askubuntu.com/questions/397249/system-freezes-unresponsive-unusable-when-copying-large-file-to-usb</a></li>\r\n</ul>\r\n<pre><code>tune2fs -c 1 ( check drives on boot )</code></pre>\r\n<p>Linux provides other I/O schedulers such as the Noop scheduler, the Anticipatory scheduler and the Deadline scheduler.</p>\r\n<pre><code>Dec 31 14:59:46 plexserver console-kit-daemon[1463]: missing action\r\nDec 31 15:01:45 plexserver smartd[1038]: Device: /dev/sda [SAT], SMART Usage Attribute: 194 Temperature_Celsius changed from 113 to 112\r\nDec 31 15:01:45 plexserver smartd[1038]: Device: /dev/sdc [SAT], SMART Usage Attribute: 194 Temperature_Celsius changed from 112 to 111</code></pre>\r\n<p>40-50C range are optimal.</p>\r\n',36,0,0,'CC-BY-SA','troubleshooting,ubuntu',0,0,1),
(2204,'2017-01-12','MASSCAN',503,'MASSCAN FOR THE 10 DOTS O M G','<p>I chat about my issues with our vuln scanner and destroy the discovery scan times from 5-8 days to 1hr with Masscan.</p>\r\n<ul>\r\n<li><p><a href=\"https://github.com/robertdavidgraham/masscan/issues/262\">bug ? / workaround</a></p></li>\r\n<li><p>my current cmdline</p></li>\r\n</ul>\r\n<pre><code>masscan   -p21,22,23,25,53,80,88,110,111,113,135,139,143,220,264,389,443,445,449,524,585,636,993,995,1433,1521,1723,3306,3389,5900,8080    --rate=14114 --open --excludefile BLACKLIST --ping  172.16.0.0/12 -oX  172.xml</code></pre>\r\n',36,0,1,'CC-BY-SA','nmap, masscan, vulnerability, scanners',0,0,1),
(2205,'2017-01-13','Quick Tips Roomba and silicone Packets',421,'Quick Tips Roomba Cleaning and Silicone Packet reuse','<ul>\r\n<li>First bit is about Roomba and keeping them clean and happy!</li>\r\n<li>2nd bit is about reusing Silicone Packets by baking them in the toaster oven!</li>\r\n</ul>\r\n',36,0,1,'CC-BY-SA','Roomba, Silicone',0,0,1),
(2206,'2017-01-16','Podcasts I Listen To',967,'Current podcasts that I listen to on my Android devices.','<p>Podcasts:</p>\r\n<ol type=\"1\">\r\n<li><a href=\"https://feeds.feedburner.com/systemau-ogg\">SystemAU</a> - Australian Linux Perspective with Music</li>\r\n<li><a href=\"https://atp.fm/episodes?format=rss\">Accidental Tech Podcast</a> - Apple Computers/Programs</li>\r\n<li><a href=\"https://feeds.feedburner.com/AndroidCentralPodcast\">Android Central Podcast</a> - Android Devices</li>\r\n<li><a href=\"https://bleedtv.podbean.com/feed/rss/\">BleedTV Podcast</a> - TV Info</li>\r\n<li><a href=\"https://feeds.feedburner.com/dancarlin/commonsense?format=xml\">Common Sense with Dan Carlin</a></li>\r\n<li><a href=\"https://feeds.feedburner.com/dancarlin/history?format=xml\">Dan Carlin\'s Hard Core History</a> - History Lessons</li>\r\n<li><a href=\"https://hackerpublicradio.org/rss.php?html=1&amp;format=ogg\">Hacker Public Radio</a></li>\r\n<li><a href=\"https://espn.go.com/espnradio/feeds/rss/podcast.xml?id=9545077\">Jalen &amp; Jacoby</a> - ESPN Sports Guys</li>\r\n<li><a href=\"https://lastmenpodcast.libsyn.com/rss\">Last Men on Earth</a> - 2 Dudes Being Crude over Alcohol</li>\r\n<li><a href=\"https://www.linuxvoice.com/podcast_ogg.rss\">Linux Voice</a> - Linux Guys talking Linux</li>\r\n<li><a href=\"https://feeds.feedburner.com/linuxfortherestofus\">Linux for the Rest of US</a> - Door to Door Geek &amp; Cody Cooper</li>\r\n<li><a href=\"https://mintcast.org/category/ogg/feed\">MintCast</a> - About Linux Mint from the Linux Mint Community</li>\r\n<li><a href=\"https://feeds.feedburner.com/motr\">MobileTech Roundup</a> - Kevin Tofel &amp; Mat Miller talking mobile devices</li>\r\n<li><a href=\"https://feeds.feedburner.com/LinuxLudditesOgg\">Linux Luddites</a> - Linux Talk From Cranky Dudes</li>\r\n<li><a href=\"https://feed.nashownotes.com/rss.xml\">No Agenda</a> - John Dvorak &amp; Adam Curry Deconstruct the News</li>\r\n<li><a href=\"https://espn.go.com/espnradio/feeds/rss/podcast.xml?id=2406595\">PTI</a> - Tony Kornheiser and Michael Wilbon Talking Sports</li>\r\n<li><a href=\"https://www.howstuffworks.com/podcasts/stuff-you-missed-in-history-class.rss\">Stuff You Missed in History Class</a> - Short, Concise History Lesson</li>\r\n<li><a href=\"https://talkingtvwithryanandryan.libsyn.com/rss\">Talking TV with Ryan &amp; Ryan</a> - 2 TV Critics</li>\r\n<li><a href=\"https://www.televisionzombies.com/podcast/podcast.xml\">Television Zombies</a> - 4 Friends Talking SF and Fantasy TV</li>\r\n<li><a href=\"https://feeds.feedburner.com/TheLinuxLinkTechShowOgg-vorbisFeed\">TLLTS</a> - The Linux Link Tech Show</li>\r\n<li><a href=\"https://daringfireball.net/thetalkshow/rss\">The Talk Show with John Gruber</a> - Daring Fireball/Apple Topics</li>\r\n<li>The Tony Kornheiser Show - Sports, Life, Politics, Movies, etc.</li>\r\n<li><a href=\"https://www.whedonopolis.com/feed/\">TV Campfire Podcasts</a> - TV Bloggers &amp; TV Industry Pros Talking TV</li>\r\n<li><a href=\"https://feeds.theincomparable.com/tvtm\">TV Talk Machine w/ Tom Goodman &amp; Jason Snell</a> - TV Industry</li>\r\n<li><a href=\"https://tvtimesthree.com/feed/\">TV Times Three</a> - TV Bloggers Talking Up their Favorite Shows</li>\r\n<li><a href=\"https://feeds.ubuntupodcast.org/ogg\">The Ubuntu Podcast</a> - Ubuntu Linux Plus other Distros/Linux Info</li>\r\n<li><a href=\"https://smellsmellsmell.com/feed/podcast/\">I Can\'t Believe this S*hit</a> - 2 Politically Incorrect Dudes Talking Junk</li>\r\n</ol>',348,75,0,'CC-BY-SA','feed,podcast',0,0,1),
(2207,'2017-01-17','NATO phonetic alphabet',478,'Neighbourly greetings. We cover the title, podcast recommendations, and well wishes.','<p>NATO phonetic alphabet in block diagram:</p>\r\n<p>[ English 26 letter alphabet ] --&gt; [ Phonetic Function Box-machine-phone ] --&gt; [ Output ]</p>\r\n<pre><code>A - Alfa\r\nB - Bravo\r\nC - Charlie\r\nD - Delta\r\nE - Echo\r\nF - Foxtrot\r\nG - Golf\r\nH - Hotel\r\nI - India\r\nJ - Juliett\r\nK - Kilo\r\nL - Lima\r\nM - Mike\r\nN - November\r\nO - Oscar\r\nP - Papa\r\nQ - Quebec\r\nR - Romeo\r\nS - Sierra\r\nT - Tango\r\nU - Uniform\r\nV - Victor\r\nW - Whiskey\r\nX - X-Ray\r\nY - Yankee\r\nZ - Zulu\r\n~ - ~\r\n0 - Zero\r\n1 - One\r\n2 - Two\r\n3 - Three\r\n4 - Four\r\n5 - Five\r\n6 - Six\r\n7 - Seven\r\n8 - Eight\r\n9 - Niner</code></pre>\r\n<p>Mike India Charlie Romeo Oscar Bravo Echo FULL-STOP Tango Victor</p>\r\n<p>Charlie Oscar November Golf Romeo Echo Sierra Sierra India Oscar November Alfa Lima Delta India Siera Hotel FULL-STOP Charlie Oscar Mike</p>\r\n<p>X-Ray BREAK Mike India November Uniform Sierra BREAK Oscar November Echo</p>\r\n<p>Hotel Alfa Charlie Kilo Echo Romeo BREAK Papa Uniform Bravo Lima India Charlie BREAK Romeo Alfa Delta India Oscar</p>\r\n<p>Please take care, TTFN, neighbor.</p>\r\n<p>rttykitty</p>\r\n',349,0,0,'CC-BY-SA','NATO,Phonetic,NatoPhonetic',0,0,1),
(2209,'2017-01-19','Calibre eBook Server',750,'A quick rundown of how to share your ebook Library on your network using calibre-server','<p>You can share your <a href=\"https://calibre-ebook.com/\" target=\"_blank\">Calibre</a> ebook library by running the <a href=\"https://manual.calibre-ebook.com/generated/en/calibre-server.html\"><code>calibre-server</code></a> daemon, either from your desktop machine or on a server that is available on your local network. (Or, if you have it set up that way, it can be outward-facing to the wide world.)</p>\r\n\r\n<p>To share your library from the desktop Calibre application, choose <code>Connect/share</code> from the menu at the top of the window, then choose <code>Start Content Server</code>. Make a note of the IP address and port, and then you can use other devices on your network to access the library at that address. Normally I use the \"Get Books\" function of the <a href=\"https://www.appstafarian.com/marvin.html\" target=\"_blank\">Marvin</a> ebook app on my iPad, or else the \"Experimental Browser\" on my Kindle and download the books directly to the devices. On my Android phone, I use the Chrome browser and then long press on the link to an Epub file, choose to save to device, and then open it using <a href=\"https://fbreader.org/\" target=\"_blank\">FBreader</a>.</p>\r\n\r\n<p>To share the library from your GNU/Linux server, you\'ll have to install Calibre on the server and then put a copy of your ebook Library on the server as well. To start and stop the server daemon, you need to put a service startup script in the <code>/etc/init.d</code> directory with all of the other system startup scripts. An example is given below&mdash;fill in with the appropriate paths and user data for your setup. (See the <a href=\"https://manual.calibre-ebook.com/generated/en/calibre-server.html\" target=\"_blank\">calibre-server user manual</a> for a full list of options and their descriptions.) When the script is in place and has executable permissions, you start and stop the service as follows (as root):</p>\r\n\r\n<pre>\r\nservice calibre-server start|stop|restart\r\n</pre>\r\n\r\n<h2>Service Startup Script</h2>\r\n\r\n<pre>\r\n#!/bin/bash\r\n\r\nCALIBRE_LIBRARY_PATH=&quot;/path/to/CalibreLibrary&quot;\r\nPIDFILE=/tmp/calibre-server.pid\r\nUSER=&lt;run_as_user&gt;        # run daemon as this user\r\nLOGIN=&lt;end_user_username&gt; # to log into library (optional)\r\nPW=&lt;password&gt;             # to log into library (optional)\r\nPORT=3456\r\n\r\nstart() {\r\n        echo &quot;Starting Calibre server...&quot;\r\n        su -c &quot;calibre-server --with-library=\\&quot;$CALIBRE_LIBRARY_PATH\\&quot; --username=$LOGIN --password=$PW -p $PORT --pidfile=$PIDFILE --daemonize&quot; &amp; \r\n        if [ $? -ne 0 ]; then\r\n                echo &quot;Could not start calibre-server.&quot;\r\n        fi\r\n}\r\n\r\nstop() {\r\n        echo &quot;Stopping Calibre server...&quot;\r\n        if [ -e $PIDFILE ]; then\r\n                read PID &lt; $PIDFILE\r\n                ps aux | grep &quot;$PID&quot; | grep \'calibre-server\' &gt; /dev/null\r\n                RUNNING=$?\r\n                if [ $RUNNING -eq 0 ]; then\r\n                        kill $PID\r\n                        if [ $? -eq 0 ]; then\r\n                                rm $PIDFILE\r\n                        fi\r\n                else\r\n                        echo &quot;Could not find a calibre-server process with PID $PID.&quot;\r\n                fi\r\n        else\r\n                echo &quot;Could not find pidfile: $PIDFILE&quot;\r\n        fi\r\n}\r\n\r\nrestart() {\r\n        stop\r\n        start\r\n}\r\n\r\nstatus() {\r\n        if [ -e $PIDFILE ]; then\r\n                read PID &lt; $PIDFILE\r\n                echo &quot;calibre-server is running with PID $PID.&quot;\r\n        else\r\n                echo &quot;calibre-server is not running.&quot;\r\n        fi\r\n}\r\n\r\nunknown() {\r\n        echo &quot;Unrecognized command: $1&quot;\r\n        echo &quot;Try one of the following: (start|stop|restart|status)&quot;\r\n}\r\n\r\ncase $1 in\r\n        start ) \r\n                start\r\n                ;;\r\n        stop )\r\n                stop\r\n                ;;\r\n        restart )\r\n                restart\r\n                ;;\r\n        status )\r\n                status\r\n                ;;\r\n        * )\r\n                unknown\r\n                ;;\r\nesac\r\n</pre>\r\n\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li><a href=\"https://calibre-ebook.com/\" target=\"_blank\">Calibre</a> ebook Management Software</li>\r\n	<li><a href=\"https://www.appstafarian.com/marvin.html\" target=\"_blank\">Marvin</a> ebook app for iOS</li>\r\n	<li><a href=\"https://fbreader.org/\" target=\"_blank\">FBreader</a> open-source multi-platform ebook reader.</li>\r\n</ul>',238,0,0,'CC-BY-SA','ebooks, home servers, sharing',0,0,1),
(2210,'2017-01-20','On Freedom of Speech and Censorship',1302,'Reflections on Freedom of Speech ','<p>In this episode, I discuss some of issues that can arise with Freedom of Speech, as well as some of the finer points of what constitutes &quot;censorship&quot;.</p>\r\n',325,0,1,'CC-BY-SA','Freedom of Speech, Censorship',0,0,1),
(2213,'2017-01-25','Clay Body',652,'Basic clay theory','<p>Before we create ceramics, we will begin with some basic theory.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<p><small><em>Added by HPR Admins after the show was released</em></small></p>\r\n<ul>\r\n<li>Wikipedia article on <a\r\nhref=\"https://en.wikipedia.org/wiki/Clay\"><em>Clay</em></a></li>\r\n<li>Wikipedia article on <a\r\nhref=\"https://en.wikipedia.org/wiki/Clay_minerals\"><em>Clay\r\nMinerals</em></a></li>\r\n<li>Wikipedia article on <a\r\nhref=\"https://en.wikipedia.org/wiki/Kaolinite\"><em>Kaolinite</em></a></li>\r\n<li>Wikipedia article on <a\r\nhref=\"https://en.wikipedia.org/wiki/Feldspar\"><em>Feldspar</em></a></li>\r\n</ul>\r\n\r\n',329,0,1,'CC-BY-SA','clay,pottery,porcelain,ceramic',0,0,1),
(2481,'2018-02-05','HPR Community News for January 2018',4509,'HPR Volunteers talk about shows released and comments posted in January 2018','\n\n<h2>New hosts</h2>\n<p>\nWelcome to our new host: <br />\n\n    <a href=\"https://hackerpublicradio.org/correspondents/0360.html\" target=\"_blank\">Joey Hess</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2456\" target=\"_blank\">2456</a></strong></td>\n    <td>Mon</td>\n    <td>2018-01-01</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2456\" target=\"_blank\">HPR Community News for December 2017</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2457\" target=\"_blank\">2457</a></strong></td>\n    <td>Tue</td>\n    <td>2018-01-02</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2457\" target=\"_blank\">Getting ready for my new Macbook Pro</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">knightwise</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2458\" target=\"_blank\">2458</a></strong></td>\n    <td>Wed</td>\n    <td>2018-01-03</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2458\" target=\"_blank\">Chrome Plugins You Must Have</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2459\" target=\"_blank\">2459</a></strong></td>\n    <td>Thu</td>\n    <td>2018-01-04</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2459\" target=\"_blank\">free software\'s long tail</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0360.html\" target=\"_blank\">Joey Hess</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2460\" target=\"_blank\">2460</a></strong></td>\n    <td>Fri</td>\n    <td>2018-01-05</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2460\" target=\"_blank\">The Alien Brothers Podcast - S01E03 - Decline of American Empire</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0359.html\" target=\"_blank\">The Alien Brothers Podcast (ABP)</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2461\" target=\"_blank\">2461</a></strong></td>\n    <td>Mon</td>\n    <td>2018-01-08</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2461\" target=\"_blank\">Gitolite</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2462\" target=\"_blank\">2462</a></strong></td>\n    <td>Tue</td>\n    <td>2018-01-09</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2462\" target=\"_blank\">AudioBookClub-14-Triplanetary-(First-in-the-Lensman-Series)</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0157.html\" target=\"_blank\">HPR_AudioBookClub</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2463\" target=\"_blank\">2463</a></strong></td>\n    <td>Wed</td>\n    <td>2018-01-10</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2463\" target=\"_blank\">Setting up a 32 Bit Ubuntu Server</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2464\" target=\"_blank\">2464</a></strong></td>\n    <td>Thu</td>\n    <td>2018-01-11</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2464\" target=\"_blank\">The Alien Brothers Podcast - S01E04 - Digital Instruments</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0359.html\" target=\"_blank\">The Alien Brothers Podcast (ABP)</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2465\" target=\"_blank\">2465</a></strong></td>\n    <td>Fri</td>\n    <td>2018-01-12</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2465\" target=\"_blank\">TronScript where have you been all my life!</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2466\" target=\"_blank\">2466</a></strong></td>\n    <td>Mon</td>\n    <td>2018-01-15</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2466\" target=\"_blank\">ShareX is awesome</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0079.html\" target=\"_blank\">Xoke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2467\" target=\"_blank\">2467</a></strong></td>\n    <td>Tue</td>\n    <td>2018-01-16</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2467\" target=\"_blank\">I randomly talk about my laptops</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0297.html\" target=\"_blank\">swift110</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2468\" target=\"_blank\">2468</a></strong></td>\n    <td>Wed</td>\n    <td>2018-01-17</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2468\" target=\"_blank\">THE WELL</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2469\" target=\"_blank\">2469</a></strong></td>\n    <td>Thu</td>\n    <td>2018-01-18</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2469\" target=\"_blank\">A flight itinerary in Bash</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2470\" target=\"_blank\">2470</a></strong></td>\n    <td>Fri</td>\n    <td>2018-01-19</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2470\" target=\"_blank\">Obamacare Update At The End Of 2017</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2471\" target=\"_blank\">2471</a></strong></td>\n    <td>Mon</td>\n    <td>2018-01-22</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2471\" target=\"_blank\">Tea Time!</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2472\" target=\"_blank\">2472</a></strong></td>\n    <td>Tue</td>\n    <td>2018-01-23</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2472\" target=\"_blank\">Forum Failure</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2473\" target=\"_blank\">2473</a></strong></td>\n    <td>Wed</td>\n    <td>2018-01-24</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2473\" target=\"_blank\">Frotz - A Portable Z-Machine Interpreter</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0152.html\" target=\"_blank\">Claudio Miranda</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2474\" target=\"_blank\">2474</a></strong></td>\n    <td>Thu</td>\n    <td>2018-01-25</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2474\" target=\"_blank\">Open Source Gaming #3 The Atari Jaguar</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0354.html\" target=\"_blank\">TheDUDE</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2475\" target=\"_blank\">2475</a></strong></td>\n    <td>Fri</td>\n    <td>2018-01-26</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2475\" target=\"_blank\">Information Underground -- Sex, Drugs, and Rock-n-Roll</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2476\" target=\"_blank\">2476</a></strong></td>\n    <td>Mon</td>\n    <td>2018-01-29</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2476\" target=\"_blank\">Gnu Awk - Part 9</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2477\" target=\"_blank\">2477</a></strong></td>\n    <td>Tue</td>\n    <td>2018-01-30</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2477\" target=\"_blank\">Reading Audio Books While Distracted</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2478\" target=\"_blank\">2478</a></strong></td>\n    <td>Wed</td>\n    <td>2018-01-31</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2478\" target=\"_blank\">City Of Masks - HPR_AudioBookClub</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0157.html\" target=\"_blank\">HPR_AudioBookClub</a></td>\n    </tr>\n</table>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 33 comments in total.</p>\n<p>There are 9 comments on\n6 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2399#comments\" target=\"_blank\">hpr2399</a></strong>\n(2017-10-12) \"<em>Using Super Glue to create Landmarks on Keyboards</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2399#7\" target=\"_blank\">Comment 7</a>:\ndodddummy on 2018-01-01:\n\"One more use case and a generalization\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2422#comments\" target=\"_blank\">hpr2422</a></strong>\n(2017-11-14) \"<em>Kickstarter Post Mortem</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2422#2\" target=\"_blank\">Comment 2</a>:\nKlaatu on 2018-01-12:\n\"@busybusy\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2435#comments\" target=\"_blank\">hpr2435</a></strong>\n(2017-12-01) \"<em>Server Basics 102</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2435#2\" target=\"_blank\">Comment 2</a>:\nFrank on 2018-01-02:\n\"SSH\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2435#3\" target=\"_blank\">Comment 3</a>:\nKlaatu on 2018-01-08:\n\"Re: yum whatprovides?\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2449#comments\" target=\"_blank\">hpr2449</a></strong>\n(2017-12-21) \"<em>Org-mode mobile solution</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0326.html\" target=\"_blank\">Brian in Ohio</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2449#1\" target=\"_blank\">Comment 1</a>:\nfolky on 2018-01-10:\n\"Orgzly\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2454#comments\" target=\"_blank\">hpr2454</a></strong>\n(2017-12-28) \"<em>The Alien Brothers Podcast - S01E02 - Strictly Hacking</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0359.html\" target=\"_blank\">The Alien Brothers Podcast (ABP)</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2454#2\" target=\"_blank\">Comment 2</a>:\nCasper on 2018-01-02:\n\"Delivery and Content\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2455#comments\" target=\"_blank\">hpr2455</a></strong>\n(2017-12-29) \"<em>Interface Zero RPG Part 5</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2455#4\" target=\"_blank\">Comment 4</a>:\nClaudioM on 2018-01-03:\n\"Fantastic &quot;Audio Drama&quot; version of i0!\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2455#5\" target=\"_blank\">Comment 5</a>:\nDraco Metallium on 2018-01-22:\n\"Great show!\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2455#6\" target=\"_blank\">Comment 6</a>:\nRon P on 2018-01-23:\n\"Excellent! Encore!\"</li></ul><br/>\n</li></ul>\n<p>There are 24 comments on 11 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2456#comments\" target=\"_blank\">hpr2456</a></strong>\n(2018-01-01) \"<em>HPR Community News for December 2017</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2456#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2018-01-01:\n\"Work load\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2456#2\" target=\"_blank\">Comment 2</a>:\nMike Ray on 2018-01-01:\n\"Soldering Iron\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2456#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2018-01-01:\n\"Soldering Iron\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2456#4\" target=\"_blank\">Comment 4</a>:\nMike Ray on 2018-01-01:\n\"Soldering\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2456#5\" target=\"_blank\">Comment 5</a>:\nFrank on 2018-01-01:\n\"U. S. College Course Numbering\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2456#6\" target=\"_blank\">Comment 6</a>:\nDave Morriss on 2018-01-03:\n\"Learning to solder at school\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2458#comments\" target=\"_blank\">hpr2458</a></strong>\n(2018-01-03) \"<em>Chrome Plugins You Must Have</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2458#1\" target=\"_blank\">Comment 1</a>:\nXoke on 2018-01-04:\n\"You missed uMatrix\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2459#comments\" target=\"_blank\">hpr2459</a></strong>\n(2018-01-04) \"<em>free software\'s long tail</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0360.html\" target=\"_blank\">Joey Hess</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2459#1\" target=\"_blank\">Comment 1</a>:\ndodddummy on 2018-01-04:\n\"My new favorite episode\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2459#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2018-01-04:\n\"Thanks for this Joey\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2460#comments\" target=\"_blank\">hpr2460</a></strong>\n(2018-01-05) \"<em>The Alien Brothers Podcast - S01E03 - Decline of American Empire</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0359.html\" target=\"_blank\">The Alien Brothers Podcast (ABP)</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2460#1\" target=\"_blank\">Comment 1</a>:\nBrian in Ohio on 2018-01-06:\n\"alien brothers podcast\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2460#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2018-01-08:\n\"HPR has no length restriction\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2460#3\" target=\"_blank\">Comment 3</a>:\nRutiger of the Alien Brothers Podcast on 2018-01-08:\n\"Hi Brian from Ohio\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2460#4\" target=\"_blank\">Comment 4</a>:\nKlaatu on 2018-01-11:\n\"Another brilliant episode.\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2461#comments\" target=\"_blank\">hpr2461</a></strong>\n(2018-01-08) \"<em>Gitolite</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2461#1\" target=\"_blank\">Comment 1</a>:\njimzat on 2018-01-11:\n\"gitolite and HPR2446\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2461#2\" target=\"_blank\">Comment 2</a>:\nKlaatu on 2018-01-12:\n\"@jimzat\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2462#comments\" target=\"_blank\">hpr2462</a></strong>\n(2018-01-09) \"<em>AudioBookClub-14-Triplanetary-(First-in-the-Lensman-Series)</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0157.html\" target=\"_blank\">HPR_AudioBookClub</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2462#1\" target=\"_blank\">Comment 1</a>:\nAhuka on 2018-01-13:\n\"At long last!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2466#comments\" target=\"_blank\">hpr2466</a></strong>\n(2018-01-15) \"<em>ShareX is awesome</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0079.html\" target=\"_blank\">Xoke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2466#1\" target=\"_blank\">Comment 1</a>:\nSundar on 2018-01-16:\n\"Useful tool for streamlining screencapture\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2466#2\" target=\"_blank\">Comment 2</a>:\nXoke on 2018-01-22:\n\"&#39;jif&#39;\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2470#comments\" target=\"_blank\">hpr2470</a></strong>\n(2018-01-19) \"<em>Obamacare Update At The End Of 2017</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2470#1\" target=\"_blank\">Comment 1</a>:\nWindigo on 2018-01-24:\n\"Thanks for the update!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2470#2\" target=\"_blank\">Comment 2</a>:\ndodddummy on 2018-01-30:\n\"Time to update for the elimination of the individual mandate?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2470#3\" target=\"_blank\">Comment 3</a>:\nAhuka on 2018-01-31:\n\"I did cover it\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2474#comments\" target=\"_blank\">hpr2474</a></strong>\n(2018-01-25) \"<em>Open Source Gaming #3 The Atari Jaguar</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0354.html\" target=\"_blank\">TheDUDE</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2474#1\" target=\"_blank\">Comment 1</a>:\ndodddummy on 2018-01-23:\n\"They won&#39;t sell.\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2475#comments\" target=\"_blank\">hpr2475</a></strong>\n(2018-01-26) \"<em>Information Underground -- Sex, Drugs, and Rock-n-Roll</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2475#1\" target=\"_blank\">Comment 1</a>:\nFrank on 2018-01-26:\n\"This Show\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2477#comments\" target=\"_blank\">hpr2477</a></strong>\n(2018-01-30) \"<em>Reading Audio Books While Distracted</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2477#1\" target=\"_blank\">Comment 1</a>:\ndodddummy on 2018-01-29:\n\"Correction\"</li></ul><br/>\n</li></ul>\n\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available on the HPR server under\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-January/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-January/thread.html</a>\n\n\n<h2>Any other business</h2>\n<h3 id=\"reserving-shows\">Reserving Shows</h3>\n<p>Due to the recent spate of future show reservations a change of text is required. The proposed change is from:</p>\n<blockquote>\n<p>All reservations need to be approved. In the case where you wish to reserve a particular slot but do not have the media recorded, you will need to get the reservation approved in advance by the HPR Mailing List.</p>\n</blockquote>\n<p>To</p>\n<blockquote>\n<p>All reservations need to be approved. Any host can reserve any slot one year in advance by recording their show and posting it on the desired day as normal. In exceptional circumstances it possible to make a reservation, but only if there was no way to have recorded the show in time, and with approval in advance by the HPR Mailing List.</p>\n</blockquote>\n<p>This is intended only for exceptional circumstances such as a scheduled interview where we would like the audio to be released as soon after as possible, or to cover an important topical situation</p>\n<h3 id=\"upload-errors\">Upload Errors</h3>\n<p>Some uploaders are reporting 403 permission denied. This is because one of the protection scripts is checking for strange activity. We narrowed this down to \' (quote) in file names, or | (pipes) in the show notes.</p>\n<h3 id=\"new-series\">New series</h3>\n<p>Two new series have been added to the HPR system:</p>\n<ul>\n<li><em>Health and Healthcare</em> (13 episodes)</li>\n<li><em>Sound Scapes</em> (6 episodes)</li>\n</ul>\n<h3 id=\"comment-form-justification\">Comment form \'justification\'</h3>\n<p>The \'What does HPR mean to you?\' field on the comment form is required when commenting on older shows. As an anti-spam measure this field needs to completed with text which is between 20 and 200 characters in length.</p>\n<h3 id=\"tags-and-summaries\">Tags and Summaries</h3>\n<p>Thanks to <a href=\"https://hackerpublicradio.org/correspondents/0357.html\"><code>bjb</code></a> and <a href=\"https://hackerpublicradio.org/correspondents/0215.html\"><code>Windigo</code></a> for sending in updates in the past month.</p>\n<p>If you would like to contribute to the tag/summary project visit the summary page at <a href=\"https://hackerpublicradio.org/report_missing_tags.php\" class=\"uri\">https://hackerpublicradio.org/report_missing_tags.php</a> and follow the instructions there.</p>\n<!--\nvim: syntax=markdown:ts=8:sw=4:ai:et:tw=78:fo=tcqn:fdm=marker\n-->\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2208,'2017-01-18','Kayak Camping',1502,'Kayak camping is a really fun (and affordable) way to explore the outdoors and get away.','<p>I talk about my setup for camping out of my kayak and ways to do this for very little money using stuff you already have and getting good cheap gear.</p>\r\n<p>Getting out into nature is my favorite thing and I love going where I will not see others for days at a time.</p>\r\n',1,0,0,'CC-BY-NC-SA','camping, outdoors, kayak, kayaking, boating',0,0,1),
(2214,'2017-01-26','Upgrading Vehicle Lights From Halogen to LED',1080,'A quick show about upgrading some of the lights on our vehicles from halogen to LED','<p>This episode is about the process of upgrading halogen vehicle lights to LED. I did this on my pickup truck for the interior dome light, the brake lights, the third brake light, front and back turn signal lights, the backup lights, and also for the license plate lights. While I\'m talking about this process, I also install new LED brake light bulbs on our Honda CR-V. I almost forgot to talk about the necessity of installing resistors to handle the problem of <a href=\"https://www.superbrightleds.com/blog/led-turn-signals-blinking-too-fast-hyperflashing/275/\" target=\"_blank\">hyperflashing</a> with the blinker lights.</p>\r\n\r\n<p>Click on the image below to view the photo album associated with this podcast.</p>\r\n\r\n<p><a data-flickr-embed=\"true\"  href=\"https://www.flickr.com/photos/137675441@N05/albums/72157677144739031\" title=\"LED Vehicle Light Upgrades\"><img src=\"https://c1.staticflickr.com/1/297/32110857056_07c733336a_z.jpg\" width=\"360\" height=\"640\" alt=\"LED Vehicle Light Upgrades\"/></a></p>\r\n\r\n<h2>Credits</h2>\r\n\r\n<ul>\r\n	<li>Music bumpers are from Kimiko Ishizaka\'s <em>The Open Goldberg Variations</em>: <a href=\"https://www.opengoldbergvariations.org/\">https://www.opengoldbergvariations.org/</a>, used by permission of their <a href=\"https://creativecommons.org/publicdomain/zero/1.0/\">CC0 1.0 Universal (CC0 1.0) Public Domain Dedication license</a>.</li>\r\n</ul>\r\n',238,0,0,'CC-BY-SA','DIY, Automotive, Auto Repair, Car Repair, LED, Lighting',0,0,1),
(2220,'2017-02-03','Taking apart a tablet',1716,'In which I fail to discover or correct the problem with my son\'s tablet','<p>My son\'s tablet stopped working a few days ago, so I took it apart to see if I could find the problem. I discuss my kit and give a sound seeing tour of the disassembly.</p>',257,0,0,'CC-BY-SA','repair,electronics,spudger,tablet',0,0,1),
(2212,'2017-01-24','meanderings Cyberpunk and the Minidisc',298,'The Cyberpunk history of the Sony Minidisc','<ul>\r\n<li><a href=\"https://minidisc.org/index.php\" class=\"uri\">https://minidisc.org/index.php</a></li>\r\n<li><a href=\"https://wiki.physik.fu-berlin.de/linux-minidisc/doku.php?id=qhimdtransfer\" class=\"uri\">https://wiki.physik.fu-berlin.de/linux-minidisc/doku.php?id=qhimdtransfer</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/MiniDisc\" class=\"uri\">https://en.wikipedia.org/wiki/MiniDisc</a></li>\r\n<li><a href=\"https://www.youtube.com/watch?v=uO4Hw-QREmY\" class=\"uri\">https://www.youtube.com/watch?v=uO4Hw-QREmY</a></li>\r\n</ul>',110,0,0,'CC-BY-SA','cyberpunk, minidisc, movies',0,0,1),
(2211,'2017-01-23','My podcast workflow',1558,'How I download, manage, listen to and delete podcasts','<h1 id=\"my-podcast-workflow\">My podcast workflow</h1>\r\n<p>I have been listening to podcasts for many years. I started in 2005, when I bought my first MP3 player.</p>\r\n<p>Various <a href=\"https://en.wikipedia.org/wiki/List_of_podcatchers\" title=\"List of podcatchers\">podcast downloaders</a> (or <em>podcatchers</em>) have existed over this time, some of which I have tried. Now I use a script based on <a href=\"https://lincgeek.org/bashpodder/\" title=\"Bashpodder\">Bashpodder</a>, which I have built to meet my needs. I also use a database to hold details of the feeds I subscribe to, what episodes have been downloaded, what is on a player to be listened to and what can be deleted. I have written many scripts (in Bash, Perl and Python) to manage all of this, and I will be describing the overall workflow in this episode without going into too much detail.</p>\r\n<p>I was prompted to put together this show by <a href=\"https://hackerpublicradio.org/correspondents/0309.html\" title=\"folky\">folky’s</a> HPR episode <a href=\"https://hackerpublicradio.org/eps.php?id=1992\" title=\"How I&#39;m handling my podcast-subscriptions and -listening\">1992 “<em>How I’m handling my podcast-subscriptions and -listening</em>”</a>. Thanks to him for a very interesting episode.</p>\r\n<p>Refer to the full notes for the details: <a href=\"https://hackerpublicradio.org/eps/hpr2211/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2211/full_shownotes.html</a></p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/List_of_podcatchers\">Wikipedia article entitled “<em>List of podcatchers</em>”</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1992\">HPR episode 1992 from <em>folky</em></a> entitled “<em>How I’m handling my podcast-subscriptions and -listening</em>”</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1935\">HPR episode 1935 from <em>Charles in NJ</em></a> entitled “<em>Quick Bashpodder Fix</em>”</li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Podcast\">Wikipedia article on the <em>Podcast</em></a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/RSS\">Wikipedia article on <em>RSS</em></a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Atom_(standard)\">Wikipedia article on the <em>Atom</em> standard</a></li>\r\n<li><a href=\"https://lincgeek.org/bashpodder/\">Bashpodder</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1656\">HPR episode 1656</a> entitled “My audio player collection”</li>\r\n<li>The <a href=\"https://github.com/davmo/fix_tags\">fix_tags</a> script on GitHub</li>\r\n<li>Information about <a href=\"https://xmlsoft.org/XSLT/xsltproc.html\">xsltproc</a></li>\r\n<li>Resources:\r\n<ul>\r\n<li>My version of <a href=\"https://hackerpublicradio.org/eps/hpr2211/parse_enclosure.xsl\">parse_enclosure.xsl</a></li>\r\n<li>My ID parser <a href=\"https://hackerpublicradio.org/eps/hpr2211/parse_id.xsl\">parse_id.xsl</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2211/components.html\">List of all components</a> of the system described in this episode</li>\r\n</ul></li>\r\n</ul>\r\n',225,0,1,'CC-BY-SA','podcast,RSS,Atom,Rockbox,playlist,Bashpodder,PostgreSQL,XSLT',0,0,1),
(2216,'2017-01-30','Working AO-85 with my son',993,'My son and I try to make a contact on an amateur radio satellite','<h2 id=\"working-ao-85-with-my-son\">Working AO-85 with my son!</h2>\r\n<p>Given all the talk about Amateur Radio on the mailing list, I decided to record a live operation show. In this episode my son and I try to make a contact on AO-85. He eventually loses interest and it\'s just me yelling into a microphone.</p>\r\n<p>We don\'t manage to make a successful contact but we do pick up the bird. One person toward the end tried to pull us out of the noise but there were simply too many people utilizing the satellite for us to make contact. Part of that may have been my Doppler shift settings.</p>\r\n<p>Here is the pass data from gPredict (in CST) for this particular attempt:</p>\r\n<pre><code>Pass details for AO-85 (orbit 5478)\r\nObserver: KD5RYO, Siloam Springs, Arkansas\r\nLAT:36.20 LON:-94.48\r\nAOS: 2017/01/16 15:03:52 Local\r\nLOS: 2017/01/16 15:17:45 Local\r\n-----------------------------------------------------------\r\n Time                  Az      El  Range Footp  Dop   Loss \r\n-----------------------------------------------------------\r\n 2017/01/16 15:03:52 212.06  -0.00  3075  5738  2194 142.16\r\n 2017/01/16 15:04:33 212.46   2.48  2801  5720  2195 141.35\r\n 2017/01/16 15:05:15 212.94   5.23  2527  5701  2191 140.45\r\n 2017/01/16 15:05:57 213.52   8.35  2254  5682  2179 139.46\r\n 2017/01/16 15:06:38 214.26  11.99  1983  5663  2157 138.35\r\n 2017/01/16 15:07:20 215.23  16.38  1716  5644  2117 137.09\r\n 2017/01/16 15:08:02 216.60  21.92  1455  5624  2048 135.66\r\n 2017/01/16 15:08:43 218.69  29.25  1207  5604  1924 134.03\r\n 2017/01/16 15:09:25 222.35  39.50   979  5584  1692 132.22\r\n 2017/01/16 15:10:07 230.57  54.21   793  5564  1245 130.39\r\n 2017/01/16 15:10:48 261.54  72.25   683  5544   461 129.09\r\n 2017/01/16 15:11:30 347.38  69.68   687  5524  -524 129.14\r\n 2017/01/16 15:12:12  11.72  51.01   804  5503 -1288 130.50\r\n 2017/01/16 15:12:53  18.88  36.54   995  5483 -1720 132.35\r\n 2017/01/16 15:13:35  22.23  26.49  1225  5463 -1946 134.16\r\n 2017/01/16 15:14:17  24.21  19.28  1476  5442 -2069 135.78\r\n 2017/01/16 15:14:58  25.54  13.82  1739  5422 -2139 137.21\r\n 2017/01/16 15:15:40  26.52   9.47  2009  5402 -2180 138.46\r\n 2017/01/16 15:16:22  27.28   5.85  2283  5381 -2204 139.57\r\n 2017/01/16 15:17:03  27.91   2.74  2559  5361 -2218 140.56</code></pre>\r\n<p>Finally, here\'s AO-85\'s page on AMSAT: <a href=\"https://www.amsat.org/?page_id=4690\" class=\"uri\">https://www.amsat.org/?page_id=4690</a></p>\r\n<p>73 DE KD5RYO</p>',241,0,0,'CC-BY-SA','hamradio, ham, radio, amateur, satellites, projects',0,0,1),
(2215,'2017-01-27','Kickstarter Omega2 Plus first time setup walkthrough',534,'I talk about my experience setting up the Omega2 plus for the first time','<p>I paid for one Omega2 Plus Kickstarter pledge. Later, as most do, the project offers upgrades. My pack was for one Omega2 plus, an OLED module, and the expansion board. After pledging I then added on another Omega2, a GPS module and a mini expansion board. Review wise, this is a good inexpensive IOT kit for any beginner. Someone that is more advanced can get into Arduino, or ESP8266 with microPython.</p>\r\n<ul>\r\n<li>MC Hawking: <a href=\"https://www.mchawking.com\" class=\"uri\">https://www.mchawking.com</a> Check the nerdcore podcast there.</li>\r\n<li>Reference to <a href=\"https://systemau.net.au/\" class=\"uri\">https://systemau.net.au/</a> They often kickstart an indegogo as a segment.</li>\r\n<li>$5 WiFi Linux module Omega2 Plus kickstarter page. <a href=\"https://www.kickstarter.com/projects/onion/omega2-5-iot-computer-with-wi-fi-powered-by-linux\" class=\"uri\">https://www.kickstarter.com/projects/onion/omega2-5-iot-computer-with-wi-fi-powered-by-linux</a></li>\r\n<li>Onion.io getting started: <a href=\"https://wiki.onion.io/get-started\" class=\"uri\">https://wiki.onion.io/get-started</a></li>\r\n<li>FiftyOneFifty\'s Port forwarding show: <a href=\"https://hackerpublicradio.org/eps.php?id=1924\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1924</a></li>\r\n<li>TJoe single board computer show: <a href=\"https://code4sale.com/sbc/\" class=\"uri\">https://code4sale.com/sbc/</a> Joe follows and re-posts lots of really good tiny or single board computer links on Google plus.</li>\r\n</ul>\r\n<p>I mention Arduino and ESP8266 with microPython.</p>\r\n<ul>\r\n<li>MicroPython: <a href=\"https://docs.micropython.org/en/latest/pyboard/pyboard/quickref.html\" class=\"uri\">https://docs.micropython.org/en/latest/pyboard/pyboard/quickref.html</a></li>\r\n</ul>\r\n<p>Really good tutorials on how to get going with microPython:</p>\r\n<ul>\r\n<li><a href=\"https://learn.adafruit.com/micropython-displays-drawing-text\" class=\"uri\">https://learn.adafruit.com/micropython-displays-drawing-text</a></li>\r\n<li>Follow the Tony Dicola tutorials at Adafruit. He\'s got a lot of really good video tutorials on exactly what you need and how to do just about everything you would want to do with microcontrollers. <a href=\"https://learn.adafruit.com/users/tdicola\" class=\"uri\">https://learn.adafruit.com/users/tdicola</a></li>\r\n<li><a href=\"https://docs.micropython.org/en/latest/esp8266/esp8266/tutorial/intro.html\" class=\"uri\">https://docs.micropython.org/en/latest/esp8266/esp8266/tutorial/intro.html</a></li>\r\n</ul>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.mchawking.com\" class=\"uri\">https://www.mchawking.com</a></li>\r\n<li><a href=\"https://systemau.net.au/\" class=\"uri\">https://systemau.net.au/</a></li>\r\n<li><a href=\"https://www.kickstarter.com/projects/onion/omega2-5-iot-computer-with-wi-fi-powered-by-linux\" class=\"uri\">https://www.kickstarter.com/projects/onion/omega2-5-iot-computer-with-wi-fi-powered-by-linux</a></li>\r\n<li><a href=\"https://wiki.onion.io/get-started\" class=\"uri\">https://wiki.onion.io/get-started</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1924\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=1924</a></li>\r\n<li><a href=\"https://code4sale.com/sbc/\" class=\"uri\">https://code4sale.com/sbc/</a></li>\r\n<li><a href=\"https://docs.micropython.org/en/latest/pyboard/pyboard/quickref.html\" class=\"uri\">https://docs.micropython.org/en/latest/pyboard/pyboard/quickref.html</a></li>\r\n<li><a href=\"https://learn.adafruit.com/micropython-displays-drawing-text\" class=\"uri\">https://learn.adafruit.com/micropython-displays-drawing-text</a></li>\r\n<li><a href=\"https://learn.adafruit.com/users/tdicola\" class=\"uri\">https://learn.adafruit.com/users/tdicola</a></li>\r\n<li><a href=\"https://docs.micropython.org/en/latest/esp8266/esp8266/tutorial/intro.html\" class=\"uri\">https://docs.micropython.org/en/latest/esp8266/esp8266/tutorial/intro.html</a></li>\r\n</ul>',96,91,0,'CC-BY-SA','onion.io, omega2, python, linux, sbc, single board computer, espeak, ogg vorbis, mc hawking',0,0,1),
(2217,'2017-01-31','building a new voice input device',351,'a bunch of jibber jabber about putting a little computer into a phone','<p>CHIP computer: <a href=\"https://getchip.com/pages/chip\" class=\"uri\">https://getchip.com/pages/chip</a></p>\r\n<p>Post about the build: <a href=\"https://jezra.net/post/2017-01-10_phonos.html\" class=\"uri\">https://jezra.net/post/2017-01-10_phonos.html</a></p>\r\n<p>Now I can get crackin on &quot;How I make beef jerky&quot; :)</p>\r\n',243,0,0,'CC-BY-SA','voice input,C.H.I.P.,telephone,rotary dial,handset,Blather',0,0,1),
(2218,'2017-02-01','Cool Stuff pt. 5',875,'CPrompt talks about some more cool stuff for you to enjoy!','<ol type=\"1\">\r\n<li>Android App: Opera Mini\r\n<ul>\r\n<li>Need a browser for your phone that does a good job blocking ads? Check this one out!\r\n<ul>\r\n<li><a href=\"https://www.opera.com/mobile/mini\" class=\"uri\">https://www.opera.com/mobile/mini</a></li>\r\n<li><a href=\"https://www.opera.com/mobile/mini/android\" class=\"uri\">https://www.opera.com/mobile/mini/android</a></li>\r\n</ul></li>\r\n</ul></li>\r\n<li>Website: CharacterMap\r\n<ul>\r\n<li>A website that allows you to load fonts to get information about glyphs including the unicode.\r\n<ul>\r\n<li><a href=\"https://bluejamesbond.github.io/CharacterMap/\" class=\"uri\">https://bluejamesbond.github.io/CharacterMap/</a></li>\r\n</ul></li>\r\n</ul></li>\r\n<li>Music: Gilad Hekselman\r\n<ul>\r\n<li>Probably one of the best jazz guitarists out today.\r\n<ul>\r\n<li><a href=\"https://www.giladhekselman.com/\" class=\"uri\">https://www.giladhekselman.com/</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Gilad_Hekselman\" class=\"uri\">https://en.wikipedia.org/wiki/Gilad_Hekselman</a></li>\r\n<li><a href=\"https://www.youtube.com/results?search_query=gilad+hekselman\" class=\"uri\">https://www.youtube.com/results?search_query=gilad+hekselman</a></li>\r\n</ul></li>\r\n</ul></li>\r\n</ol>\r\n',252,0,0,'CC-BY-SA','android,Opera Mini,CharacterMap,font,music,jazz',0,0,1),
(2219,'2017-02-02','The Musings of a Novice Cable TV Cord Cutter',3503,'My adventures with dealing with my local cable TV provider and my hardware selections.','<p>I\'ve included various websites of the items I discussed in the podcast.</p>\r\n<p>One thing I didn\'t mention in my podcast is that to use Roku streaming applications you go to the Roku store via your Roku device or via a computer browser and set up a Roku account. Once you have an account you have downloading access to the apps. Most of these apps are free but most premium service require a monthly fee which can be paid through Roku or the streaming service.</p>\r\n<p>Roku Channel Store: <a href=\"https://channelstore.roku.com/browse\" class=\"uri\">https://channelstore.roku.com/browse</a></p>\r\n<p>For apps not in the official Roku Channel Store there is an unofficial Roku Private Channels store. These are applications for Roku devices similar to the Kodi/XBMC plug-ins:</p>\r\n<p><a href=\"https://mkvxstream.blogspot.com/2016/08/roku-private-channels-roku-channels.html\" class=\"uri\">https://mkvxstream.blogspot.com/2016/08/roku-private-channels-roku-channels.html</a></p>\r\n<hr />\r\n<p>I AM NOT CONDONING PIRACY OR BREAKING OF DMCA LAWS!!!</p>\r\n<p>DMCA Wikipedia: <a href=\"https://en.wikipedia.org/wiki/Digital_Millennium_Copyright_Act\" class=\"uri\">https://en.wikipedia.org/wiki/Digital_Millennium_Copyright_Act</a></p>\r\n<hr />\r\n<p>I found a couple of apps in the Roku Private Channels store that can provide me access to ESPN if I wish to use them.</p>\r\n<p>I don\'t condone piracy so use at your own risk:</p>\r\n<p><a href=\"https://mkvxstream.blogspot.com/2016/08/roku-private-channels-roku-channels.html\" class=\"uri\">https://mkvxstream.blogspot.com/2016/08/roku-private-channels-roku-channels.html</a></p>\r\n<hr />\r\n<p>General Roku information:</p>\r\n<ol type=\"1\">\r\n<li>Roku Wikipedia Info: <a href=\"https://en.wikipedia.org/wiki/Roku\" class=\"uri\">https://en.wikipedia.org/wiki/Roku</a></li>\r\n<li>TCL Roku TVs: <a href=\"https://www.tclusa.com/roku/\" class=\"uri\">https://www.tclusa.com/roku/</a></li>\r\n<li>Roku TVs Sold by Amazon: <a href=\"https://www.amazon.com/gp/search/ref=a9_asi_1?rh=i%3Aelectronics%2Cn%3A172282%2Ck%3Aroku+tv&amp;keywords=roku+tv&amp;ie=UTF8&amp;qid=1485043393\">https://www.amazon.com/gp/search/ref=a9_asi_1?rh=i%3Aelectronics%2Cn%3A172282%2Ck%3Aroku+tv&amp;keywords=roku+tv&amp;ie=UTF8&amp;qid=1485043393</a></li>\r\n<li>Roku Boxes: <a href=\"https://www.roku.com/roku-tv\" class=\"uri\">https://www.roku.com/roku-tv</a></li>\r\n<li>Amplified TV Antennas Review: <a href=\"https://www.tomsguide.com/us/best-tv-antennas,review-2354.html\" class=\"uri\">https://www.tomsguide.com/us/best-tv-antennas,review-2354.html</a></li>\r\n<li>Indoor Amplified TV Antennas Sold by Amazon: <a href=\"https://www.amazon.com/s/ref=nb_sb_ss_i_4_5/159-5067263-7652968?url=search-alias%3Delectronics&amp;field-keywords=amplified+indoor+hdtv+antenna&amp;sprefix=ampli%2Cundefined%2C148&amp;crid=14O1SJA572XSH\">https://www.amazon.com/s/ref=nb_sb_ss_i_4_5/159-5067263-7652968?url=search-alias%3Delectronics&amp;field-keywords=amplified+indoor+hdtv+antenna&amp;sprefix=ampli%2Cundefined%2C148&amp;crid=14O1SJA572XSH</a></li>\r\n<li>Cox Communications: <a href=\"https://www.cox.com/residential/home.html\" class=\"uri\">https://www.cox.com/residential/home.html</a></li>\r\n</ol>\r\n',348,0,0,'CC-BY-SA','cable TV,cable,TV,Roku',0,0,1),
(2228,'2017-02-15','linux.conf.au 2017: Russell Keith-Magee',1055,'A wide ranging interview with Russell Keith-Magee','<p>I interview Russell Keith-Magee at linux.conf.au 2017 in Hobart, Tasmania, Australia.</p>\r\n<p>linux.conf.au</p>\r\n<ul>\r\n<li>BeeWare <a href=\"https://pybee.org/\" class=\"uri\">https://pybee.org/</a></li>\r\n<li>Stranger in a strange land: Breaking language monocultures with open source <a href=\"https://linux.conf.au/schedule/presentation/32/\" class=\"uri\">https://linux.conf.au/schedule/presentation/32/</a></li>\r\n<li>Open Hardware miniconf <a href=\"https://www.openhardwareconf.org/wiki/Main_Page\" class=\"uri\">https://www.openhardwareconf.org/wiki/Main_Page</a></li>\r\n<li>Wootconf <a href=\"https://linux.conf.au/schedule/presentation/7/\" class=\"uri\">https://linux.conf.au/schedule/presentation/7/</a></li>\r\n<li>Knit One, Compute One <a href=\"https://linux.conf.au/schedule/presentation/120/\" class=\"uri\">https://linux.conf.au/schedule/presentation/120/</a></li>\r\n<li>Condensed History of Lock Picking <a href=\"https://linux.conf.au/schedule/presentation/122/\" class=\"uri\">https://linux.conf.au/schedule/presentation/122/</a></li>\r\n<li>JavaScript is Awe-ful <a href=\"https://linux.conf.au/schedule/presentation/73/\" class=\"uri\">https://linux.conf.au/schedule/presentation/73/</a></li>\r\n<li>Keynote: Consider the Maintainer <a href=\"https://linux.conf.au/schedule/presentation/106/\" class=\"uri\">https://linux.conf.au/schedule/presentation/106/</a></li>\r\n<li>Roads and Bridges report <a href=\"https://www.fordfoundation.org/library/reports-and-studies/roads-and-bridges-the-unseen-labor-behind-our-digital-infrastructure\" class=\"uri\">https://www.fordfoundation.org/library/reports-and-studies/roads-and-bridges-the-unseen-labor-behind-our-digital-infrastructure</a></li>\r\n</ul>\r\n',315,78,1,'CC-BY-SA','lca2017',0,0,1),
(2229,'2017-02-16','linux.conf.au 2017: Kathy Reid',1600,'An interview with the new Linux Australia president Kathy Reid','<p>Clinton interviews Kathy Reid, the new president of Linux Australia.</p>\r\n<p>linux.conf.au</p>\r\n<ul>\r\n<li>Linux Australia <a href=\"https://linux.org.au/\" class=\"uri\">https://linux.org.au/</a></li>\r\n<li>Linux Australia grants <a href=\"https://linux.org.au/grants\" class=\"uri\">https://linux.org.au/grants</a></li>\r\n<li>Outreachy inclusion program <a href=\"https://www.gnome.org/outreachy/\" class=\"uri\">https://www.gnome.org/outreachy/</a></li>\r\n<li>Python Software Foundation <a href=\"https://www.python.org/psf/\" class=\"uri\">https://www.python.org/psf/</a></li>\r\n</ul>',315,78,0,'CC-BY-SA','lca2017',0,0,1),
(2230,'2017-02-17','linux.conf.au 2017: Donna Benjamin',1965,'Clinton interviews speaker and previous linux.conf.au organiser Donna Benjamin','<ul>\r\n<li>Community Leadership Summit X at LCA <a href=\"https://lca2017.linux.org.au/presentation/10/\" class=\"uri\">https://lca2017.linux.org.au/presentation/10/</a>\r\n<ul>\r\n<li>Handle Conflict, Like a Boss! <a href=\"https://lca2017.linux.org.au/schedule/presentation/37/\" class=\"uri\">https://lca2017.linux.org.au/schedule/presentation/37/</a></li>\r\n<li>Kathy Sierra: Badass: Making Users Awesome<br />\r\nI am your user. Why do you hate me? <a href=\"https://lca2017.linux.org.au/schedule/presentation/74/\" class=\"uri\">https://lca2017.linux.org.au/schedule/presentation/74/</a></li>\r\n<li>Material Design <a href=\"https://material.io/\" class=\"uri\">https://material.io/</a></li>\r\n<li>Moodle learning platform <a href=\"https://moodle.org\" class=\"uri\">https://moodle.org</a></li>\r\n<li>Yahoo UI <a href=\"https://yuilibrary.com/\" class=\"uri\">https://yuilibrary.com/</a></li>\r\n<li>Drupal Content Management System <a href=\"https://www.drupal.org/\" class=\"uri\">https://www.drupal.org/</a></li>\r\n<li>Bootstrap HTML/CSS/JS framework <a href=\"https://getbootstrap.com/\" class=\"uri\">https://getbootstrap.com/</a></li>\r\n</ul></li>\r\n</ul>\r\n',315,78,0,'CC-BY-SA','lca2017',0,0,1),
(2231,'2017-02-20','linux.conf.au 2017: Rusty Russell',2231,'Clinton interviews linux.conf.au creator Rusty Russell','<p>CCAN <a href=\"https://ccodearchive.net/\" class=\"uri\">https://ccodearchive.net/</a></p>\r\n<p>linux.conf.au</p>',315,78,0,'CC-BY-SA','lca2017',0,0,1),
(2232,'2017-02-21','linux.conf.au 2017: Lilly Ryan',953,'An interview with speaker and trainer Lilly Ryan','<p>Coder Dojo</p>\r\n<ul>\r\n<li><a href=\"https://coderdojo.com/\" class=\"uri\">https://coderdojo.com/</a></li>\r\n<li><a href=\"https://coderdojobrisbane.com.au/\" class=\"uri\">https://coderdojobrisbane.com.au/</a></li>\r\n<li>Non-native English speakers in Open Source communities: A True Story<br />\r\n<a href=\"https://linux.conf.au/schedule/presentation/70/\" class=\"uri\">https://linux.conf.au/schedule/presentation/70/</a></li>\r\n<li>Rage Against the Ghost in the Machine<br />\r\n<a href=\"https://linux.conf.au/schedule/presentation/151/\" class=\"uri\">https://linux.conf.au/schedule/presentation/151/</a></li>\r\n<li>Scientific Hooliganism<br />\r\n<a href=\"https://www.youtube.com/watch?v=qVYmMtLjcAY\" class=\"uri\">https://www.youtube.com/watch?v=qVYmMtLjcAY</a></li>\r\n<li>Lightning talks (five minute long talks)<br />\r\n<a href=\"https://linux.conf.au/wiki/conference/lightning_talks/\" class=\"uri\">https://linux.conf.au/wiki/conference/lightning_talks/</a></li>\r\n</ul>',315,78,0,'CC-BY-SA','lca2017',0,0,1),
(2233,'2017-02-22','linux.conf.au 2017: Hugh Blemmings',2233,'Clinton interviews Hugh Blemmings of the Linux Australia council','<p>Clinton speaks with Hugh Blemmings, immediate past President of Linux Australia</p>\r\n<p>Linux Australia<br />\r\nlinux.org.au</p>\r\n<ul>\r\n<li>Linux-Kernel Memory Ordering: Help Arrives At Last!<br />\r\n<a href=\"https://linux.conf.au/schedule/presentation/19/\" class=\"uri\">https://linux.conf.au/schedule/presentation/19/</a></li>\r\n<li>Data Structures and Algorithms in the 21st Century<br />\r\n<a href=\"https://linux.conf.au/schedule/presentation/69/\" class=\"uri\">https://linux.conf.au/schedule/presentation/69/</a></li>\r\n<li>Friday Keynote: Keeping Linux Great<br />\r\n<a href=\"https://linux.conf.au/schedule/presentation/107/\" class=\"uri\">https://linux.conf.au/schedule/presentation/107/</a></li>\r\n</ul>',315,78,0,'CC-BY-SA','lca2017',0,0,1),
(2234,'2017-02-23','linux.conf.au 2017: Richard Jones',2234,'Two PyCon Australia organisers talk about PyConAu 2017','<p>Clinton chats with Richard Jones, head of PyCon Australia 2016/17</p>\r\n<p>We talk about PyCon Australia, and microPython.</p>\r\n<ul>\r\n<li>PyCon Australia<br />\r\n<a href=\"https://2017.pycon-au.org/\" class=\"uri\">https://2017.pycon-au.org/</a></li>\r\n<li>microPython for ESP32<br />\r\n<a href=\"https://linux.conf.au/schedule/presentation/202/\" class=\"uri\">https://linux.conf.au/schedule/presentation/202/</a></li>\r\n</ul>',315,78,0,'CC-BY-SA','lca2017',0,0,1),
(2235,'2017-02-24','linux.conf.au 2017: First timers interviews',2235,'Clinton speaks to three linux.conf.au first timers','<p>Clinton speaks to three linux.conf.au first timers for their take on the conference: York, Cat and Neeraj.</p>\r\n<ul>\r\n<li>York\r\n<ul>\r\n<li>The Internet of Houses: Whare Hauora<br />\r\n<a href=\"https://linux.conf.au/schedule/presentation/100/\" class=\"uri\">https://linux.conf.au/schedule/presentation/100/</a></li>\r\n</ul></li>\r\n<li>Cat\r\n<ul>\r\n<li>Reusable R for automation, small area estimation and legacy systems<br />\r\n<a href=\"https://linux.conf.au/schedule/presentation/44/\" class=\"uri\">https://linux.conf.au/schedule/presentation/44/</a></li>\r\n</ul></li>\r\n<li>Neeraj\r\n<ul>\r\n<li>Open Knowledge Australia miniconf<br />\r\n<a href=\"https://linux.conf.au/schedule/presentation/4/\" class=\"uri\">https://linux.conf.au/schedule/presentation/4/</a></li>\r\n<li>GovHack<br />\r\n<a href=\"https://www.govhack.org/\" class=\"uri\">https://www.govhack.org/</a></li>\r\n<li>The Trouble with FreeBSD<br />\r\n<a href=\"https://linux.conf.au/schedule/presentation/104/\" class=\"uri\">https://linux.conf.au/schedule/presentation/104/</a></li>\r\n</ul></li>\r\n</ul>',315,78,0,'CC-BY-SA','lca2017',0,0,1),
(2236,'2017-02-27','Hoarding Raspberry Pis',1515,'In this episode, I discuss my growing obsession with building a Raspberry Pi data center.','<h1 id=\"show-notes\">Show Notes</h1>\r\n<p>In this episode, I discuss my growing obsession with building a Raspberry Pi data center.</p>\r\n<a href=\"https://hackerpublicradio.org/eps/hpr2236_pi_stack.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2236_pi_stack_small.jpg\" alt=\"Tower of Pi\" height=\"640\" width=\"640\" /></a>\r\n<p>Items referenced in this episode:</p>\r\n<ul>\r\n<li><a href=\"https://www.raspberrypi.org\">Raspberry Pi</a></li>\r\n<li><a href=\"https://ubuntu-pi-flavour-maker.org/download/\">Ubuntu Server for Raspberry Pi</a></li>\r\n<li><a href=\"https://ubuntuserverguide.com/2014/01/how-to-test-internet-connection-speed-using-speedtest-cli-on-ubuntu-server.html\">Speedtest-cli usage</a></li>\r\n<li><a href=\"https://www.raspberry-projects.com/pi/software_utilities/email/ssmtp-to-send-emails\">Send Emails from Raspberry Pi</a></li>\r\n<li><a href=\"https://www.instructables.com/id/GitPi-A-Private-Git-Server-on-Raspberry-Pi/\">Raspberry Pi Git Server</a></li>\r\n<li><a href=\"https://bitbucket.org/ryoung29/bottle-workout\">My Workout App</a></li>\r\n<li><a href=\"https://tt-rss.org/gitlab/fox/tt-rss/wikis/home\">Tiny Tiny RSS</a></li>\r\n<li><a href=\"https://bitbucket.org/ryoung29/crm-app\">My CRM App</a></li>\r\n<li><a href=\"https://a.co/bjHs474\">4-layer Raspberry Pi Rack</a></li>\r\n<li><a href=\"https://a.co/9XhUgIP\">7-layer Raspberry Pi Rack</a></li>\r\n</ul>\r\n<p>Hope this was enjoyable, if not, informative!</p>\r\n',300,0,0,'CC-BY-SA','Raspberry Pi, server, raspbian',0,0,1),
(2237,'2017-02-28','Do you care?',464,'Some thoughts on the phrase I couldn\'t care less.','<p>CPrompt talks about one of his pet-peeves. The phrase &quot;I could care less&quot;</p>\r\n',252,0,0,'CC-BY-SA','English,idiom',0,0,1),
(2238,'2017-03-01','Gnu Awk - Part 6',2379,'Looking more deeply into Awk\'s regular expressions','<h1 id=\"gnu-awk---part-6\">Gnu Awk - Part 6</h1>\r\n<h2 id=\"introduction\">Introduction</h2>\r\n<p>This is the sixth episode of the “<a href=\"https://hackerpublicradio.org/series/0094.html\" title=\"Learning Awk\">Learning Awk</a>” series that <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" title=\"b-yeezi\">b-yeezi</a> and I are doing.</p>\r\n<h2 id=\"recap-of-the-last-episode\">Recap of the last episode</h2>\r\n<h3 id=\"regular-expressions\">Regular expressions</h3>\r\n<p>In the last episode we saw regular expressions in the ‘<em>pattern</em>’ part of a ‘<em>pattern {action}</em>’ sequence. Such a sequence is called a ‘<em>RULE</em>’, (as we have seen in earlier episodes).</p>\r\n<pre><code>$1 ~ /p[elu]/ {print $0}</code></pre>\r\n<p><strong>Meaning</strong>: <em>If field 1 contains a ‘p’ followed by one of ‘e’, ‘l’ or ‘u’ print the whole line</em>.</p>\r\n<pre><code>$2 ~ /e{2}/ {print $0}</code></pre>\r\n<p><strong>Meaning</strong>: <em>If field 2 contains two instances of letter ‘e’ in sequence, print the whole line.</em></p>\r\n<p>It is usual to enclose the regular expression in slashes, which make it a <em>regexp constant</em>.</p>\r\n<p>We had a look at many of the <em>operators</em> used in regular expressions in episode 5. Unfortunately, some small errors crept into the list of operators mentioned in that episode. These are incorrect:</p>\r\n<ul>\r\n<li><del>\\A</del> (beginning of a string)</li>\r\n<li><del>\\z</del> (end of a string)</li>\r\n<li><del>\\b</del> (on a word boundary)</li>\r\n</ul>\r\n<p>The first two operators exist, in languages like Perl and Ruby, but not in GNU Awk.</p>\r\n<p>For the ‘\\b’ sequence the GNU manual says:</p>\r\n<blockquote>\r\n<p><em>In other GNU software, the word-boundary operator is ‘\\b’. However, that conflicts with the awk language’s definition of ‘\\b’ as backspace, so gawk uses a different letter. An alternative method would have been to require two backslashes in the GNU operators, but this was deemed too confusing. The current method of using ‘\\y’ for the GNU ‘\\b’ appears to be the lesser of two evils.</em></p>\r\n</blockquote>\r\n<p>The corrected list of operators is discussed later in this episode.</p>\r\n<h3 id=\"replacement\">Replacement</h3>\r\n<p>Last episode we saw the built-in functions that use regular expressions for manipulating strings. These are <code>sub</code>, <code>gsub</code> and <code>gensub</code>. Regular expressions are used in other functions but we will look at them later.</p>\r\n<p>We will be looking at <code>sub</code>, <code>gsub</code> and <code>gensub</code> in more detail in this episode.</p>\r\n<h2 id=\"long-notes\">Long notes</h2>\r\n<p>I have written out a set of longer notes for this episode and these are available <a href=\"https://hackerpublicradio.org/eps/hpr2238/full_shownotes.html\">here</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><a href=\"https://www.gnu.org/software/gawk/manual/html_node/index.html\"><em>GNU Awk User’s Guide</em></a></li>\r\n<li>Previous shows in this series on HPR:\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2114\">“<em>Gnu Awk - Part 1</em>”</a> - episode 2114</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2129\">“<em>Gnu Awk - Part 2</em>”</a> - episode 2129</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2143\">“<em>Gnu Awk - Part 3</em>”</a> - episode 2143</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2163\">“<em>Gnu Awk - Part 4</em>”</a> - episode 2163</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2184\">“<em>Gnu Awk - Part 5</em>”</a> - episode 2184</li>\r\n</ul></li>\r\n<li>The “<em>Learning sed</em>” series:\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1976\">“Introduction to sed - part 1”</a> - episode 1976</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1986\">“Introduction to sed - part 2”</a> - episode 1986</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1997\">“Introduction to sed - part 3”</a> - episode 1997</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2011\">“Introduction to sed - part 4”</a> - episode 2011</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2060\">“Introduction to sed - part 5”</a> - episode 2060</li>\r\n</ul></li>\r\n<li>The “<a href=\"https://www.mockaroo.com/\">Mockaroo</a>” data generator site</li>\r\n<li>The Vim plugin “<a href=\"https://github.com/chrisbra/csv.vim\">csv.vim</a>”</li>\r\n<li>Resources:\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2238_full_shownotes.epub\">ePub version of these notes</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2238_full_shownotes.pdf\">PDF version of these notes</a></li>\r\n<li>Demonstration of some regex operators: <a href=\"https://hackerpublicradio.org/eps/hpr2238/contacts.awk\">contacts.awk</a></li>\r\n<li>File of dummy contacts: <a href=\"https://hackerpublicradio.org/eps/hpr2238/contacts.txt\">contacts.txt</a></li>\r\n</ul></li>\r\n</ul>',225,94,1,'CC-BY-SA','Awk utility, Awk language, gawk, regular expression',0,0,1),
(2245,'2017-03-10','Managing tags on HPR episodes - 1',1568,'Looking for the best way to store and manage tags in the HPR database, part 1','<h1 id=\"managing-tags-on-hpr-episodes---1\">Managing tags on HPR episodes - 1</h1>\r\n<h2 id=\"introduction\">Introduction</h2>\r\n<p>We have been collecting and storing tags for new HPR shows for a while now with the intention of eventually offering a search interface. In addition, a number of contributors, including myself have been adding tags (and summaries), to shows that do not have them, since August 2015. There is still a way to go, but we’re making progress. At the time of writing (2017-01-31) 56.29% (1248) of all HPR shows (2217) have tags.</p>\r\n<p>In recent times the way in which we should use these tags has been discussed. In show <a href=\"https://hackerpublicradio.org/eps.php?id=2035\" title=\"Building Community\">2035</a> on 2016-05-20 <a href=\"https://hackerpublicradio.org/correspondents/0001.html\" title=\"droops\">droops</a> suggested:</p>\r\n<blockquote>\r\n<p><em>The website, which is a lot of work, needs to have related shows listed on each individual show’s page. This will take a tag system and someone to tag all of the almost uncountable previous episodes.</em></p>\r\n</blockquote>\r\n<p>This episode begins a discussion about some of the ways that tags can be stored, managed and accessed efficiently in the HPR database.</p>\r\n<p>I started planning a show about this subject in the summer of 2016, and the amount of information I have accumulated has grown since then. There is now quite a lot, so I am going to split what was originally going to be one show into three.</p>\r\n<p>The subject becomes quite technical in the later shows, discussing database design techniques, and all three of the shows contain examples of database queries and scripts. If you are not interested in this subject than feel free to skip past. However, you might find this first episode more palatable, and any thoughts you might have on the subject would be appreciated.</p>\r\n<h2 id=\"long-notes\">Long notes</h2>\r\n<p>I have written out a set of longer notes for this episode and these are available <a href=\"https://hackerpublicradio.org/eps/hpr2245/full_shownotes.html\">here</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>HPR show 2035: <a href=\"https://hackerpublicradio.org/eps.php?id=2035\">“<em>Building Community</em>”</a></li>\r\n<li>Wikipedia page on <a href=\"https://en.wikipedia.org/wiki/Comma-separated_values\">Comma Separated Values</a></li>\r\n<li>RFC 4180 <a href=\"https://www.ietf.org/rfc/rfc4180.txt\">“<em>Common Format and MIME Type for Comma-Separated Values (CSV) Files</em>”</a></li>\r\n<li>HPR web page listing <a href=\"https://hackerpublicradio.org/report_missing_tags.php\">shows missing summaries and tags</a></li>\r\n<li>Resources:\r\n<ul>\r\n<li>Perl script to clean the tags field in the database: <a href=\"https://hackerpublicradio.org/eps/hpr2245/clean_csv_tags\">clean_csv_tags</a></li>\r\n</ul></li>\r\n</ul>',225,0,1,'CC-BY-SA','HPR,database,schema,tag',0,0,1),
(2248,'2017-03-15','2016-2017 HPR New Year show episode 2',14462,'Hacker Public Radio new years eve show episode 2','<h2 id=\"hpr-new-years-eve-show-episode-2\">HPR new years eve show episode 2</h2>\r\n<ul>\r\n<li>Linux KDE Neon <a href=\"https://neon.kde.org\" class=\"uri\">https://neon.kde.org</a></li>\r\n<li>Steamship Virginia V <a href=\"https://www.virginiav.org\" class=\"uri\">https://www.virginiav.org</a></li>\r\n<li>Arthur foss <a href=\"https://nwseaport.org/historic-fleet/tugboat-arthur-foss/\" class=\"uri\">https://nwseaport.org/historic-fleet/tugboat-arthur-foss/</a></li>\r\n<li>Tablet computing</li>\r\n<li>Ham radio</li>\r\n<li>Ham in the oven</li>\r\n<li>Booze</li>\r\n<li>Fraternities</li>\r\n<li>Linux Fests</li>\r\n<li>Remembering Matthew Williams</li>\r\n<li>Bob Jonkman mentions the Kitchener-Waterloo LinuxFest <a href=\"https://kwlinuxfest.ca\" class=\"uri\">https://kwlinuxfest.ca</a></li>\r\n<li>fixing audio on a computer with beats audio</li>\r\n<li>open linux community <a href=\"https://olcommunity.forumotion.info/\" class=\"uri\">https://olcommunity.forumotion.info/</a></li>\r\n<li>Linux desktops</li>\r\n<li>Linux desktops</li>\r\n<li>mobile os</li>\r\n<li>GORDON LOVES KDE\r\n<ul>\r\n<li>the answer is always arch :)</li>\r\n</ul></li>\r\n<li>learning languages with duolingo <a href=\"https://www.duolingo.com\" class=\"uri\">https://www.duolingo.com</a></li>\r\n</ul>',159,121,1,'CC-BY-SA','new years eve show',0,0,1),
(2240,'2017-03-03','Amateur Radio Round Table',3219,'HPR community hams get together to talk about ham radio','<h1 id=\"hpr-amateur-radio-round-table\">HPR Amateur Radio Round Table</h1>\r\n<p>2017-01-27, 0300 UTC</p>\r\n<h2 id=\"participants\">Participants:</h2>\r\n<ul>\r\n<li>cmhobbs KD5RYO</li>\r\n<li>Jon KT4KB</li>\r\n<li>Steve KD0IJP</li>\r\n<li>Michael DL4MGM</li>\r\n<li>Tyrel KG5RHT</li>\r\n</ul>\r\n<p>After a short introduction of the hosts, we start discussing the question that came up on the mailinglist:</p>\r\n<h2 id=\"how-do-you-get-started-at-all-how-do-you-get-the-license-to-participate-in-amateur-radio\">How do you get started at all? How do you get the license to participate in amateur radio?</h2>\r\n<p>Probably the amateur radio organisation in your country will provide the essential information required for obtaining an amateur radio license. Start looking at the International Amateur Radio Union at <a href=\"https://www.iaru.org\" class=\"uri\">https://www.iaru.org</a> and track down your country. From there you can search for information about your local area and local groups. In the US, look for the ARRL at <a href=\"https://www.arrl.org\" class=\"uri\">https://www.arrl.org</a>.</p>\r\n<p>If you do not chose to get involved with the local club before taking the test to get the license, we suggest you do so after that. Local events and clubs can provide the insight into the vast possibilities amateur radio has to offer. This will allow you to chose much better, where your personal interests are and where to start. Radio &quot;nets&quot;, are mentioned as a good starting point to actually get &quot;on the air&quot; and to overcome any possible shyness.</p>\r\n<h2 id=\"acronyms-explained-along-the-way\">Acronyms explained along the way</h2>\r\n<ul>\r\n<li>VFO: Variable Frequency Oscillator. The thing behind the main tuning dial to adjust the frequency, an important building block of radio equipment. In modern gear the VFO-mode is the mode where you can continuously change the frequency in certain increments, as opposed to memory mode, where you normally select from a set of fixed frequencies previously stored.</li>\r\n<li>CW: Continuous Wave. Used to reference to Morse code telegraphy as an operating mode.</li>\r\n<li>VHF: Very High Frequency. Generally this references the frequency range 30 Mhz to 300 MHz. In the context of a radio user, it normally means the sub range in there, that is assigned to the specific use.</li>\r\n<li>UHF: Ultra High Frequency. 300 MHz to 3 GHz</li>\r\n<li>HF: High Frequency. Range 3 MHz to 30 MHz. Also referenced to as &quot;short wave&quot; frequencies. Several amateur radio &quot;bands&quot; are spread out in that frequency range.</li>\r\n</ul>\r\n<p>We often reference frequency ranges by wavelength. E.g. the &quot;20m band&quot;, which is the frequency allocation for amateur radio at 14 MHz. The connection is: Wavelength = c / frequency, with c being the speed of light. A rule of thumb is: Wavelength [m] = 300 / frequency [MHz]</p>\r\n<p>Hint: The manufacturer Tektronix offers a nice poster with the world wide frequency assignments worked in: <a href=\"https://info.tek.com/rs/tektronix/images/eGuide-to-RF-Signals.pdf\" class=\"uri\">https://info.tek.com/rs/tektronix/images/eGuide-to-RF-Signals.pdf</a></p>\r\n<h2 id=\"we-went-on-describing-a-bit-where-our-personal-interests-in-amateur-radio-are.\">We went on describing a bit where our personal interests in amateur radio are.</h2>\r\n<p>Our combined interests cover all the way from Morse code over voice communication to digital modes and &quot;foxhunt&quot; (the radio sport of Amateur Radio Direction Finding). Note that there are many other facets to amateur radio. Even our combined interests are just a small segment of the possible activities within the avocation.</p>\r\n<p>We talk about getting started with just listening to amateur radio traffic on the short wave frequencies.</p>\r\n<h2 id=\"why-do-you-need-a-license-why-not-just-do-it\">Why do you need a license, why not just do it?</h2>\r\n<p>First, without a license, it is ILLEGAL.</p>\r\n<p>Law makers have acknowledged that one important goal of amateur radio is education and experimentation. We are allowed to modify equipment or even build it completely from scratch and operate it legally on the assigned frequencies. This is a unique privilege that sets amateur radio apart from any other radio users which have to use certified equipment.</p>\r\n<p>We give some amateur related podcast recommendations, among those: Linux in the ham shack (<a href=\"https://lhspodcast.info\" class=\"uri\">https://lhspodcast.info</a>) and HamRadio 360 (<a href=\"https://hamradio360.com\" class=\"uri\">https://hamradio360.com</a>).</p>\r\n<h2 id=\"the-next-edition-of-the-amateur-radio-round-table\">The Next Edition of the Amateur Radio Round Table</h2>\r\n<p>Next ham radio round table will be held in about a month, with a time that will be better suited for European time zones. We welcome anyone to participate, whether or not you are a licensed ham. Watch the HPR email list for announcements and details.</p>\r\n',109,0,0,'CC-BY-SA','amateur radio, ham',0,0,1),
(2242,'2017-03-07','Interview with Colin J. Mills, organizer of KW Linuxfest',647,'After the KW Linuxfest, Bob Jonkman and Colin Mills sat down and talked for a while.','<p>After the KW Linuxfest on Saturday, 28 January 2017, Bob Jonkman and Colin J. Mills (HPR host <a href=\"https://hackerpublicradio.org/correspondents/0286.html\"><em>cjm</em></a>) sat down and talked about some of the organizational challenges in running an event, Colin\'s co-op program at Conestoga College, and anticipating another KW Linuxfest in 2018.</p>\r\n<p>KW Linuxfest is at <a href=\"https://kwlinuxfest.ca/\">https://kwlinuxfest.ca/</a></p>\r\n<p>KW Linuxfest 2017 was sponsored by Vehikl <a href=\"https://vehikl.com/\">https://vehikl.com/</a></p>\r\n<p>Kitchener Waterloo Linux User Group: <a href=\"https://kwlug.org\">https://kwlug.org</a></p>\r\n<p>You can reach Colin J. Mills at kwlinuxfest.nospam@nospam.gmail.com</p>\r\n',350,78,0,'CC-BY-SA','Linux, Kitchener-Waterloo',0,0,1),
(2247,'2017-03-14','2016-2017 HPR New Year show 1',15870,'Hacker Public Radio new years eve show episode 1','<h2 id=\"hpr-new-years-eve-show-episode-1\">HPR new years eve show episode 1</h2>\r\n<ul>\r\n<li>FiftyOneFifty’s home network</li>\r\n<li>FiftyOneFifty talks guns</li>\r\n<li>Reg A talks about his early days of computing</li>\r\n<li>Caganer nativity scenes:\r\n<ul><li><a href=\"https://en.wikipedia.org/wiki/Caganer\">Wikipedia entry</a></li>\r\n<li><a href=\"https://www.youtube.com/watch?v=LJxHHP-aTOc\">Stephen Fry speaking about the tradition on <em>QI</em></a></li>\r\n</ul></li>\r\n<li>The US Air Force</li>\r\n<li>booze food and cpap machines</li>\r\n<li>earliest memories</li>\r\n<li>discuss our early days of computing</li>\r\n<li>knightwise and mobile computing</li>\r\n<li>drw’s early days of computing and linux</li>\r\n</ul>\r\n',159,121,1,'CC-BY-SA','new years eve show',0,0,1),
(2249,'2017-03-16','2016-2017 HPR New Year show episode 3',13526,'Hacker Public Radio new years eve show episode 3','<h2 id=\"hpr-new-years-eve-show-episode-3\">HPR new years eve show episode 3</h2>\r\n<ul>\r\n<li>Carrie Fisher</li>\r\n<li>voting / politics</li>\r\n<li>heritages</li>\r\n<li>Wikipedia for news</li>\r\n<li>pizza gate</li>\r\n<li>why we love Linux</li>\r\n<li>text editors</li>\r\n<li>forum fun</li>\r\n<li>coffee is great</li>\r\n<li>making money with free software</li>\r\n<li>free software in the workplace</li>\r\n<li>Single board computers</li>\r\n</ul>\r\n',159,121,1,'CC-BY-SA','new years eve show',0,0,1),
(2250,'2017-03-17','2016-2017 HPR New Year show episode 4',14536,'Hacker Public Radio new years eve show episode 4','<h2 id=\"hpr-new-years-eve-show-episode-4\">HPR new years eve show episode 4</h2>\r\n<ul>\r\n<li>pine 64 laptop <a href=\"https://www.pine64.org/?page_id=3707\" class=\"uri\">https://www.pine64.org/?page_id=3707</a></li>\r\n<li>x86 vs arm</li>\r\n<li>arm devices as a home NAS device</li>\r\n<li>retropie (the gateway into SBCs) <a href=\"https://retropie.org.uk\" class=\"uri\">https://retropie.org.uk</a></li>\r\n<li>how / should we consume our video content</li>\r\n<li>Jonathan Nadeau\'s book <a href=\"https://www.indiegogo.com/projects/vision-inspirational#/\" class=\"uri\">https://www.indiegogo.com/projects/vision-inspirational#/</a></li>\r\n<li>New years traditions</li>\r\n<li>3D printing fun</li>\r\n<li>Car talk</li>\r\n<li>Fireworks and Disney</li>\r\n<li>Exploring the US</li>\r\n<li>Beer talk</li>\r\n<li>BlackArch <a href=\"https://blackarch.org\" class=\"uri\">https://blackarch.org</a></li>\r\n<li>hard drives</li>\r\n<li>Old cars</li>\r\n</ul>',159,121,1,'CC-BY-SA','new years eve show',0,0,1),
(2251,'2017-03-20','2016-2017 HPR New Year show episode 5',10179,'Hacker Public Radio new years eve show episode 5','<h2 id=\"hpr-new-years-eve-show-episode-5\">HPR new years eve show episode 5</h2>\r\n<ul>\r\n<li>coffee and tea</li>\r\n<li>screw fifty\'s ISP</li>\r\n<li>home networking</li>\r\n<li>SBCs:\r\n<ul>\r\n<li>Vocore2 <a href=\"https://vocore.io\" class=\"uri\">https://vocore.io</a></li>\r\n<li>Blackswift <a href=\"https://www.black-swift.com\" class=\"uri\">https://www.black-swift.com</a></li>\r\n<li>Banana pi <a href=\"https://www.banana-pi.org\" class=\"uri\">https://www.banana-pi.org</a></li>\r\n<li>Pine 64 <a href=\"https://www.pine64.org\" class=\"uri\">https://www.pine64.org</a></li>\r\n</ul></li>\r\n<li>crowd funding fun</li>\r\n<li>Linux Fests</li>\r\n<li>goggle</li>\r\n<li>police stories</li>\r\n<li>More crowd funding and SBCs</li>\r\n</ul>',159,121,1,'CC-BY-SA','new years eve show',0,0,1),
(2252,'2017-03-21','2016-2017 HPR New Year show episode 6',10369,'Hacker Public Radio new years eve show episode 6','<h2 id=\"hpr-new-years-eve-show-episode-6\">HPR new years eve show episode 6</h2>\r\n<ul>\r\n<li>yet more about SBCs</li>\r\n<li>spoken languages</li>\r\n<li>programming languages</li>\r\n<li>open source creative podcast <a href=\"https://monsterjavaguns.com/podcast/\" class=\"uri\">https://monsterjavaguns.com/podcast/</a></li>\r\n<li>synaptic driver</li>\r\n<li><a href=\"https://search.code4sale.com\" class=\"uri\">https://search.code4sale.com</a></li>\r\n<li>some enlightenment love</li>\r\n<li>Blender love</li>\r\n<li>will the ubuntu phone die in 2017?</li>\r\n<li>can we trust Google</li>\r\n<li>programming on ubuntu touch with lazarus <a href=\"https://www.lazarus-ide.org\" class=\"uri\">https://www.lazarus-ide.org</a></li>\r\n<li>gpd win <a href=\"https://www.indiegogo.com/projects/gpd-win-intel-z8700-win-10-os-game-console-laptop#/\" class=\"uri\">https://www.indiegogo.com/projects/gpd-win-intel-z8700-win-10-os-game-console-laptop#/</a></li>\r\n<li>ces <a href=\"https://www.ces.tech\" class=\"uri\">https://www.ces.tech</a></li>\r\n</ul>',159,121,1,'CC-BY-SA','new years eve show',0,0,1),
(2239,'2017-03-02','making jerky',749,'jezra goes talks about his process for making jerky, while making jerky','<ul>\r\n<li>Slice meat thin and against the grain</li>\r\n<li>Season the meat</li>\r\n<li>Dehydrate the meat</li>\r\n</ul>\r\n<p>enjoy!</p>',243,0,1,'CC-BY-SA','meat,jerky,dehydrator',0,0,1),
(2244,'2017-03-09','building lineageOS',1180,'I try my hand at building lineageOS for my device','<p>i am too ignorant to build for the device that i want.</p>\r\n<p>i mention a dev from <a href=\"https://forum.xda-developers.com\">xda</a>.</p>\r\n<p>i am running <a href=\"https://www.debian.org/\">debian</a> sid... also mention <a href=\"https://www.archlinux.org/\">arch</a> and the importance of shownotes.</p>\r\n<p>following <a href=\"https://wiki.lineageos.org/spyder_build.html\">lineage</a> wiki, i merge the extra commands from a 14.1 device page.</p>\r\n<p>install adb fastboot repo with package manager and you can ignore creating ~/bin, chmod command, and PATH update as these tools were installed by your package manager.</p>\r\n<p>install list given on the wiki of packages...some will not exist... search to find out their names.</p>\r\n<p>cd into the location for your project.</p>\r\n<pre><code>$ mkdir -p ./android/system\r\n$ cd android/system\r\n$ repo init -u https://github.com/LineageOS/android.git -b cm-14.1\r\n$ repo sync\r\n$ repo sync\r\n$ repo sync</code></pre>\r\n<p>successful new 50G on my drive.</p>\r\n<code>$ nano android/system/.repo/local_manifests/roomservice.xml</code>\r\n<p>add the needed lines from the <a href=\"https://github.com/TheMuppets/manifests/blob/cm-14.1/muppets.xml\">muppets</a> and ignore extracting proprietary blobs.</p>\r\n<pre><code>$ repo sync\r\n$ source build/envsetup.sh\r\n$ breakfast spyder\r\n$ export USE_CCACHE=1\r\n$ prebuilts/misc/linux-x86/ccache/ccache -M 50G\r\n$ export ANDROID_JACK_VM_ARGS=\"-Dfile.encoding=UTF-8 -XX:+TieredCompilation -Xmx4G\"\r\n$ export WITH_SU=true\r\n$ croot\r\n$ brunch spyder</code></pre>\r\n<p>ran 99% and errored... xmllint command not found.</p>\r\n<p>search for and install libxml2-utils.</p>\r\n<p>rerun build and get an out of memory error... go to bed... try tomorrow... shutdown machine.</p>\r\n<p>sift through old information as things have changed regarding file names and such.</p>\r\n<code>$ nano ~/.jack-server/config.properties</code>\r\n<p>change jack.server.max-service=4 to 2</p>\r\n<p>start from envsetup.sh again.</p>\r\n<code>$ cd $OUT</code>\r\n<p>boot phone to recovery and install</p>\r\n<code>$ adb sideload ./lineage-14.1-20170202-UNOFFICIAL-spyder.zip</code>\r\n<p>i remove some apps and install <a href=\"https://f-droid.org/\">fdroid</a>.</p>',329,0,1,'CC-BY-SA','android, lineageos, cyanogenmod, compiling ',0,0,1),
(2253,'2017-03-22','How to make and use a stencil',833,'Cutting and using a stencil made of thick foil','<p>To make a stencil you need</p>\r\n<ul>\r\n<li>a motif</li>\r\n<li>thick foil/cardboard/metal sheet</li>\r\n<li>sharp knife/scalpel</li>\r\n</ul>\r\n<p>To use a stencil:</p>\r\n<ul>\r\n<li>stencil</li>\r\n<li>tape</li>\r\n<li>paint</li>\r\n<li>sponge/spray can</li>\r\n<li>a surface to put it on</li>\r\n</ul>\r\n<ol type=\"1\">\r\n<li>Find a motif or make your own</li>\r\n<li>Copy/print motif on thick foil</li>\r\n<li>Cut out the black parts carefully</li>\r\n<li>Tape stencil to surface</li>\r\n<li>Apply paint with sponge</li>\r\n<li>Carefully take off stencil</li>\r\n<li>Tadaaaaaaa</li>\r\n</ol>\r\n<p>\r\n<a href=\"https://hackerpublicradio.org/eps/hpr2253.jpg\">\r\n<img src=\"https://hackerpublicradio.org/eps/hpr2253_small.jpg\" alt=\"Stencil\"/>\r\n</a>\r\n</p>\r\n',351,0,1,'CC-BY-SA','stencil,diy',0,0,1),
(2256,'2017-03-27','Modular Game Scaling',277,'how I allowed more display resolutions in a modular game design','<p>NOTE: the audio didn\'t cut together as smoothly as I remember from the first time, probably because I forgot to record at 44.1 KHz</p>\r\n<p>In this episode I explain in broad terms how I programmed a game system to adjust its display resolution using three distinct modules operating individually and in concert.</p>\r\n<ul>\r\n<li>The &quot;metagame&quot; (launcher) module accepts an argument describing the size of the window available for display</li>\r\n<li>The &quot;gameplay&quot; module is informed of the space available as a \'window\' into the game world and uses it for one thing or another</li>\r\n<li>The &quot;graphics&quot; module opens a window at the specified size and modifies the graphical assets if needed</li>\r\n</ul>\r\n<p>Once again I recorded in parts using a program called <a href=\"https://bitbucket.org/thomasebell/urecord\">Urecord</a> on my pocket computer (mobile phone).</p>\r\n<p>I program using <a href=\"https://www.pygame.org/wiki/about\">Pygame</a>, post on a <a href=\"https://loadaverage.org/ericxdu23\">GNU Social account</a>, maintain a personal website at <a href=\"https://www.noxbanners.net/\">NoxBanners.NET</a>, and study programming techniques at <a href=\"https://refactoring.com/\">Refactoring.com</a>, style at <a href=\"https://www.python.org/dev/peps/pep-0008/\">Python.org</a>, and sometimes patterns at <a href=\"https://c2.com/ppr/\">Portland Pattern Repository</a></p>',317,0,0,'CC-BY-SA','video games, programming, object-oriented, game development, design patterns',0,0,1),
(2243,'2017-03-08','My Quick Tips E01',485,'I ramble on about some of my tips I recorded','<ul>\r\n<li>Adblocker Android :<br />\r\n<a href=\"https://www.linkedin.com/pulse/block-ads-android-youtube-tubemate-adblock-edge-luck-patcher-mccurdy?trk=mp-reader-card\" class=\"uri\">https://www.linkedin.com/pulse/block-ads-android-youtube-tubemate-adblock-edge-luck-patcher-mccurdy?trk=mp-reader-card</a></li>\r\n<li>Cat Litter box tips : No need to buy litter bags etc</li>\r\n<li>Fall Leaf: Say no to silly paper bags</li>\r\n<li>Free stuff : Electronic Dumpster Diving</li>\r\n<li>Shaving tips:<br />\r\n<a href=\"https://www.truefittandhill.com/products/west-indian-limes-shaving-cream-bowl\" class=\"uri\">https://www.truefittandhill.com/products/west-indian-limes-shaving-cream-bowl</a></li>\r\n</ul>\r\n<p>-rmccurdy.com</p>',36,0,1,'CC-BY-SA','Firefox,adblocker,cat litter,electronic recycling,shaving',0,0,1),
(2246,'2017-03-13','My Custom RSS Comic and Security Feed',396,'Ya RSS say something. I talk about my comics only RSS feed','<ul>\r\n<li>Comics:<br />\r\n<a href=\"https://rmccurdy.com/scripts/comics.rss\" class=\"uri\">https://rmccurdy.com/scripts/comics.rss</a></li>\r\n<li>split out:<br />\r\n<a href=\"https://rmccurdy.com/scripts/\" class=\"uri\">https://rmccurdy.com/scripts/</a></li>\r\n<li>reall old sec feed<br />\r\n<a href=\"https://rmccurdy.com/scripts/feeds.rss\" class=\"uri\">https://rmccurdy.com/scripts/feeds.rss</a></li>\r\n</ul>',36,0,1,'CC-BY-SA','RSS,Comics,html,scripting',0,0,1),
(2254,'2017-03-23','Introduction to Model Rocketry',3248,'Steve talks about the hobby of model rocketry including some of the advanced aspects of the hobby.','<h1 id=\"introduction-to-model-rocketry\">Introduction to Model Rocketry</h1>\r\n<p>In this episode I introduce the hobby of model rocketry. I specifically highlight some of the advanced elements of the hobby to show how model rocketry goes from being a fun activity for kids to a serious hobby enjoyed by many adults.</p>\r\n<h2 id=\"outline\">Outline</h2>\r\n<ol type=\"1\">\r\n<li>History of model rocketry.</li>\r\n</ol>\r\n<ul>\r\n<li>Early amateur experimentation with rocketry.</li>\r\n<li>G. Harry Stine develops the model rocket motor.</li>\r\n<li>Vern Estes develops a way to mass produce motors.</li>\r\n</ul>\r\n<ol start=\"2\" type=\"1\">\r\n<li>Basic model rocket components and flight.</li>\r\n</ol>\r\n<ul>\r\n<li>Airframe, nose cone, and fins.</li>\r\n<li>The part of the model rocket motor.</li>\r\n<li>Recovery mechanism (parachutes and streamers).</li>\r\n<li>The launch pad</li>\r\n<li>The basic flight profile of a model rocket.</li>\r\n<li>Building a typical model rocket kit.</li>\r\n</ul>\r\n<ol start=\"3\" type=\"1\">\r\n<li>Scratch building your own designs.</li>\r\n</ol>\r\n<ul>\r\n<li>Using commercial components.</li>\r\n<li>Using ordinary materials for rockets.</li>\r\n<li>Fabricating components: Lathes, laser cutters, CNC machines, etc.</li>\r\n<li>Using CAD and simulation software.</li>\r\n</ul>\r\n<ol start=\"4\" type=\"1\">\r\n<li><p>Craftsmanship and scale modeling.</p></li>\r\n<li>Model rocket competition.</li>\r\n</ol>\r\n<ul>\r\n<li>Regional, national, and international meets.</li>\r\n<li>Events: Altitude, duration, advanced recovery methods, payloads, egglofting.</li>\r\n</ul>\r\n<ol start=\"6\" type=\"1\">\r\n<li>High power rockets.</li>\r\n</ol>\r\n<ul>\r\n<li>Large rockets.</li>\r\n<li>High altitude rockets.</li>\r\n<li>Supersonic rockets</li>\r\n<li>Composite motors.</li>\r\n<li>Regulations</li>\r\n<li>Certification</li>\r\n<li>Materials</li>\r\n</ul>\r\n<ol start=\"7\" type=\"1\">\r\n<li>Complex rocketry.</li>\r\n</ol>\r\n<ul>\r\n<li>Motor clustering.</li>\r\n<li>Staging.</li>\r\n<li>Dual deployment.</li>\r\n</ul>\r\n<ol start=\"8\" type=\"1\">\r\n<li>Electronics</li>\r\n</ol>\r\n<ul>\r\n<li>Altimeters</li>\r\n<li>Flight computers</li>\r\n<li>Tracking</li>\r\n<li>Cameras</li>\r\n</ul>\r\n<ol start=\"9\" type=\"1\">\r\n<li><p>Experimental motors.</p></li>\r\n<li>National associations.</li>\r\n</ol>\r\n<ul>\r\n<li>National Association of Rocketry (NAR).</li>\r\n<li>Tripoli Rocketry Association (TRA).</li>\r\n<li>Safety codes.</li>\r\n<li>Liability insurance.</li>\r\n<li>Local clubs.</li>\r\n</ul>\r\n<ol start=\"11\" type=\"1\">\r\n<li><p>Safety.</p></li>\r\n<li><p>A little about my personal interests in model rocketry.</p></li>\r\n</ol>\r\n<h2 id=\"resources\">Resources</h2>\r\n<p>The following is a non-exhaustive list of companies that manufacture and/or sell model rocket kits and suplies. I\'ve primary listed those that I\'m most familiar with. There are certainly others.</p>\r\n<ul>\r\n<li>Estes <a href=\"https://www.estesrockets.com/\" class=\"uri\">https://www.estesrockets.com/</a></li>\r\n<li>Quest <a href=\"https://www.questaerospace.com/\" class=\"uri\">https://www.questaerospace.com/</a></li>\r\n<li>Semroc <a href=\"https://www.semroc.com/\" class=\"uri\">https://www.semroc.com/</a></li>\r\n<li>Apogee Components <a href=\"https://www.apogeerockets.com/\" class=\"uri\">https://www.apogeerockets.com/</a></li>\r\n<li>LOC Precision <a href=\"https://www.locprecision.com/\" class=\"uri\">https://www.locprecision.com/</a></li>\r\n<li>Public Missles Ltd <a href=\"https://publicmissiles.com/\" class=\"uri\">https://publicmissiles.com/</a></li>\r\n<li>Madcow Rocketry <a href=\"https://www.madcowrocketry.com/\" class=\"uri\">https://www.madcowrocketry.com/</a></li>\r\n<li>Giant Leap Rocketry <a href=\"https://giantleaprocketry.com/\" class=\"uri\">https://giantleaprocketry.com/</a></li>\r\n<li>Flis Kits Inc <a href=\"https://www.fliskits.com/\" class=\"uri\">https://www.fliskits.com/</a></li>\r\n<li>Wildman Rocketry <a href=\"https://www.wildmanrocketry.com/\" class=\"uri\">https://www.wildmanrocketry.com/</a></li>\r\n</ul>\r\n<p>These are some of the major manufactures of high power composite motors.</p>\r\n<ul>\r\n<li>Aerotech Consumer Aerospace <a href=\"https://www.aerotech-rocketry.com/\" class=\"uri\">https://www.aerotech-rocketry.com/</a></li>\r\n<li>Cesaroni Technology <a href=\"https://www.pro38.com/\" class=\"uri\">https://www.pro38.com/</a></li>\r\n</ul>\r\n<p>These are the two United States national model rocketry associations.</p>\r\n<ul>\r\n<li>National Association of Rocketry <a href=\"https://www.nar.org/\" class=\"uri\">https://www.nar.org/</a></li>\r\n<li>Tripoli Rocketry Assocation <a href=\"https://www.tripoli.org/\" class=\"uri\">https://www.tripoli.org/</a></li>\r\n</ul>\r\n<p>Resource for competition rocketry.</p>\r\n<ul>\r\n<li>National Association of Rocketry Annual Meet <a href=\"https://www.nar.org/contest-flying/naram-the-nationals/\" class=\"uri\">https://www.nar.org/contest-flying/naram-the-nationals/</a></li>\r\n<li>FAI World Championship <a href=\"https://www.fai.org/\" class=\"uri\">https://www.fai.org/</a></li>\r\n</ul>\r\n<p>Here are a number of other interesting links</p>\r\n<ul>\r\n<li>G. Harry Stine Wikipedia Page <a href=\"https://en.wikipedia.org/wiki/G._Harry_Stine\" class=\"uri\">https://en.wikipedia.org/wiki/G._Harry_Stine</a></li>\r\n<li>Vern Estes Wikipedia Page <a href=\"https://en.wikipedia.org/wiki/Vernon_Estes\" class=\"uri\">https://en.wikipedia.org/wiki/Vernon_Estes</a></li>\r\n<li>October Sky Wikipedia Page <a href=\"https://en.wikipedia.org/wiki/October_Sky\" class=\"uri\">https://en.wikipedia.org/wiki/October_Sky</a></li>\r\n<li>Homer Hickam Jr Wikipedia Page <a href=\"https://en.wikipedia.org/wiki/Homer_Hickam\" class=\"uri\">https://en.wikipedia.org/wiki/Homer_Hickam</a></li>\r\n</ul>\r\n<h2 id=\"errata\">Errata</h2>\r\n<p>In the show I said that G. Harry Stine worked at the White Sands Missile Base. The correct name for that facility is White Sands Missile Range. But, during the time that Stine worked there, it would have been called the White Sands Proving Ground. <a href=\"https://www.wsmr.army.mil/\" class=\"uri\">https://www.wsmr.army.mil/</a></p>\r\n',334,0,0,'CC-BY-SA','hobbies, rockets, models, rocketry',0,0,1),
(2262,'2017-04-04','Abstracting Nurse Jesus',324,'how I abstracted random number generation for more syntactic sugar','<p>NOTE: the audio recording appears to have periodic jitter. As I recorded at 44.1 Khz this time, I wonder if my S2 just handles recording at a lower quality better, and if so I\'ll prefer lower quality over jitter in the recording.</p>\r\n<p>In this episode I explain why and how I abstracted random number and choice generation into self-sustainable methods for objects.</p>\r\n<ul>\r\n<li>A superclass was needed so that all the classes of object in the game engine would have access to these random generation methods.</li>\r\n<li>I preferred to use methods in this case so objects would be self-sufficient and wouldn\'t depend on extra modules imported at the top of my code.</li>\r\n<li>The syntactic sugar achieved by using customized methods instead of i.e. random.randint(0, 99) makes the code easier to write and understand at a glance.</li>\r\n<li>Nurse Jesus is a pun on the acronym RNG for Random Number Generator</li>\r\n<li>Let me know if you get the reference at 2:00 ;-)</li>\r\n</ul>\r\n<p>I recorded this episode in parts using a program called <a href=\"https://bitbucket.org/thomasebell/urecord\">Urecord</a> on my pocket computer (mobile phone).</p>\r\n<p>I program using <a href=\"https://www.pygame.org/wiki/about\">Pygame</a>, post on a <a href=\"https://loadaverage.org/ericxdu23\">GNU Social account</a>, and maintain a personal website at <a href=\"https://www.noxbanners.net/\">NoxBanners.NET</a>. I study programming techniques at <a href=\"https://refactoring.com/\">Refactoring.com</a>, style at <a href=\"https://www.python.org/dev/peps/pep-0008/\">Python.org</a>, and sometimes patterns at <a href=\"https://c2.com/ppr/\">Portland Pattern Repository</a></p>\r\n',317,0,0,'CC-BY-SA','video games, programming, object-oriented, game development, abstraction',0,0,1),
(2260,'2017-03-31','Managing tags on HPR episodes - 2',1477,'Looking for the best way to store and manage tags in the HPR database, part 2','<h1 id=\"managing-tags-on-hpr-episodes---2\">Managing tags on HPR episodes - 2</h1>\r\n<h2 id=\"introduction\">Introduction</h2>\r\n<p>This is the second show looking at the subject of Managing Tags.</p>\r\n<p>In the <a href=\"https://hackerpublicradio.org/eps.php?id=2245\" title=\"Managing tags on HPR episodes - 1\">first show</a> we looked at why we need tags, examined the present system and considered its advantages and disadvantages.</p>\r\n<p>In this episode we will look at a solution using a separate table of tags.</p>\r\n<h2 id=\"long-notes\">Long notes</h2>\r\n<p>This is a detailed subject so I have written out a set of longer notes for this episode and these are available <a href=\"https://hackerpublicradio.org/eps/hpr2260/full_shownotes.html\">here</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Previous show in this set:\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2245\">“<em>Managing tags on HPR episodes - 1</em>”</a> - episode 2245</li>\r\n</ul></li>\r\n<li>HPR web page listing <a href=\"https://hackerpublicradio.org/report_missing_tags.php\">shows missing summaries and tags</a></li>\r\n<li><a href=\"https://stackoverflow.com/questions/17942508/sql-split-values-to-multiple-rows\">Stack Overflow article about splitting CSV data</a></li>\r\n<li>A more detailed article about <a href=\"https://tagging.pui.ch/post/37027745720/tags-database-schemas\">tags in a database</a></li>\r\n<li>HPR show 1965 <a href=\"https://hackerpublicradio.org/eps.php?id=1965\">“<em>Adding SQLite as a datasource to SQLeo</em>”</a></li>\r\n<li>Resources:\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2260/full_shownotes.html\">Detailed notes</a> for this episode</li>\r\n<li>SQL to define a ‘<code>tags</code>’ table, its indexes and code to populate it: <a href=\"https://hackerpublicradio.org/eps/hpr2260/normalise_tags_1.sql\"><code>normalise_tags_1.sql</code></a></li>\r\n<li>SQL to perform the emptying of the ‘<code>tags</code>’ table and its repopulation: <a href=\"https://hackerpublicradio.org/eps/hpr2260/refresh_tags.sql\"><code>refresh_tags.sql</code></a></li>\r\n<li>SQL to find all shows related to a given show using tags: <a href=\"https://hackerpublicradio.org/eps/hpr2260/find_shows_sharing_tags.sql\"><code>find_shows_sharing_tags.sql</code></a></li>\r\n<li>Perl script to manage the tag table: <a href=\"https://hackerpublicradio.org/eps/hpr2260/refresh_tags\"><code>refresh_tags</code></a></li>\r\n</ul></li>\r\n</ul>',225,0,1,'CC-BY-SA','HPR,database,schema,tag,SQL,foreign key',0,0,1),
(2263,'2017-04-05','Freak Does Geek',1449,'A drift through a variety of topic with the letter A as the \"Anchor\"','<ul>\r\n<li><p>A similar type of audio recorder that was discussed. <br />\r\n<img src=\"https://upload.wikimedia.org/wikipedia/commons/2/29/RadioShack-ctr-119.jpg\" alt=\"Tape recorder\" width=\"400\" /></p></li>\r\n<li><p>MP3 discussed:<br />\r\n<a href=\"https://en.wikipedia.org/wiki/MP3\" class=\"uri\">https://en.wikipedia.org/wiki/MP3</a></p></li>\r\n<li><p>The audio enhanced superhero series discussed... avoid the movie:<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Daredevil_(TV_series)\" class=\"uri\">https://en.wikipedia.org/wiki/Daredevil_(TV_series)</a></p></li>\r\n<li><p>Star wars and the trash compactor and the cardboard playset I had:<br />\r\n<a href=\"https://www.starwars.com/news/the-vintage-vault-thats-no-moon-its-a-playset\" class=\"uri\">https://www.starwars.com/news/the-vintage-vault-thats-no-moon-its-a-playset</a></p></li>\r\n</ul>',352,0,0,'CC-BY-SA','audio,tape recorder,mp3',0,0,1),
(2255,'2017-03-24','The Good Ship HPR',1571,'HPR is a wonderful yet fragile project completely dependent on a steady flow of shows from hosts','<h1 id=\"the-good-ship-hpr\">The Good Ship HPR</h1>\r\n<h2 id=\"hacker-public-radio\">Hacker Public Radio</h2>\r\n<h3 id=\"what-is-it\">What is it?</h3>\r\n<p>The podcast called <em>Hacker Public Radio</em> (HPR) is an amazing phenomenon. It has been providing an episode a day every weekday for years, and these episodes originate from the community.</p>\r\n<p>I heard someone refer to HPR as “<em>Crowd Sourced</em>” which seemed like a good way of describing things. It is an open access resource which is managed under various Creative Commons licences, usually CC-BY-SA.</p>\r\n<p>The content is very broad in scope. Anything “<em>of interest to Hackers</em>” is acceptable, which is interpreted in a wide variety of ways.</p>\r\n<p>Access to shows is open to all through the <a href=\"https://hackerpublicradio.org/index.php\" title=\"HPR site\">HPR site</a>, where shows back to episode 1 can be browsed, notes read, etc. There are <a href=\"https://hackerpublicradio.org/syndication.php\" title=\"Feeds\">feeds</a> which propagate various updates: to shows, series, comments and email. Current shows are archived to the Internet Archive (<a href=\"https://archive.org\" title=\"Internet Archive\">archive.org</a>) within a few days of appearing in the main feed, and older shows are gradually being archived this way with the intention of eventually storing everything there.</p>\r\n<p>For example, to find show 1999 on <code>archive.org</code> look for <a href=\"https://archive.org/details/hpr1999 \" class=\"uri\">https://archive.org/details/hpr1999</a>. The entire HPR collection can be browsed at <a href=\"https://archive.org/details/hackerpublicradio\" class=\"uri\">https://archive.org/details/hackerpublicradio</a>.</p>\r\n<h3 id=\"some-history\">Some history</h3>\r\n<p>As you can see, if you examine the details on the <a href=\"https://hackerpublicradio.org/stats.php\" title=\"HPR statistics\">website statistics page</a> the predecessor of HPR started more than 11 years ago as “<em>Today With A Techie</em>”, transforming into “<em>Hacker Public Radio</em>” over 9 years ago.</p>\r\n<pre><code>Started:            11 years, 4 months, 12 days ago (2005-10-10)\r\nRenamed HPR:        9 years, 1 months, 20 days ago (2007-12-31)</code></pre>\r\n<p>In the earlier days the frequency of show release was not the predictable 5 per week, every weekday, that it is now. There were gaps, sometimes of several days, and occasionally shows came out on the weekend. Stability was achieved in October 2012 and there have been <strong>no gaps since then</strong>!</p>\r\n<p>There are currently 280 hosts who have contributed shows at some point in the history of HPR, and at the time of writing in February 2017 show number 2230 has been released. The number of episodes and hosts will be greater when the episodes from “<em>Today With A Techie</em>” are incorporated into the archive.</p>\r\n<p>The <em>Hacker Public Radio experiment</em> has been very successful over the years, but there is a certain fragility in the way it works.</p>\r\n<h2 id=\"long-notes\">Long notes</h2>\r\n<p>The longer notes for this episode which are available <a href=\"https://hackerpublicradio.org/eps/hpr2255/full_shownotes.html\" title=\"full_shownotes.html\">here</a>, talk about the details of the problem facing HPR and go on to suggest some solutions.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/calendar.php\">HPR calendar page</a> - shows the queue and a graph of the levels over past months</li>\r\n<li><a href=\"https://hackerpublicradio.org/stats.php\">HPR statistics page</a> - a collection of current and historical statistics about HPR</li>\r\n<li><a href=\"https://hackerpublicradio.org/contribute.php\">How to become an HPR host</a> - instructions on how to become a host on HPR by contributing a show</li>\r\n<li>Resources:\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2255/full_shownotes.html\">Detailed notes</a> for this episode</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2255/full_shownotes.epub\">ePub version of the notes</a> for this episode</li>\r\n</ul></li>\r\n</ul>\r\n',225,0,1,'CC-BY-SA','HPR,community,contribution,podcast',0,0,1),
(2258,'2017-03-29','Killer Keilbasa',247,'Quick recipe for that last minute party','<p>I have heard out here a few recipes so I figured I would throw one out here that goes over real well when we make it.</p>\r\n<p>Recipe:</p>\r\n<ul>\r\n<li>1 Lb. Keilbasa (your choice)</li>\r\n<li>2 TBSP Ketchup</li>\r\n<li>2 TBSP Brown Sugar</li>\r\n<li>2 Table spoons jelly (I have used orange Marmalade, Grape Jelly and various flavors of Jalapeno or pepper jelly)</li>\r\n</ul>\r\n<!-- - -->\r\n<ul>\r\n<li>Crock Pot (Slow cooker) or sauce pan</li>\r\n<li>In crock pot add Kielbasa sliced in 1/2\" pieces</li>\r\n<li>Add jelly</li>\r\n<li>Add Brown Sugar</li>\r\n<li>Add Ketchup</li>\r\n</ul>\r\n<p>Turn crock pot on medium for 2 hours checking and stirring every half hour. Should be ready in 2 hours.</p>\r\n<p>In sauce pan on medium heat stirring continuously until mixture liquefies and the Kielbasa look done. Probably less than 20 minutes this way but you have to watch it or it burns. This is why we use a slow cooker.</p>\r\n<p>I make 5-7 lbs at a time for a party and usually it is all gone by the end of the party. So I take it that it is a hit. This also is pretty good over rice. Almost Asian style.</p>\r\n',346,93,0,'CC-BY-SA','keilbasa,recipe,food',0,0,1),
(2264,'2017-04-06','At The Library',505,'What my local library offers','<p>Check out your local library.</p>\r\n<p>If you are a cord cutter or looking for cheap alternatives to some of the following:</p>\r\n<ul>\r\n<li>Ebooks</li>\r\n<li>Emagazines</li>\r\n<li>Audibooks</li>\r\n<li>DVD\'s</li>\r\n<li>Blu rays</li>\r\n<li>CD\'s</li>\r\n<li>And much much more!</li>\r\n</ul>',346,0,0,'CC-BY-SA','EBooks, audio books, Emagazines, Chromebooks, Movies, TV Shows, Computers',0,0,1),
(2257,'2017-03-28','Watt OS',244,'a short show about the Linux distro Watt OS','<p>In this short episode I tell you about installing Watt OS onto an Acer Aspire One Netbook from 2008.</p>\r\n<p>This net book came with a 8Gig SSD installed and a 32bit 1.6G atom processor and many modern Linux spins are just too big for the hardware.</p>\r\n<p>However Watt OS came to the rescue and installed on the Netbook without issue.</p>\r\n<p>I plan to give it a go on a Lenovo x61 shortly and will let you know how that works out, my thought is it will fly on that hardware.</p>\r\n<p><a href=\"https://wiki.planetwatt.com\" class=\"uri\">https://wiki.planetwatt.com</a></p>',338,57,1,'CC-BY-SA','Linux,OS,OS Watt',0,0,1),
(2259,'2017-03-30','Minidiscs: A Response to HPR 2212',1002,'Response to hpr2212 with my own uses and recollections of the awesome legacy medium of the minidisc','<p>This is a walking-and-talking response to hpr2212 (meanderings Cyberpunk and the Minidisc, The Cyberpunk history of the Sony Minidisc, hosted by Quvmoh on 2017-01-24) with my own uses and recollections of this awesome legacy medium.</p>\r\n\r\n<p>Video about my USB power supply hack:<br />\r\n<a href=\"https://www.youtube.com/watch?v=v53k2RCT-lA\">https://www.youtube.com/watch?v=v53k2RCT-lA</a>\r\n</p>\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n <li>My Minidisc device: <a href=\"https://www.minidisc.org/part_Sharp_MD-MS701+MS702.html\">Sharp MD-MS701/MS702</a></li>\r\n <li>The <a href=\"https://www.coutant.org/ecmms957/\">Sony Model ECM-MS957</a> (1996) Electret Condenser Middle-Side Stereo Microphone</li>\r\n</ul>',238,0,0,'CC-BY-SA','audio, minidisc, digital media',0,0,1),
(2265,'2017-04-07','WattOS on Lenovo X61s',488,'I talk about installing WattOS on the X61s','<p>This is a follow on show from the one about WattOS on the Acer AspireOne I did recently.</p>\r\n<p>I talk about installing and running of the OS on this 10+ year old laptop and how they are still a viable option as a cheap laptop.</p>\r\n<p>Note all the recording, and uploading to HPR of this episode was done on the X61s</p>\r\n<p><a href=\"https://planetwatt.com/new/\" class=\"uri\">https://planetwatt.com/new/</a></p>\r\n<p><a href=\"https://www.cnet.com/uk/products/lenovo-thinkpad-x61s/review/\" class=\"uri\">https://www.cnet.com/uk/products/lenovo-thinkpad-x61s/review/</a></p>\r\n<p><a href=\"https://support.lenovo.com/gb/en/documents/pd012148\" class=\"uri\">https://support.lenovo.com/gb/en/documents/pd012148</a></p>\r\n',338,0,0,'CC-BY-SA','WattOS,Lenovo X61s',0,0,1),
(2268,'2017-04-12','Fish On!',1138,'Websites and apps used for planning fishing trips','<p>Whether hitting your local lake or planning a day trip out, it is always good to consult tech that can help out making the trip as successful as possible. Here are the items mentioned in the podcast:</p>\r\n<ul>\r\n<li>Google Weather<br />\r\n<a href=\"https://play.google.com/store/apps/details?id=com.macropinch.swan&amp;hl=en\" class=\"uri\">https://play.google.com/store/apps/details?id=com.macropinch.swan&amp;hl=en</a></li>\r\n<li>Google Maps<br />\r\n<a href=\"https://play.google.com/store/apps/details?id=com.google.android.apps.maps&amp;hl=en\" class=\"uri\">https://play.google.com/store/apps/details?id=com.google.android.apps.maps&amp;hl=en</a></li>\r\n<li>Sea Tow<br />\r\n<a href=\"https://play.google.com/store/apps/details?id=com.seatow.assistant&amp;hl=en\" class=\"uri\">https://play.google.com/store/apps/details?id=com.seatow.assistant&amp;hl=en</a></li>\r\n<li>Fish Brain<br />\r\n<a href=\"https://play.google.com/store/apps/details?id=com.fishbrain.app&amp;hl=en\" class=\"uri\">https://play.google.com/store/apps/details?id=com.fishbrain.app&amp;hl=en</a></li>\r\n<li>Fishing Times (Free)<br />\r\n<a href=\"https://play.google.com/store/apps/details?id=com.fishingtimesfree&amp;hl=en\" class=\"uri\">https://play.google.com/store/apps/details?id=com.fishingtimesfree&amp;hl=en</a></li>\r\n<li>Sufix Guide<br />\r\n<a href=\"https://play.google.com/store/apps/details?id=com.rapala.sufixfishinglineguide\" class=\"uri\">https://play.google.com/store/apps/details?id=com.rapala.sufixfishinglineguide</a></li>\r\n<li>GoFree Hooked (Free)<br />\r\n<a href=\"https://play.google.com/store/apps/details?id=com.navico.gofreehooked\" class=\"uri\">https://play.google.com/store/apps/details?id=com.navico.gofreehooked</a></li>\r\n<li>Insight Genesis<br />\r\n<a href=\"https://gofreemarine.com/insight-genesis/\" class=\"uri\">https://gofreemarine.com/insight-genesis/</a></li>\r\n<li>Navionics Boating HD<br />\r\n<a href=\"https://play.google.com/store/apps/details?id=it.navionics.singleAppMarineLakesHD\" class=\"uri\">https://play.google.com/store/apps/details?id=it.navionics.singleAppMarineLakesHD</a></li>\r\n<li>Fishpoints<br />\r\n<a href=\"https://play.google.com/store/apps/details?id=com.gregacucnik.fishingpoints\" class=\"uri\">https://play.google.com/store/apps/details?id=com.gregacucnik.fishingpoints</a></li>\r\n</ul>\r\n<!-- -->\r\n<ul>\r\n<li>YT Video subs\r\n<ul>\r\n<li>Leo Schen<br />\r\nExtreme Philly Fishing<br />\r\n<a href=\"https://www.youtube.com/user/extremephillyfishing?feature=em-lss\" class=\"uri\">https://www.youtube.com/user/extremephillyfishing?feature=em-lss</a></li>\r\n<li>William B. tedrick<br />\r\nFishtales<br />\r\n<a href=\"https://www.youtube.com/channel/UCI8h7DBJRSEZgxsUy8_0a8w\" class=\"uri\">https://www.youtube.com/channel/UCI8h7DBJRSEZgxsUy8_0a8w</a></li>\r\n<li>Haru834<br />\r\n<a href=\"https://www.youtube.com/channel/UCvh_ijYeUoNwejWhPNvD-RQ\" class=\"uri\">https://www.youtube.com/channel/UCvh_ijYeUoNwejWhPNvD-RQ</a></li>\r\n</ul></li>\r\n</ul>\r\n',346,0,0,'CC-BY-SA','fish,fishing',0,0,1),
(2266,'2017-04-10','Gamebooks: Lone Wolf',2571,'Klaatu talks about the Lone Wolf solo RPG series','<p>\r\nKlaatu talks about the <a href=\"https://projectaon.org\" target=\"_blank\">Lone Wolf</a> series of solo RPG gamebooks from the 1980s.</p>\r\n\r\n',78,95,0,'CC-BY-SA','game,gaming,tabletop,book,rpg',0,0,1),
(2276,'2017-04-24','Tunnels and Trolls and Dungeon Delvers',1877,'Klaatu talks about Tunnels & Trolls solo RPG series, and Dungeon Delvers','<p>Klaatu reviews the solo RPG experience provided by <a href=\"https://www.drivethrurpg.com/browse.php?keywords=tunnels+%26+trolls&x=0&y=0&author=&artist=&pfrom=&pto=\" target=\"_blank\">Tunnels &#38; Trolls</a> community.\r\n</p>\r\n<p>Additionally, he mentions a nice Creative Commons rulebook (if you can call 2 pages a book) called <a href=\"https://brentnewhall.com/games/doku.php?id=games:dungeon_delvers\" target=\"_blank\">Dungeon Delvers</a>.\r\n</p>',78,95,0,'CC-BY-SA','game,gaming,tabletop,book,rpg',0,0,1),
(2267,'2017-04-11','Our Digital Art',1793,'Sigflup and Siss talk about digital art and what it means to them','Sigflup\'s art!!!<br/>\r\n<img src=\"https://theadesilva.com/hpr_art.jpg\"/><br/>\r\nSiss\'s art!!!!<br/>\r\n<img src=\"https://theadesilva.com/siss_art.jpg\"/><br/>\r\n<br/>\r\nSigflup\'s Book!!!<br/>\r\n<img src=\"https://theadesilva.com/my_art2.jpg\"/><br/>\r\n<br/>\r\n<a href=\"https://www.amazon.com/s/ref=dp_byline_sr_book_1?ie=UTF8&text=Sissorelle+Ferox&search-alias=books&field-author=Sissorelle+Ferox&sort=relevancerank\">Siss\'s books!!</a>\r\n\r\n',115,0,0,'CC-BY-SA','digital art ',0,0,1),
(2271,'2017-04-17','Raspberry Pi Zero W',378,'an introduction to the new Pi Zero W from the Raspberry Pi Foundation','<p>\r\nIn this episode I talk about the new Raspberry Pi Zero W single board computer released on 28th February 2017 to coincide with the 5th Birthday of the Raspberry Pi Foundation.\r\n</p>\r\n<p>\r\nThis tiny 65x30mm single board PC has the following specs\r\n</p>\r\n\r\n<ul>\r\n<li>1GHz, single-core CPU \r\n</li>\r\n<li>512MB RAM \r\n</li>\r\n<li>Mini HDMI and USB On-The-Go ports \r\n</li>\r\n<li>Micro USB power\r\n</li>\r\n<li>HAT-compatible 40-pin header \r\n</li>\r\n<li>Composite video and reset headers \r\n</li>\r\n<li>CSI camera connector \r\n</li>\r\n<li>802.11 b/g/n wireless LAN \r\n</li>\r\n<li>Bluetooth 4.1 \r\n</li>\r\n<li>Bluetooth Low Energy (BLE) \r\n</li>\r\n</ul>\r\n\r\n<p>\r\nHere are a couple of links to the foundation and a fuller review\r\n</p>\r\n<p>\r\n<a href=\"https://www.raspberrypi.org/\">https://www.raspberrypi.org/</a>\r\n</p>\r\n<p>\r\n<a href=\"https://www.engadget.com/2017/02/28/raspberry-pi-zero-w-is-a-10-computer-with-wifi-and-bluetooth/\">https://www.engadget.com/2017/02/28/raspberry-pi-zero-w-is-a-10-computer-with-wifi-and-bluetooth/</a>\r\n</p>\r\n	',338,57,0,'CC-BY-SA','Raspberry Pi,Zero W,single board computer,sbc',0,0,1),
(2280,'2017-04-28','Lenovo X61s Part 2',526,'A description of living with the X61s for almost 2 weeks','<p>HPR episode on Lenovo X61s part 2</p>\r\n<ul>\r\n<li>Cost £36 including auction fees</li>\r\n<li>OS Free (any Linux will work well)</li>\r\n<li>Upgrade to 120Gig SSD £40 of ebay</li>\r\n<li>Total outlay £76</li>\r\n</ul>\r\n<p>If you have to buy one then get an OS free one and don\'t pay more than £80-£100 depending if it has an SSD or not</p>\r\n<p>Hello HPR, a few episodes ago I talked of using the Lenovo X61s with Watt OS and said I would report back after a possible upgrade to the laptop with and SSD replacement for the hard drive.</p>\r\n<p>Well I duly ordered and received a Drevo 120 Gig SSD from ebay. These are about £40 each so make a cheap upgrade to an older laptops spinning disc see review here:</p>\r\n<p><a href=\"https://www.enostech.com/drevo-x1-240gb-ssd-review/\" class=\"uri\">https://www.enostech.com/drevo-x1-240gb-ssd-review/</a></p>\r\n<p>after installing the PC with WattOS while it did everything you would need of an OS and was absolutely fine on the X61s I was a bit disillusioned with the amount of configuration needed to get all the software I needed working, definitely not New user friendly.</p>\r\n<p>Looking at other lite Linux distributions I came upon Linux Lite</p>\r\n<p><a href=\"https://www.linuxliteos.com/\" class=\"uri\">https://www.linuxliteos.com/</a></p>\r\n<p>and decided that this might be a better choice as it says it is aimed at new users, and being based on Ubuntu was a familiar beast. ISO was downloaded and duly installed on the X61s and as soon as all the updates were completed I looked at the installed software and it was more comprehensive but not at the expense of still being lightweight.</p>\r\n<p>At first Boot it takes about 300mb of ram and even with the word processor and Firefox in use Ram usage was only about 700mb.</p>\r\n<p>Audacity after install worked out of the box, and I\'ve already recorded and uploaded another show for HPR using the X61s and all went flawlessly. With the new SSD I am getting close to 5 hours of use from the 8 cell 63W battery installed on the PC and while I recognize the X61s being over 10 years old is not going to meet the needs of a power user, its fully capable of being an everyday laptop for basic office tasks, some light audio editing, and even photo editing in GIMP. I was able to edit and process a 10mb .jpg image without any issues and exporting the final image took seconds.</p>\r\n<p>I was fairly happy with the X61s performance with the 80Gig spinner it came with, but the addition of an SSD has both improved performance and battery life to the extent that I would happily take it on the road as my only PC. Actually for the porpoise of writing this review I\'ve lived with it as my main PC for almost 2 weeks and have not really missed its big brother the X230i i3 laptop I also have. In fact I was going to record a show using that and found that as it has a composite Audio jack, and my head set requires separate mic and headphone sockets I wasn\'t able to, so one up to the X61s there.</p>\r\n<p>Conclusion, if you have a couple of kids and you\'re looking for a laptop for them to do homework, watch Utube, and surf the web (parental controls enabled) then I would look no further. And if they get broken by said kids you\'ve not lost a bundle of dosh.</p>\r\n',338,57,0,'CC-BY-SA','Lenovo X61s, Linux Lite',0,0,1),
(2282,'2017-05-02','Pathfinder Adventure Card Game',2445,'Klaatu talks about the Pathfinder RPG franchise, the OGL license, and the Adventure Card Game','<p>Klaatu introduces you to the <a href=\"https://paizo.com/pathfinder/adventureCardGame/\" target=\"_blank\">Pathfinder</a> and the <a href=\"https://paizo.com/pathfinder/adventureCardGame\" target=\"_blank\">Pathfinder Adventure Card Game</a>.</p>\r\n\r\n<p>And since it&#39;s in the same neighborhood, Klaatu also mentions the <a href=\"https://www.opengamingfoundation.org/ogl.html\" target=\"_blank\">Open Game License</a> and mentions more than once <a href=\"https://dnd.wizards.com/dungeons-and-dragons/what-is-dd/forgotten-realms\" target=\"_blank\">Forgotten Realms</a>.</p>',78,95,0,'CC-BY-SA','game,gaming,tabletop,card,rpg',0,0,1),
(2269,'2017-04-13','Chocolate Milk',2529,'A sample show of the nixers podcast. Adam\'s story, milky chocolate, unicomp, and plan9','<p>More on <a href=\"https://nixers.net/showthread.php?tid=1991\" class=\"uri\">https://nixers.net/showthread.php?tid=1991</a></p>\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Unicomp\" class=\"uri\">https://en.wikipedia.org/wiki/Unicomp</a></li>\r\n<li><a href=\"https://plan9.bell-labs.com/plan9/\" class=\"uri\">https://plan9.bell-labs.com/plan9/</a></li>\r\n<li><a href=\"https://www.catb.org/~esr/writings/taoup/html/plan9.html\" class=\"uri\">https://www.catb.org/~esr/writings/taoup/html/plan9.html</a></li>\r\n<li><a href=\"https://mobile.osnews.com/story.php/15235...ng-System/\" class=\"uri\">https://mobile.osnews.com/story.php/15235...ng-System/</a></li>\r\n<li><a href=\"https://mobile.osnews.com/story.php/15235...tem//page2\" class=\"uri\">https://mobile.osnews.com/story.php/15235...tem//page2</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Chocolate_milk\" class=\"uri\">https://en.wikipedia.org/wiki/Chocolate_milk</a></li>\r\n<li><a href=\"https://pub.iotek.org/p/R4hgeL5\" class=\"uri\">https://pub.iotek.org/p/R4hgeL5</a></li>\r\n<li><a href=\"https://pub.iotek.org/p/iK0FNXy\" class=\"uri\">https://pub.iotek.org/p/iK0FNXy</a></li>\r\n</ul>\r\n<!--  -->\r\n<ul>\r\n<li>Music: Future Chiptune - Andrey Avkhimovich<br />\r\n<a href=\"https://www.jamendo.com/track/1108723/future-chiptune\" class=\"uri\">https://www.jamendo.com/track/1108723/future-chiptune</a></li>\r\n</ul>\r\n',353,0,0,'CC-BY-SA','Unix, Technology, Plan9, Keyboard',0,0,1),
(2286,'2017-05-08','Surviving a Stroke',644,'on the 2nd of February I had a stroke, this is my story','<p>First off a disclaimer: anything I say here is my experience and is in no way intended as advice to anyone, everyone who experiences or is at risk of a stroke is different and you must make your own lifestyle choices based on professional advice.</p>\r\n<p>That clear lets get on with my show. On the 2nd February 2017 I had a Stroke, it came completely without warning. I was out with my wife, just about to start a Bridge class we were attending. I sat down at the table and just after sitting down was blasted with what I thought was White Noise from faulty hearing aids. After quickly removing them without any effect I thought I was having a sudden severe migraine, which I have from time to time. However I was unable to communicate what was happening and after several minutes my wife wrote on a paper the words “Home” and “Hospital” and I pointed to hospital. An Emergency ambulance was duly called and I was transferred to the local Emergency Department. Several hours later in the early hours of the next morning they admitted me, still not sure what had happened. It was only after a scan that afternoon that they concluded that I had had a Stroke.</p>\r\n<p>I was seen by a consultant that evening who confirmed this and as I still had residual problems on my right side concluded that it was a stroke, and not a TIA (Transient Ischaemic Attack) or a mini stroke as it is sometimes called. I spent the next 12 days in hospital having further tests, including another scan, an MRI as opposed to the previous CT scan I had had on admission. After seeing the results of this scan the Consultant was amazed that I was not more severely affected, in other cases of the type of stroke I suffered the physical and cognitive damage is much more severe. It was looking like I had thankfully, dodged a bullet.</p>\r\n<p>That is not to say there were no effects. My right side was effected and the fine motor control was damaged. Coordination in using my right hand and arm were initially difficult as was writing (I am predominantly right handed). Also my mouth felt like I was wearing someone’s false teeth, even though I have all my own. However the main effect has been fatigue, initially severe, but as I write this 6 weeks later this is starting to improve, although I still tire after 2-3 hours doing things that I could have done all day previously. I also still have a little feeling of weakness in my right hand and arm and writing is still an issue, thankfully most of my writing is done on a keyboard.</p>\r\n<p>So what caused it I hear you yelling, well the truth is they don’t know. The most serious risks are to people that Drink alcohol excessively, Smoke and have a high fat diet. Also those over weight particularly the obese, and people with diabetes are high risk. Another major risk factor is genetic, and I remembered afterwards that my Grandfather and an Uncle had major strokes that ultimately led to their deaths. Also stress and high blood pressure can be a factor.</p>\r\n<p>I don’t drink or smoke and have been a vegetarian for many years, also my blood pressure is checked regularly and was always seen as within normal range. However I was at the time of the stroke 21lb over weight, but even before it happened I had lost 7lb. Since the stroke the blood tests also show I am pre-diabetic so I need to increase my exercise (again something I had started to do), and alter my diet to reduce my blood sugars. Not major issues as I had started to attend a gym and walk more as part of the weight loss plan, and I actually prefer healthy food, and now have a reason to say to people when I’m in company why I eat what and the way I do.</p>\r\n<p>The main effect for me has been the restriction on my mobility as the Consultant will not let me drive until 3 months post discharge (14th May), which means I have to rely on others or get public transport, this is not the problem but having to walk from transport stops to where I’m going is due to the fatigue. Roll on May 14th.</p>\r\n<p>I thought I would record this show as a bit of a warning, and for listeners to realise that a Stroke can and does happen to anyone. On a positive note there is life after stroke and even for those who are more seriously disabled by a stroke many can and do recover most if not all the function they had before hand.</p>\r\n<p>Further info on Stroke can be found here:</p>\r\n<p><a href=\"https://www.stroke.org.uk/\" class=\"uri\">https://www.stroke.org.uk/</a></p>\r\n<p><a href=\"https://www.nhs.uk/conditions/stroke/pages/introduction.aspx\" class=\"uri\">https://www.nhs.uk/conditions/stroke/pages/introduction.aspx</a></p>\r\n',338,100,0,'CC-BY-SA','health,stroke,recovery,TIA',0,0,1),
(2270,'2017-04-14','Managing tags on HPR episodes - 3',1893,'Looking for the best way to store and manage tags in the HPR database, part 3','<h1 id=\"managing-tags-on-hpr-episodes---3\">Managing tags on HPR episodes - 3</h1>\r\n<h2 id=\"introduction\">Introduction</h2>\r\n<p>This is the third (and last) show looking at the subject of Managing Tags relating to HPR shows.</p>\r\n<p>In the <a href=\"https://hackerpublicradio.org/eps.php?id=2245\" title=\"Managing tags on HPR episodes - 1\">first show</a> we looked at why we need tags, and examined the advantages and disadvantages of the present system of storage. We considered the drawbacks of this design when searching the tags.</p>\r\n<p>Then in the <a href=\"https://hackerpublicradio.org/eps.php?id=2260\" title=\"Managing tags on HPR episodes - 2\">second show</a> we looked at a simple way of making a tags table and how to query it in order to fulfil the requirements defined in the first show.</p>\r\n<p>In this show we’ll look at a more rigorous, efficient, “<em>normalised</em>” solution.</p>\r\n<h2 id=\"long-notes\">Long notes</h2>\r\n<p>I have written out a set of longer notes for this episode and these are available <a href=\"https://hackerpublicradio.org/eps/hpr2270/full_shownotes.html\">here</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Previous shows in this set:\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2245\">“<em>Managing tags on HPR episodes - 1</em>”</a> - episode 2245</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2260\">“<em>Managing tags on HPR episodes - 2</em>”</a> - episode 2260</li>\r\n</ul></li>\r\n<li>Mike Ray’s show on this subject: <a href=\"https://hackerpublicradio.org/eps.php?id=1569\">episode 1569, “<em>Many-to-many data relationship howto</em>”</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/report_missing_tags.php\">HPR page listing shows missing summaries and tags</a></li>\r\n<li>Included files:\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2270/full_shownotes.html\">Detailed notes</a> for this episode</li>\r\n<li>Image representing a many to many relationship: <a href=\"https://hackerpublicradio.org/eps/hpr2270/table_relationships.svg\"><code>table_relationships.svg</code></a></li>\r\n<li>SQL to create the tables: <a href=\"https://hackerpublicradio.org/eps/hpr2270/normalise_tags_2.sql\"><code>normalise_tags_2.sql</code></a></li>\r\n<li>SQL to create a view: <a href=\"https://hackerpublicradio.org/eps/hpr2270/eps_hosts_tags_view.sql\"><code>eps_hosts_tags_view.sql</code></a></li>\r\n<li>Perl script to manage the tables: <a href=\"https://hackerpublicradio.org/eps/hpr2270/refresh_tags_2\"><code>refresh_tags_2</code></a></li>\r\n</ul></li>\r\n</ul>',225,0,1,'CC-BY-SA','HPR,database,schema,tags,many-to-many',0,0,1),
(2272,'2017-04-18','In Which Our Hero Takes 4 Hours to Install Hyper-V Server 2012',762,'A tale from the trenches.  When good servers go bad.','<p>So we had this server.</p>\r\n<p>As all servers are wont to do, this one had run successfully for a number of years. Everything worked perfectly until it didn’t.</p>\r\n<p>It ran, to my knowledge, only Hyper-V Server on its system drive, and had a second set of drives for hosting the VM that ran Microsoft Deployment Toolkit to service our depot. Our depot was on its own physical network, sharing with production only an ISP demarc.</p>\r\n<p>I had long since abandoned the depot and its trappings, thinking it someone else’s domain, thinking my time better spent on client systems, thinking that I didn’t need to know what happened in the oft-ignored part of our operation. I assumed that it was set up properly since it had been so stable for so many years. But you know the old saying:</p>\r\n<p><em>When you make assumptions you make an ass out of you and muptions.</em></p>\r\n<h3 id=\"the-problem.\">The Problem.</h3>\r\n<p>Our monitoring systems reports the two depot servers offline, both the hypervisor and its virtual. I sent our depot technician to take a look. They come back online and he tells me that it needed to be rebooted. Having divested myself of giving a damn about the depot, I barely found the energy to shrug.</p>\r\n<p>Then it happened again. I again sent the technician and promptly got wrapped up in some client-facing issue. I forgot about the servers until:</p>\r\n<p>They went offline a third time. I didn’t have to tell my depot tech; he was watching the same feed as I. He rummaged a bit and came back with a story of defeat and virtual disks not being found.</p>\r\n<p>“The server won’t boot because the Virtual disk can’t be found” he said.</p>\r\n<p>“Ok, so you mean the virtual won’t come up, but what about the physical?” I replied.</p>\r\n<p>“No, that’s what I mean. It won’t get past BIOS. It’s complaining of a virtual drive not being found.”</p>\r\n<p>“Sounds bogus, let’s look.”</p>\r\n<p>He was not wrong; that is what the screen said. And what it meant was RAID failure. I slid off the front of the server case and sure enough, one of the drives had popped.</p>\r\n<p>Oh, did I mention? No backups.</p>\r\n<h3 id=\"the-rabbit-hole.\">The Rabbit Hole.</h3>\r\n<p>Drives pop sometimes, ain’t no thing. We build systems to be resilient. You slap a fresh one in there and it starts re-silvering and you get on with your day. Not this time, gentle reader.</p>\r\n<p>While digging through the RAID controller, I found, to my amazement, horror, and utter confusion, that whatever chucklefuck set up this server put the two system drives in a RAID 0. As I stared at the screen and at the blinking amber drive light, all that could pass my lips was a quiet “Oh my god, why?”</p>\r\n<p>In this scenario, I didn’t see any way forward, but through. So far, it had been demonstrated that the bad drive would behave for about 2 hours, then throw a fit. I shut down the server and took some time to think about how to proceed. In that time, I re-discovered some of the things the virtual machine was serving.</p>\r\n<p>Things like: MDT, DNS, DHCP, PXE boot, but most importantly: the lone DC for depot.local (MDT needs a domain). Oh, and it was the only machine that was set up to manage the hypervisor through the Hyper-V console and Server Manager.</p>\r\n<p>GREAT.</p>\r\n<p>Compounding the issue, the virtual was not stored on the separate set of RAID 1 disks in this server as I had assumed. It was stored on the system drive. Oh joy, oh rapture.</p>\r\n<p>My new mission: Rescue that virtual.</p>\r\n<h3 id=\"the-struggle.\">The Struggle.</h3>\r\n<p>First things first. I assume I’ll only have one chance to rescue this data before this drive bites the dust for good. I plug in the VGA and keyboard. Take a deep breath.</p>\r\n<p>I turn on the server.</p>\r\n<p>It fails to boot into the operating system. “Come on, you little shit.” Take out the drive and put it back in. Success. We boot into the OS and I’m presented with a log on screen. Password.</p>\r\n<p>There are no logon servers available to process your request.</p>\r\n<p>Shit, that’s right. The virtual is the only DC. K, local admin it is. Login successful. Presented with a command like and SConfig. Grab the terminal and start poking about. cd to C: and dir. Find a folder named VMs. Bingo. Started copying the VHDX to the RAID 1 set.</p>\r\n<pre><code>cp “C:\\vms\\Hyper-V Replica\\Virtual hard disks\\{guid}\\{guid}.vhdx” E:\\</code></pre>\r\n<p>The server moves the data at a respectful 700Mbps, considering its current degraded state. It eventually finished the transfer after about 10 agonizing minutes. Shut down the physical to preserve the bad drive.</p>\r\n<p>We are out of the woods, but it’s still a long way to Gramma’s house.</p>\r\n<p>The King is Dead; Long Live the King.</p>\r\n<p>I have a plan. Now that I have the VHDX, and since we clearly need a replica server, I’ll push my luck. I’ll build a new server and see if I can replicate the virtual. I happen to have a disused server sitting right next to the bad server. It’s admittedly dissimilar hardware, but shouldn’t be a problem. I don’t know why it’s lying dormant or what it was used for in the days of yore, but it’s mine now. Eminent domain.</p>\r\n<p>And here is the story of how it took me 4 hours to install an OS that usually takes 3 minutes.</p>\r\n<p>We need to load up Hyper-V 2012 on this “new” server first.</p>\r\n<p>As is standard practice, I disconnect all but one drive from the mobo. I do this because sometimes the Windows installer decides that the “SYSTEM” partition belongs on a different drive from the C partition and it makes me cry. I used rufus (what a fantastic little utility, really. I need to donate to that guy) to make a HV 2012 boot disk from ISO.</p>\r\n<p>You know how it takes a few times to get a USB to go into it’s slot correctly? Not me. I whipped that bad mamma-jamma like a shuriken from 30 feet away and it slid perfectly into the front of the server. Fireworks, 100 doves, the works.</p>\r\n<p>Boot it, get to the installer part where it asks you upon which drive you wish to install it. Boom, error:</p>\r\n<p>Setup was unable to create a new system partition or locate an existing system partition.</p>\r\n<p>Weird. Sounds like a problem with the disk, right? Open up diskpart, clean it, format, create partition, assign it a letter. No go. Try a different drive? Nope. Disconnect the cd drive maybe. No dice. Connect all the drives and try each one. Nada. Boot up into Ubuntu and use GParted to re-do what I did in diskpart. Zilch. Re-create the install media. Goose egg. Try the back USB ports. I’m running out of ways to say no, but in essence, nothing was making this error go away.</p>\r\n<p>Screw it. Maybe this is why this server was sitting unused? Maybe it’s a bad mobo or something and frankly, I don’t care. Part out the drives and junk it.</p>\r\n<p>We happen to have a literal pile of servers to pick from, so I grab the one on top because it’s the most similar to the bad server and because you must be out your damned mind if you think I’m digging through that mound of junk. This’ll do nicely.</p>\r\n<p>Remember how I said I didn’t want to have anything to do with the depot? I still don’t. I want this new server to be unkillable, may he reign for a thousand generations. So, I may have gone a little overboard with the RAID setup for one simple hypervisor, which is going to be backed up and replicated.</p>\r\n<p>That there is a 1TB RAID 1 with a hotspare and a 500ish GB RAID 5 with a hotspare. I never want to hear from this server again.</p>\r\n<p>OK, so we start the Windows server install and:</p>\r\n<p><em>THE SAME ERROR.</em></p>\r\n<p>No way. I have done this dozens of times, this is insane. I have used this exact same USB drive to do it! I can use it on an ancient spare laptop and go through the install perfectly fine. I have dug through pages of posts on forums and tried every last solution suggested except one. I find, on page 3 (!) of Google, someone say that it only failed for them when they used a USB 3.0 drive to install. I look at the end of my USB install media, see blue, then see red. NO. WAY.</p>\r\n<p>So I hunt around for a USB 2.0 drive. Takes me a few minutes, but we had one holding up the leg of a table. Rufus took a bit longer this time. When the drive was cooked, I gingerly placed it in the receptacle and crossed my fingers. If this didn’t work, then I was all out of ideas. No clue.</p>\r\n<p>It worked. I could not believe it. USB 3.0. Why, Windows, WHY?</p>\r\n<h3 id=\"playing-with-fire.\">Playing with Fire.</h3>\r\n<p>Creating a new domain is a pain in the ass. I considered a number of possibilities, but now that I had the re-install of this server figured out, I figured let’s go nuts and join the new hypervisor to the old domain depot.local. If you’ll remember from 6 years ago when I started telling you this story, the sole virtual server performed DCHP, DNS, and DC functions.</p>\r\n<p>I powered up the bad physical server. It complained, but complied. Started the virtual, no issue. Waited a few minutes, then joined the shiny new server to the domain depot.local. From there, with the DC up and running it was a simple matter of using the Hyper-V console to set up replication. After about an hour of pacing back and forth like I was awaiting the birth of my first child, the virtual made it and was failed over successfully.</p>\r\n<p>There were a few more issues to resolve, like the DNS server having the wrong IPs for just about everything even though they have been using statics for years, DHCP not responding on port 4011 for MDT for PXE Boot, DHCP being handed out by the virtual AND by the router on the same subnet (?!?!), and the DNS server refusing to connect over the HyperV vSwitch, but now at least I don’t have a knot in my stomach. I don’t know how this environment ever worked like this. What a mess to clean up.</p>\r\n<p>I ripped the bad half of the RAID 0 out of the server like a man possessed. I nailed it to the wall behind my desk. There is a sign under it that reads: “RAID 0 is not RAID. If you use RAID 0 on anything, I will throw this hard drive at your head. I have good aim. It will probably hit your mouth.”</p>\r\n',319,0,1,'CC-BY-SA','Windows, Servers, IT, MSP, Story',0,0,1),
(2273,'2017-04-19','Fountain Pens',1391,'In this episode, I cover some of the basics of Fountain Pens','<p>For a good basic rundown of the parts of a fountain pen, The Goulet Pen Company has a fairly decent page at: <a href=\"https://www.gouletpens.com/anatomy-of-a-fountain-pen\" class=\"uri\">https://www.gouletpens.com/anatomy-of-a-fountain-pen</a></p>\r\n<p>Fountain pens on Youtube:</p>\r\n<ul>\r\n<li><a href=\"https://www.youtube.com/user/TheInkNouveau\" class=\"uri\">https://www.youtube.com/user/TheInkNouveau</a></li>\r\n<li><a href=\"https://www.youtube.com/user/sbrebrown\" class=\"uri\">https://www.youtube.com/user/sbrebrown</a></li>\r\n<li><a href=\"https://www.youtube.com/user/PenHabit\" class=\"uri\">https://www.youtube.com/user/PenHabit</a></li>\r\n</ul>\r\n',325,112,1,'CC-BY-SA','fountain pen,nib,feed,barrel,section,cartridge,converter,piston fill',0,0,1),
(2277,'2017-04-25','Outernet and other projects',884,'In this episode, I take a look at some different attempts to spread free internet access.','<ul>\r\n<li><p>Outernet Links -</p>\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Outernet\" class=\"uri\">https://en.wikipedia.org/wiki/Outernet</a></li>\r\n<li><a href=\"https://outernet.is/products/\" class=\"uri\">https://outernet.is/products/</a></li>\r\n<li><a href=\"https://gizmodo.com/what-is-the-outernet-and-is-it-the-future-of-the-intern-1659647614\" class=\"uri\">https://gizmodo.com/what-is-the-outernet-and-is-it-the-future-of-the-intern-1659647614</a></li>\r\n</ul></li>\r\n<li><p>Project Loon -</p>\r\n<ul>\r\n<li><a href=\"https://gizmodo.com/tag/project-loon\" class=\"uri\">https://gizmodo.com/tag/project-loon</a></li>\r\n</ul></li>\r\n<li><p>Facebook internet.org -</p>\r\n<ul>\r\n<li><a href=\"https://gizmodo.com/all-the-reasons-experts-are-so-pissed-about-facebook-s-1705526855\" class=\"uri\">https://gizmodo.com/all-the-reasons-experts-are-so-pissed-about-facebook-s-1705526855</a></li>\r\n<li><a href=\"https://gizmodo.com/a-week-after-india-banned-it-facebooks-free-basics-s-1750299423\" class=\"uri\">https://gizmodo.com/a-week-after-india-banned-it-facebooks-free-basics-s-1750299423</a></li>\r\n<li><a href=\"https://gizmodo.com/is-facebooks-free-internet-plan-totally-doomed-1786108756\" class=\"uri\">https://gizmodo.com/is-facebooks-free-internet-plan-totally-doomed-1786108756</a></li>\r\n</ul></li>\r\n</ul>\r\n',325,0,1,'CC-BY-SA','free internet,Outernet,Project Loon',0,0,1),
(2274,'2017-04-20','First Microsoft Surface Pro Ubuntu 16.04 Dual boot',556,'A short talk about converting a MS Surface pro from windows to unbuntu','<p>Hi. I purchased the first MS Pro on ebay after hearing of a like project on the Linux Action Show. I do a lot of traveling and I am always feeling bad about not having a something with open source on it.</p>\r\n<p>So one of the best for travel is the MS surface pro.</p>\r\n<p>In short it works great with Ubuntu.</p>',129,0,1,'CC-BY-SA','Microsoft Surface Pro,Ubuntu',0,0,1),
(2300,'2017-05-26','The first Intel CompuStick',655,'A talk about the original intel compute stick with ubuntu factory installed','<p>Well basically the stick out of the box was not very usable. I had to struggle with it for a long time to make it work for me doing even the most basic tasks. I went to <a href=\"https://linuxiumcomau.blogspot.com/\" class=\"uri\">https://linuxiumcomau.blogspot.com/</a> and things got better.</p>',129,0,1,'CC-BY-SA','Intel CompuStick,Ubuntu,UEFI',0,0,1),
(2327,'2017-07-04','A Texan\'s view on Why only a Native Born person can be President',426,'A quick talk about why America is special','<p>Based on my limited knowledge of our founding documents. I have read them a few times and had a few basic classes about our founding documents. So I am not lawyer or Professor just a normal person with a very normal education. I did see the starting documents at the national archive last sept 2016 and they are real and can be publicly read.</p>',129,0,1,'CC-BY-SA','President of the United States,eligibility',0,0,1),
(2347,'2017-08-01','An Intro to Apache Hadoop',2249,'Just a pretty boring summary of what Hadoop is and how it works.','<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Apache_Hadoop\" class=\"uri\">https://en.wikipedia.org/wiki/Apache_Hadoop</a><br />\r\nThe link above is primary info source.</li>\r\n<li><a href=\"https://hadoop.apache.org/\" class=\"uri\">https://hadoop.apache.org/</a><br />\r\nhas all the learning docs.</li>\r\n</ul>\r\n',129,0,1,'CC-BY-SA','Hadoop,big data,MapReduce,cluster,HDFS',0,0,1),
(2275,'2017-04-21','Penguicon 2017',1126,'A look at the lineup for the 2017 event.','<p>Penguicon 2017 is a combined technology and science fiction convention in Southfield, Michigan, a suburb of Detroit, and presents over 500 hours of programming over the entire weekend. Of this, around 100 hours are open source, tech-related. In this episode I give you a look at the lineup you can expect to see.</p>\r\n<h3 id=\"links\">Links:</h3>\r\n<ul>\r\n<li><a href=\"https://2017.penguicon.org/\" class=\"uri\">https://2017.penguicon.org/</a></li>\r\n</ul>',198,96,0,'CC-BY-SA','Penguicon 2017',0,0,1),
(2370,'2017-09-01','Who is HortonWorks?',1139,'And what they do with Hadoop.','<p>Just a quick show about Hortonworks and what they do.</p>\r\n<p>They are the biggest contributor to the Apache Hadoop project.</p>\r\n<p><a href=\"https://hortonworks.com/\" class=\"uri\">https://hortonworks.com/</a></p>',129,0,0,'CC-BY-SA','Apache Hadoop, Hadoop',0,0,1),
(2278,'2017-04-26','Some supplementary Bash tips',2375,'Finishing off the subject of expansion in Bash (part 1)','<h2 id=\"some-supplementary-bash-tips\">Some supplementary Bash tips</h2>\r\n<h3 id=\"pathname-expansion-part-1-of-2\">Pathname expansion; part 1 of 2</h3>\r\n<h2 id=\"expansion\">Expansion</h2>\r\n<p>As we saw in the last episode <a href=\"https://hackerpublicradio.org/eps.php?id=2045\" title=\"Some other Bash tips\">2045</a> (and others in this sub-series) there are eight types of expansion applied to the command line in the following order:</p>\r\n<ul>\r\n<li>Brace expansion (we looked at this subject in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1884\" title=\"Some more Bash tips\">1884</a>)</li>\r\n<li>Tilde expansion (seen in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1903\" title=\"Some further Bash tips\">1903</a>)</li>\r\n<li>Parameter and variable expansion (this was covered in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1648\" title=\"Bash parameter manipulation\">1648</a>)</li>\r\n<li>Command substitution (seen in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1903\" title=\"Some further Bash tips\">1903</a>)</li>\r\n<li>Arithmetic expansion (seen in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1951\" title=\"Some additional Bash tips\">1951</a>)</li>\r\n<li>Process substitution (seen in episode <a href=\"https://hackerpublicradio.org/eps.php?id=2045\" title=\"Some other Bash tips\">2045</a>)</li>\r\n<li>Word splitting (seen in episode <a href=\"https://hackerpublicradio.org/eps.php?id=2045\" title=\"Some other Bash tips\">2045</a>)</li>\r\n<li>Pathname expansion (this episode and the next)</li>\r\n</ul>\r\n<p>This is the last topic in the (sub-) series about expansion in Bash. However, when writing the notes for this episode it became apparent that there was too much to fit into a single HPR episode. Consequently I have made it into two.</p>\r\n<p>In this episode we will look at simple pathname expansion and some of the ways in which its behaviour can be controlled. In the next episode we’ll finish by looking at extended pattern matching. Both are included in the “<a href=\"https://hackerpublicradio.org/eps/hpr2278/full_shownotes.html#manual-page-extracts\">Manual Page Extracts</a>” section at the end of the long notes.</p>\r\n<h2 id=\"long-show-notes\">Long Show Notes</h2>\r\n<p>I have written out a moderately long set of notes about this subject and these are available <a href=\"https://hackerpublicradio.org/eps/hpr2278/full_shownotes.html\">here</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<!-- \\_ -->\r\n<ul>\r\n<li>Previous shows in this series\r\n<ol>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1648\">HPR episode 1648 “<em>Bash parameter manipulation</em>”</a> (2014-11-26)</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1843\">HPR episode 1843 “<em>Some Bash tips</em>”</a> (2015-08-26)</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1884\">HPR episode 1884 “<em>Some more Bash tips</em>”</a> (2015-10-22)</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1903\">HPR episode 1903 “<em>Some further Bash tips</em>”</a> (2015-11-18)</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1951\">HPR episode 1951 “<em>Some additional Bash tips</em>”</a> (2016-01-25)</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2045\">HPR episode 2045 “<em>Some other Bash tips</em>”</a> (2016-06-03)</li>\r\n</ol></li>\r\n</ul>\r\n<!-- - -->\r\n<ul>\r\n<li>Other HPR series referenced:\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/series/0090.html\">“<em>Learning sed</em>”</a> series on HPR</li>\r\n<li><a href=\"https://hackerpublicradio.org/series/0094.html\">“<em>Learning Awk</em>”</a> series on HPR</li>\r\n</ul></li>\r\n</ul>\r\n<!-- - -->\r\n<ul>\r\n<li>Wikipedia article on <a href=\"https://en.wikipedia.org/wiki/Glob_%28programming%29\"><em>glob patterns</em></a></li>\r\n<li>Advanced Bash Scripting Guide: <a href=\"https://www.tldp.org/LDP/abs/html/globbingref.html\">“<em>Globbing</em>”</a></li>\r\n<li>Article on <a href=\"https://mywiki.wooledge.org/glob\"><em>Greg’s Wiki</em></a> entitled “<em>Globs</em>”</li>\r\n</ul>\r\n\r\n',225,42,1,'CC-BY-SA','Bash,expansion,pathname expansion,shopt',0,0,1),
(2283,'2017-05-03','Saving money shaving with double and single edge safety razors',1031,'Using double and single edge safety razors to save money','<ul>\r\n<li><a href=\"https://www.tedpella.com/dissect_html/blades.htm#stainless\">Single Edge, PTFE-Coated, Stainless Steel Blades</a></li>\r\n<li><a href=\"https://www.tedpella.com/dissect_html/blades.htm#stainless\">Injector Style Stainless Steel, PTFE-Coated Blades</a></li>\r\n<li><a href=\"https://www.amazon.com/Astra-Platinum-Double-Safety-Blades/dp/B001QY8QXM?th=1\">Astra SP blades</a></li>\r\n</ul>',77,0,0,'CC-BY-SA','shaving,razor,safety razor,razor blade',0,0,1),
(2284,'2017-05-04','Resurrecting a dead ethernet switch',893,'Replacing a failing capacitor in the power supply of an ethernet switch to make it work again.','<p>In this episode I simply let you participate with me replacing an electrolytic capacitor in the power supply of an Ethernet switch.</p>\r\n<p>The broken capacitor shows a bulge in its housing and was therefore easily identifiable. The supply voltage in the fault condition could be observed with an oscilloscope to completely collapse when load is turned on. Both facts are illustrated in the image below.</p>\r\n<p>Replacing the capacitor fixed the switch and brought it back in service.</p>\r\n<p><a href=\"https://hackerpublicradio.org/eps/hpr2284.jpg\"><img src=\"https://hackerpublicradio.org/eps/hpr2284_small.jpg\" alt=\"Faulty capacitor\" /></a></p>',271,0,0,'CC-BY-SA','Ethernet switch, capacitor, power supply',0,0,1),
(2279,'2017-04-27','The first Intel CompuStick sound fix with LUbuntu',296,'A quick podcast about sound with LUbuntu','<p><a href=\"https://allaboutmynonexistedworld.wordpress.com/2014/06/03/lubuntu-hdmi-sound-output/\" class=\"uri\">https://allaboutmynonexistedworld.wordpress.com/2014/06/03/lubuntu-hdmi-sound-output/</a></p>\r\n',129,0,1,'CC-BY-SA','Intel CompuStick,Lubuntu,pulse audio',0,0,1),
(2285,'2017-05-05','The Tick Conspiracy',621,'A show that covers the ongoing war between ticks (may they rot in hell) and everything else.','<p>\r\n<strong>Reminder:</strong> This show is released in .ogg a non patent encumbered format.\r\n</p>\r\n<ul>\r\n<li><a href=\"https://www.cdc.gov/ticks/avoid/in_the_yard.html\">https://www.cdc.gov/ticks/avoid/in_the_yard.html</a>\r\n</li>\r\n<li><a href=\"https://www.cdc.gov/ticks/avoid/on_people.html\">https://www.cdc.gov/ticks/avoid/on_people.html</a>\r\n</li>\r\n<li><a href=\"https://animals.mom.me/animals-eat-deer-ticks-10003.html\">https://animals.mom.me/animals-eat-deer-ticks-10003.html</a>\r\n</li>\r\n<li><a href=\"https://www.caryinstitute.org/newsroom/opossums-killers-ticks\">https://www.caryinstitute.org/newsroom/opossums-killers-ticks</a>\r\n</li>\r\n<li><a href=\"https://www.usatoday.com/story/news/nation-now/2017/04/06/2017-may-very-bad-year-lyme-disease/100120496/\">https://www.usatoday.com/story/news/nation-now/2017/04/06/2017-may-very-bad-year-lyme-disease/100120496/</a>\r\n</li>\r\n</ul>',354,0,1,'CC-BY-SA','Ticks, Paranoia, Comedic, Informative?',0,0,1),
(2290,'2017-05-12','How to change the height of your Ironing board',168,'Amazing Life Hack that will change your life forever.','<p>Tired of having back ache after Ironing</p>\r\n<p>Check out this amazing episode to hear how you too can transform a dull chore into an enjoyable experience !!!!</p>\r\n<p>\r\n<a href=\"https://hackerpublicradio.org/eps/hpr2290.jpg\">\r\n  <img src=\"https://hackerpublicradio.org/eps/hpr2290_small.jpg\" alt=\"Ironing board modification\"/>\r\n</a>\r\n</p>\r\n',30,0,1,'CC-BY-SA','Amazing Life Hack',0,0,1),
(2287,'2017-05-09','Desparately Seeking Saving RMS - Introduction',1830,'My attempt to start moving towards the RMS Model','<p>\r\nMy start towards the RMS ideal.\r\n</p>\r\n',151,0,1,'CC-BY-SA','free software, richard stallman, RMS',0,0,1),
(2501,'2018-03-05','HPR Community News for February 2018',2881,'HPR Volunteers talk about shows released and comments posted in February 2018','\n\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n\n    <a href=\"https://hackerpublicradio.org/correspondents/0361.html\" target=\"_blank\">Aaressaar</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0362.html\" target=\"_blank\">MPardo</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2479\" target=\"_blank\">2479</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-02-01</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2479\" target=\"_blank\">Intergraph workstation</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2480\" target=\"_blank\">2480</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-02-02</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2480\" target=\"_blank\">What\'s In My Podcatcher 1</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2481\" target=\"_blank\">2481</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-02-05</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2481\" target=\"_blank\">HPR Community News for January 2018</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2482\" target=\"_blank\">2482</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-02-06</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2482\" target=\"_blank\">lca2018: Katie McLaughlin</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2483\" target=\"_blank\">2483</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-02-07</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2483\" target=\"_blank\">Useful Bash functions - part 4</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2484\" target=\"_blank\">2484</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-02-08</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2484\" target=\"_blank\">The Big Idea</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2485\" target=\"_blank\">2485</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-02-09</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2485\" target=\"_blank\">The Alien Brothers Podcast - S01E05 - I Saw the Invisible Man</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0359.html\" target=\"_blank\">The Alien Brothers Podcast (ABP)</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2486\" target=\"_blank\">2486</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-02-12</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2486\" target=\"_blank\">Some stuff I bought at a recent amateur radio rally</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2487\" target=\"_blank\">2487</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-02-13</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2487\" target=\"_blank\">Simple LibreOffice Repo for Fedora</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0273.html\" target=\"_blank\">ToeJet</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2488\" target=\"_blank\">2488</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-02-14</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2488\" target=\"_blank\">Psychology of Love</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0361.html\" target=\"_blank\">Aaressaar</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2489\" target=\"_blank\">2489</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-02-15</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2489\" target=\"_blank\">CONTEXT IS EVERYTHING</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2490\" target=\"_blank\">2490</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-02-16</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2490\" target=\"_blank\">What\'s In My Podcatcher 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2491\" target=\"_blank\">2491</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-02-19</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2491\" target=\"_blank\">Some news with Finux</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0085.html\" target=\"_blank\">finux</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2492\" target=\"_blank\">2492</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-02-20</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2492\" target=\"_blank\">An Evening Subway Ride</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0362.html\" target=\"_blank\">MPardo</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2493\" target=\"_blank\">2493</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-02-21</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2493\" target=\"_blank\">YouTube Subscriptions - update</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2494\" target=\"_blank\">2494</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-02-22</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2494\" target=\"_blank\">linux.conf.au 2018: Nicolas Steenhout</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2495\" target=\"_blank\">2495</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-02-23</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2495\" target=\"_blank\">10 Years of Xoke</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0079.html\" target=\"_blank\">Xoke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2496\" target=\"_blank\">2496</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-02-26</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2496\" target=\"_blank\">Making a Raspberry Pi inventory</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2497\" target=\"_blank\">2497</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-02-27</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2497\" target=\"_blank\">HPR 2017 New Years Eve show part 1</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2498\" target=\"_blank\">2498</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-02-28</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2498\" target=\"_blank\">Life without Google</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0110.html\" target=\"_blank\">Quvmoh</a></td>\n    </tr>\n</table>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 19 comments in total.</p>\n<p>There are 6 comments on\n4 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2418#comments\" target=\"_blank\">hpr2418</a></strong>\n(2017-11-08) \"<em>What\'s in my ham shack, part 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2418#2\" target=\"_blank\">Comment 2</a>:\nMrX on 2018-02-25:\n\"re great infos\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2465#comments\" target=\"_blank\">hpr2465</a></strong>\n(2018-01-12) \"<em>TronScript where have you been all my life!</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2465#1\" target=\"_blank\">Comment 1</a>:\ntimttmy on 2018-02-03:\n\"Thanks\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2477#comments\" target=\"_blank\">hpr2477</a></strong>\n(2018-01-30) \"<em>Reading Audio Books While Distracted</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2477#2\" target=\"_blank\">Comment 2</a>:\ndodddummy on 2018-02-05:\n\"Chickens\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2477#3\" target=\"_blank\">Comment 3</a>:\nWindigo on 2018-02-19:\n\"Also distractable\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2478#comments\" target=\"_blank\">hpr2478</a></strong>\n(2018-01-31) \"<em>City Of Masks - HPR_AudioBookClub</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0157.html\" target=\"_blank\">HPR_AudioBookClub</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2478#1\" target=\"_blank\">Comment 1</a>:\nhammerron on 2018-02-04:\n\"a second Star Trek reference\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2478#2\" target=\"_blank\">Comment 2</a>:\nlostnbronx on 2018-02-05:\n\"Excellent Episode\"</li></ul><br/>\n</li></ul>\n<p>There are 13 comments on 7 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2482#comments\" target=\"_blank\">hpr2482</a></strong>\n(2018-02-06) \"<em>lca2018: Katie McLaughlin</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0315.html\" target=\"_blank\">Clinton Roy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2482#1\" target=\"_blank\">Comment 1</a>:\nClinton Roy on 2018-02-05:\n\"How on earth did I do that? :(\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2482#2\" target=\"_blank\">Comment 2</a>:\nClinton Roy on 2018-02-17:\n\"Thank you to the admins\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2488#comments\" target=\"_blank\">hpr2488</a></strong>\n(2018-02-14) \"<em>Psychology of Love</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0361.html\" target=\"_blank\">Aaressaar</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2488#1\" target=\"_blank\">Comment 1</a>:\nWindigo on 2018-02-19:\n\"Welcome\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2489#comments\" target=\"_blank\">hpr2489</a></strong>\n(2018-02-15) \"<em>CONTEXT IS EVERYTHING</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2489#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2018-02-15:\n\"Bin there done that. (Deliberate typo Dave)\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2492#comments\" target=\"_blank\">hpr2492</a></strong>\n(2018-02-20) \"<em>An Evening Subway Ride</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0362.html\" target=\"_blank\">MPardo</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2492#1\" target=\"_blank\">Comment 1</a>:\nClinton Roy on 2018-02-19:\n\"Swapping in..\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2492#2\" target=\"_blank\">Comment 2</a>:\nRWA on 2018-02-20:\n\"hpr2492 :: An Evening Subway Ride\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2492#3\" target=\"_blank\">Comment 3</a>:\nMPardo on 2018-02-20:\n\"Screeching Steel Wheels\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2492#4\" target=\"_blank\">Comment 4</a>:\nKen Fallon on 2018-02-23:\n\"Meta\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2493#comments\" target=\"_blank\">hpr2493</a></strong>\n(2018-02-21) \"<em>YouTube Subscriptions - update</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2493#1\" target=\"_blank\">Comment 1</a>:\nHipstre on 2018-02-21:\n\"Entertained!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2493#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2018-02-27:\n\"Enjoy!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2495#comments\" target=\"_blank\">hpr2495</a></strong>\n(2018-02-23) \"<em>10 Years of Xoke</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0079.html\" target=\"_blank\">Xoke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2495#1\" target=\"_blank\">Comment 1</a>:\nClinton Roy on 2018-02-22:\n\"Wow\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2496#comments\" target=\"_blank\">hpr2496</a></strong>\n(2018-02-26) \"<em>Making a Raspberry Pi inventory</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2496#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2018-02-26:\n\"Directly into my toolbox\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2496#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2018-02-27:\n\"Thanks b-yeezi\"</li></ul><br/>\n</li></ul>\n\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available on the HPR server under\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-February/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-February/thread.html</a>\n\n\n<h2>Any other business</h2>\n<h3 id=\"tags-and-summaries\">Tags and Summaries</h3>\n<p>Thanks to <a href=\"https://hackerpublicradio.org/correspondents/0215.html\"><code>Windigo</code></a> and <a href=\"https://hackerpublicradio.org/correspondents/0357.html\"><code>bjb</code></a> for sending in updates in the past month.</p>\n<p>Over the period 25 shows have had tags and/or summaries added.</p>\n<p>If you would like to contribute to the tag/summary project visit the summary page at <a href=\"https://hackerpublicradio.org/report_missing_tags.php\" class=\"uri\">https://hackerpublicradio.org/report_missing_tags.php</a> and follow the instructions there.</p>\n<p>This page has been extended this month by the addition of a list of tags at the end. Each tag is followed by the show numbers which use that tag, each being a link to the show.</p>\n<p>The thinking is that if you are considering which tags to add to a show without them you can look through this list to find out whether other people have used the tag and in what context.</p>\n<!--\nvim: syntax=markdown:ts=8:sw=4:ai:et:tw=78:fo=tcqn:fdm=marker\n-->\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2521,'2018-04-02','HPR Community News for March 2018',3923,'HPR Volunteers talk about shows released and comments posted in March 2018','\n\n<h2>New hosts</h2>\n<p>\nWelcome to our new host: <br />\n\n    <a href=\"https://hackerpublicradio.org/correspondents/0363.html\" target=\"_blank\">the_remora</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2499\" target=\"_blank\">2499</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-03-01</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2499\" target=\"_blank\">Tuning around the HF 40Mtr band</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2500\" target=\"_blank\">2500</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-03-02</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2500\" target=\"_blank\">What\'s In My Podcatcher 3</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2501\" target=\"_blank\">2501</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-03-05</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2501\" target=\"_blank\">HPR Community News for February 2018</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2502\" target=\"_blank\">2502</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-03-06</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2502\" target=\"_blank\">Volume Of Thought</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2503\" target=\"_blank\">2503</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-03-07</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2503\" target=\"_blank\">My journey into podcasting</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0314.html\" target=\"_blank\">thelovebug</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2504\" target=\"_blank\">2504</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-03-08</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2504\" target=\"_blank\">Intro to Git with pen and paper</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2505\" target=\"_blank\">2505</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-03-09</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2505\" target=\"_blank\">The power of GNU Readline - part 3</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2506\" target=\"_blank\">2506</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-03-12</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2506\" target=\"_blank\">Build Your Own Lisp (A Book Review)</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0326.html\" target=\"_blank\">Brian in Ohio</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2507\" target=\"_blank\">2507</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-03-13</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2507\" target=\"_blank\">Racket, Nix, Fractalide and the sounds of a Hong Kong New Town</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2508\" target=\"_blank\">2508</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-03-14</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2508\" target=\"_blank\">False Prophets</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2509\" target=\"_blank\">2509</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-03-15</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2509\" target=\"_blank\">AudioBookClub 16 Matcher Rules</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0157.html\" target=\"_blank\">HPR_AudioBookClub</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2510\" target=\"_blank\">2510</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-03-16</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2510\" target=\"_blank\">26 - Diffie-Hellman-Merkle Key Exchange</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2511\" target=\"_blank\">2511</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-03-19</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2511\" target=\"_blank\">Response to episode 2496</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2512\" target=\"_blank\">2512</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-03-20</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2512\" target=\"_blank\">Intro to git remote</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2513\" target=\"_blank\">2513</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-03-21</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2513\" target=\"_blank\">Why I choose Aperture first</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0209.html\" target=\"_blank\">David Whitman</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2514\" target=\"_blank\">2514</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-03-22</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2514\" target=\"_blank\">Electronics Calculator Kit</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2515\" target=\"_blank\">2515</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-03-23</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2515\" target=\"_blank\">HPR 2017 New Years Eve show part 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2516\" target=\"_blank\">2516</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-03-26</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2516\" target=\"_blank\">Intro to git branch</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2517\" target=\"_blank\">2517</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-03-27</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2517\" target=\"_blank\">DIY CCTV Security System</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2518\" target=\"_blank\">2518</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-03-28</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2518\" target=\"_blank\">Converting My Laptop to Dual Boot</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0334.html\" target=\"_blank\">Steve Saner</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2519\" target=\"_blank\">2519</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-03-29</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2519\" target=\"_blank\">the_remora Builds a character in Edge of the Empire</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0363.html\" target=\"_blank\">the_remora</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2520\" target=\"_blank\">2520</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-03-30</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2520\" target=\"_blank\">Diffie-Hellman and Forward Secrecy</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n</table>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 34 comments in total.</p>\n<p>There are 5 comments on\n4 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2403#comments\" target=\"_blank\">hpr2403</a></strong>\n(2017-10-18) \"<em>Amateur Radio Round Table #3</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2403#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2018-03-05:\n\"Waveform Site\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2453#comments\" target=\"_blank\">hpr2453</a></strong>\n(2017-12-27) \"<em>The power of GNU Readline - part 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2453#1\" target=\"_blank\">Comment 1</a>:\nHipstre on 2018-03-31:\n\"GNU Readline 2\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2486#comments\" target=\"_blank\">hpr2486</a></strong>\n(2018-02-12) \"<em>Some stuff I bought at a recent amateur radio rally</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2486#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2018-03-01:\n\"Quite a haul!\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2486#2\" target=\"_blank\">Comment 2</a>:\nMrX on 2018-03-10:\n\"Re Quite a haul!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2498#comments\" target=\"_blank\">hpr2498</a></strong>\n(2018-02-28) \"<em>Life without Google</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0110.html\" target=\"_blank\">Quvmoh</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2498#1\" target=\"_blank\">Comment 1</a>:\nDraco Metallium on 2018-03-03:\n\"No more e-mails on my phone.\"</li></ul><br/>\n</li></ul>\n<p>There are 29 comments on 12 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2499#comments\" target=\"_blank\">hpr2499</a></strong>\n(2018-03-01) \"<em>Tuning around the HF 40Mtr band</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2499#1\" target=\"_blank\">Comment 1</a>:\nMichael on 2018-03-06:\n\"Great show!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2499#2\" target=\"_blank\">Comment 2</a>:\nMrX on 2018-03-10:\n\"re Great show!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2500#comments\" target=\"_blank\">hpr2500</a></strong>\n(2018-03-02) \"<em>What\'s In My Podcatcher 3</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2500#1\" target=\"_blank\">Comment 1</a>:\nSteve on 2018-03-06:\n\"How in the world...\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2500#2\" target=\"_blank\">Comment 2</a>:\nKevin O&#39;Brien on 2018-03-06:\n\"It&#39;s just what I do\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2501#comments\" target=\"_blank\">hpr2501</a></strong>\n(2018-03-05) \"<em>HPR Community News for February 2018</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2501#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2018-03-03:\n\"https://duidelijkautistisch.nl/\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2501#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2018-03-03:\n\"Escape for pipe\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2501#3\" target=\"_blank\">Comment 3</a>:\nClinton Roy on 2018-03-04:\n\"Thank you.\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2501#4\" target=\"_blank\">Comment 4</a>:\nclacke on 2018-03-07:\n\"Re: flea market\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2502#comments\" target=\"_blank\">hpr2502</a></strong>\n(2018-03-06) \"<em>Volume Of Thought</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2502#1\" target=\"_blank\">Comment 1</a>:\nWindigo on 2018-03-10:\n\"Two comments\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2503#comments\" target=\"_blank\">hpr2503</a></strong>\n(2018-03-07) \"<em>My journey into podcasting</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0314.html\" target=\"_blank\">thelovebug</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2503#1\" target=\"_blank\">Comment 1</a>:\nClinton Roy on 2018-03-06:\n\"Wow\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2503#2\" target=\"_blank\">Comment 2</a>:\nthelovebug on 2018-03-08:\n\"Re: Wow\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2505#comments\" target=\"_blank\">hpr2505</a></strong>\n(2018-03-09) \"<em>The power of GNU Readline - part 3</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2505#1\" target=\"_blank\">Comment 1</a>:\nJan on 2018-03-09:\n\"Some Lines Of Support\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2505#2\" target=\"_blank\">Comment 2</a>:\nClinton Roy on 2018-03-09:\n\"Comment Command\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2505#3\" target=\"_blank\">Comment 3</a>:\nclacke on 2018-03-11:\n\"Surprisingly useful\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2505#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2018-03-25:\n\"Thanks for the comments\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2507#comments\" target=\"_blank\">hpr2507</a></strong>\n(2018-03-13) \"<em>Racket, Nix, Fractalide and the sounds of a Hong Kong New Town</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2507#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2018-02-25:\n\"typo\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2507#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2018-02-26:\n\"Re: typo\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2507#3\" target=\"_blank\">Comment 3</a>:\nclacke on 2018-02-26:\n\"Re: typo\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2507#4\" target=\"_blank\">Comment 4</a>:\nclacke on 2018-02-28:\n\"Re: that info.rkt for a node\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2507#5\" target=\"_blank\">Comment 5</a>:\nclacke on 2018-03-20:\n\"Re: that info.rkt for a node\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2508#comments\" target=\"_blank\">hpr2508</a></strong>\n(2018-03-14) \"<em>False Prophets</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2508#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2018-03-23:\n\"You&#39;re right to worry, but ...\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2508#2\" target=\"_blank\">Comment 2</a>:\nLostnbronx on 2018-03-26:\n\"I Agree With You, But...\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2508#3\" target=\"_blank\">Comment 3</a>:\nKen Fallon on 2018-03-28:\n\"Wendover Productions video\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2509#comments\" target=\"_blank\">hpr2509</a></strong>\n(2018-03-15) \"<em>AudioBookClub 16 Matcher Rules</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0157.html\" target=\"_blank\">HPR_AudioBookClub</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2509#1\" target=\"_blank\">Comment 1</a>:\nClinton Roy on 2018-03-15:\n\"interesting\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2514#comments\" target=\"_blank\">hpr2514</a></strong>\n(2018-03-22) \"<em>Electronics Calculator Kit</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2514#1\" target=\"_blank\">Comment 1</a>:\nthelovebug on 2018-03-22:\n\"Blind faith\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2514#2\" target=\"_blank\">Comment 2</a>:\nNYbill on 2018-03-22:\n\"Enjoy the kit, Dave.\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2514#3\" target=\"_blank\">Comment 3</a>:\nthelovebug on 2018-03-24:\n\"Done and dusted\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2515#comments\" target=\"_blank\">hpr2515</a></strong>\n(2018-03-23) \"<em>HPR 2017 New Years Eve show part 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2515#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2018-03-27:\n\"Markdown shownotes\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2516#comments\" target=\"_blank\">hpr2516</a></strong>\n(2018-03-26) \"<em>Intro to git branch</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2516#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2018-03-26:\n\"Intro to git\"</li></ul><br/>\n</li></ul>\n\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available on the HPR server under\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-March/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-March/thread.html</a>\n\n\n<h2>Any other business</h2>\n<h3 id=\"new-series\">New series</h3>\n<p>Three new series have been added to HPR this month:</p>\n<ul>\n<li>GNU Readline: shows about the Readline library</li>\n<li>Hobby Electronics: building electronic circuits and kits</li>\n<li>Introduction to Git: Klaatu\'s series of Git shows</li>\n</ul>\n<h3 id=\"tags-and-summaries\">Tags and Summaries</h3>\n<p>Thanks to <a href=\"https://hackerpublicradio.org/correspondents/0215.html\"><code>Windigo</code></a> for sending in updates in the past month.</p>\n<p>Over the period 40 shows missing tags and/or summaries have been made whole.</p>\n<p>If you would like to contribute to the tag/summary project visit the summary page at <a href=\"https://hackerpublicradio.org/report_missing_tags.php\" class=\"uri\">https://hackerpublicradio.org/report_missing_tags.php</a> and follow the instructions there.</p>\n<p>The summary page has been further enhanced this month. The list of tags at the end of the page has been laid out to show the blocks with the same starting letter, and an alphabetic index added at the front. It is hoped that this will make it easier to find tags relating to the show to which you are about to add tags.</p>\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2546,'2018-05-07','HPR Community News for April 2018',1591,'Ken is on his own and talks about shows released and comments posted in April 2018','\n\n<h2>New hosts</h2>\n<p>\nWelcome to our new hosts: <br />\n\n    <a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a>, \n    <a href=\"https://hackerpublicradio.org/correspondents/0365.html\" target=\"_blank\">bookewyrmm</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2521\" target=\"_blank\">2521</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-04-02</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2521\" target=\"_blank\">HPR Community News for March 2018</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2522\" target=\"_blank\">2522</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-04-03</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2522\" target=\"_blank\">Flashbacks In Storytelling</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2523\" target=\"_blank\">2523</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-04-04</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2523\" target=\"_blank\">Run Linux on a Windows Box</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2524\" target=\"_blank\">2524</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-04-05</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2524\" target=\"_blank\">General problem solver</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2525\" target=\"_blank\">2525</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-04-06</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2525\" target=\"_blank\">HPR 2017 New Years Eve show part 3</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2526\" target=\"_blank\">2526</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-04-09</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2526\" target=\"_blank\">Gnu Awk - Part 10</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2527\" target=\"_blank\">2527</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-04-10</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2527\" target=\"_blank\">Reviews Vs. Critiques</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2528\" target=\"_blank\">2528</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-04-11</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2528\" target=\"_blank\">CCTV with DARKNET</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2529\" target=\"_blank\">2529</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-04-12</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2529\" target=\"_blank\">What\'s in my podcatcher</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0365.html\" target=\"_blank\">bookewyrmm</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2530\" target=\"_blank\">2530</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-04-13</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2530\" target=\"_blank\">Introduction to Health</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2531\" target=\"_blank\">2531</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-04-16</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2531\" target=\"_blank\">Plot And Story</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2532\" target=\"_blank\">2532</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-04-17</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2532\" target=\"_blank\">Podcrawl Glasgow 2018</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0314.html\" target=\"_blank\">thelovebug</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2533\" target=\"_blank\">2533</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-04-18</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2533\" target=\"_blank\">Burp Suite / ABCMouse Game</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2534\" target=\"_blank\">2534</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-04-19</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2534\" target=\"_blank\">Moving to Office 365 (and painting the ceiling)</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">knightwise</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2535\" target=\"_blank\">2535</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-04-20</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2535\" target=\"_blank\">HPR 2017 New Years Eve show part 4</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2536\" target=\"_blank\">2536</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-04-23</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2536\" target=\"_blank\">Lostnbronx examines points-of-view and tenses in storytelling.</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2537\" target=\"_blank\">2537</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-04-24</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2537\" target=\"_blank\">Recording HPR on the fly Part II</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2538\" target=\"_blank\">2538</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-04-25</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2538\" target=\"_blank\">My geeky plans for the new house.</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">knightwise</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2539\" target=\"_blank\">2539</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-04-26</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2539\" target=\"_blank\">Interview - Austin Lee</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2540\" target=\"_blank\">2540</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-04-27</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2540\" target=\"_blank\">28 - TLS 1.3</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2541\" target=\"_blank\">2541</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-04-30</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2541\" target=\"_blank\">Microphone Wind Screen Demo</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n</table>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 18 comments in total.</p>\n<p>There are 11 comments on\n4 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2254#comments\" target=\"_blank\">hpr2254</a></strong>\n(2017-03-23) \"<em>Introduction to Model Rocketry</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0334.html\" target=\"_blank\">Steve Saner</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2254#4\" target=\"_blank\">Comment 4</a>:\nJohn E Thompson on 2018-04-04:\n\"Great Show\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2254#5\" target=\"_blank\">Comment 5</a>:\nSteve on 2018-04-04:\n\"Re: Great Show\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2485#comments\" target=\"_blank\">hpr2485</a></strong>\n(2018-02-09) \"<em>The Alien Brothers Podcast - S01E05 - I Saw the Invisible Man</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0359.html\" target=\"_blank\">The Alien Brothers Podcast (ABP)</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2485#1\" target=\"_blank\">Comment 1</a>:\nDraco Metallium on 2018-04-14:\n\"Two months without a new transmission\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2515#comments\" target=\"_blank\">hpr2515</a></strong>\n(2018-03-23) \"<em>HPR 2017 New Years Eve show part 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2515#2\" target=\"_blank\">Comment 2</a>:\nclacke on 2018-04-03:\n\"ASCIIDoc shownotes\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2515#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2018-04-04:\n\"Markdown/ASCIIDoc\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2515#4\" target=\"_blank\">Comment 4</a>:\nclacke on 2018-04-04:\n\"Overengineering\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2515#5\" target=\"_blank\">Comment 5</a>:\nDave Morriss on 2018-04-05:\n\"Re: Overengineering\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2515#6\" target=\"_blank\">Comment 6</a>:\nclacke on 2018-04-05:\n\"Re: Overengineering\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2518#comments\" target=\"_blank\">hpr2518</a></strong>\n(2018-03-28) \"<em>Converting My Laptop to Dual Boot</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0334.html\" target=\"_blank\">Steve Saner</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2518#1\" target=\"_blank\">Comment 1</a>:\nmongo on 2018-03-31:\n\"Good tutorial\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2518#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2018-04-06:\n\"Is OpenSCAD an alternative to Autodesk Fusion 360 ?\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2518#3\" target=\"_blank\">Comment 3</a>:\nSteve on 2018-04-06:\n\"Really a different category of software\"</li></ul><br/>\n</li></ul>\n<p>There are 7 comments on 4 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2521#comments\" target=\"_blank\">hpr2521</a></strong>\n(2018-04-02) \"<em>HPR Community News for March 2018</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2521#1\" target=\"_blank\">Comment 1</a>:\nthe_remora on 2018-04-02:\n\"Handle Origin\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2521#2\" target=\"_blank\">Comment 2</a>:\nclacke on 2018-04-07:\n\"Re: AND THEN IT&#39;S GOT DIVS IN IT!!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2521#3\" target=\"_blank\">Comment 3</a>:\nKevin O&#39;Brien on 2018-04-09:\n\"My name\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2521#4\" target=\"_blank\">Comment 4</a>:\nclacke on 2018-04-12:\n\"Living the dream\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2524#comments\" target=\"_blank\">hpr2524</a></strong>\n(2018-04-05) \"<em>General problem solver</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2524#1\" target=\"_blank\">Comment 1</a>:\nWindigo on 2018-04-29:\n\"Thanks for the introduction\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2537#comments\" target=\"_blank\">hpr2537</a></strong>\n(2018-04-24) \"<em>Recording HPR on the fly Part II</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2537#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2018-03-28:\n\"An update\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2538#comments\" target=\"_blank\">hpr2538</a></strong>\n(2018-04-25) \"<em>My geeky plans for the new house.</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">knightwise</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2538#1\" target=\"_blank\">Comment 1</a>:\nTuula on 2018-04-25:\n\"Such a beautiful soundscape\"</li></ul><br/>\n</li></ul>\n\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available on the HPR server under\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-April/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-April/thread.html</a>\n\n\n<h2>Any other business</h2>\n<h3 id=\"tags-and-summaries\">Tags and Summaries</h3>\n<p>Thanks to <a href=\"https://hackerpublicradio.org/correspondents/0357.html\"><code>bjb</code></a> and <a href=\"https://hackerpublicradio.org/correspondents/0215.html\"><code>Windigo</code></a> for sending in updates in the past month.</p>\n<p>Over the period tags and/or summaries have been added to 18 shows which were missing them.</p>\n<p>If you would like to contribute to the tag/summary project visit the summary page at <a href=\"https://hackerpublicradio.org/report_missing_tags.php\" class=\"uri\">https://hackerpublicradio.org/report_missing_tags.php</a> and follow the instructions there.</p>\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2288,'2017-05-10','Installing and using virtualenvwrapper for python',665,'Installing and using virtualenvwrapper for python, (What I learned the hard way!)','<h2 id=\"installing-virtual-env-wrapper-in-linux\">Installing Virtual env wrapper in linux</h2>\r\n<p>Best documentation I have found for working with virtualenvwrapper:<br />\r\n<a href=\"https://python-guide-pt-br.readthedocs.io/en/latest/dev/virtualenvs/\" class=\"uri\">https://python-guide-pt-br.readthedocs.io/en/latest/dev/virtualenvs/</a></p>\r\n<p>Assuming you have pip installed.</p>\r\n<ol type=\"1\">\r\n<li>Install virtualenv</li>\r\n</ol>\r\n<pre><code>    sudo -H pip install virtualenv</code></pre>\r\n<ol start=\"2\" type=\"1\">\r\n<li>Install virtualenvwrapper</li>\r\n</ol>\r\n<pre><code>    sudo -H pip install virtualenvwrapper</code></pre>\r\n<ol start=\"3\" type=\"1\">\r\n<li>Modify your .bashrc file to include that following lines:</li>\r\n</ol>\r\n<pre><code>    export WORKON_HOME=~/Envs\r\n    source /usr/local/bin/virtualenvwrapper.sh</code></pre>\r\n<ol start=\"4\" type=\"1\">\r\n<li><p>Test the commands:</p>\r\n<ul>\r\n<li><code>mkvirtualenv &lt;project_name&gt;</code></li>\r\n<li><code>rmvirtualenv &lt;project_name&gt;</code></li>\r\n<li><p><code>lsvirtualenv</code> (Lists all virtual environments you have\r\ncreated.)</p></li>\r\n<li><code>workon &lt;project_name&gt;</code></li>\r\n<li><p><code>deactivate</code></p></li>\r\n</ul></li>\r\n<li><p>Don\'t use SUDO when installing inside the virtualenv</p></li>\r\n</ol>\r\n',355,0,1,'CC-BY-SA','python, programming',0,0,1),
(2289,'2017-05-11','Sendy Send. Tell if your email has been read!!',281,'Sigflup announces sendy send, which is a mechanism to tell if people read your email.','<p><a href=\"https://ss.theadesilva.com/\" class=\"uri\">https://ss.theadesilva.com/</a></p>',115,0,0,'CC-BY-SA','HTML mail,read notification',0,0,1),
(2291,'2017-05-15','Arch on CELES',725,'Convinces you, and herself that Arch Linux on a Chromebook is a good idea!','<h1 id=\"archlinux-on-a-celes\">ArchLinux on a CELES</h1>\r\n<h4 id=\"samsung-chromebook-3\">Samsung Chromebook 3</h4>\r\n<h2 id=\"before-begining\">Before begining</h2>\r\n<ul>\r\n<li>Required tools\r\n<ul>\r\n<li>Screwdriver</li>\r\n<li>Install medium (<a href=\"https://arch-anywhere.org\">Arch-Anywhere</a>)</li>\r\n<li>USB keyboard (Built-in needs <a href=\"https://lxr.free-electrons.com/source/drivers/pinctrl/intel/pinctrl-cherryview.c\">pinctrl-cherryview.c</a>)</li>\r\n<li>Internet connecion</li>\r\n<li>Other Device (Maybe)</li>\r\n</ul></li>\r\n<li>Links\r\n<ul>\r\n<li>https://www.startpage.com/do/dsearch?query=xe500c13</li>\r\n<li>https://mrchromebox.tech/#fwscript</li>\r\n</ul></li>\r\n<li>Packages to expect/build\r\n<ul>\r\n<li><a href=\"https://aur.archlinux.org/pkgbase/linux-galliumos-braswell\">linux-galliumos-braswell</a></li>\r\n<li><a href=\"https://aur.archlinux.org/packages/galliumos-braswell-config\">galliumos-braswell-config</a></li>\r\n</ul></li>\r\n<li>Packages to consider\r\n<ul>\r\n<li><a href=\"https://wiki.archlinux.org/index.php/Modprobed-db\">modprobed-db</a> <!-- - --></li>\r\n</ul></li>\r\n</ul>\r\n<h2 id=\"how-to\">How-to</h2>\r\n<ol type=\"1\">\r\n<li>Remove HW write-protect screw\r\n<ul>\r\n<li><a href=\"https://maxwyb.github.io/linux/2016/11/05/chromebook-write-protection.html\">Guide on Github by maxwyb</a></li>\r\n</ul></li>\r\n<li>Developer mode\r\n<ul>\r\n<li>Enable Developer mode</li>\r\n</ul></li>\r\n</ol>\r\n<blockquote>\r\n<p>...press, and hold the <code>Esc + F3 (Refresh) keys</code> – then press the Power button. This enters Recovery Mode...</p>\r\n</blockquote>\r\n<blockquote>\r\n<p>...press <code>Ctrl + D</code>. It will ask you to confirm, then the system will revert its state and enable Developer Mode...</p>\r\n</blockquote>\r\n<blockquote>\r\n<p>...press <code>Ctrl + Alt + F2</code> (F2 is the \"forward\" arrow on the top row, →)</p>\r\n</blockquote>\r\n<blockquote>\r\n<p>...Use <code>chronos</code> as the username...</p>\r\n</blockquote>\r\n<ol start=\"3\" type=\"1\">\r\n<li>SU &amp; FW\r\n<ul>\r\n<li>Escalate privileges. <code>sudo -i</code></li>\r\n<li><a href=\"https://mrchromebox.tech/#fwscript\">ChromeOS Firmware Utility Script</a>\r\n<ol type=\"1\">\r\n<li>Install <code>RW_LEGACY</code></li>\r\n<li>Set <code>GBB Flags</code> (1 second, SeaBIOS/Legacy)</li>\r\n<li>Remove <code>ChromeOS Bitmaps</code> (To look cool)</li>\r\n</ol></li>\r\n</ul></li>\r\n<li>OS &amp; Kernel\r\n<ul>\r\n<li>Install ArchLinux</li>\r\n<li>Install <code>yaourt</code></li>\r\n<li>Install kernel with IRQ patch:</li>\r\n<li><code>yaourt -G linux-galliumos-braswell&amp;&amp;cd !:2</code></li>\r\n<li><code>makepkg -sifCc --skipinteg</code></li>\r\n<li>Install <code>galliumos-braswell-config</code>:\r\n<ul>\r\n<li><code>yaourt -S --force galliumos-braswell-config</code></li>\r\n</ul></li>\r\n</ul></li>\r\n<li>Grub\r\n<ul>\r\n<li>Regenerate Grub configuration file\r\n<ul>\r\n<li><code>grub-mkconfig -o /boot/grub/grub.cfg</code></li>\r\n</ul></li>\r\n</ul></li>\r\n</ol>\r\n<h2 id=\"extra\">Extra</h2>\r\n<ul>\r\n<li>GREETS\r\n<ul>\r\n<li><span class=\"citation\" data-cites=\"Brbr\">@Brbr</span> of <a href=\"https://www.brakeingsecurity.com/\">BrakeSec Podcast</a> for the audio hardware</li>\r\n<li>Nick of youtube &amp; twitter fame for the Chromebook</li>\r\n<li><a href=\"infosecaddicts.com\">InfosecAddicts</a> for being good people</li>\r\n<li>Hackers everywhere for Hacking on</li>\r\n</ul></li>\r\n<li>Pods\r\n<ul>\r\n<li><a href=\"noagendashow.com\">No Agenda</a></li>\r\n<li><a href=\"https://www.jupiterbroadcasting.com/show/unfilter\">Unfilter</a></li>\r\n<li><a href=\"www.congressionaldish.com\">Congressional Dish</a></li>\r\n<li><a href=\"www.brakeingsecurity.com\">Breaking Down Security</a></li>\r\n<li><a href=\"www.embedded.fm\">Embedded</a></li>\r\n<li><a href=\"https://thedollop.libsyn.com\">The Dollop</a></li>\r\n<li><a href=\"https://www.myfavoritemurder.com/\">My Favorite Murder</a></li>\r\n<li><a href=\"https://www.originz.info/Originz/Mysteries_Abound_Show_Notes/yMysteries_Abound_Show_Notes.html\">Mysteries Abound</a></li>\r\n</ul></li>\r\n</ul>\r\n<h2 id=\"sources\">Sources</h2>\r\n<blockquote>\r\n<p>/etc/default/grub</p>\r\n</blockquote>\r\n<pre><code>GRUB_DEFAULT=0\r\nGRUB_TIMEOUT=5\r\nGRUB_DISTRIBUTOR=\"Arch\"\r\nGRUB_CMDLINE_LINUX_DEFAULT=\"quiet splash irqpoll\"\r\nGRUB_CMDLINE_LINUX=\"\"\r\nGRUB_PRELOAD_MODULES=\"part_gpt part_msdos\"\r\nGRUB_TERMINAL_INPUT=console\r\nGRUB_GFXMODE=1024x768\r\nGRUB_GFXPAYLOAD_LINUX=keep\r\nGRUB_DISABLE_LINUX_UUID=true\r\nGRUB_DISABLE_RECOVERY=true\r\nGRUB_COLOR_HIGHLIGHT=\"light-cyan/blue\"\r\nGRUB_SAVEDEFAULT=\"true\"</code></pre>\r\n<blockquote>\r\n<p>/etc/pacman.conf</p>\r\n</blockquote>\r\n<pre><code>RootDir     = /\r\nDBPath      = /var/lib/pacman/\r\nCacheDir    = /var/cache/pacman/pkg/\r\nLogFile     = /var/log/pacman.log\r\nGPGDir      = /etc/pacman.d/gnupg/\r\nHookDir     = /etc/pacman.d/hooks/\r\nHoldPkg     = pacman glibc\r\nCleanMethod = KeepInstalled\r\nUseDelta    = 0.7\r\nArchitecture = auto\r\nIgnorePkg   =\r\nIgnoreGroup =\r\nNoUpgrade   =\r\nNoExtract   =\r\nUseSyslog\r\nColor\r\nTotalDownload\r\nCheckSpace\r\nVerbosePkgLists\r\nILoveCandy\r\nSigLevel = PackageRequired\r\nLocalFileSigLevel = Optional\r\nRemoteFileSigLevel = Required\r\n[core]\r\nInclude = /etc/pacman.d/mirrorlist\r\n[extra]\r\nInclude = /etc/pacman.d/mirrorlist\r\n[community]\r\nInclude = /etc/pacman.d/mirrorlist\r\n[arch-anywhere]\r\nServer = https://arch-anywhere.org/repo/$arch\r\nSigLevel = Never</code></pre>\r\n<blockquote>\r\n<p>lscpu</p>\r\n</blockquote>\r\n<pre><code>Architecture :        x86_64\r\nMode(s) opératoire(s) des processeurs : 32-bit, 64-bit\r\nBoutisme :            Little Endian\r\nProcesseur(s) :       2\r\nListe de processeur(s) en ligne : 0,1\r\nThread(s) par cœur : 1\r\nCœur(s) par socket : 2\r\nSocket(s) :           1\r\nNœud(s) NUMA :       1\r\nIdentifiant constructeur : GenuineIntel\r\nFamille de processeur : 6\r\nModèle :             76\r\nNom de modèle :      Intel(R) Celeron(R) CPU  N3050  @ 1.60GHz\r\nRévision :           3\r\nVitesse du processeur en MHz : 642.089\r\nVitesse maximale du processeur en MHz : 2160,0000\r\nVitesse minimale du processeur en MHz : 480,0000\r\nBogoMIPS :            3200.00\r\nVirtualisation :      VT-x\r\nCache L1d :           24K\r\nCache L1i :           32K\r\nCache L2 :            1024K\r\nNœud NUMA 0 de processeur(s) : 0,1\r\nFlags:                 fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology tsc_reliable nonstop_tsc aperfmperf tsc_known_freq pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 movbe popcnt tsc_deadline_timer aes rdrand lahf_lm 3dnowprefetch epb tpr_shadow vnmi flexpriority ept vpid tsc_adjust smep erms dtherm ida arat</code></pre>\r\n<blockquote>\r\n<p>lspci</p>\r\n</blockquote>\r\n<pre><code>00:00.0 Host bridge: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Series SoC Transaction Register (rev 21)\r\n00:02.0 VGA compatible controller: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Integrated Graphics Controller (rev 21)\r\n00:0b.0 Signal processing controller: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Series Power Management Controller (rev 21)\r\n00:14.0 USB controller: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Series USB xHCI Controller (rev 21)\r\n00:1b.0 Audio device: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Series High Definition Audio Controller (rev 21)\r\n00:1c.0 PCI bridge: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Series PCI Express Port #1 (rev 21)\r\n00:1c.2 PCI bridge: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Series PCI Express Port #3 (rev 21)\r\n00:1f.0 ISA bridge: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Series PCU (rev 21)\r\n02:00.0 Network controller: Intel Corporation Wireless 7265 (rev 59)</code></pre>\r\n',349,0,1,'CC-BY-SA','xe500c13,celes,chromebook,archlinux,arch',0,0,1),
(2292,'2017-05-16','Baofeng UV5R VHF/UHF Handset part 1',1306,'An in depth series about the Baofeng UV5R VHF/UHF hand-held transceiver.','<p>In this episode I give a brief introduction and demonstration of the Baofeng UV5R VHF / UHF Hand Held Transceiver</p>\r\n<ul>\r\n<li><p>General Information about radio repeaters, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Radio_repeater\" class=\"uri\">https://en.wikipedia.org/wiki/Radio_repeater</a></p></li>\r\n<li><p>Link to my local 2 Meter repeater GB3FF<br />\r\n<a href=\"https://www.csfmg.com/GB3FF.htm\" class=\"uri\">https://www.csfmg.com/GB3FF.htm</a></p></li>\r\n<li><p>The (Chinese) Radio Documentation Project<br />\r\n<a href=\"https://radiodoc.github.io/\" class=\"uri\">https://radiodoc.github.io/</a></p></li>\r\n<li><p>Link to the Free, open-source tool for programming your amateur radio. It supports a large number of manufacturers and models, as well as provides a way to interface with multiple data sources and formats.<br />\r\n<a href=\"https://chirp.danplanet.com/projects/chirp/wiki/Home\" class=\"uri\">https://chirp.danplanet.com/projects/chirp/wiki/Home</a></p></li>\r\n</ul>\r\n',201,43,0,'CC-BY-SA','Amateur Radio',0,0,1),
(2293,'2017-05-17','More supplementary Bash tips',2305,'Finishing off the subject of expansion in Bash (part 2)','<h1 id=\"more-supplementary-bash-tips\">More supplementary Bash tips</h1>\r\n<h3 id=\"pathname-expansion-part-2-of-2\">Pathname expansion; part 2 of 2</h3>\r\n<h2 id=\"expansion\">Expansion</h2>\r\n<p>As we saw in the last episode <a href=\"https://hackerpublicradio.org/eps.php?id=2278\" title=\"Some supplementary Bash tips\">2278</a> (and others in this sub-series) there are eight types of expansion applied to the command line in the following order:</p>\r\n<ul>\r\n<li>Brace expansion (we looked at this subject in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1884\" title=\"Some more Bash tips\">1884</a>)</li>\r\n<li>Tilde expansion (seen in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1903\" title=\"Some further Bash tips\">1903</a>)</li>\r\n<li>Parameter and variable expansion (this was covered in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1648\" title=\"Bash parameter manipulation\">1648</a>)</li>\r\n<li>Command substitution (seen in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1903\" title=\"Some further Bash tips\">1903</a>)</li>\r\n<li>Arithmetic expansion (seen in episode <a href=\"https://hackerpublicradio.org/eps.php?id=1951\" title=\"Some additional Bash tips\">1951</a>)</li>\r\n<li>Process substitution (seen in episode <a href=\"https://hackerpublicradio.org/eps.php?id=2045\" title=\"Some other Bash tips\">2045</a>)</li>\r\n<li>Word splitting (seen in episode <a href=\"https://hackerpublicradio.org/eps.php?id=2045\" title=\"Some other Bash tips\">2045</a>)</li>\r\n<li>Pathname expansion (the previous episode <a href=\"https://hackerpublicradio.org/eps.php?id=2278\" title=\"Some supplementary Bash tips\">2278</a> and this one)</li>\r\n</ul>\r\n<p>This is the last topic in the (sub-) series about expansion in Bash.</p>\r\n<p>In this episode we will look at extended pattern matching as also defined in the “<a href=\"https://hackerpublicradio.org/eps/hpr2293/full_shownotes.html#manual-page-extracts\">Manual Page Extracts</a>” section at the end of the long notes.</p>\r\n<h2 id=\"long-show-notes\">Long Show Notes</h2>\r\n<p>I have written out a moderately long set of notes about this subject and these are available <a href=\"https://hackerpublicradio.org/eps/hpr2293/full_shownotes.html\">here</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<!-- \\_ -->\r\n<ul>\r\n<li>Previous shows in this series\r\n<ol>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1648\">HPR episode 1648 “<em>Bash parameter manipulation</em>”</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1843\">HPR episode 1843 “<em>Some Bash tips</em>”</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1884\">HPR episode 1884 “<em>Some more Bash tips</em>”</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1903\">HPR episode 1903 “<em>Some further Bash tips</em>”</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1951\">HPR episode 1951 “<em>Some additional Bash tips</em>”</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2045\">HPR episode 2045 “<em>Some other Bash tips</em>”</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2278\">HPR episode 2278 “<em>Some supplementary Bash tips</em>”</a></li>\r\n</ol></li>\r\n</ul>\r\n<!-- - -->\r\n<ul>\r\n<li>Other HPR series referenced:\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/series/0090.html\">“<em>Learning sed</em>”</a> series on HPR</li>\r\n<li><a href=\"https://hackerpublicradio.org/series/0094.html\">“<em>Learning Awk</em>”</a> series on HPR</li>\r\n</ul></li>\r\n</ul>\r\n<!-- - -->\r\n<ul>\r\n<li>Wikipedia article on <a href=\"https://en.wikipedia.org/wiki/Glob_%28programming%29\"><em>glob patterns</em></a></li>\r\n<li>Advanced Bash Scripting Guide: <a href=\"https://www.tldp.org/LDP/abs/html/globbingref.html\">“<em>Globbing</em>”</a></li>\r\n<li>Article on <a href=\"https://mywiki.wooledge.org/glob\"><em>Greg’s Wiki</em></a> entitled “<em>Globs</em>”</li>\r\n<li>Questions about <em>Bash extended globbing</em> on Stack Exchange:\r\n<ul>\r\n<li>Question 1: <a href=\"https://unix.stackexchange.com/questions/168769/bash-extended-globbing\">How to list just one file with ‘<code>ls</code>’</a></li>\r\n<li>Question 2: <a href=\"https://unix.stackexchange.com/questions/203386/extended-glob-what-is-the-difference-in-syntax-between-list-list-list\">What is the difference between…</a></li>\r\n<li>Question 3: <a href=\"https://stackoverflow.com/questions/4554718/patterns-in-case-statement-in-bash-scripting\">Patterns in case statements</a></li>\r\n</ul></li>\r\n</ul>',225,42,1,'CC-BY-SA','Bash, expansion, filename expansion, extglob, extended pattern matching',0,0,1),
(2294,'2017-05-18','Activities with a Toddler',663,'11 things you can do with a toddler you are taking care of.','<p>Here is the list I check when I am looking for something to do with my toddler. Note that these are good indoor activities.</p>\r\n<pre><code>[ ] Milk and TV\r\n[ ] Duplo\r\n[ ] Dollhouse\r\n[ ] Meal preparation\r\n[ ] Mixing bowl\r\n[ ] Crafts or painting\r\n[ ] Sink time\r\n[ ] Chasing and tickling\r\n[ ] Reading\r\n[ ] Cat videos\r\n[ ] Container of similar things</code></pre>',250,0,0,'CC-BY-SA','parenting, toddlers, children',0,0,1),
(2296,'2017-05-22','Baofeng UV5R VHF/UHF Handset part 2',724,'An in depth series about the Baofeng UV5R VHF/UHF hand-held transceiver.','<p>In this episode I go through the general specification of the Baofeng UV5R VHF / UHF Hand Held Transceiver</p>\r\n<ul>\r\n<li><p>VHF, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Very_high_frequency\" class=\"uri\">https://en.wikipedia.org/wiki/Very_high_frequency</a></p></li>\r\n<li><p>UHF, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Ultra_high_frequency\" class=\"uri\">https://en.wikipedia.org/wiki/Ultra_high_frequency</a></p></li>\r\n<li><p>2 Meter band, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/2-meter_band\" class=\"uri\">https://en.wikipedia.org/wiki/2-meter_band</a></p></li>\r\n<li><p>70 Cm band, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/70-centimeter_band\" class=\"uri\">https://en.wikipedia.org/wiki/70-centimeter_band</a></p></li>\r\n<li><p>Simplex communication, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Simplex_communication\" class=\"uri\">https://en.wikipedia.org/wiki/Simplex_communication</a></p></li>\r\n<li><p>Duplex, Semi-Duplex (Half Duplex), Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Duplex_(telecommunications)\" class=\"uri\">https://en.wikipedia.org/wiki/Duplex_(telecommunications)</a></p></li>\r\n<li><p>Modulation, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Modulation\" class=\"uri\">https://en.wikipedia.org/wiki/Modulation</a></p></li>\r\n<li><p>Frequency Modulation (FM), Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Frequency_modulation\" class=\"uri\">https://en.wikipedia.org/wiki/Frequency_modulation</a></p></li>\r\n<li><p>Amplitude Modulation (AM), Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Amplitude_modulation\" class=\"uri\">https://en.wikipedia.org/wiki/Amplitude_modulation</a></p></li>\r\n<li><p>Harmonics, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Harmonic\" class=\"uri\">https://en.wikipedia.org/wiki/Harmonic</a></p></li>\r\n<li><p>Decibels, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Decibel\" class=\"uri\">https://en.wikipedia.org/wiki/Decibel</a></p></li>\r\n<li><p>Signal to Noise ratio, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Signal-to-noise_ratio\" class=\"uri\">https://en.wikipedia.org/wiki/Signal-to-noise_ratio</a></p></li>\r\n<li><p>Intermodulation, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Intermodulation\" class=\"uri\">https://en.wikipedia.org/wiki/Intermodulation</a></p></li>\r\n</ul>\r\n',201,43,1,'CC-BY-SA','Amateur Radio',0,0,1),
(2301,'2017-05-29','Baofeng UV5R VHF/UHF Handset part 3',804,'An in depth series about the Baofeng UV5R VHF/UHF hand-held transceiver.','<p>This episode will be right up your street if you like rambling podcasts.</p>\r\n<p>I planned to cover the supplied accessories of the Baofeng UV5R VHF / UHF Hand Held Transceiver however somewhere along the line I rambled off topic and started blathering on about a whole range of topics.</p>\r\n<p>I cover the VHF / UHF spectrum, radio frequency, wavelength Omni-directional antennas, mains hum time stamp fingerprinting among other things.</p>\r\n<p>Sit back and enjoy.</p>\r\n<ul>\r\n<li><p>VHF, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Very_high_frequency\" class=\"uri\">https://en.wikipedia.org/wiki/Very_high_frequency</a></p></li>\r\n<li><p>UHF, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Ultra_high_frequency\" class=\"uri\">https://en.wikipedia.org/wiki/Ultra_high_frequency</a></p></li>\r\n<li><p>Radio Frequency, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Radio_frequency\" class=\"uri\">https://en.wikipedia.org/wiki/Radio_frequency</a></p></li>\r\n<li><p>Radio Waves, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Radio_wave\" class=\"uri\">https://en.wikipedia.org/wiki/Radio_wave</a></p></li>\r\n<li><p>Wavelength, wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Wavelength\" class=\"uri\">https://en.wikipedia.org/wiki/Wavelength</a></p></li>\r\n<li><p>Omni-Directional Antenna Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Omnidirectional_antenna\" class=\"uri\">https://en.wikipedia.org/wiki/Omnidirectional_antenna</a></p></li>\r\n<li><p>New Scientist Magazine, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/New_Scientist\" class=\"uri\">https://en.wikipedia.org/wiki/New_Scientist</a></p></li>\r\n<li><p>Found this related article on the BBC website about Mains hum time stamp fingerprinting<br />\r\n<a href=\"https://www.bbc.co.uk/news/science-environment-20629671\" class=\"uri\">https://www.bbc.co.uk/news/science-environment-20629671</a></p></li>\r\n<li><p>2 Meter band, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/2-meter_band\" class=\"uri\">https://en.wikipedia.org/wiki/2-meter_band</a></p></li>\r\n<li><p>70 Cm band, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/70-centimeter_band\" class=\"uri\">https://en.wikipedia.org/wiki/70-centimeter_band</a></p></li>\r\n</ul>',201,43,0,'CC-BY-SA','Amateur Radio',0,0,1),
(2307,'2017-06-06','Baofeng UV5R VHF/UHF Handset part 4',942,'An in depth series about the Baofeng UV5R VHF/UHF hand-held transceiver.','<p>In this episode I cover the controls and connectors around the outside edge of the Baofeng UV5R VHF / UHF Hand Held Transceiver</p>\r\n<ul>\r\n<li>Jack Plug / Socket, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Phone_connector_(audio)\" class=\"uri\">https://en.wikipedia.org/wiki/Phone_connector_(audio)</a></li>\r\n</ul>\r\n<p>I couldn\'t find a link to the supposed problem with the headphone socket on the Baofeng UV5R and despite regularly plugging and unplugging the covert earpiece so far mine seems to be working OK as long as I don\'t push the plug too far in. Perhaps on this radio it is less of a problem than I first thought.</p>\r\n<ul>\r\n<li><p>Variable Resistor (Potentiometer), Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Potentiometer\" class=\"uri\">https://en.wikipedia.org/wiki/Potentiometer</a></p></li>\r\n<li><p>LED light, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Light-emitting_diode\" class=\"uri\">https://en.wikipedia.org/wiki/Light-emitting_diode</a></p></li>\r\n<li><p>SMA connector, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/SMA_connector\" class=\"uri\">https://en.wikipedia.org/wiki/SMA_connector</a></p></li>\r\n<li><p>Simplex, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Two-way_radio#Simplex\" class=\"uri\">https://en.wikipedia.org/wiki/Two-way_radio#Simplex</a></p></li>\r\n<li><p>Duplex &amp; [Half Duplex / Full Duplex], Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Two-way_radio#Duplex\" class=\"uri\">https://en.wikipedia.org/wiki/Two-way_radio#Duplex</a></p></li>\r\n<li><p>Squelch, Wikipedia -- Menu 0<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Squelch\" class=\"uri\">https://en.wikipedia.org/wiki/Squelch</a></p></li>\r\n</ul>',201,43,0,'CC-BY-SA','Amateur Radio',0,0,1),
(2311,'2017-06-12','Baofeng UV5R VHF/UHF Handset part 5',1166,'An in depth series about the Baofeng UV5R VHF/UHF hand-held transceiver.','<p>In this episode I cover the rear and front panel features &amp; controls of the Baofeng UV5R VHF / UHF Hand Held Transceiver</p>\r\n<ul>\r\n<li><p>Lithium Ion Battery, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Lithium-ion_battery\" class=\"uri\">https://en.wikipedia.org/wiki/Lithium-ion_battery</a></p></li>\r\n<li><p>Oscillator, wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Electronic_oscillator\" class=\"uri\">https://en.wikipedia.org/wiki/Electronic_oscillator</a></p></li>\r\n<li><p>Variable Frequency Oscillator (VFO), Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Variable-frequency_oscillator\" class=\"uri\">https://en.wikipedia.org/wiki/Variable-frequency_oscillator</a></p></li>\r\n<li><p>GB2RS news service (EDINBURGH GM4DTH)<br />\r\n<a href=\"https://rsgb.org/main/gb2rs/\" class=\"uri\">https://rsgb.org/main/gb2rs/</a></p></li>\r\n<li><p>VHF, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Very_high_frequency\" class=\"uri\">https://en.wikipedia.org/wiki/Very_high_frequency</a></p></li>\r\n<li><p>UHF, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Ultra_high_frequency\" class=\"uri\">https://en.wikipedia.org/wiki/Ultra_high_frequency</a></p></li>\r\n<li><p>1750Hz Tone Burst<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Selective_calling#Tone_burst_or_single_tone\" class=\"uri\">https://en.wikipedia.org/wiki/Selective_calling#Tone_burst_or_single_tone</a></p></li>\r\n</ul>',201,43,0,'CC-BY-SA','Amateur Radio',0,0,1),
(2316,'2017-06-19','Baofeng UV5R VHF/UHF Handset part 6',941,'An in depth series about the Baofeng UV5R VHF/UHF hand-held transceiver.','<p>In this episode I cover the menus 0 to 5 of the Baofeng UV5R VHF / UHF Hand Held Transceiver</p>\r\n<ul>\r\n<li><p>Menu 0, Squelch, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Squelch\" class=\"uri\">https://en.wikipedia.org/wiki/Squelch</a></p></li>\r\n<li><p>Menu 1, STEP - Frequency Step</p></li>\r\n<li><p>Menu 2, TXP - Transmit Power, Lo / Hi (1W/ 4W),</p></li>\r\n<li><p>Menu 3, SAVE - Battery Save, OFF/1/2/3/4 (1:1 / 1:2 / 1:3 / 1:4)</p></li>\r\n<li><p>Menu 4, VOX, Voice Operated Switch / Exchange, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Voice-operated_switch\" class=\"uri\">https://en.wikipedia.org/wiki/Voice-operated_switch</a></p></li>\r\n<li><p>Menu 5, WN - Wideband / Narrowband [ WIDE 5kHz / NARR 2.5kHz ]</p></li>\r\n<li><p>Modulation, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Modulation\" class=\"uri\">https://en.wikipedia.org/wiki/Modulation</a></p></li>\r\n<li><p>Frequency Deviation, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Frequency_deviation\" class=\"uri\">https://en.wikipedia.org/wiki/Frequency_deviation</a></p></li>\r\n<li><p>Frequency Modulation (FM), Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Frequency_modulation\" class=\"uri\">https://en.wikipedia.org/wiki/Frequency_modulation</a></p></li>\r\n<li><p>Signal to Noise Ratio<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Signal-to-noise_ratio\" class=\"uri\">https://en.wikipedia.org/wiki/Signal-to-noise_ratio</a></p></li>\r\n<li><p>Amplitude Modulation (AM), Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Amplitude_modulation\" class=\"uri\">https://en.wikipedia.org/wiki/Amplitude_modulation</a></p></li>\r\n</ul>\r\n',201,43,0,'CC-BY-SA','Amateur Radio',0,0,1),
(2321,'2017-06-26','Baofeng UV5R VHF/UHF Handset part 7',1107,'An in depth series about the Baofeng UV5R VHF/UHF hand-held transceiver.','<p>In this episode I cover the menus 6 to 11 of the Baofeng UV5R VHF / UHF Hand Held Transceiver</p>\r\n<p>Link to the Free, open-source tool for programming your amateur radio. It supports a large number of manufacturers and models, as well as provides a way to interface with multiple data sources and formats. <a href=\"https://chirp.danplanet.com/projects/chirp/wiki/Home\" class=\"uri\">https://chirp.danplanet.com/projects/chirp/wiki/Home</a></p>\r\n<ul>\r\n<li><p>Menu 6, ABR - Display Illumination Time [ 1-5 or OFF ]</p></li>\r\n<li><p>Menu 7, TDR - Dual Watch, [ ON / OFF ]</p></li>\r\n<li><p>Menu 8, BEEP - Keypad Beep [ ON /OFF ]</p></li>\r\n<li><p>Menu 9, TOT - Transmission Time-out-Timer [ 15 -- 600 ]</p></li>\r\n<li><p>Menu 10, R-DCS - Receiver DCS, DCS Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Squelch#DCS\" class=\"uri\">https://en.wikipedia.org/wiki/Squelch#DCS</a></p></li>\r\n<li><p>Menu 11, R-CTCS - Receiver CTCSS, CTCSS Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Continuous_Tone-Coded_Squelch_System\" class=\"uri\">https://en.wikipedia.org/wiki/Continuous_Tone-Coded_Squelch_System</a></p></li>\r\n</ul>',201,43,0,'CC-BY-SA','Amateur Radio',0,0,1),
(2328,'2017-07-05','Baofeng UV5R VHF/UHF Handset part 8',830,'An in depth series about the Baofeng UV5R VHF/UHF hand-held transceiver.','<p>In this episode I cover the menus 12 to 24 of the Baofeng UV5R VHF / UHF Hand Held Transceiver</p>\r\n<ul>\r\n<li><p>Menu 12, T-DCS - Transmitter DCS: [ D023N -- D754I , OFF ], DCS Wikpedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Squelch#DCS\" class=\"uri\">https://en.wikipedia.org/wiki/Squelch#DCS</a></p></li>\r\n<li><p>Menu 13, 13 T-CTCS - Transmitter CTCSS [ 67.0 -- 254.1, OFF ], CTCSS Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Continuous_Tone-Coded_Squelch_System\" class=\"uri\">https://en.wikipedia.org/wiki/Continuous_Tone-Coded_Squelch_System</a></p></li>\r\n<li><p>Menu 14, VOICE - Voice Prompt [ ENG / CHI / OFF ]</p></li>\r\n<li><p>Menu 15, ANI-ID - Automatic Number ID Baofeng UV-5R</p></li>\r\n<li><p>Menu 16, DTMFST - DTMF tone of transmit [1, 2, 3, 0]</p></li>\r\n<li><p>Menu 17, S-CODE - Signal Code [ 1-15 ]</p></li>\r\n<li><p>Menu 18, SC-REV - Scanner Resume Method (Time, Carrier, Search) [ TO / CO / SE ]</p></li>\r\n<li><p>Menu 19, PTT-ID - When to send the PTT-ID (Beginning, End Both) [ BOT / EOT BOTH ]</p></li>\r\n<li><p>Menu 20, PTT-LT - Signal code sending delay. [ 0 -- 30 ]</p></li>\r\n<li><p>Menu 21, MDF-A - Channel Mode A Display [ NAME / FREQ ]</p></li>\r\n<li><p>Menu 22, MDF-B - Channel Mode B Display [ NAME / FREQ ]</p></li>\r\n<li><p>Menu 23, BCL - Busy Channel Lock-out [ OFF / ON ]</p></li>\r\n<li><p>Menu 24, 24 AUTOLK - Automatic Keypad Lock [ ON/ OFF ]</p></li>\r\n<li><p>DTMF, Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Dual-tone_multi-frequency_signaling\" class=\"uri\">https://en.wikipedia.org/wiki/Dual-tone_multi-frequency_signaling</a></p></li>\r\n</ul>',201,43,0,'CC-BY-SA','Amateur Radio',0,0,1),
(2335,'2017-07-14','Baofeng UV5R VHF/UHF Handset part 9',912,'An in depth series about the Baofeng UV5R VHF/UHF hand-held transceiver.','<p>In this episode I cover the menus 25 to 40 of the Baofeng UV5R VHF / UHF Hand Held Transceiver</p>\r\n<ul>\r\n<li><p>Menu 25, SFT-D - Frequency Shift Direction [ - / + / 0 ] (Duplex shift)</p></li>\r\n<li><p>Menu 26, OFFSET - Frequency shift amount - Values (MHz) [ 00.000 - 69.990 ]</p></li>\r\n<li><p>Menu 27, MEM-CH - Store a Memory Channel [ 000 -- 127 ]</p></li>\r\n<li><p>Menu 28, DEL-CH - Delete a memory channel [ 000 -- 127 ]</p></li>\r\n<li><p>Menu 29, WT-LED - Display back-light colour (Standby) [ BLUE, ORANGE, PURPLE, OFF ]</p></li>\r\n<li><p>Menu 30, RX-LED - Display back-light colour (Receive) [ BLUE, ORANGE, PURPLE, OFF ]</p></li>\r\n<li><p>Menu 31, TX-LED - Display back-light colour (Transmitt) [ BLUE, ORANGE, PURPLE, OFF ]</p></li>\r\n<li><p>Menu 32, AL-MOD - Alarm Mode, Activated when Orange button Held [ SITE, TONE, CODE ]</p></li>\r\n<li><p>Menu 33, BAND - Band Selection [VHF/UHF]</p></li>\r\n<li><p>Menu 34, TDR-AB - Transmit selection in Dual Watch mode [ A / B / OFF ]</p></li>\r\n<li><p>Menu 35, STE (Squelch Tail Elimination) [ ON / OFF ]<br />\r\n<a href=\"https://ham.stackexchange.com/questions/3771/how-does-the-baofeng-radio-eliminate-squelch-tail\" class=\"uri\">https://ham.stackexchange.com/questions/3771/how-does-the-baofeng-radio-eliminate-squelch-tail</a></p></li>\r\n<li><p>Menu 36, RP-STE - Squelch Tail Elimination through a repeater [ 1-10 OFF]</p></li>\r\n<li><p>Menu 37, RPT-RL - Delay the squelch tail of re-peater [ 1 - 10 OFF ]</p></li>\r\n<li><p>Menu 38, 38 PONMGS - Power On Message [ Full / MSG ]</p></li>\r\n<li><p>Menu 39, Roger Beep, Wikipedia [ ON / OFF ]<br />\r\n<a href=\"https://en.wiktionary.org/wiki/roger_beep\" class=\"uri\">https://en.wiktionary.org/wiki/roger_beep</a></p></li>\r\n<li><p>Menu 40 RESET - Restore defaults [ VFO / ALL ]</p></li>\r\n</ul>',201,43,0,'CC-BY-SA','Amateur Radio',0,0,1),
(2299,'2017-05-25','What\'s in My Bag',376,'Here are the five items in the bag I take to my job.','<p>A computer instructor explains why there is a flashlight, a flash drive, a set of picture dice, a small notebook, and a cell phone in his bag.</p>\r\n',250,23,0,'CC-BY-SA','instructor, bag',0,0,1),
(2304,'2017-06-01','Using Gnome 3 for the First Time',643,'Shane just switched his desktop environment from XFCE to Gnome 3. Here is his experience, so far.','<p>Here are the three Gnome 3 extensions I am enjoying:</p>\r\n<ul>\r\n<li>Clipboard indicator at <a href=\"https://extensions.gnome.org/extension/779/clipboard-indicator/\" class=\"uri\">https://extensions.gnome.org/extension/779/clipboard-indicator/</a></li>\r\n<li>Dynamic top bar at <a href=\"https://extensions.gnome.org/extension/885/dynamic-top-bar/\" class=\"uri\">https://extensions.gnome.org/extension/885/dynamic-top-bar/</a></li>\r\n<li>Removable drive menu at <a href=\"https://extensions.gnome.org/extension/7/removable-drive-menu/\" class=\"uri\">https://extensions.gnome.org/extension/7/removable-drive-menu/</a></li>\r\n</ul>',250,0,0,'CC-BY-SA','ubuntu, linux, xfce, gnome 3, desktop environment',0,0,1),
(2295,'2017-05-19','MX Linux',529,'Show about my latest Linux Distro find','<p>MX Linux OS</p>\r\n<p>Hi To all in HPR land, this is Tony Hughes in the UK back with you. I noticed that the queue has a couple of gaps in the next week or so here goes again.</p>\r\n<p>Apart from my last show I\'ve recently done shows on current Linux distro\'s that are suitable for older hardware but with a modern look and feel and fully featured with the latest software available.</p>\r\n<p>As you have probably gathered by now if you have listened to my other shows I am a big fan of older Lenovo Laptops. My main Lenovo is an X230i i3 with a 2.5G cpu and 8Gig of Ram and a 120Gig SSD, it did have Mint 17.3 running on it and after running Mint 18 / 18.1 for several months on my desktop PC I decided to upgrade to 18.1 on the X230i.</p>\r\n<p>I completed the install and on first boot after install the boot time had risen from about 40s to over 2 minutes, I suspected a problem with the install so did it again with the same result. I couldn\'t find any issues reported on the net so resorted to installing Linux Lite which is based on Ubuntu 16.04 as is Mint 18. The problem persisted after this install despite getting near 40s boots on the Lenovo X61s with an SSD and the same Distro.</p>\r\n<p>I did another web search but could not find any other reports of this issue with the X230i so put a post on the Facebook community Distro hoppers. The response I got back from one member was to try MX16.</p>\r\n<p>MX Linux is a joint venture from the antiX and former MEPIS communities and is based on the latest Debian Stable &quot;Jessie&quot; with the XFCE desk top environment.</p>\r\n<p>I duly downloaded it and installed it in a Virtual PC using virtual box to see what it looked and felt like. The install is fairly user friendly although if you\'ve never had experience of Linux and installed other Distributions a new user may be a bit unsure when asked about the MBR and where to put it, other than that a fairly straightforward install.</p>\r\n<p>On install there is a fairly good selection of the software you would need including a full install of LibreOffice, FireFox, Thunderbird, GIMP and synaptic package manager for adding further software from the repositories. MX have also included the ability to simply install codecs and additional drivers and a software installation system for popular Apps from the MX Welcome that comes up at boot or if disabled can be started form the menu. Also I installed it on a virtual 8Gig HDD and GParted reports use of 4.64Gig after install and updates, by default it only installs a 1G swap despite 2Gig allocated Ram in the VM.</p>\r\n<p>I liked the look of MX and decided to give it a go on the X230i, install went smoothly and lo and behold boot was back to around 40s on first boot after install. So I\'ve updated the install, installed my packages I use that are not there by default such as Audacity, Scratch and a couple of other things I use. I\'ve also put it on the X61s I use and again working faultlessly, so I\'m happy again. Since I installed MX I found out from a member of my Makerspace/LUG that he had experienced the same problem with Ubuntu 16.04 based distro\'s and crippled SSD Boot times.</p>\r\n<p>I like MX so much when it come to time to reinstall my Desk Top PC, which is about the only PC I use that is not constantly changing OS, I think I will be putting MX on it. This is a big deal for me as I\'ve been a loyal Mint user for over 5 years but MX is working so well on the Laptops at the moment it would be good to have the same OS on the Desktop PC as well.</p>\r\n<p>Will MX stop my Distro Hopping, NO, I like trying out new things that\'s why I have several Laptops kicking around so I have spare hardware to try out new Linux stuff, but it is good to have something stable around when you need it, hence sticking with Mint for so long on the Desktop.</p>\r\n<ul>\r\n<li><a href=\"https://mxlinux.org/\" class=\"uri\">https://mxlinux.org/</a></li>\r\n<li><a href=\"https://antix.mepis.org/index.php?title=Main_Page\" class=\"uri\">https://antix.mepis.org/index.php?title=Main_Page</a></li>\r\n<li><a href=\"https://www.mepis.org/\" class=\"uri\">https://www.mepis.org/</a></li>\r\n</ul>\r\n',338,57,0,'CC-BY-SA','Linux, Distributions',0,0,1),
(2297,'2017-05-23','More Magnatune Favourites',4112,'Andrew and Dave offer you some more tracks from Magnatune','<h1 id=\"more-magnatune-favourites\">More Magnatune Favourites</h1>\r\n<p>After nearly two years Andrew (<span class=\"citation\" data-cites=\"mcnalu\">@mcnalu</span>) and Dave have prepared another show of some of their favourite music from <a href=\"https://magnatune.com/\" title=\"Magnatune\">Magnatune</a> for your pleasure.</p>\r\n<ul>\r\n<li>Andrew #1:\r\n<ul>\r\n<li>Album: \"<em>Helium</em>\" by prettyhowtown</li>\r\n<li>Track: Rodrigo (04:25)</li>\r\n<li>Genre: Ambient</li>\r\n<li>Link: <a href=\"https://magnatune.com/artists/albums/prettyhowtown-helium\" class=\"uri\">https://magnatune.com/artists/albums/prettyhowtown-helium</a></li>\r\n</ul></li>\r\n</ul>\r\n<ul>\r\n<li>Dave #1:\r\n<ul>\r\n<li>Album: \"<em>The Secret Life of Angels</em>\" by SkinMechanix</li>\r\n<li>Track: Ultravista (08:44)</li>\r\n<li>Genre: Electronica</li>\r\n<li>Link: <a href=\"https://magnatune.com/artists/albums/skin-angels\" class=\"uri\">https://magnatune.com/artists/albums/skin-angels</a></li>\r\n</ul></li>\r\n</ul>\r\n<ul>\r\n<li>Andrew #2:\r\n<ul>\r\n<li>Album: \"<em>Sleep Mode</em>\" by Mike McGuill</li>\r\n<li>Track: Think Tank (04:38)</li>\r\n<li>Genre: Electronica</li>\r\n<li>Link: <a href=\"https://magnatune.com/artists/albums/mmcguill-sleepmode\" class=\"uri\">https://magnatune.com/artists/albums/mmcguill-sleepmode</a></li>\r\n</ul></li>\r\n</ul>\r\n<ul>\r\n<li>Dave #2:\r\n<ul>\r\n<li>Album: \"<em>General Fuzz</em>\" by General Fuzz</li>\r\n<li>Track: Ray squared (06:49)</li>\r\n<li>Genre: Ambient, Electronica</li>\r\n<li>Link: <a href=\"https://magnatune.com/artists/albums/fuzz-fuzz\" class=\"uri\">https://magnatune.com/artists/albums/fuzz-fuzz</a></li>\r\n</ul></li>\r\n</ul>\r\n<ul>\r\n<li>Andrew #3:\r\n<ul>\r\n<li>Album: \"<em>Theatralica</em>\" by Stanislav</li>\r\n<li>Track: Infant (02:35)</li>\r\n<li>Genre: Electro Rock</li>\r\n<li>Link: <a href=\"https://magnatune.com/artists/albums/stanislav-theatralica\" class=\"uri\">https://magnatune.com/artists/albums/stanislav-theatralica</a></li>\r\n</ul></li>\r\n</ul>\r\n<ul>\r\n<li>Dave #3:\r\n<ul>\r\n<li>Album: \"<em>Shop Sessions</em>\" by The Dimples</li>\r\n<li>Track: Drive (03:33)</li>\r\n<li>Genre: World</li>\r\n<li>Link: <a href=\"https://magnatune.com/artists/albums/dimples-shopsessions\" class=\"uri\">https://magnatune.com/artists/albums/dimples-shopsessions</a></li>\r\n</ul></li>\r\n</ul>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><a href=\"https://magnatune.com/\">Magnatune site</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1777\">Our previous HPR show of Magnatune tracks</a></li>\r\n</ul>\r\n',225,0,1,'CC-BY-SA','Magnatune,music',0,0,1),
(2302,'2017-05-30','Bash snippet - nullglob',428,'After learning about the nullglob option I have started to use it','<h1 id=\"bash-snippet---nullglob\">Bash snippet - nullglob</h1>\r\n<p>I recently did an HPR show about <a href=\"https://hackerpublicradio.org/eps.php?id=2278\" title=\"Some supplementary Bash tips\">Bash filename expansion</a> and described the \'<code>shopt</code>\' command and its options. One of the options I talked about was \'<code>nullglob</code>\' which controls what is returned from an expansion when no files match.</p>\r\n<p>When \'<code>nullglob</code>\' is enabled, and a pattern does not match, nothing is returned. When it is disabled (the default) then the pattern itself is returned.</p>\r\n<p>Although I didn\'t think I\'d ever need to, I recently wrote a script where I used \'<code>nullglob</code>\', and thought I would share a snippet of the code to demonstrate what I did.</p>\r\n<p>The script is for managing mail messages containing tag and summary updates. I use Thunderbird for my mail and have configured it to drop these messages into a directory so I can process them. I use Thunderbird\'s message filters to do this. A certain amount of Spam is also received, and sometimes valid messages need a bit of work before they can be processed.</p>\r\n<p>The directory where the messages are saved (the spool area) is stored in the variable \'<code>MAILDROP</code>\' earlier in the script.</p>\r\n<pre><code>  1 #\r\n  2 # Find the files and store their names in an array. Use &#39;nullglob&#39; so we get\r\n  3 # nothing when there is nothing, then revert to the original setting\r\n  4 #\r\n  5 NG=&quot;$(shopt -p nullglob)&quot;\r\n  6 shopt -s nullglob\r\n  7 MESSAGES=( $MAILDROP/*.eml )\r\n  8 eval &quot;$NG&quot;\r\n  9 \r\n 10 #\r\n 11 # Exit if there&#39;s nothing to do or report what&#39;s there\r\n 12 #\r\n 13 if [[ ${#MESSAGES[@]} -gt 0 ]]; then\r\n 14     echo &quot;Files in the spool area:&quot;\r\n 15     printf &quot;%s\\n&quot; &quot;${MESSAGES[@]}&quot;\r\n 16 else\r\n 17     echo &quot;The spool area is empty&quot;\r\n 18     exit\r\n 19 fi</code></pre>\r\n<p>The variable \'<code>NG</code>\' holds the state of \'<code>nullglob</code>\' before the script modifies it. Remember that \'<code>shopt -p</code>\' returns a list of commands that will revert the named options to their current state.</p>\r\n<p>Next (line 6) the \'<code>nullglob</code>\' option is enabled.</p>\r\n<p>The array \'<code>MESSAGES</code>\' is created on line 7 to hold the list of mail files found in the spool area. This is done with a pattern which matches files that end with the string \'<code>.eml</code>\'. If we didn\'t have \'<code>nullglob</code>\' enabled then when there were no files the array would contain the pattern - which would be misleading.</p>\r\n<p>Having collected the file details \'<code>nullglob</code>\' is turned off by executing the command in the variable \'<code>NG</code>\' on line 8.</p>\r\n<p>You might think that the script could just turn \'<code>nullglob</code>\' on then turn it off again when it\'s no longer needed. However, I prefer to use the technique I have shown here because it needs to have no knowledge of the state of the option before it\'s set, and restores that state afterwards.</p>\r\n<p>By line 13 the array \'<code>MESSAGES</code>\' either contains a list of files or is empty. The script checks for these two cases by determining how many elements are in the array. Greater than zero means we have files to process and they are listed in lines 14 and 15. The script then goes on to do various things with the files.</p>\r\n<p>If there were no files then the script reports this and exits.</p>\r\n<p>That\'s it! This is not the only way to do this, but I like to write scripts that call as few sub-processes as I can, and this way appeals for that reason.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>HPR show 1648 <a href=\"https://hackerpublicradio.org/eps.php?id=1648\"><em>Bash parameter manipulation</em></a> looks at variables and arrays in Bash</li>\r\n<li>HPR show 2278 <a href=\"https://hackerpublicradio.org/eps.php?id=2278\"><em>Some supplementary Bash tips</em></a> introduces \'<code>shopt</code>\' and \'<code>nullglob</code>\'.</li>\r\n</ul>\r\n',225,42,1,'CC-BY-SA','Bash,shopt,nullglob,filename expansion',0,0,1),
(2298,'2017-05-24','Phantom Power Drain',273,'diagnosing a phantom power drain on an automobile','<ol start=\"0\" type=\"1\">\r\n<li>disconnect negative battery cable.</li>\r\n<li>connect multimeter between battery and cable.</li>\r\n<li>read amp draw... 15-20 <s>millivolts</s> milliamps is on the high end.</li>\r\n<li>unplug fuses one at a time, until the problem circuit is identified.</li>\r\n</ol>\r\n<p>... some lip smacking, and vocal fry.</p>\r\n\r\n<p><small><small>Corrected 2017-05-27 - Editor</small></small></p>\r\n',329,0,1,'CC-BY-SA','automotive',0,0,1),
(2303,'2017-05-31','Kdenlive Part 5 All About Audio',922,'Recording Audio in Kdenlive','<p>Hello again HPR listeners this is Geddes with you again with Kdenlive part 5 All About Audio. The topics included are:</p>\r\n<ul>\r\n<li><p>Audio Recording and Synchronization</p></li>\r\n<li><p>Best Practices for a Basic Mix</p></li>\r\n<li><p>Exporting</p></li>\r\n</ul>\r\n<p>Here\'s the link to the original article. <a href=\"https://opensource.com/life/11/12/kdenlive-part-5-all-about-audio\" class=\"uri\">https://opensource.com/life/11/12/kdenlive-part-5-all-about-audio</a></p>',310,0,0,'CC-BY-SA','Kdenlive,opensource.com,recording,audio',0,0,1),
(2305,'2017-06-02','Configuring an HP Laptop for Dual Boot Linux and Windows 10',684,'Installing Linux Ubuntu GNOME to dual boot with Windows 10 on an HP laptop.','<p>This presentation describes the installation of Ubuntu GNOME 16.04 to dual boot with Windows 10 Home on an HP Spectre x360-13 laptop. Previously, I had been using Linux in a virtual machine on Windows. After the update, there was a very significant improvement in performance working in Linux without the Windows/VM overhead. It turned out to not be difficult and was certainly worth doing.</p>\r\n<p>I found a lot of helpful information here: <a href=\"https://askubuntu.com/questions/666631\" class=\"uri\">https://askubuntu.com/questions/666631</a></p>\r\n<p>Get Clonezilla here: <a href=\"https://clonezilla.org/\" class=\"uri\">https://clonezilla.org/</a></p>\r\n',356,0,0,'CC-BY-SA','Linux, Dual-boot',0,0,1),
(2340,'2017-07-21','Tracking the HPR queue in Python',1292,'I explain how I capture the number of HPR shows in the queue using python','<p>In this episode I explain how I use python to track the number of shows in the HPR queue and then turn on a blinkstick to indicate the size of the queue.</p>\r\n<ul>\r\n<li><p>Stack exchange<br />\r\n<a href=\"https://stackoverflow.com/\" class=\"uri\">https://stackoverflow.com/</a></p></li>\r\n<li><p>urllib (Python 3), urllib2 (Python 2)<br />\r\n<a href=\"https://docs.python.org/2/library/urllib.html\" class=\"uri\">https://docs.python.org/2/library/urllib.html</a></p></li>\r\n<li><p>re - regular expressions in python<br />\r\n<a href=\"https://docs.python.org/2/library/re.html\" class=\"uri\">https://docs.python.org/2/library/re.html</a></p></li>\r\n<li><p>Blinkstick<br />\r\n<a href=\"https://www.blinkstick.com/\" class=\"uri\">https://www.blinkstick.com/</a></p></li>\r\n</ul>\r\n<p>Python code included below</p>\r\n<pre><code>#!/usr/bin/env python3\r\n\r\n### This is a scratchpad file I&#39;ve created to try out snippets of code in python\r\n\r\n# The script below is for use with Python 3\r\n# This script should work out of the box on most systems running a version of Python 3 \r\n# If you happen to have a blinkstick lying about then your can uncomment the blinkstick module\r\n# and uncomment the references at the bottom of the program that call the blinkstick functions\r\n# Regards, Mr X\r\n\r\n\r\n# Imported modules\r\nfrom time import sleep          # used to pause program\r\n#from blinkstick import blinkstick  # used to control blinkstick nano attached to usb port of raspberry pi\r\nimport urllib.request           # used to capture hpr webpage content to get the number of HPR shows in the que\r\nimport re               # regular expressions, used to find sting in HPR webpage (get_hpr_que)\r\n\r\n\r\n# These functions control a blink stick nano attached to my raspberry pi USB port #################\r\n# They can be ignored or deleted if you don&#39;t have one\r\n\r\n\r\ndef bstick_off():\r\n# Search for all attached blinksticks and turn them all off\r\n    for bstick in blinkstick.find_all():\r\n        bstick.turn_off()   # Turn front blinkstick LED off\r\n        bstick.set_color(channel=0, index=1, name=&quot;black&quot;)  # Turn rear blinkstick led off\r\n        print(&quot;Blinkstick: &quot; + bstick.get_serial() + &quot; turned off&quot;)\r\n\r\n\r\ndef bstick_on(colour):\r\n# Turn blinkstick on and set led colour to string value stored in var colour\r\n# valid colours are, black, silver, gray, white, maroon, red, purple, fuchsia, green, lime, olive, yellow, navy, blue, teal, aqua\r\n    for bstick in blinkstick.find_all():\r\n        bstick.set_max_rgb_value(30)        # Sets max blinkstick RGB value to 15, makes LED dimm\r\n        bstick.set_color(name=colour)       # Turn blinkstick on, var colour determines colour\r\n        print (&quot;Blinkstick: &quot; + bstick.get_serial() + &quot; | Colour: &quot; + bstick.get_color(color_format=&quot;hex&quot;) + &quot; [&quot; + colour + &quot;]&quot;)\r\n#hex\r\n\r\ndef bstick_on_random():\r\n# Turn blinkstick on colour random\r\n    for bstick in blinkstick.find_all():\r\n        bstick.set_random_color()\r\n        print (&quot;Blinkstick: &quot; + bstick.get_serial() + &quot; | Colour: &quot; + bstick.get_color(color_format=&quot;hex&quot;))\r\n\r\n\r\ndef bstick_blink_red():\r\n# Flash blinkstick colour red\r\n    for bstick in blinkstick.find_all():\r\n        bstick.blink(name=&quot;red&quot;)\r\n        print (&quot;Blinkstick: &quot; + bstick.get_serial() + &quot; | Colour: &quot; + bstick.get_color(color_format=&quot;hex&quot;))\r\n\r\n################################################################################\r\n\r\n\r\ndef get_hpr_que():\r\n# Goto hacker public radio calendar page and extract the number of shows in the queue\r\n# then return the number of shows as an integer\r\n# also turns on blinkstick LED and sends number of HPR shows in the que to the display\r\n\r\n    url = &#39;https://hackerpublicradio.org/calendar.php&#39;   # HPR url for calendar page\r\n    try:\r\n        html_content = urllib.request.urlopen(url).read()   # Try to read hpr calendar page\r\n    except:\r\n        print(&quot;ERROR: Problem acessing url &quot; + url)     # if error accessing url then return -1\r\n        hpr_shows = -1\r\n        return hpr_shows\r\n    html_page = str(html_content)   # convert to string\r\n    line_begin = html_page.find(&#39;There are only &lt;strong&gt;&#39;) # find position of string in html page\r\n    line_end = line_begin + 70 # Store line end position (start position + 70)\r\n    line = html_page[line_begin:line_end]  # Capture string line\r\n    #print(line) # DEBUG Print line string\r\n    digit = re.findall(r&#39;\\d+&#39;,line)         # Find digits in line\r\n    #print(digit[0])    # print the 1st digit\r\n    try:\r\n        hpr_shows = int(digit[0])   # convert digit list to integer days\r\n    except:                         # If show numbers not found then return -1\r\n        print(&quot;ERROR: Problem getting number of HPR shows in que.&quot;)\r\n        hpr_shows = -1\r\n        return hpr_shows\r\n    #print(hpr_shows) # DEBUG\r\n    #return hpr_shows\r\n    if hpr_shows &gt; 9:       # If hpr show que &gt; 9 turn on green LED\r\n        print(&quot;Turn on green blinkstick LED&quot;)\r\n        #bstick_on(&quot;green&quot;)\r\n    elif hpr_shows &gt; 5:     # Else if hpr show que &gt; 5 turn on blue LED\r\n        print(&quot;Turn on blue blinkstick LED&quot;)\r\n        #bstick_on(&quot;blue&quot;)\r\n    elif hpr_shows &gt; -1:    # Else if hpr show que &gt; -1 turn on ref LED\r\n        print(&quot;Turn on red blinkstick LED&quot;)     \r\n        #bstick_on(&quot;red&quot;)\r\n    else:\r\n        print(&quot;Flash red blinkstick LED&quot;)\r\n        #bstick_blink_red() # Else blink LED to show error\r\n    print(&quot;The are &quot; + str(hpr_shows) + &quot; shows in the HPR que...&quot;)\r\n    sleep(4)\r\n    print(&quot;Turn off all blinkstick LED&#39;s&quot;)\r\n    #bstick_off()           # Turn blinkstick off\r\n\r\n\r\n# Main program\r\nget_hpr_que()</code></pre>\r\n',201,0,0,'CC-BY-SA','Python, Programming, Hardware, BlinkStick',0,0,1),
(2308,'2017-06-07','Everyday package operations in Guix',986,'Here\'s how I use Guix in my day-to-day. Fleshed out audio of a comment on ep 2198.','<p>Back at <a href=\"https://hackerpublicradio.org/eps.php?id=2198\">hpr2198 :: How awesome is Guix and why will it take over the world</a> I wrote a comment about how I use <a href=\"https://guixsd.org/\">guix</a> in everyday practice. Here\'s the full episode for that comment.</p>\r\n<p>The most common operations I do are:</p>\r\n<ul>\r\n<li><code>guix environment --ad-hoc ncdu</code>, where <em>ncdu</em> stands for something I heard about and want to try out, or something I only use once a month. It is then “installed” in the spawned sub-shell only. This is an awesome feature.  <ul>\r\n<li>If you haven’t heard about <a href=\"https://en.wikipedia.org/wiki/ncdu\">ncdu</a>, look it up.</li>\r\n<li>Also in <code>~/.bash_aliases</code></li>\r\n<li>Also in <code>~/.local/share/applications</code>\r\n    <ul><li>Using <code>stow</code>, of course</li></ul>\r\n</li></ul></li>\r\n<li><code>guix package -i ncdu</code> if it turned out to be something I like and use every day</li>\r\n<li><code>guix pull</code> to get the latest definitions for this user</li>\r\n<li><code>guix package -u</code> to upgrade my permanently installed stuff for this user</li>\r\n<li><code>guix package -d</code> to erase history of what I had installed before and release these references for collection</li>\r\n<li><p><code>guix gc</code> to reclaim my precious disk space</p>\r\n</li>\r\n<li><p>Followup episode material:</p>\r\n<ul>\r\n<li><em>What\'s in my <a href=\"https://git.scuttlebot.io/%25jGFgjma3hzJfGPG5NG3neRygqy4i6WUqm1PBKsB6iEI%3D.sha256/blob/c7b2d0bce3b000f41b31dc1decd3e89822e355b7/.bash_aliases\"><code>.bash_aliases</code></a>?</em></li>\r\n<li><em>Decentralized source control, for real this time, with <a href=\"https://git-ssb.celehner.com/%25RPKzL382v2fAia5HuDNHD5kkFdlP7bGvXQApSXqOBwc%3D.sha256\"><code>git-ssb</code></a></em></li>\r\n<li><em>What\'s so great about <a href=\"https://www.skarnet.org/software/execline/\">execline</a>?</em></li>\r\n<li><em>What\'s a <code>stow</code>?</em><ul><li><em>How I got rid of stow and learned to love guix to the fullest</em> (Future episode. That\'s not where I am today.)</li>\r\n<li>Listen kids, <a href=\"https://gnusocial.club/conversation/71960#notice-189418\">stow is not a package manager</a> (warning: fediverse drama ahead). It\'s a symlink farm manager that I use for package management.</li></ul></li>\r\n<li>Very short episode: <em>ncdu, eh?</em></li>\r\n</ul>\r\n</li>\r\n</ul>',311,0,0,'CC-BY-SA','guix,linux,nix,sysadmin,development',0,0,1),
(2309,'2017-06-08','Crowdsourcing Accessibility',1354,'A show about my efforts to get lots of students to help correct transcriptions of my online lectures','<p>In order to meet basic accessibility standards, I need to have text alternatives to the audio of my online video lectures for my music appreciation class. I have a transcription tool called <a href=\"https://shop.nuance.com/store/nuanceus/Custom/pbpage.dragon-professional-individual-for-mac6&kpid=PLA_Nuance_Dragon_Prof_Individual_Mac\">Dragon Dictate</a> that can do most of the heavy lifting as far as getting a raw transcript of the audio, but the transcription it generates needs a lot of attention in terms of correction, capitalization, and punctuation. It also needs to have all of the text separated into logical paragraphs and it really helps to have proper section headings. </p>\r\n\r\n<p>There are 20 lectures in all, and I have finished doing 11 of them, but I still have nine to go and no time to do it. I had an idea to crowdsource this effort by giving extra-credit points to my students for doing little bits of it at a time. They get one extra-credit point for every one minute of lecture that they correct.</p>\r\n\r\n<p>I got the idea for this from the <a href=\"https://www.pgdp.net/c/\">Distributed Proofreaders</a> project, where volunteers work to help correct any mistakes that are found in the OCR scans of public-domain books before being posted on a website like <a href=\"https://www.gutenberg.org/\">Project Gutenberg</a>. So far I\'ve gotten about 30 minutes of lecture transcripts corrected by students who needed extra credit, and I have high hopes that we will finish the project either this summer or next fall.</p>\r\n\r\n<p>One excellent tool that I found while I was figuring out how to handle this project logistically is the Linux command line tool called <a href=\"https://mp3splt.sourceforge.net/mp3splt_page/downloads.php\">mp3splt</a>. I use this tool to cut the long lecture files up into one-minute segments like so:</p>\r\n\r\n<pre>mp3splt -t 1.0.0 L13audio.mp3</pre>\r\n\r\n<p>I also wrote my own script that will generate an HTML page with individual audio players for all of these one-minute audio files so that students can very easily choose an audio file to work on that is exactly one minute long. The script also pushes all of the audio files over to my server after creating <code>ogg</code> versions of the mp3s using <a href=\"https://sourceforge.net/projects/mp3-2-ogg/\">mp32ogg</a>.</p>\r\n\r\n\r\n<pre>#!/bin/bash<br/>\r\n\r\nurl=\'https://servername.edu/path/to/filedir\'\r\npage=$(pwd)/$(basename $(pwd))_page.html\r\n\r\nLESSON=$(ls *.mp3 |head -n1 | sed -e \'s/audio.*$//\')\r\n\r\ncat &gt;&gt; $page &lt;&lt;EOFtop\r\n&lt;h2&gt;&lt;a href=&quot;https://servername.edu/path/to/filedir/$LESSON.html&quot;&gt;RAW TRANSCRIPT HERE&lt;/a&gt;&lt;/h2&gt;\r\nEOFtop\r\n\r\nfor i in *.mp3; do\r\n  stem=$(basename $i .mp3)\r\n  mp32ogg $i \r\n  sleep .2\r\ncat &gt;&gt; $page &lt;&lt;EOF\r\n\r\n&lt;h3&gt;File: &quot;$i&quot;&lt;/h3&gt;\r\n&lt;div class=&quot;centered&quot;&gt;\r\n	&lt;audio controls&gt;\r\n		&lt;source src=&quot;$url/$stem.mp3&quot; type=&quot;audio/mpeg&quot;&gt;\r\n		&lt;source src=&quot;$url/$stem.ogg&quot; type=&quot;audio/ogg&quot;&gt;\r\n	&lt;/audio&gt;\r\n&lt;/div&gt;\r\nEOF\r\ndone\r\n\r\nscp *.ogg servername:~/path/to/filedir/\r\nsleep 1\r\nscp *.mp3 servername:~/path/to/filedir/\r\n#sleep 1\r\nscp $page servername:~/path/to/filedir/\r\n</pre>\r\n\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li><a href=\"https://www.merriam-webster.com/dictionary/bloviate\">Bloviate</a>: to speak or write verbosely and windily&mdash;pundits bloviating on the radio</li>\r\n</ul>\r\n',238,79,0,'CC-BY-SA','Accessibility, scripting, audio editing, speech-to-text',0,0,1),
(2310,'2017-06-09','Kdenlive Part 6 Workflow and Conclusion. ',1136,'A look at the final Kdenlive project workflow and conclusion.','<p>Hello HPR listeners this is Geddes with part 6 the final article in this Kdenlive series entitled Workflow and Conclusion.</p>\r\n<p>The topics included are:</p>\r\n<ul>\r\n<li>The Gold Master</li>\r\n<li>The render menu and the gold master</li>\r\n<li>Encoding Workflow</li>\r\n<li>Post production workflow</li>\r\n<li>Conclusion</li>\r\n</ul>\r\n<p>Here\'s the link to the original article.</p>\r\n<p><a href=\"https://opensource.com/life/12/1/kdenlive-part-6-workflow-and-conclusion\" class=\"uri\">https://opensource.com/life/12/1/kdenlive-part-6-workflow-and-conclusion</a></p>\r\n',310,0,0,'CC-BY-SA','Kdenlive,opensource.com,workflow',0,0,1),
(2312,'2017-06-13','Troubleshooting Websites with XAMPP',886,'Frank describes how he used XAMPP to clone his website to localhost so he could shoot some trouble.','<h2 id=\"using-xammp-to-toubleshoot-a-website\">Using XAMMP To Toubleshoot a Website</h2>\r\n<p>XAMMP is package containing a complete LAMPP stack configured to work out of the box. It is avalable for Mac, Windows, and Linux from ApacheFriends.org and includes</p>\r\n<ol type=\"1\">\r\n<li>Apache</li>\r\n<li>MariaDB</li>\r\n<li>PHP</li>\r\n<li>Perl</li>\r\n</ol>\r\n<p>XAMPP is excellent for testing a new website, testing updates for an existing site, or troubleshooting a misbehaving site.</p>\r\n<p>In this podcast, Frank tells how to set up XAMPP against the background of having recently had to troubleshoot his own recalcitrant website.</p>\r\n<p>XAMPP startup messages:</p>\r\n<pre><code># cd /opt/lampp\r\n# ./lampp start\r\nStarting XAMPP for Linux 5.6.30-0...\r\nXAMPP: Starting Apache...ok.\r\nXAMPP: Starting MySQL...ok.\r\nXAMPP: Starting ProFTPD...ok.</code></pre>\r\n<h2 id=\"links\">Links:</h2>\r\n<ul>\r\n<li>Apache Friends: <a href=\"https://www.apachefriends.org/index.html\">https://www.apachefriends.org/index.html</a></li>\r\n<li>The XAMPP Linux FAQ: <a href=\"https://www.apachefriends.org/faq_linux.htmlXAMPP\">https://www.apachefriends.org/faq_linux.htmlXAMPP</a></li>\r\n<li>Frank\'s Blog Post about Troubleshooting with XAMPP (on which this podcast is based): <a href=\"https://pineviewfarm.net/weblog/2017/03/86811/\">https://pineviewfarm.net/weblog/2017/03/86811/</a></li>\r\n</ul>',195,0,0,'CC-BY-SA','XAMPP,Apache,PHP,Perl,Wordpress',0,0,1),
(2313,'2017-06-14','NilFS2',2099,'Klaatu talks about NilFS2','<p>\r\nKlaatu talks about NilFS2, including how to monitor checkpoints, create snapshots, and browse snapshots.\r\n</p>\r\n<p>\r\nNILFS or NILFS2 (New Implementation of a Log-structured File System) is a log-structured file system implementation for the Linux kernel. It is being developed by Nippon Telegraph and Telephone Corporation (NTT) CyberSpace Laboratories and a community from all over the world. NILFS was released under the terms of the GNU General Public License (GPL).\r\n<br />\r\n<a href=\"https://en.wikipedia.org/wiki/NILFS\">https://en.wikipedia.org/wiki/NILFS</a>\r\n</p>\r\n<p>\r\n<a href=\"https://nilfs.sourceforge.net/en/\">https://nilfs.sourceforge.net/en/</a>\r\n</p>\r\n',78,77,0,'CC-BY-SA','file system,NILFS,NILFS2,checkpoint,snapshot',0,0,1),
(2317,'2017-06-20','Bash snippet - extglob and scp',1707,'How does scp manage extended glob patterns?','<h1 id=\"bash-snippet---extglob-and-scp\">Bash snippet - extglob and scp</h1>\r\n<h2 id=\"the-problem\">The Problem</h2>\r\n<p>Following on from my last show on <a href=\"https://hackerpublicradio.org/eps.php?id=2293\" title=\"More supplementary Bash tips\">filename expansion</a>, concentrating on extended patterns and the <code>extglob</code> option, I was asked a question by <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" title=\"HPR Host Jon Kulp\">Jon Kulp</a> in the comment section.</p>\r\n<p>Jon was using <code>ls *(*.mp3|*.ogg)</code> to find all OGG and MP3 files in a directory which also held other files. However, when he wanted to copy this subset of files elsewhere he had problems using this expression in an <code>scp</code> command.</p>\r\n<p>Having done some investigations to help solve this I thought I\'d put what I found into an HPR episode and share it, and this is the show.</p>\r\n<p>Along the way <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" title=\"HPR Host clacke\">clacke</a> commented too and this led me to more investigations!</p>\r\n<h2 id=\"long-notes\">Long notes</h2>\r\n<p>As often happens, my idea of a brief episode turned into something much longer, so I converted the notes into <a href=\"https://hackerpublicradio.org/eps/hpr2317/full_shownotes.html\">long notes which you can find here</a>. In them I have marked some sections which you might want to skip over -- unless you are as much of a geek as I am! I have not covered these sections in detail in the audio.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>HPR Show 2293: <a href=\"https://hackerpublicradio.org/eps.php?id=2293\">More supplementary Bash tips</a></li>\r\n<li>StackExchange question: <a href=\"https://unix.stackexchange.com/questions/103058/exclude-characters-for-scp-filepattern\">Exclude characters for SCP-filepattern</a></li>\r\n</ul>',225,42,1,'CC-BY-SA','Bash,shopt,filename expansion,scp,rsync',0,0,1),
(2314,'2017-06-15','Bad Caps',1584,'NYbill talking about repairing a computer motherboard.','\r\n<p>NYbill talks about repairing a motherboard.</p>\r\n<p>Errata:</p>\r\n<p>Even though I go into a bit about different types of capacitors I didn\'t plan on this being an episode about capacitors themselves. Even though I mention some different types. Bonus, there are also Trimmer Caps.</p>\r\n<p>And yes, I know LCD\'s don\'t have a trace. The old school CRT user popped out there. You all knew what I meant.</p>\r\n<p>Also, I know I mentioned getting a 90 piece cap set from Banggood. I decided to order proper Nichicon replacements from Digikey. Had this been a repair for myself, I would use the no name caps I ordered from China. But, being this repair is for a friend, I figured I better get the real deal. ...BTW they were 220 uf caps.</p>\r\n<p>(Thanks Jezra for the musical interlude. We were joking calling it, &quot;Time Passing&quot;.)</p>\r\n<p>Pics for the episode:</p>\r\n<ul>\r\n<li><a href=\"https://media.gunmonkeynet.net/u/nybill/collection/bad-caps/\" class=\"uri\">https://media.gunmonkeynet.net/u/nybill/collection/bad-caps/</a></li>\r\n</ul>\r\n',235,103,1,'CC-BY-SA','repair,motherboard,capacitor,polymer electrolytic capacitor,ceramic capacitor',0,0,1),
(2315,'2017-06-16','Penguicon 2017 Report',1211,'Penguicon 2017 took place on April 28-30, 2017 in Southfield, Michigan','<p>Penguicon 2017 is a combined technology and science fiction convention in Southfield, Michigan, a suburb of Detroit, and presents over 500 hours of programming over the entire weekend. Of this, around 100 hours are open source, tech-related. In this episode I tell you about my own personal experience at Penguicon this year.</p>\r\n<h3 id=\"links\">Links:</h3>\r\n<ul>\r\n<li><a href=\"https://2017.penguicon.org/\" class=\"uri\">https://2017.penguicon.org/</a></li>\r\n</ul>',198,0,1,'CC-BY-SA','Penguicon 2017, open source event',0,0,1),
(2325,'2017-06-30','Insurance - How It Works',1292,'To begin discussing the policy we need to first explain how insurance works','<p>Health policy is difficult and tricky. In the U.S. health care is mostly financed through insurance. How does that work, and what does it imply. There are some hard truths here.</p>\r\n<h3 id=\"links\">Links:</h3>\r\n<ul>\r\n<li><a href=\"https://discoveringwisdom.com/2013/06/07/life-is-uncertain-eat-dessert-first/\" class=\"uri\">https://discoveringwisdom.com/2013/06/07/life-is-uncertain-eat-dessert-first/</a></li>\r\n<li><a href=\"https://www.actuary.org/files/publications/risk_pool_july2009.pdf\" class=\"uri\">https://www.actuary.org/files/publications/risk_pool_july2009.pdf</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Moral_hazard\" class=\"uri\">https://en.wikipedia.org/wiki/Moral_hazard</a></li>\r\n<li><a href=\"https://www.oregonlaws.org/glossary/definition/actuarially_sound\" class=\"uri\">https://www.oregonlaws.org/glossary/definition/actuarially_sound</a></li>\r\n<li><a href=\"https://www.palain.com/?page_id=272\" class=\"uri\">https://www.palain.com/?page_id=272</a></li>\r\n</ul>\r\n',198,100,0,'CC-BY-SA','Health Insurance, Health Policy',0,0,1),
(2319,'2017-06-22','Minimal Music Site 17.05.39 now available on sourceforge.net',1809,'MattKingUSA review of dell gaming laptop and an update on Minimal Music Site','<p>Hey this is MattKingUSA doing an update of my project Minimal Music Site. And also a review of my new laptop! Thanks for listening!</p>\r\n<ul>\r\n<li><p><a href=\"https://m.dell.com/mt/www.dell.com/uk/p/inspiron-15-7567-laptop/pd?oc=cn56701&amp;model_id=inspiron-15-7567-laptop\" class=\"uri\">https://m.dell.com/mt/www.dell.com/uk/p/inspiron-15-7567-laptop/pd?oc=cn56701&amp;model_id=inspiron-15-7567-laptop</a></p></li>\r\n<li><p><a href=\"https://www.minimalmusicsite.org\" class=\"uri\">https://www.minimalmusicsite.org</a></p></li>\r\n</ul>',340,0,1,'CC-BY-SA','review,laptop,php,cms,music',0,0,1),
(2320,'2017-06-23','Living Computers: Museum + Labs',938,'Free Shell accounts on old Computers with old programing langs','<p>From Wikipedia:</p>\r\n<blockquote>\r\n<p>Living Computers: Museum + Labs (LCM+L) is a computer and technology museum located in the SoDo neighborhood of Seattle, Washington. LCM+L showcases vintage computers which provide interactive sessions, either through time-sharing operating systems or single-user interfaces. This gives users a chance to actually use the computers on-line or in person in the museum. An expansion adds direct touch experiences with contemporary technologies such as virtual reality, self-driving cars, the internet of things, and robotics. This puts today\'s computer technology in the context of how it\'s being used to tackle real-world issues. LCM+L also hosts a wide range of educational programs and events in their state-of-the art classroom and lab spaces.</p>\r\n</blockquote>\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Living_Computers:_Museum_%2B_Labs\">https://en.wikipedia.org/wiki/Living_Computers:_Museum_%2B_Labs</a></li>\r\n<li><a href=\"https://www.livingcomputers.org/\" class=\"uri\">https://www.livingcomputers.org/</a></li>\r\n</ul>',129,0,0,'CC-BY-SA','museum,vintage computer',0,0,1),
(2329,'2017-07-06','Building a Digital Clock Kit',1707,'I bought a self-build digital clock on eBay and document the building process','<h1 id=\"building-a-digital-clock-kit\">Building a Digital Clock Kit</h1>\r\n<h2 id=\"introduction\">Introduction</h2>\r\n<p>In April 2017 my son and I decided to each build a digital clock. I had been interested in the idea since seeing <a href=\"https://www.youtube.com/watch?v=8Ty5Bnj2XqE\" title=\"eBay clock kit. Full build and setting guide.\">Big Clive</a> build one on YouTube, and I think my son had been similarly motivated.</p>\r\n<p>He found one, which I have <a href=\"https://www.ebay.co.uk/itm/162310902696\" title=\"4-Digit LED DIY Digital Electronic Micro Controller Kit Clock Time Thermometer\">linked</a> to below. It\'s smaller than the one shown by Big Clive, comes from ShenZhen China, and costs $5.35 (about £4.18) postage free. It takes a <em>long</em> time to arrive, so patience is needed!</p>\r\n<p>There are <u>many</u> digital clock kits on eBay, and lots of YouTube videos showing how to build them. I think it\'s a great project for someone wanting some soldering practice which is a little more demanding than a beginner project.</p>\r\n<p>One type to avoid, I think, is the surface mount type. The one I have uses a through-hole PCB, but I have seen some that provide SMD (surface-mounted device) components. That type of soldering is beyond me at the moment (though my son has been teaching himself to do it).</p>\r\n<h2 id=\"long-notes\">Long notes</h2>\r\n<p>I have provided detailed notes detailing the unpacking and building of this device, with photographs. These are available <a href=\"https://hackerpublicradio.org/eps/hpr2329/full_shownotes.html\">here</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Youtube bigclivedotcom: <a href=\"https://www.youtube.com/watch?v=8Ty5Bnj2XqE\">eBay clock kit. Full build and setting guide.</a></li>\r\n<li>eBay item: <a href=\"https://www.ebay.co.uk/itm/162310902696\">4-Digit LED DIY Digital Electronic Micro Controller Kit Clock Time Thermometer</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2329/full_shownotes.html\">Full details of the build with photographs</a></li>\r\n</ul>',225,103,1,'CC-BY-SA','electronics,clock,soldering',0,0,1),
(2322,'2017-06-27','A bit of background on virtualenvwrapper',1059,'Linux processes, the process environment and the shell, as they relate to virtualenvwrapper.','<h1 id=\"a-bit-of-background-on-virtualenvwrapper\">A bit of background on virtualenvwrapper</h1>\r\n<p>Or, Linux processes, the process environment and the shell.</p>\r\n<h2 id=\"speaker-intro\">speaker intro</h2>\r\n<p>Hi, I\'m bjb. I\'ve been using Linux for wow, 20 years now.</p>\r\n<h2 id=\"motivation\">motivation</h2>\r\n<p>knox gave a nice podcast on virtualenvwrapper - it was timely for me, I was just trying to use it the other day and not finding all the bits and pieces. So thank you for collecting that info in one place.</p>\r\n<p>knox asked why virtualenvwrapper behaves as it does ...</p>\r\n<h2 id=\"introduction\">introduction</h2>\r\n<p>virtualenvwrapper is a combination of bash functions and programs.</p>\r\n<p>To understand how it works you need to know a little bit about bash and Linux.</p>\r\n<p>I know there have been some very good earlier and current! HPR shows on bash. But bash is a huge topic. The man page for it was 3500 lines about 10 years ago ...now it is 4300 plus lines. It has a LOT of functionality, and when you\'re just trying to get something done, it\'s overwhelming to look at. So in this HPR episode, I will just answer one or two of knox\'s questions. It gives me an excuse to make an episode.</p>\r\n<p>Also I\'m not going to go too deep into the description. In order to keep the podcast short and to-the-point, I\'m just going to cover what is needed. There is lots more depth - there are several shells you could use and I\'m only going to talk about bash; at startup bash can read more than just the files I mention in this podcast ... I\'m just not going to cover all the possibilities. That\'s what the over 4300 line man page is for : -). If you have questions, ask them in the comments, or make your own podcast and ask them! Maybe you\'ll get some answers - either from me or from another HPR community member.</p>\r\n\r\n<h2 id=\"environment-for-processes\">environment for processes</h2>\r\n<p>A program that has no inputs is not flexible or powerful. As a simple example, a program that displays the results of a hard-coded search is certainly useful if you want to know about that hard-coded search term. But a program that can search for a term that you specify at run time is so much more useful. You do not have to recompile the program to change the search term.</p>\r\n<p>Programs can receive inputs in several ways.</p>\r\n<p>On Linux and other unix-like OSs, a program can be run with arguments, read and write to file descriptors (and that includes standard in, standard out and standard error), they can receive signals - and they have another input: the &quot;environment&quot;. That is a bunch of key-value pairs that are made available to the program when it starts. Some examples of environment variables are PATH, HOME, EDITOR and PAGER. The name of the environment variable, \'PAGER\', is the key, and the thing on the other side of the equals sign, like \'less\', is the value - the pair make up a key-value entry in the environment.</p>\r\n<p>People who program in C or C++ and maybe other languages know that the program starts with a main function, and that function has some parameters. The first one is a count of arguments and the second one is an array of strings, each string being one of the arguments passed to the program when it is launched. There is a little-known optional third parameter: an array of strings that represents the &quot;environment&quot;.</p>\r\n<p>The way the program gets these strings is that it inherits them from its parent process. The parent process of programs that are run from the command line is ... the command line itself, bash. Or csh, or whatever your shell is. When the program starts, it gets a copy of the exported parts of the environment of its parent.</p>\r\n<h3 id=\"environment-in-bash\">environment in bash</h3>\r\n<p>Bash gives you the ability to set these environment variables and mark them as &quot;available for handing to subprocesses&quot;, and that is what is happening when you give that &quot;export&quot; command.</p>\r\n<p>You can view all the currently defined variables that have been marked for export by using the &quot;env&quot; command with no arguments. E N V - echo november victor. Or, env, short for environment.</p>\r\n<p>Since these variables are passed down the generations from parent to child, it is usually sufficient to define it once at the top level.</p>\r\n<p>The command line itself is a program called bash. It reads some files at startup.</p>\r\n<p>As an example of the &quot;generations&quot;, you can call bash from within bash. And you can call bash again from within that bash. Then the first bash is the parent of the second one, and the second one is the parent of the third. The third bash is the child of the second.</p>\r\n<p>You can see the environment changing: Set a variable fred=one in the first shell and export it:</p>\r\n<p>export fred=one</p>\r\n<p>then run bash. In that bash you can echo $fred, and see that fred is one. Now you can change fred to two:</p>\r\n<p>export fred=two</p>\r\n<p>and run the third bash. In the third bash, you can see that fred is two:</p>\r\n<p>echo $fred</p>\r\n<p>now exit bash with the exit command.</p>\r\n<p>If you echo $fred, you will see fred is still two, since we set it to two just before we ran the third bash. But if you exit again, you will be back to the first bash, and you will see that fred is now one. This is the environment that bash had, just before you launched the second bash. The second and third environments are gone - those processes terminated when the exit command was given on their prompts; and when they did, their environments were cleaned up and removed.</p>\r\n<p>In the show notes, I have another exercise to help with understanding this environment thing.</p>\r\n<p>Here\'s another exercise to illustrate this principle. Type bash and<br />\r\nenter, and you will be in a subshell. If you show a process listing<br />\r\nin a hierarchical format, with children indented from their parents,<br />\r\nyou will see that the bash you are currently in is a child of<br />\r\nanother bash. The command to see the list of running processes in<br />\r\nhierarchical format is:</p>\r\n<p>    ps -efH</p>\r\n<p>There are several bash processes. In order to pick out the bash<br />\r\ninstance that I\'m running, I look for the ps process, because it has<br />\r\na uniqe string in the arguments: -efH. In the less session, search<br />\r\nfor \'efH\' by typing &quot;/efH&quot;. The screen will jump to where the<br />\r\nps -efH process is, and highlight the &quot;efH&quot; string that you searched<br />\r\nfor. The line you searched for will be at the top of the display<br />\r\n... to see the few lines above, type &quot;kkkk&quot; (one k for each line to<br />\r\nmove up). To exit from less, type q.</p>\r\n<p>Go ahead and export another made-up variable - perhaps your street name:</p>\r\n<p>   export CHESTNUT=rizwan</p>\r\n<p>Make sure it is there with the env command:</p>\r\n<p>   env | grep CHESTNUT</p>\r\n<p>and then run another subshell, and search for it again:</p>\r\n<p>   bash<br />\r\n   env | grep CHESTNUT</p>\r\n<p>Exit the various shells with the &quot;exit&quot; command or by typing ^D. If<br />\r\nyou exit the subshell, and the shell in which you created the<br />\r\nCHESTNUT environment variable, you can run the env command and<br />\r\nsearch for that environment variable - it will not be there. The<br />\r\nprogram in which the environment variable was created has terminated,<br />\r\nand its environment has been discarded.</p>\r\n<h3 id=\"bash-startup-files\">bash startup files</h3>\r\n<p>When bash is a login shell, it reads ~/.bash_profile. When it is not a login shell, but some subshell of the login shell, it reads ~/.bashrc.</p>\r\n<p>So for things that you only need to set once, you can put them in ~/.bash_profile. For things that you have to run for each new subshell, you put them in .bashrc.</p>\r\n<p>(Note that most distributions will set up the user accounts so they will run ~/.bashrc from .bash_profile for interactive shells)</p>\r\n<h3 id=\"the-path\">the PATH</h3>\r\n<p>This is important, because of two things. The first is the PATH. The PATH is one of the environment variables that is used by the system to look for executables. So if you want to run a program, it should be in one of the directories on the PATH, or you will have to specify the full path to the program when running it.</p>\r\n<p>When you first get your account on a system, there is a default version of the .bashrc and .bash_profile files. In .bash_profile there should be a definition of the PATH. It contains the system directories like /usr/bin and /bin - you don\'t want to remove those from your path or your shell will become next to useless - you will have to use full paths for all commands. So the way that people add directories to the PATH is to assign the existing value of PATH to itself, plus the desired new directories. For example:</p>\r\n<blockquote>\r\n<p>PATH=$PATH:/home/bjb/bin</p>\r\n</blockquote>\r\n<p>But if you put this in .bashrc, then every subshell will have another copy of the directory /home/bjb/bin tacked onto the end of the PATH. So the right place to put this definition is in ~/.bash_profile, where it will be executed once and then inherited by all the subshells.</p>\r\n<h3 id=\"shell-functions-and-aliases\">shell functions and aliases</h3>\r\n<p>However not everything you need in the shell is inherited from the parent program. It turns out that another facility that bash supplies and that virtualenv uses is the ability to define and execute bash functions. Bash also has aliases.</p>\r\n<p>A bash function is a series of bash commands that have been given a name, and that you can run by typing that name. It can also receive arguments that can influence how the function will behave. HPR episode 1757 by Dave Morriss called &quot;Useful Bash Functions&quot; talks about bash functions.</p>\r\n<p>You can see the list of currently defined bash functions by using the bash command: declare -F</p>\r\n<p>An alias is a simpler version of a function - it is (usually) just a shorter string to represent a longer or more complicated command, to make command line use easier (assuming you can remember all the aliases in the first place).</p>\r\n<p>You can see the list of currently defined aliases by using the bash command: alias</p>\r\n<p>virtualenvwrapper makes use of bash functions. This has consequences.</p>\r\n<h3 id=\"the-bash-builtin-command-source\">the bash builtin command \'source\'</h3>\r\n<p>One is that you need to define those functions in every subshell. That\'s why you need to put &quot;source /usr/local/bin/virtualenvwrapper.sh&quot; in your bashrc.</p>\r\n<p>Well it seems that on a Debian system virtualenvwrapper puts the workon shell function into your shell via a more convoluted route. I will describe it in the show notes. But in the end, the virtualenvwrapper file that defines the virtualenvwrapper adds the function workon to your shell by sourcing the file /etc/bash_completion.d/virtualenvwrapper whenever .bashrc is sourced. (Note that &quot;.&quot; is shorthand for the bash &quot;source&quot; built-in command.) The &quot;workon&quot; function is defined in /etc/bash_completion.d/virtualenvwrapper (the definition is about in the middle of the file.)</p>\r\n<p>- ~/.bashrc sources /etc/bash_completion or /usr/share/bash-completion/bash_completion<br />\r\n  (whichever one it finds first);<br />\r\n- which sources /usr/share/bash-completion/bash_completion;<br />\r\n- which sources all the files in /etc/bash_completion.d<br />\r\n- one of which is virtualenvwrapper.sh<br />\r\n- which defines the bash function workon.</p>\r\n<p>Look at that, on a Debian system &quot;apt-cache show virtualenvwrapper&quot; does indeed list bash-completion as a dependency. The virtualenvwrapper upstream does not assume you will be using command completion, and in the comments at the top of the /etc/bash_completion.d/virtualenvwrapper file tell you to put &quot;source .../virtualenvwrapper.sh&quot; into your ~/.bashrc file.</p>\r\n<p>A description of bash-completion could be a topic of another podcast (I\'m not actually volunteering to do this one, heh, just suggesting it as a topic).</p>\r\n<h3 id=\"life-cycle-of-environment\">life cycle of environment</h3>\r\n<p>Another consequence is this: When you run a program, it will inherit a copy of the environment of its parent. When it is done, it will exit and that environment will disappear. So, you cannot run a program or subshell to try to affect your environment. It will affect the subshell or program environment, and as soon as the command is done, that updated environment will disappear.</p>\r\n<p>The &quot;source&quot; built-in bash command is meant to allow you to run a bunch of commands in a file as if they had been typed on the command line. So you can put commands that affect the environment, and the environment will still have the changes when the sourcing is done.</p>\r\n<h3 id=\"back-to-virtualenvwrapper-conclusion\">back to virtualenvwrapper: conclusion</h3>\r\n<p>So, virtualenvwrapper is mainly changes to the environment. It consists of a few files that are stored in ~/.virtualenvs, with names like postactivate and premkvirtualenv. They are basically hooks to add functionality before and after the commands you would issue for virtualenv, so you can customize virtualenv.</p>\r\n<p>To understand virtualenvwrapper, let\'s have a quick look at virtualenv first. The things you do with virtualenv are to create a virtualenv, destroy one, and activate one.</p>\r\n<p>So the things you can do with virtualenvwrapper are to run some script or scriptlet before or after you create a virtualenv, destroy a virtualenv, or activate a virtualenv.</p>\r\n<p>The main thing to customize is the &quot;where to find the activate file&quot; and the &quot;what to do after activating \'postactivate\'&quot;.</p>\r\n<p>It does this by setting environment variables (like PATH and PYTHONHOME) appropriately and by defining bash functions to do things like change directory to where the project is.</p>\r\n<p>You just have to edit .virtualenvs/postactivate to contain the location of your project files. You also define WORKON_HOME to be the directory that contains all your virtualenvs (for me that is /usr/local/pythonenv, but for most people it will be some directory in their home directory.</p>\r\n<h3 id=\"summary\">Summary</h3>\r\n<p>virtualenv manipulates the environment in order to allow you to have different python setups for your different projects - handy if you have one project that depends on different versions of python packages than another project and you want to run both.</p>\r\n<p>But virtualenv leaves a few rough edges, like leaving it up to you to find the virtualenv in order to source the activate script. That is where virtualenvwrapper comes in.</p>\r\n<p>We have talked about the environment, and how virtualenvwrapper manipulates the environment to make it easier to work with the virtualenvs that you have created.</p>\r\n<p>The environment refers to the set of environment variables that are defined and passed to child processes. We also discussed the process hierarchy and that a new environment is created for a new process, and it is destroyed when that process exits. We covered sourcing a file of shell commands, so that if those commands affect the environment, then when the sourcing is done, the environment left is the one that was changed and the changes persist past the source command. We talked about the .bash_profile and the .bashrc files.</p>\r\n<h3 id=\"hpr-exhortation\">HPR exhortation</h3>\r\n<p>You\'ve been listening to Hacker Public Radio. Anyone can make a show -if I can do it, so can you.</p>\r\n',357,0,0,'CC-BY-SA','python,virtualenvwrapper,virtualenv,bash,linux',0,0,1),
(2323,'2017-06-28','How to Configure Mumble in Real Time',384,'The cast of the urandom podcast help a guest troubleshoot their Mumble setup in real time. ','<p>Links relevant to the show:</p>\r\n<ul>\r\n<li><a href=\"https://www.evoterra.com/\" class=\"uri\">https://www.evoterra.com/</a></li>\r\n<li><a href=\"https://scribl.com/\" class=\"uri\">https://scribl.com/</a></li>\r\n<li><a href=\"https://wiki.mumble.info/wiki/Main_Page\" class=\"uri\">https://wiki.mumble.info/wiki/Main_Page</a></li>\r\n<li><a href=\"https://urandom-podcast.info/\" class=\"uri\">https://urandom-podcast.info/</a></li>\r\n</ul>',270,0,1,'CC-BY-SA','Mumble, Podcasting, Audiobooks, Troubleshooting, How To',0,0,1),
(2566,'2018-06-04','HPR Community News for May 2018',3807,'HPR Volunteers talk about shows released and comments posted in May 2018','\n\n<h2>New hosts</h2>\n<p>\nThere were no new hosts this month.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2542\" target=\"_blank\">2542</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-05-01</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2542\" target=\"_blank\">How I helped my dad run a static website using SparkleShare</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2543\" target=\"_blank\">2543</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-05-02</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2543\" target=\"_blank\">Home Theater - Part 1 Hardware</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2544\" target=\"_blank\">2544</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-05-03</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2544\" target=\"_blank\">How I prepared episode 2493: YouTube Subscriptions - update</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2545\" target=\"_blank\">2545</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-05-04</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2545\" target=\"_blank\">HPR 2017 New Years Eve show part 5</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2546\" target=\"_blank\">2546</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-05-07</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2546\" target=\"_blank\">HPR Community News for April 2018</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2547\" target=\"_blank\">2547</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-05-08</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2547\" target=\"_blank\">MSYS2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2548\" target=\"_blank\">2548</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-05-09</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2548\" target=\"_blank\">Single Vs Multiple Characters</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2549\" target=\"_blank\">2549</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-05-10</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2549\" target=\"_blank\">DVD ripping using old hardware</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0318.html\" target=\"_blank\">Archer72</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2550\" target=\"_blank\">2550</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-05-11</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2550\" target=\"_blank\">Howto get started playing RPGs</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2551\" target=\"_blank\">2551</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-05-14</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2551\" target=\"_blank\">Calibrating Calibration</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2552\" target=\"_blank\">2552</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-05-15</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2552\" target=\"_blank\">What is stow?</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2553\" target=\"_blank\">2553</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-05-16</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2553\" target=\"_blank\">Get ahead with git HEAD</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2554\" target=\"_blank\">2554</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-05-17</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2554\" target=\"_blank\">Gnu Awk - Part 11</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2555\" target=\"_blank\">2555</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-05-18</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2555\" target=\"_blank\">HPR 2017 New Years Eve show part 6</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0109.html\" target=\"_blank\">Various Hosts</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2556\" target=\"_blank\">2556</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-05-21</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2556\" target=\"_blank\">Building trust</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2557\" target=\"_blank\">2557</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-05-22</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2557\" target=\"_blank\">Styx -- The Purely Functional Static Site Generator</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2558\" target=\"_blank\">2558</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-05-23</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2558\" target=\"_blank\">Battling with English - part 1</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2559\" target=\"_blank\">2559</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-05-24</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2559\" target=\"_blank\">My Favourite Browser extension</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2560\" target=\"_blank\">2560</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-05-25</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2560\" target=\"_blank\">General Data Protection Regulation (GDPR)</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2561\" target=\"_blank\">2561</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-05-28</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2561\" target=\"_blank\">A reluctant dog walk</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2562\" target=\"_blank\">2562</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-05-29</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2562\" target=\"_blank\">I bought a laptop</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2563\" target=\"_blank\">2563</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-05-30</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2563\" target=\"_blank\">Action In Storytelling</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2564\" target=\"_blank\">2564</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-05-31</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2564\" target=\"_blank\">Intro to Fossil</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n</table>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 18 comments in total.</p>\n<p>There are 7 comments on\n5 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1762#comments\" target=\"_blank\">hpr1762</a></strong>\n(2015-05-05) \"<em>HPR Audio Book Club 10</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0157.html\" target=\"_blank\">HPR_AudioBookClub</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=1762#2\" target=\"_blank\">Comment 2</a>:\ndodddummy on 2018-05-12:\n\"Tickles me in places I&#39;m not sure I&#39;m comfortable with\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2381#comments\" target=\"_blank\">hpr2381</a></strong>\n(2017-09-18) \"<em>Benefits of a tabletop</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2381#4\" target=\"_blank\">Comment 4</a>:\nBrian DeRocher on 2018-05-02:\n\"open source games\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2536#comments\" target=\"_blank\">hpr2536</a></strong>\n(2018-04-23) \"<em>Lostnbronx examines points-of-view and tenses in storytelling.</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2536#1\" target=\"_blank\">Comment 1</a>:\nFweeb on 2018-05-02:\n\"2nd person\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2536#2\" target=\"_blank\">Comment 2</a>:\nclacke on 2018-05-02:\n\"Chinese\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2536#3\" target=\"_blank\">Comment 3</a>:\nlostnbronx on 2018-05-02:\n\"Fweeb, I think you&#39;re right\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2540#comments\" target=\"_blank\">hpr2540</a></strong>\n(2018-04-27) \"<em>28 - TLS 1.3</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2540#1\" target=\"_blank\">Comment 1</a>:\nGavtres on 2018-04-30:\n\"TLS 1.3\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2541#comments\" target=\"_blank\">hpr2541</a></strong>\n(2018-04-30) \"<em>Microphone Wind Screen Demo</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2541#1\" target=\"_blank\">Comment 1</a>:\nfolky on 2018-05-03:\n\"Very quit\"</li></ul><br/>\n</li></ul>\n<p>There are 11 comments on 8 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2546#comments\" target=\"_blank\">hpr2546</a></strong>\n(2018-05-07) \"<em>HPR Community News for April 2018</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2546#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2018-05-07:\n\"Re: butchering\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2547#comments\" target=\"_blank\">hpr2547</a></strong>\n(2018-05-08) \"<em>MSYS2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2547#1\" target=\"_blank\">Comment 1</a>:\nClaudioM on 2018-05-08:\n\"MSYS2 is What Cygwin Should Be\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2547#2\" target=\"_blank\">Comment 2</a>:\nGavtres on 2018-05-08:\n\"Git Bash\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2549#comments\" target=\"_blank\">hpr2549</a></strong>\n(2018-05-10) \"<em>DVD ripping using old hardware</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0318.html\" target=\"_blank\">Archer72</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2549#1\" target=\"_blank\">Comment 1</a>:\nKlaatu on 2018-05-30:\n\"neat\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2550#comments\" target=\"_blank\">hpr2550</a></strong>\n(2018-05-11) \"<em>Howto get started playing RPGs</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2550#1\" target=\"_blank\">Comment 1</a>:\nredrider06 on 2018-05-22:\n\"Howto get started playing RPGs\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2551#comments\" target=\"_blank\">hpr2551</a></strong>\n(2018-05-14) \"<em>Calibrating Calibration</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2551#1\" target=\"_blank\">Comment 1</a>:\nmcnalu on 2018-05-14:\n\"Oscillowant\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2551#2\" target=\"_blank\">Comment 2</a>:\nNYbill on 2018-05-14:\n\"A chimp by another name...\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2556#comments\" target=\"_blank\">hpr2556</a></strong>\n(2018-05-21) \"<em>Building trust</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2556#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2018-05-25:\n\"Profound\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2557#comments\" target=\"_blank\">hpr2557</a></strong>\n(2018-05-22) \"<em>Styx -- The Purely Functional Static Site Generator</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2557#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2018-04-05:\n\"Addendum: Styx was written by Eric Sagnes\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2560#comments\" target=\"_blank\">hpr2560</a></strong>\n(2018-05-25) \"<em>General Data Protection Regulation (GDPR)</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2560#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2018-05-24:\n\"The date\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2560#2\" target=\"_blank\">Comment 2</a>:\nNYbill on 2018-05-25:\n\"Nice TLDR.\"</li></ul><br/>\n</li></ul>\n\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available on the HPR server under\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-May/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-May/thread.html</a>\n\n\n<h2>Any other business</h2>\n<h3 id=\"website-changes\">Website changes</h3>\n<p>There have been two changes to the HPR website in May:</p>\n<ul>\n<li><p>The tags for a show are now being displayed in the header of each show page</p></li>\n<li><p>A fault in the comment display code, which resulted in comments containing the percent sign (%) not to be displayed, has been corrected.</p></li>\n</ul>\n<h3 id=\"tags-and-summaries\">Tags and Summaries</h3>\n<p>Thanks to <a href=\"https://hackerpublicradio.org/correspondents/0215.html\"><code>Windigo</code></a> for sending in updates in the past month.</p>\n<p>Over the period tags and/or summaries have been added to 2 shows which were missing them.</p>\n<p>If you would like to contribute to the tag/summary project visit the summary page at <a href=\"https://hackerpublicradio.org/report_missing_tags.php\" class=\"uri\">https://hackerpublicradio.org/report_missing_tags.php</a> and follow the instructions there.</p>\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2586,'2018-07-02','HPR Community News for June 2018',3510,'HPR Volunteers talk about shows released and comments posted in June 2018','\n\n<h2>New hosts</h2>\n<p>\nThere were no new hosts this month.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2565\" target=\"_blank\">2565</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-06-01</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2565\" target=\"_blank\">HPR 2017 New Years Eve show part 7</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0158.html\" target=\"_blank\">Various Creative Commons Works</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2566\" target=\"_blank\">2566</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-06-04</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2566\" target=\"_blank\">HPR Community News for May 2018</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2567\" target=\"_blank\">2567</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-06-05</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2567\" target=\"_blank\">Son of Hunky Punk</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0152.html\" target=\"_blank\">Claudio Miranda</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2568\" target=\"_blank\">2568</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-06-06</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2568\" target=\"_blank\">Personal finance</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2569\" target=\"_blank\">2569</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-06-07</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2569\" target=\"_blank\">Pandemic: Reign of Cthulu board game review</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2570\" target=\"_blank\">2570</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-06-08</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2570\" target=\"_blank\">Penguicon 2018 Report</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2571\" target=\"_blank\">2571</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-06-11</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2571\" target=\"_blank\">Kill Dr. Lucky</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2572\" target=\"_blank\">2572</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-06-12</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2572\" target=\"_blank\">What\'s in my tool kit</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0365.html\" target=\"_blank\">bookewyrmm</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2573\" target=\"_blank\">2573</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-06-13</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2573\" target=\"_blank\">Foundations of git rebase</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2574\" target=\"_blank\">2574</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-06-14</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2574\" target=\"_blank\">Personal cash-only finance</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2575\" target=\"_blank\">2575</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-06-15</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2575\" target=\"_blank\">Quick Tips June 2018</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2576\" target=\"_blank\">2576</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-06-18</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2576\" target=\"_blank\">My swedish and german podcasts part 1</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0309.html\" target=\"_blank\">folky</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2577\" target=\"_blank\">2577</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-06-19</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2577\" target=\"_blank\">Emigration</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2578\" target=\"_blank\">2578</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-06-20</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2578\" target=\"_blank\">LinuxLUGcast 102 the lost episode</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0269.html\" target=\"_blank\">Honkeymagoo</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2579\" target=\"_blank\">2579</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-06-21</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2579\" target=\"_blank\">Ubuntu 18.04 Mate</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2580\" target=\"_blank\">2580</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-06-22</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2580\" target=\"_blank\">Diabetes</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2581\" target=\"_blank\">2581</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-06-25</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2581\" target=\"_blank\">My new 3D printer - impressions of the Creality Ender 3</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2582\" target=\"_blank\">2582</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-06-26</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2582\" target=\"_blank\">3 Contribution case studies</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2583\" target=\"_blank\">2583</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-06-27</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2583\" target=\"_blank\">Random Rant</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0354.html\" target=\"_blank\">TheDUDE</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2584\" target=\"_blank\">2584</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-06-28</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2584\" target=\"_blank\">Plot Twists In Storytelling</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2585\" target=\"_blank\">2585</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-06-29</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2585\" target=\"_blank\">Check to see if a Remote Control is working</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n</table>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 20 comments in total.</p>\n<p>There are 10 comments on\n7 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1992#comments\" target=\"_blank\">hpr1992</a></strong>\n(2016-03-22) \"<em>How I\'m handling my podcast-subscriptions and -listening</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0309.html\" target=\"_blank\">folky</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=1992#2\" target=\"_blank\">Comment 2</a>:\nfolky on 2018-06-07:\n\"Changed links to my gits\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2158#comments\" target=\"_blank\">hpr2158</a></strong>\n(2016-11-09) \"<em>Art Club</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0326.html\" target=\"_blank\">Brian in Ohio</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2158#1\" target=\"_blank\">Comment 1</a>:\nMathMann on 2018-06-05:\n\"Art Club\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2542#comments\" target=\"_blank\">hpr2542</a></strong>\n(2018-05-01) \"<em>How I helped my dad run a static website using SparkleShare</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2542#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2018-06-15:\n\"What is SparkleShare?\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2552#comments\" target=\"_blank\">hpr2552</a></strong>\n(2018-05-15) \"<em>What is stow?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2552#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2018-06-15:\n\"Clarification\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2557#comments\" target=\"_blank\">hpr2557</a></strong>\n(2018-05-22) \"<em>Styx -- The Purely Functional Static Site Generator</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2557#2\" target=\"_blank\">Comment 2</a>:\nclacke on 2018-06-15:\n\"Killer feature\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2558#comments\" target=\"_blank\">hpr2558</a></strong>\n(2018-05-23) \"<em>Battling with English - part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2558#1\" target=\"_blank\">Comment 1</a>:\nMichael on 2018-06-14:\n\"Great idea!\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2558#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2018-06-14:\n\"Thanks Michael\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2558#3\" target=\"_blank\">Comment 3</a>:\nHipstre on 2018-06-15:\n\"Battling With English\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2558#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2018-06-15:\n\"Thanks Hipstre\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2562#comments\" target=\"_blank\">hpr2562</a></strong>\n(2018-05-29) \"<em>I bought a laptop</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2562#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2018-06-15:\n\"Pinebook\"</li></ul><br/>\n</li></ul>\n<p>There are 10 comments on 7 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2566#comments\" target=\"_blank\">hpr2566</a></strong>\n(2018-06-04) \"<em>HPR Community News for May 2018</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2566#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2018-06-15:\n\"The group of the tab is in the windowing (of it)\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2566#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2018-06-15:\n\"I don&#39;t use multiple windows\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2568#comments\" target=\"_blank\">hpr2568</a></strong>\n(2018-06-06) \"<em>Personal finance</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2568#1\" target=\"_blank\">Comment 1</a>:\nnorrist on 2018-06-11:\n\"Receint pocdast on US Social Security\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2574#comments\" target=\"_blank\">hpr2574</a></strong>\n(2018-06-14) \"<em>Personal cash-only finance</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2574#1\" target=\"_blank\">Comment 1</a>:\nJWP on 2018-06-25:\n\"This Show about Cash\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2576#comments\" target=\"_blank\">hpr2576</a></strong>\n(2018-06-18) \"<em>My swedish and german podcasts part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0309.html\" target=\"_blank\">folky</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2576#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2018-06-19:\n\"Home country of choice\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2576#2\" target=\"_blank\">Comment 2</a>:\nClinton Roy on 2018-06-19:\n\"A english/german recommendation\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2576#3\" target=\"_blank\">Comment 3</a>:\nfolky on 2018-06-20:\n\"Here is the link\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2579#comments\" target=\"_blank\">hpr2579</a></strong>\n(2018-06-21) \"<em>Ubuntu 18.04 Mate</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2579#1\" target=\"_blank\">Comment 1</a>:\nJWP on 2018-06-25:\n\"Great Little update\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2582#comments\" target=\"_blank\">hpr2582</a></strong>\n(2018-06-26) \"<em>3 Contribution case studies</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2582#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2018-06-27:\n\"Would love HPR feedback\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2585#comments\" target=\"_blank\">hpr2585</a></strong>\n(2018-06-29) \"<em>Check to see if a Remote Control is working</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2585#1\" target=\"_blank\">Comment 1</a>:\nNYbill on 2018-06-29:\n\"There is one more...\"</li></ul><br/>\n</li></ul>\n\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available on the HPR server under\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-June/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-June/thread.html</a>\n\n\n<h2>Any other business</h2>\n<h3 id=\"workflow-changes\">Workflow changes</h3>\n<p>There has been a change to the HPR workflow this month:</p>\n<ul>\n<li><p>Earlier in 2018 a change was made to the database to add an additional version of the host name. This is intended to be spoken by <code>espeak</code> and can hold an alternative spelling which <code>espeak</code> handles better in the audio preamble of shows. In this way the name <code>\'thelovebug\'</code>, for example, which <code>espeak</code> renders as <code>&quot;Thel Ove Bug&quot;</code> can be stored as <code>\'TheLoveBug\'</code>, which <code>espeak</code> pronounces correctly.</p></li>\n<li><p>The use of this field has now been incorporated into the workflow.</p></li>\n<li><p>Many of these &quot;espeak names&quot; were changed in the database, but we probably haven\'t catered for them all. If your name is being mispronounced by <code>espeak</code> let us know and we\'ll try and fix it.</p></li>\n</ul>\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2611,'2018-08-06','HPR Community News for July 2018',5053,'HPR Volunteers talk about shows released and comments posted in July 2018','\n\n<h2>New hosts</h2>\n<p>\nWelcome to our new host: <br />\n\n    <a href=\"https://hackerpublicradio.org/correspondents/0366.html\" target=\"_blank\">Philip</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2586\" target=\"_blank\">2586</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-07-02</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2586\" target=\"_blank\">HPR Community News for June 2018</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2587\" target=\"_blank\">2587</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-07-03</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2587\" target=\"_blank\">Cleaning out your Digital Gutters</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">knightwise</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2588\" target=\"_blank\">2588</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-07-04</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2588\" target=\"_blank\">Miniature painting</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2589\" target=\"_blank\">2589</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-07-05</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2589\" target=\"_blank\">Saving Money: a response to Klaatu\'s Personal Finance Series</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2590\" target=\"_blank\">2590</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-07-06</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2590\" target=\"_blank\">Blowing a PC Power Supply</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2591\" target=\"_blank\">2591</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-07-09</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2591\" target=\"_blank\">International Troubleshooting</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2592\" target=\"_blank\">2592</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-07-10</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2592\" target=\"_blank\">Tech Talk With Allison</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0115.html\" target=\"_blank\">sigflup</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2593\" target=\"_blank\">2593</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-07-11</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2593\" target=\"_blank\">Intro to De Bellis Antiquitatis</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2594\" target=\"_blank\">2594</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-07-12</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2594\" target=\"_blank\">Using nmtui, the Network Manager Terminal User interface</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0366.html\" target=\"_blank\">Philip</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2595\" target=\"_blank\">2595</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-07-13</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2595\" target=\"_blank\">New laptop bargain?</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2596\" target=\"_blank\">2596</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-07-16</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2596\" target=\"_blank\">Battling with English - part 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2597\" target=\"_blank\">2597</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-07-17</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2597\" target=\"_blank\">How to Fix a Remote with Buttons that Don\'t Work</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2598\" target=\"_blank\">2598</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-07-18</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2598\" target=\"_blank\">Calculating planetary orbits in Haskell</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2599\" target=\"_blank\">2599</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-07-19</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2599\" target=\"_blank\">Fitting a 3.5mm adapter to a bluetooth receiver.</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2600\" target=\"_blank\">2600</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-07-20</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2600\" target=\"_blank\">Special episode on 2600, Blue Boxes, Phreaking</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2601\" target=\"_blank\">2601</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-07-23</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2601\" target=\"_blank\">Liverpool Makerfest 2018</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2602\" target=\"_blank\">2602</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-07-24</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2602\" target=\"_blank\">HPR Quick Tips July 2018</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2603\" target=\"_blank\">2603</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-07-25</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2603\" target=\"_blank\">Dummy shares a tip and a tip/rant about asking and answering questions</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2604\" target=\"_blank\">2604</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-07-26</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2604\" target=\"_blank\">Restoration of a Fasco L55A Hassock Fan</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2605\" target=\"_blank\">2605</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-07-27</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2605\" target=\"_blank\">The Eyes Have It</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2606\" target=\"_blank\">2606</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-07-30</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2606\" target=\"_blank\">Liverpool Makefest 2018 - interview with Dan Lynch</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2607\" target=\"_blank\">2607</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-07-31</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2607\" target=\"_blank\">Processing</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n</table>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 28 comments in total.</p>\n<p>There are 6 comments on\n4 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2519#comments\" target=\"_blank\">hpr2519</a></strong>\n(2018-03-29) \"<em>the_remora Builds a character in Edge of the Empire</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0363.html\" target=\"_blank\">the_remora</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2519#1\" target=\"_blank\">Comment 1</a>:\nKlaatu on 2018-07-04:\n\"great walkthrough\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2558#comments\" target=\"_blank\">hpr2558</a></strong>\n(2018-05-23) \"<em>Battling with English - part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2558#5\" target=\"_blank\">Comment 5</a>:\nThe Snitch on 2018-07-06:\n\"The Jig is up Dave !\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2558#6\" target=\"_blank\">Comment 6</a>:\nDave Morriss on 2018-07-06:\n\"Re: The Jig is up\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2579#comments\" target=\"_blank\">hpr2579</a></strong>\n(2018-06-21) \"<em>Ubuntu 18.04 Mate</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2579#2\" target=\"_blank\">Comment 2</a>:\nTony Hughes on 2018-07-01:\n\"Great little update\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2583#comments\" target=\"_blank\">hpr2583</a></strong>\n(2018-06-27) \"<em>Random Rant</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0354.html\" target=\"_blank\">TheDUDE</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2583#1\" target=\"_blank\">Comment 1</a>:\nRandyNose AKA TheNose100 on 2018-07-01:\n\"The Juiced Penguin\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2583#2\" target=\"_blank\">Comment 2</a>:\nclacke on 2018-07-19:\n\"mp3 is not a real problem\"</li></ul><br/>\n</li></ul>\n<p>There are 22 comments on 11 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2588#comments\" target=\"_blank\">hpr2588</a></strong>\n(2018-07-04) \"<em>Miniature painting</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2588#1\" target=\"_blank\">Comment 1</a>:\nKlaatu on 2018-07-04:\n\"painting miniatures\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2588#2\" target=\"_blank\">Comment 2</a>:\ndodddummy on 2018-07-09:\n\"Wonder no more\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2589#comments\" target=\"_blank\">hpr2589</a></strong>\n(2018-07-05) \"<em>Saving Money: a response to Klaatu\'s Personal Finance Series</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2589#1\" target=\"_blank\">Comment 1</a>:\nKlaatu on 2018-07-08:\n\"Thanks for furthering this discussion\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2589#2\" target=\"_blank\">Comment 2</a>:\njonkulp on 2018-07-09:\n\"The Suburban Option\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2590#comments\" target=\"_blank\">hpr2590</a></strong>\n(2018-07-06) \"<em>Blowing a PC Power Supply</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2590#1\" target=\"_blank\">Comment 1</a>:\nKlaatu on 2018-07-08:\n\"Switches on mains\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2594#comments\" target=\"_blank\">hpr2594</a></strong>\n(2018-07-12) \"<em>Using nmtui, the Network Manager Terminal User interface</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0366.html\" target=\"_blank\">Philip</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2594#1\" target=\"_blank\">Comment 1</a>:\nklaatu on 2018-07-17:\n\"nice first ep!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2596#comments\" target=\"_blank\">hpr2596</a></strong>\n(2018-07-16) \"<em>Battling with English - part 2</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2596#1\" target=\"_blank\">Comment 1</a>:\nklaatu on 2018-07-17:\n\"great series\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2596#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2018-07-19:\n\"Is English really so bad?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2596#3\" target=\"_blank\">Comment 3</a>:\nHipstre on 2018-07-20:\n\"Thanks so much!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2596#4\" target=\"_blank\">Comment 4</a>:\nbjb on 2018-07-21:\n\"the ownership apostrophe\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2596#5\" target=\"_blank\">Comment 5</a>:\nDave Morriss on 2018-07-22:\n\"Hipstre&#39;s comments\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2596#6\" target=\"_blank\">Comment 6</a>:\nDave Morriss on 2018-07-26:\n\"Re: Ownership apostrophe\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2597#comments\" target=\"_blank\">hpr2597</a></strong>\n(2018-07-17) \"<em>How to Fix a Remote with Buttons that Don\'t Work</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2597#1\" target=\"_blank\">Comment 1</a>:\nHipstre on 2018-07-21:\n\"How to Fix a Remote\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2599#comments\" target=\"_blank\">hpr2599</a></strong>\n(2018-07-19) \"<em>Fitting a 3.5mm adapter to a bluetooth receiver.</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2599#1\" target=\"_blank\">Comment 1</a>:\ncmhobbs on 2018-07-18:\n\"great plan!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2600#comments\" target=\"_blank\">hpr2600</a></strong>\n(2018-07-20) \"<em>Special episode on 2600, Blue Boxes, Phreaking</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2600#1\" target=\"_blank\">Comment 1</a>:\nNYbill on 2018-07-22:\n\"Ha!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2603#comments\" target=\"_blank\">hpr2603</a></strong>\n(2018-07-25) \"<em>Dummy shares a tip and a tip/rant about asking and answering questions</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2603#1\" target=\"_blank\">Comment 1</a>:\nHipstre on 2018-07-25:\n\"Nick Burns\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2603#2\" target=\"_blank\">Comment 2</a>:\ndodddummy on 2018-07-25:\n\"Related to humilation\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2603#3\" target=\"_blank\">Comment 3</a>:\nBrenda J. Butler on 2018-07-26:\n\"People who waste my time by trying to find the answer for me.\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2603#4\" target=\"_blank\">Comment 4</a>:\nQuick Answers on 2018-07-27:\n\"I failed to do this and I&#39;m sorry.\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2605#comments\" target=\"_blank\">hpr2605</a></strong>\n(2018-07-27) \"<em>The Eyes Have It</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2605#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2018-07-01:\n\"I *see* what you did there :)\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2605#2\" target=\"_blank\">Comment 2</a>:\nClintonRoy on 2018-07-27:\n\"Yowsers\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2607#comments\" target=\"_blank\">hpr2607</a></strong>\n(2018-07-31) \"<em>Processing</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2607#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2018-07-31:\n\"Seems likea great teaching tool\"</li></ul><br/>\n</li></ul>\n\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available on the HPR server under\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-July/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-July/thread.html</a>\n\n\n<h2>Any other business</h2>\n<h3 id=\"tags-and-summaries\">Tags and Summaries</h3>\n<p>Thanks to <a href=\"https://hackerpublicradio.org/correspondents/0357.html\"><code>bjb</code></a> for sending in updates in the past month.</p>\n<p>Over the period tags and/or summaries have been added to 2 shows which were missing them.</p>\n<p>If you would like to contribute to the tag/summary project visit the summary page at <a href=\"https://hackerpublicradio.org/report_missing_tags.php\" class=\"uri\">https://hackerpublicradio.org/report_missing_tags.php</a> and follow the instructions there.</p>\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2318,'2017-06-21','Talking about my thinkpads',2715,'I talk about why I love my thinkpads so much and how I appreciate having them','<p>\r\n<a href=\"https://support.lenovo.com/us/en/solutions/pd015734\">https://support.lenovo.com/us/en/solutions/pd015734</a>\r\n</p>\r\n<p>\r\n<a href=\"https://support.lenovo.com/us/en/solutions/migr-75044\">https://support.lenovo.com/us/en/solutions/migr-75044</a>\r\n</p>',297,0,0,'CC-BY-SA','thinkpad, laptop, lenovo, x201, t420',0,0,1),
(2324,'2017-06-29','Opensusecon 2017 and Ubuntu 16.04',326,'Performance of Ubuntu 16.04 on my MS surface Tablet and Brief Review of OpenSuse Con 2017','<p>\r\nInformation about HTOP can be found at <a href=\"https://en.wikipedia.org/wiki/Htop\">https://en.wikipedia.org/wiki/Htop</a>\r\nInformation about Audacity 2.1.2 can be found at <a href=\"https://www.audacityteam.org/\">https://www.audacityteam.org/</a>\r\n</p>\r\n<p>\r\nOverall the opensuse con 2017 was a great event.  Lots of talks, they had guy with 16 Raspberry PIs in a storage cluster and list goes on and on.  Many of the folks there were suse employees or Open Cloud employees but they really had their passions down.\r\n</p>\r\n<p>\r\nUbuntu 16.04 is running fine on my MS surface tablet and is wife friendly.\r\n</p>',129,0,1,'CC-BY-SA','openSUSE,openSUSE conference 2017,Ubuntu,Microsoft Surface tablet',0,0,1),
(2330,'2017-07-07','Awk Part 7',1271,'Looping in Awk explained by a sleep-deprived host','<p>In this episode, I will (very) briefly go over loops in the Awk programming language. Loops are useful when you want to run the same command(s) on a collection of data or when you just want to repeat the same commands many times.</p>\r\n<p>When using loops, a command or group of commands is repeated until a condition (or many) is met.</p>\r\n<h2 id=\"while-loop\">While Loop</h2>\r\n<p>Here is a silly example of a while loop:</p>\r\n<pre><code>#!/bin/awk -f\r\nBEGIN {\r\n\r\n# Print the squares from 1 to 10 the first way\r\n\r\n    i=1;\r\n    while (i &lt;= 10) {\r\n        print &quot;The square of &quot;, i, &quot; is &quot;, i*i;\r\n        i = i+1;\r\n    }\r\n\r\nexit;\r\n}</code></pre>\r\n<p>Our condition is set in the braces after the <code>while</code> statement. We set a variable, i, before entering the loop, then increment i inside of the loop. If you forget to make a way to meet the condition, the while will go on <strong>forever</strong>.</p>\r\n<h2 id=\"do-while-loop\">Do While Loop</h2>\r\n<p>Here is an equally silly example of a <code>do while</code> loop:</p>\r\n<pre><code>#!/bin/awk -f\r\nBEGIN {\r\n\r\n    i=2;\r\n    do {\r\n        print &quot;The square of &quot;, i, &quot; is &quot;, i*i;\r\n        i = i + 1\r\n    }\r\n\r\n    while (i != 2)\r\n\r\nexit;\r\n}</code></pre>\r\n<p>Here, the commands in the <code>do</code> code block are executed at the start, then the looping begins.</p>\r\n<h2 id=\"for-loop\">For Loop</h2>\r\n<p>Another silly example of a <code>for</code> loop:</p>\r\n<pre><code>#!/bin/awk -f\r\nBEGIN {\r\n\r\n    for (i=1; i &lt;= 10; i++) {\r\n        print &quot;The square of &quot;, i, &quot; is &quot;, i*i;\r\n    }\r\n\r\nexit;\r\n}</code></pre>\r\n<p>As you can see, we set the variable, set the condition and set the increment method all in the braces after the <code>for</code> statement.</p>\r\n<h2 id=\"for-loop-over-arrays\">For Loop Over Arrays</h2>\r\n<p>Here is a more useful example of a for loop. Here, we are adding the different values of column 2 into an array/hash-table called <code>a</code>. After processing the file, we print the different values.</p>\r\n<p>For file.txt:</p>\r\n<pre><code>name       color  amount\r\napple      red    4\r\nbanana     yellow 6\r\nstrawberry red    3\r\ngrape      purple 10\r\napple      green  8\r\nplum       purple 2\r\nkiwi       brown  4\r\npotato     brown  9\r\npineapple  yellow 5</code></pre>\r\n<p>Using the awk file of:</p>\r\n<pre><code>NR != 1 {\r\n    a[$2]++\r\n}\r\nEND {\r\n    for (b in a) {\r\n        print b\r\n    }\r\n}</code></pre>\r\n<p>We get the results of:</p>\r\n<pre><code>brown\r\npurple\r\nred\r\nyellow\r\ngreen</code></pre>\r\n<p>In another example, we do a similar process. This time, not only do we store all the distinct values of the second column, we perform a sum operation on column 3 for each distinct value of column 2.</p>\r\n<p>For file.csv:</p>\r\n<pre><code>name,color,amount\r\napple,red,4\r\nbanana,yellow,6\r\nstrawberry,red,3\r\ngrape,purple,10\r\napple,green,8\r\nplum,purple,2\r\nkiwi,brown,4\r\npotato,brown,9\r\npineapple,yellow,5</code></pre>\r\n<p>Using the awk file of:</p>\r\n<pre><code>BEGIN {\r\n    FS=&quot;,&quot;;\r\n    OFS=&quot;,&quot;;\r\n    print &quot;color,sum&quot;;\r\n}\r\nNR != 1 {\r\n    a[$2]+=$3;\r\n}\r\nEND {\r\n    for (b in a) {\r\n        print b, a[b]\r\n    }\r\n}</code></pre>\r\n<p>We get the results of:</p>\r\n<pre><code>color,sum\r\nbrown,13\r\npurple,12\r\nred,7\r\nyellow,11\r\ngreen,8</code></pre>\r\n<p>As you can see, we are also printing a header column prior to processing the file using the <code>BEGIN</code> code block.</p>\r\n',300,94,0,'CC-BY-SA','bash, linux, awk',0,0,1),
(2345,'2017-07-28','Fixing a toilet roll holder',531,'A small fix improves someone\'s life','<p>\r\nIn this episode Ken discusses how a simple \"life hack\", turned a source of frustration, into an engineering problem with a simple solution.\r\n</p>\r\n<p>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr2345-toilet-roll-without-roll.jpg\" alt=\"Toilet roll holder without roll in place\"/>\r\n</p>\r\n<p>\r\n<img src=\"https://hackerpublicradio.org/eps/hpr2345-toilet-roll-with-roll.jpg\" alt=\"Toilet roll holder with roll in place\"/>\r\n</p>\r\n',30,0,1,'CC-BY-SA','Life Hack, re-purpose hack',0,0,1),
(2331,'2017-07-10','Liverpool Makefest 2017 Show 1',309,'A short series of interviews done at the Liverpool Makefest 2017','<p>Hi HPR listeners</p>\r\n<p>Tony Hughes here with the first of some short interviews I did during the Liverpool Makefest held on the 24th June 2017 at Liverpool Central Library.</p>\r\n<p><a href=\"https://lpoolmakefest.org/\" class=\"uri\">https://lpoolmakefest.org/</a></p>\r\n<p>The first interview was with Jay from the Inventors Asylum</p>\r\n<p><a href=\"https://www.inventorsasylum.co.uk/\" class=\"uri\">https://www.inventorsasylum.co.uk/</a></p>\r\n<p>The second interview was with John Walton about his Animatronics creations, sorry no web link.</p>',338,78,0,'CC-BY-SA','Interviews, Making',0,0,1),
(2333,'2017-07-12','VirtualenvWrapper for Fish Shell',835,'In this episode, talk about how I created my own virtualenvwrapper-like interface using Fish Shell.','<p>In this episode, talk about how I created my own virtualenvwrapper-like interface using Fish Shell.</p>\r\n<p><a href=\"https://fishshell.com\">Fish Shell</a> is &quot;a smart and user-friendly command line shell for macOS, Linux, and the rest of the family. It excels in tab completion and ease of use, but virtualenvwrapper does not support it.</p>\r\n<p>Virtualenvwrapper, like the name suggests, is a wrapper around python\'s virtualenv functionality, which allows you to use different versions of python packages in separate environments. To learn more, listen to <a href=\"https://hackerpublicradio.org/eps.php?id=2322\">BJB\'s show</a> called <em>A bit of background on virtualenvwrapper</em>.</p>\r\n<p>Functions and aliases in my fish config file:</p>\r\n<pre><code># Set virtual directory root\r\nexport set WORKON_HOME=$HOME/Envs\r\n\r\n# List virtual environments\r\nalias lsenvs=&quot;ls -m $WORKON_HOME | sed &#39;s/\\///g&#39;&quot;\r\n\r\n# Create python2 virtual environment\r\nfunction -d &quot;Like virtualenvwrapper for python2&quot; mkvirtualenv2\r\n    virtualenv -p python2 $WORKON_HOME/$argv;\r\n    and source $WORKON_HOME/$argv/bin/activate.fish;\r\n    and echo &quot;Virtual environment created.&quot;\r\nend\r\n\r\n# Create python3 virtual environment\r\nfunction -d &quot;Like virtualenvwrapper&quot; mkvirtualenv\r\n    virtualenv -p python3 $WORKON_HOME/$argv;\r\n    and source $WORKON_HOME/$argv/bin/activate.fish;\r\n    and echo &quot;Virtual environment created.&quot;\r\nend\r\n\r\n# Source a virtual environment\r\nfunction workon\r\n    source $WORKON_HOME/$argv/bin/activate.fish; and echo &quot;Switch to virtual environment.&quot;\r\nend\r\n\r\n# Delete a virtual environment\r\nfunction -d &quot;Like virtualenvwrapper&quot; rmvirtualenv\r\n    if test -n &quot;$VIRTUAL_ENV&quot;\r\n        deactivate\r\n    end\r\n    rm -rf $WORKON_HOME/$argv; and echo &quot;Virtual environment deleted.&quot;\r\nend</code></pre>\r\n',300,0,1,'CC-BY-SA','python,virtualenv,fish shell',0,0,1),
(2334,'2017-07-13','Our Adventure Begins!',966,'I discuss Colossal Cave Adventure and the adventure of playing it with my son.','<p>In this HPR episode, I discuss the open-sourcing of Colossal Cave Adventure (a text adventure computer game), my childhood exposure to text adventure games, and passing along the text adventure torch to my middle son thanks to the &quot;bsdgames&quot; package.</p>\r\n<p>Opening sound clip taken from &quot;The Hobbit: An Unexpected Journey.&quot; Closing song is &quot;The Free Software Song&quot; performed by Mark Forry, Yvette Osborne, Ron Fox, Steve Finney, Bill Cope, Kip McAtee, Ernie Provencher, Dan Auvil (<a href=\"https://www.gnu.org/music/free-software-song.en.html\" class=\"uri\">https://www.gnu.org/music/free-software-song.en.html</a>).</p>\r\n<p>E-mail: claudio@linuxbasement.com<br />\r\nIRC: ClaudioM on irc.freenode.net, #oggcastplanet</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><p>Wikipedia: Colossal Cave Adventure<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Colossal_Cave_Adventure\" class=\"uri\">https://en.wikipedia.org/wiki/Colossal_Cave_Adventure</a></p></li>\r\n<li><p>The Advent of ADVENT<br />\r\n<a href=\"https://esr.ibiblio.org/?p=7536\" class=\"uri\">https://esr.ibiblio.org/?p=7536</a></p></li>\r\n<li><p>The Adventure Begins Again<br />\r\n<a href=\"https://esr.ibiblio.org/?p=7540\" class=\"uri\">https://esr.ibiblio.org/?p=7540</a></p></li>\r\n<li><p>Github: Open Adventure<br />\r\n<a href=\"https://gitlab.com/esr/open-adventure\" class=\"uri\">https://gitlab.com/esr/open-adventure</a></p></li>\r\n<li><p>ClaudioM\'s Blog: The Adventure Begins Again, and it Begins for Us!<br />\r\n<a href=\"https://claudiomiranda.wordpress.com/2017/05/30/the-adventure-begins-again-and-it-begins-for-us/\" class=\"uri\">https://claudiomiranda.wordpress.com/2017/05/30/the-adventure-begins-again-and-it-begins-for-us/</a></p></li>\r\n<li><p>LinuxQuestions Wiki: BSD Games<br />\r\n<a href=\"https://wiki.linuxquestions.org/wiki/BSD_games\" class=\"uri\">https://wiki.linuxquestions.org/wiki/BSD_games</a></p></li>\r\n<li><p>Youtube: &quot;Aventure 2: Pirate Cove&quot; for the Commodore VIC-20 / Commodore VC-20<br />\r\n<a href=\"https://www.youtube.com/watch?v=04ghPx8WjLM\" class=\"uri\">https://www.youtube.com/watch?v=04ghPx8WjLM</a></p></li>\r\n<li><p>Wikipedia: Infocom<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Infocom\" class=\"uri\">https://en.wikipedia.org/wiki/Infocom</a></p></li>\r\n<li><p>Wikipedia: Mattel Aquarius<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Mattel_Aquarius\" class=\"uri\">https://en.wikipedia.org/wiki/Mattel_Aquarius</a></p></li>\r\n<li><p>Wikipedia: Zork<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Zork\" class=\"uri\">https://en.wikipedia.org/wiki/Zork</a></p></li>\r\n<li><p>Wikipedia: Hunt the Wumpus<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Hunt_the_Wumpus\" class=\"uri\">https://en.wikipedia.org/wiki/Hunt_the_Wumpus</a></p></li>\r\n<li><p>SourceForge: Frotz, A Portable Z-Machine Interpreter<br />\r\n<a href=\"https://frotz.sourceforge.net/\" class=\"uri\">https://frotz.sourceforge.net/</a></p></li>\r\n</ul>\r\n',152,0,0,'CC-BY-SA','foss,adventure,gaming,bsdgames,textadventure',0,0,1),
(2336,'2017-07-17','Liverpool Makefest 2017 Show 2',373,'A short series of interviews done at the Liverpool Makefest 2017','<p>Hi Tony Hughes here with the second of some short interviews I did during the Liverpool Makefest held on the 24th June 2017 at Liverpool Central Library.</p>\r\n<p><a href=\"https://lpoolmakefest.org/\" class=\"uri\">https://lpoolmakefest.org/</a></p>\r\n<p>The first interview is with Jimmy England from Warington Fab Lab</p>\r\n<p><a href=\"https://fablab.warrington.ac.uk/\" class=\"uri\">https://fablab.warrington.ac.uk/</a></p>\r\n<p>The second interview was with Patrick from DoES Liverpool</p>\r\n<p><a href=\"https://doesliverpool.com/\" class=\"uri\">https://doesliverpool.com/</a></p>\r\n',338,78,0,'CC-BY-SA','Interviews, Making',0,0,1),
(2338,'2017-07-19','Binaural recording 2 off to work',188,'Binaural 3d audio recording, please listen at normal speed with good head phones.','<p>This is a follow up to show <a href=\"https://hackerpublicradio.org/eps.php?id=0785\">0785</a> where I explained how and why I was recording 3d sound using my home made Binaural head phones, this episode is a standard morning commute waiting for Phantom Hawk to pick me up in his big yellow bus, enjoy.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=0785\">HPR episode 0785 - <em>binaural recording</em></a></li>\r\n</ul>\r\n',110,101,1,'CC-BY-SA','binaural,quvmoh,audio',0,0,1),
(2337,'2017-07-18','The Kobo Aura eReader',1123,'A review of my new (used) Kobo Aura e-book reader','<p>I recently acquired a refurbished <a href=\"https://en.wikipedia.org/wiki/Kobo_Aura\">Kobo Aura</a> e-book reader. This episode is a brief review.</p>\r\n\r\n<h2>Links</h2>\r\n\r\n<ul>\r\n	<li><a href=\"https://opendyslexic.org/\">OpenDyslexic Font</a></li>\r\n	<li><a href=\"https://calibre-ebook.com/\">Calibre</a> e-Book Management software</li>\r\n</ul>',238,0,0,'CC-BY-SA','ebooks, ereaders, ebook readers',0,0,1),
(2339,'2017-07-20','Podcast list additions',1255,'Updates to my list of podcast feeds','<h1 id=\"podcast-list-additions\">Podcast list additions</h1>\r\n<p>I did two HPR shows <a href=\"https://hackerpublicradio.org/eps.php?id=1516\" title=\"01 The podcasts I listen to\">1516</a> and <a href=\"https://hackerpublicradio.org/eps.php?id=1518\" title=\"02 The podcasts I listen to\">1518</a> in 2014 about the podcast feeds I\'m subscribed to. I have made a few additions since then (and a few subtractions) and I thought I\'d share a few of the additions.</p>\r\n<p>The list below shows the feed titles. Clicking on them will take you to the <a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html\">full notes</a> where you can examine the details of the feed.</p>\r\n<ol type=\"1\">\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed1\">The World of Business</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed2\">Criminal</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed3\">Seriously...</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed4\">Start the Week</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed5\">Dan Carlin\'s Hardcore History</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed6\">The Verb</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed7\">Making It With Jimmy Diresta, Bob Clagett and David Picciuto</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed8\">Reclaimed Audio Podcast</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed9\">The Bugcast - Ogg Feed</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed10\">Open Country</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed11\">Common Sense with Dan Carlin</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed12\">Philosophy Bites</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed13\">All in the Mind</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed14\">BacterioFiles</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed15\">podcast (en) – omega tau science &amp; engineering podcast</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed16\">This Week in Evolution</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed17\">This Week in Microbiology</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed18\">Urban Agriculture</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed19\">Weekly Space Hangout Audio</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed20\">Edinburgh Skeptics Presents...</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed21\">Exposing PseudoAstronomy</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed22\">The Pen Addict</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed23\">Late Night Linux (Ogg)</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed24\">systemau - OGG</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed25\">The Changelog</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed26\">The Duffercast Ogg</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed27\">The Full Circle Weekly News</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html#feed28\">The JaK Attack! podcast</a></li>\r\n</ol>\r\n<h2 id=\"resources\">Resources</h2>\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/full_shownotes.html\">Full notes</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2339/additions.opml\">OPML file</a></li>\r\n</ul>',225,75,1,'CC-BY-SA','podcast,feed,recommendation',0,0,1),
(2341,'2017-07-24','Liverpool Makefest 2017 Show 3',378,'A short series of interviews done at the Liverpool Makefest 2017','<p>Hi Tony Hughes here with the third show of some short interviews I did during the Liverpool Makefest held on the 24th June 2017 at Liverpool Central Library.</p>\r\n<p><a href=\"https://lpoolmakefest.org/\" class=\"uri\">https://lpoolmakefest.org/</a></p>\r\n<p>The first interview is with David from Studio@Deyes in Wavertree</p>\r\n<p><a href=\"https://studio-deyes.co.uk/\" class=\"uri\">https://studio-deyes.co.uk/</a></p>\r\n<p>The second interview was with Laura from Tactile electronics</p>\r\n<p><a href=\"https://tactile-electronics.tumblr.com/\" class=\"uri\">https://tactile-electronics.tumblr.com/</a></p>\r\n<p>The final interview for this show was with Amelia, Beth and Chelsea from Liverpool Girl Geeks.</p>\r\n<p><a href=\"https://www.liverpoolgirlgeeks.co.uk/\" class=\"uri\">https://www.liverpoolgirlgeeks.co.uk/</a></p>',338,78,0,'CC-BY-SA','Interviews, Making',0,0,1),
(2342,'2017-07-25','Wherein our hero fails to repair a garage door.',1517,'I try and fail to fix my garage door.','<p>My garage door failed spectacularly for a second time. I make an attempt to repair it but find that my extension cables are a bit too short. I hope I can explain a little about how garage doors work along the way.</p>',241,0,1,'CC-BY-SA','diy, home improvement, fixit, wontfix, failure, door, garage door, handyman, narration',0,0,1),
(2344,'2017-07-27','Follow on to HPR2340 (Tracking the HPR queue in Python)',869,'Improved version of script to capture the number of HPR shows in the queue using python.','<p>This is a follow up to my previous show HPR2340, the improvement being I use the available STATS file from the hpr website rather than scraping the content from the HPR calendar page</p>\r\n<ul>\r\n<li><p>Link to my original show HPR2340<br />\r\n<a href=\"https://hackerpublicradio.org/eps.php?id=2340\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=2340</a></p></li>\r\n<li><p>Link to the excellent episode HPR1986 from Dave Morriss which references the stats file<br />\r\n<a href=\"https://hackerpublicradio.org/eps/hpr1986/full_shownotes.html#example-2\" class=\"uri\">https://hackerpublicradio.org/eps/hpr1986/full_shownotes.html#example-2</a></p></li>\r\n<li><p>Link to useful HPR Stats page<br />\r\n<a href=\"https://hackerpublicradio.org/stats.php\" class=\"uri\">https://hackerpublicradio.org/stats.php</a></p></li>\r\n</ul>\r\n<p>Snapshot contents (2017-06-23) of \'stats.txt\' file which was actually called \'hpr_stats.txt\' my mistake</p>\r\n<pre><code>Started:    11 years, 8 months, 19 days ago (2005-10-10)\r\nRenamed HPR:    9 years, 5 months, 27 days ago (2007-12-31)\r\nTotal Shows:    2911\r\nTotal TWAT: 300\r\nTotal HPR:  2611\r\nHPR Hosts:  286\r\nDays to next free slot: 17\r\nHosts in Queue: 9\r\nShows in Queue: 14\r\nComments waiting approval:  0\r\nFiles on the FTP Server:    1\r\nNumber of Emergency Shows:  7\r\nDays until show without media:  0\r\n1498246151,369343750,299186950,2911,300,2611,286,17,9,14,0,1,7,0</code></pre>\r\n<ul>\r\n<li>Link to Meld the great visual diff and merge tool<br />\r\n<a href=\"https://meldmerge.org/\" class=\"uri\">https://meldmerge.org/</a></li>\r\n</ul>\r\n<pre><code>#!/usr/bin/env python3\r\n\r\n### This is a scratchpad file I&#39;ve created to try out snippets of code in python\r\n\r\n# The script below is for use with Python 3\r\n# This script should work out of the box on most systems running a version of Python 3 \r\n# If you happen to have a blinkstick lying about then your can uncomment the blinkstick module\r\n# and uncomment the references at the bottom of the program that call the blinkstick functions\r\n# Regrds, Mr X\r\n\r\n\r\n# Imported modules\r\nfrom time import sleep          # used to pause program\r\n#from blinkstick import blinkstick  # used to control blinkstick nano attached to usb port of raspberry pi\r\nimport urllib.request           # used to capture hpr webpage content to get the number of HPR shows in the que\r\nimport re               # regular expressions, used to find sting in HPR webpage (get_hpr_que)\r\n\r\n\r\n# These functions control a blink stick nano attached to my raspberry pi USB port #################\r\n# They can be ignored or deleted if you don&#39;t have one\r\n\r\n\r\ndef bstick_off():\r\n# Search for all attached blinksticks and turn them all off\r\n    for bstick in blinkstick.find_all():\r\n        bstick.turn_off()   # Turn front blinkstick LED off\r\n        bstick.set_color(channel=0, index=1, name=&quot;black&quot;)  # Turn rear blinkstick led off\r\n        print(&quot;Blinkstick: &quot; + bstick.get_serial() + &quot; turned off&quot;)\r\n\r\n\r\ndef bstick_on(colour):\r\n# Turn blinkstick on and set led colour to string value stored in var colour\r\n# valid colours are, black, silver, gray, white, maroon, red, purple, fuchsia, green, lime, olive, yellow, navy, blue, teal, aqua\r\n    for bstick in blinkstick.find_all():\r\n        bstick.set_max_rgb_value(30)        # Sets max blinkstick RGB value to 15, makes LED dimm\r\n        bstick.set_color(name=colour)       # Turn blinkstick on, var colour determines colour\r\n        print (&quot;Blinkstick: &quot; + bstick.get_serial() + &quot; | Colour: &quot; + bstick.get_color(color_format=&quot;hex&quot;) + &quot; [&quot; + colour + &quot;]&quot;)\r\n#hex\r\n\r\ndef bstick_on_random():\r\n# Turn blinkstick on colour random\r\n    for bstick in blinkstick.find_all():\r\n        bstick.set_random_color()\r\n        print (&quot;Blinkstick: &quot; + bstick.get_serial() + &quot; | Colour: &quot; + bstick.get_color(color_format=&quot;hex&quot;))\r\n\r\n\r\ndef bstick_blink_red():\r\n# Flash blinkstick colour red\r\n    for bstick in blinkstick.find_all():\r\n        bstick.blink(name=&quot;red&quot;)\r\n        print (&quot;Blinkstick: &quot; + bstick.get_serial() + &quot; | Colour: &quot; + bstick.get_color(color_format=&quot;hex&quot;))\r\n\r\n################################################################################\r\n\r\n\r\ndef get_hpr_que_improved():\r\n# Goto hacker public stats page and extract the number of days to next free slot\r\n# turns on blinkstick LED with colour dependent on the number of days to next free slot in HPR queue\r\n\r\n    url = &#39;https://hackerpublicradio.org/stats.php&#39;  # HPR url for stats page\r\n    try:\r\n        text = urllib.request.urlopen(url).read()   # Try to read hpr stats text\r\n    except:\r\n        print(&quot;ERROR: Problem acessing url &quot; + url)     # if error accessing url then return -1\r\n        hpr_shows = -1\r\n        return hpr_shows\r\n    #print(text)    # DEBUG\r\n    text_page = str(text)   # convert text from list to string\r\n    line_begin = text_page.find(&#39;Days to next free slot:&#39;) # find position of string in page\r\n    line_end = line_begin + 27 # Store line end position (start position + 27)\r\n    line = text_page[line_begin:line_end]  # Capture string line\r\n    #print(line) # DEBUG Print line string\r\n    digit = re.findall(r&#39;\\d+&#39;,line)         # Find digits in line\r\n    #print(digit[0])    # DEBUG print the 1st digit\r\n    try:\r\n        hpr_shows = int(digit[0])   # convert digit list to integer days\r\n    except:                         # If show numbers not found then return -1\r\n        print(&quot;ERROR: Problem getting number of HPR shows in que.&quot;)\r\n        hpr_shows = -1\r\n        return hpr_shows\r\n\r\n    if hpr_shows &gt; 9:       # If hpr show que &gt; 9 turn on green LED\r\n        print(&quot;Turn on green blinkstick LED&quot;)\r\n        #bstick_on(&quot;green&quot;)\r\n    elif hpr_shows &gt; 5:     # Else if hpr show que &gt; 5 turn on blue LED\r\n        print(&quot;Turn on blue blinkstick LED&quot;)\r\n        #bstick_on(&quot;blue&quot;)\r\n    elif hpr_shows &gt; -1:    # Else if hpr show que &gt; -1 turn on ref LED\r\n        print(&quot;Turn on red blinkstick LED&quot;)     \r\n        #bstick_on(&quot;red&quot;)\r\n    else:\r\n        print(&quot;Flash red blinkstick LED&quot;)\r\n        #bstick_blink_red() # Else blink LED to show error\r\n    print(&quot;The are &quot; + str(hpr_shows) + &quot; days to tne next free slot in the HPR que...&quot;)\r\n    sleep(4)\r\n    print(&quot;Turn off all blinkstick LED&#39;s&quot;)\r\n    #bstick_off()           # Turn blinkstick off\r\n\r\n\r\n# Main program\r\nget_hpr_que_improved()</code></pre>\r\n',201,25,1,'CC-BY-SA','Python, Programming, Hardware, BlinkStick',0,0,1),
(2346,'2017-07-31','Liverpool Makefest 2017 Show 4',315,'A short series of interviews done at the Liverpool Makefest 2017','<p>Hi Tony Hughes here with the 4th show of some short interviews I did during the Liverpool Makefest held on the 24th June 2017 at Liverpool Central Library.</p>\r\n<p><a href=\"https://lpoolmakefest.org/\" class=\"uri\">https://lpoolmakefest.org/</a></p>\r\n<p>The first interview is with Hillary Harper one of the Makefest Crew</p>\r\n<p>The second interview was with Gemma from Patten Craft</p>\r\n<p><a href=\"https://www.gemmamaylatham.co.uk/portfolio-item/patterncraft/\" class=\"uri\">https://www.gemmamaylatham.co.uk/portfolio-item/patterncraft/</a></p>\r\n<p>The final interview for this show was with Simon Rider of Liverpool Book Art</p>\r\n<p><a href=\"https://liverpoolbookart.com/\" class=\"uri\">https://liverpoolbookart.com/</a></p>\r\n',338,78,0,'CC-BY-SA','Interviews, Making',0,0,1),
(2352,'2017-08-08','Liverpool Makefest 2017 Show 5',192,'A short series of interviews done at the Liverpool Makefest 2017','<p>Hi Tony Hughes here with the 5th and final show of some short interviews I did during the Liverpool Makefest held on the 24th June 2017 at Liverpool Central Library.</p>\r\n<p><a href=\"https://lpoolmakefest.org/\" class=\"uri\">https://lpoolmakefest.org/</a></p>\r\n<p>The first interview is with Diane from Melt 3D printing</p>\r\n<p><a href=\"https://www.melt-3d.co.uk/\" class=\"uri\">https://www.melt-3d.co.uk/</a></p>\r\n<p>The second interview was with Michael from Electric Flapjack Guitars</p>\r\n<p><a href=\"https://lpoolmakefest.org/portfolio/electric-flapjack-guitars/\" class=\"uri\">https://lpoolmakefest.org/portfolio/electric-flapjack-guitars/</a></p>\r\n<p><span class=\"citation\" data-cites=\"EFGuitars\">@EFGuitars</span></p>\r\n<p><a href=\"https://instagram.com/electricflapjack\" class=\"uri\">https://instagram.com/electricflapjack</a></p>',338,78,0,'CC-BY-SA','Interviews, Making',0,0,1),
(2343,'2017-07-26','Healthcare in the Netherlands',1109,'Ken reads the Wikipedia article on Healthcare in the Netherlands','<p>\r\nIn show <a href=\"https://hackerpublicradio.org/eps.php?id=2325\">hpr2325</a> Ahuka describes how Health Insurance and How It Works.</p>\r\n<p>\r\nIn this episode Ken reads the current state of Healthcare in the Netherlands by reading the Wikipedia entry.</p>\r\n<h3>Links</h3>\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Healthcare_in_the_Netherlands\">Healthcare in the Netherlands</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2325\">hpr2325 :: Insurance - How It Works</a></li>\r\n</ul>',30,100,1,'CC-BY-SA','Health Insurance',0,0,1),
(2348,'2017-08-02','Vim Hints 005',2286,'Hints and Tips for Vim users - part 5','<h1 id=\"vim-hints-005\">Vim Hints 005</h1>\r\n<h2 id=\"vim-hints-is-back\">Vim Hints is back!</h2>\r\n<p>Oops! Where did half of 2015, all of 2016 and the first half of 2017 go?</p>\r\n<p>Well, life got in the way, plus motivation dwindled somewhat. This series is very demanding - the <b>sed</b> series was a walk in the park compared to tackling the continental-scale landscape of Vim!</p>\r\n<p>Still, the original goal was to try and introduce the really useful features of Vim and to make it manageable for everyday use. The hope was, and still is, that the series could get people started on their own journeys through its marvels.</p>\r\n<p>Also, with the currently circulating <a href=\"https://stackoverflow.blog/2017/05/23/stack-overflow-helping-one-million-developers-exit-vim/\" title=\"How to exit Vim\">StackOverflow article</a> on &quot;<em>How to exit the Vim editor?</em>&quot;, it\'s worth pointing out that we dealt with that subject in episode 1, and this issue is revealed as the ridiculous meme that it really is!</p>\r\n<h2 id=\"quick-recap\">Quick recap</h2>\r\n<p>To recap, the last episode of this planned series was in March 2015. Here\'s a list of links to all of the episodes so far:</p>\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1714\" title=\"Vim Hints 001\">Vim Hints 001</a> (show 1714 2015-02-26)</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1724\" title=\"Vim Hints 002\">Vim Hints 002</a> (show 1724 2015-03-12)</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1734\" title=\"Vim Hints 003\">Vim Hints 003</a> (show 1734 2015-03-26)</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1776\" title=\"Vim Hints 004\">Vim Hints 004</a> (show 1776 2015-05-25)</li>\r\n</ul>\r\n<p>Let\'s briefly describe what was covered in these episodes to set the context.</p>\r\n<p>So far we have looked at very basic editing in <a href=\"https://hackerpublicradio.org/eps.php?id=1714\" title=\"Vim Hints 001\">episode 1</a>, where we mentioned modes <em>Normal</em>, <em>Insert</em> and <em>Command</em> modes.</p>\r\n<p>In <a href=\"https://hackerpublicradio.org/eps.php?id=1724\" title=\"Vim Hints 002\">episode 2</a> we looked at Vim\'s backup mechanism, undoing and redoing changes, and file recovery in the event of a problem. We started using the <code>.vimrc</code> configuration file.</p>\r\n<p>We began looking at movement commands in <em>Normal</em> mode in <a href=\"https://hackerpublicradio.org/eps.php?id=1734\" title=\"Vim Hints 003\">episode 3</a>, and beefed up the configuration file somewhat.</p>\r\n<p>More movement commands were covered in <a href=\"https://hackerpublicradio.org/eps.php?id=1776\" title=\"Vim Hints 004\">episode 4</a> as well as searching. We began looking at commands that make changes, adding, inserting, deleting and changing text in various ways. The concept of doing these things with various movements was covered. Again, a number of useful options for the configuration file were introduced.</p>\r\n<h2 id=\"full-notes\">Full Notes</h2>\r\n<p>Since the notes explaining this subject are particularly long, they have been placed here: <a href=\"https://hackerpublicradio.org/eps/hpr2348/full_shownotes.html\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2348/full_shownotes.html</a> and an ePub version is also available here: <a href=\"https://hackerpublicradio.org/eps/hpr2348/full_shownotes.epub\" class=\"uri\">https://hackerpublicradio.org/eps/hpr2348/full_shownotes.epub</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ol type=\"1\">\r\n<li><a href=\"https://stackoverflow.blog/2017/05/23/stack-overflow-helping-one-million-developers-exit-vim/\">Stack Overflow: Helping One Million Developers Exit Vim</a></li>\r\n<li>Vim Help:\r\n<ul>\r\n<li><a href=\"https://vimdoc.sourceforge.net/htmldoc/change.html\">Vim documentation: change</a></li>\r\n<li><a href=\"https://vimdoc.sourceforge.net/htmldoc/motion.html\">Vim documentation: motion</a></li>\r\n<li><a href=\"https://vimdoc.sourceforge.net/htmldoc/options.html\">Vim documentation: options</a></li>\r\n</ul></li>\r\n<li>Previous episode: &quot;<a href=\"https://hackerpublicradio.org/eps.php?id=1776\">Vim Hints Episode 4</a>&quot;</li>\r\n<li>Resources:\r\n<ul>\r\n<li>Full notes in <a href=\"https://hackerpublicradio.org/eps/hpr2348/full_shownotes.html\">HTML form</a></li>\r\n<li>Full notes in <a href=\"https://hackerpublicradio.org/eps/hpr2348/full_shownotes.epub\">ePub form</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2348/example_vimrc_5\">Example .vimrc</a></li>\r\n</ul></li>\r\n</ol>\r\n',225,82,1,'CC-BY-SA','vim,editor,movement,copy,paste,text object,configuration,.vimrc',0,0,1),
(2349,'2017-08-03','Customizing my bash prompt',1452,'A detailed look into how, and why, to customize a bash prompt.','<h1 id=\"basic-bash-prompt-information\">Basic bash prompt information</h1>\r\n<ul>\r\n<li>Variables and files\r\n<ul>\r\n<li><code>.bashrc</code>: the RC file where all of this stuff can be set</li>\r\n<li><code>PS1</code>: main prompt variable</li>\r\n<li><code>PS2</code>: continuation prompt</li>\r\n<li><code>PROMPT_COMMAND</code>: a bash function name, run every time prompt is displayed</li>\r\n</ul></li>\r\n<li>Colors\r\n<ul>\r\n<li>Uses <a href=\"https://www.tldp.org/LDP/abs/html/colorizing.html\">escape sequences</a></li>\r\n<li>There are problems with prompts and escape sequences\r\n<ul>\r\n<li>Multiple escaping</li>\r\n<li>String interpretation and variable expansion</li>\r\n</ul></li>\r\n<li>tput to the rescue!\r\n<ul>\r\n<li>Takes away the need for complex escape codes</li>\r\n<li>Must run <code>tput init</code> at the beginning of your <code>.bashrc</code> file</li>\r\n<li>TL;DR: Use tput for color strings, add them at the last possible moment, with brackets and backslashes</li>\r\n</ul></li>\r\n</ul></li>\r\n<li>Embedding bash scripts\r\n<ul>\r\n<li>Single quotes are king</li>\r\n<li>Will be run every time PS1 is evaluated</li>\r\n<li>Otherwise, only run at time of assignment</li>\r\n</ul></li>\r\n</ul>\r\n<h1 id=\"layout-of-my-prompt\">Layout of my prompt</h1>\r\n<ul>\r\n<li>Two lines\r\n<ul>\r\n<li>Information/status line</li>\r\n<li>Prompt line</li>\r\n</ul></li>\r\n<li>Status line\r\n<ul>\r\n<li>Starts with current username\r\n<ul>\r\n<li>Changes color when user has mail</li>\r\n</ul></li>\r\n<li>Next is the hostname (truncated)\r\n<ul>\r\n<li>Separated by an @ symbol, like an email address</li>\r\n<li>Changes color when the system is in need of a reboot</li>\r\n<li>Checks for /run/reboot_required</li>\r\n</ul></li>\r\n<li>Current directory\r\n<ul>\r\n<li>Separated from previous items by a pipe</li>\r\n<li>Truncated with a tilde if user\'s home is in the path</li>\r\n<li>Prepended with a number indicating the directory stack, if present</li>\r\n<li>Appended with the git (±) symbol if we\'re in a git branch, followed by the name of the branch</li>\r\n</ul></li>\r\n</ul></li>\r\n<li>Prompt line\r\n<ul>\r\n<li>A blue » character</li>\r\n<li>Prepended with the number of background processes spawned from this terminal</li>\r\n</ul></li>\r\n</ul>\r\n<p>Screenshot:</p>\r\n<p><img src=\"https://fragdev.com/media/img/prompt.png\" alt=\"A screenshot of my bash prompt, both initially and with all of the bells and whistles showing\" /></p>\r\n\r\n<h3>Link to Git Repository</h3>\r\n<ul><li><a href=\"https://gitlab.com/windigo-configs/bash.git\">https://gitlab.com/windigo-configs/bash.git</a></li></ul>\r\n<p><small><small><em>Editor\'s Note: added 2017-08-05</em></small></small></p>\r\n',196,42,1,'CC-BY-SA','bash,command line,configuration,terminal',0,0,1),
(2350,'2017-08-04','Ahuka Insurance - Understanding The Marketplace',620,'How the Health Insurance Market works in the U.S','<p>In the U.S., health care, like most things, is driven by a private marketplace. We take a look at the principles that govern this marketplace in this episode.</p>\r\n<h2 id=\"links\">Links:</h2>\r\n<ul>\r\n<li><a href=\"https://www.npr.org/templates/story/story.php?storyId=114045132\" class=\"uri\">https://www.npr.org/templates/story/story.php?storyId=114045132</a></li>\r\n<li><a href=\"https://www.palain.com/?page_id=293\" class=\"uri\">https://www.palain.com/?page_id=293</a></li>\r\n</ul>',198,0,0,'CC-BY-SA','Health Insurance, Health Policy, Insurance Marketplace',0,0,1),
(2360,'2017-08-18','Tradeoffs in the US Health Care System',756,'Financing health care means choices to be made','<p>Health care is a service, and like all services it needs to be paid for one way or another. This means making choices, and there are consequences and implications to whichever choice you make. But there is no free lunch, you have to pay.</p>\r\n<h2 id=\"links\">Links:</h2>\r\n<ul>\r\n<li><a href=\"https://www.cms.gov/Medicare/Medicare-Fee-for-Service-Payment/AcuteInpatientPPS/dsh.html\" class=\"uri\">https://www.cms.gov/Medicare/Medicare-Fee-for-Service-Payment/AcuteInpatientPPS/dsh.html</a></li>\r\n<li><a href=\"https://insight.kellogg.northwestern.edu/article/who-bears-the-cost-of-the-uninsured-nonprofit-hospitals\" class=\"uri\">https://insight.kellogg.northwestern.edu/article/who-bears-the-cost-of-the-uninsured-nonprofit-hospitals</a></li>\r\n<li><a href=\"https://www.palain.com/?page_id=302\" class=\"uri\">https://www.palain.com/?page_id=302</a></li>\r\n</ul>',198,100,0,'CC-BY-SA','Health Insurance, Health Policy, Insurance Marketplace',0,0,1),
(2375,'2017-09-08','Competing Interests',960,'We look at the marketplace and see how everyone\'s interests clash','<p>The Health Care Marketplace in the U.S. has 6 major partipants: Doctors, Hospitals, Insurance Companies, Employers, Government, and Individuals. Each of them has interests and incentives, and they tend to clash. How we resolve those competing interests has consequences for the systems we create.</p>\r\n<h2 id=\"links\">Links:</h2>\r\n<ul>\r\n<li><a href=\"https://www.michigan.gov/documents/mdch/2013_Brochure_409310_7.pdf\" class=\"uri\">https://www.michigan.gov/documents/mdch/2013_Brochure_409310_7.pdf</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Trolley_problem\" class=\"uri\">https://en.wikipedia.org/wiki/Trolley_problem</a></li>\r\n<li><a href=\"https://www.palain.com/?page_id=307\" class=\"uri\">https://www.palain.com/?page_id=307</a></li>\r\n</ul>\r\n',198,100,0,'CC-BY-SA','Health Insurance, Health Policy, Insurance Marketplace',0,0,1),
(2385,'2017-09-22','Healthcare Costs',772,'What are the cost pressures in healthcare?','<p>The big driver to changing the healthcare system in the U.S. was the inexorable rise in healthcare costs. These costs kept rising for a number of reasons, which we look at at in this episode.</p>\r\n<h2 id=\"links\">Links:</h2>\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Baumol%27s_cost_disease\">https://en.wikipedia.org/wiki/Baumol%27s_cost_disease</a></li>\r\n<li><a href=\"https://www.cnet.com/news/robots-for-cancer-diagnosis-biopsy-lack-the-human-touch/?ftag=CAD090e536&bhid=20535501410714773631202074326606\" class=\"uri\">https://www.cnet.com/news/robots-for-cancer-diagnosis-biopsy-lack-the-human-touch/?ftag=CAD090e536&bhid=20535501410714773631202074326606</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/List_of_countries_by_total_health_expenditure_per_capita\" class=\"uri\">https://en.wikipedia.org/wiki/List_of_countries_by_total_health_expenditure_per_capita</a></li>\r\n<li><a href=\"https://www.palain.com/?page_id=309\" class=\"uri\">https://www.palain.com/?page_id=309</a></li>\r\n</ul>',198,100,0,'CC-BY-SA','Health Insurance, Health Policy, Insurance Marketplace, Healthcare Costs',0,0,1),
(2395,'2017-10-06','Obamacare',949,'What did Obamacare do?','<p>In previous episodes we set the stage by examining insurance, the marketplace, competing interests, tradeoffs, and costs. With that we can now understand what Obamacare attempted to do and give a tentative evaluation of the legislation and its effects.</p>\r\n<h2 id=\"links\">Links:</h2>\r\n<ul>\r\n<li><a href=\"https://www.cms.gov/Research-Statistics-Data-and-Systems/Research/ActuarialStudies/downloads/MedicaidReport2010.pdf\" class=\"uri\">https://www.cms.gov/Research-Statistics-Data-and-Systems/Research/ActuarialStudies/downloads/MedicaidReport2010.pdf</a></li>\r\n<li><a href=\"https://data.bls.gov/timeseries/CUUR0000SAM?output_view=pct_12mths\" class=\"uri\">https://data.bls.gov/timeseries/CUUR0000SAM?output_view=pct_12mths</a></li>\r\n<li><a href=\"https://www.palain.com/?page_id=314\" class=\"uri\">https://www.palain.com/?page_id=314</a></li>\r\n</ul>',198,100,0,'CC-BY-SA','Health Insurance, Health Policy, Insurance Marketplace, Obamacare',0,0,1),
(2356,'2017-08-14','Safely enabling ssh in the default Raspbian Image',1973,'Ken walks us through a script to secure the base Raspbian Pixel image\r\n','<p>In this post I will show you how to take a default Raspbian Image and safely enable ssh by allowing remote access only with authorized keys.</p>\r\n<p>Recently, and correctly, the official Raspbian Pixel distribution disabled ssh with the note that <em>from now on SSH will be disabled by default on our images.</em>To understand why this is a good thing please read <a href=\"https://www.raspberrypi.org/blog/a-security-update-for-raspbian-pixel/\" target=\"_blank\" rel=\"noopener\">A security update for raspbian pixel</a>. In short, having 11 million computers out there in the hands of non security professionals, with a known username and password, is not a good idea.</p>\r\n<p>That said there are many cases where you want to access your Pi remotely, and a key part of that is the ability to access it securely via ssh.</p>\r\n<p>The Raspberry Pi site offers a <a href=\"https://www.raspberrypi.org/documentation/remote-access/ssh/\">solution</a> for how to reactivate ssh. One option is via the GUI, <em>Preferences</em> &gt; <em>Interfaces</em>&gt; <em>SSH</em> &gt; <em>Enabled</em>. Another is via the console <em>sudo raspi-config</em> &gt; <em>Interfacing Options </em>&gt; <em>SSH</em> &gt; <em>Yes &gt; Ok &gt; Finish</em>. The third offers a more interesting option.</p>\r\n<blockquote><p>For headless setup, SSH can be enabled by placing a file named ssh, without any extension, onto the boot partition of the SD card. When the Pi boots, it looks for the ssh file. If it is found, SSH is enabled, and the file is deleted. The content of the file does not matter: it could contain text, or nothing at all.</p></blockquote>\r\n<p>This is exactly what we want. Normally you would burn the image, then boot it in a Pi with a keyboard, screen and mouse attached, and then add the file. A shortcut to that would be to burn the image, eject it, insert it again, mount the sdcard boot partition, and then create a file called <em>ssh</em>.</p>\r\n<p>I don\'t like either of these solutions as they involve varying amounts of user intervention. I want a solution that will automatically leave me with a modified image at the end without any intervention (aka human error) on my part.</p>\r\n<p>So I want to build a script that can handle the following steps:</p>\r\n<ul>\r\n<li>Download the latest image zip file</li>\r\n<li>Verify it is valid</li>\r\n<li>Extract the image itself</li>\r\n<li>Enable ssh</li>\r\n<li>Change the default passwords for the root and pi user</li>\r\n<li>Secure the ssh server on the Pi</li>\r\n</ul>\r\n<p>I could add to this list and customize every aspect of the image, but my experience has shown that the more you modify, the more maintenance you will need to do. When changes are made to the base Raspbian image, you will need to fix your scripts, and worse is the job of updating all those already deployed Pi\'s.</p>\r\n<p>A better approach is to use the base images and control them with automation tools like <a href=\"https://www.ansible.com/\">Ansible</a>, <a href=\"https://www.chef.io/chef/\">chef</a>, <a href=\"https://puppet.com\">puppet</a>, <a href=\"https://cfengine.com/\">cfengine</a>, etc. This allows the images to be treated as Cattle rather than Pets, to see what that means see <a href=\"https://www.slideshare.net/randybias/architectures-for-open-and-scalable-clouds\">Architectures for open and scalable clouds</a>, by Randy Bias, VP Technology at EMC, Director at OpenStack Foundation.</p>\r\n<p>Another approach to consider would be to <a href=\"https://www.raspberrypi.org/documentation/hardware/raspberrypi/bootmodes/net_tutorial.md\">Network Boot</a> your Raspberry Pi and in that way the sdcard is barely used, and all traffic is run off the network. If you are deploying a lot of pi\'s in a area with a good physical network then this is a great option as well. This has the advantage that all the files are kept on the network and can be completely controlled from a central location.</p>\r\n<p>If you can\'t be bothered to stick around and find out how I did it, you can download the script <a href=\"https://github.com/kenfallon/fix-ssh-on-pi\">fix-ssh-on-pi.bash from git hub</a>. Remember that it is intended more as inspiration rather than a working tool out of the box. I deliberately wrote it so you must edit it to make it fit your needs.</p>\r\n<p>See the  <a href=\"https://hackerpublicradio.org/eps/hpr2356/index.html\">complete show notes</a> for the step by step instructions that lead to the creation of the script file, with credit been given to the sites that offered each part of the solution.</p>',30,0,1,'CC-BY-SA','Raspberry Pi, ssh',0,0,1),
(2354,'2017-08-10','Night Sounds in Rural Tennessee',210,'A recording of the night sounds outside Tullahoma, Tennessee','<p>\r\nUpon arriving at my parents\' house tonight, I was struck anew by the incredible sounds of wildlife where they live in the woods. I decided to record and share with the HPR audience.\r\n</p>',238,101,0,'CC-BY-SA','nature, insects, wildlife',0,0,1),
(2353,'2017-08-09','RoboThermometer',756,'A surprisingly short geeky episode about connecting a temperature sensor to a Raspberry Pi','<p>Sorry this is such a short episode. I don\'t know what came over me, I was just listening to Mr.X talking about doing something with Python in Hacker Public Radio episode 2340, and for some reason I just felt a compulsion to record <em>some</em> kind of episode myself. It was so strange. I\'m way behind on my Hacker Public Radio contribution duties anyway, so here\'s a quick, geeky tutorial about a thing I did with a Raspberry Pi just to try it.</p>\r\n<p>The temperature sensor I\'m using is one of the many &quot;1-wire&quot; protocol devices supported by established kernel drivers, hence the reference to loading the modules for it:</p>\r\n<pre><code>sudo modprobe w1-gpio\r\nsudo modprobe w1-therm</code></pre>\r\n<p>The part about adding &quot;dtoverlay=w1-gpio&quot; to <code>/boot/config.txt</code> and then rebooting is also necessary, otherwise the modules load but no devices show up in <code>/sys/bus/w1/devices/</code> .</p>\r\n<p>Part of the fun was coming up with a way of extracting the temperature reading in useful form without having to write a bunch of unnecessary python code. Not that there\'s anything wrong with python, but I get the impression that some people think everything &quot;RaspberryPi&quot; has to be written in python. An example of this that amused me is the piFM project, which cleverly abuses the first-generation Raspberry Pi spread-spectrum circuitry to turn it into a surprisingly powerful FM radio transmitter. This project had two ways to run it - the actual compiled C program that takes input audio and makes FM radio come out...and a python &quot;module&quot; that was literally just a system call that...ran the C program that takes the audio and makes FM radio come out.</p>\r\n<p>Examples of reading the temperature data that I ran into tended to also be short python scripts, so I took it as a challenge to do without, resulting in the fun-to-recite command in the episode, which on my system is:</p>\r\n<pre><code>echo &quot;scale=3; (`grep -o &quot;[[:digit:]]\\{5\\}&quot; /sys/bus/w1/devices/28-05167380f6ff/w1_slave`/(5000/9))+32&quot; | bc</code></pre>\r\n<p>As an example of what you get with a correctly connected and configured DS18B20 module on a Raspberry Pi, in my case the device shows up as:</p>\r\n<pre><code>/sys/bus/w1/devices/28-05167380f6ff/</code></pre>\r\n<p>Your device\'s number after the &quot;28-&quot; will be different, so just replace my example with your own device\'s number.</p>\r\n<p>If you read the &quot;w1_slave&quot; virtual-file in that directory, you get something that looks similar to this:</p>\r\n<pre><code>67 01 4b 46 7f ff 0c 10 c4 : crc=c4 YES\r\n67 01 4b 46 7f ff 0c 10 c4 t=22437</code></pre>\r\n<p>To be <em>completely</em> proper, one probably <em>should</em> validate that output to make sure the CRC matches so you know for sure that the read of the temperature data was correct, but I\'ve had Zabbix checking my living-room temperature once every minute for a couple of days now and seen no odd readings or failures, so I\'m not going to bother making anything more complicated than my hypnotic one-liner, unless I ever try to use the same kind of setup to monitor something more important, like a tank of expensive fish or a bioreactor full of beer.</p>\r\n<p>If you want some more detailed connection instructions for the DS18B20 temperature sensor and the Raspberry Pi, here is one of the many online pages with the whole process:</p>\r\n<p><a href=\"https://learn.adafruit.com/adafruits-raspberry-pi-lesson-11-ds18b20-temperature-sensing/hardware\" class=\"uri\">https://learn.adafruit.com/adafruits-raspberry-pi-lesson-11-ds18b20-temperature-sensing/hardware</a></p>',182,0,0,'CC-BY-SA','Raspberry Pi,Shell,Zabbix,Monitoring,Temperature,DS18B20,Sensors,Linux',0,0,1),
(2355,'2017-08-11','Wii and WiiU Software Modding',736,'I go over my current Wii and WiiU setup','<p><a href=\"https://wiiu.guide/\" class=\"uri\">https://wiiu.guide/</a> A complete guide to Wii U custom firmware, from stock to Coldboot Haxchi.</p>',36,0,1,'CC-BY-SA','wii,wiiu,console hacking',0,0,1),
(2357,'2017-08-15','Air Soft Mini Howto',853,'I talk about my current setup for AirSoft and how we should all have hobbies! ','<p><a href=\"https://airsoftjunkiez.com\" class=\"uri\">https://airsoftjunkiez.com</a></p>\r\n<p>get off the computer !</p>',36,0,1,'CC-BY-SA','airsoft',0,0,1),
(2358,'2017-08-16','Amateur radio round table #2',2769,'Two of us trying to explain stuff mostly off the cuffs.','<p>This time only the two of us:</p>\r\n<ul>\r\n<li>Steve, KD0IJP</li>\r\n<li>Michael, DL4MGM</li>\r\n</ul>\r\n<p>A lot of off the cuff technical explanation.</p>\r\n<p>Starting from the comment by David Whitman to the last round table, we talk about frequency, wave length, propagation velocity and their relations. <a href=\"https://en.wikipedia.org/wiki/Wavelength\" class=\"uri\">https://en.wikipedia.org/wiki/Wavelength</a>. Approximate wave length values are commonly used to reference to entire &quot;frequency bands&quot;, which are the frequency spectrum portions allocated to a certain radio service in proximity. Status of (amateur) frequency allocation may vary with band or country. They may not be &quot;exclusive&quot; and there can be &quot;primary&quot; and &quot;secondary&quot; radio services sharing that spectrum. Secondary services must not interfere with primary ones, while the other way round has to be accepted.</p>\r\n<p>What frequency is most powerful? - It depends! We ramble a bit how different frequencies have different propagation depending on certain factors like daytime, time of year, sun spot cycle. - Please help out with more in depth information here! Join us. There is a varying maximum and a minimum useable frequency for ionospheric propagation. <a href=\"https://en.wikipedia.org/wiki/Maximum_usable_frequency\" class=\"uri\">https://en.wikipedia.org/wiki/Maximum_usable_frequency</a></p>\r\n<p>VHF (globally &gt; 30MHz) and UHF (&gt; 300 MHz) waves have a more line of sight propagation. Steve shortly introduces the concept of repeater stations. Usually at an exposed location, a repeater retransmits the signal that is received at another frequency, thus extending communication range. Participants only need to reach the repeater in order to be able communicate with each other. We hint at additional propagation modes for VHF, like sporadic E-layer propagation, but are not able to go into detail. - Please tell us, if you have experience in those fields!</p>\r\n<p>Some thoughts about RF output power and how it is less important if conditions are right.</p>\r\n<p>Modulation: Putting &quot;information&quot; onto a radio frequency signal. Staring out as a clean &quot;carrier wave&quot;, its parameters are modified according to the modulation scheme. We start out and explain the basic concepts of amplitude modulation, AM, where the amplitude of the radio wave is altered by the modulating signal. Then frequency modulation, FM, where the modulation process influences frequency of the output signal. We use voice audio as an example as modulation content, but this can of course be of digital nature. SSB, single side band modulation. It is the standard voice modulation mode for short wave amateur communication. We give a very brief explanation of one possible way of generating it. We discuss how it is more efficient than AM in regard to occupied frequency spectrum use and transmit power.</p>\r\n<p>This leads to ideas how great it would be if someone could record a show about those things, including audio examples. We further digress in how it may be a good idea to single out individual topics separate shows. The &quot;rabbit holes&quot; (tm MrX I think) we fall in while explaining other stuff. Make them available to be simply referenced in later shows and we can concentrate on the topic at hand.</p>\r\n<p>There will be a place to put ideas and draw inspiration for shows here: <a href=\"https://etherpad.net/p/HPR-HAM-TOPICS\" class=\"uri\">https://etherpad.net/p/HPR-HAM-TOPICS</a></p>\r\n<p>Next we pick up the discussion of frequency shift caused by the Doppler effect and its effect on satellite operation. This was triggered by a question in &quot;hpr2216 :: Working AO-85 with my son&quot; (<a href=\"https://hackerpublicradio.org/eps.php?id=2216\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=2216</a>). <a href=\"https://en.wikipedia.org/wiki/Doppler_effect\" class=\"uri\">https://en.wikipedia.org/wiki/Doppler_effect</a></p>\r\n<p>We ramble a bit how in the wide field of amateur radio no one can know everything right from the beginning. Take the jump start provided by the knowledge required for the test and go on with learning by doing.</p>\r\n<p>How cool would it be to have shows from &quot;Ham fests&quot; like the &quot;Dayton Hamvention&quot;, the &quot;HAM RADIO&quot; or any other event. A brief mention of the &quot;ARRL Fieldday&quot;.</p>\r\n<p>We have a mini poll and want to get feed back from the audience, if they would be interested to have some sort of decoding riddle in future shows.</p>\r\n',109,0,0,'CC-BY-SA','amateur radio, modulation, AM, FM, SSB, doppler, satellite',0,0,1),
(2359,'2017-08-17','Android ROM and PAIN',1522,'I go over some of my pain and love for Android over the years','<p><a href=\"https://www.nirsoft.net/utils/usb_devices_view.html\" class=\"uri\">https://www.nirsoft.net/utils/usb_devices_view.html</a></p>\r\n<p><a href=\"https://forum.xda-developers.com\" class=\"uri\">https://forum.xda-developers.com</a></p>\r\n<p><a href=\"https://www.bignox.com/\" class=\"uri\">https://www.bignox.com/</a></p>',36,0,1,'CC-BY-SA','Android,phone',0,0,1),
(2361,'2017-08-21','Information Underground: Working Out',2447,'Deepgeek, Lostnbronx, and Klaatu talk about exercise.','Deepgeek, Lostnbronx, and Klaatu talk about exercise.',78,99,0,'CC-BY-SA','Information Underground',0,0,1),
(2376,'2017-09-11','Information Underground: 21st Century Superstar',3180,'Deepgeek, Lostnbronx, and Klaatu talk about iconless culture','<p>Deepgeek, Lostnbronx, and Klaatu talk about cultural iconography.</p>',73,99,0,'CC-BY-SA','culture, cultural icon',0,0,1),
(2396,'2017-10-09','Information Underground: State of independence',2560,'Deepgeek, Lostnbronx, and Klaatu talk about the state of independent art.','<p>Deepgeek, Lostnbronx, and Klaatu talk about the state of independent art.</p>',107,99,0,'CC-BY-SA','art, independent art, media, marketing',0,0,1),
(2362,'2017-08-22','Raspbian X86 on Lenovo x61s',670,'This is another distro review show','<p>This show is about putting the new Raspbian image onto one of the Lenovo x61s laptops that I have previously talked about.</p>\r\n<p>These laptops do not have a DVD drive so normally I would create a boot flash drive using USB image writer in Linux Mint, but I had received a DVD of Raspbian with the MagPi magazine so I connected a portable USB DVD drive that I have and used the disc to install to the laptop.</p>\r\n<p>On booting to the DVD drive you get several options including a live session with persistence (this allows the saving of data and system changes to a flash drive during the session if wanted), but the option I chose was to install to hard drive.</p>\r\n<p>This gives a simplified Debian installer and for new users with no previous experience of installing Linux it recommends one of the options at each stage. The only issue I had was at the stage it asks where to install Grub it does not automatically highlight the main drive (Sda) a small gripe but for a newcomer it could confuse.</p>\r\n<p>That said the install went flawlessly and upon first boot I was left with the PIXEL desktop with the task bar at the top of the screen and a short cut for the recycle bin. The boot time on this laptop with a Core2Duo 4Gig Ram and 120Gig SSD was about 30 seconds which is good also it was only using 87mb of the available RAM on start up, this shows the credentials of an OS built to run on the original 256mb Pi.</p>\r\n<p>First job is to navigate to Raspberry config from the menu bar by going to:</p>\r\n<p>Open Menu &gt; Preferences &gt; Raspberry Pi Configuration.</p>\r\n<p>From here you have a number of options but the important one is to change the default password from raspberry to something a little more secure.   After this I connected the Laptop to my WiFi network which is flawless on the x61s as it is an Intel WiFi card, I can\'t comment on other cards here.</p>\r\n<p>The next task that I did was to run the terminal commands \'<code>sudo apt update</code>\' &amp; \'<code>sudo apt upgrade</code>\'. This will result in an updated system with all the security fixes installed and any package upgrades that are available.</p>\r\n<p>The one thing I was not happy about is that Raspbian allows \'sudo\' access for terminal commands without requesting a password by default, this can be fixed if you feel this is a major issue depending on what you are using the device for.</p>\r\n<p><a href=\"https://raspberrypi.stackexchange.com/questions/7133/how-to-change-user-pi-sudo-permissions-how-to-add-other-accounts-with-different\" class=\"uri\">https://raspberrypi.stackexchange.com/questions/7133/how-to-change-user-pi-sudo-permissions-how-to-add-other-accounts-with-different</a>  </p>\r\n<p>After completing the upgrade I decided to add the \'Synaptic\' package manager to the install as this makes finding software a little easier if you not sure exactly what you\'re looking for. This is as simple as \'<code>sudo apt install synaptic</code>\' in the terminal and once installed you\'ll find a link to it under preferences in the menu.</p>\r\n<p>One thing that I found that did not work out of the box was Audio, I had to install some Alsa packages and audacity to collect the needed dependencies for the audio to work. So I installed Alsa player, Alsa mixer GUI and Audacity and after this and a reboot miraculously audio now worked.</p>\r\n<p>Also there was not battery monitor installed so I installed Batmon so that I could check the battery status of the laptop.   On the whole given that Raspbian has been built to be compatible with all iterations of the Raspberry Pi board the software installed by default while minimal includes all the basics for web use - Chromium, email - Claws and office work - Open Office suit, along side all the Pi favourites such as Scratch (including Scratch 2) and Python programming tools.   Would I use Raspbian x86 as a daily driver, with a few tweaks, I might, particularly on an older PC/Laptop. I need to try it on an old Atom Net Book to see if it will work well on a really low specified system but a Pentium 4 with a couple of gig of RAM should work reasonably well as a development and homework PC for a school student so could extend the life of an old machine you may have kicking around. But a Core2Duo is definitely a goer, even with a basic 1Gig of Ram it should work quite well and 2Gig or better no issues at all.</p>\r\n<p>There is a link to the iso download via HTTP or torrent here:</p>\r\n<p><a href=\"https://www.zdnet.com/article/raspbian-gnulinux-new-release-includes-installable-x86-image/\" class=\"uri\">https://www.zdnet.com/article/raspbian-gnulinux-new-release-includes-installable-x86-image/</a></p>\r\n',338,0,0,'CC-BY-SA','Raspbian,X86,Lenovo',0,0,1),
(2363,'2017-08-23','Cancelling my TV licence',639,'I don\'t watch any TV so I don\'t need a licence, but cancelling it is unexpectedly difficult','<h1 id=\"cancelling-my-tv-licence\">Cancelling my TV licence</h1>\r\n<h2 id=\"i-get-a-letter\">I get a letter</h2>\r\n<p>In July 2017 I received a letter from the <a href=\"https://tvlicensing.co.uk\" title=\"TV Licensing\">TV Licensing</a> organisation telling me they\'d be taking £147 from my account on the 1st of August. I had set up a &quot;<em>Direct Debit</em>&quot; arrangement with my bank many years before which allowed them to do this, and had forgotten all about it.</p>\r\n<p>When my kids were small, and later in their teens, a lot of TV was watched in my house. We used to watch all the over the air channels, and when things started to move towards digital in the UK I bought a PVR (aka <a href=\"https://en.wikipedia.org/wiki/Digital_video_recorder\" title=\"Digital Video Recorder\">DVR</a>) which converted the <a href=\"https://www.freeview.co.uk/\" title=\"Freeview\">Freeview</a> channels into a signal for my analogue TV, and also recorded stuff on demand.</p>\r\n<p>I watched some TV after I retired in 2009, but by 2013 with my kids having left home (to all intents and purposes), and the quality of what was available having fallen to a record low, I stopped.</p>\r\n<p>When this letter arrived I realised I\'d been paying for this licence to watch TV for several years without using it.</p>\r\n<h2 id=\"i-throw-out-my-tv\">I throw out my TV</h2>\r\n<p>The old analogue, CRT TV sitting in the corner of my room (and the associated Freeview PVR) had not been turned on for 4 years, so it was time for them to go. So I took my TV to the recycling centre with the help of my son. The PVR will be hacked for useful components.</p>\r\n<h2 id=\"i-cancel-my-licence\">I cancel my licence</h2>\r\n<p>Next step was to stop paying this annual licence. The letter told me what to do. I discovered I fulfilled all the requirements listed there:</p>\r\n<ul>\r\n<li>I never watch or record programmes as they are being shown on TV</li>\r\n<li>I never download or watch BBC programmes on demand</li>\r\n<li>I don\'t do this on a TV, desktop computer, laptop, mobile phone, tablet, games console, digital box or DVD/VHS recorder.</li>\r\n</ul>\r\n<p>I called the number on the back of the letter and cancelled.</p>\r\n<p>The guy I spoke to said I\'d get a letter of confirmation soon. I asked if they\'d cancel the Direct Debit or whether I should. He advised me to cancel myself, so I did it immediately.</p>\r\n<h2 id=\"i-get-my-confirmation-letter\">I get my confirmation letter</h2>\r\n<p>A number of days later I received a letter entitled (rather oddly) &quot;Your No Licence Needed confirmation&quot;. It told me my <em>no licence</em> was valid from July 2017 and expired July 2019.</p>\r\n<p>The letter did point out that I might receive a visit to &quot;confirm that a licence isn\'t needed&quot;.</p>\r\n<p>A friendly leaflet accompanying the letter contained the question and answer:</p>\r\n<p><b><em>Can I be prosecuted for watching BBC programmes on BBC iPlayer without a licence?</em></b></p>\r\n<blockquote>\r\n<p><em>Yes. From 1 September 2016, you risk prosecution and a fine of up to £1,000 plus any legal costs and/or compensation you may be ordered to pay.</em></p>\r\n</blockquote>\r\n<h2 id=\"i-get-an-urgent-letter-from-tv-licensing\">I get an urgent letter from TV Licensing</h2>\r\n<p>On the 12th August I received a letter from TV Licensing which asked me to call them urgently because my bank had declined a Direct Debit payment request.</p>\r\n<p>I called on the 14th August and was told that this was a mistake and the letter could be ignored.</p>\r\n<p>However, to get this answer I had to navigate 4 menus and give my details to a robot. Of course the person I eventually contacted asked for the details all over again! This made me wonder if the robot is there for any purpose other than to be a deterrent to callers. The same goes for the 4 menus.</p>\r\n<h2 id=\"i-get-a-phone-call-from-tv-licensing\">I get a phone call from TV Licensing</h2>\r\n<p>On 17th August I found a message on my answering machine asking me to call TV Licensing. I did so, and navigated the 4 menus again. This time the robot asked for my licence number, but since I reasoned I didn\'t have one I gave it the reference number of my <em>no licence</em>. That didn\'t work.</p>\r\n<p>It then asked for my postcode, street name, house number and payment details. It confirmed the address stuff but when I said I didn\'t pay for a licence it passed me to a human.</p>\r\n<p>The lady I was speaking to then asked for my name, address, postcode, etc. I asked why I was being asked for this again having just given it to a robot. Apparently these weren\'t passed through because I &quot;failed&quot; to answer all the questions properly. That\'s odd because the same happened last time when I got the questions &quot;right&quot;!</p>\r\n<p>This time it turned out that the problem was that my <em>no licence</em> had been cancelled. No reason was given.</p>\r\n<p>I asked why, if a thing I had carefully set up with the expectation of it remaining in place for 2 years had been cancelled, I hadn\'t been notified. I didn\'t get an answer.</p>\r\n<h2 id=\"conclusion\">Conclusion</h2>\r\n<p>It seems that TV Licensing has one of the worst systems for managing its &quot;customers&quot; on the planet. I told the representative that this was my opinion while I was on the phone.</p>\r\n<p>I\'m wondering what\'s next in the saga. Will it be the &quot;heavies&quot; at the door (I\'m not obliged to let them in without a warrant, I discovered), a legendary TV Detector van outside my house (I\'d like to see one and take a picture of it), another spurious money demand or unexplained loss of my details?</p>\r\n<p>However, although it has been bad, this story did give me something to write and talk about for HPR so it\'s not all bad!</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Web site of the <a href=\"https://www.freeview.co.uk/\">Freeview</a> service</li>\r\n<li>Wikipedia page on <a href=\"https://en.wikipedia.org/wiki/Freeview_(UK)\">Freeview</a></li>\r\n<li>Wikipedia page on the <a href=\"https://en.wikipedia.org/wiki/Digital_video_recorder\">Digital Video Recorder</a></li>\r\n<li><a href=\"https://tvlicensing.co.uk\">TV Licensing</a> website</li>\r\n<li>Wikipedia page &quot;<a href=\"https://en.wikipedia.org/wiki/Television_licensing_in_the_United_Kingdom\"><em>TV Licensing in the United Kingdom</em></a>&quot;</li>\r\n</ul>',225,0,1,'CC-BY-SA','TV,television,licence',0,0,1),
(2364,'2017-08-24','Managing Your Android with AirDroid',875,'Frank discusses AirDroid, an app for managing Your Android via a browser.','<p>Frank Bell talks about the Android app, AirDroid, a utility for managing your Android phone via your browser. You can use it to transfer files back and forth between your phone and a computer, edit your contacts, control your camera, and much more.</p>\r\n<p>Website: <a href=\"https://www.airdroid.com/\" class=\"uri\">https://www.airdroid.com/</a></p>\r\n<p>Some screenshots:</p>\r\n<p>AirDroid &quot;Accept Connection&quot; Screen:<br />\r\n<img src=\"https://pineviewfarm.net/weblog/wp-content/uploads/2017/08/AirDroid_Accept.jpg\" alt=\"https://pineviewfarm.net/weblog/wp-content/uploads/2017/08/AirDroid_Accept.jpg\" /></p>\r\n<p>&quot;AirDroid Devices&quot; Screen:<br />\r\n<img src=\"https://pineviewfarm.net/weblog/wp-content/uploads/2017/08/AirDroid_Devices.jpg\" alt=\"https://pineviewfarm.net/weblog/wp-content/uploads/2017/08/AirDroid_Devices.jpg\" /></p>\r\n<p>AirDroid Browser Interface:<br />\r\n<img src=\"https://pineviewfarm.net/weblog/wp-content/uploads/2017/08/AirDroid_file_view.jpg\" alt=\"https://pineviewfarm.net/weblog/wp-content/uploads/2017/08/AirDroid_file_view.jpg\" /></p>',195,0,0,'CC-BY-SA','Android, phones, file transfer',0,0,1),
(2365,'2017-08-25','Rolling out a radio-based internet service in rural England',1176,'One person\'s quest to get a decent internet connection when the big corporations aren\'t interested.','<p>In the UK there is a lot of competition in the telecoms business but, in reality, most of the players rely on infrastructure owned and operated by one company - BT.</p>\r\n<p>Urban customers benefit greatly from this competition and probably have the cheapest telecom services in Europe as a result. The emphasis of the providers is, understandably, areas of high population concentrations. The problem is that nowadays a lot of people living in rural areas need fast and reliable internet connections to do their jobs and run their businesses.</p>\r\n<p>What do you do when you live in a remote area and the major internet providers have no plans to roll fast connections out to where you live?</p>\r\n<p>In this episode Beeza describes how he found a solution and managed to get it implemented.</p>',246,0,0,'CC-BY-SA','Internet, ISP, BT, Wireless Networking, Infrastructure, rural',0,0,1),
(2366,'2017-08-28','Making Bramble Jelly',665,'This is a show on making Bramble Jelly','<h2 id=\"how-to-make-jamjelly\">How to make Jam/Jelly</h2>\r\n<p>Hi again HPR listeners, its the time of the year when I turn my hand to foraging and making Jelly from the local wild brambles.</p>\r\n<p>The season has started early here in the UK so I’ve already produced over 60 jars of bramble jelly this year with more to come. Thankfully I have people who donate old jam jars for reuse during the year which I store for this very time of the year so I have not had any problems with jars for storage.</p>\r\n<p>First on the issue of hygiene, before filling all the jars have previously been de-labelled and on the day of production are given another wash in hot soapy water, rinsed and placed in the oven and cooked for at least 15 minutes at 150° Centigrade (300° Fahrenheit) to sterilise them. All the lids are also boiled in water and kept hot until just before use for the same reason.</p>\r\n<p>The first thing I do in making jelly is wash the collected fruit (Blackberries) and put it in a pan with a little water to start cooking, then mash with a vegetable masher to start the process of breaking down the fruit. I also add 1 Lemon cut in half to each 1½ Kg of fruit both for the acidity and the pectin in the pith of the lemon (this helps setting the jelly as it cools). If there are any available I add wild plums to the mix in about a 10% ratio of plums to the Brambles as these are also rich in pectin.</p>\r\n<p>Once the fruit has boiled and broken down leave to cool, then remove the lemon skins ensuring you scrape the inside to get the gelatinous pulp into the pot as this contains the pectin. Now the fruit needs to be strained to remove the seeds etc. and just leave the juice for making the jelly.</p>\r\n<p>Once this has been done reduce the juice by about a third to concentrate it a little then measure the remaining juice to calculate how much sugar you will need for making the jelly. I use 1Kg sugar to each Liter of juice (1lb/US Pint)</p>\r\n<p>Put the juice in a pan large enough that it only comes half way up after the sugar is added as you need room for it to expand as it boils, bring the Juice back up to a boil and add the sugar stirring until it\'s all dissolved. This will have cooled it all down again so continue heating the juice and sugar mix until it starts to boil. At this stage you need to keep the juice boiling until it has come to Jam temp (105°C/220°F). If you have a Jam Thermometer you can use that to find the jam/jelly point. I don’t so I use a mixture of visual clues (boiling with lots of small bubbles on the surface) and using a cold plate kept in the freezer to test the Jelly as it cooks until its ready. You need to boil the juice for 10-15 minutes after it gets to temperature then put a drop of the juice on a cold saucer and leave for a minute, after which run your finger through the blob of juice and if it ripples up and stays there without closing the gap created you have Jelly. If not boil for a further 5 minutes and repeat until you have a setting jelly.</p>\r\n<p><small><small><em>Editor\'s Note: above adjusted in accordance with the comment 2017-08-19</em></small></small></p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr2366_Boiling_Jelly.jpg\" alt=\"Boiling Jelly\" /><br />\r\nBoiling Jelly</p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr2366_Jam_setting.jpg\" alt=\"Jam setting\" /><br />\r\nJam setting</p>\r\n<p>At this point remove pan from the heat and allow to cool for 10 minutes. During this time you can drain your lids and lay them on a clean towel with the inside facing up ready to put on the jars (I’m using recycled store bought jars and lids. If using preserving jars follow the instructions with these.</p>\r\n<p>As this is a jelly you don’t need a fancy jam funnel as it pours well from a jug, just ensure it is clean and dry as the high heat of the jelly will ensure it is sterile on use, but if you\'re paranoid about infection sterilise it the same way as your jars in preparation.</p>\r\n<p>All that remains is to remove a few jars from the oven, fill with the Jelly liquid, having given it a stir as you fill your jug. Put on the lids of the jars ensuring they are on tightly. If they have the security pop up button as the jelly cools if the lid is on correctly this will be sucked down showing a good seal.</p>\r\n<p>Place the filled jars somewhere to cool, then label with a date and what it is, and you\'re set to enjoy your own home made jelly until it runs out, or give away as a home made gift to friends and family.</p>\r\n<p>If you want more info about making jams and jellies YouTube is full of how to videos.</p>\r\n',338,93,0,'CC-BY-SA','Cooking, Jam, Jelly',0,0,1),
(2367,'2017-08-29','How I create and post a show to HPR',1209,'In this episode I describe the process I use to create and post a show to HPR.','<p>Below are my original rough show notes I used to guide me along my rambling path of describing how I record a show</p>\r\n<ul>\r\n<li><p>How I record a podcast</p>\r\n<ul>\r\n<li>Start recording the show go through setting up recording level &amp; adjusting my microphone, then do my usual introduction at the beginning.</li>\r\n</ul></li>\r\n<li><p>How I record and post a show</p>\r\n<ul>\r\n<li><p>First talk about folder structure</p></li>\r\n<li><p>Write show notes. If I don’t know the subject well enough or perhaps want to go into some detail, Wikipedia can be very handy here.</p></li>\r\n<li><p>Record it using cheap gaming headset with boom microphone, about 2 minutes into my show I give a demonstration of a badly placed microphone. I fully expected this to produce a lot of wind noise in the recording, this unfortunately didn\'t happen, the boom microphone I\'m using is obviously much less susceptible to this than my previous microphone. Still it\'s always advisable to never place your microphone directly in front of your mouth. I tend to put mine at about chin level while making sure my chin never actually touches it.</p></li>\r\n<li><p>Record it by pushing the record button and talking</p></li>\r\n<li><p>Listen to it once or twice I tend to remove any bad stutters large silences, mistakes and some ums and ah’s.</p></li>\r\n<li><p>Add my own theme music to the beginning of the track (Explain)</p></li>\r\n<li><p>Intro and outro not required as HPR add this</p></li>\r\n<li><p>Highlight track with voice on it and select compression</p></li>\r\n<li><p>Write up show notes using LibreOffice writer while listening to show one more time.</p></li>\r\n<li><p>Export track in flac format, don’t add any information when exporting such as artist title etc as this is added later by HPR</p></li>\r\n<li><p>Go to the HPR calendar page pick a free slot</p></li>\r\n<li><p>HPR will send you a time limited link via email</p></li>\r\n<li><p>Click on link to open the upload page for your show</p></li>\r\n<li><p>Fill in the required details from the show notes prepared in LibreOffice writer</p></li>\r\n<li><p>Browse to final flac show</p></li>\r\n<li><p>Submit show, job done</p></li>\r\n</ul></li>\r\n</ul>\r\n<p>Just a little note if all this seems a bit complicated it doesn\'t have to be, this is how I normally produce a show you could instead just hit record on your recording device. Record it in just about any audio format, click on the free slot link on the HPR calendar page and upload the show without any show notes, HPR will do the rest.</p>',201,0,0,'CC-BY-SA','HPR, recording, audacity',0,0,1),
(2368,'2017-08-30','Every cloude has a silver lining',143,'Short, somewhat rhyming, thoughts provoked by an emptying show queue.','<p>Just some rambling about HPR and that you should record a show!</p>\r\n<pre>\r\nThe world\'s going down, the HPR queue is low.\r\nBe one of the saviours, RECORD A SHOW!\r\n\r\nWhatever topic, you are not alone.\r\nFeel free to seek help, if you can\'t do on your own.\r\n\r\nOne will have to struggle, to find a friendlier crowd\r\nwith that wide range coverage from the simplest to \"clouds\".\r\n\r\nFrom toy to high tech and from jokes to wise words.\r\nEmbracing you all. - Not just the nerds.\r\n\r\nIt\'s not a \"service\", HPR is WE!\r\nSo contribute the stuff, you\'d like more of to see.\r\n\r\nIf YOU like it, others surely too will.\r\nDiversity defines the realm, we are aiming to fill. \r\n\r\nSure, there are heroes, lifting most of the weight.\r\nBut we all are the foundation, deciding HPR\'s fate.\r\n\r\nBe thankful, you slackers, who leave those free slots,\r\nfor those few prolific, still filling the spots.\r\n\r\nPlease don\'t keep the burden on shoulders so few.\r\nChime in with some topic, by sharing your view.\r\n\r\nHigh praise to those, stepping in a first time!\r\nWe need more of you though, to strengthen the lines. \r\n\r\nLike an episode? - Please let us know!\r\nIt\'s positive feed back, that\'s keeping us go.\r\n\r\nComment on the page or record a reply.\r\nThere\'s no reason for hiding or being overly shy.\r\n\r\nIt\'s a community effort to make the thing we love stay.\r\nBecause failing would mean, that HPR goes away.\r\n\r\nBut it takes more than bad times to make HPR disappear!\r\nTogether we stand, and we all are still here.\r\n\r\nBit by bit, sharing knowledge and fun,\r\nbuilding the confidence that HPR WILL go on. \r\n\r\nIt\'s up to us, so just pick up the ball\r\nand keep the show rolling, for the sake of us all.\r\n</pre>',271,0,0,'CC-BY-SA','poetry, low queue',0,0,1),
(2377,'2017-09-12','A Rambling Drive Into Work',1361,'An attempt at making a show on the way into work','<p>Please excuse the audio quality in the episode &amp; feel free to skip if it\'s too painful on the ears. In the episode, I mainly talk about my two most recent cars as I couldn’t think of anything else to talk about off the cuff.</p>\r\n<ul>\r\n<li><p>This is the <a href=\"https://www.amazon.co.uk/HccToo-Multifunctional-Rechargeable-Dictaphone-Conversation/dp/B015H9JP6S/ref=sr_1_1?ie=UTF8&amp;qid=1502381150&amp;sr=8-1&amp;keywords=dictation+machines\">dictation device</a> I used</p></li>\r\n<li><p>This is similar to my previous <a href=\"https://www.google.co.uk/imgres?imgurl=http%3A%2F%2Fcdn1.autoexpress.co.uk%2Fsites%2Fautoexpressuk%2Ffiles%2Fstyles%2Fgallery_adv%2Fpublic%2Fford-focus-1.8-zetec-20043.jpg%3Fitok%3Dx-ON1j2e&amp;imgrefurl=http%3A%2F%2Fwww.autoexpress.co.uk%2Fford%2Ffocus%2F65783%2Fused-buyers-guide-ford-focus-mki-pictures&amp;docid=4nS4RCflAVR9gM&amp;tbnid=f23vSCT0oyYW9M%3A&amp;vet=10ahUKEwin64L6hM3VAhUsKcAKHZUoCVgQMwiyAigyMDI..i&amp;w=1013&amp;h=675&amp;client=ubuntu&amp;bih=923&amp;biw=1341&amp;q=ford%20focus&amp;ved=0ahUKEwin64L6hM3VAhUsKcAKHZUoCVgQMwiyAigyMDI&amp;iact=mrc&amp;uact=8\">Ford Focus</a></p></li>\r\n<li><p>This is similar to my current <a href=\"https://www.google.co.uk/imgres?imgurl=http%3A%2F%2Fimages.parkers.bauercdn.com%2Fgallery-image%2Fpagefiles%2F197404%2Fstatic-exterior%2F1752x1168%2F04-ford-focus.jpg&amp;imgrefurl=http%3A%2F%2Fwww.parkers.co.uk%2Fford%2Ffocus%2Fhatchback-2005%2Freview%2Ffeatures-safety-and-equipment%2F&amp;docid=wl8B2faXj127TM&amp;tbnid=mWpm4sZtU6xrSM%3A&amp;vet=10ahUKEwin64L6hM3VAhUsKcAKHZUoCVgQMwiAAigKMAo..i&amp;w=1752&amp;h=1166&amp;client=ubuntu&amp;bih=923&amp;biw=1341&amp;q=ford%20focus&amp;ved=0ahUKEwin64L6hM3VAhUsKcAKHZUoCVgQMwiAAigKMAo&amp;iact=mrc&amp;uact=8\">Ford Focus</a></p></li>\r\n</ul>\r\n',201,0,1,'CC-BY-SA','car,drive,podcast,audio',0,0,1),
(2369,'2017-08-31','Little Meters',1271,'NYbill does a quick review of two more inexpensive multimeters','<p>Listen to more things clicking and beeping!</p>\r\n<p>NYbill does a quick review of two more inexpensive multimeters, ANENG models AN8002 and AN8008.</p>\r\n<p>Bonus noises! I recorded next to an open window on a gusty day. Oops…</p>\r\n<ul>\r\n<li><p>AN8002:<br />\r\n<a href=\"https://www.banggood.com/ANENG-AN8002-Digital-Ture-RMS-Multimeter-ACDC-Current-Voltage-Frequency-Resistance-Temp-Tester-p-1145700.html?rmmds=search\" class=\"uri\">https://www.banggood.com/ANENG-AN8002-Digital-Ture-RMS-Multimeter-ACDC-Current-Voltage-Frequency-Resistance-Temp-Tester-p-1145700.html?rmmds=search</a></p></li>\r\n<li><p>AN8008:<br />\r\n<a href=\"https://www.banggood.com/ANENG-AN8008-True-RMS-Digital-Multimeter-AC-DC-Current-Voltage-Resistance-Frequency-Capacitance-Test-p-1157985.html?rmmds=search\" class=\"uri\">https://www.banggood.com/ANENG-AN8008-True-RMS-Digital-Multimeter-AC-DC-Current-Voltage-Resistance-Frequency-Capacitance-Test-p-1157985.html?rmmds=search</a></p></li>\r\n<li><p>Pics for the episode:<br />\r\n<a href=\"https://media.gunmonkeynet.net/u/nybill/collection/little-meters\" class=\"uri\">https://media.gunmonkeynet.net/u/nybill/collection/little-meters</a></p></li>\r\n</ul>\r\n',235,103,0,'CC-BY-SA','Electronics, Multimeter, Review',0,0,1),
(2372,'2017-09-05','Docbook',3278,'How to Docbook','<p>Forsake markdown now! Klaatu walks you through writing in Docbook, processing and rendering output.</p>',78,0,0,'CC-BY-SA','xml,docbook,writing',0,0,1),
(2373,'2017-09-06','PCGen',2640,'Klaatu talks about a PC generator','<p>Building characters for your next exciting tabletop RPG session? Use PCGen, and here\'s how!</p>',78,95,0,'CC-BY-SA','RPG,character,character generator',0,0,1),
(2374,'2017-09-07','How to Make Sauerkraut',595,'This is a short show on making Sauerkraut','<p>First off I have to admit to being a bit of a foodie and I love Sauerkraut but getting naturally fermented sauerkraut here in the UK in my experience impossible and if you can it tends to be expensive. So I went and had a look on YouTube for some instructions on how to do it, and my first efforts worked well. I’ve just made another batch and took pictures as I was doing it. So this is a how to show on making Sauerkraut.</p>\r\n<p>Just to say that this is about making basic sauerkraut but you can add additional flavours with garlic, other veg and spices. At some point I will try chilli but this week I want the clean taste of a basic sauerkraut.</p>\r\n<p>I use a large white cabbage which you need to strip any outer leaves that are blemished or dirty then quarter and cut out the hard core. Now before shredding weigh the cabbage as you need this to work out how much salt you will add for each Kilo of cabbage and other vegetables, if using. You need 20 grammes of salt, nothing fancy but use one without any any additives, just pure salt, I used a rock salt which cost £1.35 for 350g. You\'re basically after 2% salt to weight of Cabbage and anything else you are fermenting.</p>\r\n<p>It’s also an idea to have about 100mls of a 2% brine to top up if needed to cover the veg in the jar if there is not quite enough liquid made during mashing.</p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr2374_SK01.jpg\" alt=\"https://hackerpublicradio.org/eps/hpr2374_SK01.jpg\" /></p>\r\n<p>Shred the cabbage and put into a large bowl with the salt, now the fun bit starts. You need to get your hands in and start to crush the salt covered shredded cabbage to start drawing out the moisture, this will take several minutes or longer depending on quantity, but you will feel the texture changing and the liquid starting to be drawn out quite soon after starting. Continue this process until the cabbage seems to have shrunk by about half and there is also a juice in the bottom of the bowl. You can cheat and do this for a few minutes then cover with food wrap and leave for up to an hour and the salt will have done some of the work for you, but you need to give it a good 5 minutes to start before you do this, and you may have to do a little more mashing before transferring to a jar.</p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr2374_SK02.jpg\" alt=\"https://hackerpublicradio.org/eps/hpr2374_SK02.jpg\" /></p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr2374_SK03.jpg\" alt=\"https://hackerpublicradio.org/eps/hpr2374_SK03.jpg\" /></p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr2374_SK04.jpg\" alt=\"https://hackerpublicradio.org/eps/hpr2374_SK04.jpg\" /></p>\r\n<p>At this stage find a jar or jars, large enough to hold all the cabbage with a little to spare, you can sterilise if you wish but a good clean in hot soapy water then rinsed and allowed to dry is sufficient as the salt kills and bad bacteria and encourages to good bacteria to grow. Put all your salted and mashed cabbage mix in the jar/jars well packed down with the juice ensuring that the juice is covering the cabbage by about 1cm (this is where the extra saline solution comes in if you don’t quite have enough.</p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr2374_SK05.jpg\" alt=\"https://hackerpublicradio.org/eps/hpr2374_SK05.jpg\" /></p>\r\n<p>Now put your lid on but not overly tight as this is a fermented product and if there is nowhere for the gas to go then you could have a pressure explosion in your cupboard (some people use wine makers fermenting valves but this is a little overkill and more cost than needed).</p>\r\n<p>Tuck the jar away in a storage place that’s about room temp and leave for several days checking every so often to see how it is. If the brine has evaporated you may need to top up slightly. After about a week you should have sauerkraut, give it a try, if its sour enough this is when you take it and put in the fridge or cold cellar/garage to stop the fermenting. All you have to do now is start eating, oh, and make your next batch ready for when that’s gone.</p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr2374_SK06.jpg\" alt=\"https://hackerpublicradio.org/eps/hpr2374_SK06.jpg\" /></p>\r\n',338,93,0,'CC-BY-SA','Cooking, Fermenting, Food preserving ',0,0,1),
(2378,'2017-09-13','Why Docbook?',2405,'Klaatu talks about why Docbook is the greatest','<p>What\'s so great about Docbook, any way? Glad you asked.</p>',78,0,0,'CC-BY-SA','xml,docbook,writing',0,0,1),
(2379,'2017-09-14','sending a text message from the command line',295,'a bunch of waffling on about email and text message sending from the command line','<p>Notes? We don\'t need no stinking notes!</p><p>\r\n<small>\r\nEdited 2017-09-08 by Ken <br />\r\nI beg to differ :).</small>\r\n</p>\r\n\r\n<p>\r\nThis show was recorded on <a href=\"https://www.audacityteam.org/\">Audacity</a> using a Logitech headset.\r\n</p>\r\n<p>\r\nIn episode <a href=\"https://hackerpublicradio.org/eps.php?id=1892\">hpr1892 :: my chicken coop</a> <a href=\"https://hackerpublicradio.org/correspondents/0243.html\">jezra</a> went to great lengths to protect his chickens. His system based on a <a href=\"https://beagleboard.org/black/\">BeagleBone Black</a> ensures the door opens and closes only during the day. \r\n</p>\r\n<p>\r\nIn this show <a href=\"https://hackerpublicradio.org/correspondents/0243.html\">jezra</a> explains how he gets the system to send him an email, and a text message using <a href=\"https://en.wikipedia.org/wiki/Mailx\">mailx</a> and his phones providers free <a href=\"https://en.wikipedia.org/wiki/SMS_gateway#Email_clients\">SMS to Email gateway</a>.\r\n</p>',243,0,1,'CC-BY-SA','command line, mail, SMS',0,0,1),
(2380,'2017-09-15','Raspbian X86 on P4 Tower',248,'This is a show on installing Pixel on a Pentium 4 Tower PC','<h2 id=\"raspbian-x86-on-an-old-p4-tower\">Raspbian x86 on an old P4 tower</h2>\r\n<p>Well I’m back again, as I said in the show I did about Raspbian x86 on the Lenovo x61s, I was interested to see how the OS would perform on what I now class as very old hardware in the form of a Pentium 4 tower.</p>\r\n<p>We have a spare tower at the Makerspace which gets used to test low resource operating systems to see if they live up to their name, so on Saturday (yesterday as I write this, but a few weeks ago by the time this show goes out) I put the x86 Raspbian image on to this tower to see how it would perform.</p>\r\n<p>Tower specifications are: Pentium 4 2.8Gig CPU, 2Gig DDR Ram and a 40Gig HDD, which in its day was a very useful bit of kit, but technology has moved on and most people wouldn’t consider it any use as a working PC today.</p>\r\n<p>First problem I encountered was the DVD drive was duff and I didn’t have the image on a flash drive. Luckily I did have my trusty USB DVD in the bag, so I hooked that up, booted into the boot menu and set the disc off loading the OS. I won\'t go into this again as I ran through the install process last time, <a href=\"https://hackerpublicradio.org/eps.php?id=2362\">HPR 2362</a>, but the install went well and I was left with a new install of Pixel on the tower.</p>\r\n<p>I went through the new install process and was left with an up to date and password secure PC, I then rebooted to check what the resource use was at first boot, which I was amazed was a consistent 66mb of RAM, and about 1% CPU use.</p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr2380_P4_01.jpg\" alt=\"https://hackerpublicradio.org/eps/hpr2380_P4_01.jpg\" /></p>\r\n<p>Using the Chromium web browser pushes up RAM usage over a 100 but it was smooth and easily coped with navigating to resource hungry sites such as YouTube and the BBC. So first test passed.</p>\r\n<p>I next opened a Word document in LibreOffice, this took about 10seconds to load but once open was perfectly usable with no lag, so should provide a good office capable PC.</p>\r\n<p>So you can use the Web, Write documents, it has an email client or you can use web mail. And it’s not painfully slow, this PC would now make a very usable homework/first computer for any child, or a computer for an older member of the family that just needs to keep in touch with family and friends without breaking the bank. In fact you could probably pick up a working tower off the likes of Freecycle/Freegle for £0 and you may even get a small 17”/19” TFT monitor from the same place.</p>\r\n<p>Yes it’s not as energy efficient as the latest kit but as I said last time the cost of a new PC/laptop can buy a lot of additional electricity in the time you may run it before it finally expires.</p>',338,57,0,'CC-BY-SA','Linux, Raspbian x86, Pentium4 hardware.',0,0,1),
(2382,'2017-09-19','A Non Spoilery Review of \"git commit murder\" and \"Forever Falls\" by Michael Warren Lucas',555,'I met Mike Lucas at Kansas Linux Fest 2017 and review a couple of his novels','<h2 id=\"a-non-spoilery-review-of-git-commit-murder-and-forever-falls-by-michael-warren-lucas\">A Non Spoilery Review of &quot;git commit murder&quot; and &quot;Forever Falls&quot; by Michael Warren Lucas</h2>\r\n<p>I met Michael at Kansas Linux Fest 2017 where he was a speaker. Turns out we\'ve probably been walking past each other in the halls at Penguicon the last three years that I have attended. Michael is a BSD guy and one of us. As well as being an open source advocate, he works professionally as a systems admin and network engineer. I bought his texts &quot;SSH Mastery&quot; (because I\'ve always needed help getting my head around reverse IP tunneling), &quot;Networking for Systems Administrators&quot;, and &quot;$ git commit murder&quot;, his latest novel. Because I was a good customer, Michael threw in &quot;Forever Falls&quot; for free.</p>\r\n<p>&quot;git commit murder&quot; takes place at a BSD convention. The gathering in the novel is slightly less informal than the Linux conferences I\'ve attended. The conference is targeted at the users, contributors, and managers of the fictional &quot;SkyBSD&quot;. Our protagonist, Detroit native Dale Whitehead has come to Canada to deliver a talk on his mesh networking project. The conference is disrupted when attendees start to die in what appear to be unrelated accidents. Dale is unwilling to accept these deaths as accidents, and puts his analytical mind to discovering the killer. He also employees his hacking skills, having already created an admin account on the host university\'s server within minutes of checking in. This makes him understandably reluctant to discuss his theories with the authorities until he has positively identified a culprit.</p>\r\n<p>The SkyBSD community is not without contention. A significant number of contributors want to move from Subversion to git for version control and just as many are vehemently opposed. Also, the recent release of candid photos meant to embarrass a contributor has many calling for a Code of Conduct and the banning of violators. Others think this is going too far. Dale has to contemplate whether either of these is reason for murder? Perhaps it is a struggle by an old guard who is not ready to surrender leadership to a younger generation?</p>\r\n<p>At first, it was hard to get to like Michael\'s protagonist, Dale Whitehead. Dale suffers from an extreme form of Attention Deficit Disorder which requires medication and causes him to actively shun the company of other people. The same affliction that allows him to get &quot;in the zone&quot; when programming also makes being in crowds a fresh hell for Dale. He is in constant terror that some aberrant behavior on his part will reveal his condition to his companions and he finds it much easier to deal with other humans via e-mail or IRC. It\'s clear Michael Lucas has an understanding of the condition, either via research or contact with someone who suffers ADD.</p>\r\n<p>At least one character in the story seemed to me to bear a passing resemblance to a familiar conference fixture in real life. Michael told me the sequel might be set at an open source/Sci Fi convention in a city near the great lakes. Time will tell if the Tuesday Afternoon Solaris Overview or a kilt wearing organizer will make an appearance.</p>\r\n<p>&quot;Forever Falls&quot; is also a mystery, as well a SciFi story. Ella Forecourt is a recruit right out of college for the Montague Corporation. As a corporate security officer, she is assigned to investigate the death of a Montague research scientist at the Freefall installation. In the course of the novel, you learn that Montague has proprietary technology that allows them to &quot;portal&quot; into other universes or dimensions where the laws of physics are different from those of our universe. In Freefall, gravity runs parallel to the surface of the world. In other words, you don\'t fall down, you fall sideways, and with no ground to stop you, if you fall, you fall forever.</p>\r\n<p>Montague has a research facility built into the &quot;Cliff&quot;. With gravity travelling sideways, the surface of the planet appears as an endless cliff. &quot;Above&quot; the facility is a huge metal awning to deflect falling boulders. On top of the awning is where the security team discovers the body of Dr. Devin Grupper. The damage to the body suggests Dr. Grupper impacted with terminal velocity. Even in the lighter gravity of Freefall constant acceleration means terminal velocity is governed by air resistance. Montague does use airships for transport, but there are no records of how Grupper could have secured transportation and a pilot to wind up smashed on the awning without a ship going missing. Thus Security Second Ella Forecourt is assigned to the case. &quot;Forever Falls&quot; is but one in a series of Montague Portal novels by Michael Lucas. I look forward to reading the rest of the series.</p>\r\n<p><a href=\"https://www.amazon.com/Michael-Warren-Lucas/e/B001JP9NEY\" class=\"uri\">https://www.amazon.com/Michael-Warren-Lucas/e/B001JP9NEY</a></p>',131,0,0,'CC-BY-SA','Kansas Linux Fest, book review',0,0,1),
(2388,'2017-09-27','Apt Spelunking 4: Planet of the Apts',543,'Another couple of interesting packages from the Debian repos','<p>It\'s another exciting episode of Apt Spelunking! The fourth installation, which covers the following packages:</p>\r\n<h2 id=\"dunst---lightweight-notification-daemon\"><a href=\"https://dunst-project.org\">dunst</a> - Lightweight notification daemon</h2>\r\n<p>Dunst is a lightweight, customizeable desktop notification daemon. Similar to Ubuntu\'s notify-osd, it displays passive notifications with very minimal resources. It has customizeable keystrokes, and its colors can be configured as well.</p>\r\n<h2 id=\"i3---lightweight-tiling-window-manager\"><a href=\"https://i3wm.org\">i3</a> - Lightweight tiling window manager</h2>\r\n<p>i3 is my window manager of choice; tiling, extremely customizeable, and absurdly light. With fantastic support for multiple monitors, and vim keybindings, it eventually finds its way onto every machine I use.</p>\r\n<h2 id=\"uqm---ur-quan-masters\"><a href=\"https://sc2.sourceforge.net\">uqm</a> - Ur-Quan Masters</h2>\r\n<p>Derived from Star Control II, Ur-Quan Masters is a fantastic retro game about spaceships and aliens. Earth has been seized, and is isolated from the rest of the galaxy. Luckily, you happen to have yourself a ship built with ancient mystic technology and whatnot.</p>\r\n<p>Fun, funny, and dangerously addictive; make sure to stay away from this game if you have things to do.</p>',196,98,1,'CC-BY-SA','recommendations,software,repositories',0,0,1),
(2383,'2017-09-20','What\'s In My Ham Shack',2244,'I describe the equipment that I have an use in my Amateur Radio station.','<h1 id=\"whats-in-my-ham-shack\">What\'s In My Ham Shack</h1>\r\n<p>In this episode I am starting what I hope will become a series where Amateur Radio operators talk about what equipment they have and use in their Ham Shacks.</p>\r\n<h2 id=\"ham-shack-definition\">Ham Shack Definition</h2>\r\n<p>A good definition of exactly what a Ham Shack is can be found on Wikipedia.</p>\r\n<p><a href=\"https://en.wikipedia.org/wiki/Radio_shack\" class=\"uri\">https://en.wikipedia.org/wiki/Radio_shack</a></p>\r\n<h2 id=\"categories-of-ham-radio-gear\">Categories of Ham Radio gear</h2>\r\n<p>I tend to divide gear into the following categories.</p>\r\n<ol type=\"1\">\r\n<li>Portable - hand-held devices designed for carrying.</li>\r\n<li>Mobile - equipment that is designed to be used in a vehicle.</li>\r\n<li>Base - gear used in a fixed station environment.</li>\r\n<li>Miscellaneous - other stuff.</li>\r\n</ol>\r\n<h2 id=\"my-ham-shack\">My Ham Shack</h2>\r\n<p>You can google any of these model numbers to see what the hardware looks like and learn more about it.</p>\r\n<h3 id=\"portable-gear\">Portable Gear</h3>\r\n<ul>\r\n<li>Allinco DJ-190 Handy-Talkie</li>\r\n<li>Yeasu VX-6R tri-band Handy-Talkie</li>\r\n</ul>\r\n<h3 id=\"mobile-gear\">Mobile Gear</h3>\r\n<ul>\r\n<li>Yeasu FT-8800 dual-band radio</li>\r\n<li>New Motorolla Mount (NMO) antenna mount</li>\r\n<li>Comet B-10nmo mobile antenna</li>\r\n<li>Comet SBB-5nmo mobile antenna</li>\r\n</ul>\r\n<h3 id=\"base-station-gear\">Base Station Gear</h3>\r\n<ul>\r\n<li>ICOM IC-746 HF+6m+2m radio</li>\r\n<li>Grasshopper II vertical HF antenna</li>\r\n<li>Unknown brand vertical 2-meter/70-cm base station antenna</li>\r\n<li>MFJ-4225MV Switching Power Supply</li>\r\n<li>MFJ-949E Manual Antenna Tuner</li>\r\n<li>LDG Electronics AT-200Pro II Automatic Antenna Tuner</li>\r\n<li>Computer running Xubuntu 16.04</li>\r\n<li>West Mountain RIGblaster Advantage digital interface</li>\r\n</ul>\r\n<h3 id=\"miscellaneous-gear\">Miscellaneous Gear</h3>\r\n<ul>\r\n<li>MFJ-269C Antenna Analyzer</li>\r\n<li>Stereo head-phones and microphone</li>\r\n<li>Push-to-Talk pedal</li>\r\n<li>RTL-SDR Dongle</li>\r\n<li>Collection of various connectors and adaptors</li>\r\n</ul>',334,43,1,'CC-BY-SA','ham radio, amateur radio, radio, shack, equipment',0,0,1),
(2384,'2017-09-21','Slackware in Scotland',3399,'Beni comes to Scotland and talks to Andrew about Slackware 14.2, a year after release.','<p>Beni aka <span class=\"citation\" data-cites=\"Navigium\">@Navigium</span> visited Andrew aka <span class=\"citation\" data-cites=\"mcnalu\">@mcnalu</span> in Scotland as part of a cycling tour and they decided to record a follow up to <a href=\"https://hackerpublicradio.org/eps.php?id=1660\">their previous HPR show on Slackware</a> to mark the release of <a href=\"https://www.slackware.com/\">Slackware</a> 14.2, or rather the first anniversary of its release.</p>\r\n<p>Some points and links mentioned are:</p>\r\n<ul>\r\n<li>Arch is for fruitflies, Slackware for elephants?</li>\r\n<li>Destroying a hard drive hammer or drill?</li>\r\n<li>Grub vs Lilo?</li>\r\n<li>Changes in Slackware - no changes an end user would notice! Pulseaudio now included as needed for bluetooth support. In Andrew\'s experience of 14.1 and before, only one package needed Pulseaudio, namely the game <a href=\"https://store.steampowered.com/app/70300/VVVVVV/\">VVVVVV</a> and even then it just wanted to see it installed, didn\'t need it for sound to work!</li>\r\n<li>You can get gnome for slackware with <a href=\"https://www.droplinegnome.org\">dropline GNOME</a>.</li>\r\n<li>Digression: Trains in Switzerland vs Scotland</li>\r\n<li>Beni and Andrew generally build our packages using the <a href=\"https://slackbuilds.org\">slackbuilds.org</a>. There can be dependency issues but it\'s rare. Worst case is Pandoc with its Haskell deps but <a href=\"https://sbopkg.org\">sbopkg</a> queue files are a great help there. Beni recommends <a href=\"https://pink-mist.github.io/sbotools/\">sbotools</a> as an alternative that deals with this and feels like portsnap on FreeBSD.</li>\r\n<li>Digression: Recommend this HPR show on open-sourcing of <a href=\"https://player.fm/series/hacker-public-radio-62200/hpr2334-our-adventure-begins\">Colossal Cave Adventure by ClaudioM</a>.</li>\r\n<li>Managing WiFi networks: <a href=\"https://wicd.sourceforge.net/\">wicd</a> vs <a href=\"https://en.wikipedia.org/wiki/NetworkManager\">NetworkManager</a> vs rc.inet1 (slackware network config script).</li>\r\n<li>When camping and cycling, power is precious. Beni explains how to pack a bicycle for air travel.</li>\r\n<li>Expect Slackware in Switzerland!</li>\r\n</ul>\r\n<p>The hosts wish to clarify that no Italian Arch linux users nor fruitflies were harmed during the recording of this show.</p>',268,0,0,'CC-BY-SA','linux,slackware,scotland,bicycles',0,0,1),
(2387,'2017-09-26','Free Weights and a Bicycle',1246,'Frank discusses his life-long love for free weights','<p>Frank discusses his long experience with trying not to get fat by using free weights and a bicycle. Free weights are, without question, the geekiest form of exercise, having a versatility and flexibility unmatched by any alternative.</p>\r\n<p>Here are some sample programs:</p>\r\n<ul>\r\n<li>Warm Up adapted from the <a href=\"https://en.wikipedia.org/wiki/5BX\">Royal Canadian Air Force Exercises</a></li>\r\n</ul>\r\n<p>Sample Programs:</p>\r\n<ul>\r\n<li><p>Procedure: 3 sets × 8 reps, increasing to 10 reps, then add five pounds and start over with 8 reps.</p></li>\r\n<li><p>Exercises (<sup>*</sup> = requires bench, <sup>**</sup>= bench desirable):</p>\r\n<ul>\r\n<li><p>Program One: Leg Raises,<sup>*</sup> Leg Curls,<sup>*</sup> Dumbbell Flies,<sup>**</sup> Barbell Curls, Triceps Pull-Overs, Forward and Reverse Wrist Twists (using pipe with rope to raise and lower weights)</p></li>\r\n<li><p>Program Two: Dumbbell Lunge, Bench Press,<sup>*</sup> Bent-Over Rows, Dumbbell Kickbacks, Zottman Curls, Forward and Reverse Wrist Curls</p></li>\r\n<li><p>Program Three: Half Squats, Bench Press, Concentration Curls, Dumbbell Kickbacks, Forward and Reverse Wrist Curls.</p></li>\r\n</ul></li>\r\n</ul>\r\n<p>As stated in the podcast, Frank has not found many weight-training websites appealing. The websites tend to be for fanatic bodybuilders or for pitching products. This one, though, has a pretty good catalog of exercises: <a href=\"https://www.weight-training-exercises.com/\">https://www.weight-training-exercises.com/</a>. Note that the same exercise may be known by several names, depending on the speaker.</p>\r\n<h4 id=\"free-weights\">Free Weights:</h4>\r\n<p><img\r\nsrc=\"https://pineviewfarm.net/weblog/wp-content/uploads/2017/08/weights.jpg\" alt=\"Free Weights\" /></p>\r\n<h4 id=\"a-bicycle\">A bicycle:</h4>\r\n<p><img src=\"https://pineviewfarm.net/graphics/bike.jpg\" alt=\"A bicycle\" /></p>\r\n',195,100,0,'CC-BY-SA','exercise, free weights, physical fitness',0,0,1),
(2389,'2017-09-28','Thoughts on Lifetime Learning',568,'In this episode, I talk about my experiences in learning to be a good learner','<h2 id=\"thoughts-on-lifetime-learning\">Thoughts on Lifetime Learning</h2>\r\n<p>For some of my other thoughts on this topic, consider reading <a href=\"https://www.ryoung.me/lifetime-learning.html\">this blog post</a>.</p>\r\n',300,0,0,'CC-BY-SA','learning, self-improvement',0,0,1),
(2386,'2017-09-25','The Decline and Fall of Tcl',1733,'... in which I\'m reading Where Tcl and Tk went wrong, by David N Welton, posted on 2010-03-30','<p> Tcl is an interesting language that does many things \"wrong\", especially if you\'re coming from a LISP perspective, and especially-especially if you\'re coming from a Scheme perspective. Examples are all over the C2 wiki, but probably <a href=\"https://wiki.c2.com/?DynamicStringsVsFunctional\">DynamicStringsVsFunctional</a> is the epicenter.</p>\r\n<p>It also forms an important part of modern Scheme history, as the <a href=\"https://vanderburg.org/old_pages/Tcl/war/\">Tcl War</a> led to the creation of <a href=\"https://www.gnu.org/software/guile/\">Guile</a>.</p>\r\n<p>What happened after that? <a href=\"https://journal.dedasys.com/2010/03/30/where-tcl-and-tk-went-wrong/\">Where Tcl and Tk went wrong, by David N Welton</a></p>\r\n<p>TL;DL: Tcl was successful because it found its niche as a lightweight yet capable language able to both integrate and be integrated with C code, but it fell behind on Tk look-and-feel compared to GNOME and KDE and also on other mainstream development phenomena, it ossified because it was afraid to upset its installed base, it got stuck between not-slim-enough and not-featureful-enough, the syntax is too weird, and it spiraled into losing touch with the rest of the free software world, which ultimately also affected business use.</p>\r\n<h2 id=\"further-notes\">Further notes</h2>\r\n<ul>\r\n<li>Guile (again) faces several of these same challenges.</li>\r\n<li>Haskell tries to <a href=\"https://www.reddit.com/r/haskell/comments/39qx15/is_this_the_right_way_to_understand_haskells/\">avoid success at all costs</a>, in order to not lose the freedom to improve the language.</li>\r\n<li><a href=\"https://docs.python.org/3/library/tkinter.html\">Python</a> and <a href=\"https://www.perltk.org/\">Perl</a> both have Tk integrations and Python\'s IDLE is even implemented in it. Lua had <a href=\"https://tset.de/ltcltk/index.html\">ltk</a>, but it\'s no longer maintained. There is even a <a href=\"https://www.rdocumentation.org/packages/tcltk/versions/3.4.1\">Tcl/Tk package for R</a>.</li>\r\n<li>Ousterhout <a href=\"https://www.huecker.com/msw/ousterhout.shtml\">pronounces it OH-stir-howt</a>, which may or may not be how I pronounced it. I think the guttural sound may be reserved for the Dutch \"G\" and have nothing to do with \"H\".</li>\r\n</ul>\r\n<h2 id=\"potential-episodes\">Potential episodes</h2>\r\n<ul>\r\n<li>Fossil</li>\r\n<li>Tcl</li>\r\n</ul>\r\n',311,0,0,'CC-BY-SA','tcl, tk, history, languages, community',0,0,1),
(2392,'2017-10-03','Weather, Ogg Camp, Server Room,  ITO collection',466,'A short podcast about various things mostly OggCamp','<p>A short show about the weather in Texas and Germany, Oggcamp 2017 and my Server room. I have been having trouble with my Raspberry Pi collection being too large and new in the box.</p>',129,0,0,'CC-BY-SA','OggCamp',0,0,1),
(2381,'2017-09-18','Benefits of a tabletop',2650,'Klaatu talks about the benefits of analogue gaming','<p>Klaatu talks about the benefits of tabletop gaming over computer gaming.</p>',78,0,0,'CC-BY-SA','game,gaming,rpg',0,0,1),
(2390,'2017-09-29','Still in the game',1449,'Klaatu compares PC and tabletop gaming','<p>In a counterpoint to episode 2381, Klaatu talks about how PC gaming compares to tabletop gaming.</p>',78,95,0,'CC-BY-SA','game,gaming,tabletop,rpg,pc gaming',0,0,1),
(2393,'2017-10-04','PWGen - A password generator',1355,'Xoke talks about how he uses PWGen to set people\'s passwords at work','<ul>\r\n<li>Download PWGen <a href=\"https://pwgen-win.sourceforge.net/downloads.html\">here</a></li>\r\n<li>Download the 5 letter word list <a href=\"https://www-cs-faculty.stanford.edu/~knuth/sgb-words.txt\">here</a></li>\r\n</ul>',79,0,0,'CC-BY-SA','Security, Passwords',0,0,1),
(2417,'2017-11-07','Transmeta Crusoe - Fujitsu-Siemens Futro S210 (ThinClient) - Trouble Shooting and Debian 9 Install',806,'I did a basement clean up and got my old transmeta cpu up and running','<p>I did the long awaited basement clean up project.<br />\r\nlots of old geeky stuff went to the bins and recycle yards :(</p>\r\n<p>The Transmeta company made chips around 2000 and made chip x86 ready though a software layer. Since I love almost anything that is not Intel it was a match made in heaven.</p>\r\n<p>The best info I found about the FSI 210 was at this site:<br />\r\nFujitsu-Siemens Futro S210 (ThinClient)</p>\r\n<p>If you want to do a project at raspberry PI prices just go to Ebay and type Futro - they have a lot of Thin clients with other chips.</p>\r\n<p>About the chip:<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Transmeta_Crusoe\" class=\"uri\">https://en.wikipedia.org/wiki/Transmeta_Crusoe</a></p>',129,0,0,'CC-BY-SA','Transmeta Crusoe,Fujitsu-Siemens Futro S210,thin client',0,0,1),
(2394,'2017-10-05','The Lost Episode',1622,'NYbill talks about building an inexpensive transistor tester... a year after the fact.','<p>NYbill puts up a ‘Lost Episode’ recorded in October, 2016. A comment for Ep. 2369 asking if I have ever built one of the many Transistor Kits available jogged my memory. I still had the recording so, I’ll just throw it up. I’m not sure how many pics I can find for the episode. I’ll put up what I can.</p>\r\n<p>And just for Mike Ray, I’ll leave in some bench noises I would usually edit out. ;)</p>\r\n<p>The soldering vice being used:</p>\r\n<p><a href=\"https://www.amazon.com/Aven-17010-Adjustable-Circuit-Holder/dp/B00Q2TTQEE/ref=sr_1_3?ie=UTF8&amp;qid=1505162033&amp;sr=8-3&amp;keywords=soldering+vise\" class=\"uri\">https://www.amazon.com/Aven-17010-Adjustable-Circuit-Holder/dp/B00Q2TTQEE/ref=sr_1_3?ie=UTF8&amp;qid=1505162033&amp;sr=8-3&amp;keywords=soldering+vise</a></p>\r\n<p>Solder sucker:</p>\r\n<p><a href=\"https://www.amazon.com/Electronix-Express-060820-Solder-Desoldering/dp/B00L2HRW92/ref=sr_1_4?s=industrial&amp;ie=UTF8&amp;qid=1505162388&amp;sr=1-4&amp;keywords=solder+sucker\" class=\"uri\">https://www.amazon.com/Electronix-Express-060820-Solder-Desoldering/dp/B00L2HRW92/ref=sr_1_4?s=industrial&amp;ie=UTF8&amp;qid=1505162388&amp;sr=1-4&amp;keywords=solder+sucker</a></p>\r\n<p>The kit (This looks like the one I ordered. But, it\'s been about a year gone by now. This one shows firmware running on the chip in the pics. You can take a gamble on it if you’d like):</p>\r\n<p><a href=\"https://www.ebay.com/itm/2016-DIY-GM328-Transistor-Tester-LCR-ESR-meter-PWM-Square-wave-Signal-Generator-/272234590655?epid=2013312516&amp;hash=item3f627231bf:g:Y5oAAOSw3mpXLEvU\" class=\"uri\">https://www.ebay.com/itm/2016-DIY-GM328-Transistor-Tester-LCR-ESR-meter-PWM-Square-wave-Signal-Generator-/272234590655?epid=2013312516&amp;hash=item3f627231bf:g:Y5oAAOSw3mpXLEvU</a></p>\r\n<p>Pics for the episode:</p>\r\n<p><a href=\"https://media.gunmonkeynet.net/u/nybill/collection/2016-diy-transistor-kit/\" class=\"uri\">https://media.gunmonkeynet.net/u/nybill/collection/2016-diy-transistor-kit/</a></p>',235,103,0,'CC-BY-SA','Electronics, kits, testers',0,0,1),
(2631,'2018-09-03','HPR Community News for August 2018',4471,'HPR Volunteers talk about shows released and comments posted in August 2018','\n\n<h2>New hosts</h2>\n<p>\nWelcome to our new host: <br />\n\n    <a href=\"https://hackerpublicradio.org/correspondents/0368.html\" target=\"_blank\">Xtrato</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2608\" target=\"_blank\">2608</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-08-01</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2608\" target=\"_blank\">BattleTech</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2609\" target=\"_blank\">2609</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-08-02</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2609\" target=\"_blank\">SparkleShare</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2610\" target=\"_blank\">2610</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-08-03</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2610\" target=\"_blank\">Gnu Awk - Part 12</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2611\" target=\"_blank\">2611</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-08-06</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2611\" target=\"_blank\">HPR Community News for July 2018</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2612\" target=\"_blank\">2612</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-08-07</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2612\" target=\"_blank\">Liverpool Makefest 2018 - interview with Joe aka Concrete Dog</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2613\" target=\"_blank\">2613</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-08-08</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2613\" target=\"_blank\">Quick Awk Tip</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2614\" target=\"_blank\">2614</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-08-09</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2614\" target=\"_blank\">My 1948 Truetone D1835 Tube Radio</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2615\" target=\"_blank\">2615</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-08-10</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2615\" target=\"_blank\">Cancer</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2616\" target=\"_blank\">2616</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-08-13</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2616\" target=\"_blank\">Liverpool Makefest 2018 - interview with Josh - A.K.A - All About Code</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2617\" target=\"_blank\">2617</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-08-14</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2617\" target=\"_blank\">Exposing a Raspberry Pi database through a REST API</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2618\" target=\"_blank\">2618</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-08-15</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2618\" target=\"_blank\">Yesod - First Impressions</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2619\" target=\"_blank\">2619</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-08-16</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2619\" target=\"_blank\">A Gentle Introduction to Quilt</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0357.html\" target=\"_blank\">bjb</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2620\" target=\"_blank\">2620</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-08-17</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2620\" target=\"_blank\">Thoughts on language learning part 1</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2621\" target=\"_blank\">2621</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-08-20</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2621\" target=\"_blank\">Liverpool Makefest 2018 - Chan\'nel Thomas a.k.a little pink maker</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2622\" target=\"_blank\">2622</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-08-21</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2622\" target=\"_blank\">Raspberry Pi Temperaturator</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2623\" target=\"_blank\">2623</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-08-22</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2623\" target=\"_blank\">Actors and Agents, Sprites and Fractals</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2624\" target=\"_blank\">2624</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-08-23</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2624\" target=\"_blank\">Cycling through Brussels</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">knightwise</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2625\" target=\"_blank\">2625</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-08-24</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2625\" target=\"_blank\">My thoughts on language learning communication applications.</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2626\" target=\"_blank\">2626</a></strong></td>\n    <td>Mon</td>\n    <td><small>2018-08-27</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2626\" target=\"_blank\">Liverpool Makefest 2018 - interviews with Helen and Chris</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2627\" target=\"_blank\">2627</a></strong></td>\n    <td>Tue</td>\n    <td><small>2018-08-28</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2627\" target=\"_blank\">Home Phone Setup!!</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0115.html\" target=\"_blank\">sigflup</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2628\" target=\"_blank\">2628</a></strong></td>\n    <td>Wed</td>\n    <td><small>2018-08-29</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2628\" target=\"_blank\">UK Telephone Network Exploration</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0368.html\" target=\"_blank\">Xtrato</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2629\" target=\"_blank\">2629</a></strong></td>\n    <td>Thu</td>\n    <td><small>2018-08-30</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2629\" target=\"_blank\">Thoughts on language learning part 3 - game/story mode.</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2630\" target=\"_blank\">2630</a></strong></td>\n    <td>Fri</td>\n    <td><small>2018-08-31</small></td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2630\" target=\"_blank\">Open Source Gaming: Revisiting Meridian 59</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0354.html\" target=\"_blank\">TheDUDE</a></td>\n    </tr>\n</table>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 25 comments in total.</p>\n<p>There is 1 comment on\n1 previous show:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2542#comments\" target=\"_blank\">hpr2542</a></strong>\n(2018-05-01) \"<em>How I helped my dad run a static website using SparkleShare</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2542#2\" target=\"_blank\">Comment 2</a>:\nclacke on 2018-08-04:\n\"Full episode on SparkleShare\"</li></ul><br/>\n</li></ul>\n<p>There are 24 comments on 15 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2608#comments\" target=\"_blank\">hpr2608</a></strong>\n(2018-08-01) \"<em>BattleTech</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2608#1\" target=\"_blank\">Comment 1</a>:\ncmhobbs on 2018-08-01:\n\"hurray battletech!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2608#2\" target=\"_blank\">Comment 2</a>:\nTuula on 2018-08-05:\n\"MegaMek and MekWars\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2609#comments\" target=\"_blank\">hpr2609</a></strong>\n(2018-08-02) \"<em>SparkleShare</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2609#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2018-08-04:\n\"Thank you!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2611#comments\" target=\"_blank\">hpr2611</a></strong>\n(2018-08-06) \"<em>HPR Community News for July 2018</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2611#1\" target=\"_blank\">Comment 1</a>:\ndodddummy on 2018-08-06:\n\"In case there was any doubt.\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2612#comments\" target=\"_blank\">hpr2612</a></strong>\n(2018-08-07) \"<em>Liverpool Makefest 2018 - interview with Joe aka Concrete Dog</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2612#1\" target=\"_blank\">Comment 1</a>:\nSteve on 2018-08-07:\n\"Rockets!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2612#2\" target=\"_blank\">Comment 2</a>:\nTony Hughes on 2018-08-09:\n\"Comment 1\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2613#comments\" target=\"_blank\">hpr2613</a></strong>\n(2018-08-08) \"<em>Quick Awk Tip</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2613#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2018-08-12:\n\"Thanks for this\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2614#comments\" target=\"_blank\">hpr2614</a></strong>\n(2018-08-09) \"<em>My 1948 Truetone D1835 Tube Radio</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2614#1\" target=\"_blank\">Comment 1</a>:\nhammerron on 2018-08-09:\n\"Tube Radio Show\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2614#2\" target=\"_blank\">Comment 2</a>:\nJon Kulp on 2018-08-11:\n\"Tube clock radios\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2615#comments\" target=\"_blank\">hpr2615</a></strong>\n(2018-08-10) \"<em>Cancer</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2615#1\" target=\"_blank\">Comment 1</a>:\nClinton Roy on 2018-08-11:\n\"Thank you.\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2617#comments\" target=\"_blank\">hpr2617</a></strong>\n(2018-08-14) \"<em>Exposing a Raspberry Pi database through a REST API</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2617#1\" target=\"_blank\">Comment 1</a>:\nKen on 2018-08-14:\n\"Where is the script\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2618#comments\" target=\"_blank\">hpr2618</a></strong>\n(2018-08-15) \"<em>Yesod - First Impressions</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2618#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2018-08-15:\n\"Looking into this\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2619#comments\" target=\"_blank\">hpr2619</a></strong>\n(2018-08-16) \"<em>A Gentle Introduction to Quilt</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0357.html\" target=\"_blank\">bjb</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2619#1\" target=\"_blank\">Comment 1</a>:\nrtsn on 2018-08-21:\n\"comment\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2620#comments\" target=\"_blank\">hpr2620</a></strong>\n(2018-08-17) \"<em>Thoughts on language learning part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2620#1\" target=\"_blank\">Comment 1</a>:\nbaffled on 2018-08-22:\n\"Nice show\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2620#2\" target=\"_blank\">Comment 2</a>:\ndodddummy on 2018-08-24:\n\"I have 2, do I hear 3?\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2622#comments\" target=\"_blank\">hpr2622</a></strong>\n(2018-08-21) \"<em>Raspberry Pi Temperaturator</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2622#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2018-08-27:\n\"Why is there no cute warning on this episode\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2622#2\" target=\"_blank\">Comment 2</a>:\ndodddummy on 2018-08-30:\n\"Cuter than a box of puppies or kittens\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2624#comments\" target=\"_blank\">hpr2624</a></strong>\n(2018-08-23) \"<em>Cycling through Brussels</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">knightwise</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2624#1\" target=\"_blank\">Comment 1</a>:\nClinton Roy on 2018-08-22:\n\"Fantastic\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2627#comments\" target=\"_blank\">hpr2627</a></strong>\n(2018-08-28) \"<em>Home Phone Setup!!</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0115.html\" target=\"_blank\">sigflup</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2627#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2018-08-27:\n\"Definition of hacking!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2627#2\" target=\"_blank\">Comment 2</a>:\nb-yeezi on 2018-08-28:\n\"My sentiments exactly\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2627#3\" target=\"_blank\">Comment 3</a>:\njezra on 2018-08-29:\n\"Absolutely spectacular\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2627#4\" target=\"_blank\">Comment 4</a>:\ndodddummy on 2018-08-30:\n\"Scream, Yell, &quot;Bravo!&quot;, also, this is called A Show\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2627#5\" target=\"_blank\">Comment 5</a>:\nMike Ray on 2018-08-30:\n\"Stoop?\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2628#comments\" target=\"_blank\">hpr2628</a></strong>\n(2018-08-29) \"<em>UK Telephone Network Exploration</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0368.html\" target=\"_blank\">Xtrato</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2628#1\" target=\"_blank\">Comment 1</a>:\ndodddummy on 2018-08-30:\n\"Memories\"</li></ul><br/>\n</li></ul>\n\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available on the HPR server under\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-August/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-August/thread.html</a>\n\n\n<h2>Any other business</h2>\n<h3 id=\"tags-and-summaries\">Tags and Summaries</h3>\n<p>Thanks to <a href=\"https://hackerpublicradio.org/correspondents/0357.html\"><code>bjb</code></a> and possible future host <em>baffled</em> for sending in updates in the past month.</p>\n<p>Over the period tags and/or summaries have been added to 9 shows which were without them.</p>\n<p>If you would like to contribute to the tag/summary project visit the summary page at <a href=\"https://hackerpublicradio.org/report_missing_tags.php\" class=\"uri\">https://hackerpublicradio.org/report_missing_tags.php</a> and follow the instructions there.</p>\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2651,'2018-10-01','HPR Community News for September 2018',4790,'HPR Volunteers talk about shows released and comments posted in September 2018','\n\n<h2>New hosts</h2>\n<p>\nWelcome to our new host: <br />\n\n    <a href=\"https://hackerpublicradio.org/correspondents/0369.html\" target=\"_blank\">Jeroen Baten</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2631\" target=\"_blank\">2631</a></strong></td>\n    <td>Mon</td>\n    <td>2018-09-03</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2631\" target=\"_blank\">HPR Community News for August 2018</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2632\" target=\"_blank\">2632</a></strong></td>\n    <td>Tue</td>\n    <td>2018-09-04</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2632\" target=\"_blank\">Liverpool Makefest 2018 - interviews with Robert and Carl</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2633\" target=\"_blank\">2633</a></strong></td>\n    <td>Wed</td>\n    <td>2018-09-05</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2633\" target=\"_blank\">Elm - First Impressions</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2634\" target=\"_blank\">2634</a></strong></td>\n    <td>Thu</td>\n    <td>2018-09-06</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2634\" target=\"_blank\">Git tag and metadata</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2635\" target=\"_blank\">2635</a></strong></td>\n    <td>Fri</td>\n    <td>2018-09-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2635\" target=\"_blank\">Running your own mainframe on Linux (for fun and profit)</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0369.html\" target=\"_blank\">Jeroen Baten</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2636\" target=\"_blank\">2636</a></strong></td>\n    <td>Mon</td>\n    <td>2018-09-10</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2636\" target=\"_blank\">Liverpool Makefest 2018 - interviews with Noel from JMU FabLab</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2637\" target=\"_blank\">2637</a></strong></td>\n    <td>Tue</td>\n    <td>2018-09-11</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2637\" target=\"_blank\">Convert it to Text</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2638\" target=\"_blank\">2638</a></strong></td>\n    <td>Wed</td>\n    <td>2018-09-12</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2638\" target=\"_blank\">Dirt cheap Magic</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2639\" target=\"_blank\">2639</a></strong></td>\n    <td>Thu</td>\n    <td>2018-09-13</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2639\" target=\"_blank\">Some ancillary Bash tips - 9</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2640\" target=\"_blank\">2640</a></strong></td>\n    <td>Fri</td>\n    <td>2018-09-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2640\" target=\"_blank\">Another Rambling Drive Into Work</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2641\" target=\"_blank\">2641</a></strong></td>\n    <td>Mon</td>\n    <td>2018-09-17</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2641\" target=\"_blank\">Liverpool Makefest 2018 - interview with Rachel from the MicroBit Foundation</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2642\" target=\"_blank\">2642</a></strong></td>\n    <td>Tue</td>\n    <td>2018-09-18</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2642\" target=\"_blank\">My swedish and german Podcasts Part 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0309.html\" target=\"_blank\">folky</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2643\" target=\"_blank\">2643</a></strong></td>\n    <td>Wed</td>\n    <td>2018-09-19</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2643\" target=\"_blank\">The Payoff In Storytelling</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2644\" target=\"_blank\">2644</a></strong></td>\n    <td>Thu</td>\n    <td>2018-09-20</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2644\" target=\"_blank\">Error on show 2642</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0309.html\" target=\"_blank\">folky</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2645\" target=\"_blank\">2645</a></strong></td>\n    <td>Fri</td>\n    <td>2018-09-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2645\" target=\"_blank\">Blinking LED</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2646\" target=\"_blank\">2646</a></strong></td>\n    <td>Mon</td>\n    <td>2018-09-24</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2646\" target=\"_blank\">Liverpool Makefest 2018 - Interview with Steve and Gerrard from the Liverpool Astronomical society.</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2647\" target=\"_blank\">2647</a></strong></td>\n    <td>Tue</td>\n    <td>2018-09-25</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2647\" target=\"_blank\">More Quick Tips</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2648\" target=\"_blank\">2648</a></strong></td>\n    <td>Wed</td>\n    <td>2018-09-26</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2648\" target=\"_blank\">Explaining the controls on my Amateur HF Radio Part 1</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2649\" target=\"_blank\">2649</a></strong></td>\n    <td>Thu</td>\n    <td>2018-09-27</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2649\" target=\"_blank\">More ancillary Bash tips - 10</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2650\" target=\"_blank\">2650</a></strong></td>\n    <td>Fri</td>\n    <td>2018-09-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2650\" target=\"_blank\">My Pocket Knife</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0250.html\" target=\"_blank\">Shane Shennan</a></td>\n    </tr>\n</table>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 29 comments in total.</p>\n<p>There are 9 comments on\n8 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1512#comments\" target=\"_blank\">hpr1512</a></strong>\n(2014-05-20) \"<em>Adopting and Renovating a Public-Domain Counterpoint Textbook</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=1512#2\" target=\"_blank\">Comment 2</a>:\nKen Fallon on 2018-09-30:\n\"Ahhh so that\'s what counterpoint is.\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1919#comments\" target=\"_blank\">hpr1919</a></strong>\n(2015-12-10) \"<em>DerbyCon Interview with Paul Koblitz</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0079.html\" target=\"_blank\">Xoke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=1919#2\" target=\"_blank\">Comment 2</a>:\nCarpet Muncher on 2018-09-09:\n\":)\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2549#comments\" target=\"_blank\">hpr2549</a></strong>\n(2018-05-10) \"<em>DVD ripping using old hardware</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0318.html\" target=\"_blank\">Archer72</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2549#2\" target=\"_blank\">Comment 2</a>:\narcher72 on 2018-09-04:\n\"Change to code location\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2557#comments\" target=\"_blank\">hpr2557</a></strong>\n(2018-05-22) \"<em>Styx -- The Purely Functional Static Site Generator</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2557#3\" target=\"_blank\">Comment 3</a>:\nclacke on 2018-09-17:\n\"Update re: TOML in Nix\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2615#comments\" target=\"_blank\">hpr2615</a></strong>\n(2018-08-10) \"<em>Cancer</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2615#2\" target=\"_blank\">Comment 2</a>:\nA person on 2018-09-09:\n\"Thankyou\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2624#comments\" target=\"_blank\">hpr2624</a></strong>\n(2018-08-23) \"<em>Cycling through Brussels</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0111.html\" target=\"_blank\">knightwise</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2624#2\" target=\"_blank\">Comment 2</a>:\nbaffled on 2018-09-03:\n\"Very nice.\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2625#comments\" target=\"_blank\">hpr2625</a></strong>\n(2018-08-24) \"<em>My thoughts on language learning communication applications.</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2625#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2018-09-19:\n\"Accordion outro\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2625#2\" target=\"_blank\">Comment 2</a>:\nclacke on 2018-09-19:\n\"Interesting idea\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2627#comments\" target=\"_blank\">hpr2627</a></strong>\n(2018-08-28) \"<em>Home Phone Setup!!</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0115.html\" target=\"_blank\">sigflup</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2627#6\" target=\"_blank\">Comment 6</a>:\nBrenda J. Butler on 2018-08-31:\n\"stoop\"</li></ul><br/>\n</li></ul>\n<p>There are 20 comments on 9 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2631#comments\" target=\"_blank\">hpr2631</a></strong>\n(2018-09-03) \"<em>HPR Community News for August 2018</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2631#1\" target=\"_blank\">Comment 1</a>:\nbaffled on 2018-09-03:\n\"Cool show.\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2631#2\" target=\"_blank\">Comment 2</a>:\nbaffled on 2018-09-03:\n\"Cool show.\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2635#comments\" target=\"_blank\">hpr2635</a></strong>\n(2018-09-07) \"<em>Running your own mainframe on Linux (for fun and profit)</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0369.html\" target=\"_blank\">Jeroen Baten</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2635#1\" target=\"_blank\">Comment 1</a>:\ndodddummy on 2018-09-01:\n\"This is embarrassing\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2635#2\" target=\"_blank\">Comment 2</a>:\nGavtres on 2018-09-07:\n\"Memories...\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2637#comments\" target=\"_blank\">hpr2637</a></strong>\n(2018-09-11) \"<em>Convert it to Text</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2637#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2018-09-12:\n\"WOW\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2637#2\" target=\"_blank\">Comment 2</a>:\nBeeza on 2018-09-14:\n\"Value of text conversion\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2637#3\" target=\"_blank\">Comment 3</a>:\nJonas on 2018-09-15:\n\"Ranger, etc.\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2637#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2018-09-15:\n\"Great show\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2637#5\" target=\"_blank\">Comment 5</a>:\nclacke on 2018-09-19:\n\"Q\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2639#comments\" target=\"_blank\">hpr2639</a></strong>\n(2018-09-13) \"<em>Some ancillary Bash tips - 9</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2639#1\" target=\"_blank\">Comment 1</a>:\nKen on 2018-09-13:\n\"Ahhhhhh\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2639#2\" target=\"_blank\">Comment 2</a>:\njohanv on 2018-09-21:\n\"Really interesting\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2639#3\" target=\"_blank\">Comment 3</a>:\nDave Morriss on 2018-09-21:\n\"Thanks for the feedback\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2640#comments\" target=\"_blank\">hpr2640</a></strong>\n(2018-09-14) \"<em>Another Rambling Drive Into Work</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2640#1\" target=\"_blank\">Comment 1</a>:\nthelovebug on 2018-09-19:\n\"Audio quality\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2644#comments\" target=\"_blank\">hpr2644</a></strong>\n(2018-09-20) \"<em>Error on show 2642</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0309.html\" target=\"_blank\">folky</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2644#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2018-09-19:\n\"Ken loves you\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2644#2\" target=\"_blank\">Comment 2</a>:\nclacke on 2018-09-19:\n\"Re: Kvalificerat hemligt\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2644#3\" target=\"_blank\">Comment 3</a>:\nfolky on 2018-09-23:\n\"Rere: Kvalificerat hemligt\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2645#comments\" target=\"_blank\">hpr2645</a></strong>\n(2018-09-21) \"<em>Blinking LED</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2645#1\" target=\"_blank\">Comment 1</a>:\nNYbill on 2018-09-21:\n\"Nice!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2645#2\" target=\"_blank\">Comment 2</a>:\nTuula on 2018-09-21:\n\"great show\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2648#comments\" target=\"_blank\">hpr2648</a></strong>\n(2018-09-26) \"<em>Explaining the controls on my Amateur HF Radio Part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2648#1\" target=\"_blank\">Comment 1</a>:\nNYbill on 2018-09-28:\n\"Thanks pal\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2650#comments\" target=\"_blank\">hpr2650</a></strong>\n(2018-09-28) \"<em>My Pocket Knife</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0250.html\" target=\"_blank\">Shane Shennan</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2650#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2018-09-27:\n\"Milkbag wtf\"</li></ul><br/>\n</li></ul>\n\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available on the HPR server under\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-September/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-September/thread.html</a>\n\n\n<h2>Any other business</h2>\n<h3 id=\"tags-and-summaries\">Tags and Summaries</h3>\n<p>Thanks to <a href=\"https://hackerpublicradio.org/correspondents/0215.html\"><code>windigo</code></a> and <em>Otto Localhorst</em> for sending in updates in the past month.</p>\n<p>Over the period tags and/or summaries have been added to 23 shows which were without them.</p>\n<p>If you would like to contribute to the tag/summary project visit the summary page at <a href=\"https://hackerpublicradio.org/report_missing_tags.php\" class=\"uri\">https://hackerpublicradio.org/report_missing_tags.php</a> and follow the instructions there.</p>\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2676,'2018-11-05','HPR Community News for October 2018',3954,'HPR Volunteers talk about shows released and comments posted in October 2018','\n\n<h2>New hosts</h2>\n<p>\nWelcome to our new host: <br />\n\n    <a href=\"https://hackerpublicradio.org/correspondents/0370.html\" target=\"_blank\">Yannick the french guy from Switzerland</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2651\" target=\"_blank\">2651</a></strong></td>\n    <td>Mon</td>\n    <td>2018-10-01</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2651\" target=\"_blank\">HPR Community News for September 2018</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2652\" target=\"_blank\">2652</a></strong></td>\n    <td>Tue</td>\n    <td>2018-10-02</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2652\" target=\"_blank\">Liverpool Makefest 2018 - Interview with Caroline and John</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2653\" target=\"_blank\">2653</a></strong></td>\n    <td>Wed</td>\n    <td>2018-10-03</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2653\" target=\"_blank\">Using the EXACT Function in Excel</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0250.html\" target=\"_blank\">Shane Shennan</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2654\" target=\"_blank\">2654</a></strong></td>\n    <td>Thu</td>\n    <td>2018-10-04</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2654\" target=\"_blank\">Making Crepes</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0250.html\" target=\"_blank\">Shane Shennan</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2655\" target=\"_blank\">2655</a></strong></td>\n    <td>Fri</td>\n    <td>2018-10-05</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2655\" target=\"_blank\">Sleep Apnea and Afib</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2656\" target=\"_blank\">2656</a></strong></td>\n    <td>Mon</td>\n    <td>2018-10-08</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2656\" target=\"_blank\">Explaining the controls on my Amateur HF Radio Part 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2657\" target=\"_blank\">2657</a></strong></td>\n    <td>Tue</td>\n    <td>2018-10-09</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2657\" target=\"_blank\">Why we are all going to shit in 30 years due to computers</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0369.html\" target=\"_blank\">Jeroen Baten</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2658\" target=\"_blank\">2658</a></strong></td>\n    <td>Wed</td>\n    <td>2018-10-10</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2658\" target=\"_blank\">Questions on podcast production</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0290.html\" target=\"_blank\">Al</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2659\" target=\"_blank\">2659</a></strong></td>\n    <td>Thu</td>\n    <td>2018-10-11</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2659\" target=\"_blank\">Further ancillary Bash tips - 11</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2660\" target=\"_blank\">2660</a></strong></td>\n    <td>Fri</td>\n    <td>2018-10-12</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2660\" target=\"_blank\">Installing a bootloader on an Arduino</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2661\" target=\"_blank\">2661</a></strong></td>\n    <td>Mon</td>\n    <td>2018-10-15</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2661\" target=\"_blank\">My Music Production Setup</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0152.html\" target=\"_blank\">Claudio Miranda</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2662\" target=\"_blank\">2662</a></strong></td>\n    <td>Tue</td>\n    <td>2018-10-16</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2662\" target=\"_blank\">Repairing a motherboard</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0318.html\" target=\"_blank\">Archer72</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2663\" target=\"_blank\">2663</a></strong></td>\n    <td>Wed</td>\n    <td>2018-10-17</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2663\" target=\"_blank\">Short review on a 2.5 inch SSD/HDD caddy</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2664\" target=\"_blank\">2664</a></strong></td>\n    <td>Thu</td>\n    <td>2018-10-18</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2664\" target=\"_blank\">My git workflow</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0370.html\" target=\"_blank\">Yannick the french guy from Switzerland</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2665\" target=\"_blank\">2665</a></strong></td>\n    <td>Fri</td>\n    <td>2018-10-19</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2665\" target=\"_blank\">Exercise and Diet</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2666\" target=\"_blank\">2666</a></strong></td>\n    <td>Mon</td>\n    <td>2018-10-22</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2666\" target=\"_blank\">Slackware Post-Install</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2667\" target=\"_blank\">2667</a></strong></td>\n    <td>Tue</td>\n    <td>2018-10-23</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2667\" target=\"_blank\">Create PDF bookmarks with Pdftk</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2668\" target=\"_blank\">2668</a></strong></td>\n    <td>Wed</td>\n    <td>2018-10-24</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2668\" target=\"_blank\">Explaining the controls on my Amateur HF Radio Part 3</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2669\" target=\"_blank\">2669</a></strong></td>\n    <td>Thu</td>\n    <td>2018-10-25</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2669\" target=\"_blank\">Additional ancillary Bash tips - 12</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2670\" target=\"_blank\">2670</a></strong></td>\n    <td>Fri</td>\n    <td>2018-10-26</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2670\" target=\"_blank\">Character Arcs In Storytelling</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2671\" target=\"_blank\">2671</a></strong></td>\n    <td>Mon</td>\n    <td>2018-10-29</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2671\" target=\"_blank\">Algae farming with Desearcher</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2672\" target=\"_blank\">2672</a></strong></td>\n    <td>Tue</td>\n    <td>2018-10-30</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2672\" target=\"_blank\">Porteus</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2673\" target=\"_blank\">2673</a></strong></td>\n    <td>Wed</td>\n    <td>2018-10-31</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2673\" target=\"_blank\">Urandom - Ohio Linux Fest 2-18 Podcaster Roundtable</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0270.html\" target=\"_blank\">Thaj Sara</a></td>\n    </tr>\n</table>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 49 comments in total.</p>\n<p>There are 13 comments on\n10 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1308#comments\" target=\"_blank\">hpr1308</a></strong>\n(2013-08-07) \"<em>Helping a New Computer User</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0250.html\" target=\"_blank\">Shane Shennan</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=1308#1\" target=\"_blank\">Comment 1</a>:\nGort on 2018-10-08:\n\"Computer Intro Outline\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=1308#2\" target=\"_blank\">Comment 2</a>:\nShane Shennan on 2018-10-12:\n\"Thanks, Gort!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1512#comments\" target=\"_blank\">hpr1512</a></strong>\n(2014-05-20) \"<em>Adopting and Renovating a Public-Domain Counterpoint Textbook</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=1512#3\" target=\"_blank\">Comment 3</a>:\nJon Kulp on 2018-10-02:\n\"Talk about reviving...\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2134#comments\" target=\"_blank\">hpr2134</a></strong>\n(2016-10-06) \"<em>Shutdown Sequence Systemd</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2134#2\" target=\"_blank\">Comment 2</a>:\ndavid pellecchia on 2018-10-07:\n\"systemd service\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2608#comments\" target=\"_blank\">hpr2608</a></strong>\n(2018-08-01) \"<em>BattleTech</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2608#3\" target=\"_blank\">Comment 3</a>:\nBookewyrmm on 2018-10-09:\n\"Fandom\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2608#4\" target=\"_blank\">Comment 4</a>:\nTuula on 2018-10-24:\n\"MechWarrior online\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2627#comments\" target=\"_blank\">hpr2627</a></strong>\n(2018-08-28) \"<em>Home Phone Setup!!</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0115.html\" target=\"_blank\">sigflup</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2627#7\" target=\"_blank\">Comment 7</a>:\nclacke on 2018-10-01:\n\"Re: stoop\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2635#comments\" target=\"_blank\">hpr2635</a></strong>\n(2018-09-07) \"<em>Running your own mainframe on Linux (for fun and profit)</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0369.html\" target=\"_blank\">Jeroen Baten</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2635#3\" target=\"_blank\">Comment 3</a>:\nJan on 2018-10-02:\n\"Second Reading\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2640#comments\" target=\"_blank\">hpr2640</a></strong>\n(2018-09-14) \"<em>Another Rambling Drive Into Work</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2640#2\" target=\"_blank\">Comment 2</a>:\nMrX on 2018-10-03:\n\"Re Audio quality\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2640#3\" target=\"_blank\">Comment 3</a>:\nlostnbronx@gmail.com on 2018-10-14:\n\"Great Sound Quality\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2644#comments\" target=\"_blank\">hpr2644</a></strong>\n(2018-09-20) \"<em>Error on show 2642</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0309.html\" target=\"_blank\">folky</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2644#4\" target=\"_blank\">Comment 4</a>:\nclacke on 2018-10-01:\n\"Re: Kvalificerat hemligt\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2648#comments\" target=\"_blank\">hpr2648</a></strong>\n(2018-09-26) \"<em>Explaining the controls on my Amateur HF Radio Part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2648#2\" target=\"_blank\">Comment 2</a>:\nMrX on 2018-10-03:\n\"Re Thanks pas\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2650#comments\" target=\"_blank\">hpr2650</a></strong>\n(2018-09-28) \"<em>My Pocket Knife</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0250.html\" target=\"_blank\">Shane Shennan</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2650#2\" target=\"_blank\">Comment 2</a>:\nShane Shennan on 2018-10-01:\n\"Link about Milk Bags\"</li></ul><br/>\n</li></ul>\n<p>There are 36 comments on 8 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2651#comments\" target=\"_blank\">hpr2651</a></strong>\n(2018-10-01) \"<em>HPR Community News for September 2018</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2651#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2018-09-30:\n\"The loop issue\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2651#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2018-09-30:\n\"Re: The loop issue\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2651#3\" target=\"_blank\">Comment 3</a>:\nKen Fallon on 2018-09-30:\n\"Clarify\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2651#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2018-09-30:\n\"Re: Clarify\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2651#5\" target=\"_blank\">Comment 5</a>:\nDave Morriss on 2018-09-30:\n\"Does the comment system remove backslashes?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2651#6\" target=\"_blank\">Comment 6</a>:\nfolky on 2018-10-01:\n\"Material for a show\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2651#7\" target=\"_blank\">Comment 7</a>:\nKen Fallon on 2018-10-01:\n\"touch&eacute; Sir\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2651#8\" target=\"_blank\">Comment 8</a>:\nclacke on 2018-10-01:\n\"subshell issues\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2651#9\" target=\"_blank\">Comment 9</a>:\nclacke on 2018-10-01:\n\"Kvalificerat hemligt\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2651#10\" target=\"_blank\">Comment 10</a>:\nclacke on 2018-10-01:\n\"Re: Intro volume\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2651#11\" target=\"_blank\">Comment 11</a>:\nDave Morriss on 2018-10-01:\n\"She sells subshells...\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2651#12\" target=\"_blank\">Comment 12</a>:\nclacke on 2018-10-01:\n\"Re: TTS over intro music\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2651#13\" target=\"_blank\">Comment 13</a>:\nclacke on 2018-10-01:\n\"That brings back memories\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2654#comments\" target=\"_blank\">hpr2654</a></strong>\n(2018-10-04) \"<em>Making Crepes</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0250.html\" target=\"_blank\">Shane Shennan</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2654#1\" target=\"_blank\">Comment 1</a>:\nlostnbronx on 2018-10-08:\n\"Great Recipe\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2654#2\" target=\"_blank\">Comment 2</a>:\nJonas on 2018-10-08:\n\"How I make crepes\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2654#3\" target=\"_blank\">Comment 3</a>:\nShane Shennan on 2018-10-09:\n\"Brown Sugar!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2654#4\" target=\"_blank\">Comment 4</a>:\nShane Shennan on 2018-10-09:\n\"Thanks for sharing your technique!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2657#comments\" target=\"_blank\">hpr2657</a></strong>\n(2018-10-09) \"<em>Why we are all going to shit in 30 years due to computers</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0369.html\" target=\"_blank\">Jeroen Baten</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2657#1\" target=\"_blank\">Comment 1</a>:\nBrian in Ohio on 2018-10-10:\n\"Mr Baten\'s shows\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2657#2\" target=\"_blank\">Comment 2</a>:\ndodddummy on 2018-10-14:\n\"You keep putting out my shows before I do!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2657#3\" target=\"_blank\">Comment 3</a>:\nDenise on 2018-10-19:\n\"The podcast content\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2658#comments\" target=\"_blank\">hpr2658</a></strong>\n(2018-10-10) \"<em>Questions on podcast production</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0290.html\" target=\"_blank\">Al</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2658#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2018-10-10:\n\"This does NOT have to apply to HPR shows.\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2666#comments\" target=\"_blank\">hpr2666</a></strong>\n(2018-10-22) \"<em>Slackware Post-Install</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2666#1\" target=\"_blank\">Comment 1</a>:\nClinton Roy on 2018-10-21:\n\"systemd information\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2666#2\" target=\"_blank\">Comment 2</a>:\nBrian in Ohio on 2018-10-24:\n\"wicd\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2667#comments\" target=\"_blank\">hpr2667</a></strong>\n(2018-10-23) \"<em>Create PDF bookmarks with Pdftk</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2667#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2018-10-23:\n\"gcj deprecated\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2667#2\" target=\"_blank\">Comment 2</a>:\nClinton Roy on 2018-10-23:\n\"debian\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2667#3\" target=\"_blank\">Comment 3</a>:\nKlaatu on 2018-10-31:\n\"Thanks for the snap tip\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2668#comments\" target=\"_blank\">hpr2668</a></strong>\n(2018-10-24) \"<em>Explaining the controls on my Amateur HF Radio Part 3</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2668#1\" target=\"_blank\">Comment 1</a>:\nMichael on 2018-10-31:\n\"Great Episodes!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2669#comments\" target=\"_blank\">hpr2669</a></strong>\n(2018-10-25) \"<em>Additional ancillary Bash tips - 12</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2669#1\" target=\"_blank\">Comment 1</a>:\nMad Sweeney on 2018-10-26:\n\"Quoted Literals in Regex\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2669#2\" target=\"_blank\">Comment 2</a>:\nMad Sweeney on 2018-10-26:\n\"Re: Quoted Literals in Regex\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2669#3\" target=\"_blank\">Comment 3</a>:\nStuart Little on 2018-10-26:\n\"quoting portions of regex\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2669#4\" target=\"_blank\">Comment 4</a>:\nMad Sweeney on 2018-10-26:\n\"Re: Quoted Literals in Regex\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2669#5\" target=\"_blank\">Comment 5</a>:\nDave Morriss on 2018-10-27:\n\"Thanks for the combined wisdom being directed at my question\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2669#6\" target=\"_blank\">Comment 6</a>:\nDave Morriss on 2018-10-27:\n\"Backslashes in comments\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2669#7\" target=\"_blank\">Comment 7</a>:\nMad Sweeney on 2018-10-27:\n\"Not just backslashes\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2669#8\" target=\"_blank\">Comment 8</a>:\nDave Morriss on 2018-10-27:\n\"Comments eating ampersands?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2669#9\" target=\"_blank\">Comment 9</a>:\nMad Sweeney on 2018-10-27:\n\"Re: Comments eating ampersands?\"</li></ul><br/>\n</li></ul>\n\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available on the HPR server under\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-October/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-October/thread.html</a>\n\n\n<h2>Any other business</h2>\n<h3 id=\"tags-and-summaries\">Tags and Summaries</h3>\n<p>Over the period tags and/or summaries have been added to 23 shows which were without them.</p>\n<p>If you would like to contribute to the tag/summary project visit the summary page at <a href=\"https://hackerpublicradio.org/report_missing_tags.php\" class=\"uri\">https://hackerpublicradio.org/report_missing_tags.php</a> and follow the instructions there.</p>\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2399,'2017-10-12','Using Super Glue to create Landmarks on Keyboards',639,'Using Super Glue to create Landmarks on Keyboards','Using Super Glue to create Landmarks on Keyboards\r\n<!-- the host requests that there be no additional show notes added to this show -->',151,0,1,'CC-BY-SA','keyboard, function key, laptop keyboard',0,0,1),
(2400,'2017-10-13','My commute into work',2208,'In this episode, Dave records an episode across his entire commute into work.','<p>In this episode, Dave records an episode across his entire commute into work.</p>\r\n<ul>\r\n<li><a href=\"https://thelovebug.org/anchor\">thelovebug\'s Anchor station</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2377\">hpr2377 :: A Rambling Drive Into Work</a> by <a href=\"https://hackerpublicradio.org/correspondents/0201.html\">MrX</a></li>\r\n</ul>\r\n<h2 id=\"hacker-public-radio-episodes-by-me-so-far\">Hacker Public Radio episodes by me so far:</h2>\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1890\">hpr1890 :: A short walk with my son</a> on 2015-10-30</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2117\">hpr2117 :: What\'s in my bag for Podcrawl?</a> on 2016-09-13</li>\r\n</ul>\r\n<h2 id=\"how-am-i-recording\">How am I recording</h2>\r\n<p>I\'m recording this episode, in my car, on a <a href=\"https://www.samsung.com/in/microsite/galaxya/\">Samsung Galaxy A5</a> with a <a href=\"https://www.amazon.co.uk/Neewer-3-5mm-Hands-Computer-Microphone/dp/B005DOTSM4/\">Neewer lavalier microphone</a> (as recommended by HPR\'s own <a href=\"https://hackerpublicradio.org/correspondents/0238.html\">Jon Kulp</a>) attached to my jacket, recording using the <a href=\"https://play.google.com/store/apps/details?id=com.auphonic.auphonicrecorder\">Auphonic Edit</a> Android app (also on <a href=\"https://itunes.apple.com/us/app/auphonic-recorder/id1081792712\">iOS</a>).</p>\r\n<p>Post-recording, I also ran the audio recorded using AuphonicEdit to the <a href=\"https://auphonic.com/\">Auphonic</a> website for levelling.</p>\r\n<h2 id=\"my-portable-podcasting-setup\">My portable podcasting setup</h2>\r\n<p>(previously mentioned on <a href=\"https://hackerpublicradio.org/eps.php?id=2117\">hpr2117</a>) and used to record <a href=\"https://anchor.fm/thelovebug/episodes/ce5450\">Sat On My Doorstep 1 - Alex</a>, published to <a href=\"https://thelovebug.org/anchor\">Anchor</a> on 2017-09-13)</p>\r\n<ul>\r\n<li><a href=\"https://store.google.com/product/pixel_c\">Google Pixel C</a></li>\r\n<li><a href=\"https://www.amazon.co.uk/Type-C-Adapter-Female-Cable-Black/dp/B00VWA2JNI/\">USB C to USB A OTG adapter</a> (link to example, not the actual one I have)</li>\r\n<li><a href=\"https://www.samsontech.com/samson/products/microphones/usb-microphones/q2u/\">Samson Q2U USB/XLR microphone</a>* (equivalent to the <a href=\"https://www.audio-technica.com/cms/wired_mics/b8dd84773f83092c/\">AudioTechnica ATR2100USB</a>)</li>\r\n</ul>\r\n<h3 id=\"as-an-aside\">As an aside*</h3>\r\n<p>Both Caroline and I use that particular microphone each to record <a href=\"https://thebugcast.org/\">The Bugcast</a> each week. Both the Samson and AudioTechnica microphones have been recommended by <a href=\"https://djosephdesign.com/\">Daniel J Lewis</a> of <a href=\"https://theaudacitytopodcast.com/\">The Audacity To Podcast</a> for those podcasters who cannot afford professional level equipment.</p>\r\n<h2 id=\"the-cars-i-have-owned\">The cars I have owned</h2>\r\n<p>This list may contradict the detail provided in the episode... that\'s because I may have made a few errors in recollection when I was recording.</p>\r\n<ul>\r\n<li>Red 1979(V) Mk 1 <a href=\"https://en.wikipedia.org/wiki/Ford_Fiesta#First_generation_.281976.E2.80.931983.29\">Ford Fiesta</a> 1.1e</li>\r\n<li>Metallic Blue 1987(E) <a href=\"https://en.wikipedia.org/wiki/Austin_Metro#Austin.2FMG_Metro\">Austin Metro</a> 1.3</li>\r\n<li>Dark Blue 1993(L) <a href=\"https://en.wikipedia.org/wiki/Suzuki_Cultus#Second_generation_.281988.E2.80.932003.29\">Suzuki Swift</a> 1.4</li>\r\n<li>Burgundy 1986(D) <a href=\"https://en.wikipedia.org/wiki/Austin_Metro#Austin.2FMG_Metro\">Austin Metro</a> 1.0</li>\r\n<li>White 1994(M) <a href=\"https://en.wikipedia.org/wiki/Vauxhall_Cavalier#Mark_III_.281988.E2.80.931995.29\">Vauxhall Cavalier</a> 1.6</li>\r\n<li>Red 1988(F) <a href=\"https://en.wikipedia.org/wiki/Peugeot_205#1990_and_onwards\">Peugeot 205</a> 1.4 XS</li>\r\n<li>White 1989(G) <a href=\"https://en.wikipedia.org/wiki/Peugeot_205#1990_and_onwards\">Peugeot 205</a> 1.1 GR</li>\r\n<li>Red 1991(J) <a href=\"https://en.wikipedia.org/wiki/Vauxhall_Astra#Third_generation_.281991.E2.80.931998.29\">Vauxhall Astra 1.7D</a></li>\r\n<li>Metallic Blue 2001(Y) <a href=\"https://en.wikipedia.org/wiki/Peugeot_206#Overview\">Peugeot 206</a> 1.4</li>\r\n<li>Silver 1999(V) <a href=\"https://en.wikipedia.org/wiki/Opel_Vectra#Vectra_B_.281995.E2.80.932002.29\">Vauxhall Vectra</a> 1.6 Automatic Estate/Station Wagon <em>(became the wife\'s car)</em></li>\r\n<li>Red 1995(N) <a href=\"https://en.wikipedia.org/wiki/Nissan_Almera#First_generation_.28N15.3B_1995.E2.80.932000.29\">Nissan Almera</a> 1.4</li>\r\n<li>Red 1999(T) <a href=\"https://en.wikipedia.org/wiki/Opel_Corsa#Corsa_B_.281992.E2.80.932000.29\">Vauxhall Corsa</a> <em>(the wife\'s car)</em></li>\r\n<li>Blue/Lilac 2004(04) <a href=\"https://en.wikipedia.org/wiki/Volkswagen_Lupo\">Volkswagen Lupo</a> 1.7 SDi <em>(mine is actually the colour shown in the wiki article)</em></li>\r\n<li>Metallic Dark Grey 2012(12) <a href=\"https://en.wikipedia.org/wiki/Peugeot_308#First_generation_.28T7.2C_2008.E2.80.932013.29\">Peugeot 308</a> 1.6 <em>(the family car)</em></li>\r\n</ul>\r\n<h2 id=\"shameless-plugs\">Shameless plugs</h2>\r\n<ul>\r\n<li><a href=\"https://thebugcast.org/\">The Bugcast</a></li>\r\n<li><a href=\"https://tuxjam.otherside.network/\">TuxJam</a></li>\r\n<li><a href=\"https://ccjam.otherside.network/\">CCJam</a></li>\r\n</ul>\r\n<p>I also guested on:</p>\r\n<ul>\r\n<li><a href=\"https://ubuntupodcast.org/\">Ubuntu Podcast</a></li>\r\n</ul>\r\n<h2 id=\"drive-statistics\">Drive statistics</h2>\r\n<ul>\r\n<li>From Conisbrough to New Ollerton (<a href=\"https://goo.gl/maps/b3S7nKfHpL12\">rough location map</a>)</li>\r\n<li>roughly 28 miles</li>\r\n<li>roughly 36 minutes</li>\r\n</ul>\r\n',314,0,0,'CC-BY-SA','commute,car,cars,driving,podcasting,equipment,podcasting equipment,anchor,anchor.fm,the bugcast',0,0,1),
(2397,'2017-10-10','The Urban Astronomer',1959,'An introduction to an astronomy podcast that you might like','<h1 id=\"the-urban-astronomer\">The Urban Astronomer</h1>\r\n<p>I\'m interested in Astronomy and listen to a number of Astronomy podcasts. I have listed a few of these in the past when doing HPR shows about the podcast feeds I subscribe to (shows <a href=\"https://hackerpublicradio.org/eps.php?id=1516\">1516</a>, <a href=\"https://hackerpublicradio.org/eps.php?id=1518\">1518</a> and <a href=\"https://hackerpublicradio.org/eps.php?id=2339\">2339</a>).</p>\r\n<p>One of the recent additions to my podcast list that I have been listening to this year is called &quot;The Urban Astronomer&quot;, which has a website <a href=\"https://www.urban-astronomer.com/\" title=\"The Urban Astronomer website\">here</a> and a podcast feed <a href=\"https://www.urban-astronomer.com/feed/podcast/\" title=\"The Urban Astronomer podcast feed\">here</a>. The site and podcast are run by Allen Versfeld, who is based in South Africa.</p>\r\n<p>To quote from the website:</p>\r\n<blockquote>\r\n<p><em>Allen is an amateur astronomer, an IT professional, a podcaster, a father of five beautiful kids and a barely competent chess player. He is also the director of the Astrophotography Section of the Astronomical Society of South Africa, where he coordinates and promotes the activities of people who are far better photographers than him.</em></p>\r\n</blockquote>\r\n<p>I have been enjoying Allen\'s episodes a lot. There are some great interviews with some very interesting people in the world of Astronomy. Allen has a relaxed interviewing style which I find appealing.</p>\r\n<p>I wrote to him, commenting on one of his episodes, and I mentioned Hacker Public Radio in my email. He has subscribed to HPR and has been kind enough to mention it on a recent podcast. I\'m offering you a chance to listen to one of his episodes here.</p>\r\n<p>The episode is <a href=\"https://www.urban-astronomer.com/podcast/podcast-12-interview-with-jen-millard/\" title=\"Podcast #12: Interview with Jen Millard\">number 12</a> of &quot;<em>The Urban Astronomer</em>&quot;, from June 16, 2017. It is an interview with Jen Millard, a first year Astronomy PhD student at Cardiff University in the UK. Jen is also a host on the &quot;<em>Awesome Astronomy</em>&quot; podcast, as mentioned in the episode.</p>\r\n<p>I hope you enjoy listening to this example episode.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>The Urban Astronomer\r\n<ul>\r\n<li><a href=\"https://www.urban-astronomer.com/\">Website</a></li>\r\n<li><a href=\"https://www.urban-astronomer.com/subscribe-to-podcast/\">Subscription page</a></li>\r\n<li><a href=\"https://www.urban-astronomer.com/feed/podcast/\">RSS feed</a></li>\r\n</ul></li>\r\n</ul>\r\n',225,0,0,'CC-BY-SA','astronomy,podcast',0,0,1),
(2398,'2017-10-11','AutoHotkey Master of Automation ?',1042,'I\'ll go over my AutoHotkey script I used to give free money in GTA (dropping)','<ul>\r\n<li><p><a href=\"https://rmccurdy.com/scripts/videos/rmccurdy_com/AutoHotkey_AHK_GTA_GTA5_MONEY_FREE_DROP_SCRIPT.mp4\" class=\"uri\">https://rmccurdy.com/scripts/videos/rmccurdy_com/AutoHotkey_AHK_GTA_GTA5_MONEY_FREE_DROP_SCRIPT.mp4</a></p></li>\r\n<li><p><img src=\"https://rmccurdy.com/scripts/videos/rmccurdy_com/AutoHotkey_AHK_GTA_GTA5_MONEY_FREE_DROP_SCRIPT.png\" alt=\"https://rmccurdy.com/scripts/videos/rmccurdy_com/AutoHotkey_AHK_GTA_GTA5_MONEY_FREE_DROP_SCRIPT.png\" /></p></li>\r\n<li><p><a href=\"https://rmccurdy.com/scripts/videos/rmccurdy_com/AutoHotkey_AHK_GTA_GTA5_MONEY_FREE_DROP_SCRIPT.txt\" class=\"uri\">https://rmccurdy.com/scripts/videos/rmccurdy_com/AutoHotkey_AHK_GTA_GTA5_MONEY_FREE_DROP_SCRIPT.txt</a></p></li>\r\n</ul>',36,0,0,'CC-BY-SA','GTA5,hacking,macros,autohotkey',0,0,1),
(2401,'2017-10-16','Music Theory Hara-Kiri',970,'A show on music theory, and figuring out what viewers on hear actually want with a music theory show','<p>Yeah just want feedback on what to do with a music theory show, since I see it was on the requested lists and no one was really doing it that I\'ve seen.</p>',354,0,1,'CC-BY-SA','Music, Music Theory',0,0,1),
(2420,'2017-11-10','Netbooks - Keeping an old friend alive',979,'Why netbooks are not necessarily obsolete and how to keep them performing well','<p>Beeza uses an Acer Aspire One netbook as a media player (principally audio).</p>\r\n<p>The audio quality sent from the sound card out through the headphone socket really is excellent, so that when fed into a hi-fi amplifier the final reproduction is every bit as good as audio from a CD player - possibly better.</p>\r\n<p>The netbook is over 5 years old. When it was first bought most Linux distros ran very well on it. Since that time, however, the optimal hardware spec for most distros has increased quite considerably, leaving a humble netbook relatively underpowered, having typically 1 Gb RAM and a sedate CPU.</p>\r\n<p>All is not lost, fortunately. Raspbian X86, which is very closely related to the ARM version of Raspbian as used on the Pi, has a very light footprint and delivers performance on a netbook very much like what you would have experienced when they were brand new.</p>\r\n<p>Raspbian X86 is not perfect, though. It works brilliantly straight out of the box, but its security model needs a bit of simple reconfiguration to get the best from it. There are also, tweaks and cheats that can improve the Pixel user interface which, in its default setup, may not be to everybody\'s liking.</p>\r\n<p>In this episode Beeza explains steps he has taken to get the best from his netbook and, in the politest way possible, tells you what you can do with yours.</p>\r\n<h3 id=\"post-recording-note\">POST RECORDING NOTE</h3>\r\n<p>&quot;Since recording the show I have installed Pulseaudio on top of Raspbian X86. It\'s a very simple install using Synaptic (or \'<code>apt-get install pulseaudio</code>\'), after which you can run it as a daemon process with \'<code>pulseaudio -D</code>\'.</p>\r\n<p>The advantage of Pulseaudio is that it gives you greater control over the audio channels and devices than is possible with just the default ALSA sub-system. This will be handy if you ever record from streams or USB microphones.</p>\r\n<p>If you install Pulseaudio, I strongly recommend installing pavucontrol as well - a mixer designed specifically to work with Pulseaudio&quot;.</p>\r\n',246,0,0,'CC-BY-SA','Netbooks, Raspbian, Distros',0,0,1),
(2402,'2017-10-17','Petition: the card game for fanatics',2520,'Klaatu talks about a card game he designed','<p>Klaatu talks about a card game that he designed and is currently Kickstarting. Hear all about the exciting game play in this episode!</p>\r\n<p>It\'s a neato fantasy battle game, and is Creative Commons and open source. He hopes to finance, specifically, the artwork, which is being done by artist Nikolai Mamashev on Linux with Krita.</p>\r\n<p>If you want to contribute, go to <a href=\"https://www.kickstarter.com/projects/s8hzk27aqx/petition-a-card-game-for-fanatics\" class=\"uri\">https://www.kickstarter.com/projects/s8hzk27aqx/petition-a-card-game-for-fanatics</a></p>',78,95,0,'CC-BY-SA','game,gaming,tabletop,rpg',0,0,1),
(2403,'2017-10-18','Amateur Radio Round Table #3',3550,'Two guys try to answer Ken\'s questions about ham radio.','<p>This is the 3rd in the Amateur Radio Round Table series.</p>\r\n<p>Participants in this episode are:</p>\r\n<ul>\r\n<li>Steve, KD0IJP</li>\r\n<li>Michael, DL4MGM</li>\r\n<li>Ken, N0CALL</li>\r\n<li>Russ, K5TUX</li>\r\n</ul>\r\n<p>No agenda items had been set before recording, so we spent our time answering Ken\'s questions and allowing the discussion to proceed naturally. Some of the topics of conversation included:</p>\r\n<ul>\r\n<li>What the licensing exams are like in the US as well as Germany.</li>\r\n<li>Resonance.</li>\r\n<li>Antenna design.</li>\r\n<li>RF Modulation</li>\r\n</ul>\r\n<p>The next Amateur Radio Round Table recording is tentatively set for November 15, 2017 at 18:00 UTC. Watch the HPR email list for any further updates on this and consider joining in the discussion if you are a &quot;ham&quot; or if you aren\'t but have any interest in the subject.</p>\r\n',109,43,1,'CC-BY-SA','ham radio, amateur radio, radio, antenna, rf, modulation',0,0,1),
(2412,'2017-10-31','The Call of Cthulhu',5011,'In this episode, the HPR_AudioBookClub discusses The Call of Cthulhu','<h3>SUMMARY</h3>\r\n<p>In this episode, the HPR_AudioBookClub discusses The Call of Cthulhu.</p>\r\n<h3>Non-Spoiler Thoughts</h3>\r\n<p>Pop Culture References</p>\r\n<ul>\r\n <li><a href=\"https://www.youtube.com/watch?v=FOHJUrcVdJk\">Lil\' Cthulhu</a></li>\r\n <li>Metallica\'s \"The Thing That Should Not Be\" (Master of Puppets, 1986)</li>\r\n <li>Call of Cthulhu (RPG)</li>\r\n <li><a href=\"https://en.wikipedia.org/wiki/Mysterion_Rises\">South Park, 3 ep arc</a></li>\r\n <li><a href=\"https://boardgamegeek.com/boardgame/15987/arkham-horror\">Arkham Horror</a></li>\r\n</ul>\r\n<h3>BEVERAGE REVIEWS</h3>\r\n<p>As usual, the HPR_AudioBookClub took some time to review the beverages that each of us were drinking during the episode</p>\r\n<ul>\r\n <li>Thaj: Plain old water..... boring as usual</li>\r\n <li>x1101: Rising Tide Calcutta Cutter IPA. Pine and citrus flavors gently accompany huge doses of hops </li>\r\n <li>pokey: Wallgreens generic hot flu remedy (comparable to Theraflu). Its gritty and tastes bad, but it helps if you\'re sick with a cold or flu.</li>\r\n <li>semioticrobotic: Harney &amp; Sons Pumpkin spice herbal tea. semioticrobotic also recommends letting one of these tea bags steep in hot apple cider.</li>\r\n <li>pegwole: Black Coffee</li>\r\n</ul>\r\n<h3>THINGS WE TALKED ABOUT THIS TIME</h3>\r\n<p>Coconut Oil, Red Dwarf, Batman, Dr. Who</p>\r\n<h3>OUR NEXT AUDIOBOOK</h3>\r\n<p><strong>Cybrosis</strong> by P. C. Haring \r\n <br/><a href=\"https://scribl.com/books/PCF94/cybrosis\">Cybrosis by P.C. Haring</a></p>\r\n<h3>OUR AUDIO</h3>\r\n<p>This episode was processed using Audacity <a href=\"https://audacity.sourceforge.net/\">https://audacity.sourceforge.net/</a>. We\'ve been making small adjustments to our audio mix each month in order to get the best possible sound. It\'s been especially challenging getting all of our voices relatively level, because everyone has  their own unique setup. Mumble is great for bringing us all together, and for recording, but it\'s not good at making everyone\'s voice the same volume. We\'re pretty happy with the way this month\'s show turned out, so we\'d like to share our editing process and settings with you and our future selves (who, of course, will have forgotten all this by then).</p>\r\n<p>Mumble uses a sample rate of 48kHz, but HPR requires a sample rate of 44.1kHz so the first step in our audio process is to resample the file at 44.1kHz (Tracks > Resample > 44100). Resampling can take a long time if you don\'t have a powerful computer, and sometimes even if you do. If you record late at  night, like we do, you may want to start the task before you go to  bed, and save it first thing in the morning, so that the file is ready to go the next time you are.</p>\r\n<p>Next we use the \"Compressor\" effect with the following settings:</P>\r\n <ul>\r\n  <li>Threshold: -30db</li>\r\n  <li>Noise Floor: -50db</li>\r\n  <li>Ratio: 3:1</li>\r\n  <li>Attack Time: 0.2sec</li>\r\n  <li>Decay Time: 1.0 sec</li>\r\n  <li>\"Make-up Gain for 0db after compressing\" and \"compress based on peaks\" were both left un-checked.</li>\r\n </ul>\r\n<p>After compressing the audio we cut any pre-show and post-show chatter from the file and save them in a separate file for possible use as outtakes after the closing music.</p>\r\n<p>At this point we listen back to the whole file and we work on the shownotes. This is when we can cut out anything that needs to be cut, and we can also make sure that we put any links in the shownotes that were talked about during the recording of the show. We finish the shownotes before exporting the .aup file to .FLAC so that we can paste a copy of the shownotes into the audio file\'s metadata. We use the \"Truncate Silence\" effect with it\'s default settings to minimize the silence between people speaking. When used with it\'s default (or at least reasonable) settings, Truncate Silence is extremely effective and satisfying. It makes everyone sound smarter, it makes the file shorter without destroying or distorting any actual content. It makes a conversation sound as fluid during playback as it was when it was recorded. It can be even more effective if you can train yourself to remain silent instead of saying \"uuuuummmm.\" Just remember to pass the file through Truncate Silence ONCE, and ONLY ONCE. If you pass it through a second time, or if you set it too aggressively your audio may sound very choppy, and un-natural.</p>\r\n<p>At this point we add new, empty audio tracks into which we paste the intro, outro and possibly outtakes, and we rename each track accordingly.</p>\r\n<p>We adjust the Gain so that the VU meter in Audacity hovers around -12db while people are speaking, and we try to keep the peaks under -6db, and we adjust the Gain on each of the new tracks so that all volumes are similar, and more importantly comfortable. Once this is done we can \"Mix and Render\" all of our tracks into a single track for export to the .FLAC file which is uploaded to the HPR FTP server.</p>\r\n<p>Remember to save often when using Audacity. We like to save after each of these steps. Audacity has a reputation for being \"crashy\" but if you remember save after every major transform, you will wonder how it ever got that reputation.</p>\r\n<h3>FURTHER RECOMMENDATIONS</h3>\r\n<p><strong>A Small Room in Koboldtown (Escape Pod podcast Episode 157)</strong> by By Michael Swanwick &amp; read by Cheyenne Wright\r\n <br/><a href=\"https://escapepod.org/2008/05/08/ep157-a-small-room-in-koboldtown/\">A Small Room in Koboldtown</a></p>\r\n<h3>FEEDBACK</h3>\r\n<p>Thank you very much for listening to this episode of the HPR_AudioBookClub. We had a great time recording this show, and we hope you enjoyed it as well. We also hope you\'ll consider joining us next time. Please leave a few words in the episode\'s comment section.\r\n <br/>As always; remember to visit the HPR contribution page. HPR could really use your help right now.</p>\r\n<p><a href=\"https://hackerpublicradio.org/contribute.php\">https://hackerpublicradio.org/contribute.php</a></p>\r\n<p>Sincerely,\r\n <br/>The HPR_AudioBookClub</p>\r\n<p>P.S. Some people really like finding mistakes. For their enjoyment, we always include a few.</p>\r\n',157,53,1,'CC-BY-SA','Review, Audiobook, HPR_AudioBookClub',0,0,1),
(2411,'2017-10-30','Information Underground: Co-op Paradise',2691,'Deepgeek, Klaatu, and Lostnbronx discuss their long-running server co-operative.','<p>\r\nDeepgeek, Klaatu, and Lostnbronx discuss their long-running server co-operative, including the triumphs and challenges over the years, personal benefits, and why listeners might want to create such a thing themselves.</p>',107,99,0,'CC-BY-SA','web server,email server,server,co-op,co-operative,gopher,privacy,information underground',0,0,1),
(2404,'2017-10-19','Open Source Gaming #1: Meridian59',874,'A showcase of Open Source games, Starting with the revived MMORPG Meridian59','<p>Check out the game</p>\r\n<small><em>Edited 2017-10-11T16:59:43Z (Wednesday) ken</em></small>\r\n\r\n<h1><i>Meridian 59</i></h1>\r\n<p>From Wikipedia, the free encyclopedia</p>\r\n<p><b>Meridian 59</b> is known as the first 3D graphical <a href=\"https://en.wikipedia.org/wiki/Massively_multiplayer_online_role-playing_game\" title=\"Massively multiplayer online role-playing game\">massively multiplayer online role-playing game</a> (MMORPG) and stands as one of the longest running original online role-playing games. Developed by Archetype Interactive, the team included <a href=\"https://en.wikipedia.org/wiki/John_Hanke\" title=\"John Hanke\">John Hanke</a> who later founded <a href=\"https://en.wikipedia.org/wiki/Niantic_(company)\" title=\"Niantic (company)\">Niantic, Inc.</a> and codeveloped <a href=\"https://en.wikipedia.org/wiki/Google_Earth\" title=\"Google Earth\">Google Earth</a> and <i><a href=\"https://en.wikipedia.org/wiki/Pok%C3%A9mon_Go\" title=\"Pokémon Go\">Pokémon Go</a></i>.</p>\r\n<p>First published by the now defunct <a href=\"https://en.wikipedia.org/wiki/The_3DO_Company\" title=\"The 3DO Company\">3DO Company</a>, the game was first launched online in an early form on December 15, 1995 and released commercially on September 27, 1996 with a flat-rate monthly subscription. <i>Meridian 59</i> is currently available as <a href=\"https://en.wikipedia.org/wiki/Open_source\" class=\"mw-redirect\" title=\"Open source\">open source</a> software<sup id=\"cite_ref-license_1-0\" class=\"reference\"><a href=\"#cite_note-license-1\"></a></sup> and is being run by original developers Andrew Kirmse and Chris Kirmse.</p>\r\n\r\n<h3>Links</h3>\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Meridian_59\">https://en.wikipedia.org/wiki/Meridian_59</a></li>\r\n<li><a href=\"https://github.com/Meridian59/Meridian59\">https://github.com/Meridian59/Meridian59</a></li>\r\n<li><a href=\"https://www.mmogames.com/game/meridian-59/\">https://www.mmogames.com/game/meridian-59/</a></li>\r\n<li><a href=\"https://www.mmorpg.com/meridian-59-evolution\">https://www.mmorpg.com/meridian-59-evolution</a></li>\r\n</ul>\r\n',354,0,1,'CC-BY-SA','Gaming, Open Source',0,0,1),
(2405,'2017-10-20','Nokia 6 Review',675,'This is a short show about my first thoughts of the Nokia 6','<p>The Nokia 6 is a mid range phone with the following specifications:</p>\r\n<ul>\r\n<li>5.5-inch 1080p screen</li>\r\n<li>Snapdragon 430 chip set</li>\r\n<li>CPU - Octa-core 1.4 GHz Cortex-A53</li>\r\n<li>GPU - Adreno 505</li>\r\n<li>3GB of RAM</li>\r\n<li>Dual 4G SIM capable (All UK networks)</li>\r\n<li>32Gig internal storage expansion with SD card up to 128Gig</li>\r\n<li>16MP and 8MP cameras</li>\r\n<li>Fingerprint scanner</li>\r\n<li>3.5mm Headphone Jack</li>\r\n<li>All metal Aluminium case</li>\r\n</ul>\r\n<p>Price at purchase, network unlocked £200</p>\r\n<p>The phone came with Android 7.1 and as soon as it was connected to the Internet it updated to 7.1.1 so has the latest September security patches.</p>\r\n<p>The first issue encountered was that this phone uses a nano SIM card for the phone network and my old One Plus used the bigger micro SIM, so I had to get a new Sim card sent to me which took 24 hours. In the mean time I was installing some of the applications that I have on the phone and checking that all my contacts had transferred to the new phone, which despite a backup of same some had not migrated, but that’s a Google issue not the phone.</p>\r\n<p>When the SIM arrived I put it and a 16Gig micro SD card into the SIM slot, the cards were recognized and after configuring the SD card as additional storage I was able to set my pod catcher and camera to save files to the SD card rather than internal storage thus leaving internal storage for apps and Android updates.</p>\r\n<p>First thing I noticed over my previous One Plus1 is how snappy everything is the CPU upgrade was definitely and improvement over my old phone. Another thing is the fact that Nokia has decided to keep the 3.5mm headphone Jack which for me is essential as I listen to music and audio recordings at some time on the phone most days. A lot has also been said about the 3000mAh battery not being up to all day use and the slowness of recharging it if needed. For my use profile I find the battery more than adequate, I surf, use social media, take occasional snaps, watch the odd You Tube video and listen to pod-casts/music, Oh and make the odd phone call.</p>\r\n<p>After a 14 hour day I have still got 50-60% of battery left. Granted the other night I got down to 40% it did take all night to recharge to 98% with a 2.5A charger, with the official 2A charger it does seem to be a little faster, but yes if you\'re a heavy user you will need to carry your charger or a portable battery for emergency top ups.</p>\r\n<p>So would I recommend the Nokia6 to someone in the market for a phablet, the short answer is yes, if you need the larger screen but can\'t afford the high end larger screen phones this is a very good mid range option, if you need to use the dual SIM capability it might be worth spending the extra £40 and getting the 64Gig version to give extra room for updates and plenty of space for Applications as you will not be able to use the expansion capacity as the second SIM uses the space where the Micro SD card goes.</p>\r\n<p>After the first 2 weeks or so my first impressions are this is a good phone and well worth the £200 price point.</p>',338,57,0,'CC-BY-SA','Android, Nokia 6, Phones, New Kit',0,0,1),
(2410,'2017-10-27','OLF 2017 Report',1376,'OLF 2017, a Free and Open Source Software conference took place on September 29- October 1, 2017','<p>Ohio LinuxFest 2017 is a Free and Open Source Software convention in Columbus, Ohio, and presents a variety of talks over the entire weekend. In this episode I tell you about my own personal experience at Ohio LinuxFest this year.</p>\r\n<p>Links:</p>\r\n<ul>\r\n<li><a href=\"https://ohiolinux.org/\" class=\"uri\">https://ohiolinux.org/</a></li>\r\n<li><a href=\"https://sfconservancy.org/\" class=\"uri\">https://sfconservancy.org/</a></li>\r\n<li><a href=\"https://start.fedoraproject.org/\" class=\"uri\">https://start.fedoraproject.org/</a></li>\r\n<li><a href=\"https://www.sip.us/\" class=\"uri\">https://www.sip.us/</a></li>\r\n<li><a href=\"https://www.hurricanelabs.com/\" class=\"uri\">https://www.hurricanelabs.com/</a></li>\r\n<li><a href=\"https://welcome.linode.com/features-1gb\" class=\"uri\">https://welcome.linode.com/features-1gb</a></li>\r\n<li><a href=\"https://www.ixsystems.com/blog/developers-corner-dru-lavigne/\" class=\"uri\">https://www.ixsystems.com/blog/developers-corner-dru-lavigne/</a></li>\r\n<li><a href=\"https://www.freenas.org/\" class=\"uri\">https://www.freenas.org/</a></li>\r\n<li><a href=\"https://hackersvanguard.com/\" class=\"uri\">https://hackersvanguard.com/</a></li>\r\n<li><a href=\"https://klaver.it/linux/sysctl.conf\" class=\"uri\">https://klaver.it/linux/sysctl.conf</a></li>\r\n<li><a href=\"https://www.sovereigncyberindustries.com/\" class=\"uri\">https://www.sovereigncyberindustries.com/</a></li>\r\n<li><a href=\"https://www.opennms.com/\" class=\"uri\">https://www.opennms.com/</a></li>\r\n<li><a href=\"https://enablingthefuture.org/upper-limb-prosthetics/the-raptor-hand/\" class=\"uri\">https://enablingthefuture.org/upper-limb-prosthetics/the-raptor-hand/</a></li>\r\n<li><a href=\"https://www.zwilnik.com/?p=947\" class=\"uri\">https://www.zwilnik.com/?p=947</a></li>\r\n</ul>\r\n',198,0,1,'CC-BY-SA','OLF 2017, Open Source, Free Software, Conference',0,0,1),
(2406,'2017-10-23','Putting Ends onto CAT6 Ethernet Cables',509,'This was my experience learning how to put the ends onto CAT6 cable.','<p>This is the graphic that I used to learn how to feed the wires correctly into the plastic end piece in the right order:<br />\r\n<img src=\"https://3.bp.blogspot.com/-Sec-OmiRuDk/WOLMmb0yXJI/AAAAAAAAARE/ay3qkpPmIq4__PJc3RJoPWv9RNnxXauJQCEw/s1600/CAT6%2Bcat5%2BWiring%2BDiagram%2Bstraight%2Bthrough%2Bcable%2Bcolor%2Bcode%2Brj45%2BethernetTIA%2B568B.jpg\" alt=\"https://3.bp.blogspot.com/-Sec-OmiRuDk/WOLMmb0yXJI/AAAAAAAAARE/ay3qkpPmIq4__PJc3RJoPWv9RNnxXauJQCEw/s1600/CAT6%2Bcat5%2BWiring%2BDiagram%2Bstraight%2Bthrough%2Bcable%2Bcolor%2Bcode%2Brj45%2BethernetTIA%2B568B.jpg\" /></p>',250,0,0,'CC-BY-SA','CAT6, learning, DIY',0,0,1),
(2431,'2017-11-27','Information Underground: Local Control',2431,'Deepgeek, Klaatu, and Lostnbronx natter on about local participation and responsibility.','<h2 id=\"summary\">SUMMARY:</h2>\r\n<p>Deepgeek, Klaatu, and Lostnbronx discuss communities, real and virtual, and get to the heart (or not) of the confluent issues surrounding modern confusion, apathy and despair with their leadership.</p>\r\n<h2 id=\"links-mentioned\">LINKS MENTIONED:</h2>\r\n<ul>\r\n<li><a href=\"https://www.showlowaz.gov/519/Citizens-Academy\" class=\"uri\">https://www.showlowaz.gov/519/Citizens-Academy</a></li>\r\n<li><a href=\"https://splinternews.com/welcome-to-an-american-city-where-the-government-barely-1818667220\" class=\"uri\">https://splinternews.com/welcome-to-an-american-city-where-the-government-barely-1818667220</a></li>\r\n</ul>',107,99,1,'CC-BY-SA','community,information underground,klaatu,deepgeek,lostnbronx',0,0,1),
(2407,'2017-10-24','The Lost Episode Part 2',1332,'NYbill talks about flashing firmware to a Atmega328p chip to get a Transistor Tester Kit working. ','<p>A follow up to “The Lost Episode”. Flashing the blank Atmega328p chip to get bring a nonworking Transistor Tester Kit to life.</p>\r\n<p>There are a lot of these kits out there. Different shapes, colors, and capabilities. In my case the kit was called a: 2578AY-AT. The firmware for this particular kit is: <code>mega328_color_kit</code>.</p>\r\n<ul>\r\n<li><p>Pics for the Episode:<br />\r\n<a href=\"https://media.gunmonkeynet.net/u/nybill/collection/the-lost-episode-part-2/\" class=\"uri\">https://media.gunmonkeynet.net/u/nybill/collection/the-lost-episode-part-2/</a></p></li>\r\n<li><p>PDF of Open Source project:<br />\r\n<a href=\"https://www.avrtester.tode.cz/upload/ttester_en.pdf\" class=\"uri\">https://www.avrtester.tode.cz/upload/ttester_en.pdf</a></p></li>\r\n<li><p>My AVR Programmer:<br />\r\n<a href=\"https://www.amazon.com/Qunqi-Programmer-Adapter-ATMEGA8-ATMEGA128/dp/B014J2BMAG/ref=sr_1_3?ie=UTF8&amp;qid=1508004600&amp;sr=8-3&amp;keywords=usbasp\" class=\"uri\">https://www.amazon.com/Qunqi-Programmer-Adapter-ATMEGA8-ATMEGA128/dp/B014J2BMAG/ref=sr_1_3?ie=UTF8&amp;qid=1508004600&amp;sr=8-3&amp;keywords=usbasp</a></p></li>\r\n<li><p>Avrdudess:<br />\r\n<a href=\"https://blog.zakkemble.co.uk/avrdudess-a-gui-for-avrdude/\" class=\"uri\">https://blog.zakkemble.co.uk/avrdudess-a-gui-for-avrdude/</a></p></li>\r\n<li><p>Steps after plugging in the USB programmer:</p></li>\r\n</ul>\r\n<pre><code>    lsusb (get bus and device ID numbers.)\r\n    sudo chmod +777 /dev/bus/usb/*bus_ID/*device_ID\r\n\r\n    avrdude -c ‘your programmer’ -p ‘your chip’</code></pre>\r\n<ul>\r\n<li>In my case:</li>\r\n</ul>\r\n<pre><code>    avrdude -c usbasp -p m328p</code></pre>\r\n<p>Avrdude should communicate with the programmer and verify the chip is ready to receive instructions.</p>\r\n<p>From here Avrdudess helped as I was able to use the ‘verify’ options after a write to see there was an error. Avrdudess also let me correct the error by changing the E-lock value to 0x04. Then the flash would write.</p>\r\n<p>Remember to write the hex file first and the eep file second as hex would over write a eep file if it was written first.</p>\r\n',235,103,0,'CC-BY-SA','Electronics,kit,tester,AVR programmer,transistor',0,0,1),
(2408,'2017-10-25','My Current Favourite Podcasts',246,'Six of my favourite podcasts, as of October 2017. ','<ul>\r\n<li><p>3 Guys 3 Questions<br />\r\n<a href=\"https://3g3q.co/\" class=\"uri\">https://3g3q.co/</a><br />\r\nHumour. Three guys take turns asking a question, which they each answer in turn.</p></li>\r\n<li><p>A Klingon Word from the Word<br />\r\n<a href=\"https://www.klingonword.org/\" class=\"uri\">https://www.klingonword.org/</a><br />\r\nChristianity, Sci-Fi. A Bible verse is read in Klingon, then in English.</p></li>\r\n<li><p>Cool Tools<br />\r\n<a href=\"https://kk.org/cooltools/category/podcast-2\" class=\"uri\">https://kk.org/cooltools/category/podcast-2</a><br />\r\nTechnology. Always a guest from the tech field or the maker community.</p></li>\r\n<li><p>Futility Closet<br />\r\n<a href=\"https://www.futilitycloset.com/category/podcast/\" class=\"uri\">https://www.futilitycloset.com/category/podcast/</a><br />\r\nHistory. Little-known stories from the past.</p></li>\r\n<li><p>Ken and Robin Talk about Stuff<br />\r\n<a href=\"https://www.kenandrobintalkaboutstuff.com/\" class=\"uri\">https://www.kenandrobintalkaboutstuff.com/</a><br />\r\nGaming. Two RPG designers talk to each other about game design and how to use current events in games.</p></li>\r\n<li><p>The Goodstuff Morning Show<br />\r\n<a href=\"https://goodstuff.fm/morningshow/\" class=\"uri\">https://goodstuff.fm/morningshow/</a><br />\r\nHumour. Not every morning, and sometimes they even record at night! Two brothers having wacky fun.</p></li>\r\n</ul>',250,75,0,'CC-BY-SA','podcasts, tech, maker, Christianity, science fiction, Klingon, humour, history',0,0,1),
(2413,'2017-11-01','personal health care',344,'wherein bitbox discovers he is fat, and can no longer find his feet','<p>This show was created while sitting in my tractor cab (I\'m a truck driver), it took less than 10 minutes to record. The slight background noise is my truck getting bounced around by the forklift running in and out of my trailer.</p>\r\n<p>The audio was recorded on an \'Olympus VN-1000PC\' pocket dictation recorder (purchased at Walmart about 10 or 12 years ago, I think, for about $20.00-US), on the built in mic. The recorder will accept a mic and/or headphone with a 3.5mm jack size. Mini usb out as a mass storage device so its easy to offload your files. The device is simple enough for a monkey to use, or a trucker...</p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr2413/The_Ultra_Hi_End_Recorder.jpg\" alt=\"The_Ultra_Hi_End_Recorder.jpg\" /></p>\r\n<p>Photos from my Android phone, a samsung s7 active. Photos transferred to my laptop using the KDE connect application (I know, I know, how \'bout an episode...)</p>\r\n<p>Photo editing in \"Gwenview\", a gui application with fast cropping and resizing capability, plus much much more (I know, I know, how \'bout an episode...)</p>\r\n<p>Audio editing in \"Audacity\", of course. All I did was pull the silences, and the \"uh, ummmm\'s\" out, and then export into a flac mono. (I know, I know, how \'bout an episode...wait, no that one\'s been done, and done,...)</p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr2413/Expensive_Audio_Editing_Software_Suite.jpg\" alt=\"Expensive_Audio_Editing_Software_Suite.jpg\" /></p>\r\n<p>The digital scale in the picture below was purchased at \'bedbath&beyond\' for less than $20.00 -US, several years ago and seems quite accurate</p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr2413/OMG_scale_reading.jpg\" alt=\"OMG_scale_reading.jpg\" /></p>\r\n<p>The Omron BP cuff...lists at about $80-$90.00 US on their site. I didn\'t pay for that though. My mom the retired nurse did.</p>\r\n<p><img src=\"https://hackerpublicradio.org/eps/hpr2413/Omron_BP760_data_plate.jpg\" alt=\"Omron_BP760_data_plate.jpg\" /> <img src=\"https://hackerpublicradio.org/eps/hpr2413/Omron_BP760_machine.jpg\" alt=\"Omron_BP760_machine.jpg\" /></p>\r\n<p>SHAKUBUKU - from the wikipedia entry...<br />\r\nShakubuku \"break and subdue\" (折伏) is a term that originates in the Chinese Śrīmālādevī Siṃhanāda Sūtra. Although often associated with the teachings of Nichiren, the term appears often in the SAT Daizokyo and the works of the Chinese Tiantai patriarachs Zhiyi and Zhanran. The term has historically been used to indicate the rebuttal of false teachings, and thereby break negative patterns in one\'s thoughts, words and deeds.</p>\r\n<p>Personally, I heard the term defined first on the movie, \"Gross Pointe Blank\" with Minni Driver, John Cusack, Alan Arkin and Dan Akroyd. Minnie Driver\'s character described SHAKUBUKU thusly,\"It\'s a swift, spiritual kick to the head that alters your reality forever.\"</p>\r\n<p>Both of these definitions work for me, the first being the more definitive, and the second being the somewhat simplistic, hipster/millennial definition, although the line was actually recorded around 1997 when the movie came out.</p>\r\n<p>Thank you all for listening.</p>\r\n<p>-bitbox</p>\r\n',330,100,1,'CC-BY-SA','health, personal health',0,0,1),
(2409,'2017-10-26','RPG Counternote',1155,'Lostnbronx offers his thoughts concerning Klaatu\'s recent episodes about RPG\'s.','<p>I started with tabletop role-playing games just about forty years ago. Klaatu recently did a two-part episode on the merits of RPG\'s, and it prompted some thoughts.</p>\r\n<h3 id=\"klaatus-rpg-episodes\">KLAATU\'S RPG EPISODES:</h3>\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2381\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=2381</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2390\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=2390</a></li>\r\n</ul>',107,95,1,'CC-BY','rpg,role-playing game,pc,gaming,klaatu,lostnbronx',0,0,1),
(2414,'2017-11-02','What\'s in my ham shack, part 1',1331,'A description of what\'s in my amateur radio shack.','<ul>\r\n<li><p>Standard C510A/C510E, VHF / UHF analogue handset<br />\r\n<a href=\"https://www.eham.net/reviews/detail/2658\" class=\"uri\">https://www.eham.net/reviews/detail/2658</a><br />\r\n<a href=\"https://www.elkoba.com/en/wireless-radio-devices/standard-radio/standard-c-510.html\" class=\"uri\">https://www.elkoba.com/en/wireless-radio-devices/standard-radio/standard-c-510.html</a></p></li>\r\n<li><p>Standard Power Booster. I found it difficult to find information on this item<br />\r\n<a href=\"https://vobonus.appspot.com/Amateurfunk-Sendeempfnger/Booster-CPB-510-Von-Standard-Zur-Handfunke-C510E/252818765812\" class=\"uri\">https://vobonus.appspot.com/Amateurfunk-Sendeempfnger/Booster-CPB-510-Von-Standard-Zur-Handfunke-C510E/252818765812</a></p></li>\r\n<li><p>Baofeng UV-5R handset<br />\r\n<a href=\"https://www.amazon.co.uk/BaoFeng-UV-5R-136-174-400-480-Dual-Band-x/dp/B007HH6RR4\" class=\"uri\">https://www.amazon.co.uk/BaoFeng-UV-5R-136-174-400-480-Dual-Band-x/dp/B007HH6RR4</a></p></li>\r\n<li><p>RSGB News<br />\r\n<a href=\"https://rsgb.org/main/news/\" class=\"uri\">https://rsgb.org/main/news/</a></p></li>\r\n<li><p>Retevis RT3 handset DMR (Digital Mobile Radio)<br />\r\n<a href=\"https://www.retevis.com/dmr-radio-rt3-uhf-1000ch-digital-two-way-radio-walkie-talkie\" class=\"uri\">https://www.retevis.com/dmr-radio-rt3-uhf-1000ch-digital-two-way-radio-walkie-talkie</a></p></li>\r\n<li><p>DMR (Digital Mobile Radio)<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Digital_mobile_radio\" class=\"uri\">https://en.wikipedia.org/wiki/Digital_mobile_radio</a><br />\r\n<a href=\"https://www.m0pzt.com/blog/amateurs-guide-to-dmr/\" class=\"uri\">https://www.m0pzt.com/blog/amateurs-guide-to-dmr/</a></p></li>\r\n<li><p>Hacked firmware for Retevis RT3 &amp; MD850 clones<br />\r\n<a href=\"https://github.com/travisgoodspeed/md380tools\" class=\"uri\">https://github.com/travisgoodspeed/md380tools</a><br />\r\n<a href=\"https://github.com/travisgoodspeed/md380tools/wiki\" class=\"uri\">https://github.com/travisgoodspeed/md380tools/wiki</a></p></li>\r\n<li><p>Brandmiester Network<br />\r\n<a href=\"https://brandmeister.network/\" class=\"uri\">https://brandmeister.network/</a></p></li>\r\n<li><p>Hytera PD365 handset DMR<br />\r\n<a href=\"https://hytera.co.uk/products/pd365\" class=\"uri\">https://hytera.co.uk/products/pd365</a></p></li>\r\n</ul>',201,43,0,'CC-BY-SA','ham radio, amateur radio',0,0,1),
(2418,'2017-11-08','What\'s in my ham shack, part 2',1456,'A description of what\'s in my amateur radio shack','<style type=\"text/css\">\r\n    article header ul > li,\r\n    article footer ul > li {\r\n    margin-bottom: 0;\r\n    }\r\n    article ul > li {\r\n    margin-bottom: 5px;\r\n    }\r\n</style>\r\n<ul>\r\n<li>Eurosonic 12V 35 Amp Power Supply, I couldn\'t find a picture like my power supply instead I found picture of a similar one. My power supply has a light blue casing and is substantially bigger than this as it can supply 12V at 35 amps.<br />\r\n<a href=\"https://www.ebay.es/itm/Eurosonic-13-8v-3A-CB-Ham-Radio-Power-Supply-Excellent-condition-/192224086831?hash=item2cc172cb2f:g:fSMAAOSwwzhZSmRh\" class=\"uri\">https://www.ebay.es/itm/Eurosonic-13-8v-3A-CB-Ham-Radio-Power-Supply-Excellent-condition-/192224086831?hash=item2cc172cb2f:g:fSMAAOSwwzhZSmRh</a></li>\r\n<li>Icom 2725, full duplex analogue VHF/UHF mobile radio<br />\r\n<a href=\"https://www.icomuk.co.uk/categoryRender.asp?categoryID=3824&amp;productID=718&amp;tID=938\" class=\"uri\">https://www.icomuk.co.uk/categoryRender.asp?categoryID=3824&amp;productID=718&amp;tID=938</a></li>\r\n<li>Revex W540, SWR &amp; Power Meter, 140-525 MHz<br />\r\n<a href=\"https://www.ebay.ie/itm/Revex-W540-Power-and-SWR-Meter-140-525MHz/371245912279\" class=\"uri\">https://www.ebay.ie/itm/Revex-W540-Power-and-SWR-Meter-140-525MHz/371245912279</a></li>\r\n<li>Standing Wave Ratio Information from Wikipedia<br />\r\n<a href=\"https://en.wikipedia.org/wiki/Standing_wave_ratio\" class=\"uri\">https://en.wikipedia.org/wiki/Standing_wave_ratio</a></li>\r\n<li>Welz SP-220 SWR &amp; Power Meter, 1.8-200 MHz<br />\r\n<a href=\"https://www.eham.net/reviews/detail/5371\" class=\"uri\">https://www.eham.net/reviews/detail/5371</a></li>\r\n<li>Kenwood TS940S HF Transceiver, Cover mods and weaknesses of radio\r\n<ul>\r\n<li>TS940 Overview<br />\r\n<a href=\"https://www.universal-radio.com/catalog/hamhf/ts940s.html\" class=\"uri\">https://www.universal-radio.com/catalog/hamhf/ts940s.html</a></li>\r\n<li>TS940 Review<br />\r\n<a href=\"https://www.eham.net/reviews/detail/239\" class=\"uri\">https://www.eham.net/reviews/detail/239</a></li>\r\n<li>TS940 Mods<br />\r\n<a href=\"https://www.radiomods.co.nz/kenwood/kenwoodts940.html\" class=\"uri\">https://www.radiomods.co.nz/kenwood/kenwoodts940.html</a></li>\r\n<li>TS940 User Manual<br />\r\n<a href=\"https://www.radiomanual.info/schemi/TS940_user.pdf\" class=\"uri\">https://www.radiomanual.info/schemi/TS940_user.pdf</a></li>\r\n<li>TS940 Service Manual<br />\r\nAfter recording the show I decided to see if there was a link to the user manual this I found easily. This got me thinking if the service manual was also available and to my surprise it is, all 108 gloriously detailed pages. Feel free to knock yourself out with the detail.<br />\r\n<a href=\"https://www.radiomanual.info/schemi/TS940_serv.pdf\" class=\"uri\">https://www.radiomanual.info/schemi/TS940_serv.pdf</a></li>\r\n</ul></li>\r\n<li>Dummy Load\r\n<ul>\r\n<li>Background info <a href=\"https://en.wikipedia.org/wiki/Dummy_load\" class=\"uri\">https://en.wikipedia.org/wiki/Dummy_load</a></li>\r\n<li>How to build a dummy load <a href=\"https://www.k4eaa.com/dummy.html\" class=\"uri\">https://www.k4eaa.com/dummy.html</a></li>\r\n</ul></li>\r\n<li>UK Amateur Radio Logbook\r\n<ul>\r\n<li>Example of printable Amateur radio Logbook, logging can also be done using software. <a href=\"https://m0ukd.com/other-stuff/printable-amateur-radio-logbooks/\" class=\"uri\">https://m0ukd.com/other-stuff/printable-amateur-radio-logbooks/</a></li>\r\n</ul></li>\r\n</ul>\r\n',201,43,0,'CC-BY-SA','Amateur Radio, Ham Radio',0,0,1),
(2415,'2017-11-03','bullet journal to org mode',927,'my journey from analog to digital','<h2 id=\"brief-introduction\">1 Brief introduction</h2>\r\n<h3 id=\"myself\">1.1 Myself</h3>\r\n<p>Hi, I\'m Brian in Ohio</p>\r\n<h3 id=\"inspiration-for-show\">1.2 Inspiration for show</h3>\r\n<p>I heard Shane Shennan on episode 2299 doing a what\'s in my bag episode where he briefly mentions using a bullet journal. Then I think I heard Ken Fallon wondering about bullet journals on community news for the month with that episode. So I thought a show was in order explaining how I went from using a bullet journal to using emacs org mode.</p>\r\n<h3 id=\"parameters\">1.3 Parameters</h3>\r\n<p>I\'m not an expert on any of the following topics: bullet journal, Getting things done (GTD), orgmode or emacs. I\'m someone who has tried these tools, climbed the learning curve and have some observations to make through that process.</p>\r\n<h2 id=\"whats-a-bullet-journal\">2 What\'s a bullet journal</h2>\r\n<h3 id=\"created-by-ryder-carrol\">2.1 Created by ryder carrol</h3>\r\n<p>The analog system for the digital age</p>\r\n<h3 id=\"where-i-found-out-about-it\">2.2 Where I found out about it</h3>\r\n<p><a href=\"https://www.relay.fm/penaddict/70\" class=\"uri\">https://www.relay.fm/penaddict/70</a></p>\r\n<h3 id=\"what-it-is\">2.3 What it is</h3>\r\n<p>Method of laying out a notebook and using it to organize and process ideas and tasks. I won\'t try to explain exactly how it is set up. The video tutorial <a href=\"https://bulletjournal.com/\" class=\"uri\">https://bulletjournal.com/</a> is excellent. You can use any notebook and divide it up into index pages, future log, monthly log and daily log there\'s a visual indexing/ tagging system to help organize stuff. Its extremely customizable.</p>\r\n<h3 id=\"how-i-used-it\">2.4 How I used it</h3>\r\n<p>I bullet journaled for 2 and a half years, initially set it up stock but later put the index at the back. I used it as a daily planner, idea storing device and short term and long term goal setting tool.</p>\r\n<h3 id=\"strengths\">2.5 Strengths</h3>\r\n<p>Customizable but within framework, gives a method to get organized that you can tailor to your needs. Its pretty easy to find needed info, if you\'re diciplined about using. It its battery free</p>\r\n<h3 id=\"shortcomings\">2.6 Shortcomings</h3>\r\n<p>Need to be disciplined. Can be tedious to enter items in month, daily and index sections. It takes time to set up. I think Shane\'s use case he mentioned in podcast as sort of a project/idea book sounds pretty cool and might be a really good use case for this system. Hard to edit, this may be a strength for some people, but for me as a daily planner it was a little daunting to use. Adding stuff to something requires either leaving space ahead of time or indexing to a new page. The monthly log was always a mystery to me on how to use it. If you lose it you\'ve lost it, no easy way to back it up</p>\r\n<h2 id=\"what-is-org-mode\">3 What is org mode</h2>\r\n<h3 id=\"created-by-carsten-dominik\">3.1 Created by Carsten Dominik</h3>\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Org-mode\">org-mode wiki</a></li>\r\n</ul>\r\n<h3 id=\"what-it-is-1\">3.2 what it is</h3>\r\n<p>Is an editing and organizing mode for notes, planning, and authoring in the free software text editor Emacs.</p>\r\n<h3 id=\"how-i-found-out-about-it\">3.3 How I found out about it</h3>\r\n<h4 id=\"emacs\">3.3.1 emacs</h4>\r\n<h5 id=\"wanted-a-commandline-c-development-environment-for-microcontroller-project-development\">3.3.1.1 Wanted a commandline C development environment for microcontroller project development</h5>\r\n<h5 id=\"ide\">3.3.1.2 IDE</h5>\r\n<p>Worked with vim/ a bash shell as a sort of minimal IDE. I specifically was using it on a laptop that didn\'t have X installed on it. Just for fun, not my bread and butter.</p>\r\n<h5 id=\"wanted-to-try-something-new\">3.3.1.3 Wanted to try something new</h5>\r\n<p>Knew about emacs, had tried it didn\'t like it</p>\r\n<h5 id=\"thanks-to-klaatu-for-emacs-hpr-emacs-episodes\">3.3.1.4 Thanks to klaatu for emacs hpr emacs episodes</h5>\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=0852\">hpr 852</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=0856\">hpr 856</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=0861\">hpr 861</a></li>\r\n</ul>\r\n<h5 id=\"thanks-to-youtube-found-out-about-org-mode\">3.3.1.5 Thanks to youtube found out about org mode</h5>\r\n<p>Rainer Konig - getting yourself organized with org-mode<br />\r\n<a href=\"https://www.youtube.com/channel/UCfbGTpcJyEOMwKP-eYz3_fg\" class=\"uri\">https://www.youtube.com/channel/UCfbGTpcJyEOMwKP-eYz3_fg</a></p>\r\n<h4 id=\"switched-in-october-2016\">3.3.2 Switched in october 2016</h4>\r\n<h3 id=\"how-i-use-it\">3.4 How I use it</h3>\r\n<p>At its heart an org-mode is an outliner. I use org-mode to set up daily todo tasks, organize projects, jot down notes. Org-mode has a subsystem call agenda view that can generate daily planner views from your org-mode files. I initially tried to mimic the bullet journal in org-mode, but found that it was better to approach org mode relying on its strengths, which are different, as you can imagine, from a Bullet journal.</p>\r\n<h3 id=\"strengths-1\">3.5 Strengths</h3>\r\n<p>I like it because its editable, searchable and customizable. Projects can be broken down into as fine a detail as you want and that detail level can expand or contract as necessary. The power of org-mode comes out when you use it to capturing ideas, tasks and information. Capturing these events is done via capture templates that you can create. This new data is then saved to the appropriate org file then shows up in your agenda view. Its extremely easy to back up, it\'s text based and therefore future proof. There are many good tutorials and resources online</p>\r\n<h3 id=\"shortcomings-1\">3.6 Shortcomings</h3>\r\n<p>Need to know a little about emacs and that can feel overwhelming to try. This new tool will require you to use your brain. Emacs keybindings</p>\r\n<h2 id=\"whats-next\">4 What\'s next</h2>\r\n<p>Trying to find a good way to use orgmode portably. <code>mobile-org</code> app for android doesn\'t work for me. This has led to trying a couple of different solutions which I will record other hpr episodes about. Thanks for listening. If you have ideas on Bullet Journals or Org-mode I\'d love to hear an episode about it. I\'ll put links into the show notes, this is Brian in Ohio signing off.</p>\r\n',326,0,0,'CC-BY-SA','journal,bullet journal,emacs,org mode',0,0,1),
(2434,'2017-11-30','Cybrosis',5958,'The HPR AudioBook Club discusses Cybrosis by P.C. Haring','<h3>SUMMARY</h3>\r\n<p>In  this episode, the HPR_AudioBookClub discusses Cybrosis by P. C. Haring.</p>\r\n<h3>Non-Spoiler Thoughts</h3>\r\n<ul>\r\n<li>Everyone agreed that the audio quality and engineering was excellent. The voice acting was just as good. pokey was bothered by something in the main character\'s voice that he likened to (but wasn\'t) hearing someone chew gum while talking. </li>\r\n</ul>\r\n<h3>BEVERAGE REVIEWS</h3>\r\n<p>As    usual, the HPR_AudioBookClub took some time to review the beverages   that each of us were drinking during the episode</p>\r\n<ul>\r\n<li>Thaj: Just a big latte mug full of good old fashioned Swiss Miss hot chocolate</li>\r\n <li>x1101: <a href=\"https://www.bevreview.com/wp-content/image_mountaindewlivewireofficial1.jpg\">Mt. Dew LiveWire</a></li>\r\n <li>pokey: I had no special beverage this month, so I took the opportunity to review my water filter and a brand of coconut oil that I particularly like.  <a href=\"https://www.aquasana.com/\">https://www.aquasana.com/</a>,  <a href=\"https://www.spectrumorganics.com/spectrum-naturals/coconut-oil-organic-virgin-unrefined/\">https://www.spectrumorganics.com/spectrum-naturals/coconut-oil-organic-virgin-unrefined/</a></li>\r\n<li>semioticrobotic: </li>\r\n<li>pegwole: </li>\r\n</ul>\r\n<h3>Things We Talked About</h3>\r\n<p> All of us felt that there were quite a few cliches in the story. </p>\r\n<h3>OUR NEXT AUDIOBOOK</h3>\r\n<p><strong>Triplanetary</strong> by E. E. \"Doc\" Smith\r\n <br/><a href=\"https://librivox.org/triplanetary-first-in-the-lensman-series-by-e-e-doc-smith/\">https://librivox.org/triplanetary-first-in-the-lensman-series-by-e-e-doc-smith/</a></p>\r\n<h3>OUR AUDIO</h3>\r\n<p>This episode was processed using Audacity <a href=\"https://audacity.sourceforge.net/\">https://audacity.sourceforge.net/</a>.    We\'ve been making small adjustments to our audio mix each month in    order to get the best possible sound. It\'s been especially challenging    getting all of our voices relatively level, because everyone has  their   own unique setup. Mumble is great for bringing us all together,  and for   recording, but it\'s not good at making everyone\'s voice the  same  volume.  We\'re pretty happy with the way this month\'s show turned  out,  so we\'d  like to share our editing process and settings with you  and our  future  selves (who, of course, will have forgotten all this  by  then).</p>\r\n<p>Mumble    uses a sample rate of 48kHz, but HPR requires a sample rate of  44.1kHz   so the first step in our audio process is to resample the file  at   44.1kHz. Resampling can take a long time if you don\'t have a  powerful   computer, and sometimes even if you do. If you record late at  night,   like we do, you may want to start the task before you go to  bed, and   save it first thing in the morning, so that the file is ready  to go the   next time you are.</p>\r\n<p>Next we use the \"Compressor\" effect with the following settings:</P>\r\n <ul>\r\n  <li>Threshold: -30db</li>\r\n  <li>Noise Floor: -50db</li>\r\n  <li>Ratio: 3:1</li>\r\n  <li>Attack Time: 0.2sec</li>\r\n  <li>Decay Time: 1.0 sec</li>\r\n  <li>\"Make-up Gain for 0db after compressing\" and \"compress based on peaks\" were both left un-checked.</li>\r\n </ul>\r\n<p>After    compressing the audio we cut any pre-show and post-show chatter from    the file and save them in a separate file for possible use as outtakes    after the closing music.</p>\r\n<p>At    this point we listen back to the whole file and we work on the    shownotes. This is when we can cut out anything that needs to be cut,    and we can also make sure that we put any links in the shownotes that    were talked about during the recording of the show. We finish the    shownotes before exporting the .aup file to .FLAC so that we can paste   a  copy of the shownotes into the audio file\'s metadata. We use the    \"Truncate Silence\" effect with it\'s default settings to minimize the    silence between people speaking. When used with its default (or at    least reasonable) settings, Truncate Silence is extremely effective  and   satisfying. It makes everyone sound smarter, it makes the file  shorter   without destroying actual content, and it makes a  conversations sound  as  easy and fluid during playback as it was while  it was recorded. It  can  be even more effective if you can train  yourself to remain silent   instead of saying \"uuuuummmm.\" Just remember  to ONLY pass the file   through Truncate Silence ONCE. If you pass it  through a second time, or   if you set it too aggressively your audio may  sound sped up and   choppy.</p>\r\n<p>At    this point we add new, empty audio tracks into which we paste the    intro, outro and possibly outtakes, and we rename each track    accordingly.</p>\r\n<p>We    adjust the Gain so that the VU meter in Audacity hovers around -12db    while people are speaking, and we try to keep the peaks under -6db,  and   we adjust the Gain on each of the new tracks so that all volumes  are   similar, and more importantly comfortable. Once this is done we  can  \"Mix  and Render\" all of our tracks into a single track for export  to  the  .FLAC file which is uploaded to the HPR FTP server.</p>\r\n<p>Remember    to save often when using Audacity. We like to save after each of  these   steps. Audacity has a reputation for being \"crashy\" but if you   remember  save after every major transform, you will wonder how it ever   got that  reputation.</p>\r\n<h3>FURTHER RECOMMENDATIONS</h3>\r\n<h3>FEEDBACK</h3>\r\n<p>Thank    you very much for listening to this episode of the HPR_AudioBookClub.    We had a great time recording this show, and we hope you enjoyed it  as   well. We also hope you\'ll consider joining us next time. Please  leave a   few words in the episode\'s comment section.\r\n <br/>As always; remember to visit the HPR contribution page; HPR could really use your help right now.</p>\r\n<p><a href=\"https://hackerpublicradio.org/contribute.php\">https://hackerpublicradio.org/contribute.php</a></p>\r\n<p>Sincerely,\r\n <br/>The HPR_AudioBookClub</p>\r\n<p>P.S. Some people really like finding mistakes. For their enjoyment, we always include a few.</p>\r\n\r\n\r\n',157,53,1,'CC-BY-SA','Cybrosis, HPR AudioBook Club, cyberpunk, audio fiction, P.C. Haring, Free Culture',0,0,1),
(2419,'2017-11-09','Alien Brothers Podcast S1E01 - Introduction',7584,'Meet the Alien Brothers: Casper and Rutiger.  Two tech junkies that take nothing sacred','<p>This was an impromptu inaugural episode recorded in Bethany Beach, DE.</p>\r\n<p>Casper and Rutiger work in the tech field and enjoy video games and popular media. We discuss the enigma that is the Handmaid\'s Tale, Tim &amp; Eric Awesome Show Great Job!, the movie Kids, video games from paperboy to Quake to Fallout 4. We comedically discuss the disillusionment that one can incur working in the cubical jungle. We also discuss going back to minimum wage after enjoying a high paying tech industry.</p>\r\n<p>We also reference obscure and not well-known music like Slint.</p>\r\n<p>The sound quality is not great in this episode, as it was an impromptu recording. All future episodes will be produced at a much higher quality</p>',359,0,1,'CC-BY-SA','video games, video cards, first podcast',0,0,1),
(2421,'2017-11-13','Project Interest',518,'Lostnbronx wonders how some projects die for lack of interest.','<p>This is just a short &quot;episode&quot; wherein I ponder the nature of showmanship and razzle-dazzle regarding the success or failure of FOSS, and other projects that require collaboration. Your comments and opinions are ACTIVELY encouraged.</p>',107,0,0,'CC-BY-SA','foss,collaboration,writing,projects',0,0,1),
(2422,'2017-11-14','Kickstarter Post Mortem',2763,'Klaatu talks about his failed Kickstarter campaign','<p>Klaatu tried to fund art for a card game on Kickstarter. Missed the goal by 85%</p>\r\n<p>This is a post mortem of how the Kickstarter went and where he may have gone wrong. Possibly you can learn from his mistakes. Possibly he has misdiagnosed his mistakes, and you are being misled. Choose wisely.</p>',78,95,0,'CC-BY-SA','Crowd Funding,Kickstarter,Tabletop Gaming',0,0,1),
(2423,'2017-11-15','Open Source Gaming #2: Oolite',431,'Episode 2 is about the space travel simulator Oolite, which is an open source remake of Elite','<p>The game\'s website. If you\'re interested in playing, check it out. <a href=\"https://www.oolite.org/\" class=\"uri\">https://www.oolite.org/</a></p>\r\n<p>Also here\'s the forum I was looking up during the podcast to find out if Elite Dangerous was multiplayer or not. <a href=\"https://steamcommunity.com/app/359320/discussions/0/142260718945308887/\" class=\"uri\">https://steamcommunity.com/app/359320/discussions/0/142260718945308887/</a></p>\r\n',354,0,1,'CC-BY-SA','Gaming, Open Source',0,0,1),
(2426,'2017-11-20','Let\'s Talk About Addiction',655,'Lostnbronx shares some thoughts about the need to talk about addiction.','<p>I was partially inspired by Bitbox\'s really wonderful episode, \"hpr2413: personal health care\", to ramble on about the need for the HPR community to, maybe, start talking about a mental health crisis that touches pretty much everyone in the modern world: addiction.</p>\r\n<p>Personal Health Care<br />\r\nhosted by Bitbox:<br />\r\n<a href=\"https://hackerpublicradio.org/eps.php?id=2413\" class=\"uri\">https://hackerpublicradio.org/eps.php?id=2413</a></p>\r\n',107,100,1,'CC-BY-SA','addiction,mental health',0,0,1),
(2430,'2017-11-24','Scanning books',740,'Ken explains how and why he is scanning school books','<p>\r\nI want to scan my Son\'s school books so that he doesn\'t get back problems lugging books to and from school. Something that for now at least remains <a href=\"https://en.wikipedia.org/wiki/Copyright_law_of_the_Netherlands#The_right_to_homecopy\">legal</a> in the Netherlands.\r\n</p>\r\n<h3>Steps involved</h3>\r\n<ol>\r\n<li>Scan all the images using the entire length of your scanner. I use <a href=\"https://hackerpublicradio.org/eps/hpr2430/scantoimage.bash\">scantoimage.bash</a></li>\r\n<li>Confirm that there are no missing pages, and that every other page is upright and then upside down etc. If they are scan them and rename them so the name fits in between the pages</li>\r\n<li>Back up all the scanned images</li>\r\n<li>Manually crop the areas of the scans outside the area of the page. Usually this is on the side and bottom of the flat bed. Save is as something like ~/x.jpg</li>\r\n<li>Use <a href=\"https://www.graphicsmagick.org/\">GraphicsMagick Image Processing System</a> to identify the dimensions of the cropped image. <br />\r\n<span style=\"font-family:\'Lucida Console\', monospace\">\r\ngm identify ~/x.jpg<br />\r\n/home/me/x.jpg JPEG 2477x2609+0+0 DirectClass 8-bit 3.2Mi 0.000u 0m:0.000002s</span>\r\n</li>\r\n<li>Crop all the images to that dimension <br />\r\n<span style=\"font-family:\'Lucida Console\', monospace\">gm mogrify -crop 2477x2609+0+0 *.jpg</span>\r\n</li>\r\n<li>Rotate every second image by 180 degrees. <a href=\"https://hackerpublicradio.org/eps/hpr2430/rotate-every-second-image.bash\">rotate-every-second-image.bash</a></li>\r\n<li>Create a directory for the book and in there create a subdirectory for each section of the book. Manually copy all the images to the sub directory for that section. </li>\r\n<li>Then go to the root where there are no files only subdirs and run the command <br />\r\n<span style=\"font-family:\'Lucida Console\', monospace\">for i in *;do echo $i;gm convert \"${i}/*.jpg\" \"${i}.pdf\"; done</span></li>\r\n</ol>\r\n<p>\r\nAt the end you will have a pdf file for each section of the book.\r\n</p>',30,0,1,'CC-BY-SA','book scanning',0,0,1),
(2424,'2017-11-16','Interface Zero RPG Play',3010,'Klaatu, Lobath, and Thaj play the Interface Zero RPG','<p>Klaatu, Lobath, and Thaj play a session of <a href=\"https://drivethrurpg.com/product/214863/Interface-Zero-Pathfinder-Edition\">Interface Zero</a>, a role playing game using the <a href=\"https://paizo.com/beginnerbox\">Pathfinder</a> rules.\r\n</p>\r\n<p>\r\nIf you\'re new to RPG and want to hear how it\'s done, or you\'re just bored and want to hear some nerds play through a cyberpunk adventure, this is for you! Also - for one lucky listener - we have an RPG starter kit. Listen for details.</p> ',78,95,0,'CC-BY-SA','Interface Zero,actual play,rpg,gaming,live play',0,0,1),
(2425,'2017-11-17','Intro to XSL',2502,'A brief introduction to XSL and xsltproc','<p>\r\nSure, you can use pandoc to process your Docbook XML, but why not learn a little XSL this weekend?\r\n</p>\r\n<p><strong>Requirements</strong></p>\r\n<p>\r\nYou must have <a href=\"https://xmlsoft.org/XSLT/xsltproc.html\" target=\"_blank\">xsltproc</a> installed. It\'s available from your software repository.\r\n</p>\r\n<p>\r\nHere is some sample XML for you:\r\n</p>\r\n<pre><code>\r\n&#60;xml version=\"1.0\">\r\n  &#60;para>\r\n    My name is &#60;author>Foo&#60;/author>.\r\n  &#60;/para>\r\n\r\n  &#60;para>\r\n    You&#39;re listening to &#60;emphasis role=\"bold\">Hacker Public\r\n    Radio&#60;/emphasis>.\r\n  &#60;/para>\r\n&#60;/xml>\r\n</code></pre>\r\n<p>\r\nAnd here\'s the complete XSL as demonstrated:\r\n</p>\r\n<pre><code>\r\n&#60;xsl:stylesheet xmlns:xsl=\"https://www.w3.org/1999/XSL/Transform\" version=\"1.0\">\r\n\r\n  &#60;xsl:template match=\"para\">\r\n    &#60;p>&#60;span>&#60;xsl:apply-templates/>&#60;/span>&#60;/p>\r\n  &#60;/xsl:template>\r\n\r\n  &#60;xsl:template match=\"emphasis\">\r\n    &#60;em>&#60;xsl:apply-templates/>&#60;/em>\r\n  &#60;/xsl:template>\r\n\r\n  &#60;xsl:template match=\"emphasis[@role=\'bold\']\">\r\n    &#60;strong>&#60;xsl:apply-templates/>&#60;/strong>\r\n  &#60;/xsl:template>\r\n\r\n  &#60;xsl:template match=\"author\" name=\"host\">\r\n    &#60;xsl:choose>\r\n\r\n      &#60;xsl:when test=\"$host = \'Klaatu\'\">\r\n        &#60;xsl:text>Klaatu&#60;/xsl:text>\r\n      &#60;/xsl:when>\r\n\r\n      &#60;xsl:when test=\"$host = \'Gort\'\">\r\n        &#60;xsl:text>Gort&#60;/xsl:text>\r\n      &#60;/xsl:when>\r\n    &#60;/xsl:choose>\r\n  &#60;/xsl:template>\r\n&#60;/xsl:stylesheet>\r\n</code></pre>\r\n<p><strong>Links</strong></p>\r\n<ul>\r\n<li>\r\n<p>\r\n<a href=\"https://nwalsh.com/docs/tutorials/xsl/xsl/frames.html\" target=\"_blank\">Norm Walsh</a>\r\n</p>\r\n</li>\r\n<li>\r\n<p>\r\n<a href=\"https://dpawson.co.uk/xsl/\" target=\"_blank\">dpawson</a>\r\n</p>\r\n</li>\r\n<li>\r\n<p>\r\n<a href=\"https://shop.oreilly.com/product/9780596003555.do\" target=\"_blank\">O\'Reilly</a>\r\n</p>\r\n</li>\r\n<li>\r\n<p>\r\n<a href=\"https://gitlab.com/notklaatu/dmschema\" target=\"_blank\">DM Schema</a>\r\n</p>\r\n</li>\r\n</ul>\r\n',78,0,0,'CC-BY-SA','docbook,xml,xsl',0,0,1),
(2427,'2017-11-21','Server Basics 101',2590,'Klaatu endeavours to explain the basics of server administration.','<p>Klaatu covers the very very basics of servers: what they are, how to know one when you see one, what one ought to run, and why we have them.</p>',78,0,0,'CC-BY-SA','server,admin,sys admin,linux',0,0,1),
(2429,'2017-11-23','Interface Zero RPG Play',1902,'Klaatu, Lobath, and Thaj play the Interface Zero RPG part 2','<p>The second session of <a href=\"https://drivethrurpg.com/product/214863/Interface-Zero-Pathfinder-Edition\">Interface Zero</a> RPG live play with Klaatu, Lobath, and Thaj.</p>\r\n\r\n<p>This week, Chiawei and Syd reach Peter\'s apartment and do some quick detective work, and a little bit of minor bone-breaking.</p>\r\n\r\n<p>\r\nIf you\'re <em>really</em> keen to play, send Klaatu an email (Klaatu at the domain of this podcast, or member.fsf.org). The recording schedule is inflexible, Klaatu has oddly high standards for audio that he is inevitably compresses down to 64kbps, and the game has already started, but a new character or guest character is not out of the question!</p>\r\n\r\n<p>No give-away this week, but we\'ll be giving a (digital) <a href=\"https://paizo.com/beginnerbox\">Pathfinder</a> starter kit out next week.</p>',78,95,0,'CC-BY-SA','Interface Zero,actual play,rpg,gaming,live play',0,0,1),
(2435,'2017-12-01','Server Basics 102',2926,'Klaatu talks about SSH configuration on the server you set up in 101.','<p>Klaatu talks about SSH, changing SSH ports, and using SSH keys for the server you presumably set up after hearing Server Basics 101 in this series.</p>',78,0,0,'CC-BY-SA','server,admin,sys admin,linux',0,0,1),
(2441,'2017-12-11','Server Basics 103',1773,'Firewalls and fail2ban','<p>Klaatu walks you through installing, configuring, and running fail2ban, and discusses the basics about firewalls.</p>\r\n\r\n<ul>\r\n<li><p><a href=\"https://firewalld.org\" target=\"_blank\">firewalld</a>\r\n</p></li>\r\n<li><p><a href=\"https://www.fail2ban.org/wiki/index.php/Main_Page\" target=\"_blank\">fail2ban</a>\r\n</p></li>\r\n</ul>',78,0,0,'CC-BY-SA','server,admin,sys admin,linux',0,0,1),
(2433,'2017-11-29','You were right, I was wrong',519,'Ken eats humble pie','<p>\r\nKen puts the record straight after inaccurate comments during <a href=\"https://hackerpublicradio.org/eps.php?id=2416\">hpr2416 :: HPR Community News for October 2017</a> about \r\n <a href=\"https://hackerpublicradio.org/eps.php?id=2406\">hpr2406 :: Putting Ends onto CAT6 Ethernet Cables</a> by <a href=\"https://hackerpublicradio.org/correspondents/0250.html\">Shane Shennan</a>.</p>\r\n\r\n<h3>Links</h3>\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2406\">hpr2406 :: Putting Ends onto CAT6 Ethernet Cables</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2416\">hpr2416 :: HPR Community News for October 2017</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2416#1\">Comment #1 posted on 2017-11-09T17:33:23Z by Windigo</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Twisted_pair#History\">Wikipedia Twisted pair History</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Ethernet_over_twisted_pair#Cabling\">Wikipedia Ethernet over twisted pair</a></li>\r\n<li><a href=\"https://freemusicarchive.org/music/Memphis_Five/\">Memphis Five - Who\'s Sorry Now?</a></li>\r\n<li><a href=\"https://www.youtube.com/watch?v=7v31-qORXPY\">Balanced Audio Noise Rejection &amp; Differential Pairs</a></li>\r\n</ul>\r\n',30,0,0,'CC-BY-SA','Correction',0,0,1),
(2432,'2017-11-28','Living with the Nokia 6 – an update to HPR 2405',316,'An update to my show on the Nokia 6 phone','<h3 id=\"living-with-the-nokia-6-an-update-to-hpr-2405\">Living with the Nokia 6 – an update to HPR 2405</h3>\r\n<p>I’ve now been using the Nokia 6 for about 2 months and just wanted to update listeners to my thoughts on the phone.</p>\r\n<p>First a response to Dave who said on the Community News that as he had a OnePlus 1 he was surprised I found it inadequate. The One+1 is a great phone, my problem with it was it does not support O2’s 4G network although it supports EE’s and 3’s 4G networks here in the UK, as I use GiffGaff which runs on the O2 network I have not been able to benefit from their 4G offer and I don’t want to change provider. Also the One+1 was stuck on CyanogenMod 13.1 (Android 6) and no longer got updates, so this was the reason for the new phone purchase. I’ve now flashed Lineage OS onto the One+1 and have a secure backup phone or one I can pass on to my Wife at some stage.</p>\r\n<p>Back to the Nokia, now I’ve lived with the phone for a few weeks I can say I am more than happy with it, and some of the issues with battery life I have found are unfounded once you configure some of the settings to be more battery friendly, such as restricting background access to the net for most aps the battery life is well over a day\'s use. At night in stand by mode over 8 hours battery use is less than 1% so even with moderate to heavy use I can get a day out of the phone without any risk of running out. Also if the official charger and cable are used a 1 hour charge gives about a 30-40% battery capacity, so not as slow as the reviews I’ve read. Would I still buy it having used it for 2 months, I would say yes to that, and I also have no issues with recommending it as a large format phone at a budget price.</p>',338,57,0,'CC-BY-SA','Android, Nokia 6, Phones, New Kit, OnePlus1',0,0,1),
(2437,'2017-12-05','Interface Zero Play-through Part 3',2543,'Klaatu, Lobath, and Thaj play the Interface Zero RPG','<p>\r\nKlaatu, Lobath, and Thaj continue their play-through of the Interface Zero RPG, using the <strong>Job InSecurity</strong> adventure.\r\n</p>\r\n\r\n<p>\r\nLyphrygerator composed by William Kenlon, used with permission.\r\n</p>\r\n\r\n<p>\r\nAll other music by Klaatu.\r\n</p>\r\n\r\n<p>Some sounds from <a href=\"https://freesound.org\" target=\"_blank\">freesound.org</a> used for texture. Obligatory credits will appear in final episode.\r\n</p>',78,95,1,'CC-BY-SA','Interface Zero,cyberpunk,rpg,game',0,0,1),
(2428,'2017-11-22','git Blobs',1982,'Klaatu talks about git-media and git-annex','<p>How do you manage large binary blobs, like pictures or video or sounds, when using git?</p>\r\n\r\n<p>In this episode, Klaatu explains two popular options&#58;</p>\r\n\r\n<ul>\r\n<li>\r\n<p>\r\n<a href=\"https://github.com/alebedev/git-media\" target=\"_blank\">git-media</a>\r\n</p>\r\n</li>\r\n<li>\r\n<p>\r\n<a href=\"https://git-annex.branchable.com/walkthrough/\" target=\"_blank\">git-annex</a>\r\n</p>\r\n</li>\r\n</ul>\r\n\r\n<p>Thanks to CapsLok at <a href=\"https://freesound.org/people/CapsLok/sounds/184438/\" target=\"_blank\">freesound.org</a> for the sound effect.</p>\r\n',78,81,0,'CC-BY-SA','git',0,0,1),
(2444,'2017-12-14','Interface Zero Play-through Part 4',1927,'Klaatu, Lobath, and Thaj play the Interface Zero RPG','<p>The investigation continues!</p>\r\n<p>Guest voice in this and episode 3 by Gort.</p>',78,95,0,'CC-BY-SA','Interface Zero,rpg,game,play,pathfinder,dnd',0,0,1),
(2438,'2017-12-06','Gnu Awk - Part 8',1239,'More about loops','<h1 id=\"gnu-awk---part-8\">Gnu Awk - Part 8</h1>\r\n<h2 id=\"introduction\">Introduction</h2>\r\n<p>This is the eighth episode of the &quot;<a href=\"https://hackerpublicradio.org/series/0094.html\" title=\"Learning Awk\">Learning Awk</a>&quot; series that\r\n<a href=\"https://hackerpublicradio.org/correspondents/0300.html\" title=\"b-yeezi\">b-yeezi</a> and I are doing.</p>\r\n<h2 id=\"recap-of-the-last-episode\">Recap of the last episode</h2>\r\n<ul>\r\n<li><p>The <code>while</code> loop: tests a condition and performs commands <em>while</em> the test returns true</p></li>\r\n<li><p>The <code>do while</code> loop: performs commands after the <code>do</code>, then tests afterwards, repeating the commands <em>while</em> the test is true.</\r\np></li>\r\n<li><p>The <code>for</code> loop (type 1): initialises a variable, performs a test, and increments the variable all together, performing commands while the test is \r\ntrue.</p></li>\r\n<li><p>The <code>for</code> loop (type 2): sets a variable to successive indices of an array, preforming a collection of commands for each index.</p></li>\r\n</ul>\r\n<p>These types of loops were demonstrated by examples in the <a href=\"https://hackerpublicradio.org/eps.php?id=2330\" title=\"Awk Part 7\">last episode</a>.</p>\r\n<p>Note that the example for \'<code>do while</code>\' was an infinite loop (perhaps as a test of the alertness of the audience!):</p>\r\n<pre><code>#!/usr/bin/awk -f\r\nBEGIN {\r\n\r\n    i=2;\r\n    do {\r\n        print &quot;The square of &quot;, i, &quot; is &quot;, i*i;\r\n        i = i + 1\r\n    }\r\n    while (i != 2)\r\n\r\nexit;\r\n}</code></pre>\r\n<p>The condition in the <code>while</code> is always true:</p>\r\n<pre><code>The square of  2  is  4\r\nThe square of  3  is  9\r\nThe square of  4  is  16\r\nThe square of  5  is  25\r\nThe square of  6  is  36\r\nThe square of  7  is  49\r\nThe square of  8  is  64\r\nThe square of  9  is  81\r\nThe square of  10  is  100\r\n...\r\nThe square of  1269630  is  1611960336900\r\nThe square of  1269631  is  1611962876161\r\nThe square of  1269632  is  1611965415424\r\nThe square of  1269633  is  1611967954689\r\nThe square of  1269634  is  1611970493956\r\n...</code></pre>\r\n<p>The variable <code>i</code> is set to 2, the <code>print</code> is executed, then <code>i</code> is set to 3. The test &quot;<code>i != 2</code>&quot; is true and will be <em>ad infinitum</em>.</p>\r\n<h2 id=\"some-more-statements\">Some more statements</h2>\r\n<p>We will come back to loops later in this episode, but first this seems like a good point to describe another statement: the <code>switch</code> statement.</p>\r\n<h2 id=\"long-notes\">Long notes</h2>\r\n<p>The notes for rest of this episode are available <a href=\"https://hackerpublicradio.org/eps/hpr2438/full_shownotes.html\">here</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><a href=\"https://www.gnu.org/software/gawk/manual/html_node/index.html\"><em>GNU Awk User\'s Guide</em></a></li>\r\n<li>Previous shows in this series on HPR:\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2114\">&quot;<em>Gnu Awk - Part 1</em>&quot;</a> - episode 2114</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2129\">&quot;<em>Gnu Awk - Part 2</em>&quot;</a> - episode 2129</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2143\">&quot;<em>Gnu Awk - Part 3</em>&quot;</a> - episode 2143</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2163\">&quot;<em>Gnu Awk - Part 4</em>&quot;</a> - episode 2163</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2184\">&quot;<em>Gnu Awk - Part 5</em>&quot;</a> - episode 2184</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2238\">&quot;<em>Gnu Awk - Part 6</em>&quot;</a> - episode 2238</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2330\">&quot;<em>Gnu Awk - Part 7</em>&quot;</a> - episode 2330</li>\r\n</ul></li>\r\n<li>Resources:\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2438/full_shownotes.epub\">ePub version of these notes</a></li>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2438/full_shownotes.pdf\">PDF version of these notes</a></li>\r\n<li>Demonstration of the <code>switch</code> statement:\r\n<ul>\r\n<li>Script: <a href=\"https://hackerpublicradio.org/eps/hpr2438/switch_example.awk\">switch_example.awk</a></li>\r\n<li>Output: <a href=\"https://hackerpublicradio.org/eps/hpr2438/switch_example.out\">switch_example.out</a></li>\r\n</ul></li>\r\n<li>Demonstration of the <code>break</code> statement:\r\n<ul>\r\n<li>Script: <a href=\"https://hackerpublicradio.org/eps/hpr2438/divisor.awk\">divisor.awk</a></li>\r\n<li>Output: <a href=\"https://hackerpublicradio.org/eps/hpr2438/divisor.out\">divisor.out</a></li>\r\n</ul></li>\r\n<li>Demonstration of the <code>continue</code> statement:\r\n<ul>\r\n<li>Script: <a href=\"https://hackerpublicradio.org/eps/hpr2438/continue_example.awk\">continue_example.awk</a></li>\r\n</ul></li>\r\n<li>Demonstration of the <code>next</code> statement:\r\n<ul>\r\n<li>Script: <a href=\"https://hackerpublicradio.org/eps/hpr2438/next_example.awk\">next_example.awk</a></li>\r\n<li>Output: <a href=\"https://hackerpublicradio.org/eps/hpr2438/next_example.out\">next_example.out</a></li>\r\n</ul></li>\r\n</ul></li>\r\n</ul>\r\n',225,94,1,'CC-BY-SA','Awk utility,Awk language,gawk,loops',0,0,1),
(2442,'2017-12-12','The sound of Woodbrook Quaker Study centre in the Spring',937,'I recorded the sound of bird song at Woodbrook Quaker study Centre in Birmingham UK in April 2017','<p>This is a recording I made at Woodbrook Quaker Study Centre in Birmingham UK while I was there in April 2017.</p>\r\n<p>I got the idea to release it as a show after listening to <em>hpr2354 :: Night Sounds in Rural Tennessee</em> hosted by Jon Kulp so here it is all 15 minutes of it.</p>\r\n<p>The centre is right by the busy A38 trunk road so hence the constant hum of traffic noise in the background.</p>\r\n<h3 id=\"links\">Links</h3>\r\n<ul>\r\n<li><a href=\"https://www.woodbrooke.org.uk/\" class=\"uri\">https://www.woodbrooke.org.uk/</a></li>\r\n</ul>',338,101,0,'CC-BY-SA','birdsong',0,0,1),
(2443,'2017-12-13','pdmenu',927,'I have been using this menu tool over the past year, and I really like it','<h1 id=\"pdmenu\">pdmenu</h1>\r\n<h2 id=\"introduction\">Introduction</h2>\r\n<p><a href=\"https://joeyh.name/code/pdmenu/\" title=\"Pdmenu\"><code>Pdmenu</code></a> is a tool written by <a href=\"https://joeyh.name/\" title=\"Joey Hess\">Joey Hess</a> which allows the creation of a simple menu in a terminal (console) window. It is in his list of less active projects, and the latest version is dated 2014, but it seems to be quite complete and useful as it is.</p>\r\n<p>I like simple menus. As a Sysadmin in my last job I used one on OpenVMS which helped me run the various periodic tasks I needed to run - especially the less frequent ones - without having to remember all of the details.</p>\r\n<p>I do the same on my various Linux systems, and find that <code>pdmenu</code> is ideal for the task.</p>\r\n<h2 id=\"installation\">Installation</h2>\r\n<p>I found <code>pdmenu</code> in the Debian repositories (I run Debian Testing), and it was very easily installed. The C source is available as a tarfile, though I\r\n haven\'t tried building it myself.</p>\r\n<h2 id=\"running-pdmenu\">Running <code>pdmenu</code></h2>\r\n<p>Simply typing <code>pdmenu</code> at a command prompt will invoke the utility. It uses the file <code>/etc/pdmenurc</code> as its default configuration file, and this generates a menu with a demonstration of some of its features.</p>\r\n<p>This is not particularly useful but it can be overridden by creating your own configuration, which by default is in <code>~/.pdmenurc</code>. The <code>pdmenu</code> command itself takes a configuration file as an argument, so there is plenty of flexibility.</p>\r\n<h2 id=\"full-notes-and-examples\">Full notes and examples</h2>\r\n<p>The full notes which describe the use of <code>pdmenu</code> with examples can be found <a href=\"https://hackerpublicradio.org/eps/hpr2443/full_shownotes.html\">here</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><a href=\"https://joeyh.name/code/pdmenu/\">Pdmenu wiki</a></li>\r\n<li><a href=\"https://joeyh.name/\">Joey Hess</a></li>\r\n<li>Resources:\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2443/full_shownotes.html\">Long notes for this episode</a></li>\r\n</ul></li>\r\n</ul>\r\n',225,0,1,'CC-BY-SA','command line,menu,pdmenu,.pdmenurc',0,0,1),
(2451,'2017-12-25','Server Basics 105 OpenVPN Client',1931,'Klaatu walks you through installing and configuring an OpenVPN client','<p>In the previous episode of this series, you set up an OpenVPN server. In this episode, Klaatu walks you through:</p>\r\n\r\n<ol>\r\n<li><p>\r\nInstalling OpenVPN on a client machine.\r\n</p></li>\r\n<li><p>\r\nGenerating a key and certificate request.\r\n</p></li>\r\n<li><p>\r\nSigning a client cert from the server.\r\n</p></li>\r\n<li><p>\r\nConfiguring the client.conf file.\r\n</p></li>\r\n<li><p>\r\nConfiguring the client routing table to use the VPN subnet.\r\n</p></li>\r\n<li><p>\r\nPinging the server over VPN&#33;&#33;&#33;\r\n</p></li>\r\n</ol>\r\n\r\n<p>Where to go from here? \r\n</p>\r\n<p>Your next steps should be to investigate how your org wants to use VPN, how your clients actually want to join the VPN &#40;Network Manager has some nice features that makes joining a VPN fairly transparent&#41;. Have fun&#33;</p>',78,0,0,'CC-BY-SA','server,vpn,sys admin',0,0,1),
(2447,'2017-12-19','Server Basics 104 OpenVPN Server',2595,'Klaatu walks you through installing and configuring OpenVPN Server','<p>In this episode, Klaatu demonstrates how to:\r\n</p>\r\n\r\n<ol>\r\n<li><p>\r\nInstall OpenVPN\r\n</p></li>\r\n<li><p>\r\nGenerate certificates for your OpenVPN server\r\n</p></li>\r\n<li><p>\r\nGenerate a private key for your OpenVPN server\r\n</p></li>\r\n<li><p>\r\nConfigure the &#47;etc&#47;openvpn&#47;server.conf file\r\n</p></li>\r\n<li><p>\r\nStart the OpenVPN daemon\r\n</p></li>\r\n</ol>\r\n\r\n<p>In case it is not clear, you can follow along with Klaatu, using the exact same options and configuration values as he is using for a successful install. You do not need to change</p>\r\n<p>In the next episode, he will demonstrate how to do all of the above for OpenVPN clients.</p>\r\n\r\n<p>\r\nVPN is a <em>big</em> topic that warrants a whole miniseries unto itself, so this and the next episode concentrate on getting a VPN up and running, with clients connected and pinging back to the server on a dedicated subnet. Additional config options based on your specific use-case are left for you to explore on your own.\r\n</p>',78,0,0,'CC-BY-SA','server,vpn,sys admin',0,0,1),
(2448,'2017-12-20','Useful Bash functions - part 3',2033,'A few more possibly useful Bash functions are discussed','<h1 id=\"useful-bash-functions---part-3\">Useful Bash functions - part 3</h1>\r\n<h2 id=\"overview\">Overview</h2>\r\n<p>This is the third show about Bash functions. These are a little more advanced than in the earlier shows, and I thought I\'d share them in case they are useful to anyone.</p>\r\n<p>As before it would be interesting to receive feedback on these functions and would be great if other Bash users contributed ideas of their own.</p>\r\n<h2 id=\"full-notes\">Full Notes</h2>\r\n<p>Since the notes explaining this subject are long, they have been placed <a href=\"https://hackerpublicradio.org/eps/hpr2448/full_shownotes.html\">here</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>Previous HPR episodes in this group <em>Useful Bash functions</em>:\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=1757\">Part 1</a>: \'<code>pad</code>\' and \'<code>yes_no</code>\' functions</li>\r\n<li><a href=\"https://hackerpublicradio.org/eps.php?id=2096\">Part 2</a>: \'<code>yes_no</code>\' revisited</li>\r\n</ul></li>\r\n<li>Download the <a href=\"https://hackerpublicradio.org/eps/hpr2448/read_value.sh\"><em>read_value</em></a>, <a href=\"https://hackerpublicradio.org/eps/hpr2448/check_value.sh\"><em>check_value</em></a> and <a href=\"https://hackerpublicradio.org/eps/hpr2448/read_and_check.sh\"><em>read_and_check</em></a> functions and the <a href=\"https://hackerpublicradio.org/eps/hpr2448/trace_of_read_value.txt\">trace of <em>read_value</em></a>.</li>\r\n</ul>',225,42,1,'CC-BY-SA','coding,Bash,script,function',0,0,1),
(2439,'2017-12-07','Internal Logic of Stories',1152,'Lostnbronx talks about stories and story consistency.','<p>Lostnbronx rambles on about the structure of stories, and how their internal logic can make or break them.</p>\r\n<ul>\r\n<li><p>Star Trek\'s warp drive, as described on the Memory Alpha wiki:<br />\r\n<a href=\"https://memory-alpha.wikia.com/wiki/Warp_drive\" class=\"uri\">https://memory-alpha.wikia.com/wiki/Warp_drive</a></p></li>\r\n<li><p>My own use of the starjump concept is probably best heard in Stardrifter Book 03: &quot;Risk Analysis&quot;<br />\r\n<a href=\"https://downloads.cavalcadeaudio.com/stardrifter-novels/03-risk-analysis/?p=home\" class=\"uri\">https://downloads.cavalcadeaudio.com/stardrifter-novels/03-risk-analysis/?p=home</a></p></li>\r\n</ul>',107,105,0,'CC-BY-SA','stories,storytelling,gaming,rpg,movies,writing,star trek,stardrifter,warp,starjump,lostnbronx',0,0,1),
(2446,'2017-12-18','Git server and git hooks',2430,'Klaatu talks about running git on a server, and explains git hooks.','<p>A sample post-receive git hook:</p>\r\n<pre><code>\r\n#!/usr/bin/tcsh\r\n\r\nforeach arg ( $< )\r\n  set argv = ( $arg )\r\n  set refname = $1\r\nend\r\n\r\nset branch = `git rev-parse --symbolic --abbrev-ref $refname`\r\necho $branch\r\n\r\n    if ( \"$branch\" == \"master\" ) then\r\n      echo \"Branch detected: master\"\r\n      echo \"Do some stuff here.\"\r\n    else if ( \"$branch\" == \"dev\" ) then\r\n      echo \"Branch detected: dev\"\r\n      echo \"Do something else here.\"\r\n      else\r\n        echo \"Do something entirely different here.\"\r\n    endif\r\n</code></pre>\r\n',78,81,0,'CC-BY-SA','git',0,0,1),
(2440,'2017-12-08','How to save bad beans or the French press',57,'how to hash tag coffee?','<h3>Memorial</h3>\r\n<p>\r\nWe take some time to remember our good friend and fellow host <a href=\"https://hackerpublicradio.org/correspondents/0024.html\">Lord Drachenblut</a> who passed away one year ago yesterday. <br />\r\nNow may be a good time to re listen to <a href=\"https://hackerpublicradio.org/eps.php?id=2201\">hpr2201 :: Matthew \"Lord Drachenblut\" Williams</a> HPR Community members remember the digital dragon.\r\n</p>\r\n\r\n<h3>Shownotes</h3>\r\n<p>I was driving in a place where I had no signal, so I recorded an episode about the first thing that popped into my mind.</p>\r\n<p>Recorded with lineageos recorder app through monster isport bluetooth headphones. I\'m amazed at the sound quality. I\'ll do this more. I promise</p>\r\n<p>(no I won\'t, I\'m lazy)</p>',126,88,1,'CC-BY-SA','driving, coffee',0,0,1),
(2445,'2017-12-15','Information Underground: Backwards Capitalism',2896,'Klaatu, Deepgeek, and Lostnbronx talk about markets, innovation, and opportunity.','<p>\r\nThe Info-Underground guys consider why capitalism does (or maybe doesn\'t) work, why people use it as a tool for a better life (or maybe don\'t), and what the source of ambition, commercial aspiration, and greed truly is (or maybe isn\'t).\r\n</p>',107,99,0,'CC-BY-SA','information underground,capitalism,klaatu,deepgeek,lostnbronx',0,0,1),
(2453,'2017-12-27','The power of GNU Readline - part 2',1165,'Various ways of deleting and undeleting on the command line with GNU Readline','<h1 id=\"the-power-of-gnu-readline---part-2\">The power of GNU Readline - part 2</h1>\r\n<p>In <a href=\"https://www.hackerpublicradio.org/eps.php?id=2073\" title=\"The power of GNU Readline - part 1\">part 1</a> we looked at some <code>Control</code> key and <code>Meta</code> key sequences as well as the <code>Backspace</code> and <code>DEL</code> keys in the context of GNU Readline.</p>\r\n<p>The full-length notes (available <a href=\"https://hackerpublicradio.org/eps/hpr2453/full_shownotes.html\">here</a>) contain a brief summary of what we covered and introduce <em>cutting</em> and <em>pasting</em> the GNU Readline way, with some examples.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><a href=\"https://www.ibb.net/~anne/keyboard.html\">Consistent BackSpace and Delete Configuration</a></li>\r\n<li>Wikipedia article on <a href=\"https://en.wikipedia.org/wiki/GNU_Readline\"><em>GNU Readline</em></a></li>\r\n<li><em>GNU Readline</em> manual: <a href=\"https://tiswww.cwru.edu/php/chet/readline/rluserman.html\" class=\"uri\">https://tiswww.cwru.edu/php/chet/readline/rluserman.html</a> (Note that the widely advertised address https://cnswww.cns.cwru.edu/php/chet/readline/rltop.html seems not to work any more. This one, which I found through the main GNU site, seems OK though)</li>\r\n<li>Previous episode:\r\n<ul>\r\n<li><a href=\"https://www.hackerpublicradio.org/eps.php?id=2073\">The power of GNU Readline - part 1</a></li>\r\n</ul></li>\r\n<li>Resources:\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org/eps/hpr2453/full_shownotes.html\">Detailed notes</a></li>\r\n</ul></li>\r\n</ul>',225,102,1,'CC-BY-SA','command line,cli,GNU Readline',0,0,1),
(2449,'2017-12-21','Org-mode mobile solution',578,'My search for taking org mode on the road','<h1 id=\"brief-introduction\">brief introduction</h1>\r\n<h2 id=\"myself\">myself</h2>\r\n<p>Hi, I\'m Brian in Ohio</p>\r\n<h2 id=\"inspiration-for-show\">inspiration for show</h2>\r\n<p>I wanted to tell a little about my trials and tribulations of finding a solution to taking org mode on the road. What\'s org mode? Listen to my last episode or do a duckduckgo to find out.</p>\r\n<h2 id=\"parameters\">parameters</h2>\r\n<p>After switching from using a bullet journal to using emacs-org-mode as my organizing device I immediately saw that lugging a laptop everywhere was not going to work for me. I wanted to be able to access org-mode, especially the agenda view, anywhere I might be. Laptops with limited battery life and a large physical presence were not going to work for me.</p>\r\n<h1 id=\"mobile-org-app\">mobile-org app</h1>\r\n<p>The first solution I tried, and the most obvious, was the mobile-org app. Its available for android or ios. I can only attest to the android version. Its an easy from the play store. This solution didn\'t work for me for a number of reasons. First, the documentation for the setup is terrible, and I became frustrated by the workflow and could not get useful results using the app. Mobile-org seems to be built around using dropox. In order to get around that I tried various methods of syncing my org files using onboard storage. Seeing this wasn\'t going to work I bit the bullet setup a dropbox account installed the clients, one on my slackware laptop and the other on my phone only to find dropbox doesn\'t support this application anymore. A little digging around and it seems the API used by mobile-org isn\'t up to snuff any more so, fail. I cut my loses and moved on to another possible solution.</p>\r\n<h1 id=\"pi-top\">pi-top</h1>\r\n<p>My next crack at solving the portable org mode problem was getting a pitop laptop <a href=\"https://pi-top.com/\">https://pi-top.com/</a>. Pitop is a laptop based on a raspberrypi. I won\'t go into the details of the device here but I\'ll say my idea for using this device was its advertised 8+ hour battery life. My old linux laptops rarely give me 2 hours of life So even though the pitop was physically larger than I wanted I gave it a whirl. Lets just say the battery does last 8+ hours, it just can\'t survive many recharges. 2 battery packs later I gave up on the pitop and went looking for something else.</p>\r\n<h1 id=\"pocketchip\">pocketchip</h1>\r\n<p>I heard klaatu mention a device called a pocketchip on his gnuworld order podcast <a href=\"https://gnuworldorder.info/\">https://gnuworldorder.info/</a>. I looked into it and here I thought might be a device that could work. Pocketchip <a href=\"https://getchip.com/pages/pocketchip\">https://getchip.com/pages/pocketchip</a> is a handheld linux computer. After ordering the device I began setting it up for my use case. There are plenty of tutorials on the pocketchip website on how to extend the usefulness of this product. The size of the device was good and the battery life was ok. Some people complain about the chicklet keyboard but I actually did not mind it to much. It took some fiddling to get the emacs keybindings I use to work on the odd keyboard layout, but its a linux computer so there\'s plenty of information out there. I used a thumb drive as a repository for my org files, wrote a couple of scripts to sync up the files with whatever device the drive was plugged into and wala a mobile org solution! Alas, the pocketchips demise was its build quality. The heart of the pocketchip, the system board\'s usb mini plug fell off, and then one system tweak later I bricked the device. I\'ll recover it eventually, you can program it through the gpio pins, but this was a quest for portable-org-mode, not fixing pocketchips, so onward.</p>\r\n<h1 id=\"raspberry-pi-tablet\">raspberry pi tablet</h1>\r\n<p>I saw a build of a raspberry pi tablet that looked very nice <a href=\"https://www.stefanv.com/electronics/a-compact-home-made-raspberry-pi-tablet.html\">https://www.stefanv.com/electronics/a-compact-home-made-raspberry-pi-tablet.html</a>. Always up for a challenge, I cobbled together a prototype and tried it out. The reason I eventually dropped this solution because the virtual keyboard didn\'t work well and I couldn\'t get the official raspberrypi lcd to rotate from portrait to landscape dynamically. Still a fun project and I\'ll get some use out of it sometime.</p>\r\n<h1 id=\"android-phone\">android phone</h1>\r\n<p>Well here\'s the solution I came up with. I was searching around on the internet and found a link telling about running emacs on an android phone. <a href=\"https://endlessparentheses.com/running-emacs-on-android.html\">https://endlessparentheses.com/running-emacs-on-android.html</a>. It involves installing the termux app, the hackers keyboard, both available in the google play store and apt-get installing emacs on the phone. After that I had full emacs running, all be it in a terminal so its slightly different then running on the desktop, and with emacs you get, drum roll please, org-mode. With this i have the device I always take with running org-mode. I sink my org files between my laptop and phone using the afore mentioned drop box account. The hackers keyboard works flawlessly and can digest any emacs keybinding I need. I also have a logitech bluetoothkeyboard that I can use if I have a lot of typing to do in org-mode on my phone, such as these shownotes!</p>\r\n<h1 id=\"conclusions\">conclusions</h1>\r\n<p>I find org-mode so useful that I want it available any where I go. And over the course of the last 8 months I went on a journey trying to find a solution to that desire. In the end, the solution was pretty obvious, these portable computers we carry around are amazing and thanks to the developers of termux and the hackers keyboard my phone is now infinitely more useful to me. Thanks for listening.</p>\r\n',326,0,0,'CC-BY-SA','emacs,org-mode,mobile,mobile-org app,pi-top,pocketchip,Android',0,0,1),
(2450,'2017-12-22','Android Audio with viper 4 android and magisk',609,'I go over some ways to help manage audio with android','<ul>\r\n<li><p>viper4android<br />\r\n<a href=\"https://vipersaudio.com/blog/?page_id=48\" class=\"uri\">https://vipersaudio.com/blog/?page_id=48</a></p></li>\r\n<li><p>magisk<br />\r\n<a href=\"https://forum.xda-developers.com/apps/magisk/official-magisk-v7-universal-systemless-t3473445\" class=\"uri\">https://forum.xda-developers.com/apps/magisk/official-magisk-v7-universal-systemless-t3473445</a></p></li>\r\n</ul>',36,0,1,'CC-BY-SA','audio,android',0,0,1),
(2452,'2017-12-26','Hydraulic Heavy Scale Project',1339,'Hydraulic Jack Mod, DIY, Travel Trailer Balance','<h2 id=\"hydraulic-heavy-scale-project\">Hydraulic Heavy Scale Project</h2>\r\n<h3 id=\"by-david-whitman\">by David Whitman</h3>\r\n<p>Why? - to weigh a heavy object yourself</p>\r\n<p>Not very difficult. Can be done in about 1/2 hour by someone who has experience doing this type of stuff. Lots longer for beginners.</p>\r\n<p>Things you will need: A drill motor, The right size bit for a small pilot hole and the right size bit for a fitting to connect the jack cylinder to the pressure gauge, A Thread TAP to make threads to connect the hydraulic 90 degree fitting to the jack, Some pipe dope is not a bad idea, A 90 degree appropriately sized fitting to connect a pressure gauge to the jack, a vise is nice, a wrench to dismantle the jack, A way to accurately measure the cylinder bore (best is a caliper) and some oil to refill the jack.</p>\r\n<p>This link is a youtube to help you visualize the steps. <a href=\"https://www.youtube.com/watch?v=ZBmxkWK_OFA\" class=\"uri\">https://www.youtube.com/watch?v=ZBmxkWK_OFA</a></p>\r\n<p>Hate this episode? No problem. Do a better one</p>',209,0,0,'CC-BY-SA','Hydraulic Jack Mod, DIY, Travel Trailer Balance',0,0,1),
(2454,'2017-12-28','The Alien Brothers Podcast - S01E02 - Strictly Hacking',6389,'Casper and Rutiger discuss the Uber hacks and the Intel ME known and unknown vulnerabilties','<p>Casper and Rutiger attempt to STAY ON TARGET by discussing hacking… which when you think about it is an utterly pretentious and vague goal for a podcast presented by Hacker Public Radio, especially when considering the end result. Shame on us!</p>\r\n<p>Other topics include Friendsgiving and giving thanks; probably the greatest gaming console of the 1970’s; early “hackings” (sic) committed by the hosts; &lt;&lt; &gt;&gt;</p>\r\n<h2 id=\"references\">References:</h2>\r\n<ol type=\"1\">\r\n<li>The link to the first chapter of Dief Minusky’s seminal the Nature of Systems is freely available here.<br />\r\n<a href=\"https://www.dropbox.com/s/or5vefjumde4qsk/TNOS%20E-I%20C1%2020030415.pdf?dl=0\">https://www.dropbox.com/s/or5vefjumde4qsk/TNOS%20E-I%20C1%2020030415.pdf?dl=0</a><br />\r\nAlthough we referred to the Chapter 8 material on system network security during the show, Rutiger decided it was better to release chapters, incrementally, in order let listeners gain a fuller appreciation for the work. Rutiger is also attempting to track down the original author, who never publicly released the work, to gain retroactive permission for this link, but for the moment Alien Brothers Podcast takes full responsibility for allowing access to this non-copyrighted work and we’ll just go ahead, you know, feel good about the possibility it will all turn out OK.</li>\r\n<li>Uber Data Breach (2017; CNN.com)</li>\r\n<li>How to Disable the Intel Management Engine Backdoor<br />\r\n<a href=\"https://beinglibertarian.com/disable-intel-management-engine-backdoor-courtesy-nsa/\" class=\"uri\">https://beinglibertarian.com/disable-intel-management-engine-backdoor-courtesy-nsa/</a></li>\r\n</ol>',359,0,1,'CC-BY-SA','Uber Hack, Intel ME, Alien Brothers',0,0,1),
(2455,'2017-12-29','Interface Zero RPG Part 5',5074,'Klaatu, Lobath, and Thaj play the Interface Zero RPG part 5','<p>An extra-long episode of the grand finale of the Interface Zero RPG play-through.</p>\r\n\r\n<p>Spoilers&#58; Chaiwei dies in combat and Syd runs off with Tina.</p>\r\n\r\n<p>\r\nAt the end of the show are all the credits containing sound effects and source materials. Here they are in text form.</p>\r\n\r\n<p>\r\nSound effects were taken from <a href=\"https://freesound.org\" target=\"_blank\">freesound.org</a>. Thanks to the following artists&#58;\r\n</p>\r\n\r\n<ul>\r\n<li>\r\n<p>\r\ninterfacezero/muzak/70891__spukkin__trumpetmetal.wav</p></li><li>\r\n<p>\r\ninterfacezero/muzak/212926__simongray__mojo-cafe-nr-wagamama.flac</p></li><li>\r\n<p>\r\ninterfacezero/muzak/243629__lebcraftlp__heavy-rain.flac</p></li><li>\r\n<p>\r\ninterfacezero/muzak/382735__schots__gun-shot.flac</p></li><li>\r\n<p>\r\ninterfacezero/muzak/186104__marcel-farres__elevator.flac</p></li><li>\r\n<p>\r\ninterfacezero/muzak/187866__theomegapixel__metal-grind.flac</p></li><li>\r\n<p>\r\ninterfacezero/muzak/66713__sunnysidesound__desk-pound.wav</p></li><li>\r\n<p>\r\ninterfacezero/muzak/367222__bluedelta__thunder-rain-low-frequencies-4-channel-48khz.wav</p></li><li>\r\n<p>\r\ninterfacezero/muzak/212678__fridobeck__firework-explosion-1.wav</p></li><li>\r\n<p>\r\ninterfacezero/muzak/213610__dpoggioli__laser-gun-explosion.wav</p></li><li>\r\n<p>\r\ninterfacezero/muzak/100772__cgeffex__huge-rocket-launcher.wav</p></li><li>\r\n<p>\r\ninterfacezero/muzak/336735__newagesoup__double-explosion-bright-dark.wav</p></li><li>\r\n<p>\r\ninterfacezero/ep2/329877__klavo1985__music-of-the-black-circus-the-very-best-by-kris-klavenes.flac</p></li><li>\r\n<p>\r\ninterfacezero/ep2/94914__pcaeldries__lakeside2.flac</p></li><li>\r\n<p>\r\ninterfacezero/ep2/153376__inchadney__the-bay.flac</p></li><li>\r\n<p>\r\ninterfacezero/ep3/152396__taavi55__big-smash.ogg</p></li><li>\r\n<p>\r\ninterfacezero/ep3/135465__joelaudio__quick-smash-001.wav</p></li><li>\r\n<p>\r\ninterfacezero/ep3/387177__pfranzen__smashing-a-glass.ogg</p></li>\r\n</ul>\r\n\r\n<p><strong>Music</strong></p>\r\n<ul>\r\n<li>\r\n<p>\r\n<strong>Lyphrygerator</strong> and <strong>Wood&#47;Water</strong> by <a href=\"https://williamkenlon.com\" target=\"_blank\">William Kenlon</a>, used with permission.\r\n</p>\r\n</li>\r\n<li>\r\n<p>\r\nAll other music by Klaatu.\r\n</p>\r\n</li>\r\n</ul>\r\n\r\n<p><strong>Story</strong></p>\r\n\r\n<p>\r\nWant to play this game yourself?\r\n</p>\r\n\r\n<ul>\r\n<li>\r\n<p>\r\nPathfinder and Starfinder are by <a href=\"https://paizo.com\" target=\"_blank\">Paizo</a>\r\n</p>\r\n</li>\r\n<li><p>\r\n<strong>Interface Zero</strong> module available from <a href=\"https://drivethrurpg.com/product/214863/Interface-Zero-Pathfinder-Edition\" target=\"_blank\">driveThruRPG.com</a>\r\n</p></li>\r\n\r\n<li><p>\r\nAdventure path <strong>Job inSecurity</strong> is available from <a href=\"https://drivethrurpg.com\">driveThruRPG.com</a>.\r\n</p>\r\n</li>\r\n<li><p>The source of the story is available from <a href=\"https://www.drivethrurpg.com/product/229831/Job-inSecurity\">driveThruRPG.com</a></p></li>\r\n</ul>\r\n<p><small><small>Editor\'s note 2017-12-28: link added from comments.</small></small></p> \r\n',78,95,1,'CC-BY-SA','Interface Zero,game,gaming,tabletop,rpg',0,0,1),
(2457,'2018-01-02','Getting ready for my new Macbook Pro',1165,'Knightwise is about to order a new macbook pro and shares some tips and tricks','<p>I am about to buy a new macbook pro and talk about the things I do to install and protect it.</p>\r\n<ul>\r\n<li><p>The case<br />\r\n<a href=\"https://www.amazon.de/gp/product/B01MPYI8SA/ref=oh_aui_detailpage_o01_s00?ie=UTF8&amp;psc=1\" class=\"uri\">https://www.amazon.de/gp/product/B01MPYI8SA/ref=oh_aui_detailpage_o01_s00?ie=UTF8&amp;psc=1</a></p></li>\r\n<li><p>The Cables<br />\r\n<a href=\"https://www.amazon.de/gp/product/B06W53PXRB/ref=oh_aui_detailpage_o01_s00?ie=UTF8&amp;psc=1\" class=\"uri\">https://www.amazon.de/gp/product/B06W53PXRB/ref=oh_aui_detailpage_o01_s00?ie=UTF8&amp;psc=1</a><br />\r\n<a href=\"https://www.amazon.de/gp/product/B01COOQIKU/ref=oh_aui_detailpage_o01_s00?ie=UTF8&amp;psc=1\" class=\"uri\">https://www.amazon.de/gp/product/B01COOQIKU/ref=oh_aui_detailpage_o01_s00?ie=UTF8&amp;psc=1</a></p></li>\r\n<li><p>The Screen protector<br />\r\n<a href=\"https://www.appelhoes.nl/Moshi-iVisor-AG-screenprotector-MacBook-Pro-13-inch-2016-Touch-Bar?gclid=EAIaIQobChMImvLt9PCI2AIVyTLTCh2FuwXfEAQYAiABEgJY6_D_BwE\" class=\"uri\">https://www.appelhoes.nl/Moshi-iVisor-AG-screenprotector-MacBook-Pro-13-inch-2016-Touch-Bar?gclid=EAIaIQobChMImvLt9PCI2AIVyTLTCh2FuwXfEAQYAiABEgJY6_D_BwE</a></p></li>\r\n<li><p>Homebrew and Cask<br />\r\n<a href=\"https://brew.sh/\" class=\"uri\">https://brew.sh/</a><br />\r\n<a href=\"https://caskroom.github.io/\" class=\"uri\">https://caskroom.github.io/</a></p></li>\r\n</ul>\r\n',111,0,1,'CC-BY-SA','Macbook Pro, Homebrew, warranty, case, cables',0,0,1),
(2458,'2018-01-03','Chrome Plugins You Must Have',643,'I go over my current list of Chrome plugins and how I secure my browser','<p><a href=\"https://www.linkedin.com/pulse/block-more-ads-unlimited-cloud-storage-multi-threaded-robert-mccurdy\" class=\"uri\">https://www.linkedin.com/pulse/block-more-ads-unlimited-cloud-storage-multi-threaded-robert-mccurdy</a></p>\r\n',36,0,1,'CC-BY-SA','Chrome extensions',0,0,1),
(2465,'2018-01-12','TronScript where have you been all my life!',1669,'I take an initial look at TronScript and its features','<ul>\r\n<li><p><a href=\"https://www.reddit.com/r/TronScript/\" class=\"uri\">https://www.reddit.com/r/TronScript/</a></p></li>\r\n<li><p><a href=\"https://github.com/bmrf/tron/blob/master/README.md#full-tron-description\" class=\"uri\">https://github.com/bmrf/tron/blob/master/README.md#full-tron-description</a></p></li>\r\n</ul>',36,0,1,'CC-BY-SA','windows,scripting,batch files,antivirus,malware',0,0,1),
(2459,'2018-01-04','free software\'s long tail',436,'Response to hpr2443 :: pdmenu by pdmenu\'s author','<p>Surprised to see in my podcast feed <a href=\"https://hackerpublicradio.org/eps.php?id=2443\">an episode</a> about an <a href=\"https://joeyh.name/code/pdmenu/\">insignificant program which I\'d written two decades earlier</a>, I thought I\'d record a response with some thoughts on free software\'s long tail.</p>\r\n',360,0,0,'CC-BY-SA','pdmenu,free software',0,0,1),
(2461,'2018-01-08','Gitolite',1839,'Using Gitolite to administer your Git server.','<p>Gitolite provides an admin a centralised interface, in the form of a configuration file, to make managing users, user permissions, repos, and user and repo groups easy. It abstracts Git users from UNIX users by defining a user by public keys, and manages permissions down to the branch-level. And better yet, it is itself managed over Git.\r\n</p>\r\n<p> \r\nProper documentation is available on <a href=\"https://gitolite.com\">Gitolite.com</a></p>',78,81,0,'CC-BY-SA','git,server,admin,dev',0,0,1),
(2471,'2018-01-22','Tea Time!',379,'I go over where I am at with Tea','<ul>\r\n<li>Yerba Mate Pajarito Special Selection/ Seleccion Especial 1.1lb/500 Gr Pajarito</li>\r\n</ul>',36,0,1,'CC-BY-SA','Tea, Yerba Mate Pajarito',0,0,1),
(2462,'2018-01-09','AudioBookClub-14-Triplanetary-(First-in-the-Lensman-Series)',7030,'The HPR_AudioBookClub discusses Triplanetary: First in the Lensman Series by E. E. \"Doc\" Smith','<h3>SUMMARY</h3>\r\n<p>In this episode, the HPR_AudioBookClub discusses <strong>Triplanetary: First in the Lensman Series</strong> by E. E. \"Doc\" Smith.\r\n<br/><a href=\"https://librivox.org/triplanetary-first-in-the-lensman-series-by-e-e-doc-smith/\">https://librivox.org/triplanetary-first-in-the-lensman-series-by-e-e-doc-smith/</a></p>\r\n<h3>Non-Spoiler Thoughts</h3>\r\n<ul>\r\n <li>Like the last AudioBook, we all felt that there were quite a few cliches in the story, however this book is probably the source of most of the cliches it uses.</li>\r\n <li>If you want to see what Lensmen doesn\'t look like watch this: <a href=\"https://www.youtube.com/watch?v=-td8Jp0hJVA\">https://www.youtube.com/watch?v=-td8Jp0hJVA</a></li>\r\n</ul>\r\n<h3>BEVERAGE REVIEWS</h3>\r\n<p>As usual, the HPR_AudioBookClub took some time to review the beverages that each of us were drinking during the episode</p>\r\n<ul>\r\n <li>Thaj: Grapefuit Juice... Straight. Apparently NOT straight up</li>\r\n <li>x1101: <a href=\"https://www.gooseisland.com/beer/bourbon-county-stout.html?gclid=CIDivOaqusICFcxQ7AodcXEAKQ\">Goose Island Bourbon County Stout</a></li>\r\n <li>pokey: Smuttynose Winter Ale <a href=\"https://smuttynose.com/beer/winter-ale/\">https://smuttynose.com/beer/winter-ale/</a></li>\r\n</ul>\r\n<h3>Other Things We Talked About</h3>\r\n<ul>\r\n <li>Port knocking \r\n  <br/><a href=\"https://www.portknocking.org/\">https://www.portknocking.org/</a> \r\n  <br/><a href=\"https://en.wikipedia.org/wiki/Port_knocking\">https://en.wikipedia.org/wiki/Port_knocking</a></li>\r\n <li>John Williams \r\n  <br/><a href=\"https://en.wikipedia.org/wiki/John_Williams\">https://en.wikipedia.org/wiki/John_Williams</a> \r\n  <br/><a href=\"https://www.imdb.com/name/nm0002354/\">https://www.imdb.com/name/nm0002354/</a></li>\r\n <li>Danny Elfman \r\n  <br/><a href=\"https://en.wikipedia.org/wiki/Danny_Elfman\">https://en.wikipedia.org/wiki/Danny_Elfman</a> \r\n  <br/><a href=\"https://youtu.be/6SX8cWGcHJs\">https://youtu.be/6SX8cWGcHJs</a></li>\r\n <li>Stranger in a strange land \r\n  <br/><a href=\"https://en.wikipedia.org/wiki/Stranger_in_a_Strange_Land\">https://en.wikipedia.org/wiki/Stranger_in_a_Strange_Land</a></li>\r\n <li>Star Wars Extended Universe \r\n  <br/><a href=\"https://starwars.wikia.com/wiki/Star_Wars_Legends\">https://starwars.wikia.com/wiki/Star_Wars_Legends</a> \r\n  <br/><a href=\"https://en.wikipedia.org/wiki/Star_Wars_expanded_universe\">https://en.wikipedia.org/wiki/Star_Wars_expanded_universe</a></li>\r\n <li>Internet outages</li>\r\n</ul>\r\n<h3>OUR NEXT AUDIOBOOK</h3>\r\n<p><strong>City Of Masks</strong> by Mike Reeves-McMillan\r\n <br/><a href=\"https://scribl.com/books/PC439/city-of-masks\">https://scribl.com/books/PC439/city-of-masks</a></p>\r\n<h3>FURTHER RECOMMENDATIONS</h3>\r\n<p>The rest of the Lensman Series: <a href=\"https://en.wikipedia.org/wiki/Lensman_series\">https://en.wikipedia.org/wiki/Lensman_series</a></p>\r\n<p> What the new Star Wars movies should have been about: <a href=\"https://en.wikipedia.org/wiki/Thrawn_trilogy\">https://en.wikipedia.org/wiki/Thrawn_trilogy</a></p>\r\n<h3>FEEDBACK</h3>\r\n<p>Thank you very much for listening to this episode of the HPR_AudioBookClub. We had a great time recording this show, and we hope you enjoyed it as well. We also hope you\'ll consider joining us next time. Please leave a few words in the episode\'s comment section.\r\n <br/>As always; remember to visit the HPR contribution page HPR could really use your help right now.</p>\r\n<p><a href=\"https://hackerpublicradio.org/contribute.php\">https://hackerpublicradio.org/contribute.php</a></p>\r\n<p>Sincerely,\r\n <br/>The HPR_AudioBookClub</p>\r\n<p>P.S. Some people really like finding mistakes. For their enjoyment, we always include a few.</p>\r\n <br/>\r\n<h3>OUR AUDIO</h3>\r\n<p>This episode was processed using Audacity <a href=\"https://audacity.sourceforge.net/\">https://audacity.sourceforge.net/</a>. We\'ve been making small adjustments to our audio mix each month in order to get the best possible sound. It\'s been especially challenging getting all of our voices relatively level, because everyone has their own unique setup. Mumble is great for bringing us all together, and for recording, but it\'s not good at making everyone\'s voice the same volume. We\'re pretty happy with the way this month\'s show turned out, so we\'d like to share our editing process and settings with you and our future selves (who, of course, will have forgotten all this by then).</p>\r\n<p>Mumble uses a sample rate of 48kHz, but HPR requires a sample rate of 44.1kHz so the first step in our audio process is to resample the file at 44.1kHz. Resampling can take a long time if you don\'t have a powerful computer, and sometimes even if you do. If you record late at night, like we do, you may want to start the task before you go to bed, and save it first thing in the morning, so that the file is ready to go the next time you are.</p>\r\n<p>Next we use the \"Compressor\" effect with the following settings:</P>\r\n <ul>\r\n <li>Threshold: -30db</li>\r\n <li>Noise Floor: -50db</li>\r\n <li>Ratio: 3:1</li>\r\n <li>Attack Time: 0.2sec</li>\r\n <li>Decay Time: 1.0 sec</li>\r\n <li>\"Make-up Gain for 0db after compressing\" and \"compress based on peaks\" were both left un-checked.</li>\r\n </ul>\r\n<p>After compressing the audio we cut any pre-show and post-show chatter from the file and save them in a separate file for possible use as outtakes after the closing music.</p>\r\n<p>At this point we listen back to the whole file and we work on the shownotes. This is when we can cut out anything that needs to be cut, and we can also make sure that we put any links in the shownotes that were talked about during the recording of the show. We finish the shownotes before exporting the .aup file to .FLAC so that we can paste a copy of the shownotes into the audio file\'s metadata. We use the \"Truncate Silence\" effect with it\'s default settings to minimize the silence between people speaking. When used with it\'s default (or at least reasonable) settings, Truncate Silence is extremely effective and satisfying. It makes everyone sound smarter, it makes the file shorter without destroying actual content, and it makes a conversations sound as easy and fluid during playback as it was while it was recorded. It can be even more effective if you can train yourself to remain silent instead of saying \"uuuuummmm.\" Just remember to ONLY pass the file through Truncate Silence ONCE. If you pass it through a second time, or if you set it too aggressively your audio may sound sped up and choppy.</p>\r\n<p>At this point we add new, empty audio tracks into which we paste the intro, outro and possibly outtakes, and we rename each track accordingly.</p>\r\n<p>We adjust the Gain so that the VU meter in Audacity hovers around -12db while people are speaking, and we try to keep the peaks under -6db, and we adjust the Gain on each of the new tracks so that all volumes are similar, and more importantly comfortable. Once this is done we can \"Mix and Render\" all of our tracks into a single track for export to the .FLAC file which is uploaded to the HPR FTP server.</p>\r\n<p>Remember to save often when using Audacity. We like to save after each of these steps. Audacity has a reputation for being \"crashy\" but if you remember save after every major transform, you will wonder how it ever got that reputation.</p>\r\n',157,53,1,'CC-BY-SA','HPR AudioBookClub, Triplanetary, E. E. \"Doc\" Smith',0,0,1),
(2460,'2018-01-05','The Alien Brothers Podcast - S01E03 - Decline of American Empire',6830,'The Alien Brothers penetrate the Van Allen belt to tap in, and transmit an intergalactic podcast','<h1>Summary:</h1>\r\n<p>\r\nCasper and Rutiger opt for a time of ease and relaxation by discussing happy light topics: the <em>decline of American Empire</em> and <em>recent <a href=\"https://www.google.com/url?q=https://www.cnbc.com/2017/12/14/fcc-reverses-open-internet-order-governing-net-neutrality.html&amp;sa=D&amp;ust=1513926885706000&amp;usg=AFQjCNGZt2slIT3aeHGveiV4ZnXmZYOhnA\">reversal of Net Neutrality protections</a></em> [or the rollout of Net Neuterality -c] (December 2017).\r\n</p>\r\n<h1>Links and Notes:</h1>\r\n<p>\r\n<strong>Re: Empire</strong> - moral decline and massive wealth inequality, role in imperial decline <a href=\"https://www.google.com/url?q=https://www.businessinsider.com/2-overlooked-characteristics-of-an-empire-in-decline-2015-10&amp;sa=D&amp;ust=1513926885707000&amp;usg=AFQjCNFa_5D5Gx9clZpm-alySTAjKCl6Og\">[1]</a> -r<br/>\r\n<strong>Re: Empire</strong> - Noam Chomsky and Decline of American Empire <a href=\"https://www.google.com/url?q=https://www.youtube.com/watch?v%3DoLOUJ0C61O0&amp;sa=D&amp;ust=1513926885708000&amp;usg=AFQjCNHcdsaF1pzjhkcjc5KeYAw9ayBH8A\">[2]</a> -r<br/>\r\n<strong>Re: Empire</strong> - moral decline - death as sport (Onion spoof) <a href=\"https://www.google.com/url?q=https://www.youtube.com/watch?v%3DHyph_DZa_GQ&amp;sa=D&amp;ust=1513926885708000&amp;usg=AFQjCNHs7nXBhvmV4i82k-Jh-ooQmyUfgA\">[3]</a> -r<br/>\r\n<strong>Re: Net Neutrality</strong> - Rutiger apologies - to Casper, for completely derailing the conversation on Net Neutrality by believing that pay-for-bandwidth/capacity and limiting access to content are both legitimate elements of the Net Neutrality debate, but over-focusing on the infrastructure/de-emphasizing the content argument. See <a href=\"https://www.google.com/url?q=https://en.wikipedia.org/wiki/Net_neutrality%23Prevent_overuse_of_bandwidth&amp;sa=D&amp;ust=1513926885709000&amp;usg=AFQjCNG-cpGrTBMts6ZBnNe70pwsRmh4uQ\">Prevent Over-Use of Bandwidth</a> and <a href=\"https://www.google.com/url?q=https://en.wikipedia.org/wiki/Net_neutrality%23Pricing_models&amp;sa=D&amp;ust=1513926885709000&amp;usg=AFQjCNGLFZMwvku5aEIMc12xUp5B_2-Fmg\">Pricing Models</a> vs. <a href=\"https://www.google.com/url?q=https://en.wikipedia.org/wiki/Net_neutrality%23Data_discrimination&amp;sa=D&amp;ust=1513926885710000&amp;usg=AFQjCNE8FZmUnilxtALBwMA4myBkHNBcjg\">Data Discrimination</a> <a href=\"https://www.google.com/url?q=https://en.wikipedia.org/wiki/Net_neutrality&amp;sa=D&amp;ust=1513926885710000&amp;usg=AFQjCNG4ZUX2pOEnC0yPI0m50kdL42_n-g\">[4]</a> -r<br/>\r\n<strong>Re: Empire</strong> - consumption of human suffering as entertainment - modern Roman colosseum <a href=\"https://www.google.com/url?q=https://www.eonline.com/news/367020/lindsay-lohan-a-timeline-of-all-her-arrests-and-boy-there-are-a-lot-of-em&amp;sa=D&amp;ust=1513926885711000&amp;usg=AFQjCNGy09hpDmDL7x25vzJ31pm_LiqWuQ\">[5]</a> -r <br/>\r\n<strong>Re: Empire</strong> - the thought leaders over at Reddit on elements of declining empire <a href=\"https://www.google.com/url?q=https://www.reddit.com/r/AskHistorians/comments/34fnw9/what_are_the_characteristic_signs_of_a_declining/&amp;sa=D&amp;ust=1513926885711000&amp;usg=AFQjCNHQvIfniCHqgDstF7ZpYRmVmLz-MQ\">[6]</a> -r <br/>\r\n<strong>Re: Thoughts</strong> - Volume One Chapter Two of Diek Minusky&rsquo;s <strong>The Nature of Systems</strong> will be coming with&hellip; episode 4! Sorry folks. Hold&hellip; hold! -r<br/>\r\n<strong>Re: Getting Things Done</strong> - by David Allen [<a href=\"https://www.google.com/url?q=https://en.wikipedia.org/wiki/Getting_Things_Done?wprov%3Dsfti1&amp;sa=D&amp;ust=1513926885712000&amp;usg=AFQjCNGsprONTkDHQk_oZmnR8PIgrd29Sw\">7</a>]<br/>\r\n</p>\r\n<ul>\r\n<li>[1] <a href=\"https://www.google.com/url?q=https://www.businessinsider.com/2-overlooked-characteristics-of-an-empire-in-decline-2015-10&amp;sa=D&amp;ust=1513926885712000&amp;usg=AFQjCNGF7nnnemC3Su4IIF61on_6IjvAMA\">2 overlooked characteristics of an empire in decline - Business Insider</a>\r\n</li>\r\n<li>[2] <a href=\"https://www.google.com/url?q=https://www.youtube.com/watch?v%3DoLOUJ0C61O0&amp;sa=D&amp;ust=1513926885713000&amp;usg=AFQjCNHNRm0rZT9z0MxAMJFtjOTqErSJzg\">Noam Chomsky - on the Decline of the American Empire - YouTube</a> - Al Jazeera</li>\r\n<li>[3] <a href=\"https://www.google.com/url?q=https://www.youtube.com/watch?v%3DHyph_DZa_GQ&amp;sa=D&amp;ust=1513926885713000&amp;usg=AFQjCNGuCvf5Py4sStnR9uUtedTTXwFB9A\">Supreme Court: Death Penalty Is \'Totally Badass\' - YouTube</a> - The Onion News Network</li>\r\n<li>[4] <a href=\"https://www.google.com/url?q=https://en.wikipedia.org/wiki/Net_neutrality&amp;sa=D&amp;ust=1513926885714000&amp;usg=AFQjCNG6sTJOxSvBQ-Ywl-RVRgvUo6jCEw\">https://en.wikipedia.org/wiki/Net_neutrality</a> - Wikipedia</li>\r\n<li>[5] <a href=\"https://www.google.com/url?q=https://www.eonline.com/news/367020/lindsay-lohan-a-timeline-of-all-her-arrests-and-boy-there-are-a-lot-of-em&amp;sa=D&amp;ust=1513926885714000&amp;usg=AFQjCNEDcxEmes1tfmUS7fkQkH1bZD6LGw\">Lindsay Lohan: A Timeline of All Her Arrests (and Boy, There Are a Lot &hellip;</a> - E! Online</li>\r\n<li>[6] <a href=\"https://www.google.com/url?q=https://www.reddit.com/r/AskHistorians/comments/34fnw9/what_are_the_characteristic_signs_of_a_declining/&amp;sa=D&amp;ust=1513926885715000&amp;usg=AFQjCNG69NTgUj39KYE99_ESedlOq_UGQg\">What Are the Characteristic Signs of a Declining Empire/State?</a> - Reddit thread</li>\r\n<li>[7] <a href=\"https://www.google.com/url?q=https://en.wikipedia.org/wiki/Getting_Things_Done?wprov%3Dsfti1&amp;sa=D&amp;ust=1513926885716000&amp;usg=AFQjCNGewMgVm4qWoT51ut-gC8N8ZDBHww\">Getting Things Done</a> - Wikipedia </li>\r\n</ul>\r\n\r\n<h1>Timeline / Additional Links:</h1>\r\n<p>\r\n<strong>00:00:00 - 00:13:00 Settling in</strong> - Casper and Rutiger get acquainted after being off the air for a while. Skip this part if you don&rsquo;t care about the characters Casper and Rutiger and their degeneration&hellip;<br/>\r\n<strong>Begin Topic 1: Net Neuterality / Net Neutrality Rollback</strong><br/>\r\n<strong>00:14:00 - 00:30:00 The Deployment of Net Neuterality / Rollback of Net Neutrality</strong> - Casper attempts to boil this topic down nice and easy for Rutiger, yet Rutiger conflates this (see above), but that is OK as this is normal for pleebs. Members of HPR will understand.<br/>\r\n<strong>00:30:00 - 00:36:00 Fox &amp; Disney Merger</strong> - Coincidence or Conspiracy on timing w/ Net Neutrality rollback?<br/>\r\n<strong>00:36:00 - 00:40:30 How Should HPR Community Respond or Mitigate This? </strong> Credit goes to Rob Placone and Jimmy Dore for mentioning Municipality developed internet<br/>\r\n<a href=\"https://www.google.com/url?q=https://www.youtube.com/watch?v%3DmvJ93kjSXiQ&amp;sa=D&amp;ust=1513926885717000&amp;usg=AFQjCNFpG46IkPUOXpEqaYmyf3moojSKJg\">https://www.youtube.com/watch?v=mvJ93kjSXiQ</a><br/>\r\n<strong>00:40:30 - 00:48:00 Discussion on Availability of Access</strong><br/>\r\n<strong>00:48:00 - 00:52:00 Casper takes a sharp pivot off track</strong> - A satellite is mentioned and Casper brings up DMB unfortunately for the listener<br/>\r\n<strong>00:52:00 - 00:56:00 FREESTYLE JAM!@&amp;#%^</strong><br/>\r\n<strong>00:58:00 - Ron Swanson has words for Ajit Pai</strong><br/>\r\n<strong>01:00:00 - Rutiger Does Not Speak in Tribe Called Quest Protocol call and response</strong><br/>\r\n<strong>01:05:00 - 01:20:00 Casper and Rutiger give their distinct definition of Empire </strong> and expand upon this<br/>\r\n<strong>01:20:00 - 01:23:00 MUDs, OG Tech &amp; Being Alone Together</strong><br/>\r\n<strong>01:23:00 - Casper mentions 150 people own EVERYTHING </strong> as mentioned here by Chamath Palihapitiya <br/>\r\n<a href=\"https://www.google.com/url?q=https://www.youtube.com/watch?v%3DPMotykw0SIk&amp;sa=D&amp;ust=1513926885719000&amp;usg=AFQjCNEAP85KwhfeWzniBeU5OHqnn6D-fg\">https://www.youtube.com/watch?v=PMotykw0SIk</a><br/>\r\n&ldquo;During his View From The Top talk, Chamath Palihapitiya, founder and CEO of Social Capital, discussed how money is an instrument of change which should be used to make the world a better place&rdquo;<br/>\r\n<strong>01:27:00 - 01:30:00 - Being Alone Together</strong><br/>\r\n<strong>01:30:00 - 01:33:00 - Bullying and how Technology can Exponentiate this</strong><br/>\r\n<strong>01:33:00 - How to DEBUG&hellip; seriously</strong> <a href=\"https://www.google.com/url?q=https://conncounseling.weebly.com/stop--debug.html&amp;sa=D&amp;ust=1513926885720000&amp;usg=AFQjCNH7YekNtAfY_5y2VtHfKWNNwgBpbA\">https://conncounseling.weebly.com/stop--debug.html</a><br/>\r\n<strong>01:39:00 - Consumerism and the Decline of Empire</strong><br/>\r\n<strong>01:40:00 - DW Documentaries Casper said he would find</strong><br/>\r\n<strong>Greed - </strong> <a href=\"https://www.google.com/url?q=https://www.dw.com/en/tv/greed/s-32898&amp;sa=D&amp;ust=1513926885721000&amp;usg=AFQjCNFmmHny6Vc4IQSfB5r-khEB2cgn9Q\">https://www.dw.com/en/tv/greed/s-32898</a><br/>\r\n<strong>The Divide Part 1 - </strong> <a href=\"https://www.google.com/url?q=https://www.dw.com/en/the-divide-part-1/av-41378206&amp;sa=D&amp;ust=1513926885721000&amp;usg=AFQjCNE4pHIz46RsFouZeaiyZg-jKw8Y8w\">https://www.dw.com/en/the-divide-part-1/av-41378206</a><br/>\r\n<strong>The Divide Part 2 - </strong> <a href=\"https://www.google.com/url?q=https://www.dw.com/en/the-divide-2/av-41467377&amp;sa=D&amp;ust=1513926885722000&amp;usg=AFQjCNFV3vhgVvJh_gEncB08xFY3f0BKAA\">https://www.dw.com/en/the-divide-2/av-41467377</a><br/>\r\n<strong>01:42:00 - Immortality Through Consumerism?</strong><br/>\r\n<strong>01:43:00 - Where are we if Not Here?</strong><br/>\r\n<strong>01:45:00 - Self Destruction</strong><br/>\r\n<strong>01:46:00 - Celebrity Chefs and the Tie to the Roman Empire </strong> - Casper remembered post-cast that this was from The Four Horsemen Documentary as explained here:<br/>\r\n<a href=\"https://www.google.com/url?q=https://barnabyisright.com/2013/03/30/why-celebrity-chefs-herald-the-end-of-empire/&amp;sa=D&amp;ust=1513926885723000&amp;usg=AFQjCNH4L_nf_CuR7D3StEBRzgk8nJsNJw\">https://barnabyisright.com/2013/03/30/why-celebrity-chefs-herald-the-end-of-empire/</a><br/>\r\n<strong>01:47:00 - Casper (Mis)Quotes Frank Zappa - </strong> by saying &ldquo;Politics is the entertainment branch of the Military Industrial Complex&rdquo; <a href=\"https://www.google.com/url?q=https://www.reddit.com/r/Zappa/comments/2qxpnu/politics_is_the_entertainment_branch_of_industry/&amp;sa=D&amp;ust=1513926885724000&amp;usg=AFQjCNFLlMRo6XDStxLIdLZ_MCBCQaTpvw\">https://www.reddit.com/r/Zappa/comments/2qxpnu/politics_is_the_entertainment_branch_of_industry/</a><br/>\r\n<strong>01:48:00 - (S)Elections are becoming irrelevant</strong><br/>\r\n<strong>01:50:00 - Casper recommends International News Alternatives like BBC, RT, AlJazeera </strong> if you would like to know what is going on in the world<br/>\r\nAddendum - Not mentioned in Podcast, but worth a link regarding the state of our MSM in reporting false information on Russia and WikiLeaks from Glenn Greenwald:<br/>\r\n<a href=\"https://www.google.com/url?q=https://theintercept.com/2017/12/09/the-u-s-media-yesterday-suffered-its-most-humiliating-debacle-in-ages-now-refuses-all-transparency-over-what-happened/&amp;sa=D&amp;ust=1513926885725000&amp;usg=AFQjCNEw31HmdU99U-eAfEtOTFTP_Zuysw\">https://theintercept.com/2017/12/09/the-u-s-media-yesterday-suffered-its-most-humiliating-debacle-in-ages-now-refuses-all-transparency-over-what-happened/</a><br/>\r\n<strong>01:51:00 - Wrapping Up The Show &amp; ShoutOuts to Klaatu!</strong><br/>\r\n<strong>01:53:00 - Casper argues with Gerald to cut the recording</strong>\r\n</p>\r\n',359,0,1,'CC-BY-SA','Net Neutrality',0,0,1),
(2463,'2018-01-10','Setting up a 32 Bit Ubuntu Server',762,'Repurpose a 32 bit small form factor working station','<p>So what is the purpose - I had an old windows backup workstation at work that I did a lot backups with. It got to the point where it was just too slow and low spec to handle the windows 7 updates and with my company switching to the 365/sharepoint/one drive it was not needed anymore. So I wanted not to throw it away as I had sprung for 160GB hard drive a long time ago. “I know at work and purchasing a hard drive for work.” But it lasted more than 10 years doing my outlook backups and file shares.</p>\r\n<p>So my first problem was I was pretty sure I only had 32 bit.</p>\r\n<p>So no centos or suse in 32 bit. I could have went fedora but I wanted a really long time with support. So it came down to ubuntu 16.04, Debian or Net BSD with I386 repos I could use long term. I was more comfortable with Ubuntu and 16.04 has about 3 years support left on it.</p>\r\n<p>Its a small form factor computer so I carried it home for a few days. And got the ISO down loaded again no usb drive boot only DVD.</p>\r\n<p>So what is it. I did a uname -a and and looked at the proc cpu to see what the cpu was.<br />\r\n<a href=\"https://www.tecmint.com/find-out-linux-system-is-32-bit-or-64-bit/\" class=\"uri\">https://www.tecmint.com/find-out-linux-system-is-32-bit-or-64-bit/</a><br />\r\n<a href=\"https://www.computerhope.com/issues/ch001121.htm\" class=\"uri\">https://www.computerhope.com/issues/ch001121.htm</a><br />\r\nThe second linked worked best.</p>\r\n<p>I had a lot of trouble with lamp and own/next cloud with both snaps and straight install. I broke the install several times. In the end I said what do really know how do well with it right now. So I installed Open SSH server, tightVNC, A really thin xfce 4, ffmpeg and youtube-dl and uget. So I will play with snaps only in the future and keep this basic config.</p>\r\n<p><a href=\"https://www.digitalocean.com/community/tutorials/how-to-install-and-configure-vnc-on-ubuntu-16-04\" class=\"uri\">https://www.digitalocean.com/community/tutorials/how-to-install-and-configure-vnc-on-ubuntu-16-04</a></p>\r\n<p>Note I did not auto start VNC because I found in my creations of this server that it used too much RAM vs just starting it and killing it.</p>\r\n<p>It is the perfect video processing machine in the moment. If youtube-dl can’t get it I can use uget via vnc and that will then transcode if needed. Mostly for mp3.<br />\r\n<a href=\"https://rg3.github.io/youtube-dl/\" class=\"uri\">https://rg3.github.io/youtube-dl/</a> youtube-dl is a command-line program to download videos from YouTube.com and a few more sites. It requires the Python interpreter, version 2.6, 2.7, or 3.2+, and it is not platform specific. It should work on your Unix box, on Windows or on Mac OS X. It is released to the public domain, which means you can modify it, redistribute it or use it however you like.</p>\r\n<p>I will work on the nextcloud snap and other snaps as they are easy to install or remove without hurting the base system.</p>\r\n<p>Possible other projects - Owncloud or Storj<br />\r\n<a href=\"https://storj.io/share.html\" class=\"uri\">https://storj.io/share.html</a><br />\r\nOne you can make a little money with it :)</p>\r\n',129,0,0,'CC-BY-SA','32-bit server, Ubuntu',0,0,1),
(2464,'2018-01-11','The Alien Brothers Podcast - S01E04 - Digital Instruments',3906,'Casper and Rutiger Detail their Digital and Analog Sonic Setups in IOS and Android','<p>Casper and Rutiger are back with a very simple topic: Making music with various Digital Audio Workstations.</p>\r\n<p>Rutiger details his MacOS / iOS platform and the Apps he uses to create his noise:<br />\r\n<a href=\"https://soundcloud.com/fibrechannel\" class=\"uri\">https://soundcloud.com/fibrechannel</a></p>\r\n<p>Casper details his Windows setup with a relatively cheap DAW and various Analog and Digital transmissions he uses to create his noise:<br />\r\n<a href=\"https://soundcloud.com/user-393542827\" class=\"uri\">https://soundcloud.com/user-393542827</a></p>\r\n<p><span class=\"citation\" data-cites=\"alienbpc\">@alienbpc</span></p>\r\n',359,0,1,'CC-BY-SA','DAW, Sonic Voyages, iOS Music Apps, PreSonus Audiobox 22vsl, Logic Pro X, Studio One',0,0,1),
(2696,'2018-12-03','HPR Community News for November 2018',4317,'HPR Volunteers talk about shows released and comments posted in November 2018','\n\n<h2>New hosts</h2>\n<p>\nWelcome to our new host: <br />\n\n    <a href=\"https://hackerpublicradio.org/correspondents/0371.html\" target=\"_blank\">desearcher</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2674\" target=\"_blank\">2674</a></strong></td>\n    <td>Thu</td>\n    <td>2018-11-01</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2674\" target=\"_blank\">Raspberry pi3 open media server</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2675\" target=\"_blank\">2675</a></strong></td>\n    <td>Fri</td>\n    <td>2018-11-02</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2675\" target=\"_blank\">YouTube Playlists</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2676\" target=\"_blank\">2676</a></strong></td>\n    <td>Mon</td>\n    <td>2018-11-05</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2676\" target=\"_blank\">HPR Community News for October 2018</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2677\" target=\"_blank\">2677</a></strong></td>\n    <td>Tue</td>\n    <td>2018-11-06</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2677\" target=\"_blank\">Thoughts on language learning part 4 - RPG.</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2678\" target=\"_blank\">2678</a></strong></td>\n    <td>Wed</td>\n    <td>2018-11-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2678\" target=\"_blank\">Explaining the controls on my Amateur HF Radio Part 4</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2679\" target=\"_blank\">2679</a></strong></td>\n    <td>Thu</td>\n    <td>2018-11-08</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2679\" target=\"_blank\">Extra ancillary Bash tips - 13</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2680\" target=\"_blank\">2680</a></strong></td>\n    <td>Fri</td>\n    <td>2018-11-09</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2680\" target=\"_blank\">Some Additional Talk About Characters -- 01</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2681\" target=\"_blank\">2681</a></strong></td>\n    <td>Mon</td>\n    <td>2018-11-12</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2681\" target=\"_blank\">DerbyCon Interview - Hackers for Charity</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0079.html\" target=\"_blank\">Xoke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2682\" target=\"_blank\">2682</a></strong></td>\n    <td>Tue</td>\n    <td>2018-11-13</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2682\" target=\"_blank\">(NOT) All About Blender</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2683\" target=\"_blank\">2683</a></strong></td>\n    <td>Wed</td>\n    <td>2018-11-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2683\" target=\"_blank\">Using Open source tools to visualize the heartrate and blood oxygen saturation level of my stepchild</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0369.html\" target=\"_blank\">Jeroen Baten</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2684\" target=\"_blank\">2684</a></strong></td>\n    <td>Thu</td>\n    <td>2018-11-15</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2684\" target=\"_blank\">Making a remote control visible</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2685\" target=\"_blank\">2685</a></strong></td>\n    <td>Fri</td>\n    <td>2018-11-16</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2685\" target=\"_blank\">Scientific and Medical Reports</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2686\" target=\"_blank\">2686</a></strong></td>\n    <td>Mon</td>\n    <td>2018-11-19</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2686\" target=\"_blank\">(NOT) All About Blender - Part the Second</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2687\" target=\"_blank\">2687</a></strong></td>\n    <td>Tue</td>\n    <td>2018-11-20</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2687\" target=\"_blank\">Some Additional Talk About Characters -- 02</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2688\" target=\"_blank\">2688</a></strong></td>\n    <td>Wed</td>\n    <td>2018-11-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2688\" target=\"_blank\">Explaining the controls on my Amateur HF Radio Part 5</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2689\" target=\"_blank\">2689</a></strong></td>\n    <td>Thu</td>\n    <td>2018-11-22</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2689\" target=\"_blank\">Bash Tips - 14</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2690\" target=\"_blank\">2690</a></strong></td>\n    <td>Fri</td>\n    <td>2018-11-23</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2690\" target=\"_blank\">A chat about the HiveMQ Broker</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2691\" target=\"_blank\">2691</a></strong></td>\n    <td>Mon</td>\n    <td>2018-11-26</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2691\" target=\"_blank\">DerbyCon Interview - John Strand</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0079.html\" target=\"_blank\">Xoke</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2692\" target=\"_blank\">2692</a></strong></td>\n    <td>Tue</td>\n    <td>2018-11-27</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2692\" target=\"_blank\">YouTube URL tricks</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0371.html\" target=\"_blank\">desearcher</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2693\" target=\"_blank\">2693</a></strong></td>\n    <td>Wed</td>\n    <td>2018-11-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2693\" target=\"_blank\">Getting started with web based game in Haskell and Elm</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2694\" target=\"_blank\">2694</a></strong></td>\n    <td>Thu</td>\n    <td>2018-11-29</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2694\" target=\"_blank\">Bandit Update</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2695\" target=\"_blank\">2695</a></strong></td>\n    <td>Fri</td>\n    <td>2018-11-30</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2695\" target=\"_blank\">Problems with Studies</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n</table>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 24 comments in total.</p>\n<p>There are 9 comments on\n7 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2399#comments\" target=\"_blank\">hpr2399</a></strong>\n(2017-10-12) \"<em>Using Super Glue to create Landmarks on Keyboards</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2399#8\" target=\"_blank\">Comment 8</a>:\ndodddummy on 2018-11-23:\n\"There\'s nothing new under the sun.\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2558#comments\" target=\"_blank\">hpr2558</a></strong>\n(2018-05-23) \"<em>Battling with English - part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2558#7\" target=\"_blank\">Comment 7</a>:\nFiftyOneFifty on 2018-11-05:\n\"You missed one\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2558#8\" target=\"_blank\">Comment 8</a>:\nDave Morriss on 2018-11-10:\n\"Re: You missed one\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2562#comments\" target=\"_blank\">hpr2562</a></strong>\n(2018-05-29) \"<em>I bought a laptop</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2562#2\" target=\"_blank\">Comment 2</a>:\nFiftyOneFifty on 2018-11-05:\n\"Getting paid in Cryptocurrency\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2629#comments\" target=\"_blank\">hpr2629</a></strong>\n(2018-08-30) \"<em>Thoughts on language learning part 3 - game/story mode.</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2629#1\" target=\"_blank\">Comment 1</a>:\nJoel H. on 2018-10-31:\n\"Good ideas!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2665#comments\" target=\"_blank\">hpr2665</a></strong>\n(2018-10-19) \"<em>Exercise and Diet</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2665#1\" target=\"_blank\">Comment 1</a>:\ndodddummy on 2018-11-21:\n\"You\'ve convinced me.\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2665#2\" target=\"_blank\">Comment 2</a>:\nKevin O&#39;Brien on 2018-11-28:\n\"It is about making a decision\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2668#comments\" target=\"_blank\">hpr2668</a></strong>\n(2018-10-24) \"<em>Explaining the controls on my Amateur HF Radio Part 3</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2668#2\" target=\"_blank\">Comment 2</a>:\nlostnbronx on 2018-11-01:\n\"Great Gear!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2672#comments\" target=\"_blank\">hpr2672</a></strong>\n(2018-10-30) \"<em>Porteus</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2672#1\" target=\"_blank\">Comment 1</a>:\nAlison Chaiken on 2018-11-11:\n\"particularly informative episode\"</li></ul><br/>\n</li></ul>\n<p>There are 15 comments on 8 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2674#comments\" target=\"_blank\">hpr2674</a></strong>\n(2018-11-01) \"<em>Raspberry pi3 open media server</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2674#1\" target=\"_blank\">Comment 1</a>:\nJason Lewis on 2018-11-01:\n\"Volume\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2675#comments\" target=\"_blank\">hpr2675</a></strong>\n(2018-11-02) \"<em>YouTube Playlists</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2675#1\" target=\"_blank\">Comment 1</a>:\nGus on 2018-11-05:\n\"Praise\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2675#2\" target=\"_blank\">Comment 2</a>:\nAhuka on 2018-11-05:\n\"MY pleasure\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2676#comments\" target=\"_blank\">hpr2676</a></strong>\n(2018-11-05) \"<em>HPR Community News for October 2018</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2676#1\" target=\"_blank\">Comment 1</a>:\nAhuka on 2018-11-05:\n\"What were you going to say?\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2676#2\" target=\"_blank\">Comment 2</a>:\ndodddummy on 2018-11-07:\n\"Smiling all the way to the end.\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2676#3\" target=\"_blank\">Comment 3</a>:\ndodddummy on 2018-11-07:\n\"Ken\'s perfect example.\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2676#4\" target=\"_blank\">Comment 4</a>:\nKen Fallon on 2018-11-22:\n\"we\'ll get back to that\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2677#comments\" target=\"_blank\">hpr2677</a></strong>\n(2018-11-06) \"<em>Thoughts on language learning part 4 - RPG.</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2677#1\" target=\"_blank\">Comment 1</a>:\ndodddummy on 2018-10-22:\n\"Looks like I forgot to tuncate silence\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2679#comments\" target=\"_blank\">hpr2679</a></strong>\n(2018-11-08) \"<em>Extra ancillary Bash tips - 13</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2679#1\" target=\"_blank\">Comment 1</a>:\nclacke on 2018-11-24:\n\"Immediately useful\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2679#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2018-11-25:\n\"Thanks clacke!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2683#comments\" target=\"_blank\">hpr2683</a></strong>\n(2018-11-14) \"<em>Using Open source tools to visualize the heartrate and blood oxygen saturation level of my stepchild</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0369.html\" target=\"_blank\">Jeroen Baten</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2683#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2018-11-15:\n\"Super Dad\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2683#2\" target=\"_blank\">Comment 2</a>:\nClinton Roy on 2018-11-17:\n\"Thank you.\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2684#comments\" target=\"_blank\">hpr2684</a></strong>\n(2018-11-15) \"<em>Making a remote control visible</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2684#1\" target=\"_blank\">Comment 1</a>:\nClaudioM on 2018-11-15:\n\"LOL!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2684#2\" target=\"_blank\">Comment 2</a>:\npauleb on 2018-11-16:\n\"Great hack, great episode!!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2693#comments\" target=\"_blank\">hpr2693</a></strong>\n(2018-11-28) \"<em>Getting started with web based game in Haskell and Elm</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2693#1\" target=\"_blank\">Comment 1</a>:\nklaatu on 2018-11-30:\n\"Cool game idea, cool intro\"</li></ul><br/>\n</li></ul>\n\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available on the HPR server under\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-November/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-November/thread.html</a>\n\n\n<h2>Any other business</h2>\n<h3 id=\"hacker-public-radio-new-years-eve-show\">Hacker Public Radio New Year’s Eve Show</h3>\n<p><small><small><a href=\"https://www.linuxlugcast.com/category/news\">Edited from linuxlugcast.com</a></small></small></p>\n<p>Hey folks</p>\n<p>It’s that time of year again. Time for the Hacker Public Radio 24 hr (26 hr) New Years Eve Show.</p>\n<p>For those who don’t know on New Years Eve 2018-12-31 at 10:00 am UTC (5:00 am EST) we will have a recording going on the HPR Mumble server (at <b>ch1.teamspeak.cc</b> on port <b>64747</b>) for anyone to come on say “Happy New Year” and talk about what ever they want.</p>\n<p>We will leave the recording going until 2019-01-01 12:00 am UTC (7:00 am EST) or until the conversation stops.</p>\n<p>For those who have never used Mumble before, we have a guide over at linuxlugcast.com in our how to section explaining how to setup the desktop Mumble client, but Mumble isn’t only available for the desktop. It is also available for Android and IOS.</p>\n<p>We are also going to setup an etherpad for people to share links to things they are discussing.</p>\n<p>So please stop in. Say “Hi” and maybe join in the conversation with other HPR listeners and contributors. It’s always a good time.</p>\n<h3 id=\"new-podcast---libre-lounge\">New podcast - <code>Libre Lounge</code></h3>\n<p><a href=\"https://librelounge.org/\">Libre Lounge</a></p>\n<p>Quoted from the site:</p>\n<blockquote>\n<p>Libre Lounge is a podcast where we casually discuss various topics involving user freedom, crossing free software, free culture, network and hosting freedom, and libre hardware designs. We discuss everything from policy and licensing to deep dives on technical topics… whatever seems interesting that week. At some point we might even have guests!</p>\n</blockquote>\n<h3 id=\"internet-archive-funding-drive\">Internet Archive funding drive</h3>\n<p>As you know, HPR uploads all current episodes to the Internet Archive at <a href=\"https://archive.org\" class=\"uri\">https://archive.org</a>, and is in the process of uploading older shows, so we are particularly keen that this amazing service continues.</p>\n<p>The Internet Archive is currently fundraising. Donations are currently being matched by a generous supporter, so this will double your impact if you are able to donate.</p>\n<h3 id=\"tags-and-summaries\">Tags and Summaries</h3>\n<p>Over the period tags and/or summaries have been added to 23 shows which were without them.</p>\n<p>If you would like to contribute to the tag/summary project visit the summary page at <a href=\"https://hackerpublicradio.org/report_missing_tags.php\" class=\"uri\">https://hackerpublicradio.org/report_missing_tags.php</a> and follow the instructions there.</p>\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2721,'2019-01-07','HPR Community News for December 2018',4247,'HPR Volunteers talk about shows released and comments posted in December 2018','\n\n<h2>New hosts</h2>\n<p>\nWelcome to our new host: <br />\n\n    <a href=\"https://hackerpublicradio.org/correspondents/0372.html\" target=\"_blank\">Edward Miro / c1ph0r</a>.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2696\" target=\"_blank\">2696</a></strong></td>\n    <td>Mon</td>\n    <td>2018-12-03</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2696\" target=\"_blank\">HPR Community News for November 2018</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2697\" target=\"_blank\">2697</a></strong></td>\n    <td>Tue</td>\n    <td>2018-12-04</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2697\" target=\"_blank\">The Linux Shutdown Command Explained</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2698\" target=\"_blank\">2698</a></strong></td>\n    <td>Wed</td>\n    <td>2018-12-05</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2698\" target=\"_blank\">XSV for fast CSV manipulations - Part 1</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2699\" target=\"_blank\">2699</a></strong></td>\n    <td>Thu</td>\n    <td>2018-12-06</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2699\" target=\"_blank\">Bash Tips - 15</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2700\" target=\"_blank\">2700</a></strong></td>\n    <td>Fri</td>\n    <td>2018-12-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2700\" target=\"_blank\">Episode 3000</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2701\" target=\"_blank\">2701</a></strong></td>\n    <td>Mon</td>\n    <td>2018-12-10</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2701\" target=\"_blank\">First impressions of the Odroid-go</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2702\" target=\"_blank\">2702</a></strong></td>\n    <td>Tue</td>\n    <td>2018-12-11</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2702\" target=\"_blank\">Audacity set up and response to episode 2658</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2703\" target=\"_blank\">2703</a></strong></td>\n    <td>Wed</td>\n    <td>2018-12-12</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2703\" target=\"_blank\">Fog of war in Yesod based game</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2704\" target=\"_blank\">2704</a></strong></td>\n    <td>Thu</td>\n    <td>2018-12-13</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2704\" target=\"_blank\">Intro to Scribus</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2705\" target=\"_blank\">2705</a></strong></td>\n    <td>Fri</td>\n    <td>2018-12-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2705\" target=\"_blank\">Evidence-based Medicine</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2706\" target=\"_blank\">2706</a></strong></td>\n    <td>Mon</td>\n    <td>2018-12-17</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2706\" target=\"_blank\">Why I love the IBM AS/400 computer systems</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0369.html\" target=\"_blank\">Jeroen Baten</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2707\" target=\"_blank\">2707</a></strong></td>\n    <td>Tue</td>\n    <td>2018-12-18</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2707\" target=\"_blank\">Steganalysis 101</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0372.html\" target=\"_blank\">Edward Miro / c1ph0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2708\" target=\"_blank\">2708</a></strong></td>\n    <td>Wed</td>\n    <td>2018-12-19</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2708\" target=\"_blank\">Ghostscript</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2709\" target=\"_blank\">2709</a></strong></td>\n    <td>Thu</td>\n    <td>2018-12-20</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2709\" target=\"_blank\">Bash Tips - 16</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2710\" target=\"_blank\">2710</a></strong></td>\n    <td>Fri</td>\n    <td>2018-12-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2710\" target=\"_blank\">Youtube downloader for channels</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2711\" target=\"_blank\">2711</a></strong></td>\n    <td>Mon</td>\n    <td>2018-12-24</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2711\" target=\"_blank\">Raspberry Pi 3A+ Review</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0370.html\" target=\"_blank\">Yannick the french guy from Switzerland</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2712\" target=\"_blank\">2712</a></strong></td>\n    <td>Tue</td>\n    <td>2018-12-25</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2712\" target=\"_blank\">Steganography</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2713\" target=\"_blank\">2713</a></strong></td>\n    <td>Wed</td>\n    <td>2018-12-26</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2713\" target=\"_blank\">Resources in 4x game</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2714\" target=\"_blank\">2714</a></strong></td>\n    <td>Thu</td>\n    <td>2018-12-27</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2714\" target=\"_blank\">Airplane stalls and Angle of Attack</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0326.html\" target=\"_blank\">Brian in Ohio</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2715\" target=\"_blank\">2715</a></strong></td>\n    <td>Fri</td>\n    <td>2018-12-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2715\" target=\"_blank\">About ONAP</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2716\" target=\"_blank\">2716</a></strong></td>\n    <td>Mon</td>\n    <td>2018-12-31</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2716\" target=\"_blank\">Really Simple YouTube</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0270.html\" target=\"_blank\">Thaj Sara</a></td>\n    </tr>\n</table>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 34 comments in total.</p>\n<p>There are 15 comments on\n11 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=1536#comments\" target=\"_blank\">hpr1536</a></strong>\n(2014-06-23) \"<em>The 150-in-1 Electronic Project Kit</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0252.html\" target=\"_blank\">Curtis Adkins (CPrompt^)</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=1536#9\" target=\"_blank\">Comment 9</a>:\nRichard Harris on 2018-12-16:\n\"Consultant, Licensed technical instructor\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2378#comments\" target=\"_blank\">hpr2378</a></strong>\n(2017-09-13) \"<em>Why Docbook?</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2378#10\" target=\"_blank\">Comment 10</a>:\nKlaatu on 2018-12-22:\n\"docbook rocks\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2562#comments\" target=\"_blank\">hpr2562</a></strong>\n(2018-05-29) \"<em>I bought a laptop</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0311.html\" target=\"_blank\">clacke</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2562#3\" target=\"_blank\">Comment 3</a>:\nclacke on 2018-12-05:\n\"This is an episode\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2619#comments\" target=\"_blank\">hpr2619</a></strong>\n(2018-08-16) \"<em>A Gentle Introduction to Quilt</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0357.html\" target=\"_blank\">bjb</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2619#2\" target=\"_blank\">Comment 2</a>:\nKlaatu on 2018-12-22:\n\"can\'t wait to try it\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2635#comments\" target=\"_blank\">hpr2635</a></strong>\n(2018-09-07) \"<em>Running your own mainframe on Linux (for fun and profit)</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0369.html\" target=\"_blank\">Jeroen Baten</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2635#4\" target=\"_blank\">Comment 4</a>:\nKlaatu on 2018-12-22:\n\"Best explanation of what a mainframe is\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2661#comments\" target=\"_blank\">hpr2661</a></strong>\n(2018-10-15) \"<em>My Music Production Setup</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0152.html\" target=\"_blank\">Claudio Miranda</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2661#1\" target=\"_blank\">Comment 1</a>:\nKlaatu on 2018-12-22:\n\"Nice look behind the scenes\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2666#comments\" target=\"_blank\">hpr2666</a></strong>\n(2018-10-22) \"<em>Slackware Post-Install</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0325.html\" target=\"_blank\">m1rr0r5h4d35</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2666#3\" target=\"_blank\">Comment 3</a>:\nKlaatu on 2018-12-22:\n\"shameless self promotion\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2672#comments\" target=\"_blank\">hpr2672</a></strong>\n(2018-10-30) \"<em>Porteus</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2672#2\" target=\"_blank\">Comment 2</a>:\nKlaatu on 2018-12-03:\n\"Late response better than no response\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2693#comments\" target=\"_blank\">hpr2693</a></strong>\n(2018-11-28) \"<em>Getting started with web based game in Haskell and Elm</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2693#2\" target=\"_blank\">Comment 2</a>:\nTuula on 2018-12-01:\n\"thanks\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2694#comments\" target=\"_blank\">hpr2694</a></strong>\n(2018-11-29) \"<em>Bandit Update</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0235.html\" target=\"_blank\">NYbill</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2694#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2018-12-03:\n\"Use the website\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2694#2\" target=\"_blank\">Comment 2</a>:\nNYbill on 2018-12-03:\n\"Huh?\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2694#3\" target=\"_blank\">Comment 3</a>:\nKen Fallon on 2018-12-04:\n\"I took it to be a hacking challange\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2694#4\" target=\"_blank\">Comment 4</a>:\nNYbill on 2018-12-04:\n\"Webpage\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2695#comments\" target=\"_blank\">hpr2695</a></strong>\n(2018-11-30) \"<em>Problems with Studies</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2695#1\" target=\"_blank\">Comment 1</a>:\nKlaatu on 2018-12-20:\n\"Required listening\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2695#2\" target=\"_blank\">Comment 2</a>:\nKevin O&#39;Brien on 2018-12-21:\n\"Finding truth\"</li></ul><br/>\n</li></ul>\n<p>There are 19 comments on 10 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2697#comments\" target=\"_blank\">hpr2697</a></strong>\n(2018-12-04) \"<em>The Linux Shutdown Command Explained</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2697#1\" target=\"_blank\">Comment 1</a>:\nClaudioM on 2018-12-04:\n\"shutdown on BSDs\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2697#2\" target=\"_blank\">Comment 2</a>:\nKlaatu on 2018-12-20:\n\"another great jwp episode\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2697#3\" target=\"_blank\">Comment 3</a>:\nKlaatu on 2018-12-20:\n\"episode 2725\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2698#comments\" target=\"_blank\">hpr2698</a></strong>\n(2018-12-05) \"<em>XSV for fast CSV manipulations - Part 1</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2698#1\" target=\"_blank\">Comment 1</a>:\nMike Ray on 2018-12-05:\n\"Good timing\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2698#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2018-12-16:\n\"This is a great bit of software\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2698#3\" target=\"_blank\">Comment 3</a>:\nKlaatu on 2018-12-20:\n\"Neato\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2701#comments\" target=\"_blank\">hpr2701</a></strong>\n(2018-12-10) \"<em>First impressions of the Odroid-go</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2701#1\" target=\"_blank\">Comment 1</a>:\nTuula on 2018-12-10:\n\"Particularly interesting\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2701#2\" target=\"_blank\">Comment 2</a>:\nKlaatu on 2018-12-20:\n\"Particularly interesting +1\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2704#comments\" target=\"_blank\">hpr2704</a></strong>\n(2018-12-13) \"<em>Intro to Scribus</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2704#1\" target=\"_blank\">Comment 1</a>:\nAhuka on 2018-12-15:\n\"Excellent show\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2705#comments\" target=\"_blank\">hpr2705</a></strong>\n(2018-12-14) \"<em>Evidence-based Medicine</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2705#1\" target=\"_blank\">Comment 1</a>:\nKlaatu on 2018-12-20:\n\"smart\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2705#2\" target=\"_blank\">Comment 2</a>:\nAhuka on 2018-12-21:\n\"Follow your bliss\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2706#comments\" target=\"_blank\">hpr2706</a></strong>\n(2018-12-17) \"<em>Why I love the IBM AS/400 computer systems</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0369.html\" target=\"_blank\">Jeroen Baten</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2706#1\" target=\"_blank\">Comment 1</a>:\nBob on 2018-12-18:\n\"Novell not AS400\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2706#2\" target=\"_blank\">Comment 2</a>:\nKlaatu on 2018-12-20:\n\"Intro music\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2706#3\" target=\"_blank\">Comment 3</a>:\nWindigo on 2018-12-31:\n\"Certainly piqued my interest\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2707#comments\" target=\"_blank\">hpr2707</a></strong>\n(2018-12-18) \"<em>Steganalysis 101</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0372.html\" target=\"_blank\">Edward Miro / c1ph0r</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2707#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2018-12-18:\n\"Great show\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2707#2\" target=\"_blank\">Comment 2</a>:\nKlaatu on 2018-12-19:\n\"Great intro\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2710#comments\" target=\"_blank\">hpr2710</a></strong>\n(2018-12-21) \"<em>Youtube downloader for channels</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2710#1\" target=\"_blank\">Comment 1</a>:\nGustaf on 2018-12-21:\n\"Thank you\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2712#comments\" target=\"_blank\">hpr2712</a></strong>\n(2018-12-25) \"<em>Steganography</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2712#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2018-12-28:\n\"Did anyone win ?\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2716#comments\" target=\"_blank\">hpr2716</a></strong>\n(2018-12-31) \"<em>Really Simple YouTube</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0270.html\" target=\"_blank\">Thaj Sara</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2716#1\" target=\"_blank\">Comment 1</a>:\nb-yeezi on 2018-12-31:\n\"Already put to use\"</li></ul><br/>\n</li></ul>\n\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available on the HPR server under\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-December/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2018-December/thread.html</a>\n\n\n<h2>Any other business</h2>\n<h2>\nThanks to all HPR contributors in 2018!\n</h2>\n<p>\n<a href=\"https://hackerpublicradio.org/correspondents/0361.html\">Aaressaar</a>, <a href=\"https://hackerpublicradio.org/correspondents/0198.html\">Ahuka</a>, <a href=\"https://hackerpublicradio.org/correspondents/0290.html\">Al</a>, <a href=\"https://hackerpublicradio.org/correspondents/0318.html\">Archer72</a>, <a href=\"https://hackerpublicradio.org/correspondents/0300.html\">b-yeezi</a>, <a href=\"https://hackerpublicradio.org/correspondents/0357.html\">bjb</a>, <a href=\"https://hackerpublicradio.org/correspondents/0365.html\">bookewyrmm</a>, <a href=\"https://hackerpublicradio.org/correspondents/0326.html\">Brian in Ohio</a>, <a href=\"https://hackerpublicradio.org/correspondents/0311.html\">clacke</a>, <a href=\"https://hackerpublicradio.org/correspondents/0152.html\">Claudio Miranda</a>, <a href=\"https://hackerpublicradio.org/correspondents/0315.html\">Clinton Roy</a>, <a href=\"https://hackerpublicradio.org/correspondents/0225.html\">Dave Morriss</a>, <a href=\"https://hackerpublicradio.org/correspondents/0209.html\">David Whitman</a>, <a href=\"https://hackerpublicradio.org/correspondents/0371.html\">desearcher</a>, <a href=\"https://hackerpublicradio.org/correspondents/0151.html\">dodddummy</a>, <a href=\"https://hackerpublicradio.org/correspondents/0372.html\">Edward Miro / c1ph0r</a>, <a href=\"https://hackerpublicradio.org/correspondents/0085.html\">finux</a>, <a href=\"https://hackerpublicradio.org/correspondents/0309.html\">folky</a>, <a href=\"https://hackerpublicradio.org/correspondents/0269.html\">Honkeymagoo</a>, <a href=\"https://hackerpublicradio.org/correspondents/0159.html\">HPR Volunteers</a>, <a href=\"https://hackerpublicradio.org/correspondents/0157.html\">HPR_AudioBookClub</a>, <a href=\"https://hackerpublicradio.org/correspondents/0369.html\">Jeroen Baten</a>, <a href=\"https://hackerpublicradio.org/correspondents/0360.html\">Joey Hess</a>, <a href=\"https://hackerpublicradio.org/correspondents/0238.html\">Jon Kulp</a>, <a href=\"https://hackerpublicradio.org/correspondents/0129.html\">JWP</a>, <a href=\"https://hackerpublicradio.org/correspondents/0030.html\">Ken Fallon</a>, <a href=\"https://hackerpublicradio.org/correspondents/0078.html\">klaatu</a>, <a href=\"https://hackerpublicradio.org/correspondents/0111.html\">knightwise</a>, <a href=\"https://hackerpublicradio.org/correspondents/0107.html\">lostnbronx</a>, <a href=\"https://hackerpublicradio.org/correspondents/0325.html\">m1rr0r5h4d35</a>, <a href=\"https://hackerpublicradio.org/correspondents/0362.html\">MPardo</a>, <a href=\"https://hackerpublicradio.org/correspondents/0201.html\">MrX</a>, <a href=\"https://hackerpublicradio.org/correspondents/0235.html\">NYbill</a>, <a href=\"https://hackerpublicradio.org/correspondents/0036.html\">operat0r</a>, <a href=\"https://hackerpublicradio.org/correspondents/0366.html\">Philip</a>, <a href=\"https://hackerpublicradio.org/correspondents/0110.html\">Quvmoh</a>, <a href=\"https://hackerpublicradio.org/correspondents/0250.html\">Shane Shennan</a>, <a href=\"https://hackerpublicradio.org/correspondents/0115.html\">sigflup</a>, <a href=\"https://hackerpublicradio.org/correspondents/0334.html\">Steve Saner</a>, <a href=\"https://hackerpublicradio.org/correspondents/0297.html\">swift110</a>, <a href=\"https://hackerpublicradio.org/correspondents/0270.html\">Thaj Sara</a>, <a href=\"https://hackerpublicradio.org/correspondents/0359.html\">The Alien Brothers Podcast (ABP)</a>, <a href=\"https://hackerpublicradio.org/correspondents/0363.html\">the_remora</a>, <a href=\"https://hackerpublicradio.org/correspondents/0354.html\">TheDUDE</a>, <a href=\"https://hackerpublicradio.org/correspondents/0314.html\">thelovebug</a>, <a href=\"https://hackerpublicradio.org/correspondents/0273.html\">ToeJet</a>, <a href=\"https://hackerpublicradio.org/correspondents/0338.html\">Tony Hughes AKA TonyH1212</a>, <a href=\"https://hackerpublicradio.org/correspondents/0364.html\">Tuula</a>, <a href=\"https://hackerpublicradio.org/correspondents/0158.html\">Various Creative Commons Works</a>, <a href=\"https://hackerpublicradio.org/correspondents/0109.html\">Various Hosts</a>, <a href=\"https://hackerpublicradio.org/correspondents/0079.html\">Xoke</a>, <a href=\"https://hackerpublicradio.org/correspondents/0368.html\">Xtrato</a>, <a href=\"https://hackerpublicradio.org/correspondents/0370.html\">Yannick the french guy from Switzerland</a>.\n</p>\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2741,'2019-02-04','HPR Community News for January 2019',4598,'Yannick Dave and Ken talk about shows released and comments posted in January 2019','\n\n<h2>New hosts</h2>\n<p>\nThere were no new hosts this month.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2717\" target=\"_blank\">2717</a></strong></td>\n    <td>Tue</td>\n    <td>2019-01-01</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2717\" target=\"_blank\">Mobile Device Security</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0372.html\" target=\"_blank\">Edward Miro / c1ph0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2718\" target=\"_blank\">2718</a></strong></td>\n    <td>Wed</td>\n    <td>2019-01-02</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2718\" target=\"_blank\">Genre In Storytelling</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2719\" target=\"_blank\">2719</a></strong></td>\n    <td>Thu</td>\n    <td>2019-01-03</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2719\" target=\"_blank\">Bash Tips - 17</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2720\" target=\"_blank\">2720</a></strong></td>\n    <td>Fri</td>\n    <td>2019-01-04</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2720\" target=\"_blank\">Download youtube channels using the rss feeds</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2721\" target=\"_blank\">2721</a></strong></td>\n    <td>Mon</td>\n    <td>2019-01-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2721\" target=\"_blank\">HPR Community News for December 2018</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2722\" target=\"_blank\">2722</a></strong></td>\n    <td>Tue</td>\n    <td>2019-01-08</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2722\" target=\"_blank\">RAID 6 a short description</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2723\" target=\"_blank\">2723</a></strong></td>\n    <td>Wed</td>\n    <td>2019-01-09</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2723\" target=\"_blank\">Using Elm in context of 4X game client</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2724\" target=\"_blank\">2724</a></strong></td>\n    <td>Thu</td>\n    <td>2019-01-10</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2724\" target=\"_blank\">Using a DIN Rail to mount a Raspberry Pi</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2725\" target=\"_blank\">2725</a></strong></td>\n    <td>Fri</td>\n    <td>2019-01-11</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2725\" target=\"_blank\">The Illumos Shutdown Command Explained</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2726\" target=\"_blank\">2726</a></strong></td>\n    <td>Mon</td>\n    <td>2019-01-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2726\" target=\"_blank\">Home Theater - Part 2 Software (High Level)</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2727\" target=\"_blank\">2727</a></strong></td>\n    <td>Tue</td>\n    <td>2019-01-15</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2727\" target=\"_blank\">Passwords</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0372.html\" target=\"_blank\">Edward Miro / c1ph0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2728\" target=\"_blank\">2728</a></strong></td>\n    <td>Wed</td>\n    <td>2019-01-16</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2728\" target=\"_blank\">The Unreliable Narrator In Storytelling</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2729\" target=\"_blank\">2729</a></strong></td>\n    <td>Thu</td>\n    <td>2019-01-17</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2729\" target=\"_blank\">Bash Tips - 18</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2730\" target=\"_blank\">2730</a></strong></td>\n    <td>Fri</td>\n    <td>2019-01-18</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2730\" target=\"_blank\">Resizing images for vcard on Android</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2731\" target=\"_blank\">2731</a></strong></td>\n    <td>Mon</td>\n    <td>2019-01-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2731\" target=\"_blank\">My 8 bit Christmas</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0268.html\" target=\"_blank\">Andrew Conway</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2732\" target=\"_blank\">2732</a></strong></td>\n    <td>Tue</td>\n    <td>2019-01-22</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2732\" target=\"_blank\">Storytelling formula compliance</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2733\" target=\"_blank\">2733</a></strong></td>\n    <td>Wed</td>\n    <td>2019-01-23</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2733\" target=\"_blank\">Writing Web Game in Haskell - News and Notifications</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2734\" target=\"_blank\">2734</a></strong></td>\n    <td>Thu</td>\n    <td>2019-01-24</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2734\" target=\"_blank\">Mashpodder</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2735\" target=\"_blank\">2735</a></strong></td>\n    <td>Fri</td>\n    <td>2019-01-25</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2735\" target=\"_blank\">Soffritto</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2736\" target=\"_blank\">2736</a></strong></td>\n    <td>Mon</td>\n    <td>2019-01-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2736\" target=\"_blank\">Response to show 2720</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2737\" target=\"_blank\">2737</a></strong></td>\n    <td>Tue</td>\n    <td>2019-01-29</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2737\" target=\"_blank\">My Pioneer RT-707 Reel-to-Reel Tape Deck</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2738\" target=\"_blank\">2738</a></strong></td>\n    <td>Wed</td>\n    <td>2019-01-30</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2738\" target=\"_blank\">My Applications</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2739\" target=\"_blank\">2739</a></strong></td>\n    <td>Thu</td>\n    <td>2019-01-31</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2739\" target=\"_blank\">Bash Tips - 19</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n</table>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 29 comments in total.</p>\n<p>There are 8 comments on\n4 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2629#comments\" target=\"_blank\">hpr2629</a></strong>\n(2018-08-30) \"<em>Thoughts on language learning part 3 - game/story mode.</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0151.html\" target=\"_blank\">dodddummy</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2629#2\" target=\"_blank\">Comment 2</a>:\ndodddummy on 2019-01-08:\n\"The Stanley Parable\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2668#comments\" target=\"_blank\">hpr2668</a></strong>\n(2018-10-24) \"<em>Explaining the controls on my Amateur HF Radio Part 3</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2668#3\" target=\"_blank\">Comment 3</a>:\nMrX on 2019-01-10:\n\"Re Comment 1 from Michael\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2668#4\" target=\"_blank\">Comment 4</a>:\nMrX on 2019-01-10:\n\"Re Comment 2 from lostnbronx\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2709#comments\" target=\"_blank\">hpr2709</a></strong>\n(2018-12-20) \"<em>Bash Tips - 16</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2709#1\" target=\"_blank\">Comment 1</a>:\ndodddummy on 2019-01-08:\n\"In case you are worried Dave will run out of material\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2709#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2019-01-08:\n\"Bash-5.0\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2712#comments\" target=\"_blank\">hpr2712</a></strong>\n(2018-12-25) \"<em>Steganography</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2712#2\" target=\"_blank\">Comment 2</a>:\nShortFatBaldGuy on 2019-01-04:\n\"Great episode/series\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2712#3\" target=\"_blank\">Comment 3</a>:\nKlaatu on 2019-01-07:\n\"no lucky winners\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2712#4\" target=\"_blank\">Comment 4</a>:\nKlaatu on 2019-01-07:\n\"Thanks Scott\"</li></ul><br/>\n</li></ul>\n<p>There are 21 comments on 9 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2717#comments\" target=\"_blank\">hpr2717</a></strong>\n(2019-01-01) \"<em>Mobile Device Security</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0372.html\" target=\"_blank\">Edward Miro / c1ph0r</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2717#1\" target=\"_blank\">Comment 1</a>:\nrtsn on 2019-01-25:\n\"!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2719#comments\" target=\"_blank\">hpr2719</a></strong>\n(2019-01-03) \"<em>Bash Tips - 17</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2719#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2019-01-07:\n\"Things I didn\'t know\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2719#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2019-01-07:\n\"Substring manipulation\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2721#comments\" target=\"_blank\">hpr2721</a></strong>\n(2019-01-07) \"<em>HPR Community News for December 2018</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2721#1\" target=\"_blank\">Comment 1</a>:\nDave Morriss on 2019-01-15:\n\"Very nice show!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2721#2\" target=\"_blank\">Comment 2</a>:\nWindigo on 2019-01-16:\n\"Listening through the back catalog\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2725#comments\" target=\"_blank\">hpr2725</a></strong>\n(2019-01-11) \"<em>The Illumos Shutdown Command Explained</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2725#1\" target=\"_blank\">Comment 1</a>:\nClaudioM on 2019-01-11:\n\"Quite a Different Shutdown\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2726#comments\" target=\"_blank\">hpr2726</a></strong>\n(2019-01-14) \"<em>Home Theater - Part 2 Software (High Level)</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0036.html\" target=\"_blank\">operat0r</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2726#1\" target=\"_blank\">Comment 1</a>:\nrtsn on 2019-01-25:\n\"!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2728#comments\" target=\"_blank\">hpr2728</a></strong>\n(2019-01-16) \"<em>The Unreliable Narrator In Storytelling</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2728#1\" target=\"_blank\">Comment 1</a>:\nKen Fallon on 2019-01-17:\n\"As a means for telling two stories at once ?\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2731#comments\" target=\"_blank\">hpr2731</a></strong>\n(2019-01-21) \"<em>My 8 bit Christmas</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0268.html\" target=\"_blank\">Andrew Conway</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2731#1\" target=\"_blank\">Comment 1</a>:\nTuula on 2019-01-23:\n\"amazing memories\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2731#2\" target=\"_blank\">Comment 2</a>:\nDave Morriss on 2019-01-23:\n\"This was a real treat\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2731#3\" target=\"_blank\">Comment 3</a>:\nJon Kulp on 2019-01-23:\n\"I love legacy hardware\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2731#4\" target=\"_blank\">Comment 4</a>:\ntimttmy on 2019-01-23:\n\"first contact\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2731#5\" target=\"_blank\">Comment 5</a>:\nrtsn on 2019-01-25:\n\"c0mment\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2731#6\" target=\"_blank\">Comment 6</a>:\nMike Ray on 2019-01-25:\n\"Jealous\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2734#comments\" target=\"_blank\">hpr2734</a></strong>\n(2019-01-24) \"<em>Mashpodder</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2734#1\" target=\"_blank\">Comment 1</a>:\nKlaatu on 2019-01-17:\n\"Coincidentally...\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2734#2\" target=\"_blank\">Comment 2</a>:\nMrX on 2019-01-20:\n\"Re Coincidentally...\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2737#comments\" target=\"_blank\">hpr2737</a></strong>\n(2019-01-29) \"<em>My Pioneer RT-707 Reel-to-Reel Tape Deck</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2737#1\" target=\"_blank\">Comment 1</a>:\nJon Kulp on 2019-01-29:\n\"Tape counter is functioning now\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2737#2\" target=\"_blank\">Comment 2</a>:\nBookewyrmm on 2019-01-29:\n\"ancient media\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2737#3\" target=\"_blank\">Comment 3</a>:\nJon Kulp on 2019-01-29:\n\"Victrola episode\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2737#4\" target=\"_blank\">Comment 4</a>:\nDave Morriss on 2019-01-29:\n\"Wow! What a beautiful tape deck!\"</li><li><a href=\"https://hackerpublicradio.org/eps.php?id=2737#5\" target=\"_blank\">Comment 5</a>:\nJon Kulp on 2019-01-29:\n\"I want one!\"</li></ul><br/>\n</li></ul>\n\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available on the HPR server under\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2019-January/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2019-January/thread.html</a>\n\n\n<h2>Any other business</h2>\n<ul>\n<li><p>Google+ is going away on April 2nd. Everything is going to be deleted so backup your files before then.</p></li>\n<li><p>Mad Sweeney wrote to inform us about <a href=\"https://dnsflagday.net/\" class=\"uri\">https://dnsflagday.net/</a> Some <em>“DNS software and service providers […] have agreed to coordinate removing accommodations for non-compliant DNS implementations from their software or services, on or around February 1st 2019”</em></p></li>\n</ul>\n<h3 id=\"tags-and-summaries\">Tags and Summaries</h3>\n<p>Over the period tags and/or summaries have been added to 11 shows which were without them.</p>\n<p>If you would like to contribute to the tag/summary project visit the summary page at <a href=\"https://hackerpublicradio.org/report_missing_tags.php\" class=\"uri\">https://hackerpublicradio.org/report_missing_tags.php</a> and follow the instructions there.</p>\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1);
INSERT INTO `eps` (`id`, `date`, `title`, `duration`, `summary`, `notes`, `hostid`, `series`, `explicit`, `license`, `tags`, `version`, `downloads`, `valid`) VALUES (3959,'2023-10-05','Download any HPR series with english file names',165,'A dir with the series name will be created and all shows will be renamed to ShowTitle.mp3 inside it','<p>Hello all. This is gemlog from Terrace, bc, canada just up near the\nalaska panhandle.</p>\n<p>Some of you may know me from in COM chat on sdf dot org or as a\nfedizen on the tilde dot zone instance of mastodon.</p>\n<p>Now, the other day I finally got around to checking out HPR properly,\neven though my masto-pal claw-dio-m turned me on to it a couple of years\nago.</p>\n<p>Recently, on a friday night in irc on tilde radio, I noticed there\nwere whole series on hpr and not only single shows and that got me kind\nof excited.<br />\nI guess I\'m easily excitable.</p>\n<p>Anyhow, something I could listen to at work or while driving. Still,\nI managed to forget about it until /just/ before I was leaving the house\nfor work on Monday morning. I rushed to copy over a few shows - nearly\nat random onto my phone and headed out to work.</p>\n<p>After I got my morning sorted at work, I told VLC to play-all and\nenjoyed a couple of shows. I noticed that each show I had chosen had a\nbeg post at the beginning. I figured I could make one on at least\nsomething from my messy gemlog/bin dir.</p>\n<p>However, after a break, I came back and couldn\'t remember which 4\ndigit numbered dot mp3 I had finished up on, which mildly irked me.\nWell, as we all know, irk becomes itch and I put my sad regex skills to\nthe test scraping the hpr website with a custom bash script later when I\ngot home.</p>\n<p>A very custom bash script. Like all scrapers, if any of the guys at\nhpr even breathe the wrong way, it will probably break horribly. On the\nother hand, I\'ve had scrapers that looked just as sad running for many\nyears against a canadian government site. So. Who knows?</p>\n<p>All the script uses are some built-ins from bash along with sed and\nwget for the actual getting. My local instance of searX N G was left\nsmoking as scrambled for sed incantations to string together. I\'m not a\nsed guy.</p>\n<p>Usage is simple, as the script only accepts one argument: ... the\nfour digit series number of the show you want to download. It will\ncreate a dir with the series name and download every mp3 it finds,\nrenaming each show to the show title.</p>\n<p>I was tempted to doll it up with some niceties like options for\ndownload dir, a selector for a series with a dialog of some kind... yada\nyada yada.</p>\n<p>But... we all know what happens when you stretch a quick hack with a\nbash script too far for the scripting language: hours of misery wishing\nyou\'d started with some other language.</p>\n<p>So far, I\'ve used the script to download 8 series. DU dash S H tells\nme they add up to 2 dot 2 gig, so it seems to work well enough.</p>\n<p>It comes with the same iron clad warranty as everything I write:</p>\n<p>If it breaks, you get to keep all the pieces. Thanks for\nlistening.</p>\n<pre><code>#!/bin/bash\n# gemlog@gemlog.ca 2023-08-26\n# License: CC BY-SA 4.0.\n# not proud of my continuing lack of regex foo frankly...\n\nif [ $# -lt 1 ]; then\n  echo 1&gt;&amp;2 &quot;$0: You need to enter the HPR Series Number to download as 4 digits&quot;\n  echo &quot;The full list of HPR Series is at https://hackerpublicradio.org/series/index.html&quot;\n  exit 2\nfi\n\nsnumber=$1\nre=&#39;^[[:digit:]]{4}$&#39;\nif [[ $snumber =~ $re ]]; then\n    wget https://hackerpublicradio.org/series/$snumber.html -q -O /tmp/$snumber.html\n    content=$(&lt;/tmp/$snumber.html)\n    declare -a shows\n    shows=$(grep -P &#39;^(?=.*h3)(?=.*title)&#39; /tmp/$snumber.html)\nelse\n    echo &quot;&#39;$snumber&#39; is not exactly 4 digits like an HPR series number&quot;\n    exit 2\nfi\n\nseries=$(echo $content | sed -e :a -e &#39;s/&lt;[^&gt;]*&gt;//g;/&lt;/N;//ba&#39; | grep -o -P -m1 &#39;(?&lt;=In-Depth Series:).*(?=Number)&#39; | sed &#39;s/[ t]*$//&#39; )\nseries=$(echo ${series// /_} | cut -b 2-50 | sed &#39;s/_*$//&#39; | sed &#39;s/^_*//&#39; | sed s/[^A-Za-z0-9_.]/_/g)\n\n#outdir=&quot;/home/gemlog/Music/Audio/HPR/$series-Se$snumber/&quot;\noutdir=~/&quot;Downloads/HPR/$series-Se$snumber/&quot;\nmkdir -p &quot;$outdir&quot;\necho &quot;Files for the series &quot;$series&quot; will be saved in $outdir&quot;\n\ndeclare -a shows\ndeclare -a url_array\nshows=$(grep -P &#39;^(?=.*h3)(?=.*title)&#39; /tmp/$snumber.html)\nIFS=$&#39;n&#39;\n\nfor line in $shows\n  do\n    f=$((f+1))\ndone\necho\necho\necho &quot;Downloading $f mp3 files&quot;\n\n\nfor line in $shows\n  do\n    i=$((i+1))\n    title=$(echo $line | sed -e :a -e &#39;s/&lt;[^&gt;]*&gt;//g;/&lt;/N;//ba&#39; | grep -o -P &#39;(?&lt;=::).*(&#39;host&#39;)&#39;  | sed &#39;s/host//&#39; | sed &#39;s/[ t]*$//&#39; | sed s/[^A-Za-z0-9_.]/_/g | sed &#39;s/ /_/g&#39; | sed &#39;s/^_*//&#39; )\n    enumber=$(echo $line | sed -e :a -e &#39;s/&lt;[^&gt;]*&gt;//g;/&lt;/N;//ba&#39; | grep -o -P &#39;(?&lt;=hpr).*(&#39;::&#39;)&#39; | sed &#39;s/:://&#39;)\n    enumber=$(printf &quot;%04d&quot; $((enumber)) )\n    outfile=$outdir$title-Ep$enumber.mp3\n    url=&quot;https://www.hackerpublicradio.org/eps/hpr$enumber.mp3&quot;\n    echo &quot;Downloading file $i: $title&quot;\n    wget --verbose --max-redirect 2 $url -O $outfile\n    sleep 2\n  done\n\n\necho\nttlfiles=$(ls -1 $outdir | wc -l)\necho &quot;$ttlfiles files for the series &quot;$series&quot; were saved in $outdir&quot;\n\nexit 0</code></pre>\n',425,42,1,'CC-BY-SA','Bash, sed, grep, wget, scraper',0,0,1),
(2761,'2019-03-04','HPR Community News for February 2019',4022,'HPR Volunteers talk about shows released and comments posted in February 2019','\n\n<h2>New hosts</h2>\n<p>\nThere were no new hosts this month.\n</p>\n\n<h2>Last Month\'s Shows</h2>\n<table id=\"t01\" summary=\"Last month\'s shows\">\n    <tr>\n    <th>Id</th>\n    <th>Day</th>\n    <th>Date</th>\n    <th>Title</th>\n    <th>Host</th>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2740\" target=\"_blank\">2740</a></strong></td>\n    <td>Fri</td>\n    <td>2019-02-01</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2740\" target=\"_blank\">Pop!_OS 18.10 (quick) review</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0370.html\" target=\"_blank\">Yannick the french guy from Switzerland</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2741\" target=\"_blank\">2741</a></strong></td>\n    <td>Mon</td>\n    <td>2019-02-04</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2741\" target=\"_blank\">HPR Community News for January 2019</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2742\" target=\"_blank\">2742</a></strong></td>\n    <td>Tue</td>\n    <td>2019-02-05</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2742\" target=\"_blank\">SAP Hana Certification Directory</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0129.html\" target=\"_blank\">JWP</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2743\" target=\"_blank\">2743</a></strong></td>\n    <td>Wed</td>\n    <td>2019-02-06</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2743\" target=\"_blank\">Character build in the d20 system</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2744\" target=\"_blank\">2744</a></strong></td>\n    <td>Thu</td>\n    <td>2019-02-07</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2744\" target=\"_blank\">Yet Another Rambling Drive Into Work</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0201.html\" target=\"_blank\">MrX</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2745\" target=\"_blank\">2745</a></strong></td>\n    <td>Fri</td>\n    <td>2019-02-08</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2745\" target=\"_blank\">My YouTube Subscriptions #1</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2746\" target=\"_blank\">2746</a></strong></td>\n    <td>Mon</td>\n    <td>2019-02-11</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2746\" target=\"_blank\">My software part 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0338.html\" target=\"_blank\">Tony Hughes AKA TonyH1212</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2747\" target=\"_blank\">2747</a></strong></td>\n    <td>Tue</td>\n    <td>2019-02-12</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2747\" target=\"_blank\">checking oil</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0329.html\" target=\"_blank\">brian</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2748\" target=\"_blank\">2748</a></strong></td>\n    <td>Wed</td>\n    <td>2019-02-13</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2748\" target=\"_blank\">Writing Web Game in Haskell - Special events</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2749\" target=\"_blank\">2749</a></strong></td>\n    <td>Thu</td>\n    <td>2019-02-14</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2749\" target=\"_blank\">Lostnbronx and Klaatu commentary from episode 2743</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2750\" target=\"_blank\">2750</a></strong></td>\n    <td>Fri</td>\n    <td>2019-02-15</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2750\" target=\"_blank\">Windmill is on the Fritz</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0030.html\" target=\"_blank\">Ken Fallon</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2751\" target=\"_blank\">2751</a></strong></td>\n    <td>Mon</td>\n    <td>2019-02-18</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2751\" target=\"_blank\">Battling with English - part 3</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2752\" target=\"_blank\">2752</a></strong></td>\n    <td>Tue</td>\n    <td>2019-02-19</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2752\" target=\"_blank\">XSV for fast CSV manipulations - Part 2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0300.html\" target=\"_blank\">b-yeezi</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2753\" target=\"_blank\">2753</a></strong></td>\n    <td>Wed</td>\n    <td>2019-02-20</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2753\" target=\"_blank\">Specific Settings In Storytelling</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0107.html\" target=\"_blank\">lostnbronx</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2754\" target=\"_blank\">2754</a></strong></td>\n    <td>Thu</td>\n    <td>2019-02-21</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2754\" target=\"_blank\">Craigslist Scam Catch</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0372.html\" target=\"_blank\">Edward Miro / c1ph0r</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2755\" target=\"_blank\">2755</a></strong></td>\n    <td>Fri</td>\n    <td>2019-02-22</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2755\" target=\"_blank\">My YouTube Subscriptions #2</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0198.html\" target=\"_blank\">Ahuka</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2756\" target=\"_blank\">2756</a></strong></td>\n    <td>Mon</td>\n    <td>2019-02-25</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2756\" target=\"_blank\">Bash Tips - 20</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0225.html\" target=\"_blank\">Dave Morriss</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2757\" target=\"_blank\">2757</a></strong></td>\n    <td>Tue</td>\n    <td>2019-02-26</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2757\" target=\"_blank\">How to DM</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2758\" target=\"_blank\">2758</a></strong></td>\n    <td>Wed</td>\n    <td>2019-02-27</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2758\" target=\"_blank\">Haskell - Data types and database actions</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0364.html\" target=\"_blank\">Tuula</a></td>\n    </tr>\n    <tr valign=\"top\">\n    <td><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2759\" target=\"_blank\">2759</a></strong></td>\n    <td>Thu</td>\n    <td>2019-02-28</td>\n    <td><a href=\"https://hackerpublicradio.org/eps.php?id=2759\" target=\"_blank\">Cleaning the Potentiometers on a Peavey Bandit 65</a></td>\n    <td><a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a></td>\n    </tr>\n</table>\n\n<h2>Comments this month</h2>\n\n<p>These are comments which have been made during the past month, either to shows\nreleased during the month or to past shows.<br/>\nThere are 10 comments in total.</p>\n<p>There are 6 comments on\n5 previous shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2672#comments\" target=\"_blank\">hpr2672</a></strong>\n(2018-10-30) \"<em>Porteus</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2672#3\" target=\"_blank\">Comment 3</a>:\nclacke on 2019-02-26:\n\"Re: Test-driving Linux in computer stores\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2706#comments\" target=\"_blank\">hpr2706</a></strong>\n(2018-12-17) \"<em>Why I love the IBM AS/400 computer systems</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0369.html\" target=\"_blank\">Jeroen Baten</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2706#4\" target=\"_blank\">Comment 4</a>:\nRob on 2019-02-27:\n\"hpr2706 - episode about AS/400\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2707#comments\" target=\"_blank\">hpr2707</a></strong>\n(2018-12-18) \"<em>Steganalysis 101</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0372.html\" target=\"_blank\">Edward Miro / c1ph0r</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2707#3\" target=\"_blank\">Comment 3</a>:\nrtsn on 2019-02-05:\n\"!\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2708#comments\" target=\"_blank\">hpr2708</a></strong>\n(2018-12-19) \"<em>Ghostscript</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2708#1\" target=\"_blank\">Comment 1</a>:\nSteve on 2019-02-07:\n\"Just what I needed\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2737#comments\" target=\"_blank\">hpr2737</a></strong>\n(2019-01-29) \"<em>My Pioneer RT-707 Reel-to-Reel Tape Deck</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2737#6\" target=\"_blank\">Comment 6</a>:\nVulcanRidr on 2019-02-06:\n\"Excellent!\"</li>\n<li>\n<a href=\"https://hackerpublicradio.org/eps.php?id=2737#7\" target=\"_blank\">Comment 7</a>:\nJon Kulp on 2019-02-06:\n\"the RT-909\"</li></ul><br/>\n</li></ul>\n<p>There are 4 comments on 4 of this month\'s shows:</p>\n<ul><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2741#comments\" target=\"_blank\">hpr2741</a></strong>\n(2019-02-04) \"<em>HPR Community News for January 2019</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0159.html\" target=\"_blank\">HPR Volunteers</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2741#1\" target=\"_blank\">Comment 1</a>:\nBrian in Ohio on 2019-02-06:\n\"show notes\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2743#comments\" target=\"_blank\">hpr2743</a></strong>\n(2019-02-06) \"<em>Character build in the d20 system</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0078.html\" target=\"_blank\">klaatu</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2743#1\" target=\"_blank\">Comment 1</a>:\nTuula on 2019-02-06:\n\"Pleasure to listen to\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2754#comments\" target=\"_blank\">hpr2754</a></strong>\n(2019-02-21) \"<em>Craigslist Scam Catch</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0372.html\" target=\"_blank\">Edward Miro / c1ph0r</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2754#1\" target=\"_blank\">Comment 1</a>:\nklaatu on 2019-02-27:\n\"this episode\"</li></ul><br/>\n</li><li><strong><a href=\"https://hackerpublicradio.org/eps.php?id=2759#comments\" target=\"_blank\">hpr2759</a></strong>\n(2019-02-28) \"<em>Cleaning the Potentiometers on a Peavey Bandit 65</em>\"\nby <a href=\"https://hackerpublicradio.org/correspondents/0238.html\" target=\"_blank\">Jon Kulp</a>.</li>\n<li style=\"list-style: none; display: inline\">\n<ul><li><a href=\"https://hackerpublicradio.org/eps.php?id=2759#1\" target=\"_blank\">Comment 1</a>:\nNYbill on 2019-02-28:\n\"Stepping on toes!\"</li></ul><br/>\n</li></ul>\n\n<h2>Mailing List discussions</h2>\n<p>\nPolicy decisions surrounding HPR are taken by the community as a whole. This\ndiscussion takes place on the <a href=\"https://hackerpublicradio.org/maillist\"\ntarget=\"_blank\">Mail List</a> which is open to all HPR listeners and\ncontributors. The discussions are open and available on the HPR server under\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/\">Mailman</a>.\n</p>\n<p>The threaded discussions this month can be found here:</p>\n<a href=\"https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2019-February/thread.html\" target=\"_blank\">https://hackerpublicradio.org/pipermail/hpr_hackerpublicradio.org/2019-February/thread.html</a>\n\n\n<h2>Any other business</h2>\n<h3 id=\"tags-and-summaries\">Tags and Summaries</h3>\n<p>Thanks to the following contributors for sending in updates in the past month: <b><a href=\"https://hackerpublicradio.org/correspondents/0215.html\">windigo</a></b></p>\n<p>Over the period tags and/or summaries have been added to 24 shows which were without them.</p>\n<p>If you would like to contribute to the tag/summary project visit the summary page at <a href=\"https://hackerpublicradio.org/report_missing_tags.php\" class=\"uri\">https://hackerpublicradio.org/report_missing_tags.php</a> and follow the instructions there.</p>\n\n\n',159,47,1,'CC-BY-SA','Community News',0,0,1),
(2466,'2018-01-15','ShareX is awesome',447,'ShareX, for all your screenshot needs and more','<p>Find it at <a href=\"https://getsharex.com/\" class=\"uri\">https://getsharex.com/</a></p>',79,0,0,'CC-BY-SA','Windows, Screenshot, documentation',0,0,1),
(2468,'2018-01-17','THE WELL',408,'I record a video with audio on my fathers well setup in the sticks','<p>I record a video with audio on my fathers well setup in the sticks</p>\r\n<p><a href=\"https://rmccurdy.com/scripts/videos/rmccurdy_com/THE_WELL.mp4\" class=\"uri\">https://rmccurdy.com/scripts/videos/rmccurdy_com/THE_WELL.mp4</a></p>',36,0,1,'CC-BY-SA','well, pump, troubleshooting',0,0,1),
(2469,'2018-01-18','A flight itinerary in Bash',1065,'Working out dates and times in a Bash script','<h1 id=\"a-flight-itinerary-in-bash\">A flight itinerary in Bash</h1>\r\n<p>My daughter flew out to New Zealand before Christmas 2017 to spend some time with her brother, who had been there with his girlfriend since November. I saw her flight itinerary from the airline, but had no idea of how the times related to time back home, so I wrote a little Bash script to calculate times in UTC (my local timezone).</p>\r\n<p>Both of my children have travelled a fair bit in the past few years. I like to keep track of where they are and how they are progressing through their journeys because otherwise I tend to worry. This one was a reasonably simple journey, two flights via Doha in Qatar, with not too long a wait between them. The overall journey was <em>long</em> of course.</p>\r\n<p>When my daughter flew out to Indonesia in 2015 (4 flights and a boat trip, over 38 hours travel time) I built a spreadsheet. Just whatever provides a good distraction!</p>\r\n<p>The rest of the notes, including details of the <code>date</code> command and the script I wrote can be found <a href=\"https://hackerpublicradio.org/eps/hpr2469/full_shownotes.html\">here</a>.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li>GNU documentation for <a href=\"https://www.gnu.org/software/coreutils/manual/html_node/date-invocation.html#date-invocation\"><code>date</code></a> (You can also use <code>man date</code> or <code>info date</code> for the full details. I prefer the HTML version because I don\'t like the <code>info</code> tool very much).</li>\r\n<li>The <a href=\"https://www.gnu.org/software/bash/manual/bash.html\">GNU Bash Reference Manual</a></li>\r\n<li>Dann Wasko\'s <em>&quot;Linux in the Shell&quot;</em> episode <a href=\"https://hackerpublicradio.org/eps.php?id=1182\"><em>hpr1182 :: LiTS 023: Date</em></a>, which is full of useful information.</li>\r\n<li>Resources:\r\n<ul>\r\n<li>The script I wrote, called <a href=\"https://hackerpublicradio.org/eps/hpr2469/edi_akl\"><code>edi_akl</code></a> (named to denote the starting and ending airports).</li>\r\n</ul></li>\r\n</ul>\r\n',225,42,1,'CC-BY-SA','Bash,date,ISO 8601,epoch',0,0,1),
(2470,'2018-01-19','Obamacare Update At The End Of 2017',798,'Where is US Health Care policy as we head into 2018?','<p>In 2017 Obamacare was the subject of a great deal of political jockeying, and yet by the end of the year almost nothing changed. So what happened, and why?</p>\r\n<ul>\r\n<li><a href=\"https://www.theguardian.com/us-news/2017/jun/26/koch-network-piggy-banks-closed-republicans-healthcare-tax-reform\" class=\"uri\">https://www.theguardian.com/us-news/2017/jun/26/koch-network-piggy-banks-closed-republicans-healthcare-tax-reform</a></li>\r\n<li><a href=\"https://www.foxbusiness.com/politics/2017/06/26/gop-donors-close-checkbooks-frustrated-with-lack-progress-on-taxes-health-care.html\" class=\"uri\">https://www.foxbusiness.com/politics/2017/06/26/gop-donors-close-checkbooks-frustrated-with-lack-progress-on-taxes-health-care.html</a></li>\r\n<li><a href=\"https://fortune.com/2017/12/21/obamacare-enrollment-surge-despite-trump/\" class=\"uri\">https://fortune.com/2017/12/21/obamacare-enrollment-surge-despite-trump/</a></li>\r\n<li><a href=\"https://www.washingtonpost.com/blogs/plum-line/wp/2017/12/27/republicans-failure-on-health-care-is-even-greater-than-they-realize/\" class=\"uri\">https://www.washingtonpost.com/blogs/plum-line/wp/2017/12/27/republicans-failure-on-health-care-is-even-greater-than-they-realize/</a></li>\r\n<li><a href=\"https://www.palain.com/?page_id=325\" class=\"uri\">https://www.palain.com/?page_id=325</a></li>\r\n</ul>\r\n',198,100,0,'CC-BY-SA','Health Insurance, Health Policy, Insurance Marketplace, Obamacare',0,0,1),
(2479,'2018-02-01','Intergraph workstation',1725,'My rebuild of my Intergraph workstation','<p>Been going through my old work servers.</p>\r\n<p>They typically run until I can\'t update them anymore and then sit not used until I have a bit of free time. So I have an old intergraph box in it that I new pentium 4 motherboard from about 8 years back. I had the receipt taped to the inside of the box. And the Expense statement from work. I had centos 6.0 on it try as it must It got no more updates and repros. It also has a weak PSU as I had to remove the DVD and graphics card to get to work.</p>\r\n<p>About intergraph:</p>\r\n<blockquote>\r\n<p>Intergraph Corporation is an American software development and services company. It provides enterprise engineering and geospatially powered software to businesses, governments, and organizations around the world. Intergraph operates through three divisions: Hexagon PPM, Hexagon Safety &amp; Infrastructure, and Hexagon Geospatial. The company\'s headquarters is in Huntsville, Alabama, USA. In 2008, Intergraph was one of the 100 largest software companies in the world. In 2010, Intergraph was acquired by Hexagon AB. Intergraph was founded in 1969 as M&amp;S Computing, Inc., by former IBM engineers who had been working with NASA and the U.S. Army in developing systems that would apply digital computing to real-time missile guidance. The company was later renamed to Intergraph Corporation in 1980. In 2000, Intergraph exited the hardware business and became purely a software company. On July 21, 2000, it sold its Intense3D graphics accelerator division to 3Dlabs, and its workstation and server division to Silicon Graphics. The companies incorporated SmartSketch, a drawing program used previously for the PenPoint OS and EO tablet computer. When Pen computing did not take off, SmartSketch was ported to the Windows and Macintosh platforms. <a href=\"https://www.cnet.com/news/intergraph-delivers-cheap-workstations/\" class=\"uri\">https://www.cnet.com/news/intergraph-delivers-cheap-workstations/</a></p>\r\n</blockquote>\r\n<p>The new TD-300 and TD-400 &quot;Personal Workstations&quot; offer 3D graphics capabilities equal to or below the prices of PCs configured as 3D workstations, the company said. The TD-300 and TD-400 Personal Workstations are available immediately, with prices starting at $5,495. <a href=\"https://www.intergraph.com/about_us/history_90s.aspx\" class=\"uri\">https://www.intergraph.com/about_us/history_90s.aspx</a></p>\r\n<p>So the box now has a Pentium 4 dual core in it which is 64 bit. This chip is 2004-2007. <a href=\"https://en.wikipedia.org/wiki/Pentium_4\" class=\"uri\">https://en.wikipedia.org/wiki/Pentium_4</a></p>\r\n<p>So I have the ubuntu 32 bit work. And Suse Enterprise 12, tumbleweed and leap on hyperV. I had my Transmeta box on Debian I386 32 bit. So I need a redhat flavor. Since its 64 bit I picked CentOS. <a href=\"https://www.centos.org/\" class=\"uri\">https://www.centos.org/</a></p>\r\n<p>What is CentOS?</p>\r\n<blockquote>\r\n<p>CentOS (/ˈsɛntɒs/, from Community Enterprise Operating System) is a Linux distribution that attempts to provide a free, enterprise-class, community-supported computing platform functionally compatible with its upstream source, Red Hat Enterprise Linux (RHEL). In January 2014, CentOS announced the official joining with Red Hat while staying independent from RHEL, under a new CentOS governing board. In July 2010, CentOS overtook Debian to become the most popular Linux distribution for web servers, with almost 30% of all Linux web servers using it. Debian retook the lead in January 2012.</p>\r\n<p>In January 2014, Red Hat announced that it would sponsor the CentOS project, &quot;helping to establish a platform well-suited to the needs of open source developers that integrate technologies in and around the operating system&quot;. As a result of these changes, ownership of CentOS trademarks was transferred to Red Hat, which now employs most of the CentOS head developers; however, they work as part of Red Hat\'s Open Source and Standards team, which operates separately from the Red Hat Enterprise Linux team. A new CentOS governing board was also established.</p>\r\n<p>CentOS developers use Red Hat\'s source code to create a final product very similar to RHEL. Red Hat\'s branding and logos are changed because Red Hat does not allow them to be redistributed. CentOS is available free of charge. Technical support is primarily provided by the community via official mailing lists, web forums, and chat rooms. CentOS version numbers for releases older than 7.0 have two parts, a major version and a minor version, which correspond to the major version and update set of Red Hat Enterprise Linux (RHEL) used to build a particular CentOS release. For example, CentOS 6.5 is built from the source packages of RHEL 6 update 5 (also known as RHEL version 6.5), which is a so-called &quot;point release&quot; of RHEL 6.</p>\r\n<p>Starting with version 7.0, CentOS version numbers also include a third part that indicates the monthstamp of the source code the release is based on. For example, version number 7.0-1406 still maps this CentOS release to the zeroth update set of RHEL 7, while &quot;1406&quot; indicates that the source code this release is based on dates from June 2014. Using the monthstamp allows installation images to be reissued for (as of July 2014) oncoming container and cloud releases, while maintaining a connection to the related base release version.</p>\r\n<p>Since mid-2006 and starting with RHEL version 4.4, which is formally known as Red Hat Enterprise Linux 4.0 update 4, Red Hat has adopted a version-naming convention identical to that used by CentOS (for example, RHEL 4.5 or RHEL 6.5). AltArch releases are released by the Alternative Architecture Special Interest Group (AltArch SIG) to supporThere are three primary CentOS repositories (also known as channels), containing software packages that make up the main CentOS distribution: base - contains packages that form CentOS point releases, and gets updated when the actual point release is formally made available in form of ISO images. updates - contains packages that serve as security, bugfix or enhancement updates, issued between the regular update sets for point releases. Bugfix and enhancement updates released this way are only those unsuitable to be released through the CentOS-Fasttrack repository described below. addons - provides packages required for building the packages that make up the main CentOS distribution, but are not provided by the upstream. The CentOS project provides several additional repositories that contain software packages not provided by the default base and updates repositories. Those repositories include the following: CentOS Extras - contains packages that provide additional functionality to CentOS without breaking its upstream compatibility or updating the base components. CentOSPlus - contains packages that actually upgrade certain base CentOS components, changing CentOS so that it is not exactly like the upstream provider\'s content. CentOS-Testing - serves as a proving ground for packages on their way to CentOSPlus and CentOS Extras. Offered packages may or may not replace core CentOS packages, and are not guaranteed to work properly. CentOS-Fasttrack - contains bugfix and enhancement updates issued from time to time, between the regular update sets for point releases. The packages released this way serve as close candidates for the inclusion into the next point release. This repository does not provide security updates, and does not contain packages unsuitable for uncertain inclusion into point releases. CR (Continuous Release) - makes generally available packages that will appear in the next point release of CentOS. The packages are made available on a testing and hotfix basis, until the actual point release is formally released in form of ISO images. debuginfo - contains packages with debugging symbols generated when the primary packages were built contrib - contains packages contributed by CentOS users that do not overlap with any of the core distribution packages Software Collections - provides versions of software newer than those provided by the base distribution, see above for more details</p>\r\n</blockquote>\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/CentOS\" class=\"uri\">https://en.wikipedia.org/wiki/CentOS</a></li>\r\n<li><a href=\"https://wiki.centos.org/FrontPage\" class=\"uri\">https://wiki.centos.org/FrontPage</a></li>\r\n</ul>\r\n<p>The end of support on my box is currently 2024. During my setup I let the centos do something with LVM the drive had two WD 320GB disks. One was very hot so I moved it so it have some more air.</p>\r\n<p>LVM:</p>\r\n<blockquote>\r\n<p>In Linux, Logical Volume Manager (LVM) is a device mapper target that provides logical volume management for the Linux kernel. Most modern Linux distributions are LVM-aware to the point of being able to have their root file systems on a logical volume.</p>\r\n<p>Heinz Mauelshagen wrote the original LVM code in 1998, taking its primary design guidelines from the HP-UX\'s volume manager. LVM is used for the following purposes: Creating single logical volumes of multiple physical volumes or entire hard disks (somewhat similar to RAID 0, but more similar to JBOD), allowing for dynamic volume resizing. Managing large hard disk farms by allowing disks to be added and replaced without downtime or service disruption, in combination with hot swapping. On small systems (like a desktop), instead of having to estimate at installation time how big a partition might need to be, LVM allows filesystems to be easily resized as needed. Performing consistent backups by taking snapshots of the logical volumes. LVM can be considered as a thin layer of continuity and ease-of-use for managing hard drive replacement, repartitioning and backup. software layer on top of the hard disks and partitions, which creates an abstraction Basic functionality Volume groups (VGs) can be resized online by absorbing new physical volumes (PVs) or ejecting existing ones. Logical volumes (LVs) can be resized online by concatenating extents onto them or truncating extents from them. LVs can be moved between PVs. Creation of read-only snapshots of logical volumes (LVM1), or read-write snapshots (LVM2). VGs can be split or merged in situ as long as no LVs span the split. This can be useful when migrating whole LVs to or from offline storage. LVM objects can be tagged for administrative convenience. VGs and LVs can be made active as the underlying devices become available through use of the lvmetad daemon.</p>\r\n</blockquote>\r\n<p>Setup with CentOS is not as simple as linux mint or ubuntu and very different than debian. You have to click and know a little about what you doing. For me with the basic 500GB install disk I got only a bare server with ssh. The machine was having power issues and would not boot from a usb stick so I had to go through 4 different DVD drives until I found one that worked with the DVD-R format. I had to use another deskop and power the DVD threw the other desk up connecting only the sata port the IDE drive was not working well either on this old board.</p>\r\n<p>I had to remove the old centos 6 from the drives using Gparted. There were errors with the gparted but the centos installer worked great after I removed ext4 part of the lvms.</p>\r\n<p>GParted is a free partition editor for graphically managing your disk partitions.</p>\r\n<p>With GParted you can resize, copy, and move partitions without data loss,</p>\r\n<p>Getting the mirrors working and getting it to work through a fire wall was pretty hard I had to make two config changes to the yum.conf one with the proxy address and the other to allow http cache. I also used <code>export_proxy=</code> to get it work globally. I had really trouble finding a fast mirror but I did not give up hope after a while it found fast mirrors that I got over 2MB per second from.</p>\r\n<p>So I installed Gnome and made boot up at startup I will install x2go or vncserver on it also just in case I need it.</p>\r\n<p>After some time of playing with it I was able to get it to fully update.</p>\r\n<p>I then moved to the server room, got the IP address and connected it it from putty. I think the advantage of this box is that I will always have a Redhat 7 install ready to demo or learn something without having to setup a lot of things.</p>\r\n<h2 id=\"links\">Links</h2>\r\n<ul>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Intergraph\" class=\"uri\">https://en.wikipedia.org/wiki/Intergraph</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/CentOS\" class=\"uri\">https://en.wikipedia.org/wiki/CentOS</a></li>\r\n<li><a href=\"https://en.wikipedia.org/wiki/Logical_Volume_Manager_(Linux)\" class=\"uri\">https://en.wikipedia.org/wiki/Logical_Volume_Manager_(Linux)</a></li>\r\n</ul>\r\n',129,0,0,'CC-BY-SA','Intergraph Corporation, Pentium 4, CentOS, Logical Volume Manager',0,0,1),
(2480,'2018-02-02','What\'s In My Podcatcher 1',1067,'A current report, with descriptions, of the podcasts I enjoy','<p>I listen to many podcasts as my primary form of audio entertainment, and because Hacker Public Radio listeners also tend to be podcast listeners (pretty much by definition) I am sharing my finds with the community. Besides, Ken made me do it.</p>\r\n<p>Links:</p>\r\n<ul>\r\n<li><a href=\"https://www.alphabeatical.com/\" class=\"uri\">https://www.alphabeatical.com/</a></li>\r\n<li><a href=\"https://altonbrown.com/tag/podcast/\" class=\"uri\">https://altonbrown.com/tag/podcast/</a></li>\r\n<li><a href=\"https://www.astronomycast.com/\" class=\"uri\">https://www.astronomycast.com/</a></li>\r\n<li><a href=\"https://www.benfranklinsworld.com/\" class=\"uri\">https://www.benfranklinsworld.com/</a></li>\r\n<li><a href=\"https://www.bigfinish.com/podcasts\" class=\"uri\">https://www.bigfinish.com/podcasts</a></li>\r\n<li><a href=\"https://theensembleproject.com/cadence/\" class=\"uri\">https://theensembleproject.com/cadence/</a></li>\r\n<li><a href=\"https://thecommandline.net/\" class=\"uri\">https://thecommandline.net/</a></li>\r\n<li><a href=\"https://www.dancarlin.com/common-sense-home-landing-page/\" class=\"uri\">https://www.dancarlin.com/common-sense-home-landing-page/</a></li>\r\n<li><a href=\"https://www.sneakydragon.com/category/podcast/compleatly-beatles/\" class=\"uri\">https://www.sneakydragon.com/category/podcast/compleatly-beatles/</a></li>\r\n<li><a href=\"https://www.dancarlin.com/hardcore-history-60-the-celtic-holocaust/\" class=\"uri\">https://www.dancarlin.com/hardcore-history-60-the-celtic-holocaust/</a></li>\r\n<li><a href=\"https://www.fab4free4all.com/\" class=\"uri\">https://www.fab4free4all.com/</a></li>\r\n<li><a href=\"https://soundcloud.com/fabcast-870039074\" class=\"uri\">https://soundcloud.com/fabcast-870039074</a></li>\r\n<li><a href=\"https://fivethirtyeight.com/tag/politics-podcast/\" class=\"uri\">https://fivethirtyeight.com/tag/politics-podcast/</a></li>\r\n<li><a href=\"https://www.palain.com\" class=\"uri\">https://www.palain.com</a></li>\r\n</ul>\r\n',198,75,0,'CC-BY-SA','Podcasts',0,0,1),
(2490,'2018-02-16','What\'s In My Podcatcher 2',959,'A current report, with descriptions, of the podcasts I enjoy','<p>I listen to many podcasts as my primary form of audio entertainment, and because Hacker Public Radio listeners also tend to be podcast listeners (pretty much by definition) I am sharing my finds with the community. Besides, Ken made me do it.</p>\r\n<p>Links:</p>\r\n<ul>\r\n<li><a href=\"https://hackerpublicradio.org\" class=\"uri\">https://hackerpublicradio.org</a></li>\r\n<li><a href=\"https://soundcloud.com/healthcaretriage\" class=\"uri\">https://soundcloud.com/healthcaretriage</a></li>\r\n<li><a href=\"https://thehistoryofrome.typepad.com/\" class=\"uri\">https://thehistoryofrome.typepad.com/</a></li>\r\n<li><a href=\"https://www.ihearofsherlock.com/\" class=\"uri\">https://www.ihearofsherlock.com/</a></li>\r\n<li><a href=\"https://www.bbc.co.uk/programmes/b00snr0w/episodes/downloads\" class=\"uri\">https://www.bbc.co.uk/programmes/b00snr0w/episodes/downloads</a></li>\r\n<li><a href=\"https://inquiring.show/\" class=\"uri\">https://inquiring.show/</a></li>\r\n<li><a href=\"https://imagination.ucsd.edu/_wp/feed/podcast/\" class=\"uri\">https://imagination.ucsd.edu/_wp/feed/podcast/</a></li>\r\n<li><a href=\"https://www.katebushnews.com/index.php/category/www-katebushnews-com/kate-bush-fan-podcast/\" class=\"uri\">https://www.katebushnews.com/index.php/category/www-katebushnews-com/kate-bush-fan-podcast/</a></li>\r\n<li><a href=\"https://podnutz.com/category/linux-for-the-rest-of-us/\" class=\"uri\">https://podnutz.com/category/linux-for-the-rest-of-us/</a></li>\r\n<li><a href=\"https://www.linuxvoice.com/category/podcasts/\" class=\"uri\">https://www.linuxvoice.com/category/podcasts/</a></li>\r\n<li><a href=\"https://mugglecast.com/\" class=\"uri\">https://mugglecast.com/</a></li>\r\n<li><a href=\"https://www.nature.com/nature/podcast/index.html\" class=\"uri\">https://www.nature.com/nature/podcast/index.html</a></li>\r\n<li><a href=\"https://www.palain.com\" class=\"uri\">https://www.palain.com</a></li>\r\n</ul>\r\n',198,75,0,'CC-BY-SA','Podcasts',0,0,1),
(2467,'2018-01-16','I randomly talk about my laptops',574,'Random talk about my laptops and the linux distros that are on them','<p>Just decided to start talking about my laptops after I installed Ubuntu Mate 16.04 to my x60.</p>',297,0,0,'CC-BY-SA','laptop, linux, fun, computers',0,0,1),
(2472,'2018-01-23','Forum Failure',1000,'Lostnbronx talks about his recent experiment in running a forum.','<p>In 2017 I created a forum over at Proboards dedicated to my audio work and writing. It didn\'t attract a user base, and I deleted it when 2018 rolled around.</p>\r\n<p>These are just some thoughts about why I wanted it to begin with, and why I think it failed.</p>\r\n<p>I still believe Proboards is a good way to jump into forums and using forum software, and still recommend it for that reason:</p>\r\n<p><a href=\"https://proboards.com/\" class=\"uri\">https://proboards.com/</a></p>\r\n<p>Here are some of my projects mentioned briefly in this episode:</p>\r\n<ul>\r\n<li><a href=\"https://www.cavalcadeaudio.com/\" class=\"uri\">https://www.cavalcadeaudio.com/</a></li>\r\n<li><a href=\"https://downloads.cavalcadeaudio.com/lnbsaudiodiary/?p=home\" class=\"uri\">https://downloads.cavalcadeaudio.com/lnbsaudiodiary/?p=home</a></li>\r\n</ul>\r\n',107,0,0,'CC-BY-SA','forum,lostnbronx,platform,community',0,0,1),
(2473,'2018-01-24','Frotz - A Portable Z-Machine Interpreter',608,'How to use Frotz to play those old Infocom text adventure games from the 80s.','<p>Frotz is an interpreter for Infocom games (like Zork) and other Z-machine games. You can install it via your respective package manager or download the source code from the URLs below.</p>\r\n<ul>\r\n<li>Website: <a href=\"https://frotz.sourceforge.net\" class=\"uri\">https://frotz.sourceforge.net</a></li>\r\n<li>Github: <a href=\"https://github.com/DavidGriffith/frotz/\" class=\"uri\">https://github.com/DavidGriffith/frotz/</a></li>\r\n</ul>\r\n',152,0,0,'CC-BY-SA','Frotz,Z-code,Z-machine,Interactive Fiction',0,0,1),
